#Script: CompareExcel.pl
#Author: Chiranjeev Banerjee
#Description: This script compares two excel and returns TRUE if equal else FALSE
#Owner: POS Automation team

BEGIN {
	push(@INC, "Q:/bin");
	push(@INC, "Q:/lib/perlmods"); # this is already added when include common_subs_task.pm
}
use common_subs_task;
use Sys::Hostname;
use IO::Tee;
use Getopt::Long;
use Config::IniHash;
use File::Path;
use Win32;
use File::Basename;
use File::Copy;
use Cwd;
use Win32::OLE qw(in with);
use Win32::OLE::Const 'Microsoft Excel';

my $usage = "Usage: CompareExcel.pl [-FILE1 <FILE1>] [-FILE2 <FILE2>]";
my $time = localtime();
#print "\nStarting suite execution at $time";
my $FILE1 = "";
my $FILE2 = "";
GetOptions ("FILE1=s" => \$FILE1, "FILE2=s" => \$FILE2);
if ($FILE1 eq "" || $FILE2 eq "")
{
        print "One or more file missing for comparisn";
        exit (0);
}

# get already active Excel application or open new
my $Excel = Win32::OLE->GetActiveObject('Excel.Application')
    || Win32::OLE->new('Excel.Application', 'Quit');

# open Excel file
my $Book1 = $Excel->Workbooks->Open("$FILE1");
my $Book2 = $Excel->Workbooks->Open("$FILE2");
my $Sheet1 = $Book1->Worksheets (1);
my $Sheet2 = $Book2->Worksheets (1);

my $Value1 = "";
my $Value2 = "";
my $StartRow = 1;
my $StartCol = 1;
my $LastRow = $Sheet1->UsedRange->Find({What=>"*",SearchDirection=>xlPrevious,SearchOrder=>xlByRows})->{Row};
my $LastCol = $Sheet1->UsedRange->Find({What=>"*",SearchDirection=>xlPrevious,SearchOrder=>xlByColumns})->{Column};
my $LastRowA = $Sheet2->UsedRange->Find({What=>"*",SearchDirection=>xlPrevious,SearchOrder=>xlByRows})->{Row};
my $LastColA = $Sheet2->UsedRange->Find({What=>"*",SearchDirection=>xlPrevious,SearchOrder=>xlByColumns})->{Column};

my $return_val = "TRUE";
if ($LastRow ne $LastRowA || $LastCol ne $LastColA)
{
	$return_val = "FALSE";
	print ("\nResult=$return_val");
	$Book2->Close;
	$Book1->Close;
	exit (0);
}
foreach my $row ($StartRow..$LastRow)
{
        foreach my $col ($StartCol..$LastCol)
        {
                $Value1 = $Sheet1->Cells($row, $col)->{'Value'};
                $Value2 = $Sheet2->Cells($row, $col)->{'Value'};
                if ($Value1 ne $Value2)
                {
                        $return_val = "FALSE";
                        last;
                }
        }
        if ($return_val eq "FALSE")
        {
                last;
        }
}
print ("\nResult=$return_val");
$Book2->Close;
$Book1->Close;
exit (0);
