#Script: FE_Suite.pl
#Author: Chiranjeev Banerjee
#Description: This script reads a testcase to be executed from an excel and updates the result in the same excel.
#Owner: POS Automation team

BEGIN {
	push(@INC, "Q:/bin");
	push(@INC, "Q:/lib/perlmods"); # this is already added when include common_subs_task.pm
}
use common_subs_task;
use Sys::Hostname;
use IO::Tee;
use Getopt::Long;
use Config::IniHash;
use File::Path;
use Win32;
use File::Basename;
use File::Copy;
use Cwd;
use Win32::OLE qw(in with);
use Win32::OLE::Const 'Microsoft Excel';
my $usage = "Usage: FE_Suite.pl [-STARTROW <starrowt>] [-ENDROW <endrow>] [-TC <TC>]";
my $time = localtime();
print "\nStarting suite execution at $time";
my $startrow = "";
my $endrow = "";
my $TC = "";
GetOptions ("STARTROW=s" => \$startrow, "ENDROW=s" => \$endrow, "TC=s" => \$TC);
if ($TC eq "" && $startrow eq "")
{
        $startrow = 2;
}
if ($TC eq "" && $endrow eq "")
{
        $endrow = 107;
}
@TCList = split (/,/,$TC);

# get already active Excel application or open new
my $Excel = Win32::OLE->GetActiveObject('Excel.Application')
    || Win32::OLE->new('Excel.Application', 'Quit');

# open Excel file
my $Book = $Excel->Workbooks->Open("c:\\QAP\\POS\\Config\\FE_Suite.xls");
if ($TC eq "")
{
        $Sheet = $Book->Worksheets(1);
        foreach my $row ($startrow..$endrow)
        {
                my $script = $Sheet->Cells($row,2)->{'Value'};
                $script_path = "C:\\QAP\\POS\\SilkScripts\\FE\\".$script;
                $Cmd = "partner -q -resextract -r ".$script_path;
                ConfigureSilk ($script);
                print "\n$Cmd\n";
                system $Cmd;
                my $pattern = "Script "."$script";
                my $File = "C:\\Results\\$script"."xt";
                my $RES = "";
                open (RESULT, $File);
                $line = <RESULT>;
                while ($line !~ m/.*($pattern).*/)
                {
                        $line = <RESULT>;
                }
                close (RESULT);
                if ($line =~ m/Passed$/)
                {
                        $RES = "PASS";
                }
                if ($line =~ m/error$/ || $line =~ m/errors$/ || $line =~ m/Failed$/)
                {
                        $RES = "FAIL";
                }
                $Sheet->Cells($row,3)->{'Value'} = $RES;
                $Book->Save;
                print ("\n $Script $RES \n");
        }
}
if ($TC ne "")
{
        foreach (@TCList)
        {
                my $Sheet = $Book->Worksheets(2);
                $row1 = 1;
                while ($_ ne $Sheet->Cells($row1,1)->{'Value'})
                {
                        $row1++;
                }
                print "\n";
                $startrow = $Sheet->Cells($row1,2)->{'Value'};
                $endrow = $Sheet->Cells($row1,3)->{'Value'};
                $Sheet = $Book->Worksheets(1);
                foreach my $row ($startrow..$endrow)
                {
                        my $script = $Sheet->Cells($row,2)->{'Value'};
                        $script_path = "C:\\QAP\\POS\\SilkScripts\\FE\\".$script;
                        $Cmd = "partner -q -resextract -r ".$script_path;
                        ConfigureSilk ($script);
                        print "\n$Cmd\n";
                        system $Cmd;
                        my $pattern = "Script "."$script";
                        my $File = "C:\\Results\\$script"."xt";
                        my $RES = "";
                        open (RESULT, $File);
                        $line = <RESULT>;
                        while ($line !~ m/.*($pattern).*/)
                        {
                                $line = <RESULT>;
                        }
                        close (RESULT);
                        if ($line =~ m/Passed$/)
                        {
                                $RES = "PASS";
                        }
                        if ($line =~ m/error$/ || $line =~ m/Failed$/)
                        {
                                $RES = "FAIL";
                        }
                        $Sheet->Cells($row,3)->{'Value'} = $RES;
                        $Book->Save;
                        print ("\n $Script $RES \n");
                }
        }
}
# clean up after ourselves
$Book->Save;
$Book->Close;
$time = localtime();
print "\nSuite execution finished at $time";
exit 0;

sub ConfigureSilk ($)
{
        my $prod = substr ($_[0], 0, 2);
        if ($prod eq "FE")
        {
                system ("C:\\QAP\\POS\\Config\\ConfigureSilk_FE_POS.bat");
        }
        if ($prod eq "QB")
        {
                system ("C:\\QAP\\POS\\Config\\ConfigureSilk_FE_QB.bat");
        }
}
