#Script: SetWebEnvironment.pl
#Author: Chiranjeev Banerjee
#Description: This script sets the web environment for POS
#Owner: POS Automation team

BEGIN {
	push(@INC, "Q:/bin");
	push(@INC, "Q:/lib/perlmods"); # this is already added when include common_subs_task.pm
}
use common_subs_task;
use Sys::Hostname;
use IO::Tee;
use Getopt::Long;
use Config::IniHash;
use File::Path;
use Win32;
use File::Basename;
use File::Copy;
use Cwd;
use Win32::OLE qw(in with);

my $usage = "Usage: SetWebEnvironment.pl [-WEBENV <FILE1>]";
my $time = localtime();
#print "\nStarting suite execution at $time";
my $NEWENV = "";
GetOptions ("WEBENV=s" => \$NEWENV);
if ($NEWENV eq "")
{
        $NEWENV = "PTC";
}

my $taskinfo_ini_path = "$local_path\\Temp\\Taskinfo.ini";
my $taskinfo_ini_config = ReadINI($taskinfo_ini_path);
my $WEBENV = $taskinfo_ini_config->{'env'}->{'WEBENV'};

if ($WEBENV ne "")
{
        $NEWENV = $WEBENV;
}

my $config_file = "C:\\Program Files\\Intuit\\QuickBooks Point of Sale 11.0\\QBPOSShell.exe.config";

my $pattern = "<setting name=\"WebEnvironment\" serializeAs=\"String\">";
my $CURRENTENV = "";
open (CONFIG, $config_file);
$line = <CONFIG>;
while ($line !~ m/.*($pattern).*/)
{
        $line = <CONFIG>;
}
$line = <CONFIG>;
close (CONFIG);
$pattern = "PROD";
if ($line =~ m/.*($pattern).*/)
{
        $CURRENTENV = "PROD";
}
$pattern = "PTC";
if ($line =~ m/.*($pattern).*/)
{
        $CURRENTENV = "PTC";
}
$pattern = "QA";
if ($line =~ m/.*($pattern).*/)
{
        $CURRENTENV = "QA";
}
$pattern = "QA2";
if ($line =~ m/.*($pattern).*/)
{
        $CURRENTENV = "QA2";
}
print "Current Web Environment = $CURRENTENV";
my $cmd = "perl -p -i.bak -e \"s/<value>$CURRENTENV/<value>$NEWENV/\" \"$config_file\"";
system $cmd;
my $config_file_backup = "C:\\Program Files\\Intuit\\QuickBooks Point of Sale 11.0\\QBPOSShell.exe.config.bak";
my $cmd1 = "MOVE /Y \"$config_file_backup\" C:\\Temp";
if ($NEWENV ne $CURRENTENV)
{
        system $cmd;
        system $cmd1;
}
print "New Web Environment = $NEWENV";
exit (0);
