

BEGIN {
	push(@INC, "Q:/bin");
	push(@INC, "Q:/lib/perlmods"); # this is already added when include common_subs_task.pm
}

use common_subs_task;
use Sys::Hostname;
use IO::Tee;
use Getopt::Long;
use Config::IniHash;
use File::Path;

# 

my $product = "";
my $temp_dir = "C:\\temp";

if( ! -d $temp_dir ) {
    if( ! mkdir ($temp_dir) ) {
        # set it to %temp%
        print "Warning: Could not make C:\\temp dir, using $ENV{TEMP} for temp dir\n";
        $temp_dir = $ENV{TEMP};
    }
}
my $logfile = "$temp_dir\\Configure_Silk_POS_QuickBooks.log";

# use IO::Tee to send output to both stdout and logfile
my $tee = new IO::Tee(\*STDOUT, ">$logfile") or die "could not tee: $!\n";
autoflush $tee 1;

print $tee "\n\n******* Configuring silk started " . localtime() . "********\n\n";

# save commandline options before GetOptions parses them away
my $cmdline_options = join ' ', @ARGV;
print $tee "command line options are: \"$cmdline_options\"\n";

# -----------------------------------------------------------
# process the command line options
# -----------------------------------------------------------


if( ! GetOptions(
        "product=s" => \$product,
    ) ) {
            print $tee "GetOptions usage failure detected\n";
            exit 1;
}


#	Updating the Partner.ini file
#	*** Error handling if the partner.ini is not located in the location above



my $PARTNER_INI = "c:\\Program Files\\Silk\\Silktest\\partner.ini";
if (! -e $PARTNER_INI)
	{
		print "ERROR: Could not locate the INI file $PARTNER_INI";
	}
else
# 	Setting up the Usefile in  Partner.ini file as per the product Provided 
	{
		my $IniFH = ReadINI($PARTNER_INI);
		print "\nSetting Use file section in INI file $PARTNER_INI\n";
     	
       if ($product eq "POS") {
       
		$IniFH->{'Runtime'}->{'UseFiles'}="extend\\explorer.inc, C:\\QAP\\POS\\SilkFrame\\posuse.inc, extend\\dotnet.inc";
	   }
		else
		{
		$IniFH->{'Runtime'}->{'UseFiles'}="extend\\explorer.inc, C:\\QAP\\SilkFrame\\QBUse.inc";

		}
		WriteINI($PARTNER_INI,$IniFH);
		
	}

