﻿[ ] // **********************************************************************************************************************************************************************************************
[ ] // POS AUTOMATION_V10
[ ] // INCLUDE FILE
[ ] // FILE NAME : POSUTILITIES.INC
[ ] // DESCRIPTION : This file contains all the utility functions
[ ] // Author : Chiranjeev Banerjee
[ ] // **********************************************************************************************************************************************************************************************
[ ] 
[ ] // WAIT FOR A WINDOW TO APPEAR
[-] // REAL WaitWindow (PERFWINDOW pPerf, INTEGER iMax optional)
	[ ] // WINDOW wWindow
	[+] // if (iMax == NULL)
		[ ] // iMax = 60
	[ ] // HANDLE hTimer = TimerCreate ()
	[ ] // TimerStart (hTimer)
	[+] // switch TypeOf (pPerf)
		[+] // case STRING
			[ ] // wWindow = QuickBooksPointOfSale.ChildWin ("{pPerf}*")
		[+] // case WINDOW
			[ ] // wWindow = pPerf
	[+] // while !(wWindow.Exists ())
		[ ] // Sleep (1)
		[+] // if (TimerValue (hTimer) > iMax)
			[ ] // LogWarning ("Window {pPerf} not found")
			[ ] // return 0
	[ ] // TimerStop (hTimer)
	[ ] // return TimerValue (hTimer)
[ ] 
[ ] // WAIT FOR A WINDOW TO APPEAR
[-] BOOLEAN WaitFor (WINDOW wWin, INTEGER iTimeOut optional, BOOLEAN bContinue optional)
	[+] // History...
		[ ] // 05/13/02 GL: created by Glenn Lew
		[ ] // ----------------------------------------------------------------------------------------
		[ ] // Usage: WaitFor(w, bContinue, iTimeout)
		[ ] //
		[ ] // WINDOW w = the window you want to wait for. 
		[ ] // INTEGER iTimeout = the maximum number of seconds you wait around for the given window. Optional.
		[ ] // BOOLEAN bContinue = whether you want to continue if the window is not found. Optional. 
		[ ] //
		[ ] // Mnemonic: WaitFor() will cause SilkTest to "Wait For" window {w} for up to {iTimeout} seconds,
		[ ] // otherwise the script will continue (TRUE), or else it will stop (FALSE).
		[ ] // ----------------------------------------------------------------------------------------
		[ ] // Examples:
		[ ] // WaitFor(Warning) 				// Wait up to 60 seconds for the Warning message, then continue
		[ ] // WaitFor(Warning, 10) 			// Wait up to 10 seconds for the Warning message, then continue
		[ ] // WaitFor(Warning, 60) 			// Wait up to 60 seconds for the Warning message, then continue
		[ ] // WaitFor(Warning, 180) 			// Wait up to 180 seconds for the Warning message, then continue
		[ ] // WaitFor(Warning, 60, FALSE) 		// Wait up to 60 seconds for the Warning message, then stop
		[ ] // WaitFor(Warning, NULL, FALSE) 	// Wait up to 60 seconds for the Warning message, then stop
		[ ] // WaitFor(Warning, 180, FALSE) 	// Wait up to 120 seconds for the Warning message, then stop
		[ ] //
		[ ] // Advanced usage:
		[ ] // if (WaitFor(Warning,20))	// if Warning appears within 20 seconds, then do this, else do that
		[ ] //	 {this}
		[ ] // else
		[ ] //	 {that}
		[ ] // ----------------------------------------------------------------------------------------
	[+] if (iTimeOut == NULL)
		[ ] iTimeOut = 60
	[+] if bContinue == NULL
		[ ] bContinue=TRUE
	[ ] INTEGER i = 0
	[+] while TRUE
		[+] if !wWin.Exists()
			[ ] Sleep(1)
			[ ] i++
			[+] if i >= iTimeOut
				[+] if (bContinue)
					[ ] Print ("* Could not find {wWin} after {iTimeOut} seconds. Resuming with next step...")
					[ ] return FALSE
				[+] else
					[ ] RaiseError (1, "Could not find {wWin} after {iTimeOut} seconds. Aborting...")
		[+] else
			[ ] Print ("* {wWin} appeared after {i} seconds...")
			[ ] return TRUE
[ ] 
[ ] // WAIT FOR  A BOOLEAN CHECK FOR TILL TRUE
[+] BOOLEAN WaitTill (BOOLEAN bCheck, BOOLEAN bCheckFor optional, INTEGER iTimeOut optional, BOOLEAN bContinue optional)
	[+] if (iTimeOut == NULL)
		[ ] iTimeOut = 60
	[+] if bContinue == NULL
		[ ] bContinue=TRUE
	[+] if bCheckFor == NULL
		[ ] bCheckFor = TRUE
	[ ] INTEGER i = 0
	[ ] BOOLEAN bCheck1 = bCheck
	[+] while TRUE
		[+] if bCheck1 != bCheckFor
			[ ] Sleep(1)
			[ ] i++
			[ ] bCheck1 = bCheck
			[ ] // print (bCheck1)
			[+] if i >= iTimeOut
				[+] if (bContinue)
					[ ] Print ("* Could not find {bCheck} after {iTimeOut} seconds. Resuming with next step...")
					[ ] return FALSE
				[+] else
					[ ] RaiseError (1, "Could not find {bCheck} after {iTimeOut} seconds. Aborting...")
		[+] else
			[ ] Print ("* {bCheck} appeared after {i} seconds...")
			[ ] return TRUE
[ ] 
[ ] 
[+] BOOLEAN WaitUntill (window w, STRING sProp, ANYTYPE aCheck, INTEGER iTimeOut optional, BOOLEAN bContinue optional)
	[ ] Sleep (3)
	[+] if (iTimeOut == NULL)
		[ ] iTimeOut = 60
	[+] if bContinue == NULL
		[ ] bContinue=TRUE
	[+] // if bCheckFor == NULL
		[ ] // bCheckFor = TRUE
	[ ] INTEGER i = 0
	[+] while TRUE
		[+] if w.@sProp != aCheck
			[ ] Sleep (1)
			[ ] i++
			[+] if i >= iTimeOut
				[+] if (bContinue)
					[ ] Print ("* Could not find {aCheck} after {iTimeOut} seconds. Resuming with next step...")
					[ ] return FALSE
				[+] else
					[ ] RaiseError (1, "Could not find {aCheck} after {iTimeOut} seconds. Aborting...")
		[+] else
			[ ] Print ("* {aCheck} appeared after {i} seconds...")
			[ ] return TRUE
[ ] 
[+] BOOLEAN WaitUntillEnabled (window w, ANYTYPE aCheck, INTEGER iTimeOut optional, BOOLEAN bContinue optional)
	[+] if (iTimeOut == NULL)
		[ ] iTimeOut = 60
	[+] if bContinue == NULL
		[ ] bContinue=TRUE
	[+] // if bCheckFor == NULL
		[ ] // bCheckFor = TRUE
	[ ] INTEGER i = 0
	[ ] // print (w.@sProp)
	[ ] // return true
	[+] while TRUE
		[+] if w.IsEnabled () != aCheck
			[ ] Sleep (1)
			[ ] i++
			[+] if i >= iTimeOut
				[+] if (bContinue)
					[ ] Print ("* Could not find {aCheck} after {iTimeOut} seconds. Resuming with next step...")
					[ ] return FALSE
				[+] else
					[ ] RaiseError (1, "Could not find {aCheck} after {iTimeOut} seconds. Aborting...")
		[+] else
			[ ] Print ("* {aCheck} appeared after {i} seconds...")
			[ ] return TRUE
[ ] 
[ ] // WAIT FOR A WINDOW TO DISAPPEAR
[+] BOOLEAN WaitGone (WINDOW wWin, INTEGER iTimeOut optional)
	[+] if (iTimeOut == NULL)
		[ ] iTimeOut = 100
	[ ] INTEGER iWait = 1
	[+] while TRUE
		[+] if (wWin.Exists ())
			[ ] Sleep (5)
		[+] else
			[ ] return TRUE
		[ ] iWait++
		[+] if (iWait * 5 > iTimeOut)
			[ ] return FALSE
[ ] 
[ ] // DELETE DIRECTORY
[+] DeleteDirContents (STRING sPath)
	[ ] INTEGER iCount
	[ ] STRING sFile = ""
	[ ] STRING sRemoveAttr  = ""
	[ ] LIST OF FILEINFO lfFiles
	[+] if Right (sPath,1) != "\"			// ensure sPath ends with a backslash
		[ ] sPath = sPath+"\"
	[+] if SYS_DirExists (sPath)
		[ ] lfFiles = SYS_GetDirContents (sPath)
		[+] if ListCount (lfFiles) != 0
			[+] for iCount = 1 to ListCount (lfFiles)
				[+] if lfFiles[iCount].bIsDir
					[ ] DeleteDirContents (sPath + lfFiles[iCount].sName)
					[+] do
						[ ] SYS_RemoveDir (sPath + lfFiles[iCount].sName)
					[ ] except
				[+] else
					[+] do
						[ ] sRemoveAttr = "attrib -r """+(sPath + lfFiles[iCount].sName)+""" "
						[ ] SYS_Execute (sRemoveAttr)
						[ ] SYS_RemoveFile (sPath + lfFiles[iCount].sName)
					[ ] except
	[+] else
		[ ] Print ("Directory {sPath} not found.")
[+] DeleteFolder (STRING sFolder)
	[ ] List of STRING lsOutPut
	[ ] SYS_Execute ("rmdir -r /s /q ""{sFolder}""", lsOutPut)
	[ ] Print (lsOutPut)
[ ] 
[ ] // COPY A DIRECTORY
[+] CopyDirectory (STRING sSource, STRING sDest)
	[ ] LIST OF STRING lsOutPut
	[ ] BOOLEAN bSucess
	[ ] 
	[+] if (SYS_DirExists (sDest))
		[ ] DeleteFolder (sDest)
	[ ] 
	[ ] SYS_MakeDir(sDest)
	[ ] 
	[ ] SYS_Execute ("xcopy {sSource} ""{sDest}"" /S /E /Q", lsOutPut)
[ ] 
[ ] // CREATE A DIRECTORY
[+] CreateDirectory (STRING sDir)
	[+] if SYS_DirExists (sDir)
		[ ] Print ("{sDir} already exists")
	[+] else
		[ ] SYS_MakeDir (sDir)
		[ ] Print ("{sDir} - - - directory created")
[ ] 
[ ] // WAIT FOR A WINDOW TO BE ACTIVE
[+] BOOLEAN WaitForActive (WINDOW wWindow, INTEGER iTimeout optional, BOOLEAN bContinue optional)
	[+] if iTimeout==NULL
		[ ] iTimeout=60
	[+] if bContinue==NULL
		[ ] bContinue=TRUE
	[ ] INTEGER i = 0
	[+] while TRUE
		[+] if !(wWindow.IsActive ())
			[ ] Sleep(1)
			[ ] i++
			[+] if i >= iTimeout
				[+] if (bContinue)
					[ ] Print ("* Window / Object {wWindow} is not found to be active after {iTimeout} seconds. Resuming with next step...")
					[ ] return FALSE
				[+] else
					[ ] RaiseError (1, "* Window / Object {wWindow} is not found to be active after {iTimeout} seconds Aborting ....")
		[+] else
			[ ] Print ("* {wWindow} appeared to be active after {i} seconds...")
			[ ] return TRUE
[+] BOOLEAN WaitForEitherWin (WINDOW w1, WINDOW w2, INTEGER iTimeout optional, BOOLEAN bContinue optional)
	[+] // Usage: Sometimes you don't know which window will appear like when doing updates. 
		[ ] // This function takes 2 windows and once one of them appears then it continues.
		[ ] // Example: Payroll Update downloads and eventually ither the QuickBooks Information win
		[ ] // appears or the New Tax Table appears. Since you don't know which will appear you need 
		[ ] // to look for both.
	[ ] 
	[ ] INTEGER iWait = 0
	[ ] 
	[+] if iTimeout==NULL
		[ ] iTimeout=60
	[ ] 
	[+] if bContinue==NULL
		[ ] bContinue=TRUE
	[ ] 
	[+] while TRUE
		[+] if (!w1.Exists() && !w2.Exists ())
			[ ] Sleep(1)
			[ ] iWait++
			[+] if iWait>=iTimeout
				[+] if (bContinue)
					[ ] Print("* Could not find {w1} or {w2} after {iTimeout} seconds. Resuming with next step...")
					[ ] return FALSE
				[+] else
					[ ] RaiseError (1, "Could not find {w1} or {w2} after {iTimeout} seconds. Aborting...")
		[+] else
			[+] if w1.Exists()
				[ ] Print ("* {w1} appeared after {iWait} seconds...")
			[+] else
				[ ] Print ("* {w2} appeared after {iWait} seconds...")
			[ ] return TRUE
[ ] 
[ ] // MAKE DATE AND TIME STRING
[+] STRING MakeDateString ()
	[ ] //#
	[ ] //returns:	STRING: Return Type
	[ ] //notes:	Used to create string based on date that will used to make the company data always be unique
	[ ] //#
	[ ] 
	[ ] //Makes a string that is mmddyy that can be used to fill in unique data
	[ ] STRING sDateString
	[ ] sDateString=DateStr () //mm/dd/yy
	[ ] sDateString=StrTran (sDateString,"/","-") //replace / with - because a filename cannot have /'s
	[ ] //print (sDateString)
	[ ] return sDateString
	[ ] 
[+] STRING MakeTimeString ()
	[ ] //#
	[ ] //returns:	STRING: Return Type date/time in format hhmm
	[ ] //notes: Used to create string based on date that will used to make the company data always be unique
	[ ] //#
	[ ] 
	[ ] //Makes a string that is hhmm that can be used to fill in unique data
	[ ] STRING sTimeStr
	[ ] sTimeStr=Left (TimeStr(),5)
	[ ] sTimeStr=StrTran (sTimeStr,":","") //replaces : with nothing to make the time 4 digits hhmm
	[ ] //print (sTimeStr)
	[ ] return sTimeStr
	[ ] 
[ ] 
[ ] // CONVERT A STRING TO LISTOFSTRING
[+] LIST OF STRING ConvertToList (STRING sString)
	[ ] // Converts a string into list of string
	[ ] LIST OF STRING lsRes
	[ ] INTEGER iNum, jIndex
	[ ] jIndex = 1
	[+] for iNum =1 to Len(sString)
		[+] if (GetField (sString, ",",jIndex)!= "")
			[ ] ListAppend(lsRes,Trim(GetField (sString, ",",jIndex)))
			[ ] jIndex++
		[+] else
			[ ] break
	[ ] return lsRes
