﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: CreateCloseCompany
	[+] // Test Steps:
		[ ] // 1: Click on File->CompanyOperations
		[ ] // 2: Select 'Create New Company' radio button and click on 'Next'
		[ ] // 3: Enter new company name, select 'Headquarter store' option and click on 'Create'
		[ ] // 4: Click on 'Done'
	[+] // Expected Result:
		[ ] // 1: Verify 'Start Company' dialog appears
		[ ] // 2: Verify 'Create New Company' dialog appears
		[ ] // 3: Verify 'Set Up Interview' dialog appears
		[ ] // 4: Verify 'File' menu is active
[ ] // TESTCASE::CreateCloseCompany
[ ] // ATC ID::POS_FILE_ATC_001
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::BATs.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CreateCloseCompany ()
	[+] // VARIABLES
		[ ] STRING sNewCompanyName
	[ ] 
	[+] // STEPS
		[+] // Step 1: Click on File->CompanyOperations
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE, iTimeOut)
			[ ] QuickBooksPointOfSale.File.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.File.CompanyOperations.Click ()
		[ ] 
		[+] // Result 1: Verify 'Start Company' dialog appears
			[ ] VerifySafely (QuickBooksPointOfSale.StartCompany.Exists (5), TRUE, "Start CompanyDialog Appears")
		[ ] 
		[+] // Step 2: Select 'Create New Company' radio button and click on 'Next'
			[ ] QuickBooksPointOfSale.StartCompany.CreateNewCompany.Check ()
			[ ] QuickBooksPointOfSale.StartCompany.Next.Click ()
		[ ] 
		[+] // Result 2: Verify 'Create New Company' dialog appears
			[ ] VerifySafely (QuickBooksPointOfSale.CreateNewCompany.Exists (5), TRUE, "Create New CompanyDialog Appears")
		[ ] 
		[+] // Step 3: Enter new company name, select 'Headquarter store' option and click on 'Create'
			[ ] sNewCompanyName = "POS{Randint (1, 10)}"
			[ ] QuickBooksPointOfSale.CreateNewCompany.NewCompanyName.SetData (sNewCompanyName)
			[+] while QuickBooksPointOfSale.CreateNewCompany.InvalidName.Exists (2)
				[ ] sNewCompanyName = "POS{Randint (1, 10)}"
				[ ] QuickBooksPointOfSale.CreateNewCompany.NewCompanyName.SetData (sNewCompanyName)
			[ ] //QuickBooksPointOfSale.CreateNewCompany.HeadquartersStore.Check ()
			[ ] QuickBooksPointOfSale.CreateNewCompany.Create.Click ()
			[ ] WaitGone (QuickBooksPointOfSale.CreateNewCompany.NewCompanyCreation, iTimeOut*2)
			[+] if QuickBooksPointOfSale.LoggingIn.Exists (5)
				[ ] WaitGone (QuickBooksPointOfSale.LoggingIn, iTimeOut*2)
		[ ] 
		[+] // Result 3: Verify 'Set Up Interview' dialog appears
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Done.Exists (5), TRUE, "SetupInterview dialog box appeared")
		[ ] 
		[+] // Step 4: Click on 'Done'
			[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
		[ ] 
		[+] // Result 4: Verify 'File' menu is active
			[ ] VerifySafely (WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE, iTimeOut), TRUE, "New Company Created")
[ ] 
