﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new customer in server and verify customer created in client and vice versa
	[+] // Test Steps:
		[ ] // Step 1: Invoke Customer List
		[ ] // Step 2: Create a customer on client
	[+] // Expected Result:
		[ ] // Result 1: Verify customer created on server
		[ ] // Result 2: Verify customer is created
[ ] // TESTCASE::CLT_AddCustomer
[ ] // ATC ID::POS_CS_014
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_AddCustomer.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_AddCustomer () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewCustomerRec ncrCust1, ncrCust2
		[ ] LIST OF STRING lsCustomersExpected
	[ ] 
	[+] // SETUP
		[ ] SetClientTransactionStatus ("ONHOLD")
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[+] // Result 1: Verify customer created on server
			[+] lsCustomersExpected = {...}
				[ ] "Cust1F Cust1L Cust1L Cust1F 1111111111 2222222222 cust1@pos.com CustStreet MountainView California 123456"
				[ ] "Cust2F Cust2L Cust2L Cust2F 1111111112 2222222223 cust2@pos.com custstreet Bangalore Karnataka 321654"
				[ ] "SrvCustF SrvCustL SrvCustL SrvCustF SrvCust@ymail.com"
			[ ] WaitForPageToLoad (3)
			[ ] VerifySafely (Customers.CustomerList.CustomerGrid.ItemTexts, lsCustomersExpected, "Customers listed in list")
		[ ] 
		[+] // Step 2: Create a customer on client
			[ ] Customers.CustomerList.Topbar.Add.Click ()
			[ ] ncrCust2 = {}
			[ ] ncrCust2.sFirstName = "CltCustF"
			[ ] ncrCust2.sLastName = "CltCustL"
			[ ] ncrCust2.sEmail = "CltCust@ymail.com"
			[ ] CreateNewCustomer (ncrCust2)
		[ ] 
		[+] // Result 2: Verify customer created on both server and client
			[+] lsCustomersExpected = {...}
				[ ] "Cust1F Cust1L Cust1L Cust1F 1111111111 2222222222 cust1@pos.com CustStreet MountainView California 123456"
				[ ] "Cust2F Cust2L Cust2L Cust2F 1111111112 2222222223 cust2@pos.com custstreet Bangalore Karnataka 321654"
				[ ] "SrvCustF SrvCustL SrvCustL SrvCustF SrvCust@ymail.com"
				[ ] "CltCustF CltCustL CltCustL CltCustF CltCust@ymail.com"
			[ ] VerifySafely (Customers.CustomerList.CustomerGrid.ItemTexts, lsCustomersExpected, "Customers listed in list")
			[ ] ncrCust1 = {}
			[ ] ncrCust1.sLastName = "SrvCustL"
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCust1.sLastName)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
			[ ] VerifyCustomerData (ncrCust1)
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCust2.sLastName)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
			[ ] VerifyCustomerData (ncrCust2)
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[+] if Customers.CustomerList.Topbar.Home.Exists (3)
			[ ] Customers.CustomerList.Topbar.Home.Click ()
[ ] 
