﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new Assembly item  in server and verify item created in client and vice versa
	[+] // Test Steps:
		[ ] // Step 1: Invoke Item List
		[ ] // Step 2: Create a Sale on client
	[+] // Expected Result:
		[ ] // Result 1: Verify Item created on server
		[ ] // Result 2: Verify sale is created
[ ] // TESTCASE::CLT_AddInventoryItem
[ ] // ATC ID::POS_CS_ATC_001
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_AddInventoryItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_AddInventoryItem () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem1, nirItem2
		[ ] LIST OF STRING lsItemsExpected
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Item created on server
			[+] lsItemsExpected = {...}
				[ ] "5 AsmbItem1 System 300.00 2 2"
				[ ] "6 GrpItem1 System 300.00 0 0"
				[ ] "1 InvItem1 System 100.00 48 48"
				[ ] "2 InvItem2 System 200.00 48 48"
				[ ] "3 NonInvItem1 System 100.00 0 0"
				[ ] "4 ServItem1 System 100.00 0 0"
				[ ] "7 SrvInvItem System 120.00 20 20"
			[ ] WaitForPageToLoad (3)
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ItemTexts, lsItemsExpected, "Items listed in list")
			[ ] 
		[ ] 
		[+] // Step 2: Create an Inventory item on client
			[ ] Items.ItemsList.Topbar.Add.Click ()
			[ ] nirItem2 = {}
			[ ] nirItem2.sItemName = "CltInvItem"
			[ ] nirItem2.sDepartment = "System"
			[ ] nirItem2.sItemType = "Inventory"
			[ ] nirItem2.sRegularPrice = "130.00"
			[ ] nirItem2.sAvgUnitCost = "70.00"
			[ ] nirItem2.sOnHandQty = "20"
			[ ] CreateNewItem (nirItem2)
		[ ] 
		[+] // Result 2: Verify Item created on both server and client
			[+] lsItemsExpected = {...}
				[ ] "5 AsmbItem1 System 300.00 2 2"
				[ ] "6 GrpItem1 System 300.00 0 0"
				[ ] "1 InvItem1 System 100.00 48 48"
				[ ] "2 InvItem2 System 200.00 48 48"
				[ ] "3 NonInvItem1 System 100.00 0 0"
				[ ] "4 ServItem1 System 100.00 0 0"
				[ ] "7 SrvInvItem System 120.00 20 20"
				[ ] "8 CltInvItem System 130.00 20 20"
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ItemTexts, lsItemsExpected, "Items listed in list")
			[ ] nirItem1 = {}
			[ ] nirItem1.sItemName = "SrvInvItem"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem1.sItemName)
			[ ] Items.ItemsList.Topbar.Edit.Click ()
			[ ] VerifyItemData (nirItem1)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem2.sItemName)
			[ ] Items.ItemsList.Topbar.Edit.Click ()
			[ ] VerifyItemData (nirItem2)
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[ ] SetServerTransactionStatus ("START")
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
