﻿[+] // TEST DESCRIPTION
	[ ] // Test Goal: Open Item for editing in server and verify same so is locked for editing on client for editing concurrently and vice versa
	[+] // Test Steps:
		[ ] // 1: Open an item for Edit
		[ ] // 2: Wait for client to finish
		[ ] // 3. Close the Item and wait for client to finish
		[ ] // 4.Open Item for edit and start editing
	[+] // Expected Result:
		[ ] // 1: Verify Item is locked for editing
[ ] // TESTCASE::CLT_ConcurrentItemEdit
[ ] // ATC ID::POS_CS_ATC_021
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_ConcurrentItemEdit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_ConcurrentItemEdit () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] NewItemRec nirItem = {}
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open Item for edit and start editing
			[ ] nirItem.sItemName = "InvItem1"
			[ ] nirItem.sRegularPrice = "135.00"
			[ ] OpenItemForEdit (nirItem)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.RegPrice.SetData ("130")
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.RegPrice.Typekeys ("<Tab>")
		[+] // Result 1: Verify Item is locked for edit
			[ ] sMessage = "The data you are trying to modify is in use"
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "Document edit locked")
		[+] // Step 2: Click OK , close Item and wait for server to finish
			[ ] Items.Information.OK.Click ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
			[+] if Items.Confirmation.DiscardChanges.Exists (3)
				[ ] Items.Confirmation.DiscardChanges.Click ()
			[+] if Items.Confirmation.OK.Exists (3)
				[ ] Items.Confirmation.OK.Click ()
			[+] if Items.Confirmation.Yes.Exists (3)
				[ ] Items.Confirmation.Yes.Click ()
			[ ] SetClientTransactionStatus ("ONHOLD")
			[ ] SetServerTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnClient ()
		[+] // Step 3: Open Item for edit and start editing
			[ ] OpenItemForEdit (nirItem)
			[ ] Items.ItemsList.EditInventoryItem.FillForm (nirItem)
			[ ] Items.ItemsList.EditInventoryItem.Typekeys ("<Tab>")
			[ ] SetClientTransactionStatus ("ONHOLD")
			[ ] SetServerTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnClient ()
		[+] // Step 4: Close Item
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
			[+] if Items.Confirmation.DiscardChanges.Exists (3)
				[ ] Items.Confirmation.DiscardChanges.Click ()
			[+] if Items.Confirmation.OK.Exists (3)
				[ ] Items.Confirmation.OK.Click ()
			[+] if Items.Confirmation.Yes.Exists (3)
				[ ] Items.Confirmation.Yes.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
