﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Open PO for editing in server and verify same PO is locked for editing on client for editing concurrently and vice versa
	[+] // Test Steps:
		[ ] // 1: Open PO for edit and try editing
		[ ] // 2: Wait for client to finish
		[ ] // 3. Click OK , close PO and wait for server to finish
		[ ] // 4.Close PO
	[+] // Expected Result:
		[ ] // 1: Verify PO is locked for editing
[ ] // TESTCASE::CLT_ConcurrentPOEdit
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\PurchaseOrder.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_ConcurrentPOEdit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_ConcurrentPOEdit () appstate NonBasicClient
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] PurchaseOrderRec porPO
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open PO for edit and try editing
			[ ] porPO.sPONum = "1"
			[ ] POList.PurchaseOrderList.Invoke ()
			[ ] POList.OpenPOForEdit (porPO.sPONum)
			[ ] PurchaseOrder.EditPurchaseOrder.PageList.PONumber.SetText ("6")
		[+] // Result 1: Verify PO is locked for editing
			[ ] VerifySafely (PointOfSaleMessage.Exists (3), TRUE, "Document edit locked")
		[+] // Step 2: Click OK , close SO and wait for server to finish
			[ ] PointOfSaleMessage.OK.Click ()
			[ ] PurchaseOrder.BottomBar.Close.Click ()
			[ ] SetClientTransactionStatus ("ONHOLD")
			[ ] SetServerTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnClient ()
		[+] // Step 3: Open PO for edit and start editing
			[ ] POList.OpenPOForEdit (porPO.sPONum)
			[ ] PurchaseOrder.EditPurchaseOrder.PageList.PONumber.SetText ("9")
			[ ] SetClientTransactionStatus ("ONHOLD")
			[ ] SetServerTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnClient ()
		[+] // Step 4: Close PO
			[ ] PurchaseOrder.BottomBar.Cancel.Click ()
	[ ] 
	[+] // CLEAN UP
		[+] if PurchaseOrderInProgress.Exists (3)
			[ ] PurchaseOrderInProgress.Yes.Click ()
		[ ] POList.BottomBar.Close.Click ()
		[ ] SetClientTransactionStatus ("COMPLETE")
		[ ] SetServerTransactionStatus ("START")
[ ] 
