﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify concurrently editing a vendor on both server and client
	[+] // Test Steps:
		[ ] // Step 1: Invoke vendor List
		[ ] // Step 2: Edit vendor created on server and do not save the edit
		[ ] // Step 3: Wait for the server to edit the same data 
		[ ] // Step 4: Save the edited data
	[+] // Expected Result:
		[ ] // Result 1: Verify vendor edited on server
[ ] // TESTCASE::CLT_ConcurrentEditVendor
[ ] // ATC ID::POS_CS_027
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_ConcurrentEditVendor.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_ConcurrentEditVendor () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewVendorRec nvrVendor1, nvrVendor2
	[ ] 
	[+] // SETUP
		[ ] SetClientTransactionStatus ("ONHOLD")
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke vendor List
			[ ] Vendors.VendorList.Invoke ()
		[ ] 
		[+] // Result 1: Verify vendor created on server
			[ ] nvrVendor1 = {}
			[ ] nvrVendor1.sCompany = "SrvVen"
			[ ] nvrVendor1.sFirstName = "SrvVenF"
			[ ] nvrVendor1.sLastName = "SrvVenL"
			[ ] WaitTill (Vendors.VendorList.Topbar.SearchVendor.IsEnabled)
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (nvrVendor1.sCompany)
			[ ] VerifyVendorsData (nvrVendor1)
			[+] if Vendors.VendorList.EditVendor.Exists ()
				[ ] Vendors.VendorList.EditVendor.Cancel.Click ()
			[+] // if VendorList.VendorList.Exists ()
				[ ] // VendorList.BottomBar.Close.Click ()
		[ ] 
		[+] // Step 2: Edit vendor created on server and do not save the edit
			[ ] nvrVendor2 = {}
			[ ] nvrVendor2.sLastName = "CltVenL1"
			[ ] Vendors.VendorList.Topbar.SearchVendor.Clear ()
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (nvrVendor1.sCompany)
			[ ] Vendors.VendorList.Topbar.Edit.Click ()
			[ ] Vendors.VendorList.EditVendor.FillForm (nvrVendor2)
		[ ] 
		[+] // Step 3: Wait for the server to edit the same data 
			[ ] SetClientTransactionStatus ("ONHOLD")
			[ ] SetServerTransactionStatus ("START")
			[ ] WaitForTransactionToBeCompletedOnServer ()
		[ ] 
		[+] // Step 4: Save the edited data
			[ ] Vendors.VendorList.EditVendor.Save.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[+] if Vendors.VendorList.Exists ()
			[ ] Vendors.VendorList.Topbar.Home.Click ()
[ ] 
