﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Open WO for editing in server and verify same WO is locked for editing on client for editing concurrently and vice versa
	[+] // Test Steps:
		[ ] // 1: Open WO for edit and try editing
		[ ] // 2: Wait for client to finish
		[ ] // 3. Click OK , close WO and wait for server to finish
		[ ] // 4.Close WO
	[+] // Expected Result:
		[ ] // 1: Verify WO is locked for editing
[ ] // TESTCASE::CLT_ConcurrentWOEdit
[ ] // ATC ID::POS_CS_ATC_025
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConWOleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_ConcurrentWOEdit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_ConcurrentWOEdit () appstate NonBasicClient
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] CustomerOrderRec corWO
		[ ] NewItemRec nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open WO for edit and try editing
			[ ] corWO.sWONum = "1"
			[ ] WOList.WorkOrderList.Invoke ()
			[ ] WOList.OpenWOForEdit (corWO.sWONum)
			[ ] WorkOrder.EditWorkOrder.PageList.WONum.Click ()
			[ ] WorkOrder.EditWorkOrder.PageList.WONum.Typekeys ("8")
		[+] // Result 1: Verify WO is locked for editing
			[ ] VerifySafely (PointOfSaleMessage.Exists (3), TRUE, "Document edit locked")
		[+] // Step 2: Click OK , close WO and wait for server to finish
			[ ] PointOfSaleMessage.OK.Click ()
			[ ] WorkOrder.BottomBar.Close.Click ()
			[ ] SetClientTransactionStatus ("ONHOLD")
			[ ] SetServerTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnClient ()
		[+] // Step 3: Open WO for edit and start editing
			[ ] WOList.OpenWOForEdit (corWO.sWONum)
			[ ] WorkOrder.EditWorkOrder.PageList.WONum.SetText ("9")
			[ ] SetClientTransactionStatus ("ONHOLD")
			[ ] SetServerTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnClient ()
		[+] // Step 4: Close WO
			[ ] WorkOrder.BottomBar.Cancel.Click ()
			[+] if WorkOrderInProgress.Exists (3)
				[ ] WorkOrderInProgress.Yes.Click ()
			[ ] WOList.BottomBar.Close.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[+] if SalesHistory.SalesList.Topbar.Home.Exists (3)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
