﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a sale in server and verify sale created in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Create a new item
		[ ] // 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify sale created on Server
		[ ] // 2: Verify on hand qty of item
		[ ] // 3: Verify sale is created on client
[ ] // TESTCASE::CLT_CreateSale
[ ] // ATC ID::POS_CS_ATC_011
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_CreateSale.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_CreateSale () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] SetClientTransactionStatus ("ONHOLD")
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Sales HIstoy
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 1: Verify sale created on Server
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
			[ ] VerifySalesReceipt (lsSalesExpected)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[ ] 
		[+] // Result 2: Verify on hand qty of item
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] nirItem = GetItemDataFromDetail (nirItem, TRUE)
			[ ] VerifySafely (nirItem.sOnHandQty, "47", "Item qty updated after sale")
		[ ] 
		[+] // Step 2: Create a Sale on client
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem2"
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] srrSale.sButton = "Save"
			[ ] srrSale.bExitSales = TRUE
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Result 3: Verify sale is created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
				[ ] "Regular Sales 2 2 1 210.00 1 Cash"
			[ ] VerifySalesReceipt (lsSalesExpected)
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[ ] SetServerTransactionStatus ("START")
		[+] if SalesHistory.SalesList.Topbar.Home.Exists (3)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
