﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a voucher in server and verify voucher created in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Invoke Receving HIstory
		[ ] // 2: Create a voucher on client
	[+] // Expected Result:
		[ ] // 1: Verify voucher created on Server
		[ ] // 2: Verify on hand qty of item
		[ ] // 3: Verify voucher is created
[ ] // TESTCASE::CLT_CreateVoucher
[ ] // ATC ID::POS_CS_016
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_CreateVoucher.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_CreateVoucher () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] ReceivingVoucherRec rvr
		[ ] LIST OF STRING lsVoucherExpected
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] SetClientTransactionStatus ("ONHOLD")
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Receving HIstory
			[ ] ReceivingHistory.VoucherList.Invoke ()
		[ ] 
		[+] // Result 1: Verify voucher created on Server
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 1 System 1 50.00 Already paid 1"
			[ ] VerifyReceivingVoucher (lsVoucherExpected)
			[ ] ReceivingHistory.VoucherList.Topbar.Home.Click ()
		[ ] 
		[+] // Result 2: Verify on hand qty of item
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] nirItem = GetItemDataFromDetail (nirItem, TRUE)
			[ ] VerifySafely (nirItem.sOnHandQty, "49", "Item qty updated after receiving voucher")
		[ ] 
		[+] // Step 2: Create a voucher on client
			[ ] rvr = {}
			[ ] rvr.lsItems = {"InvItem2"}
			[ ] rvr.sVendor = "System"
			[ ] rvr.sButton = "Save"
			[ ] rvr.bExitVoucher = TRUE
			[ ] CreateReceivingVoucher (rvr)
		[ ] 
		[+] // Result 3: Verify voucher is created
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 1 System 1 50.00 Already paid 1"
				[ ] "Regular Receiving 2 2 System 1 100.00 Already paid 1"
			[ ] VerifyReceivingVoucher (lsVoucherExpected)
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[ ] SetServerTransactionStatus ("START")
		[+] if ReceivingHistory.VoucherList.Topbar.Home.Exists (3)
			[ ] ReceivingHistory.VoucherList.Topbar.Home.Click ()
[ ] 
