﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete a vendor in server and verify vendor is deleted on client and vice versa
	[+] // Test Steps:
		[ ] // Step 1: Invoke Vendor List
		[ ] // Step 2: Select vendor "PVendor2"
		[ ] // Step 3: Delete the vendor "PVendor2"
	[+] // Expected Result:
		[ ] // Result 1: Verify the vendor deleted at server is not present in the vendor list
[ ] // TESTCASE::CLT_DeleteVendor
[ ] // ATC ID::POS_CS_032
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_DeleteVendor.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_DeleteVendor () appstate Client
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewVendorRec nvrVendor
	[ ] 
	[+] // SETUP
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Vendor List
			[ ] Vendors.VendorList.Invoke ()
		[ ] 
		[+] // Result 1: Verify the vendor deleted at server is not present in the vendor list
			[ ] nvrVendor = {}
			[ ] nvrVendor.sCompany = "PVendor1"
			[ ] WaitTill (Vendors.VendorList.Topbar.SearchVendor.IsEnabled)
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (nvrVendor.sCompany)
			[ ] VerifySafely (Vendors.VendorList.Topbar.Edit.IsEnabled (), TRUE, "Vendor has been deleted after clickin on delete")
		[ ] 
		[+] // Step 2: Select vendor "PVendor2"
			[ ] nvrVendor.sCompany = "PVendor2"
			[ ] Vendors.VendorList.OpenVendorsForEdit (nvrVendor.sCompany)
		[ ] 
		[+] // Step 3: Delete the vendor "PVendor2"
			[ ] Vendors.VendorList.Typekeys ("<Alt-O-D>")
			[ ] WaitFor (DeleteVendor.Delete, 10)
			[ ] DeleteVendor.Delete.Click ()
			[ ] WaitFor(Vendors.Confirmation)
			[ ] Vendors.Confirmation.Delete.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[+] if Vendors.VendorList.Exists ()
			[ ] Vendors.VendorList.Topbar.Home.Click ()
[ ] 
