﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a sale in server and verify sale created in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Create a new item
		[ ] // 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify sale created on Server
		[ ] // 2: Verify on hand qty of item
		[ ] // 3: Verify sale is created on client
[ ] // TESTCASE::CLT_SellGroupItem
[ ] // ATC ID::POS_CS_ATC_013
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CLT_SellGroupItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CLT_SellGroupItem () appstate NonBasicClient
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
		[ ] NewItemRec nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] SetClientTransactionStatus ("ONHOLD")
		[ ] WaitForStartingTransactionOnClient ()
		[ ] SetClientTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Result 1: Verify Item qty
			[ ] nirItem1 = {}
			[ ] nirItem1.sItemName = "InvItem1"
			[ ] nirItem2 = {}
			[ ] nirItem2.sItemName = "InvItem2"
			[ ] nirItem1 = GetItemDataFromDetail (nirItem1)
			[ ] nirItem2 = GetItemDataFromDetail (nirItem2, TRUE)
			[ ] VerifySafely (nirItem1.sAvailableQty, "47", "Qty updated")
			[ ] VerifySafely (nirItem2.sAvailableQty, "47", "Qty updated")
		[ ] 
		[+] // Step 2: Create a Sale on client
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "GrpItem1"
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] srrSale.sButton = "Save"
			[ ] srrSale.bExitSales = TRUE
			[ ] CreateSalesReceipt (srrSale)
	[ ] 
	[+] // CLEAN UP
		[ ] SetClientTransactionStatus ("COMPLETE")
		[ ] SetServerTransactionStatus ("START")
		[+] if SalesHistory.SalesList.Topbar.Home.Exists (3)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
