﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a customer in server and verify customer created in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Create a new customer
		[ ] // 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify customer is created on client
[ ] // TESTCASE::SRV_AddCustomer
[ ] // ATC ID::POS_CS_014
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_AddCustomer.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_AddCustomer ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewCustomerRec ncrCust1, ncrCust2
		[ ] LIST OF STRING lsCustomersExpected
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // STEP 1: Create a new customer
			[ ] ncrCust1 = {}
			[ ] ncrCust1.sFirstName = "SrvCustF"
			[ ] ncrCust1.sLastName = "SrvCustL"
			[ ] ncrCust1.sEmail = "SrvCust@ymail.com"
			[ ] CreateNewCustomer (ncrCust1)
		[ ] 
		[+] // RESULT 1: Verify customer created
			[+] lsCustomersExpected = {...}
				[ ] "Cust1F Cust1L Cust1L Cust1F 1111111111 2222222222 cust1@pos.com CustStreet MountainView California 123456"
				[ ] "Cust2F Cust2L Cust2L Cust2F 1111111112 2222222223 cust2@pos.com custstreet Bangalore Karnataka 321654"
				[ ] "SrvCustF SrvCustL SrvCustL SrvCustF SrvCust@ymail.com"
			[ ] VerifySafely (Customers.CustomerList.CustomerGrid.ItemTexts, lsCustomersExpected, "Customers listed in list")
		[ ] 
		[+] // STEP 2: Go to Home and Wait for client to finish
			[ ] Customers.CustomerList.Topbar.Home.Click ()
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForTransactionToBeCompletedOnClient ()
		[ ] 
		[+] // RESULT 2: Verify customer is created on client
			[+] lsCustomersExpected = {...}
				[ ] "CltCustF CltCustL CltCustL CltCustF CltCust@ymail.com"
				[ ] "Cust1F Cust1L Cust1L Cust1F 1111111111 2222222222 cust1@pos.com CustStreet MountainView California 123456"
				[ ] "Cust2F Cust2L Cust2L Cust2F 1111111112 2222222223 cust2@pos.com custstreet Bangalore Karnataka 321654"
				[ ] "SrvCustF SrvCustL SrvCustL SrvCustF SrvCust@ymail.com"
			[ ] Customers.CustomerList.Invoke ()
			[ ] VerifySafely (Customers.CustomerList.CustomerGrid.ItemTexts, lsCustomersExpected, "Customers listed in list")
		[ ] 
		[+] // STEP 3: Click on Add and create a new customer
			[ ] Customers.CustomerList.Topbar.Add.Click ()
			[ ] ncrCust1 = {}
			[ ] ncrCust1.sFirstName = "SrvCust2F"
			[ ] ncrCust1.sLastName = "SrvCust2L"
			[ ] ncrCust1.sEmail = "SrvCust2@ymail.com"
			[ ] CreateNewCustomer (ncrCust1)
		[ ] 
		[+] // RESULT 3: Verify customer is created on client
			[+] lsCustomersExpected = {...}
				[ ] "CltCustF CltCustL CltCustL CltCustF CltCust@ymail.com"
				[ ] "Cust1F Cust1L Cust1L Cust1F 1111111111 2222222222 cust1@pos.com CustStreet MountainView California 123456"
				[ ] "Cust2F Cust2L Cust2L Cust2F 1111111112 2222222223 cust2@pos.com custstreet Bangalore Karnataka 321654"
				[ ] "SrvCustF SrvCustL SrvCustL SrvCustF SrvCust@ymail.com"
				[ ] "SrvCust2F SrvCust2L SrvCust2L SrvCust2F SrvCust2@ymail.com"
			[ ] WaitForPageToLoad (3)
			[ ] VerifySafely (Customers.CustomerList.CustomerGrid.ItemTexts, lsCustomersExpected, "Customers listed in list")
			[ ] ncrCust2 = {}
			[ ] ncrCust2.sLastName = "CltCustL"
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCust2.sLastName)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
			[ ] VerifyCustomerData (ncrCust2)
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Customers.CustomerList.Topbar.Home.Exists (3)
			[ ] Customers.CustomerList.Topbar.Home.Click ()
[ ] 
