﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new Inventory item  in server and verify item created in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Create a new item
		[ ] // 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify Item is created on client
[ ] // TESTCASE::SRV_AddInventoryItem
[ ] // ATC ID::POS_CS_ATC_001
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_AddInventoryItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_AddInventoryItem ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem1, nirItem2
		[ ] LIST OF STRING lsItemsExpected
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a new item
			[ ] nirItem1 = {}
			[ ] nirItem1.sItemName = "SrvInvItem"
			[ ] nirItem1.sDepartment = "System"
			[ ] nirItem1.sItemType = "Inventory"
			[ ] nirItem1.sRegularPrice = "120.00"
			[ ] nirItem1.sAvgUnitCost = "60.00"
			[ ] nirItem1.sOnHandQty = "20"
			[ ] CreateNewItem (nirItem1)
		[ ] 
		[+] // Result 1: Verify Item created
			[+] lsItemsExpected = {...}
				[ ] "5 AsmbItem1 System 300.00 2 2"
				[ ] "6 GrpItem1 System 300.00 0 0"
				[ ] "1 InvItem1 System 100.00 48 48"
				[ ] "2 InvItem2 System 200.00 48 48"
				[ ] "3 NonInvItem1 System 100.00 0 0"
				[ ] "4 ServItem1 System 100.00 0 0"
				[ ] "7 SrvInvItem System 120.00 20 20"
			[ ] WaitForPageToLoad (3)
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ItemTexts, lsItemsExpected, "Items listed in list")
		[ ] 
		[+] // Step 2: Go to Home and Wait for client to finish
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnServer ()
		[ ] 
		[+] // Result 2: Verify item created on client
			[+] lsItemsExpected = {...}
				[ ] "5 AsmbItem1 System 300.00 2 2"
				[ ] "8 CltInvItem System 130.00 20 20"
				[ ] "6 GrpItem1 System 300.00 0 0"
				[ ] "1 InvItem1 System 100.00 48 48"
				[ ] "2 InvItem2 System 200.00 48 48"
				[ ] "3 NonInvItem1 System 100.00 0 0"
				[ ] "4 ServItem1 System 100.00 0 0"
				[ ] "7 SrvInvItem System 120.00 20 20"
			[ ] Items.ItemsList.Invoke ()
			[ ] WaitForPageToLoad (3)
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ItemTexts, lsItemsExpected, "Items listed in list")
		[ ] 
		[+] // Step 3: Click on Add and create a new Item
			[ ] Items.ItemsList.Topbar.Add.Click ()
			[ ] nirItem1 = {}
			[ ] nirItem1.sItemName = "SrvInvItem2"
			[ ] nirItem1.sDepartment = "System"
			[ ] CreateNewItem (nirItem1)
		[ ] 
		[+] // Result 3: Verify Item is created on client
			[+] lsItemsExpected = {...}
				[ ] "5 AsmbItem1 System 300.00 2 2"
				[ ] "8 CltInvItem System 130.00 20 20"
				[ ] "6 GrpItem1 System 300.00 0 0"
				[ ] "1 InvItem1 System 100.00 48 48"
				[ ] "2 InvItem2 System 200.00 48 48"
				[ ] "3 NonInvItem1 System 100.00 0 0"
				[ ] "4 ServItem1 System 100.00 0 0"
				[ ] "7 SrvInvItem System 120.00 20 20"
				[ ] "9 SrvInvItem2 System 0.00 0 0"
			[ ] WaitForPageToLoad (3)
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ItemTexts, lsItemsExpected, "Items listed in list")
			[ ] nirItem2 = {}
			[ ] nirItem2.sItemName = "CltInvItem"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem2.sItemName)
			[ ] Items.ItemsList.Topbar.Edit.Click ()
			[ ] VerifyItemData (nirItem2)
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
