﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a vendor in server and verify vendor created in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Invoke New Vendor window
		[ ] // 2: Create a new vendor
		[ ] // 3: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify vendor created on client
[ ] // TESTCASE::SRV_AddVendor
[ ] // ATC ID::POS_CS_019
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_AddVendor.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_AddVendor ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewVendorRec nvrVendor1, nvrVendor2
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke New Vendor window
			[ ] Vendors.VendorList.AddVendor.Invoke ()
		[ ] 
		[+] // Step 2: Create a new vendor
			[ ] nvrVendor1 = {}
			[ ] nvrVendor1.sVendorCode = "SRV"
			[ ] nvrVendor1.sCompany = "SrvVen"
			[ ] nvrVendor1.sFirstName = "SrvVenF"
			[ ] nvrVendor1.sLastName = "SrvVenL"
			[ ] Vendors.VendorList.AddVendor.FillForm (nvrVendor1)
			[ ] Vendors.VendorList.AddVendor.Save.Click ()
		[ ] 
		[+] // Step 3: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForTransactionToBeCompletedOnClient ()
		[ ] 
		[+] // Result 1: Verify vendor created on client
			[ ] nvrVendor2 = {}
			[ ] nvrVendor2.sCompany = "CltVen"
			[ ] nvrVendor2.sFirstName = "CltVenF"
			[ ] nvrVendor2.sLastName = "CltVenL"
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (nvrVendor2.sCompany)
			[ ] WaitTill(Vendors.VendorList.Topbar.Edit.IsEnabled)
			[ ] // Vendors.VendorList.Topbar.Edit.Click ()
			[ ] VerifyVendorsData (nvrVendor2)
			[+] if Vendors.VendorList.EditVendor.Exists (5)
				[ ] Vendors.VendorList.EditVendor.Cancel.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Vendors.VendorList.Exists ()
			[ ] Vendors.VendorList.Topbar.Home.Click ()
[ ] 
