﻿[ ] 
[+] testcase SRV_ConcurrentCustomerEdit ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] NewCustomerRec ncrCust = {}
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("CustomerOrders.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open a Customer for Edit
			[ ] ncrCust.sLastName = "Cust1L"
			[ ] ncrCust.sPhone = "1234567891"
			[ ] OpenCustomerForEdit (ncrCust)
			[ ] Customers.CustomerList.EditCustomer.FillForm (ncrCust)
			[ ] Customers.CustomerList.EditCustomer.Typekeys ("<Tab>")
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForTransactionToBeCompletedOnClient ()
			[ ] WaitForStartingTransactionOnServer ()
		[+] // Step 3: Close the Customer and wait for client to finish
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
			[+] if Customers.Confirmation.Yes.Exists (3)
				[ ] Customers.Confirmation.Yes.Click ()
			[ ] SetClientTransactionStatus ("START")
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] WaitForStartingTransactionOnServer ()
		[+] // Step 4: Open Item for edit and start editing
			[ ] OpenCustomerForEdit (ncrCust)
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.ContactInfo.Phone.SetData ("120")
			[ ] Customers.CustomerList.EditCustomer.Typekeys ("<Tab>")
		[+] // Result 1: Verify Item created on server
			[ ] sMessage = "The data you are trying to modify is in use"
			[ ] VerifySafely (Customers.Information.VerifyMessage (sMessage), TRUE, "Document edit locked")
	[ ] 
	[+] // CLEAN UP
		[ ] Customers.Information.OK.Click ()
		[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
		[+] if Customers.Confirmation.Yes.Exists (3)
			[ ] Customers.Confirmation.Yes.Click ()
		[ ] SetClientTransactionStatus ("START")
		[ ] SetServerTransactionStatus ("ONHOLD")
		[ ] WaitForTransactionToBeCompletedOnClient ()
		[+] if Customers.Confirmation.Exists (3)
			[ ] Customers.Confirmation.DiscardChanges.Click ()
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Customers.CustomerList.Topbar.Home.Exists (3)
			[ ] Customers.CustomerList.Topbar.Home.Click ()
[ ] 
