﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Open Item for editing in server and verify same so is locked for editing on client for editing concurrently and vice versa
	[+] // Test Steps:
		[ ] // 1: Open an item for Edit
		[ ] // 2: Wait for client to finish
		[ ] // 3. Close the Item and wait for client to finish
		[ ] // 4.Open Item for edit and start editing
	[+] // Expected Result:
		[ ] // 1: Verify Item is locked for editing
[ ] // TESTCASE::SRV_ConcurrentItemEdit
[ ] // ATC ID::POS_CS_ATC_021
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_ConcurrentItemEdit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_ConcurrentItemEdit ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] NewItemRec nirItem = {}
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("CustomerOrders.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open an Item for Edit
			[ ] nirItem.sItemName = "InvItem1"
			[ ] nirItem.sRegularPrice = "125.00"
			[ ] OpenItemForEdit (nirItem)
			[ ] Items.ItemsList.EditInventoryItem.FillForm (nirItem)
			[ ] Items.ItemsList.EditInventoryItem.Typekeys ("<Tab>")
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForTransactionToBeCompletedOnClient ()
			[ ] WaitForStartingTransactionOnServer ()
		[+] // Step 3: Close the Item and wait for client to finish
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
			[+] if Items.Confirmation.DiscardChanges.Exists (3)
				[ ] Items.Confirmation.DiscardChanges.Click ()
			[+] if Items.Confirmation.OK.Exists (3)
				[ ] Items.Confirmation.OK.Click ()
			[+] if Items.Confirmation.Yes.Exists (3)
				[ ] Items.Confirmation.Yes.Click ()
			[ ] SetClientTransactionStatus ("START")
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] WaitForStartingTransactionOnServer ()
		[+] // Step 4: Open Item for edit and start editing
			[ ] OpenItemForEdit (nirItem)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.RegPrice.SetData ("120")
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.RegPrice.Typekeys ("<Tab>")
		[+] // Result 1: Verify Item created on server
			[ ] sMessage = "The data you are trying to modify is in use"
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "Document edit locked")
	[ ] 
	[+] // CLEAN UP
		[ ] Items.Information.OK.Click ()
		[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.Confirmation.DiscardChanges.Exists (3)
			[ ] Items.Confirmation.DiscardChanges.Click ()
		[+] if Items.Confirmation.OK.Exists (3)
			[ ] Items.Confirmation.OK.Click ()
		[+] if Items.Confirmation.Yes.Exists (3)
			[ ] Items.Confirmation.Yes.Click ()
		[ ] SetClientTransactionStatus ("START")
		[ ] SetServerTransactionStatus ("ONHOLD")
		[ ] WaitForTransactionToBeCompletedOnClient ()
		[+] if Items.Confirmation.Exists (3)
			[ ] Items.Confirmation.DiscardChanges.Click ()
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
