﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Open PO for editing in server and verify same PO is locked for editing on client for editing concurrently and vice versa
	[+] // Test Steps:
		[ ] // 1: Open an PO for Edit
		[ ] // 2: Wait for client to finish
		[ ] // 3. Close the PO and wait for client to finish
		[ ] // 4.Open PO for edit and start editing
	[+] // Expected Result:
		[ ] // 1: Verify PO is locked for editing
[ ] // TESTCASE::SRV_ConcurrentPOEdit
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\PurchaseOrder.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_ConcurrentPOEdit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_ConcurrentPOEdit () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] PurchaseOrderRec porPO
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("PurchaseOrder.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
		[ ] SetClientTransactionStatus ("START")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open an PO for Edit
			[ ] porPO.sPONum = "1"
			[ ] POList.PurchaseOrderList.Invoke ()
			[ ] POList.OpenPOForEdit (porPO.sPONum)
			[ ] PurchaseOrder.EditPurchaseOrder.PageList.PONumber.SetText ("5")
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForTransactionToBeCompletedOnClient ()
			[ ] WaitForStartingTransactionOnServer ()
		[+] // Step 3: Close the PO and wait for client to finish
			[ ] PurchaseOrder.BottomBar.Cancel.Click ()
			[+] if PurchaseOrderInProgress.Exists (3)
				[ ] PurchaseOrderInProgress.Yes.Click ()
			[ ] SetClientTransactionStatus ("START")
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] WaitForStartingTransactionOnServer ()
		[+] // Step 4: Open PO for edit and start editing
			[ ] POList.OpenPOForEdit (porPO.sPONum)
			[ ] PurchaseOrder.EditPurchaseOrder.PageList.PONumber.Click ()
			[ ] PurchaseOrder.EditPurchaseOrder.PageList.PONumber.Typekeys ("8")
		[+] // Result 1: Verify PO is locked for editing
			[ ] VerifySafely (PointOfSaleMessage.Exists (3), TRUE, "Document edit locked")
	[ ] 
	[+] // CLEAN UP
		[ ] PointOfSaleMessage.OK.Click ()
		[ ] SetClientTransactionStatus ("START")
		[ ] SetServerTransactionStatus ("ONHOLD")
		[ ] WaitForTransactionToBeCompletedOnClient ()
		[ ] PurchaseOrder.BottomBar.Close.Click ()
		[ ] POList.BottomBar.Close.Click () 
		[ ] SetServerTransactionStatus ("COMPLETE")
[ ] 
