﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Open So for editing in server and verify same so is locked for editing on client for editing concurrently and vice versa
	[+] // Test Steps:
		[ ] // 1: Open an SO for Edit
		[ ] // 2: Wait for client to finish
		[ ] // 3. Close the SO and wait for client to finish
		[ ] // 4.Open so for edit and start editing
	[+] // Expected Result:
		[ ] // 1: Verify Item created on server
[ ] // TESTCASE::SRV_ConcurrentSOEdit
[ ] // ATC ID::POS_CS_ATC_023
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_ConcurrentSOEdit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_ConcurrentSOEdit () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] CustomerOrderRec corSO
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("CustomerOrders.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
		[ ] SetClientTransactionStatus ("START")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open an SO for Edit
			[ ] corSO.sSONum = "1"
			[ ] SOList.SalesOrderList.Invoke ()
			[ ] SOList.OpenSOForEdit (corSO.sSONum)
			[ ] SalesOrder.EditSalesOrder.PageList.SONum.SetText ("9")
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForTransactionToBeCompletedOnClient ()
			[ ] WaitForStartingTransactionOnServer ()
		[+] // Step 3: Close the SO and wait for client to finish
			[ ] SalesOrder.BottomBar.Cancel.Click ()
			[+] if SalesOrderInProgress.Exists (3)
				[ ] SalesOrderInProgress.Yes.Click ()
			[ ] SetClientTransactionStatus ("START")
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] WaitForStartingTransactionOnServer ()
		[+] // Step 4: Open so for edit and start editing
			[ ] SOList.OpenSOForEdit (corSO.sSONum)
			[ ] SalesOrder.EditSalesOrder.PageList.SONum.Click ()
			[ ] SalesOrder.EditSalesOrder.PageList.SONum.Typekeys ("8")
		[+] // Result 1: Verify Item created on server
			[ ] VerifySafely (PointOfSaleMessage.Exists (3), TRUE, "Document edit locked")
			[ ] 
	[ ] 
	[+] // CLEAN UP
		[ ] PointOfSaleMessage.OK.Click ()
		[ ] SetClientTransactionStatus ("START")
		[ ] SetServerTransactionStatus ("ONHOLD")
		[ ] WaitForTransactionToBeCompletedOnClient ()
		[ ] SalesOrder.BottomBar.Close.Click ()
		[ ] SOList.BottomBar.Close.Click () 
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
