﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify concurrently editing a vendor on both server and client
	[+] // Test Steps:
		[ ] // 1: Create a new vendor
		[ ] // 2: Wait for client to finish
		[ ] // 3: Try editing the same vendor
		[ ] // 4: Click OK and click Close
	[+] // Expected Result:
		[ ] // 1: Verify Error message occurs
[ ] // TESTCASE::SRV_ConcurrentEditVendor
[ ] // ATC ID::POS_CS_027
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_ConcurrentEditVendor.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_ConcurrentEditVendor ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMsgActual, sMsgExpected
		[ ] NewVendorRec nvrVendor1, nvrVendor2
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a new vendor
			[ ] nvrVendor1 = {}
			[ ] nvrVendor1.sVendorCode = "SRV"
			[ ] nvrVendor1.sCompany = "SrvVen"
			[ ] nvrVendor1.sFirstName = "SrvVenF"
			[ ] nvrVendor1.sLastName = "SrvVenL"
			[ ] Vendor.NewVendor.Invoke ()
			[ ] Vendor.NewVendor.FillForm (nvrVendor1)
			[ ] Vendor.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForTransactionToBeCompletedOnClient ()
		[ ] 
		[+] // Step 3: Try editing the same vendor
			[ ] nvrVendor2 = {}
			[ ] nvrVendor2.sLastName = "SrvVenL1"
			[ ] VendorList.ToolBar.FindVendor.Click ()
			[ ] VendorList.Typekeys ("<Enter>")
			[ ] FindVendor.Keyword.SetText (nvrVendor1.sCompany)
			[ ] FindVendor.Find.Click ()
			[ ] FindVendor.SelectVendor.Click ()
			[ ] Vendor.EditVendor.FillForm (nvrVendor2)
			[ ] sleep (3)
		[ ] 
		[+] // Result 1: Verify Error message occurs
			[ ] sMsgActual = PointOfSaleMessage.GetMessage ()
			[ ] sMsgExpected = "is in use by Workstation #2"
			[ ] VerifySafely ( MatchStr ("*{sMsgExpected}*", sMsgActual), TRUE, "Message occurs")
			[ ] sMsgExpected = "Wait until the specified workstation has completed their activity"
			[ ] VerifySafely ( MatchStr ("*{sMsgExpected}*", sMsgActual), TRUE, "Message occurs")
		[ ] 
		[+] // Step 4: Click OK and click Close
			[ ] PointOfSaleMessage.OK.Click ()
			[ ] Vendor.BottomBar.Close.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if VendorList.VendorList.Exists ()
			[ ] VendorList.BottomBar.Close.Click ()
[ ] 
