﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Open WO for editing in server and verify same WO is locked for editing on client for editing concurrently and vice versa
	[+] // Test Steps:
		[ ] // 1: Open an WO for Edit
		[ ] // 2: Wait for client to finish
		[ ] // 3. Close the WO and wait for client to finish
		[ ] // 4.Open WO for edit and start editing
	[+] // Expected Result:
		[ ] // 1: Verify Item created on server
[ ] // TESTCASE::SRV_ConcurrentWOEdit
[ ] // ATC ID::POS_CS_ATC_025
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConWOleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_ConcurrentWOEdit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_ConcurrentWOEdit () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] CustomerOrderRec corWO
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("CustomerOrders.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
		[ ] SetClientTransactionStatus ("START")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open an WO for Edit
			[ ] corWO.sWONum = "1"
			[ ] WOList.WorkOrderList.Invoke ()
			[ ] WOList.OpenWOForEdit (corWO.sWONum)
			[ ] WorkOrder.EditWorkOrder.PageList.WONum.SetText ("9")
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForTransactionToBeCompletedOnClient ()
			[ ] WaitForStartingTransactionOnServer ()
		[+] // Step 3: Close the WO and wait for client to finish
			[ ] WorkOrder.BottomBar.Cancel.Click ()
			[+] if WorkOrderInProgress.Exists (3)
				[ ] WorkOrderInProgress.Yes.Click ()
			[ ] SetClientTransactionStatus ("START")
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] WaitForStartingTransactionOnServer ()
		[+] // Step 4: Open WO for edit and start editing
			[ ] WOList.OpenWOForEdit (corWO.sWONum)
			[ ] WorkOrder.EditWorkOrder.PageList.WONum.Click ()
			[ ] WorkOrder.EditWorkOrder.PageList.WONum.Typekeys ("8")
		[+] // Result 1: Verify Item created on server
			[ ] VerifySafely (PointOfSaleMessage.Exists (3), TRUE, "Document edit locked")
			[ ] 
	[ ] 
	[+] // CLEAN UP
		[ ] PointOfSaleMessage.OK.Click ()
		[ ] SetClientTransactionStatus ("START")
		[ ] SetServerTransactionStatus ("ONHOLD")
		[ ] WaitForTransactionToBeCompletedOnClient ()
		[ ] WorkOrder.BottomBar.Close.Click ()
		[ ] WOList.BottomBar.Close.Click () 
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
