﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a sale in server and verify sale created in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Create a sales receipt
		[ ] // 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify sale is created on client
		[ ] // 2: Verify on hand qty of item
[ ] // TESTCASE::SRV_CreateSale
[ ] // ATC ID::POS_CS_ATC_011
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_CreateSale.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_CreateSale ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] SalesReceiptRec srrSale
		[ ] LIST OF STRING lsSalesExpected
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a sales receipt
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] srrSale.sButton = "Save"
			[ ] srrSale.bExitSales = TRUE
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnServer ()
		[ ] 
		[+] // Result 1: Verify sale is created on client
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
				[ ] "Regular Sales 2 2 1 210.00 1 Cash"
			[ ] VerifySalesReceipt (lsSalesExpected)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[ ] 
		[+] // Result 2: Verify on hand qty of item
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] nirItem = GetItemDataFromDetail (nirItem, TRUE)
			[ ] VerifySafely (nirItem.sOnHandQty, "47", "Item qty updated after sale")
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if SalesHistory.SalesList.Topbar.Home.Exists (3)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
