﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a voucher in server and verify voucher created in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Create a receiving voucher
		[ ] // 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify voucher created on client
		[ ] // 2: Verify on hand qty of item
[ ] // TESTCASE::SRV_CreateVoucher
[ ] // ATC ID::POS_CS_016
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_CreateVoucher.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_CreateVoucher ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] ReceivingVoucherRec rvr
		[ ] LIST OF STRING lsVoucherExpected
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a receiving voucher
			[ ] rvr = {}
			[ ] rvr.lsItems = {"InvItem1"}
			[ ] rvr.sVendor = "System"
			[ ] rvr.sButton = "Save"
			[ ] rvr.bExitVoucher = TRUE
			[ ] CreateReceivingVoucher (rvr)
		[ ] 
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnServer ()
		[ ] 
		[+] // Result 1: Verify voucher created on client
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 1 System 1 50.00 Already paid 1"
				[ ] "Regular Receiving 2 2 System 1 100.00 Already paid 1"
			[ ] VerifyReceivingVoucher (lsVoucherExpected)
			[ ] ReceivingHistory.VoucherList.Topbar.Home.Click ()
		[ ] 
		[+] // Result 2: Verify on hand qty of item
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem2"
			[ ] nirItem = GetItemDataFromDetail (nirItem, TRUE)
			[ ] VerifySafely (nirItem.sOnHandQty, "49", "Item qty updated after receiving voucher")
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if SalesHistory.SalesList.Topbar.Home.Exists (3)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
