﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete a customer in server and verify customer is deleted in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Invoke Customer List and select customer "Cust1L"
		[ ] // 2: Delete the customer "Cust1L"
		[ ] // 3: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify the customer deleted on client is not present in the customer list
[ ] // TESTCASE::SRV_DeleteCustomer
[ ] // ATC ID::POS_CS_030
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_DeleteCustomer.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_DeleteCustomer ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewCustomerRec ncrCust1
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Customer List and select customer "Cust1L"
			[ ] ncrCust1 = {}
			[ ] ncrCust1.sLastName = "Cust1L"
			[ ] Customers.CustomerList.Invoke ()
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCust1.sLastName)
		[ ] 
		[+] // Step 2: Delete the customer "Cust1L"
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.Delete.Click ()
			[ ] WaitFor (Customers.Confirmation, 10)
			[ ] Customers.Confirmation.Delete.Click ()
			[ ] Customers.CustomerList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 3: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForTransactionToBeCompletedOnClient ()
		[ ] 
		[+] // Result 1: Verify the customer deleted on client is not present in the customer list
			[ ] ncrCust1.sLastName = "Cust2L"
			[ ] Customers.CustomerList.Invoke ()
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCust1.sLastName)
			[ ] VerifySafely (Customers.CustomerList.Topbar.Edit.IsEnabled, False, "Edit button is not active")
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Customers.CustomerList.Topbar.Home.Exists (3)
			[ ] Customers.CustomerList.Topbar.Home.Click ()
[ ] 
