﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete a vendor in server and verify vendor is deleted in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Invoke Vendor List and select vendor "PVendor1"
		[ ] // 2: Delete the vendor "PVendor1"
		[ ] // 3: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify the vendor deleted on client is not present in the vendor list
[ ] // TESTCASE::SRV_DeleteVendor
[ ] // ATC ID::POS_CS_032
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_DeleteVendor.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_DeleteVendor ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewVendorRec nvrVendor
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Vendor List and select vendor "PVendor1"
			[ ] nvrVendor = {}
			[ ] nvrVendor.sCompany = "PVendor1"
			[ ] VendorList.Invoke ()
			[ ] VendorList.SelectVendor (nvrVendor.sCompany)
		[ ] 
		[+] // Step 2: Delete the vendor "PVendor1"
			[ ] VendorList.Typekeys ("<Alt-O-D>")
			[ ] WaitFor (DeleteVendor.Delete, 10)
			[ ] DeleteVendor.Delete.Click ()
			[ ] VendorList.BottomBar.Close.Click ()
		[ ] 
		[+] // Step 3: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForTransactionToBeCompletedOnClient ()
		[ ] 
		[+] // Result 1: Verify the vendor deleted on client is not present in the vendor list
			[ ] nvrVendor.sCompany = "PVendor2"
			[ ] VendorList.Invoke ()
			[ ] VendorList.ToolBar.FindVendor.SetText (nvrVendor.sCompany)
			[ ] VendorList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindVendor.SelectVendor.IsEnabled (), FALSE, "Vendor has been deleted after clickin on delete")
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if FindVendor.Exists (3)
			[ ] FindVendor.Close.Click ()
		[+] if VendorList.VendorList.Exists ()
			[ ] VendorList.BottomBar.Close.Click ()
[ ] 
