﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Editing a customer on server and verify customer edits in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Invoke Customer List and select customer "Cust1L"
		[ ] // 2: Edit the selected customer
		[ ] // 3: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify the customer changes made at client
[ ] // TESTCASE::SRV_EditCustomer
[ ] // ATC ID::POS_CS_015
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_EditCustomer.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_EditCustomer ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewCustomerRec ncrCust1
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Customer List and select customer "Cust1L"
			[ ] ncrCust1 = {}
			[ ] ncrCust1.sLastName = "Cust1L"
			[ ] Customers.CustomerList.Invoke ()
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCust1.sLastName)
		[ ] 
		[+] // Step 2: Edit the selected customer
			[ ] ncrCust1.sPhone = "1112223334"
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.ContactInfo.Phone.SetData (ncrCust1.sPhone)
			[ ] Customers.CustomerList.EditCustomer.Save.Click ()
		[ ] 
		[+] // Step 3: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForTransactionToBeCompletedOnClient ()
		[ ] 
		[+] // Result 1: Verify the customer changes made at client
			[ ] ncrCust1.sPhone = "1112223115"
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCust1.sLastName)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
			[ ] VerifyCustomerData (ncrCust1)
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if Customers.CustomerList.Topbar.Home.Exists (3)
			[ ] Customers.CustomerList.Topbar.Home.Click ()
[ ] 
