﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Editing a vendor on server and verify vendor edits in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Open vendor list and select vendor "PVendor1"
		[ ] // 2: Edit the vendor  Last name
		[ ] // 3: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify the vendor changes made at client
[ ] // TESTCASE::SRV_EditVendor
[ ] // ATC ID::POS_CS_020
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_EditVendor.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_EditVendor ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMsgActual, sMsgExpected
		[ ] NewVendorRec nvrVendor1
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open vendor list and select vendor "PVendor1"
			[ ] nvrVendor1 = {}
			[ ] nvrVendor1.sCompany = "PVendor1"
			[ ] VendorList.Invoke ()
			[ ] sleep (4)
			[ ] VendorList.ToolBar.FindVendor.SetText (nvrVendor1.sCompany)
			[ ] VendorList.Typekeys ("<Enter>")
			[ ] FindVendor.SelectVendor.Click ()
		[ ] 
		[+] // Step 2: Edit the vendor  Last name
			[ ] nvrVendor1.sLastName = "SrvVenL1"
			[ ] Vendor.EditVendor.PageList.LastName.SetText (nvrVendor1.sLastName)
			[ ] Vendor.BottomBar.Save.Click ()
			[ ] Wait (5)
			[ ] VendorList.BottomBar.Close.Click ()
		[ ] 
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForTransactionToBeCompletedOnClient ()
			[ ] WaitForStartingTransactionOnServer ()
		[ ] 
		[+] // Result 1: Verify the vendor changes made at client
			[ ] nvrVendor1.sLastName = "CltVenL1"
			[ ] VendorList.Invoke ()
			[ ] VendorList.ToolBar.FindVendor.SetText (nvrVendor1.sCompany)
			[ ] VendorList.Typekeys ("<Enter>")
			[ ] FindVendor.SelectVendor.Click ()
			[ ] VerifyVendorData (nvrVendor1)
			[+] if Vendor.EditVendor.Exists (5)
				[ ] Vendor.BottomBar.Close.Click ()
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if VendorList.VendorList.Exists ()
			[ ] VendorList.BottomBar.Close.Click ()
[ ] 
