﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a sale in server and verify sale created in client and vice versa
	[+] // Test Steps:
		[ ] // 1: Create a sales receipt
		[ ] // 2: Wait for client to finish
	[+] // Expected Result:
		[ ] // 1: Verify sale is created on client
		[ ] // 2: Verify on hand qty of item
[ ] // TESTCASE::SRV_SellGroupItem
[ ] // ATC ID::POS_CS_ATC_013
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SRV_SellGroupItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SRV_SellGroupItem () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] SalesReceiptRec srrSale
		[ ] LIST OF STRING lsSalesExpected
		[ ] NewItemRec nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] WaitForUpdatingCompanyFileOnServer ()
		[ ] UpdateCompanyFileOnServer ("ConsoleDB1.qpb")
		[ ] SetCompanyFileUpdateStatus ("COMPLETE")
		[ ] WaitForClientToBeConnectedToServer ()
		[ ] SetServerTransactionStatus ("INPROGRESS")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a sales receipt
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "GrpItem1"
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] srrSale.sButton = "Save"
			[ ] srrSale.bExitSales = TRUE
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Step 2: Wait for client to finish
			[ ] SetServerTransactionStatus ("ONHOLD")
			[ ] SetClientTransactionStatus ("START")
			[ ] WaitForStartingTransactionOnServer ()
		[ ] 
		[+] // Result 1: Verify component item qtys
			[ ] nirItem1 = {}
			[ ] nirItem1.sItemName = "InvItem1"
			[ ] nirItem1 = GetItemDataFromDetail (nirItem1)
			[ ] nirItem2 = {}
			[ ] nirItem2.sItemName = "InvItem2"
			[ ] nirItem2 = GetItemDataFromDetail (nirItem2)
			[ ] VerifySafely (nirItem1.sAvailableQty, "46", "Qty updated")
			[ ] VerifySafely (nirItem2.sAvailableQty, "46", "Qty updated")
	[ ] 
	[+] // CLEAN UP
		[ ] SetServerTransactionStatus ("COMPLETE")
		[+] if SalesHistory.SalesList.Topbar.Home.Exists (3)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
