﻿[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify cloud sync
	[+] // Test Steps:
		[ ] // Step 1: Sync with cloud
		[ ] // Step 2: Click on View activity log
		[ ] // Step 3: Invoke Item List
		[ ] // Step 4: Invoke Sales History 
		[ ] // Step 5: Edit an Item and Sync
		[ ] // Step 6: Go to Wentao's Tool and get item details
		[ ] // Step 7: Edit Item on Cloud and Sync on POS
	[+] // Expected Result:
		[ ] // Result 1: Verify update messages displayed on widget
		[ ] // Result 2: Verify Sync log is open and log details are displayed correctly
		[ ] // Result 3: Verify Items from cloud has been added
		[ ] // Result 4: Verify sales from cloud has been added 
		[ ] // Result 5: Verify updated messages displayed on widget
		[ ] // Result 6: Verify item updated on cloud
		[ ] // Result 7: Verify update message and Item is edited
[ ] // TESTCASE.:CloudSync
[ ] // ATC ID::POS_CLD_ATC_002
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\Cloud1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CloudSync.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CloudSync ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sCloudItemID, sRefreshTime, sDescription, sLog
		[ ] LIST OF STRING lsSalesExpected, lsItemsExpected
		[ ] CloudItemRec cirItem
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Cloud1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToCloud (cc3_1)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 1: Verify update messages displayed on widget
			[+] do
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsAddedToPOS.Exists (2), TRUE, "Item added to POS displayed")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsAddedToPOS (), 1, "Correct no of items added")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ReceiptsAddedToPOS.Exists (2), TRUE, "Receipts added to POS displayed")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfReceiptsAddedToPOS (), 2, "Correct no of receipts added")
			[+] except
				[ ] Print ("Cloud Widget Error")
		[ ] 
		[+] // Step 2: Click on View activity log
			[ ] QuickBooksPointOfSale.HomeHeader.CloudWidget.ViewActivityLog.Click ()
		[ ] 
		[+] // Result 2: Verify Sync log is open and log details are displayed correctly
			[ ] VerifySafely (MobileSyncLog.MobileSyncLog.Exists (3), TRUE, "Sync Log window open")
			[ ] sLog = MobileSyncLog.MobileSyncLog.GetLog ()
			[ ] Print (sLog)
			[+] switch GetGuiType ()
				[+] case mswxp
					[ ] Print ("Not readable in XP")
				[+] case mswin7
					[ ] VerifySafely (MatchStr ("mobile sync started*", sLog), TRUE, "Log dispalyed")
					[ ] VerifySafely (MatchStr ("*Item added*", sLog), TRUE, "Log dispalyed")
					[ ] VerifySafely (MatchStr ("*mobile sync finished*", sLog), TRUE, "Log dispalyed")
		[ ] 
		[+] // Step 3: Invoke Item List
			[ ] MobileSyncLog.BottomBar.Close.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 3: Verify Items from cloud has been added
			[+] lsItemsExpected = {...}
				[ ] "CldItem1"
			[ ] VerifySafely (Items.ItemsList.ItemGrid.GetItemNameList (), lsItemsExpected, "Items Added toPOS")
		[ ] 
		[+] // Step 4: Invoke Sales History //This Step will be uncommented after cretion of data:dependent on GP build availability
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 4: Verify sales from cloud has been added //This Step will be uncommented after cretion of data:dependent on GP build availability
			[+] lsSalesExpected = {...}
				[ ] "7/9/2012 Regular Sales 1 1 cbanerjee+qa03@q 1 100.00 1 Credit Card"
				[ ] "7/13/2012 Regular Sales 1 2 cbanerjee+qa03@q 1 0.10 1 Credit Card"
			[ ] VerifySafely (GetSalesDetailFromSalesList (), lsSalesExpected, "Receipts Added to POS")
	[ ] 
	[+] // CLEANUP
		[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
