﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify import export of cloud items
	[+] // Test Steps:
		[ ] // Step 1: Open data import wizard and open default import template
		[ ] // Step 2: Get the list of fields
		[ ] // Step 3: Enter two items one with sync yes and other with sync No and save and close the excel
		[ ] // Step 4: Import the items 
		[ ] // Step 5: Sync with cloud
		[ ] // Step 6: Go to Wentao's Tool and get item list
		[ ] // Step 7: Add items to cloud
		[ ] // Step 8: Sync with cloud
		[ ] // Step 9: Export Items
	[+] // Expected Result:
		[ ] // Result 1: Verify Sync to mobile field is present
		[ ] // Result 2: Verify Items updated with correct update in Sync to mobile field
		[ ] // Result 3: Verify update messages displayed on widget
		[ ] // Result 4: Verify Items added to cloud
		[ ] // Result 5: Verify update messages displayed on widget
		[ ] // Result 6 : Invoke item list and verify Items added to POS
		[ ] // Result 7: Verfy export data
[ ] // TESTCASE.:CloudSync_ImportExport
[ ] // ATC ID::POS_CLD_ATC_007
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\Cloud2.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CloudSync_ImportExport.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CloudSync_ImportExport ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sCloudItemID, sRefreshTime, sDescription, sLog, sFile, sWebEnv
		[ ] LIST OF STRING lsSalesExpected, lsItemsExpected
		[ ] CloudItemRec cirItem, cirItem1P, cirItem2P, cirItem3C, cirItem4, cirItem5
		[ ] NewItemRec nirItem, nirItem1P, nirItem2P, nirItem3C, nirItem4, nirItem5, nirItem6, nirItem7
		[ ] ImportItemRec iirFields, iir1, iir2, iir3
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Cloud2.qpb"
		[ ] sWebEnv = GetWebEnv ()
		[+] if sWebEnv == ""
			[ ] sWebEnv = "PTC"
		[+] if sWebEnv == "QA"
			[ ] sWebEnv = "QA2"
		[ ] ClearCloudCompany (cc3_3, sWebEnv)
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToCloud (cc3_3)
		[+] // VARIABLE INITIALIZATION FOR POS ITEM VARIABLES
			[ ] nirItem1P = {}
			[ ] nirItem1P.sItemName = "POSImportItem1P"
			[ ] nirItem2P = {}
			[ ] nirItem2P.sItemName = "POSImportItem2P"
			[ ] nirItem3C = {}
			[ ] nirItem3C.sItemName = "CLDExportItem3C"
		[+] // VARIABLE INITIALIZATION FOR CLOUD ITEM VARIABLES
			[ ] cirItem1P = {}
			[ ] cirItem1P.sItemName = "POSImportItem1P"
			[ ] cirItem2P = {}
			[ ] cirItem2P.sItemName = "POSImportItem2P"
			[ ] cirItem3C = {}
			[ ] cirItem3C.sItemName = "CLDExportItem3C"
		[+] // VARIABLE INITIALIZATION FOR IMPORT ITEM VARIABLES
			[ ] iirFields = {}
			[ ] iir1 = {}
			[ ] iir1.sItemName = "POSImportItem1P"
			[ ] iir1.sDepartmentName = "System"
			[ ] iir1.sSynctoMobile = "YES"
			[ ] iir2 = {}
			[ ] iir2.sItemName = "POSImportItem2P"
			[ ] iir2.sDepartmentName = "System"
			[ ] iir2.sSynctoMobile = "NO"
			[ ] iir3 = {}
			[ ] RECT r = Desktop.GetRect ()
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open data import wizard and open default import template
			[ ] DataImportWizard.Invoke ()
			[+] do
				[ ] Sleep (1)
				[ ] Desktop.Click (1, r.xSize/2, r.ySize/2)
				[ ] Sleep (1)
				[ ] DataImportWizard.SetActive ()
			[+] except
				[ ] Desktop.Click (1, r.xSize/2, r.ySize/2)
			[ ] DataImportWizard.Next.Click ()
			[ ] DataImportWizard.PageList1.SelectImportType.InventoryItems.Click ()
			[ ] DataImportWizard.Next.Click ()
			[ ] DataImportWizard.PageList1.SelectTemplate.DefaultTemplate.Click ()
			[ ] DataImportWizard.Next.Click ()
			[ ] WaitFor (DataImportWizard.PageList1.DefaultTemplateTabSheet.OpenImportTemplate)
		[ ] 
		[+] // Step 2: Get the list of fields
			[ ] iirFields = GetDefaultImportTemplateFields (iirFields)
		[ ] 
		[+] // Result 1: Verify Sync to mobile field is present
			[ ] VerifySafely (iirFields.sSynctoMobile, "Sync to Mobile", "Sync to mobile field present in default template")
		[ ] 
		[+] // Step 3: Enter two items one with sync yes and other with sync No and save and close the excel
			[ ] SYS_Execute ("C:\QAP\POS\Config\CopyDefaultImportTemplate.bat")
			[ ] EnterDataInDefaultImportTemplate (12, iir1)
			[ ] EnterDataInDefaultImportTemplate (13, iir2)
		[ ] 
		[+] // Step 4: Import the items 
			[+] do
				[ ] // Desktop.Click (1, r.xSize/2, r.ySize/2)
				[ ] DataImportWizard.SetActive ()
			[+] except
				[ ] Desktop.Click (1, r.xSize/2, r.ySize/2)
			[ ] DataImportWizard.Next.Click ()
			[ ] DataImportWizard.PageList1.ItemMatching.FieldToDetermineDuplicate.Select ("Item Name + Attr + Size + Department")
			[ ] DataImportWizard.PageList1.ItemMatching.WhenDuplicateDetected.Select ("Replace existing data with import data, ignoring blank fields")
			[ ] DataImportWizard.PageList1.ItemMatching.WhenNoDepartmentDefined.Select ("System")
			[ ] DataImportWizard.Next.Click ()
			[ ] WaitFor (DataImportWizard.PageList1.ErrorHandling.BackupTheCompanyFileBefore)
			[+] do
				[ ] // Desktop.Click (1, r.xSize/2, r.ySize/2)
				[ ] DataImportWizard.SetActive ()
			[+] except
				[ ] Desktop.Click (1, r.xSize/2, r.ySize/2)
			[ ] DataImportWizard.PageList1.ErrorHandling.BackupTheCompanyFileBefore.Uncheck ()
			[ ] DataImportWizard.Import.Click ()
			[ ] DataImportWizard.Close.Click ()
		[ ] 
		[+] // Result 2: Verify Items updated with correct update in Sync to mobile field
			[ ] OpenItemForEdit (nirItem1P)
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.ScrollViewer.MoreInfo.SyncToMobile.IsChecked, TRUE, "Sync to mobile updated correctly")
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
			[ ] OpenItemForEdit (nirItem2P)
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.ScrollViewer.MoreInfo.SyncToMobile.IsChecked, FALSE, "Sync to mobile updated correctly")
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
		[ ] 
		[+] // Step 5: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 3: Verify update messages displayed on widget
			[+] do
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsAddedToMobile.Exists (2), TRUE, "Item added to POS displayed")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsAddedToMobile (), 1, "Correct no of items added")
			[+] except
				[ ] Print ("Sync Widget error")
		[ ] 
		[+] // Step 6: Go to Wentao's Tool and get item list
			[ ] LoginToWentaosTool (cc3_3, sWebEnv) 
		[ ] 
		[+] // Result 4: Verify Items added to cloud
			[+] lsItemsExpected = {...}
				[ ] "{cirItem1P.sItemName}"
			[ ] VerifySafely (GetCloudItemsList (), lsItemsExpected, "Items added to cloud")
		[ ] 
		[+] // Step 7: Add items to cloud
			[ ] AddNewItemInCloud (cirItem3C)
		[ ] 
		[+] // Step 8: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 5: Verify update messages displayed on widget
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsAddedToPOS.Exists (2), TRUE, "Item added to POS displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsAddedToPOS (), 1, "Correct no of items added")
		[ ] 
		[+] // Result 6 : Invoke item list and verify Items added to POS
			[+] lsItemsExpected = {...}
				[ ] "7 CLDExportItem3C System 0.00 0 0"
				[ ] "5 POSImportItem1P System 0.00 0 0"
				[ ] "6 POSImportItem2P System 0.00 0 0"
				[ ] "1 POSItemNS1 System Initially Not Synced 10.00 0 0"
				[ ] "2 POSItemNS2 System Initially Not Synced 10.20 10 10"
				[ ] "3 POSItemNS3 System Initially Not Synced 10.30 10 10"
				[ ] "4 POSItemNS4 System Initially Not Synced 10.40 10 10"
			[ ] Items.ItemsList.Topbar.SearchInventory.Clear ()
			[ ] Items.ItemsList.Topbar.Filter.Select ("All Items")
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "Items added")
		[ ] 
		[+] // Step 9: Export Items
			[ ] DataExportWizard.Invoke ()
			[+] if !DataExportWizard.IsActive ()
				[ ] Desktop.Click (1, r.xSize/2, r.ySize/2)
				[ ] Sleep (2)
			[ ] sFile = "CloudExport"
			[ ] DataExportWizard.ExportData ("InventoryItems", sFile)
		[ ] 
		[+] // Result 7: Verfy export data
			[ ] VerifySafely (CompareExcel ("CloudExport"), TRUE, "Match")
	[ ] 
	[+] // CLEANUP
		[+] if Items.ItemsList.Topbar.Home.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] ClearCloudCompany (cc3_3, sWebEnv)
[ ] 
