﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify cloud item image sync and update
	[+] // Test Steps:
		[ ] // Step 1: Edit item having one Image and check sync to mobile
		[ ] // Step 2: Sync with cloud
		[ ] // Step 3: Edit item having two Image and check sync to mobile
		[ ] // Step 4: Sync with cloud
		[ ] // Step 5: Go to Wentao's Tool and get item list 
		[ ] // Step 6: Get Item and Image Details
		[ ] // Step 7: Add Item and corresponding image
		[ ] // Step 8: Sync with cloud
		[ ] // Step 9: Edit items synced from pos to chnage the Primary pic
		[ ] // Step 10: Edit items synced from pos to chnage the Alternative pic
		[ ] // Step 11: Edit items synced to pos to chnage the Primary pic
		[ ] // Step 12: Edit items synced to pos to chnage the Alternative pic
		[ ] // Step 13: Sync with cloud
		[ ] // Step 14: Go to Wentao's Tool 
		[ ] // Step 15: EditThe Images of two item one synced from pos, one synced to pos
		[ ] // Step 16: Sync with cloud
		[ ] // Step 17: Delete items synced from pos to chnage the Alternative pic
		[ ] // Step 18: Delete items synced to pos to chnage the Primary pic
		[ ] // Step 19: Sync with cloud
		[ ] // Step 20: Go to Wentao's Tool and get Image details
	[+] // Expected Result:
		[ ] // Result 1: Verify update messages displayed on widget
		[ ] // Result 2: Verify update messages displayed on widget
		[ ] // Result 3: Verify Items added to cloud
		[ ] // Result 4: Verify Images added to cloud....................Get the Item Ids, then go to Images and get Images and get Item ids
		[ ] // Result 5: Verify update messages displayed on widget
		[ ] // Result 6 : Invoke item list and verify Items added to POS
		[ ] // Result 7: Verify itmages updated crrectly
		[ ] // Result 8: Verify update messages displayed on widget
		[ ] // Result 9: Verify Images updated
		[ ] // Result 10: Verify update messages displayed on widget
		[ ] // Result 11: Verify itmages updated crrectly
		[ ] // Result 12: Verify update messages displayed on widget
		[ ] // Result 13: Verify Image state is deleted
[ ] // TESTCASE.:CloudSync_ItemImages
[ ] // ATC ID::POS_CLD_ATC_008
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\Cloud2.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CloudSync_ItemImages.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CloudSync_ItemImages () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sCloudItemID, sRefreshTime, sDescription, sLog, sImage, sWebEnv
		[ ] LIST OF STRING lsSalesExpected, lsItemsExpected, lsItemIds
		[ ] CloudItemRec cirItem, cirItem1P, cirItem2P, cirItem3C, cirItem4C, cirItem5
		[ ] NewItemRec nirItem, nirItem1P, nirItem2P, nirItem3C, nirItem4C, nirItem5, nirItem6, nirItem7
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Cloud4.qpb"
		[ ] sWebEnv = GetWebEnv ()
		[+] if sWebEnv == ""
			[ ] sWebEnv = "PTC"
		[+] if sWebEnv == "QA"
			[ ] sWebEnv = "QA2"
		[ ] ClearCloudCompany (cc3_3, sWebEnv)
		[ ] QuickBooksPointOfSale.SetActive ()
		[ ] UpdateCompanyFile (sCompanyFile, "POS6")
		[ ] ConnectToCloud (cc3_3)
		[+] // VARIABLE INITIALIZATION FOR POS ITEM VARIABLES
			[ ] nirItem = {}
			[ ] nirItem1P = {}
			[ ] nirItem1P.sItemName = "POSItemIM1"
			[ ] nirItem1P.bSyncToMobile = TRUE
			[ ] nirItem2P = {}
			[ ] nirItem2P.sItemName = "POSItemIM2"
			[ ] nirItem2P.bSyncToMobile = TRUE
			[ ] nirItem3C = {}
			[ ] nirItem3C.sItemName = "CLDItemIM1"
			[ ] nirItem3C.bSyncToMobile = TRUE
			[ ] nirItem4C = {}
			[ ] nirItem4C.sItemName = "CLDItemIM2"
			[ ] nirItem4C.bSyncToMobile = TRUE
			[ ] nirItem5 = {}
			[ ] nirItem5.sItemName = "POSItemNS4"
			[ ] nirItem5.bSyncToMobile = TRUE
			[ ] nirItem = {}
		[+] // VARIABLE INITIALIZATION FOR CLOUD ITEM VARIABLES
			[ ] cirItem = {}
			[ ] cirItem1P = {}
			[ ] cirItem1P.sItemName = "POSItemIM1"
			[ ] // cirItem1.bUseForMobile = TRUE
			[ ] cirItem2P = {}
			[ ] cirItem2P.sItemName = "POSItemIM2"
			[ ] // cirItem2.bUseForMobile = TRUE
			[ ] cirItem3C = {}
			[ ] cirItem3C.sItemName = "CLDItemIM1"
			[ ] cirItem3C.bUseForMobile = TRUE
			[ ] cirItem4C = {}
			[ ] cirItem4C.sItemName = "CLDItemIM2"
			[ ] cirItem4C.bUseForMobile = TRUE
			[ ] cirItem5 = {}
			[ ] cirItem5.sItemName = "CLDItem3"
			[ ] cirItem5.bUseForMobile = TRUE
			[ ] 
	[ ] 
	[+] // STEPS
		[+] // Step 1: Edit item having one Image and check sync to mobile
			[ ] OpenItemForEdit (nirItem1P)
			[ ] Items.ItemsList.EditInventoryItem.FillForm (nirItem1P)
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
		[ ] 
		[+] // Step 2: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 1: Verify update messages displayed on widget
			[+] do
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsAddedToMobile.Exists (2), TRUE, "Item added to POS displayed")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsAddedToMobile (), 1, "Correct no of items added")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ImagesAddedToMobile.Exists (2), TRUE, "Image added to POS displayed")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfImagesAddedToMobile (), 1, "Correct no of images added")
			[+] except
				[ ] Print ("Sync Widget Error")
		[ ] 
		[+] // Step 3: Edit item having two Image and check sync to mobile
			[ ] OpenItemForEdit (nirItem2P)
			[ ] Items.ItemsList.EditInventoryItem.FillForm (nirItem2P)
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
			[ ] Items.ItemsList.Topbar.SearchInventory.Clear ()
		[ ] 
		[+] // Step 4: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 2: Verify update messages displayed on widget
			[+] do
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsAddedToMobile.Exists (2), TRUE, "Item added to POS displayed")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsAddedToMobile (), 1, "Correct no of items added")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ImagesAddedToMobile.Exists (2), TRUE, "Image added to POS displayed")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfImagesAddedToMobile (), 2, "Correct no of images added")
			[+] except
				[ ] Print ("Sync Widget Error")
		[ ] 
		[+] // Step 5: Go to Wentao's Tool and get item list 
			[ ] LoginToWentaosTool (cc3_3, sWebEnv) 
		[ ] 
		[+] // Result 3: Verify Items added to cloud
			[+] lsItemsExpected = {...}
				[ ] "POSItemIM1"
				[ ] "POSItemIM2"
			[ ] VerifySafely (GetCloudItemsList (), lsItemsExpected, "Items added to cloud")
		[ ] 
		[+] // Step 6: Get Item and Image Details
			[ ] GetItemDetailsFromSearchTable (cirItem1P)
			[ ] GetItemDetailsFromSearchTable (cirItem2P)
			[ ] GetImageDetailsFromSearchTable (cirItem1P)
			[ ] GetImageDetailsFromSearchTable (cirItem2P)
		[ ] 
		[+] // Result 4: Verify Images added to cloud....................Get the Item Ids, then go to Images and get Images and get Item ids
			[ ] sImage = "Item1P_PO_P"
			[ ] OpenImageForEditInCloud (cirItem1P.sImage1ID)
			[ ] VerifySafely (WebBrowser.BrowserPage.NewImage.NewImageForm.VerifyImage (sImage), TRUE, "Image added")
			[ ] sImage = "Item2P_PO_P"
			[ ] OpenImageForEditInCloud (cirItem2P.sImage1ID)
			[ ] VerifySafely (WebBrowser.BrowserPage.NewImage.NewImageForm.VerifyImage (sImage), TRUE, "Image added")
			[ ] sImage = "Item2P_PO_A"
			[ ] OpenImageForEditInCloud (cirItem2P.sImage2ID)
			[ ] VerifySafely (WebBrowser.BrowserPage.NewImage.NewImageForm.VerifyImage (sImage), TRUE, "Image added")
		[ ] 
		[+] // Step 7: Add Item and corresponding image
			[ ] cirItem3C.sImage1File = "C:\QAP\POS\Bitmaps\Penguins.jpg"
			[ ] AddNewItemInCloud (cirItem3C)
			[ ] cirItem4C.sImage1File = "C:\QAP\POS\Bitmaps\Chrysanthemum.jpg"
			[ ] AddNewItemInCloud (cirItem4C)
			[ ] GetItemDetailsFromSearchTable (cirItem3C)
			[ ] GetItemDetailsFromSearchTable (cirItem4C)
			[ ] GetImageDetailsFromSearchTable (cirItem3C)
			[ ] GetImageDetailsFromSearchTable (cirItem4C)
		[ ] 
		[+] // Step 8: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 5: Verify update messages displayed on widget
			[+] do
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsAddedToPOS.Exists (2), TRUE, "Item added to POS displayed")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsAddedToPOS (), 2, "Correct no of items added")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ImagesAddedToPOS.Exists (2), TRUE, "Item added to POS displayed")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfImagesAddedToPOS (), 2, "Correct no of items added")
			[+] except
				[ ] Print ("*****************Sync Widget error*******************")
		[ ] 
		[+] // Result 6 : Invoke item list and verify Items added to POS
			[+] lsItemsExpected = {...}
				[ ] "5 CLDItemIM1 System 0.00 0 0"
				[ ] "6 CLDItemIM2 System 0.00 0 0"
				[ ] "1 POSItemIM1 System Initially Not Synced 10.00 0 0"
				[ ] "2 POSItemIM2 System Initially Not Synced 10.20 10 10"
				[ ] "3 POSItemNS3 System Initially Not Synced 10.30 10 10"
				[ ] "4 POSItemNS4 System Initially Not Synced 10.40 10 10"
			[ ] Items.ItemsList.Topbar.Filter.Select ("All Items")
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData ("")
			[ ] WaitForPageToLoad (3)
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "Items added")
		[ ] 
		[+] // Result 7: Verify itmages updated crrectly
			[ ] sImage = "Item3C_CO_P"
			[ ] OpenItemForEdit (nirItem3C)
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.VerifyPicture (sImage), TRUE, "Image updated")
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
			[ ] sImage = "Item4C_CO_P"
			[ ] OpenItemForEdit (nirItem4C)
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.VerifyPicture (sImage), TRUE, "Image updated")
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[ ] 
		[+] // Step 9: Edit items synced from pos to chnage the Primary pic
			[ ] nirItem1P.sPicFilePrimary = "C:\QAP\POS\Bitmaps\Tulips.jpg"
			[ ] AddEditItemPicture (nirItem1P, nirItem1P.sPicFilePrimary, PRIMARY)
		[ ] 
		[+] // Step 10: Edit items synced from pos to chnage the Alternative pic
			[ ] nirItem2P.sPicFileAlternative = "C:\QAP\POS\Bitmaps\Jellyfish.jpg"
			[ ] AddEditItemPicture (nirItem2P, nirItem2P.sPicFileAlternative, ALTERNATIVE)
		[ ] 
		[+] // Step 11: Edit items synced to pos to chnage the Primary pic
			[ ] nirItem3C.sPicFilePrimary = "C:\QAP\POS\Bitmaps\Hydrangeas.jpg"
			[ ] AddEditItemPicture (nirItem3C, nirItem3C.sPicFilePrimary, PRIMARY)
		[ ] 
		[+] // Step 12: Edit items synced to pos to chnage the Alternative pic
			[ ] nirItem4C.sPicFileAlternative = "C:\QAP\POS\Bitmaps\Desert.jpg"
			[ ] AddEditItemPicture (nirItem4C, nirItem4C.sPicFileAlternative, ALTERNATIVE)
		[ ] 
		[+] // Step 13: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 8: Verify update messages displayed on widget
			[+] do
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ImagesAddedToMobile.Exists (2), TRUE, "Image added to POS displayed")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfImagesAddedToMobile (), 1, "Correct no of images added")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ImagesUpdatedOnMobile.Exists (2), TRUE, "Image added to POS displayed")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfImagesUpdatedOnMobile (), 5, "Correct no of images added")
			[+] except
				[ ] Print ("Sync Widget Error")
		[ ] 
		[+] // Step 14: Go to Wentao's Tool 
			[ ] WebBrowser.SetActive ()
			[ ] GetImageDetailsFromSearchTable (cirItem4C)
		[ ] 
		[+] // Result 9: Verify Images updated
			[ ] sImage = "Item1P_PE_P"
			[ ] OpenImageForEditInCloud (cirItem1P.sImage1ID)
			[ ] VerifySafely (WebBrowser.BrowserPage.NewImage.NewImageForm.VerifyImage (sImage), TRUE, "Image added")
			[ ] sImage = "Item2P_PE_A"
			[ ] OpenImageForEditInCloud (cirItem2P.sImage2ID)
			[ ] VerifySafely (WebBrowser.BrowserPage.NewImage.NewImageForm.VerifyImage (sImage), TRUE, "Image added")
			[ ] sImage = "Item3C_PE_P"
			[ ] OpenImageForEditInCloud (cirItem3C.sImage1ID)
			[ ] VerifySafely (WebBrowser.BrowserPage.NewImage.NewImageForm.VerifyImage (sImage), TRUE, "Image added")
			[ ] sImage = "Item4C_PE_A"
			[ ] OpenImageForEditInCloud (cirItem4C.sImage2ID)
			[ ] VerifySafely (WebBrowser.BrowserPage.NewImage.NewImageForm.VerifyImage (sImage), TRUE, "Image added")
		[ ] 
		[+] // Step 15: EditThe Images of two item one synced from pos, one synced to pos
			[ ] cirItem1P.sImage1File = "C:\QAP\POS\Bitmaps\Penguins.jpg"
			[ ] EditItemImageInCloud (cirItem1P)
			[ ] cirItem3C.sImage1File = "C:\QAP\POS\Bitmaps\Lighthouse.jpg"
			[ ] EditItemImageInCloud (cirItem3C)
		[ ] 
		[+] // Step 16: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 10: Verify update messages displayed on widget
			[+] do
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ImagesUpdatedInPOS.Exists (2), TRUE, "Image added to POS displayed")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfImagesUpdatedInPOS (), 2, "Correct no of images added")
			[+] except
				[ ] Print ("Sync Widget error")
		[ ] 
		[+] // Result 11: Verify itmages updated crrectly
			[ ] sImage = "Item1P_CE_P"
			[ ] OpenItemForEdit (nirItem1P)
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.VerifyPicture (sImage), TRUE, "Image updated")
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
			[ ] sImage = "Item3C_CE_P"
			[ ] OpenItemForEdit (nirItem3C)
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.VerifyPicture (sImage), TRUE, "Image updated")
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[ ] 
		[+] // Step 17: Delete items synced from pos to chnage the Alternative pic
			[ ] DeleteItemPicture (nirItem2P, ALTERNATIVE)
			[ ] DeleteItemPicture (nirItem2P, PRIMARY)
		[ ] 
		[+] // Step 18: Delete items synced to pos to chnage the Primary pic
			[ ] DeleteItemPicture (nirItem3C, PRIMARY)
		[ ] 
		[+] // Step 19: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 12: Verify update messages displayed on widget
			[+] do
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ImagesUpdatedOnMobile.Exists (2), TRUE, "Image added to POS displayed")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfImagesUpdatedOnMobile (), 3, "Correct no of images added")
			[+] except
				[ ] Print ("Sync Widget error")
		[ ] 
		[+] // Step 20: Go to Wentao's Tool and get Image details
			[ ] WebBrowser.SetActive ()
			[ ] GetImageDetailsFromSearchTable (cirItem2P)
			[ ] GetImageDetailsFromSearchTable (cirItem3C)
		[ ] 
		[+] // Result 13: Verify Image state is deleted
			[ ] VerifySafely (cirItem2P.sImage1State, "Deleted", "Image deleted on cloud")
			[ ] VerifySafely (cirItem3C.sImage1State, "Deleted", "Image deleted on cloud")
	[ ] 
	[+] // CLEANUP
		[+] if Items.ItemsList.Topbar.Home.Exists (2)
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] ClearCloudCompany (cc3_3, sWebEnv)
