﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify add, edit, delete for cloud items
	[+] // Test Steps:
		[ ] // Step 1: Create Inventory, Non Inventory, Service and assembly item with Sync checked
		[ ] // Step 2: Open new item form, add mandatory fields and with item type as group and then try to check  the Sync to mobile checkbox
		[ ] // Step 3: Click on OK, cancel
		[ ] // Step 4: Sync with cloud
		[ ] // Step 5: Go to Wentao's Tool and get item list
		[ ] // Step 6: Add items to cloud
		[ ] // Step 7: Sync with cloud
		[ ] // Step 8: Edit two items->One synced from pos and another synced to po
		[ ] // Step 9: Sync with cloud
		[ ] // Step 10: Go to Wentao's Tool and get item details
		[ ] // Step 11: Edit two items->One synced from pos and another synced to pos
		[ ] // Step 12: Sync with cloud
		[ ] // Step 13: Delete two item-> One synced from pos and another synced to pos
		[ ] // Step 14: Sync with cloud
		[ ] // Step 15: Go to Wentao's Tool and get item details
		[ ] // Step 16: Delete two item-> One synced from pos and another synced to pos
		[ ] // Step 17: Sync with cloud
		[ ] // Step 18: Edit items and uncheck Sync To Mobile
		[ ] // Step 19: Sync with cloud
	[+] // Expected Result:
		[ ] // Result 1: Verify All Items added
		[ ] // Result 2: Verify information message displayed 
		[ ] // Result 3: Verify update messages displayed on widget
		[ ] // Result 4: Verify Items added to cloud
		[ ] // Result 5: Verify update messages displayed on widget
		[ ] // Result 6 : Invoke item list and verify Items added to POS
		[ ] // Result 7: Verify update messages displayed on widget
		[ ] // Result 8: Verify items updated crrectly
		[ ] // Result 9: Verify update messages displayed on widget
		[ ] // Result 10 : Invoke item list and verify Items updated on POS
		[ ] // Result 11: Verify update messages displayed on widget
		[ ] // Result 12: Verify items updated crrectly
		[ ] // Result 13: Verify update messages displayed on widget
		[ ] // Result 14 : Invoke item list and verify Items updated on POS
		[ ] // Result 15: Verify update messages displayed on widget
		[ ] // Result 16: Verify items updated crrectly
[ ] // TESTCASE.:CloudSync_ItemsAddEditDelete
[ ] // ATC ID::POS_CLD_ATC_005
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\Cloud2.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CloudSync_ItemsAddEditDelete.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CloudSync_ItemsSalesTax ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sCloudItemID, sRefreshTime, sDescription, sLog, sWebEnv
		[ ] LIST OF STRING lsSalesExpected, lsItemsExpected
		[ ] CloudItemRec cirItem, cirItem1P, cirItem2P, cirItem3C, cirItem4C, cirItem5P, cirItem6C, cirItem7C, cirItem8C, cirItem9C, cirItem10C
		[ ] NewItemRec nirItem, nirItem1P, nirItem2P, nirItem3C, nirItem4C, nirItem5P, nirItem6C, nirItem7C, nirItem8C, nirItem9C, nirItem10C
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Cloud2.qpb"
		[ ] sWebEnv = GetWebEnv ()
		[+] if sWebEnv == ""
			[ ] sWebEnv = "PTC"
		[+] if sWebEnv == "QA"
			[ ] sWebEnv = "QA2"
		[ ] ClearCloudCompany (cc3_3, sWebEnv)
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToCloud (cc3_3)
		[+] // VARIABLE INITIALIZATION FOR POS ITEM VARIABLES
			[ ] nirItem1P = {}
			[ ] nirItem1P.sItemName = "POSItem1"
			[ ] nirItem1P.sDepartment = "System"
			[ ] nirItem1P.sRegularPrice = "100.00"
			[ ] nirItem1P.sTax = "Tax"
			[ ] nirItem1P.bSyncToMobile = TRUE
			[ ] nirItem2P = {}
			[ ] nirItem2P.sItemName = "POSItem2"
			[ ] nirItem2P.sDepartment = "System"
			[ ] nirItem2P.sRegularPrice = "100.00"
			[ ] nirItem2P.sTax = "Non"
			[ ] nirItem2P.bSyncToMobile = TRUE
			[ ] nirItem3C = {}
			[ ] nirItem3C.sItemName = "CLDItem1"
			[ ] nirItem4C = {}
			[ ] nirItem4C.sItemName = "CLDItem2"
		[+] // VARIABLE INITIALIZATION FOR CLOUD ITEM VARIABLES
			[ ] cirItem1P = {}
			[ ] cirItem1P.sItemName = "POSItem1"
			[ ] cirItem2P = {}
			[ ] cirItem2P.sItemName = "POSItem2"
			[ ] cirItem3C = {}
			[ ] cirItem3C.sItemName = "CLDItem1"
			[ ] cirItem3C.bTaxable = TRUE
			[ ] cirItem3C.bUseForMobile = TRUE
			[ ] cirItem4C = {}
			[ ] cirItem4C.sItemName = "CLDItem2"
			[ ] cirItem4C.bTaxable = FALSE
			[ ] cirItem4C.bUseForMobile = TRUE
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create two items one with tax and other with non
			[ ] CreateNewItem (nirItem1P)
			[ ] CreateNewItem (nirItem2P)
		[ ] 
		[+] // Result 1: Verify All Items added
			[+] lsItemsExpected = {...}
				[ ] "5 POSItem1 System 100.00 0 0"
				[ ] "1 POSItemNS1 System Initially Not Synced 10.00 0 0"
				[ ] "2 POSItemNS2 System Initially Not Synced 10.20 10 10"
				[ ] "3 POSItemNS3 System Initially Not Synced 10.30 10 10"
				[ ] "4 POSItemNS4 System Initially Not Synced 10.40 10 10"
				[ ] "6 POSItem2 System 100.00 0 0"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "Items added")
		[ ] 
		[+] // Step 4: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 3: Verify update messages displayed on widget
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsAddedToMobile.Exists (2), TRUE, "Item added to POS displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsAddedToMobile (), 2, "Correct no of items added")
		[ ] 
		[+] // Step 5: Go to Wentao's Tool and get item list
			[ ] LoginToWentaosTool (cc3_3, sWebEnv) 
		[ ] 
		[+] // Result 4: Verify Items added to cloud and tax field set correctly
			[+] lsItemsExpected = {...}
				[ ] "POSItem1"
				[ ] "POSItem2"
			[ ] VerifySafely (GetCloudItemsList (), lsItemsExpected, "Items added to cloud")
			[ ] GetItemDetailsFromSearchTable (cirItem1P)
			[ ] VerifySafely (cirItem1P.bTaxable, TRUE, "Item updated with cirrect tax code")
			[ ] GetItemDetailsFromSearchTable (cirItem2P)
			[ ] VerifySafely (cirItem2P.bTaxable, FALSE, "Item updated with cirrect tax code")
		[ ] 
		[+] // Step 6: Add items to cloud
			[ ] AddNewItemInCloud (cirItem3C)
			[ ] AddNewItemInCloud (cirItem4C)
		[ ] 
		[+] // Step 7: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 5: Verify update messages displayed on widget
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsAddedToPOS.Exists (2), TRUE, "Item added to POS displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsAddedToPOS (), 2, "Correct no of items added")
		[ ] 
		[+] // Result 6 : Invoke item list and verify Items added to POS
			[+] lsItemsExpected = {...}
				[ ] "5 POSItem1 System 100.00 0 0"
				[ ] "1 POSItemNS1 System Initially Not Synced 10.00 0 0"
				[ ] "2 POSItemNS2 System Initially Not Synced 10.20 10 10"
				[ ] "3 POSItemNS3 System Initially Not Synced 10.30 10 10"
				[ ] "4 POSItemNS4 System Initially Not Synced 10.40 10 10"
				[ ] "6 POSItem2 System 100.00 0 0"
				[ ] "7 CLDItem1 System 0.00 0 0"
				[ ] "8 CLDItem2 System 0.00 0 0"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "Items added")
			[ ] nirItem3C = GetItemDataFromDetail (nirItem3C)
			[ ] VerifySafely (nirItem3C.sTax, "Tax", "Cloud item synced with correct tax code")
			[ ] nirItem4C = GetItemDataFromDetail (nirItem4C)
			[ ] VerifySafely (nirItem4C.sTax, "Non", "Cloud item synced with correct tax code")
	[ ] 
	[+] // CLEANUP
		[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] ClearCloudCompany (cc3_3, sWebEnv)
[ ] 
