﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify merginf of cloud items
	[+] // Test Steps:
		[ ] // Step 1: Create Inventory, Non Inventory, Service and assembly item with Sync checked
		[ ] // Step 2: Sync with cloud
		[ ] // Step 3: Go to Wentao's Tool and get item list
		[ ] // Step 4: Add items to cloud
		[ ] // Step 5: Sync with cloud
		[ ] // Step 6: Merge Items with differnet types
		[ ] // Step 7: Sync with cloud
	[+] // Expected Result:
		[ ] // Result 1: Verify All Items added
		[ ] // Result 2: Verify update messages displayed on widget
		[ ] // Result 3: Verify Items added to cloud
		[ ] // Result 4: Verify update messages displayed on widget
		[ ] // Result 5 : Invoke item list and verify Items added to POS
		[ ] // Result 6: Verify update messages displayed on widget
		[ ] // Result 7: Verify items updated crrectly
[ ] // TESTCASE.:CloudSync_MergeItems
[ ] // ATC ID::POS_CLD_ATC_004
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\Cloud2.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CloudSync_MergeItems.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CloudSync_MergeItems ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sCloudItemID, sRefreshTime, sDescription, sLog, sWebEnv
		[ ] LIST OF STRING lsSalesExpected, lsItemsExpected
		[ ] CloudItemRec cirItem, cirItem1P, cirItem2P, cirItem3P, cirItem4C, cirItem5C, cirItem6C
		[ ] NewItemRec nirItem, nirItem1P, nirItem2P, nirItem3P, nirItem4C, nirItem5C, nirItem6C, nirItem7P, nirItem8P
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Cloud2.qpb"
		[ ] sWebEnv = GetWebEnv ()
		[+] if sWebEnv == ""
			[ ] sWebEnv = "PTC"
		[+] if sWebEnv == "QA"
			[ ] sWebEnv = "QA2"
		[ ] ClearCloudCompany (cc3_3, sWebEnv)
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToCloud (cc3_3)
		[+] // VARIABLE INITIALIZATION FOR POS ITEM VARIABLES
			[ ] nirItem = {}
			[ ] nirItem1P = {}
			[ ] nirItem1P.sItemName = "POSItem1"
			[ ] nirItem1P.sItemType = "Inventory"
			[ ] nirItem1P.sDepartment = "System"
			[ ] nirItem1P.bSyncToMobile = TRUE
			[ ] nirItem2P = {}
			[ ] nirItem2P.sItemName = "POSItem2"
			[ ] nirItem2P.sItemType = "Inventory"
			[ ] nirItem2P.sDepartment = "System"
			[ ] nirItem2P.bSyncToMobile = TRUE
			[ ] nirItem3P = {}
			[ ] nirItem3P.sItemName = "POSItem3"
			[ ] nirItem3P.sItemType = "Inventory"
			[ ] nirItem3P.sDepartment = "System"
			[ ] nirItem3P.bSyncToMobile = TRUE
			[ ] nirItem4C = {}
			[ ] nirItem4C.sItemName = "CLDItem1"
			[ ] nirItem5C = {}
			[ ] nirItem5C.sItemName = "CLDItem2"
			[ ] nirItem6C = {}
			[ ] nirItem6C.sItemName = "CLDItem3"
			[ ] nirItem7P = {}
			[ ] nirItem7P.sItemName = "POSItemNS2"
			[ ] nirItem8P = {}
			[ ] nirItem8P.sItemName = "POSItemNS3"
			[ ] 
		[+] // VARIABLE INITIALIZATION FOR CLOUD ITEM VARIABLES
			[ ] cirItem = {}
			[ ] cirItem1P = {}
			[ ] cirItem1P.sItemName = "POSItem1"
			[ ] cirItem2P = {}
			[ ] cirItem2P.sItemName = "POSItem2"
			[ ] cirItem3P = {}
			[ ] cirItem3P.sItemName = "POSItem3"
			[ ] cirItem4C = {}
			[ ] cirItem4C.sItemName = "CLDItem1"
			[ ] cirItem4C.bUseForMobile = TRUE
			[ ] cirItem5C = {}
			[ ] cirItem5C.sItemName = "CLDItem2"
			[ ] cirItem5C.bUseForMobile = TRUE
			[ ] cirItem6C = {}
			[ ] cirItem6C.sItemName = "CLDItem3"
			[ ] cirItem6C.bUseForMobile = TRUE
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create Inventory, Non Inventory, Service and assembly item with Sync checked
			[ ] CreateNewItem (nirItem1P)
			[ ] CreateNewItem (nirItem2P)
			[ ] CreateNewItem (nirItem3P)
		[ ] 
		[+] // Result 1: Verify All Items added
			[+] lsItemsExpected = {...}
				[ ] "5 POSItem1 System 0.00 0 0"
				[ ] "6 POSItem2 System 0.00 0 0"
				[ ] "1 POSItemNS1 System Initially Not Synced 10.00 0 0"
				[ ] "2 POSItemNS2 System Initially Not Synced 10.20 10 10"
				[ ] "3 POSItemNS3 System Initially Not Synced 10.30 10 10"
				[ ] "4 POSItemNS4 System Initially Not Synced 10.40 10 10"
				[ ] "7 POSItem3 System 0.00 0 0"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "Items added")
		[ ] 
		[+] // Step 2: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 2: Verify update messages displayed on widget
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsAddedToMobile.Exists (2), TRUE, "Item added to POS displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsAddedToMobile (), 3, "Correct no of items added")
		[ ] 
		[+] // Step 3: Go to Wentao's Tool and get item list
			[ ] LoginToWentaosTool (cc3_3, sWebEnv) 
		[ ] 
		[+] // Result 3: Verify Items added to cloud
			[+] lsItemsExpected = {...}
				[ ] "POSItem1"
				[ ] "POSItem2"
				[ ] "POSItem3"
			[ ] VerifySafely (GetCloudItemsList (), lsItemsExpected, "Items added to cloud")
		[ ] 
		[+] // Step 4: Add items to cloud
			[ ] AddNewItemInCloud (cirItem4C)
			[ ] AddNewItemInCloud (cirItem5C)
			[ ] AddNewItemInCloud (cirItem6C)
		[ ] 
		[+] // Step 5: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 4: Verify update messages displayed on widget
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsAddedToPOS.Exists (2), TRUE, "Item added to POS displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsAddedToPOS (), 3, "Correct no of items added")
		[ ] 
		[+] // Result 5 : Invoke item list and verify Items added to POS
			[+] lsItemsExpected = {...}
				[ ] "5 POSItem1 System 0.00 0 0"
				[ ] "6 POSItem2 System 0.00 0 0"
				[ ] "1 POSItemNS1 System Initially Not Synced 10.00 0 0"
				[ ] "2 POSItemNS2 System Initially Not Synced 10.20 10 10"
				[ ] "3 POSItemNS3 System Initially Not Synced 10.30 10 10"
				[ ] "4 POSItemNS4 System Initially Not Synced 10.40 10 10"
				[ ] "7 POSItem3 System 0.00 0 0"
				[ ] "8 CLDItem1 System 0.00 0 0"
				[ ] "9 CLDItem2 System 0.00 0 0"
				[ ] "10 CLDItem3 System 0.00 0 0"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "Items added")
		[ ] 
		[+] // Step 6: Merge Items with differnet types
			[ ] MergeItems (nirItem7P.sItemName, nirItem1P.sItemName)  // Non sync item with Item Synced from POS
			[ ] MergeItems (nirItem8P.sItemName, cirItem4C.sItemName)  // Non sync item with Item Synced to POS
			[ ] MergeItems (nirItem2P.sItemName, nirItem3P.sItemName)
			[ ] MergeItems (cirItem5C.sItemName, cirItem6C.sItemName)
		[ ] 
		[+] // Step 7: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 6: Verify update messages displayed on widget
			[+] do
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsUpdatedOnMobile.Exists (2), TRUE, "Item added to POS displayed")
				[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsUpdatedOnMobile (), 4, "Correct no of items added")
			[+] except
				[ ] Print ("asad")
		[ ] 
		[+] // Result 7: Verify items updated crrectly
			[ ] cirItem1P = GetCloudItemDetails (cirItem1P)
			[ ] VerifySafely (cirItem1P.sDataState, "Deleted", "Item updated on cloud")
			[ ] cirItem3P = GetCloudItemDetails (cirItem3P)
			[ ] VerifySafely (cirItem3P.sDataState, "Deleted", "Item updated on cloud")
			[ ] cirItem4C = GetCloudItemDetails (cirItem4C)
			[ ] VerifySafely (cirItem4C.sDataState, "Deleted", "Item updated on cloud")
			[ ] cirItem6C = GetCloudItemDetails (cirItem6C)
			[ ] VerifySafely (cirItem6C.sDataState, "Deleted", "Item updated on cloud")
	[ ] 
	[+] // CLEANUP
		[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] ClearCloudCompany (cc3_3, sWebEnv)
[ ] 
