﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify price level update on cloud
	[+] // Test Steps:
		[ ] // Step 1: Create one item
		[ ] // Step 2: Sync with cloud
		[ ] // Step 3: Go to Wentao's Tool and get item list
		[ ] // Step 4: Change the default price level in POS to Sale
		[ ] // Step 5: Sync with cloud
		[ ] // Step 6: Go to Wentao's Tool and get item details
	[+] // Expected Result:
		[ ] // Result 1: Verify All Items added
		[ ] // Result 2: Verify update messages displayed on widget
		[ ] // Result 3: Verify Items added to cloud and tax field set correctly
		[ ] // Result 4: Verify update messages displayed on widget
		[ ] // Result 5: Verify setting updated crrectly
		[ ] 
[ ] // TESTCASE.:CloudSync_PriceLevel
[ ] // ATC ID::POS_CLD_ATC_006
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\Cloud2.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CloudSync_PriceLevel.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CloudSync_PriceLevel ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sCloudItemID, sRefreshTime, sDescription, sLog, sWebEnv
		[ ] LIST OF STRING lsSalesExpected, lsItemsExpected
		[ ] CloudItemRec cirItem, cirItem1P, cirItem2P, cirItem3C, cirItem4C
		[ ] NewItemRec nirItem, nirItem1P, nirItem2P, nirItem3C, nirItem4C
		[ ] CloudSettingRec csrPL
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Cloud2.qpb"
		[ ] sWebEnv = GetWebEnv ()
		[+] if sWebEnv == ""
			[ ] sWebEnv = "PTC"
		[+] if sWebEnv == "QA"
			[ ] sWebEnv = "QA2"
		[ ] ClearCloudCompany (cc3_3, sWebEnv)
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToCloud (cc3_3)
		[+] // VARIABLE INITIALIZATION FOR POS ITEM VARIABLES
			[ ] nirItem1P = {}
			[ ] nirItem1P.sItemName = "POSItem1"
			[ ] nirItem1P.sDepartment = "System"
			[ ] nirItem1P.sRegularPrice = "100.00"
			[ ] nirItem1P.sTax = "Tax"
			[ ] nirItem1P.bSyncToMobile = TRUE
			[ ] nirItem2P = {}
			[ ] nirItem2P.sItemName = "POSItem2"
			[ ] nirItem2P.sDepartment = "System"
			[ ] nirItem2P.sRegularPrice = "100.00"
			[ ] nirItem2P.sTax = "Non"
			[ ] nirItem2P.bSyncToMobile = TRUE
			[ ] nirItem3C = {}
			[ ] nirItem3C.sItemName = "CLDItem1"
			[ ] nirItem4C = {}
			[ ] nirItem4C.sItemName = "CLDItem2"
		[+] // VARIABLE INITIALIZATION FOR CLOUD ITEM VARIABLES
			[ ] cirItem1P = {}
			[ ] cirItem1P.sItemName = "POSItem1"
			[ ] cirItem2P = {}
			[ ] cirItem2P.sItemName = "POSItem2"
			[ ] cirItem3C = {}
			[ ] cirItem3C.sItemName = "CLDItem1"
			[ ] cirItem3C.bTaxable = TRUE
			[ ] cirItem3C.bUseForMobile = TRUE
			[ ] cirItem4C = {}
			[ ] cirItem4C.sItemName = "CLDItem2"
			[ ] cirItem4C.bTaxable = FALSE
			[ ] cirItem4C.bUseForMobile = TRUE
			[ ] csrPL = {}
			[ ] csrPL.sName = "DefaultPriceLevel"
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create one item
			[ ] CreateNewItem (nirItem1P)
		[ ] 
		[+] // Result 1: Verify All Items added
			[+] lsItemsExpected = {...}
				[ ] "1 POSItemNS1 System Initially Not Synced 10.00 0 0"
				[ ] "2 POSItemNS2 System Initially Not Synced 10.20 10 10"
				[ ] "3 POSItemNS3 System Initially Not Synced 10.30 10 10"
				[ ] "4 POSItemNS4 System Initially Not Synced 10.40 10 10"
				[ ] "5 POSItem1 System 100.00 0 0"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "Items added")
		[ ] 
		[+] // Step 2: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 2: Verify update messages displayed on widget
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsAddedToMobile.Exists (2), TRUE, "Item added to POS displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsAddedToMobile (), 1, "Correct no of items added")
		[ ] 
		[+] // Step 3: Go to Wentao's Tool and get item list
			[ ] LoginToWentaosTool (cc3_3, sWebEnv) 
		[ ] 
		[+] // Result 3: Verify Items added to cloud and tax field set correctly
			[+] lsItemsExpected = {...}
				[ ] "POSItem1"
			[ ] VerifySafely (GetCloudItemsList (), lsItemsExpected, "Items added to cloud")
			[ ] GetSettingDetailFromSearchTable (csrPL)
			[ ] VerifySafely (csrPL.sValue, "0", "Default Price Level is set to 0")
		[ ] 
		[+] // Step 4: Change the default price level in POS to Sale
			[ ] QuickBooksPointOfSale.SetActive ()
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Pricing")
			[ ] Preferences.CompanyPreferences.PageList.Pricing.DefaultPrice.DefaultPriceName.Select ("Sale")
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 5: Sync with cloud
			[ ] SyncWithCloud ()
		[ ] 
		[+] // Result 4: Verify update messages displayed on widget
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.ItemsUpdatedOnMobile.Exists (2), TRUE, "Item added to POS displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncInfo.GetNoOfItemsUpdatedOnMobile (), 1, "Correct no of items added")
		[ ] 
		[+] // Step 6: Go to Wentao's Tool and get item details
			[ ] WebBrowser.SetActive ()
		[ ] 
		[+] // Result 5: Verify setting updated crrectly
			[ ] GetSettingDetailFromSearchTable (csrPL)
			[ ] VerifySafely (csrPL.sValue, "1", "Default Price Level is set to 0")
	[ ] 
	[+] // CLEANUP
		[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] ClearCloudCompany (cc3_3, sWebEnv)
[ ] 
