﻿[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify cloud widget in not connected state
	[+] // Test Steps:
		[ ] // Step 1: Click on Cloud icon
		[ ] // Step 2: Click on Cloud ActivatePayments
		[ ] // Step 3: Close setup interview , click on cloud button and then click on Sign In
		[ ] // Step 4: Close and click on cloud and then View Sync Preferences
		[ ] // Step 5: Set to Do Not Sync
	[+] // Expected Result:
		[ ] // Result 1: Verify Cloud Widget appears and all other controls are correct
		[ ] // Result 2: Verify payments tab in setup interview is open
		[ ] // Result 3: Verify Sign in to Intuit Payments dialog exists
		[ ] // Result 4: Verify Preferences is open
		[ ] // Result 5: Verify Auto Sync Status chnaged to off
[ ] // TESTCASE.:CloudWidget_NotConnectedState
[ ] // ATC ID::POS_CLD_ATC_001
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\MASComp2.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CloudWidget_NotConnectedState.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CloudWidget_NotConnectedState ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sRefreshTime
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "MASComp2.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Click on Cloud icon
			[ ] QuickBooksPointOfSale.HomeHeader.Cloud.Click ()
		[ ] 
		[+] // Result 1: Verify Cloud Widget appears and all other controls are correct
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.Exists (2), TRUE, "Cloud Widget appeared on clicking cloud icon")
			[ ] sRefreshTime = "Disabled"
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.RefreshTime.GetTime (), sRefreshTime, "Refresh time correctly shown")
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.AutoSyncStatus.GetStatus (), "On", "Auto Sync status set")
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.LastSyncTime.IsDisabled (), TRUE, "Last Sync time set to disabled")
		[ ] 
		[+] // Step 2: Click on Cloud ActivatePayments
			[ ] QuickBooksPointOfSale.HomeHeader.CloudWidget.ActivatePaymentsLink.Click ()
		[ ] 
		[+] // Result 2: Verify payments tab in setup interview is open
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Exists (3), TRUE, "Setup Interview open")
		[ ] 
		[+] // Step 3: Close setup interview , click on cloud button and then click on Sign In
			[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
			[ ] QuickBooksPointOfSale.HomeHeader.Cloud.Click ()
			[ ] QuickBooksPointOfSale.HomeHeader.CloudWidget.SignInLink.Click ()
		[ ] 
		[+] // Result 3: Verify Sign in to Intuit Payments dialog exists
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.AuthLogin.Exists (2), TRUE, "Sign in dialog dispalyed")
		[ ] 
		[+] // Step 4: Close and click on cloud and then View Sync Preferences
			[ ] QuickBooksPointOfSale.AuthView.Close.Click ()
			[ ] QuickBooksPointOfSale.HomeHeader.Cloud.Click ()
			[ ] QuickBooksPointOfSale.HomeHeader.CloudWidget.ViewSyncPreferences.Click ()
		[ ] 
		[+] // Result 4: Verify Preferences is open
			[ ] VerifySafely (Preferences.CompanyPreferences.PageList.MobileSync.Exists (3), TRUE, "Cloud sync preferences open")
		[ ] 
		[+] // Step 5: Set to Do Not Sync
			[+] // if Preferences.CompanyPreferences.PageList.CloudSync.Exists ()
				[ ] // Preferences.Click (1, 2, 2)
			[ ] Preferences.CompanyPreferences.PageList.MobileSync.SyncYourDataWithMobile.DoNotSyncData.Click ()
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
			[ ] QuickBooksPointOfSale.HomeHeader.Cloud.Click ()
		[ ] 
		[+] // Result 5: Verify Auto Sync Status chnaged to off
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.AutoSyncStatus.GetStatus (), "Off", "Auto Sync Status changed to off")
	[ ] 
	[+] // CLEANUP
		[ ] //No Clean Up
[ ] 
