﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new inventory item
	[+] // Test Steps:
		[ ] // 1. Invoke Add Customer Item form (Result 1)
		[ ] // 2. Fill the Customer form with all mandatory fields
		[ ] // 3. Click on Save (Result 2)
		[ ] // 4. Enter name of created customer on Search customer fields of Customer List (Result 3)
		[ ] // 5. Click on Edit (Result 4) (Result 5)
	[+] // Expected Result:
		[ ] // 1. Verify Add Customer Item form appears
		[ ] // 2. Verify Customer List is dispalyed
		[ ] // 3. Verify Edit button is enabled
		[ ] // 4. Verify Edit Customer form is displayed
		[ ] // 5. Verify Customer data save successfully
[ ] // TESTCASE::AddNewCustomer
[ ] // ATC ID::POS_CUST_ATC_001
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::AddNewCustomer.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase AddNewCustomer ()
	[-] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewCustomerRec ncrCustomer
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "ConsoleDB1.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] // 
	[-] // STEPS
		[-] // Step 1: Invoke Add Customer  form
			[ ] Customers.CustomerList.AddCustomer.Invoke ()
		[ ] 
		[-] // Result 1: Verify Add Customer  form appears
			[ ] VerifySafely (Customers.CustomerList.AddCustomer.Exists (5), TRUE, "Add Customer Item form appears")
		[ ] 
		[-] // Step 2: Fill the Customer form with all mandatory fields
			[ ] ncrCustomer = {}
			[ ] ncrCustomer.sLastName = "Cust1L"
			[ ] ncrCustomer.sFirstName = "Cust1F"
			[ ] FillCustomerForm (ncrCustomer)
		[ ] 
		[+] // Step 3: Click on Save
			[ ] Customers.CustomerList.AddCustomer.Save.Click ()
		[ ] 
		[+] // Result 2: Verify Customer List is dispalyed
			[ ] VerifySafely (Customers.CustomerList.Exists (5), TRUE, "Customers List is displayed")
		[ ] 
		[+] // Step 4: Enter name of created customer on Search customer fields of Customer List
			[ ] WaitTill (Customers.CustomerList.Topbar.SearchCustomer.IsEnabled)
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCustomer.sLastName)
		[ ] 
		[+] // Result 3: Verify Edit button is enabled
			[ ] VerifySafely (Customers.CustomerList.Topbar.Edit.IsEnabled, TRUE, "Customer created")
		[ ] 
		[+] // Step 5: Click on Edit
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 4: Verify Edit Customer form is displayed
			[ ] VerifySafely (Customers.CustomerList.EditCustomer.Exists (5), TRUE, "Edit Customer form appeared")
		[ ] 
		[+] // Result 5: Verify Customer data save successfully
			[ ] VerifyCustomerData (ncrCustomer)
	[ ] 
	[-] // CLEAN UP
		[-] if Customers.CustomerList.EditCustomer.Exists ()
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
		[-] // if Customers.CustomerList.Exists ()
			[ ] // Customers.CustomerList.Topbar.Home.Click ()
		[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Root2.Click ()
		[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click ()
		[ ] 
[ ] 
