﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating a Layaway from customer list
	[+] // Test Steps:
		[ ] // 1: Invoke Customer List (Result 1)
		[ ] // 2: Enter customer name  "Cust1L, Cust1F" in the search field
		[ ] // 3: Goto I want to-> Make a Customer Order-> Layaway (Result 2)
		[ ] // 4: Get the Layaway number (Result 3)
		[ ] // 5: Enter the item and save the Layaway 
		[ ] // 6: Close customer list 
		[ ] // 7: Invoke Layaway List and open the created Layaway (Result 4)
	[+] // Expected Result:
		[ ] // 1: Verify Customer List is open
		[ ] // 2: Verify Layaway is displayed
		[ ] // 3: Verify Layaway status is open and customer is updated
		[ ] // 4: Verify Layaway created
[ ] // TESTCASE::CustListIWTMakeLayaway
[ ] // ATC ID::POS_CUST_ATC_007
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CustListIWTMakeLayaway.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase CustListIWTMakeLayaway () appstate NonBasicSKU
	[-] // VARIABLES
		[ ] STRING sCompanyFile, sLayawayNum, sCustomer, sStatus, sItem
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "ConsoleDB1.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[-] // Step 1: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[-] // Result 1: Verify Customer List is open
			[ ] VerifySafely (Customers.CustomerList.Exists (5), TRUE, "Customer list is open")
		[ ] 
		[-] // Step 2: Enter customer name  "Cust1L, Cust1F" in the search field
			[ ] sCustomer = "TestCL, TestCF"
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (sCustomer)
		[ ] 
		[-] // Step 3: Goto I want to-> Make a Customer Order-> Layaway
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.MakeACustomerOrder.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.MakeACustomerOrder.Layaway.Click ()
		[ ] 
		[-] // Result 2: Verify Layaway is displayed
			[ ] VerifySafely (Layaway.NewLayaway.Exists (5), TRUE, "Layaway is displayed")
		[ ] 
		[-] // Step 4: Get the Layaway number
			[ ] Layaway.NewLayaway.PageList.LayawayNum.TypeKeys ("<CTRL-A>")
			[ ] sLayawayNum = Layaway.NewLayaway.PageList.LayawayNum.TextCapture ()
			[ ] 
		[-] // Result 3: Verify Layaway status is open and customer is updated
			[ ] sStatus = "Open"
			[ ] VerifySafely (Layaway.NewLayaway.PageList.Status.TextCapture (), sStatus, "Layaway status is open")
			[ ] VerifySafely (Layaway.NewLayaway.PageList.CustomerInfo.TextCapture (), sCustomer, "Customer filled properly")
		[ ] 
		[-] // Step 5: Enter the item and save the Layaway
			[ ] sItem = "InvItem0"
			[ ] Layaway.NewLayaway.PageList.EnterItems.TypeKeys (sItem)
			[ ] Layaway.Typekeys ("<Down><Enter>")
			[ ] Layaway.BottomBar.SaveOnly.Click ()
		[ ] 
		[-] // Step 6: Close customer list
			[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click() 
			[ ] //Customers.CustomerList.Topbar.Home.Click ()
		[ ] 
		[-] // Step 7: Invoke Layaway List and open the created Layaway
			[ ] LayawayList.Invoke ()
			[ ] LayawayList.ToolBar.FindLayaway.TypeKeys (sLayawayNum)
			[ ] LayawayList.ToolBar.FindLayaway.Typekeys ("<Enter>")
			[ ] WaitFor (FindLayaway)
			[ ] FindLayaway.SelectLayaway.Click ()
		[ ] 
		[-] // Result 4: Verify Layaway created
			[ ] VerifySafely (Layaway.EditLayaway.PageList.LayawayNum.TextCapture (), sLayawayNum, "Layaway is created")
			[ ] VerifySafely (Layaway.EditLayaway.PageList.CustomerInfo.TextCapture (), sCustomer, "Customer filled properly")
	[ ] 
	[-] // CLEANUP
		[-] if Layaway.BottomBar.Close.Exists (3)
			[ ] Layaway.BottomBar.Close.Click ()
		[-] if LayawayList.BottomBar.Close.Exists (3)
			[ ] LayawayList.BottomBar.Close.Click ()
[ ] 
