﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating an SO from customer list
	[+] // Test Steps:
		[ ] // 1: Invoke Customer List (Result 1)
		[ ] // 2: Enter customer name  "Cust1L, Cust1F" in the search field
		[ ] // 3: Goto I want to-> Make a Customer Order-> Sales Order (Result 2)
		[ ] // 4: Get the SO number (Result 3)
		[ ] // 5: Enter the item and save the SO 
		[ ] // 6: Close customer list 
		[ ] // 7: Invoke Sales Order List and open the created SO (Result 4)
	[+] // Expected Result:
		[ ] // 1: Verify Customer List is open
		[ ] // 2: Verify Sales Order is displayed
		[ ] // 3: Verify SO status is open and customer is updated
		[ ] // 4: Verify SO created
[ ] // TESTCASE::CustListIWTMakeSO
[ ] // ATC ID::POS_CUST_ATC_006
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CustListIWTMakeSO.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase CustListIWTMakeSO () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sSONum, sCustomer, sStatus, sItem
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "ConsoleDB1.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[-] // Step 1: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[-] // Result 1: Verify Customer List is open
			[ ] VerifySafely (Customers.CustomerList.Exists (5), TRUE, "Customer list is open")
		[ ] 
		[-] // Step 2: Enter customer name  "Cust1L, Cust1F" in the search field
			[ ] sCustomer = "TestCL, TestCF"
			[ ] sleep (1)
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (sCustomer)
		[ ] 
		[-] // Step 3: Goto I want to-> Make a Customer Order-> Sales Order
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.MakeACustomerOrder.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.MakeACustomerOrder.SalesOrder.Click ()
		[ ] 
		[-] // Result 2: Verify Sales Order is displayed
			[ ] VerifySafely (SalesOrder.NewSalesOrder.Exists (5), TRUE, "Sales Order is displayed")
		[ ] 
		[-] // Step 4: Get the SO number
			[ ] sSONum = SalesOrder.NewSalesOrder.PageList.SONum.TextCapture ()
		[ ] 
		[-] // Result 3: Verify SO status is open and customer is updated
			[ ] sStatus = "Open"
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.Status.TextCapture (), sStatus, "SO status is open")
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.CustomerInfo.TextCapture (), sCustomer, "Customer filled properly")
		[ ] 
		[-] // Step 5: Enter the item and save the SO 
			[ ] sItem = "InvItem0"
			[ ] SalesOrder.NewSalesOrder.PageList.EnterItems.TypeKeys (sItem)
			[ ] SalesOrder.Typekeys ("<Down><Enter>")
			[ ] SalesOrder.BottomBar.SaveOnly.Click ()
		[ ] 
		[-] // Step 6: Close customer list 
			[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click ()
			[ ] //Customers.CustomerList.Topbar.Home.Click ()
		[ ] 
		[-] // Step 7: Invoke Sales Order List and open the created SO
			[ ] SOList.Invoke ()
			[ ] SOList.ToolBar.FindSO.TypeKeys (sSONum)
			[ ] Desktop.Typekeys ("<Enter>")
			[ ] WaitFor (FindSalesOrder)
			[ ] FindSalesOrder.SelectSalesOrder.Click ()
		[ ] 
		[-] // Result 4: Verify SO created
			[ ] VerifySafely (SalesOrder.EditSalesOrder.PageList.SONum.TextCapture (), sSONum, "SO is created")
			[ ] VerifySafely (SalesOrder.EditSalesOrder.PageList.CustomerInfo.TextCapture (), sCustomer, "Customer filled properly")
	[ ] 
	[-] // CLEANUP
		[-] if SalesOrder.BottomBar.Close.Exists (3)
			[ ] SalesOrder.BottomBar.Close.Click ()
		[-] if SOList.BottomBar.Close.Exists (3)
			[ ] SOList.BottomBar.Close.Click ()
[ ] 
