﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating an SO from customer list
	[+] // Test Steps:
		[ ] // 1: Invoke Customer List (Result 1)
		[ ] // 2: Enter customer name  "Cust1L, Cust1F" in the search field
		[ ] // 3: Goto I want to-> Make a Sale (Result 2 and 3)
		[ ] // 4: Enter the item and complete the sale
		[ ] // 5: Invoke  Sales History (Result 4)
	[+] // Expected Result:
		[ ] // 1: Verify Customer List is open
		[ ] // 2: Verify Sales Receipt is displayed
		[ ] // 3:  Verify Customer is already added to sale
		[ ] // 4: Verify sale is created
[ ] // TESTCASE::CustListIWTMakeSale
[ ] // ATC ID::POS_CUST_ATC_010
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CustListIWTMakeSale.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase CustListIWTMakeSale ()
	[-] // VARIABLES
		[ ] STRING sCompanyFile, sSONum, sCustomer, sStatus, sItem
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "ConsoleDB1.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[+] // Step 1: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[-] // Result 1: Verify Customer List is open
			[ ] VerifySafely (Customers.CustomerList.Exists (5), TRUE, "Customer list is open")
		[ ] 
		[-] // Step 2: Enter customer name  "Cust1L, Cust1F" in the search field
			[ ] sCustomer = "CustL, CustF"
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (sCustomer)
		[ ] 
		[+] // Step 3: Goto I want to-> Make a Sale
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.MakeASale.Click ()
		[ ] 
		[-] // Result 2: Verify Sales Receipt is displayed
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales Receipt is displayed")
		[ ] 
		[-] // Result 3: Verify Customer is already added to sale
			[ ] VerifySafely (SalesReceipt.Sale.Customer.CustomerName.GetCaption (), sCustomer, "Customer is added to sale")
		[ ] 
		[-] // Step 4: Enter the item and complete the sale
			[ ] sItem = "InvItem0"
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sItem)
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[-] // Step 5: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[-] // Result 4: Verify sale is created
			[ ] RemoveGridColumn ("SaleDate")
			[-] // lsSalesExpected = {...}
				[ ] // "Regular Sales 1 7 CustF CustL 1 100.00 1 Cash"
				[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts , GetSalesDetailFromSalesList (), "Sales created and displyes in sales history")
	[ ] 
	[-] // CLEANUP
		[-] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
		[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Root2.Click ()
		[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click ()
