﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating an WO from customer list
	[+] // Test Steps:
		[ ] // 1: Invoke Customer List (Result 1)
		[ ] // 2: Enter customer name  "Cust1L, Cust1F" in the search field
		[ ] // 3: Goto I want to-> Make a Customer Order-> Work Order (Result 2)
		[ ] // 4: Get the WO number (Result 3)
		[ ] // 5: Enter the item and save the WO 
		[ ] // 6: Close customer list 
		[ ] // 7: Invoke Work Order List and open the created WO (Result 4)
	[+] // Expected Result:
		[ ] // 1: Verify Customer List is open
		[ ] // 2: Verify Work Order is displayed
		[ ] // 3: Verify WO status is open and customer is updated
		[ ] // 4: Verify WO created
[ ] // TESTCASE::CustListIWTMakeWO
[ ] // ATC ID::POS_CUST_ATC_008
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CustListIWTMakeWO.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase CustListIWTMakeWO () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sWONum, sCustomer, sStatus, sItem
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "ConsoleDB1.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[+] // Step 1: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Customer List is open
			[ ] VerifySafely (Customers.CustomerList.Exists (5), TRUE, "Customer list is open")
		[ ] 
		[-] // Step 2: Enter customer name  "Cust1L, Cust1F" in the search field
			[ ] sCustomer = "TestCL, TestCF"
			[ ] sleep (1)
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (sCustomer)
		[ ] 
		[-] // Step 3: Goto I want to-> Make a Customer Order-> Work Order
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.MakeACustomerOrder.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.MakeACustomerOrder.WorkOrder.Click ()
		[ ] 
		[-] // Result 2: Verify Work Order is displayed
			[ ] VerifySafely (WorkOrder.NewWorkOrder.Exists (5), TRUE, "Work Order is displayed")
		[ ] 
		[-] // Step 4: Get the WO number
			[ ] sWONum = WorkOrder.NewWorkOrder.PageList.WONum.TextCapture ()
		[ ] 
		[-] // Result 3: Verify WO status is open and customer is updated
			[ ] sStatus = "Open"
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.Status.TextCapture (), sStatus, "WO status is open")
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.CustomerInfo.TextCapture (), sCustomer, "Customer filled properly")
		[ ] 
		[-] // Step 5: Enter the item and save the WO 
			[ ] sItem = "InvItem6"
			[ ] WorkOrder.NewWorkOrder.PageList.EnterItems.TypeKeys (sItem)
			[ ] WorkOrder.Typekeys ("<Down><Enter>")
			[ ] WorkOrder.BottomBar.SaveOnly.Click ()
		[ ] 
		[-] // Step 6: Close customer list 
			[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click ()
			[ ] //Customers.CustomerList.Topbar.Home.Click ()
		[ ] 
		[-] // Step 7: Invoke Work Order List and open the created WO
			[ ] WOList.Invoke ()
			[ ] WOList.ToolBar.FindWO.TypeKeys (sWONum)
			[ ] Desktop.Typekeys ("<Enter>")
			[ ] WaitFor (FindWorkOrder)
			[ ] FindWorkOrder.SelectWorkOrder.Click ()
		[ ] 
		[-] // Result 4: Verify WO created
			[ ] VerifySafely (WorkOrder.EditWorkOrder.PageList.WONum.TextCapture (), sWONum, "WO is created")
			[ ] VerifySafely (WorkOrder.EditWorkOrder.PageList.CustomerInfo.TextCapture (), sCustomer, "Customer filled properly")
	[ ] 
	[-] // CLEANUP
		[-] if WorkOrder.BottomBar.Close.Exists (3)
			[ ] WorkOrder.BottomBar.Close.Click ()
		[-] if WOList.BottomBar.Close.Exists (3)
			[ ] WOList.BottomBar.Close.Click ()
[ ] 
