﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: To verify I Want To (IWT) > Menu Options are all accessible and invoke expected functionality
	[+] // Test Steps:
		[ ] // 1. Invoke Customer List (Result 1 and 2)
		[ ] // 2. Goto I Want To(IWT)-> Show/Hide Details (Result 3)
		[ ] // 3. Click on Close
		[ ] // 4. Goto IWT-> Add (Result 4)
		[ ] // 5. Click on Cancel
		[ ] // 6. Goto IWT-> Edit (Result 5)
		[ ] // 7. Click on Cancel
		[ ] // 8. Goto IWT-> Copy (Result 6)
		[ ] // 9. Click on Cancel
		[ ] // 10. Goto IWT-> Delete (Result 7)
		[ ] // 11. Click on Cancel
		[ ] // 12. Goto IWT-> Make a Sale (Result 8)
		[ ] // 13. Click on Cancel and click Discard Changes
		[ ] // 14. Invoke Customer List
		[ ] // 15. Goto IWT-> Accept Return/Exchange (Result 9)
		[ ] // 16. Click on Cancel
	[+] // Expected Result:
		[ ] // 1. Verify Customer List appears
		[ ] // 2. Verify 'Customer Detail' is displayed
		[ ] // 3. Verify 'Customer Detail' is not displayed
		[ ] // 4. Verify 'Add Customer' is displayed
		[ ] // 5. Verify 'Edit Customer' is displayed
		[ ] // 6. Verify 'Add customer' is displayed
		[ ] // 7. Verify 'Message box' is displayed
		[ ] // 8. Verify 'Sales Receipt' is dispalyed
		[ ] // 9.  Verify 'Take Return/Exchange' is dispalyed
[ ] // TESTCASE::CustListIWantToMenu
[ ] // ATC ID::POS_CUST_ATC_005
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CustListIWantToMenu.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase CustListIWantToMenu ()
	[-] // VARIABLES
		[ ] STRING sCompanyFile
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "ConsoleDB1.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
		[ ] // Sleep(5)
	[ ] 
	[-] // STEPS
		[-] // Step 1: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
			[ ] WaitFor (Customers.CustomerList,iTimeOut/2)
		[ ] 
		[-] // Result 1: Verify Customer List appears
			[ ] VerifySafely (Customers.CustomerList.Exists (10), TRUE, "Customer List appears")
		[ ] 
		[-] // Result 2: Verify 'Customer Detail' is displayed
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.Exists (5), FALSE, "Customer Detail is displayed")
		[ ] 
		[-] // Step 2: Goto I Want To(IWT)-> Show/Hide Details
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.ShowHideDetails.Click ()
		[ ] 
		[-] // Result 3: Verify 'Customer Detail' is not displayed
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.Exists (5), TRUE, "Customer Detail is not displayed")
		[ ] 
		[ ] // Step 3: Click on Close
		[-] if Customers.CustomerList.CustomerDetail.Exists ()
			[ ] Customers.CustomerList.CustomerDetail.CornerClose.Click ()
		[ ] 
		[-] // Step 4: Goto IWT-> Add
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.Add.Click ()
		[ ] 
		[+] // Result 4: Verify 'Add Customer' is displayed
			[ ] VerifySafely (Customers.CustomerList.AddCustomer.Exists (5), TRUE, "Add Customer is displayed")
		[ ] 
		[+] // Step 5: Click on Cancel
			[ ] Customers.CustomerList.AddCustomer.Cancel.Click ()
		[ ] 
		[+] // Step 6: Goto IWT-> Edit
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.Edit.Click ()
		[ ] 
		[+] // Result 5: Verify 'Edit Customer' is displayed
			[ ] VerifySafely (Customers.CustomerList.EditCustomer.Exists (5), TRUE, "Edit Customer is displayed")
		[ ] 
		[+] // Step 7: Click on Cancel
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
		[ ] 
		[+] // Step 8: Goto IWT-> Copy
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.Copy.Click ()
		[ ] 
		[+] // Result 6: Verify 'Add customer' is displayed
			[ ] VerifySafely (Customers.CustomerList.AddCustomer.Exists (5), TRUE, "Add Customer is displayed")
		[ ] 
		[+] // Step 9: Click on Cancel
			[ ] Customers.CustomerList.AddCustomer.Cancel.Click ()
			[+] if QuickBooksPointOfSale.Confirmation.Exists ()
				[ ] QuickBooksPointOfSale.Confirmation.Yes.Click ()
		[ ] 
		[+] // Step 10: Goto IWT-> Delete
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.Delete.Click ()
		[ ] 
		[+] // Result 7: Verify 'Message box' is displayed
			[ ] VerifySafely (Customers.Confirmation.Exists (5), TRUE, "Delete customer message box is displayed")
		[ ] 
		[+] // Step 11: Click on Cancel
			[ ] Customers.Confirmation.Cancel.Click ()
		[ ] 
		[+] // Step 12: Goto IWT-> Make a Sale
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.MakeASale.Click ()
		[ ] 
		[+] // Result 8: Verify 'Sales Receipt' is dispalyed
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales Receipt is displayed")
		[ ] 
		[-] // Step 13: Click on Cancel and click Discard Changes
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] QuickBooksPointOfSale.Confirmation.DiscardChanges.Click ()
		[ ] 
		[-] // Step 14: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[-] // Step 15: Goto IWT-> Accept Return/Exchange
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.AcceptReturnOrExchange.Click ()
		[ ] 
		[-] // Result 9: Verify 'Take Return/Exchange' is dispalyed
			[ ] VerifySafely (Customers.CustomerList.TakeReturnOrExchange.Exists (5), TRUE, "Take Return/Exchange is displayed")
		[ ] 
		[-] // Step 16: Click on Cancel
			[ ] //Customers.CustomerList.TakeReturnOrExchange.Cancel.Click ()
			[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.TakeReturnExchange.Cancel.Click ()
	[ ] 
	[-] // CLEAN UP
		[+] // if Customers.CustomerList.Exists ()
			[ ] // Customers.CustomerList.Topbar.Home.Click ()
		[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Root2.Click ()
		[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click ()
