﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify customer disounts
	[+] // Test Steps:
		[ ] // Step 1: Invoke Add New Customer form and fill the customer form with all mandatory fields
		[ ] // Step 2: Click on EditDiscounts (Result 1)
		[ ] // Step 3: Select apply fixed percentage and set a disc pc
		[ ] // Step 4: Click on 'X' on discount op up (Result 2)
		[ ] // Step 5: Save the Customer
		[ ] // Step 6: Select the customer and then go to IWT->Make A sale (Result 3)
		[ ] // Step 7: Click on Yes and then add an Item (Result 4)
		[ ] // Step 8: Receieve payment and save the receipt
		[ ] // Step 9: Go to Customer list select an existing customer and edit
		[ ] // Step 10: Click on EditDiscounts (Result 5)
		[ ] // Step 11: Select use a markdown and set a price level
		[ ] // Step 12: Click on 'X' on discount op up (Result 6)
		[ ] // Step 13: Save the Customer
		[ ] // Step 14: Select the customer and then go to IWT->Make A sale (Result 7)
		[ ] // Step 15: Click on Yes and then add an Item (Result 8)
	[+] // Expected Result:
		[ ] // Result 1: Verify Customer Discount pop up appears anf focus is on none
		[ ] // Result 2: Verify discount pop up disappears 
		[ ] // Result 3:  Verify Apply Discount dialog appears on Sales Receipt
		[ ] // Result 4: Verify total is discounted
		[ ] // Result 5: Verify Customer Discount pop up appears anf focus is on none
		[ ] // Result 6: Verify discount pop up disappears 
		[ ] // Result 7:  Verify Price level change dialog appears on Sales Receipt
		[ ] // Result 8: Verify total is discounted
[ ] // TESTCASE::CustomerDiscounts
[ ] // ATC ID::POS_CUST_ATC_019
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CustomerDiscounts.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase CustomerDiscounts () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sDiscount
		[ ] SalesReceiptPaymentRec srp
		[ ] NewCustomerRec ncrCust
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "ConsoleDB1.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[-] // Step 1: Invoke Add New Customer form and fill the customer form with all mandatory fields
			[ ] Customers.CustomerList.AddCustomer.Invoke ()
			[ ] ncrCust = {}
			[ ] ncrCust.sFirstName = "TestCF"
			[ ] ncrCust.sLastName = "TestCL"
			[ ] ncrCust.sMobile = "1122334455"
			[ ] ncrCust.sCity = "Bangalore"
			[ ] FillCustomerForm (ncrCust)
		[ ] 
		[-] // Step 2: Click on EditDiscounts
			[ ] Customers.CustomerList.AddCustomer.ScrollViewer.CustomerSettings.EditDiscount.BringIntoView ()
			[ ] Customers.CustomerList.AddCustomer.ScrollViewer.CustomerSettings.EditDiscount.Click ()
		[ ] 
		[-] // Result 1: Verify Customer Discount pop up appears anf focus is on none
			[ ] VerifySafely (Customers.CustomerList.AddCustomer.DiscountPopUp.Exists (5), TRUE, "Discount pop appears")
			[ ] VerifySafely (Customers.CustomerList.AddCustomer.DiscountPopUp.CustomerDiscount.None.IsFocused (), TRUE, "Focus is on none")
		[ ] 
		[-] // Step 3: Select apply fixed percentage and set a disc pc
			[ ] sDiscount = "20"
			[ ] Customers.CustomerList.AddCustomer.DiscountPopUp.CustomerDiscount.FixedPcDiscount.Click ()
			[ ] Customers.CustomerList.AddCustomer.DiscountPopUp.CustomerDiscount.DiscPc.SetData (sDiscount)
			[ ] Items.Typekeys ("<Tab>")
		[ ] 
		[-] // Step 4: Click on 'X' on discount op up
			[ ] Customers.CustomerList.AddCustomer.DiscountPopUp.XClose.Click ()
		[ ] 
		[-] // Result 2: Verify discount pop up disappears 
			[ ] VerifySafely (Customers.CustomerList.AddCustomer.DiscountPopUp.Exists (5), FALSE, "Discount pop closed")
		[ ] 
		[-] // Step 5: Save the Customer
			[ ] Customers.CustomerList.AddCustomer.Save.Click ()
		[ ] 
		[-] // Step 6: Select the customer and then go to IWT->Make A sale
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCust.sLastName)
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.MakeASale.Click ()
		[ ] 
		[-] // Result 3:  Verify Apply Discount dialog appears on Sales Receipt
			[ ] VerifySafely (SalesReceipt.Sale.ApplyDiscount.Exists (5), TRUE, "Apply discount appears appears")
			[ ] VerifySafely (SalesReceipt.Sale.ApplyDiscount.DiscountPc.GetCaption (), "{sDiscount}% Discount", "Discount displayed correctly")
		[ ] 
		[-] // Step 7: Click on Yes and then add an Item
			[ ] SalesReceipt.Sale.ApplyDiscount.Yes.Click ()
			[ ] SalesReceipt.Sale.EnterItems.SelectItem ("InvItem0")
		[ ] 
		[-] // Result 4: Verify total is discounted
			[ ] WaitForPageToLoad (5)
			[ ] //VerifySafely (SalesReceipt.Sale.SubTotal.SubTotal.GetCaption (), "80.00", "Discount applied correctly")
			[ ] 
		[-] // Step 8: Receieve payment and save the receipt
			[ ] srp = {}
			[ ] srp.sPaymentMode = "Cash"
			[ ] ReceivePayment (srp)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[-] // Step 9: Go to Customer list select an existing customer and edit
			[ ] ncrCust.sLastName = "CustL"
			[ ] Customers.CustomerList.Invoke ()
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCust.sLastName)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
		[ ] 
		[-] // Step 10: Click on EditDiscounts
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.CustomerSettings.EditDiscount.BringIntoView ()
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.CustomerSettings.EditDiscount.Click ()
		[ ] 
		[-] // Result 5: Verify Customer Discount pop up appears anf focus is on none
			[ ] VerifySafely (Customers.CustomerList.EditCustomer.DiscountPopUp.Exists (5), TRUE, "Discount pop appears")
			[ ] VerifySafely (Customers.CustomerList.EditCustomer.DiscountPopUp.CustomerDiscount.None.IsFocused (), TRUE, "Focus is on none")
		[ ] 
		[-] // Step 11: Select use a markdown and set a price level
			[ ] Customers.CustomerList.EditCustomer.DiscountPopUp.CustomerDiscount.UseMarkDown.Click ()
			[ ] Customers.CustomerList.EditCustomer.DiscountPopUp.CustomerDiscount.PriceLevel.SelectItem ("Sale")
			[ ] Items.Typekeys ("<Tab>")
		[ ] 
		[-] // Step 12: Click on 'X' on discount op up
			[ ] Customers.CustomerList.EditCustomer.DiscountPopUp.XClose.Click ()
		[ ] 
		[-] // Result 6: Verify discount pop up disappears 
			[ ] VerifySafely (Customers.CustomerList.EditCustomer.DiscountPopUp.Exists (5), FALSE, "Discount pop closed")
		[ ] 
		[-] // Step 13: Save the Customer
			[ ] Customers.CustomerList.EditCustomer.Save.Click ()
		[ ] 
		[-] // Step 14: Select the customer and then go to IWT->Make A sale
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncrCust.sLastName)
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.MakeASale.Click ()
		[ ] 
		[-] // Result 7:  Verify Price level change dialog appears on Sales Receipt
			[ ] VerifySafely (SalesReceipt.Sale.PriceLevelChange.Exists (5), TRUE, "Price level change appears")
		[ ] 
		[-] // Step 15: Click on Yes and then add an Item
			[ ] SalesReceipt.Sale.PriceLevelChange.Yes.Click ()
			[ ] SalesReceipt.Sale.EnterItems.SelectItem ("InvItem6")
		[ ] 
		[-] // Result 8: Verify total is discounted
			[ ] WaitForPageToLoad (3)
			[ ] //VerifySafely (SalesReceipt.Sale.SubTotal.SubTotal.GetCaption (), "90.00", "Discount applied correctly")
	[ ] 
	[-] // CLEAN UP
		[ ] srp = {}
		[ ] srp.sPaymentMode = "Cash"
		[ ] ReceivePayment (srp)
		[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] SalesReceipt.Sale.Cancel.Click ()
[ ] 
