﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifing adding shipping address to existing customer.
	[+] // Test Steps:
		[ ] // 1. Invoke Customer list (Result 1)
		[ ] // 2. Select a customer and click 'Edit' (Result 2)
		[ ] // 3. Click on 'New' in the Addresses section (Result 3) (Result 4)
		[ ] // 4. Enter the shipping address details
		[ ] // 5. Click on 'X' button at the top right corner (Result 5) (Result 6)
		[ ] // 6. Click 'Save'
		[ ] // 7. Select the created customer and if detailed view not displayed, click 'Show Details'  (Result 7)
		[ ] // 8. Invoke a sales receipt for the customer
		[ ] // 9. Goto I Want To-> Ship Items (Result 8)
		[ ] // 10. Select the added address (Result 9)
	[+] // Expected Result:
		[ ] // 1. Verify Customer list appears
		[ ] // 2. Verify Edit Customer form appears
		[ ] // 3. Verify 'Customers Shipping Addresses' pop up appears
		[ ] // 4. Verify the focus is on first editable field
		[ ] // 5. Verify 'Customers Shipping Addresses' pop up closes
		[ ] // 6. Verify correct address is displayed
		[ ] // 7. Verify the address added is displayed correct
		[ ] // 8. Verify 'Enter Shipping Information' pop appears
		[ ] // 9. Verify the address added is displayed correct
[ ] // TESTCASE::CustomersShippingAddress
[ ] // ATC ID::POS_CUST_ATC_020
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CustomersShippingAddress.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase CustomersShippingAddress () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sCustomer, sAddName, sStreet, sCity, sState, sZip, sAddress1, sAddress2
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "ConsoleDB1.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[-] // Step 1: Invoke Customer list
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[-] // Result 1: Verify Customer list appears
			[ ] VerifySafely (Customers.CustomerList.Exists (5), TRUE, "Customer list appears")
		[ ] 
		[-] // Step 2: Select a customer and click 'Edit'
			[ ] sCustomer = "CustL"
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (sCustomer)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
		[ ] 
		[-] // Result 2: Verify Edit Customer form appears
			[ ] VerifySafely (Customers.CustomerList.EditCustomer.Exists (5), TRUE, "Edit Customer form appears")
		[ ] 
		[-] // Step 3: Click on 'New' in the Addresses section
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Addresses.New.BringIntoView ()
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Addresses.New.Click ()
		[ ] 
		[-] // Result 3: Verify 'Customers Shipping Addresses' pop up appears
			[ ] VerifySafely (Customers.CustomerList.EditCustomer.ShippingAddressPopUp.Exists (5), TRUE, "'Customers Shipping Addresses' pop up appears")
		[ ] 
		[+] // Result 4: Verify the focus is on first editable field
			[ ] VerifySafely (Customers.CustomerList.EditCustomer.ShippingAddressPopUp.CustomerShippingAddress.AddressName.IsFocused (), TRUE, "Focus is on first editable field")
		[ ] 
		[+] // Step 4: Enter the shipping address details
			[ ] sAddName = "New Shipping Address"
			[ ] sStreet = "Street1"
			[ ] sCity = "City1"
			[ ] sState = "State1"
			[ ] sZip = "12345"
			[ ] Customers.CustomerList.EditCustomer.ShippingAddressPopUp.CustomerShippingAddress.AddressName.SetData (sAddName)
			[ ] Customers.CustomerList.EditCustomer.ShippingAddressPopUp.CustomerShippingAddress.Street.SetData (sStreet)
			[ ] Customers.CustomerList.EditCustomer.ShippingAddressPopUp.CustomerShippingAddress.City.SetData (sCity)
			[ ] Customers.CustomerList.EditCustomer.ShippingAddressPopUp.CustomerShippingAddress.State.SetData (sState)
			[ ] Customers.CustomerList.EditCustomer.ShippingAddressPopUp.CustomerShippingAddress.ZIP.SetData (sZip)
			[ ] Customers.CustomerList.EditCustomer.ShippingAddressPopUp.TypeKeys ("<Tab>")
		[ ] 
		[+] // Step 5: Click on 'X' button at the top right corner
			[ ] Customers.CustomerList.EditCustomer.ShippingAddressPopUp.XClose.Click ()
		[ ] 
		[+] // Result 5: Verify 'Customers Shipping Addresses' pop up closes
			[ ] VerifySafely (Customers.CustomerList.EditCustomer.ShippingAddressPopUp.Exists (5), FALSE, "'Customers Shipping Addresses' pop up closes")
		[ ] 
		[+] // Result 6: Verify correct address is displayed
			[ ] sAddress1 = "Street1"
			[ ] sAddress2 = "City1, State1 12345"
			[ ] VerifySafely (MatchStr ("{sAddress1}*", Customers.CustomerList.EditCustomer.ScrollViewer.Addresses.Detail.GetCaption ()), TRUE, "Correct address displayed")
			[ ] VerifySafely (MatchStr ("*{sAddress2}", Customers.CustomerList.EditCustomer.ScrollViewer.Addresses.Detail.GetCaption ()), TRUE, "Correct address displayed")
		[ ] 
		[+] // Step 6: Click 'Save'
			[ ] Customers.CustomerList.EditCustomer.Save.Click ()
		[ ] 
		[-] // Step 7: Select the created customer and if detailed view not displayed, click 'Show Details' 
			[ ] WaitFor (Customers.CustomerList.Topbar.Home, 10)
			[ ] //Customers.CustomerList.Topbar.Home.Click ()
			[ ] Customers.CustomerList.Invoke ()
			[ ] WaitFor (Customers.CustomerList.Topbar.SearchCustomer, 10)
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData ("")
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (sCustomer)
			[-] if Customers.CustomerList.Topbar.ShowDetails.Exists ()
				[ ] Customers.CustomerList.Topbar.ShowDetails.Click ()
		[ ] 
		[+] // Result 7: Verify the address added is displayed correct
			[ ] Customers.CustomerList.CustomerDetail.CustomerDetailContent.ScrollViewer.Addresses.Detail.BringIntoView ()
			[ ] Customers.CustomerList.CustomerDetail.CustomerDetailContent.ScrollViewer.Addresses.Address.Select (sAddName)
			[ ] VerifySafely (MatchStr ("{sAddress1}*", Customers.CustomerList.CustomerDetail.CustomerDetailContent.ScrollViewer.Addresses.Detail.GetCaption ()), TRUE, "Correct address displayed")
			[ ] VerifySafely (MatchStr ("*{sAddress2}", Customers.CustomerList.CustomerDetail.CustomerDetailContent.ScrollViewer.Addresses.Detail.GetCaption ()), TRUE, "Correct address displayed")
		[ ] 
		[+] // Step 8: Invoke a sales receipt for the customer
			[ ] Customers.CustomerList.Topbar.IWantTo.Click ()
			[ ] Customers.CustomerList.Topbar.IWantTo.MakeASale.Click ()
			[ ] WaitFor (SalesReceipt.Sale, 10)
		[ ] 
		[+] // Step 9: Goto I Want To-> Ship Items
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ShipItems.Click ()
		[ ] 
		[-] // Result 8: Verify 'Enter Shipping Information' pop appears
			[ ] VerifySafely (SalesReceipt.Sale.EnterShippingInformation.Exists (5), TRUE, "'Enter Shipping Information' pop appears")
		[ ] 
		[-] // Step 10: Select the added address
			[ ] SalesReceipt.Sale.EnterShippingInformation.ShippingInfoCustomer.ShipTo.Select (sAddName)
		[ ] 
		[-] // Result 9: Verify the address added is displayed correct
			[ ] VerifySafely (MatchStr ("{sAddress1}*", SalesReceipt.Sale.EnterShippingInformation.ShippingInfoCustomer.Detail.GetCaption ()), TRUE, "Correct address displayed")
			[ ] VerifySafely (MatchStr ("*{sAddress2}", SalesReceipt.Sale.EnterShippingInformation.ShippingInfoCustomer.Detail.GetCaption ()), TRUE, "Correct address displayed")
			[ ] SalesReceipt.Sale.EnterShippingInformation.OK.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.DiscardChanges.Click ()
			[ ] Print ("Confirmation dialog appeared, Clicked on Discard Changes")
			[+] // if QuickBooksPointOfSaleDesktop120MultistoreLevel.SalesReceipt.GeneralDialog.Exists ()
				[ ] // QuickBooksPointOfSaleDesktop120MultistoreLevel.SalesReceipt.GeneralDialog.DiscardChanges.Click ()
				[ ] 
	[-] // CLEAN UP
		[-] // if QuickBooksPointOfSale.MessageBox.Exists ()
			[ ] // QuickBooksPointOfSale.MessageBox.DiscardChanges.Click ()
[ ] // 
