﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Turning ON and setting up rewards program
	[+] // Test Steps:
		[ ] // 1. Invoke Rewards Manager
		[ ] // 2. Turn Reward Tracking ON (Result 1)
		[ ] // 3. Click 'Yes' 
		[ ] // 4. Clear the "Purchase Threshold" field and hit <Tab> (Result 2)
		[ ] // 5. Click on 'Save' (Result 3)
		[ ] // 6. Enter $1.009 in the "Purchase Threshold" field and hit <Tab> (Result 4)
		[ ] // 7. Enter $1,000,000.00 in the "Purchase Threshold" field and hit <Tab> (Result 5)
		[ ] // 8. Clear the "Reward Amount" field and hit <Tab> (Result 6)
		[ ] // 9. Click on 'Save' (Result 7)
		[ ] // 10. Enter $1.009 in the "Reward Amount" field and hit <Tab> (Result 8)
		[ ] // 11. Enter $1,000,000.00 in the "Reward Amount" field and hit <Tab> (Result 9)
		[ ] // 12. Change the "Reward Amount" to be in "% off" (Result 10)
	[+] // Expected Result:
		[ ] // 1. Verify Customer Rewards Program dialog appears
		[ ] // 2. Verify the field is populated with $0.00
		[ ] // 3. Verify POS Message displayed warning you that "Purchase Threshold and Reward Amount" must be defined."
		[ ] // 4. Verify the amount is rounded to $1.01
		[ ] // 5. Verify the amount is automatically set to maximum of $10,000.00
		[ ] // 6. Verify the field is populated with $0.00
		[ ] // 7. Verify POS Message displayed warning you that "Purchase Threshold and Reward Amount" must be defined."
		[ ] // 8. Verify the amount is rounded to $1.01
		[ ] // 9. Verify the amount is automatically set to maximum of $100.00
		[ ] // 10. Verify there is no dollar sign signifying that the figure is a percent
[ ] // TESTCASE::RewardsManager
[ ] // ATC ID::POS_CUST_ATC_011
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::RewardsManager.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase RewardsManager () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMsg
		[ ] NewCustomerRec ncrCustomer
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "ConsoleDB1.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[-] // Step 1: Invoke Rewards Manager
			[ ] RewardsManager.Invoke ()
			[ ] 
		[-] // Step 2: Turn Reward Tracking ON
			[ ] RewardsManager.RewardManagerFrame.TurnTrackingON.Click ()
			[ ] 
		[-] // Result 1: Verify Customer Rewards Program dialog appears
			[ ] VerifySafely (CustomerRewardsProgramTurnONMsg.Exists (3), TRUE, "Customer Rewards Program dialog displayed")
		[ ] 
		[-] // Step 3: Click 'Yes' 
			[ ] CustomerRewardsProgramTurnONMsg.Yes.Click ()
		[ ] 
		[-] // Step 4: Clear the "Purchase Threshold" field and hit <Tab>
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TextClick ("0.00")
			[ ] RewardsManager.TypeKeys ("<Tab>")
		[ ]  
		[-] // Result 2: Verify the field is populated with $0.00
			[ ] //VerifySafely (RewardsManager.RewardManagerFrame.PurchaseThreshold.TextCapture (), "$0.00", "The field is populated with $0.00")
		[ ] 
		[-] // Step 5: Click on 'Save'
			[ ] RewardsManager.BottomBar.Save.Click ()
		[ ] 
		[-] // Result 3: Verify POS Message displayed warning you that "Purchase Threshold and Reward Amount" must be defined."
			[ ] VerifySafely (QuickBooksPointOfSaleMessage.Exists (), TRUE,  "Reward Purchase Threshold and Reward Amount must be defined - occurs")
			[ ] QuickBooksPointOfSaleMessage.OK.Click ()
		[ ] 
		[-] // Step 6: Enter $1.009 in the "Purchase Threshold" field and hit <Tab>
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("<CTRL-A>")
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("1.009")
			[ ] RewardsManager.TypeKeys ("<Tab>")
		[ ] 
		[-] // Result 4: Verify the amount is rounded to $1.01
			[ ] //VerifySafely (RewardsManager.RewardManagerFrame.PurchaseThreshold.TextCapture (), "$1.01", "Amount is rounded to $1.01")
		[ ] 
		[-] // Step 7: Enter $1,000,000.00 in the "Purchase Threshold" field and hit <Tab>
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("<CTRL-A>")
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("1000000.00")
			[ ] RewardsManager.TypeKeys ("<Tab>")
		[ ] 
		[-] // Result 5: Verify the amount is automatically set to maximum of $10,000.00
			[ ] //VerifySafely (RewardsManager.RewardManagerFrame.PurchaseThreshold.GetProperty ("$10,000.00"), "$10,000.00", "Amount is automatically set to maximum of $10,000.00")
		[ ] 
		[-] // Step 8: Clear the "Reward Amount" field and hit <Tab>
			[ ] RewardsManager.RewardManagerFrame.RewardAmount.TextClick ("0.00")
			[ ] RewardsManager.TypeKeys ("<Tab>")
		[ ] 
		[-] // Result 6: Verify the field is populated with $0.00
			[ ] //VerifySafely (RewardsManager.RewardManagerFrame.RewardAmount.GetProperty ("0.00"), "$0.00", "The field is populated with $0.00")
		[ ] 
		[-] // Step 9: Click on 'Save'
			[ ] RewardsManager.BottomBar.Save.Click ()
		[ ] 
		[-] // Result 7: Verify POS Message displayed warning you that "Purchase Threshold and Reward Amount" must be defined."
			[ ] VerifySafely (QuickBooksPointOfSaleMessage.Exists (), TRUE,  "Reward Purchase Threshold and Reward Amount must be defined - occurs")
			[ ] QuickBooksPointOfSaleMessage.OK.Click ()
		[ ] 
		[-] // Step 10: Enter $1.009 in the "Reward Amount" field and hit <Tab>
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("<CTRL-A>")
			[ ] RewardsManager.RewardManagerFrame.RewardAmount.TypeKeys ("1.009")
			[ ] RewardsManager.TypeKeys ("<Tab>")
		[ ] 
		[-] // Result 8: Verify the amount is rounded to $1.01
			[ ] //VerifySafely (RewardsManager.RewardManagerFrame.RewardAmount.GetProperty ("$1.01"), "$1.01", "Amount is rounded to $1.01")
		[ ] 
		[-] // Step 11: Enter $1,000,000.00 in the "Reward Amount" field and hit <Tab>
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("<CTRL-A>")
			[ ] RewardsManager.RewardManagerFrame.RewardAmount.TypeKeys ("1000000.00")
			[ ] RewardsManager.TypeKeys ("<Tab>")
		[ ] 
		[-] // Result 9: Verify the amount is automatically set to maximum of $100.00
			[ ] //VerifySafely (RewardsManager.RewardManagerFrame.RewardAmount.GetProperty ("$10,000.00"), "$10,000.00", "Amount is automatically set to maximum of $10,000.00")
		[ ] 
		[-] // Step 12: Change the "Reward Amount" to be in "% off"
			[ ] RewardsManager.RewardManagerFrame.AmountIn.TypeKeys ("% off")
		[ ] 
		[-] // Result 10: Verify there is no dollar sign signifying that the figure is a percent
			[ ] //VerifySafely (RewardsManager.RewardManagerFrame.RewardAmount.GetProperty ("100.00"), "100.00", "The amount found without a '$' sign")
	[ ] 
	[-] // CLEAN UP
		[ ] RewardsManager.RewardManagerFrame.TurnTrackingOFF.Click ()
		[ ] CustomerRewardsProgramTurnOffMsg.Yes.Click ()
		[ ] RewardsManager.BottomBar.Close.Click ()
		[-] if (RewardSettingInProgress.Exists ())
			[ ] RewardSettingInProgress.Yes.Click ()
			[ ] 
[ ] 
