﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify Blocking rewards redemption.
	[+] // Test Steps:
		[ ] // 1. Invoke Rewards Manager
		[ ] // 2. Enter "10" in the 'Block Redemption' text box and click 'Save'
		[ ] // 3. Create a sale for a customer enrolled in Reward program and for an amount more than Purchase Threshold (Result 1)
		[ ] // 4. Click 'Ok'
		[ ] // 5. Enter another sale for the same customer and for an amount less than Purchase Threshold and Click 'Cash' (Result 2)
		[ ] // 6. Take payment and Click 'Save'
		[ ] // 7. Enter another sale for the same customer and for amount less than Threshold
		[ ] // 8. Set the date of sale to 11 days after the current date (Result 3)
		[ ] // 9. Click 'Cash' (Result 4)
		[ ] // 10. Click 'Redeem Now'
		[ ] // 11. Take payment and Click 'Save'
	[+] // Expected Result:
		[ ] // 1. Verify a dialog box appears saying 'Reward Earned'
		[ ] // 2. Verify no dialog box appears saying 'Redeem Customer Rewards'
		[ ] // 3. Verify date is displayed
		[ ] // 4. Verify dialog box appears for 'Redeem Customer Rewards'
[ ] // TESTCASE::RewardsManager_BlockRedemption
[ ] // ATC ID::POS_CUST_ATC_018
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\Reports_RewardsManager.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::RewardsManager_BlockRedemption.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase RewardsManager_BlockRedemption () appstate NonBasicSKU
	[-] // VARIABLES
		[ ] STRING sCompanyFile, sMsg, dtDocDate
		[ ] SalesReceiptRec srr
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "Reports_RewardsManager.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[-] // Step 1: Invoke Rewards Manager
			[ ] RewardsManager.Invoke ()
		[ ] 
		[-] // Step 2: Enter "10" in the 'Block Redemption' text box and click 'Save'
			[ ] RewardsManager.RewardManagerFrame.BlockRewardRedemption.TypeKeys ("<CTRL-A>")
			[ ] RewardsManager.RewardManagerFrame.BlockRewardRedemption.TypeKeys ("10")
			[ ] RewardsManager.BottomBar.Save.Click ()
		[ ] 
		[-] // Step 3: Create a sale for a customer enrolled in Reward program and for an amount more than Purchase Threshold
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = "Alonso, Xavi"
			[+] srr.lsItems = {...}
				[ ] "Apron"
			[ ] srr.srp.sPaymentMode = "Cash"
			[ ] srr.sButton = "Save"
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[-] // Result 1: Verify a dialog box appears saying 'Reward Earned'
			[-] if QuickBooksPointOfSale.Information.Exists ()
				[ ] QuickBooksPointOfSale.Information.VerifyMessage ("Reward Earned")
				[ ] // Step 4: Click 'Ok'
				[ ] QuickBooksPointOfSale.Information.OK.Click ()
		[ ] 
		[-] // Step 5: Enter another sale for the same customer and for an amount less than Purchase Threshold and Click 'Cash'
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = "Alonso, Xavi"
			[-] srr.lsItems = {...}
				[ ] "Baseball Bat"
			[ ] CreateSalesReceipt (srr)
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
		[ ] 
		[-] // Result 2: Verify no dialog box appears saying 'Redeem Customer Rewards'
			[ ] VerifySafely (QuickBooksPointOfSale.RedeemCustomerReward.Exists (), FALSE, "Redeem Customer Rewards dialog not displayed")
		[ ] 
		[-] // Step 6: Take payment and Click 'Save'
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[-] // Step 7: Enter another sale for the same customer and for amount less than Threshold
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = "Alonso, Xavi"
			[-] srr.lsItems = {...}
				[ ] "Baseball Bat"
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[-] // Step 8: Set the date of sale to 11 days after the current date
			[ ] dtDocDate = FormatDateTime (AddDateTime (GetDateTime (), 11), "yyyy-mm-dd")
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ChangeDate.Click ()
			[ ] SalesReceipt.Sale.ChangeDocumentDate.DocumentDate.SelectDate (dtDocDate)
			[ ] SalesReceipt.Sale.ChangeDocumentDate.Save.Click ()
		[ ] 
		[-] // Result 3: Verify date is displayed
			[ ] //VerifySafely (SalesReceipt.Sale.DocDate.DisplayedDate.GetCaption (), FormatDateTime (dtDocDate, "m/d/yyyy"), "Date displayed")
		[ ] 
		[-] // Step 9: Click 'Cash'
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
		[ ] 
		[-] // Result 4: Verify dialog box appears for 'Redeem Customer Rewards'
			[ ] VerifySafely (QuickBooksPointOfSale.RedeemCustomerReward.Exists (), TRUE, "Redeem Customer Rewards dialog displayed")
		[ ] 
		[-] // Step 10: Click 'Redeem Now'
			[ ] QuickBooksPointOfSale.RedeemCustomerReward.RedeemNow.Click ()
		[ ] 
		[-] // Step 11: Take payment and Click 'Save'
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
	[ ] 
	[-] // CLEAN UP
		[ ] SalesReceipt.Sale.Cancel.Click ()
		[-] if QuickBooksPointOfSale.Confirmation.Exists ()
			[ ] QuickBooksPointOfSale.Confirmation.DiscardChanges.Click ()
[ ] 
