﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify changing rewards setting.
	[+] // Test Steps:
		[ ] // 1. Create a new customer enrolled in reward program
		[ ] // 2. Create a sale for the new customer and for an amount more than Purchase Threshold (Result 1)
		[ ] // 3. Click 'Ok'
		[ ] // 4. Goto Customers list, select the customer and click 'Edit' (Result 2) (Result 3)
		[ ] // 5. Invoke Rewards Manager and change the 'Purchase Threshold' to '20' and 'Reward Amount' to '2' and click 'Save' (Result 4)
		[ ] // 6. Check "Keep Existing Rewards Available" check box, Click 'Next' and click 'Finish'
		[ ] // 7. Goto Customers list, select the customer and click 'Edit' (Result 5) (Result 6)
		[ ] // 8. Invoke Rewards Manager, change the 'Purchase Threshold' to '30' and 'Reward Amount' to '2' and click 'Save' (Result 7)
		[ ] // 9. Check "Discard And Recalculate Existing Rewards" check box, Click 'Next' and click 'Finish'
		[ ] // 10. Goto Customers list, select the customer and click 'Edit' (Result 8) (Result 9)
	[+] // Expected Result:
		[ ] // 1. Verify a dialog box appears saying 'Reward Earned'
		[ ] // 2. Verify old rewards are listed for the customer
		[ ] // 3. Verify customer has just 1 reward as per the reward setting ($5.00 off on purchase of every $100.00)
		[ ] // 4. Verify "Reward Setup Changed' dialog appears and 
		[ ] //	 asks if you want to keep or discard and recalculate the existing awards
		[ ] // 5. Verify old rewards are listed for the customer along with the new onces
		[ ] // 6. Verify customer has 1 reward as per the old setting ($5.00 off on purchase of every $100.00) and 3 new rewards of $2.00 off as per new settings
		[ ] // 7. Verify "Reward Setup Changed' dialog appears and 
		[ ] //	 asks if you want to keep or discard and recalculate the existing awards
		[ ] // 8. Verify rewards are recalculated as per the the new rewards setting
		[ ] // 9. Verify customer has 5 rewards as per the new setting ($3.00 off on purchase of every $30.00)
[ ] // TESTCASE::RewardsManager_ChangeRewardSettings
[ ] // ATC ID::POS_CUST_ATC_017
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\Reports_RewardsManager.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::RewardsManager_ChangeRewardSettings.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase RewardsManager_ChangeRewardSettings () appstate NonBasicSKU
	[-] // VARIABLES
		[ ] STRING sCompanyFile, sMsg, dtDocDate
		[ ] SalesReceiptRec srr
		[ ] NewCustomerRec ncr
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "Reports_RewardsManager.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[-] // Step 1: Create a new customer enrolled in reward program
			[ ] ncr = {}
			[ ] ncr.sFirstName = "NewCust1F"
			[ ] ncr.sLastName = "NewCust1L"
			[ ] CreateNewCustomer (ncr)
			[ ] //Customers.CustomerList.Topbar.Home.Click ()
		[ ] 
		[-] // Step 2: Create a sale for the new customer and for an amount more than Purchase Threshold
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = ncr.sLastName
			[-] srr.lsItems = {...}
				[ ] "Apron"
			[ ] srr.srp.sPaymentMode = "Cash"
			[ ] srr.sButton = "Save"
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[-] // Result 1: Verify a dialog box appears saying 'Reward Earned'
			[-] if QuickBooksPointOfSale.Information.Exists (1)
				[ ] QuickBooksPointOfSale.Information.VerifyMessage ("Reward Earned")
				[ ] QuickBooksPointOfSale.Information.OK.Click ()
		[ ] 
		[-] // Step 3: Click 'Cancel'
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[-] // Step 4: Goto Customers list, select the customer and click 'Edit'
			[ ] Customers.CustomerList.Invoke ()
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (srr.sCustomer)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
			[ ] WaitFor (Customers.CustomerList.EditCustomer, 10)
		[ ] 
		[-] // Result 2: Verify old rewards are listed for the customer
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.New.BringIntoView ()
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.RewardsList.Select (1)
			[ ] WaitUntill (Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.ShowHistory, "IsEnabled" , TRUE, 10)
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.ShowHistory.Click ()
			[ ] QuickBooksPointOfSale.Information.VerifyMessage ("$5.00 off")
			[ ] QuickBooksPointOfSale.Information.OK.Click ()
		[ ] 
		[-] // Result 3: Verify customer has just 1 reward as per the reward setting ($5.00 off on purchase of every $100.00)
			[ ] Verifysafely (Str (ListCount (Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.RewardsList.Items)), "1", "Customer has only 1 reward listed")
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
			[-] if Customers.CustomerList.Exists ()
				[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click ()
				[ ] 
		[-] // Step 5: Invoke Rewards Manager and change the 'Purchase Threshold' to '20' and 'Reward Amount' to '2' and click 'Save'
			[ ] RewardsManager.Invoke ()
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("<CTRL-A>")
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("20")
			[ ] RewardsManager.RewardManagerFrame.RewardAmount.TypeKeys ("<CTRL-A>")
			[ ] RewardsManager.RewardManagerFrame.RewardAmount.TypeKeys ("2")
			[ ] RewardsManager.BottomBar.Save.Click ()
		[ ] 
		[ ] // Result 4: Verify "Reward Setup Changed' dialog appears and 
		[-] // Asks if you want to keep or discard and recalculate the existing awards
			[ ] VerifySafely (RewardSetupChanged.Exists (3), TRUE, "Reward Setup Changed dialog displayed")
		[ ] 
		[-] // Step 6: Check "Keep Existing Rewards Available" check box, Click 'Next' and click 'Finish'
			[ ] RewardSetupChanged.KeepExistingRewardsAvailableForCustomersToRedeem.Click ()
			[ ] RewardSetupChanged.Next.Click ()
			[ ] RewardSetupChanged.Finish.Click ()
		[ ] 
		[-] // Step 7: Create another sale  
			[ ] CreateSalesReceipt (srr)
			[ ] 
		[-] // Result 1: Verify a dialog box appears saying 'Reward Earned'
			[-] if QuickBooksPointOfSale.Information.Exists (1)
				[ ] QuickBooksPointOfSale.Information.VerifyMessage ("Reward Earned")
				[ ] QuickBooksPointOfSale.Information.OK.Click ()
		[ ] 
		[-] // Step 3: Click 'Cancel'
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[-] // Step 7: Goto Customers list, select the customer and click 'Edit'
			[ ] Customers.CustomerList.Invoke ()
			[ ] WaitFor (Customers.CustomerList.Topbar.SearchCustomer, 10)
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (srr.sCustomer)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
		[ ] 
		[-] // Result 5: Verify old rewards are listed for the customer along with the new onces
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.New.BringIntoView ()
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.RewardsList.Select (1)
			[ ] WaitUntill (Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.ShowHistory, "IsEnabled" , TRUE, 10)
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.ShowHistory.Click ()
			[ ] QuickBooksPointOfSale.Information.VerifyMessage ("$5.00 off")
			[ ] QuickBooksPointOfSale.Information.OK.Click ()
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.RewardsList.Select (2)
			[ ] WaitUntill (Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.ShowHistory, "IsEnabled" , TRUE, 10)
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.ShowHistory.Click ()
			[ ] QuickBooksPointOfSale.Information.VerifyMessage ("$2.00 off") 
			[ ] QuickBooksPointOfSale.Information.OK.Click ()
		[ ] 
		[-] // Result 6: Verify customer has 1 reward as per the old setting ($5.00 off on purchase of every $100.00) and 3 new rewards of $2.00 off as per new settings
			[ ] Verifysafely (Str (ListCount (Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.RewardsList.Items)), "6", "Customer has 6 rewards listed")
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
			[-] if Customers.CustomerList.Exists ()
				[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click ()
		[ ] 
		[-] // Step 8: Invoke Rewards Manager, change the 'Purchase Threshold' to '30' and 'Reward Amount' to '3' and click 'Save'
			[ ] RewardsManager.Invoke ()
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("<CTRL-A>")
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("30")
			[ ] RewardsManager.RewardManagerFrame.RewardAmount.TypeKeys ("<CTRL-A>")
			[ ] RewardsManager.RewardManagerFrame.RewardAmount.TypeKeys ("3")
			[ ] RewardsManager.BottomBar.Save.Click ()
		[ ] 
		[ ] // Result 7: Verify "Reward Setup Changed' dialog appears and 
		[-] // Asks if you want to keep or discard and recalculate the existing awards
			[ ] VerifySafely (RewardSetupChanged.Exists (3), TRUE, "Reward Setup Changed dialog displayed")
		[ ] 
		[-] // Step 9: Check "Discard And Recalculate Existing Rewards" check box, Click 'Next' and click 'Finish'
			[ ] RewardSetupChanged.DiscardAndRecalculateExistingR.Click ()
			[ ] RewardSetupChanged.Next.Click ()
			[ ] RewardSetupChanged.Finish.Click ()
		[ ] 
		[-] // Step 10: Goto Customers list, select the customer and click 'Edit'
			[ ] Customers.CustomerList.Invoke ()
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (srr.sCustomer)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
		[ ] 
		[-] // Result 8: Verify rewards are recalculated as per the the new rewards setting
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.New.BringIntoView ()
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.RewardsList.Select (1)
			[ ] WaitUntill (Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.ShowHistory, "IsEnabled" , TRUE, 10)
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.ShowHistory.Click ()
			[ ] QuickBooksPointOfSale.Information.VerifyMessage ("$3.00 off")
			[ ] QuickBooksPointOfSale.Information.OK.Click ()
		[ ] 
		[-] // Result 9: Verify customer has 5 rewards as per the new setting ($3.00 off on purchase of every $30.00)
			[ ] Verifysafely (Str (ListCount (Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.RewardsList.Items)), "6", "Customer has 6 rewards listed")
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
	[ ] 
	[-] // CLEAN UP
		[-] if Customers.CustomerList.Exists ()
			[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click ()
