﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify no rewards are earned for a customer not a member of reward program or for a sale for amount less than threshold.
	[+] // Test Steps:
		[ ] // 1. Invoke Rewards Manager
		[ ] // 2. Uncheck the check box 'Automatically Enroll New Customers in Rewards Program' 
		[ ] //	Uncheck the check box 'Prompt To Enroll When Making Sales To Non Members' and click 'Save'
		[ ] // 3. Create a sale for a customer enrolled in reward program and for amount less than Threshold
		[ ] // 4. Click 'Save' (Result 1)
		[ ] // 5. Goto Customers list, select the customer and click 'Edit' (Result 2)
		[ ] // 6. Create a new customer (Result 3)
		[ ] // 7. Create a sale for the new customer and  for amount more than Threshold
		[ ] // 8. Click 'Save' (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify no messages appears for Reward earned
		[ ] // 2. Verify no rewards are listed for the customer
		[ ] // 3. Verify the customer created is not a member of reward program
		[ ] // 4. Verify no messages appears for Reward earned
[ ] // TESTCASE::RewardsManager_NoReward
[ ] // ATC ID::POS_CUST_ATC_014
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\Reports_RewardsManager.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::RewardsManager_NoReward.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase RewardsManager_NoReward () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMsg, sCustomer, sItem, sQty, dtDocDate
		[ ] SalesReceiptRec srr
		[ ] NewCustomerRec ncr
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "Reports_RewardsManager.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[-] // Step 1: Invoke Rewards Manager
			[ ] RewardsManager.Invoke ()
		[ ] 
		[ ] // Step 2: Uncheck the check box 'Automatically Enroll New Customers in Rewards Program' 
		[-] // Uncheck the check box 'Prompt To Enroll When Making Sales To Non Members' and click 'Save'
			[ ] RewardsManager.RewardManagerFrame.AutomaticallyEnrollNewCustomersInRewardsProgram.Click ()
			[ ] RewardsManager.RewardManagerFrame.PromptToEnrollWhenMakingSalesToNonMembers.Click ()
			[ ] RewardsManager.BottomBar.Save.Click ()
		[ ] 
		[-] // Step 3: Create a sale for a customer enrolled in reward program and for amount less than Threshold
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = "Alonso, Xavi"
			[-] srr.lsItems = {...}
				[ ] "Baseball Cap"
			[ ] srr.srp.sPaymentMode = "Cash"
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[-] // Step 4: Click 'Save'
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[-] // Result 1: Verify no messages appears for Reward earned
			[ ] VerifySafely (QuickBooksPointOfSale.MessageBox.Exists (), False, "Reward earned dialog not displayed")
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[-] // Step 5: Goto Customers list, select the customer and click 'Edit'
			[ ] Customers.CustomerList.Invoke ()
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (srr.sCustomer)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
		[ ] 
		[-] // Result 2: Verify no rewards are listed for the customer
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.RewardsList.SetFocus ()
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.New.SetFocus ()
			[ ] Verifysafely (Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.Remove.IsEnabled, FALSE, "Remove button is not enabled")
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
			[-] if Customers.CustomerList.Exists ()
				[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click ()
		[ ] 
		[-] // Step 6: Create a new customer
			[ ] ncr ={}
			[ ] ncr.sLastName = "NewCustomerL1"
			[ ] ncr.sFirstName = "NewCustomerF1"
			[ ] CreateNewCustomer (ncr)
		[ ] 
		[-] // Result 3: Verify the customer created is not a member of reward program
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.RewardsList.BringIntoView ()
			[ ] Verifysafely (Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.RewardMember.IsChecked, FALSE, "Customer created is not a reward member")
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
			[-] if Customers.CustomerList.Exists ()
				[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click ()
		[ ] 
		[-] // Step 7: Create a sale for the new customer and  for amount more than Threshold
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = ncr.sLastName
			[-] if Customers.Confirmation.Exists ()
				[ ] Customers.Confirmation.No.Click ()
			[-] srr.lsItems = {...}
				[ ] "Apron"
			[ ] srr.srp.sPaymentMode = "Cash"
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[-] // Step 8: Click 'Save'
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[-] // Result 4: Verify no messages appears for Reward earned
			[ ] VerifySafely (QuickBooksPointOfSale.MessageBox.Exists (), False, "Reward earned dialog not displayed")
	[ ] 
	[-] // CLEAN UP
			[ ] SalesReceipt.Sale.Cancel.Click ()
[ ] 
