﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Earning and Reedem of rewards.
	[+] // Test Steps:
		[ ] // 1. Create a sale for a customer enrolled in Reward program and for an amount more than Purchase Threshold (Result 1)
		[ ] // 2. Click 'Ok'
		[ ] // 3. Create another sale for the same customer and for an amount less than Purchase Threshold and Click 'Cash' (Result 2)
		[ ] // 4. Click 'Redeem Now'
	[+] // Expected Result:
		[ ] // 1. Verify a dialog box appears saying 'Reward Earned'
		[ ] // 2. Verify a dialog box appears saying 'Redeem Customer Rewards'
		[ ] // 3. Verify the sale amount reduces by the reward amount
[ ] // TESTCASE::RewardsManager_RewardEarnAndRedeem
[ ] // ATC ID::POS_CUST_ATC_013
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\Reports_RewardsManager.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::RewardsManager_RewardEarnAndRedeem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase RewardsManager_RewardEarnAndRedeem () appstate NonBasicSKU
	[-] // VARIABLES
		[ ] STRING sCompanyFile, sMsg, sCustomer, sItem, sQty, sTotalAmountBeforeRedeem, sTotalAmountAfterRedeem
		[ ] SalesReceiptRec srr
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "Reports_RewardsManager.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[-] // Step 1: Create a sale for a customer enrolled in Reward program and for an amount more than Purchase Threshold
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = "Cust1L, Cust1F"
			[+] srr.lsItems = {...}
				[ ] "Apron"
			[ ] srr.srp.sPaymentMode = "Cash"
			[ ] srr.sButton = "Save"
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[-] // Result 1: Verify a dialog box appears saying 'Reward Earned'
			[-] if QuickBooksPointOfSale.Information.Exists (1)
				[ ] QuickBooksPointOfSale.Information.VerifyMessage ("Reward Earned")
				[ ] // Step 2: Click 'Ok'
				[ ] QuickBooksPointOfSale.Information.OK.Click ()
		[ ] 
		[-] // Step 3: Create another sale for the same customer and for an amount less than Purchase Threshold and Click 'Cash'
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = "Cust1L, Cust1F"
			[ ] sleep (1)
			[-] srr.lsItems = {...}
				[ ] "Baseball Bat"
			[ ] CreateSalesReceipt (srr)
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
			[ ] QuickBooksPointOfSale.RedeemCustomerReward.SaveForLater.Click ()
			[ ] Print (SalesReceipt.Sale.CashPayment.Amount.TextCapture (), "Total Amount Before Reward is displayed")
			[ ] SalesReceipt.Sale.CashPayment.Cancel.Click ()
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
		[ ] 
		[-] // Result 2: Verify a dialog box appears saying 'Redeem Customer Rewards'
			[ ] VerifySafely (QuickBooksPointOfSale.RedeemCustomerReward.Exists (), TRUE, "Redeem Customer Rewards dialog displayed")
		[ ] 
		[-] // Step 4: Click 'Redeem Now'
			[ ] QuickBooksPointOfSale.RedeemCustomerReward.RedeemNow.Click ()
		[ ] 
		[-] // Result 3: Verify the sale amount reduces by the reward amount
			[ ] Print (SalesReceipt.Sale.CashPayment.Amount.TextCapture (), "Total Amount After Reward is displayed ")
			[ ] //Verifysafely (TotalAmount, TRUE, "Sale amount reduces by reward amount")
			[ ] 
		[-] // CLEAN UP
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[-] if QuickBooksPointOfSale.MessageBox.Exists (3)
				[ ] QuickBooksPointOfSale.MessageBox.DiscardChanges.Click ()
[ ] 
