﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify rewards cannot be redeemed after expiration date
	[+] // Test Steps:
		[ ] // 1. Invoke Rewards Manager
		[ ] // 2. In the 'Rewards Expiration' drop down select "15 days" (Result 1)
		[ ] // 3. Click on 'Next' and 'Finish'
		[ ] // 4. Create a sale for a customer enrolled in Reward program and for an amount more than Purchase Threshold (Result 2)
		[ ] // 5. Click 'Ok'
		[ ] // 6. Enter another sale for the same customer and for amount less than Threshold
		[ ] // 7. Set the date of sale to 16 days after the current date (Result 3)
		[ ] // 8. Click 'Cash' (Result 4)
		[ ] // 9. Take payment and Click 'Save'
		[ ] // 10. Invoke Rewards Manager and set  Rewards Expiration days to "30 days"
		[ ] // 11. On the 'Reward Setup Changed' dialog, click 'Next' and 'Finish'
		[ ] // 12. Enter another sale for the same customer and for amount less than Threshold
		[ ] // 13. Set the date of sale to 31 days after the current date (Result 5)
		[ ] // 14. Click 'Cash' (Result 6)
		[ ] // 15. Take payment and Click 'Save'
		[ ] // 16. Invoke Rewards Manager and set  Rewards Expiration days to "60 days"
		[ ] // 17. On the 'Reward Setup Changed' dialog, click 'Next' and 'Finish'
		[ ] // 18. Enter another sale for the same customer and for amount less than Threshold
		[ ] // 19. Set the date of sale to 61 days after the current date (Result 7)
		[ ] // 20. Click 'Cash' (Result 8)
		[ ] // 21. Take payment and Click 'Save'
		[ ] // 22. Invoke Rewards Manager and set  Rewards Expiration days to "90 days"
		[ ] // 23. On the 'Reward Setup Changed' dialog, click 'Next' and 'Finish'
		[ ] // 24. Enter another sale for the same customer and for amount less than Threshold
		[ ] // 25. Set the date of sale to 91 days after the current date (Result 9)
		[ ] // 26. Click 'Cash' (Result 10)
		[ ] // 27. Take payment and Click 'Save'
		[ ] // 28. Invoke Rewards Manager and set  Rewards Expiration days to "1yr days"
		[ ] // 29. On the 'Reward Setup Changed' dialog, click 'Next' and 'Finish'
		[ ] // 30. Enter another sale for the same customer and for amount less than Threshold
		[ ] // 31. Set the date of sale to 366 days after the current date (Result 11)
		[ ] // 32. Click 'Cash' (Result 12)
		[ ] // 33. Take payment and Click 'Save'
		[ ] // 34. Enter another sale for the same customer and for amount less than Threshold
		[ ] // 35. Set the date of sale to 5 days after the current date (Result 13)
		[ ] // 36. Click 'Cash' (Result 14)
		[ ] // 37. Click 'Redeem Now'
		[ ] // 38. Take payment and Click 'Save'
	[+] // Expected Result:
		[ ] // 1. Verify "Reward Setup Changed' dialog appears
		[ ] // 2. Verify a dialog box appears saying 'Reward Earned'
		[ ] // 3. Verify date is displayed
		[ ] // 4. Verify no dialog box appears for 'Redeem Customer Rewards'
		[ ] // 5. Verify date is displayed
		[ ] // 6. Verify no dialog box appears for 'Redeem Customer Rewards'
		[ ] // 7. Verify date is displayed
		[ ] // 8. Verify no dialog box appears for 'Redeem Customer Rewards'
		[ ] // 9. Verify date is displayed
		[ ] // 10. Verify no dialog box appears for 'Redeem Customer Rewards'
		[ ] // 11. Verify date is displayed
		[ ] // 12. Verify no dialog box appears for 'Redeem Customer Rewards'
		[ ] // 13. Verify date is displayed
		[ ] // 14. Verify dialog box appears for 'Redeem Customer Rewards'
[ ] // TESTCASE::RewardsManager_RewardExpiration
[ ] // ATC ID::POS_CUST_ATC_016
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\Reports_RewardsManager.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::RewardsManager_RewardExpiration.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase RewardsManager_RewardExpiration () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMsg, sCustomer, sItem, sQty, dtDocDate
		[ ] SalesReceiptRec srr
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "Reports_RewardsManager.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[-] // Step 1: Invoke Rewards Manager
			[ ] RewardsManager.Invoke ()
		[ ] 
		[-] // Step 2: In the 'Rewards Expiration' drop down select "15 days"
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("<CTRL-A>")
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("100.00")
			[ ] RewardsManager.RewardManagerFrame.RewardExpiration.Click ()
			[ ] RewardsManager.RewardManagerFrame.RewardExpiration.TypeKeys ("15 days")
			[ ] RewardsManager.BottomBar.Save.DoubleClick ()
		[ ] 
		[-] // Result 1: Verify "Reward Setup Changed' dialog appears
			[ ] VerifySafely (RewardSetupChanged.Exists (3), TRUE, "Reward Setup Changed dialog displayed")
		[ ] 
		[-] // Step 3: Click on 'Next' and 'Finish'
			[ ] RewardSetupChanged.Next.Click ()
			[ ] RewardSetupChanged.Finish.Click ()
		[ ] 
		[-] // Step 4: Create a sale for a customer enrolled in Reward program and for an amount more than Purchase Threshold
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = "Cust1L, Cust1F"
			[+] srr.lsItems = {...}
				[ ] "Apron"
			[ ] srr.srp.sPaymentMode = "Cash"
			[ ] srr.sButton = "Save"
			[ ] CreateSalesReceipt (srr)
			[ ] 
		[-] // Result 2: Verify a dialog box appears saying 'Reward Earned'
			[-] if QuickBooksPointOfSale.Information.Exists ()
				[ ] QuickBooksPointOfSale.Information.VerifyMessage ("Reward Earned")
				[ ] // Step 5: Click 'Ok'
				[ ] QuickBooksPointOfSale.Information.OK.Click ()
			[ ] 
		[-] //Step 2: Set 'Purchase Threshold' to 150.00 (>sale amount)
			[ ] RewardsManager.Invoke ()
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("<CTRL-A>")
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("150.00")
			[ ] RewardsManager.BottomBar.Save.DoubleClick ()
			[ ] 
		[-] // Result 1: Verify "Reward Setup Changed' dialog appears
			[ ] VerifySafely (RewardSetupChanged.Exists (3), TRUE, "Reward Setup Changed dialog displayed")
		[ ] 
		[-] // Step 3: Click on 'Next' and 'Finish'
			[ ] RewardSetupChanged.Next.Click ()
			[ ] RewardSetupChanged.Finish.Click ()
			[ ] 
		[-] // Step 6: Enter another sale for the same customer and for amount less than Threshold
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = "Cust1L, Cust1F"
			[-] srr.lsItems = {...}
				[ ] "Baseball Cap"
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[-] // Step 7: Set the date of sale to 16 days after the current date
			[ ] dtDocDate = FormatDateTime (AddDateTime (GetDateTime (), 16), "yyyy-mm-dd")
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ChangeDate.Click ()
			[ ] SalesReceipt.Sale.ChangeDocumentDate.DocumentDate.SelectDate (dtDocDate)
			[ ] SalesReceipt.Sale.ChangeDocumentDate.Save.Click ()
		[ ] 
		[-] // Result 3: Verify date is displayed
			[ ] VerifySafely (SalesReceipt.Sale.DocDate.Exists (5), TRUE, "Docdate displyed displayed")
			[ ] //VerifySafely (SalesReceipt.Sale.DocDate.DisplayedDate.GetCaption (), FormatDateTime (dtDocDate, "m/d/yyyy"), "Date displeyed")
		[ ] 
		[-] // Step 8: Click 'Cash'
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
		[ ] 
		[-] // Result 4: Verify no dialog box appears for 'Redeem Customer Rewards'
			[ ] VerifySafely (QuickBooksPointOfSale.RedeemCustomerReward.Exists (), FALSE, "Redeem Customer Rewards dialog not displayed")
		[ ] 
		[-] // Step 9: Take payment and Click 'Save'
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[-] // Step 10: Invoke Rewards Manager and set  Rewards Expiration days to "30 days"
			[ ] RewardsManager.Invoke ()
			[ ] RewardsManager.RewardManagerFrame.RewardExpiration.TypeKeys ("30 days")
			[ ] RewardsManager.BottomBar.Save.Click ()
		[ ] 
		[-] // Step11: On the 'Reward Setup Changed' dialog, click 'Next' and 'Finish'
			[-] if RewardSetupChanged.Exists (3)
				[ ] RewardSetupChanged.Finish.Click ()
		[ ] 
		[-] // Step12: Enter another sale for the same customer and for amount less than Threshold
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = "Cust1L, Cust1F"
			[+] srr.lsItems = {...}
				[ ] "Baseball Cap"
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[-] // Step 13: Set the date of sale to 31 days after the current date
			[ ] dtDocDate = FormatDateTime (AddDateTime (GetDateTime (), 31), "yyyy-mm-dd")
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ChangeDate.Click ()
			[ ] SalesReceipt.Sale.ChangeDocumentDate.DocumentDate.SelectDate (dtDocDate)
			[ ] SalesReceipt.Sale.ChangeDocumentDate.Save.Click ()
		[ ] 
		[-] // Result 5: Verify date is displayed
			[ ] VerifySafely (SalesReceipt.Sale.DocDate.Exists (5), TRUE, "Docdate displyed displayed")
			[ ] //VerifySafely (SalesReceipt.Sale.DocDate.DisplayedDate.GetCaption (), FormatDateTime (dtDocDate, "m/d/yyyy"), "Date displeyed")
		[ ] 
		[-] // Step 14: Click 'Cash'
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
		[ ] 
		[-] // Result 6: Verify no dialog box appears for 'Redeem Customer Rewards'
			[ ] VerifySafely (QuickBooksPointOfSale.RedeemCustomerReward.Exists (), FALSE, "Redeem Customer Rewards dialog not displayed")
		[ ] 
		[-] // Step 15: Take payment and Click 'Save'
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[-] // Step 16: Invoke Rewards Manager and set  rewards expiration days to "60 days"
			[ ] RewardsManager.Invoke ()
			[ ] RewardsManager.RewardManagerFrame.RewardExpiration.Click ()
			[ ] RewardsManager.RewardManagerFrame.RewardExpiration.TypeKeys ("60 days")
			[ ] RewardsManager.BottomBar.Save.Click ()
		[ ] 
		[-] // Step 17: On the 'Reward Setup Changed' dialog, click 'Next' and 'Finish'
			[-] if RewardSetupChanged.Exists (3)
				[ ] RewardSetupChanged.Next.Click ()
				[ ] RewardSetupChanged.Finish.Click ()
		[ ] 
		[-] // Step 18: Enter another sale for the same customer and for amount less than Threshold
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = "Cust1L, Cust1F"
			[+] srr.lsItems = {...}
				[ ] "Baseball Cap"
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[-] // Step 19: Set the date of sale to 61 days after the current date
			[ ] dtDocDate = FormatDateTime (AddDateTime (GetDateTime (), 61), "yyyy-mm-dd")
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ChangeDate.Click ()
			[ ] SalesReceipt.Sale.ChangeDocumentDate.DocumentDate.SelectDate (dtDocDate)
			[ ] SalesReceipt.Sale.ChangeDocumentDate.Save.Click ()
		[ ] 
		[-] // Result 7: Verify date is displayed
			[ ] VerifySafely (SalesReceipt.Sale.DocDate.Exists (5), TRUE, "Docdate displyed displayed")
			[ ] //VerifySafely (SalesReceipt.Sale.DocDate.DisplayedDate.GetCaption (), FormatDateTime (dtDocDate, "m/d/yyyy"), "Date displeyed")
		[ ] 
		[-] // Step 20: Click 'Cash'
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
		[ ] 
		[-] // Result 8: Verify no dialog box appears for 'Redeem Customer Rewards'
			[ ] VerifySafely (QuickBooksPointOfSale.RedeemCustomerReward.Exists (), FALSE, "Redeem Customer Rewards dialog not displayed")
		[ ] 
		[-] // Step 21: Take payment and Click 'Save'
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[-] // Step 22: Invoke Rewards Manager and set  rewards expiration days to "90 days"
			[ ] RewardsManager.Invoke ()
			[ ] RewardsManager.RewardManagerFrame.RewardExpiration.Click ()
			[ ] RewardsManager.RewardManagerFrame.RewardExpiration.TypeKeys ("90 days")
			[ ] RewardsManager.BottomBar.Save.DoubleClick ()
		[ ] 
		[-] // Step 23: On the 'Reward Setup Changed' dialog, click 'Next' and 'Finish'
			[-] if RewardSetupChanged.Exists (3)
				[ ] RewardSetupChanged.Finish.Click ()
		[ ] 
		[-] // Step 24: Enter another sale for the same customer and for amount less than Threshold
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = "Cust1L, Cust1F"
			[+] srr.lsItems = {...}
				[ ] "Baseball Cap"
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[-] // Step 25: Set the date of sale to 91 days after the current date
			[ ] dtDocDate = FormatDateTime (AddDateTime (GetDateTime (), 91), "yyyy-mm-dd")
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ChangeDate.Click ()
			[ ] SalesReceipt.Sale.ChangeDocumentDate.DocumentDate.SelectDate (dtDocDate)
			[ ] SalesReceipt.Sale.ChangeDocumentDate.Save.Click ()
		[ ] 
		[-] // Result 9: Verify date is displayed
			[ ] VerifySafely (SalesReceipt.Sale.DocDate.Exists (5), TRUE, "Docdate displyed displayed")
			[ ] //VerifySafely (SalesReceipt.Sale.DocDate.DisplayedDate.GetCaption (), FormatDateTime (dtDocDate, "m/d/yyyy"), "Date displeyed")
		[ ] 
		[-] // Step 26: Click 'Cash'
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
		[ ] 
		[-] // Result 10: Verify no dialog box appears for 'Redeem Customer Rewards'
			[ ] VerifySafely (QuickBooksPointOfSale.RedeemCustomerReward.Exists (), FALSE, "Redeem Customer Rewards dialog not displayed")
		[ ] 
		[-] // Step 27: Take payment and Click 'Save'
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[-] // Step 28: Invoke Rewards Manager and set  rewards expiration days to "1 year"
			[ ] RewardsManager.Invoke ()
			[ ] RewardsManager.RewardManagerFrame.RewardExpiration.Click ()
			[ ] RewardsManager.RewardManagerFrame.RewardExpiration.TypeKeys ("1 year")
			[ ] RewardsManager.BottomBar.Save.Click ()
		[ ] 
		[-] // Step 29: On the 'Reward Setup Changed' dialog, click 'Next' and 'Finish'
			[-] if RewardSetupChanged.Exists (3)
				[ ] RewardSetupChanged.Finish.Click ()
		[ ] 
		[-] // Step 30: Enter another sale for the same customer and for amount less than Threshold
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = "Cust1L, Cust1F"
			[+] srr.lsItems = {...}
				[ ] "Baseball Cap"
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[-] // Step 31: Set the date of sale to 366 days after the current date
			[ ] dtDocDate = FormatDateTime (AddDateTime (GetDateTime (), 366), "yyyy-mm-dd")
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ChangeDate.Click ()
			[ ] SalesReceipt.Sale.ChangeDocumentDate.DocumentDate.SelectDate (dtDocDate)
			[ ] SalesReceipt.Sale.ChangeDocumentDate.Save.Click ()
		[ ] 
		[-] // Result 11: Verify date is displayed
			[ ] VerifySafely (SalesReceipt.Sale.DocDate.Exists (5), TRUE, "Docdate displyed displayed")
			[ ] //VerifySafely (SalesReceipt.Sale.DocDate.DisplayedDate.GetCaption (), FormatDateTime (dtDocDate, "m/d/yyyy"), "Date displeyed")
		[ ] 
		[-] // Step 32: Click 'Cash'
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
		[ ] 
		[-] // Result 12: Verify no dialog box appears for 'Redeem Customer Rewards'
			[ ] VerifySafely (QuickBooksPointOfSale.RedeemCustomerReward.Exists (), FALSE, "Redeem Customer Rewards dialog not displayed")
		[ ] 
		[-] // Step 33: Take payment and Click 'Save'
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[-] // Step 34: Enter another sale for the same customer and for amount less than Threshold
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = "Cust1L, Cust1F"
			[+] srr.lsItems = {...}
				[ ] "Baseball Bat"
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[-] // Step 35: Set the date of sale to 5 days after the current date
			[ ] dtDocDate = FormatDateTime (AddDateTime (GetDateTime (), 5), "yyyy-mm-dd")
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ChangeDate.Click ()
			[ ] SalesReceipt.Sale.ChangeDocumentDate.DocumentDate.SelectDate (dtDocDate)
			[ ] SalesReceipt.Sale.ChangeDocumentDate.Save.Click ()
		[ ] 
		[-] // Result 13: Verify date is displayed
			[ ] VerifySafely (SalesReceipt.Sale.DocDate.Exists (5), TRUE, "Docdate displyed displayed")
			[ ] //VerifySafely (SalesReceipt.Sale.DocDate.DisplayedDate.GetCaption (), FormatDateTime (dtDocDate, "m/d/yyyy"), "Date displeyed")
		[ ] 
		[-] // Step 36: Click 'Cash'
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
		[ ] 
		[-] // Result 14: Verify dialog box appears for 'Redeem Customer Rewards'
			[ ] VerifySafely (QuickBooksPointOfSale.RedeemCustomerReward.Exists (), TRUE, "Redeem Customer Rewards dialog displayed")
		[ ] 
		[-] // Step 37: Click 'Redeem Now'
			[ ] QuickBooksPointOfSale.RedeemCustomerReward.RedeemNow.Click ()
		[ ] 
		[-] // Step 38: Take payment and Click 'Save'
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] 
		[-] // CLEAN UP
			[ ] SalesReceipt.Sale.Cancel.Click ()
[ ] 
