﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying the message that appears after setting up Rewards Manager and verifying the Reward Options.
	[+] // Test Steps:
		[ ] // 1. Invoke Rewards Manager
		[ ] // 2. Turn Reward Tracking ON
		[ ] // 3. Click 'Yes' on the Customer Rewards Program dialog displayed
		[ ] // 4. Enter $100 in the "Purchase Threshold" field
		[ ] // 5. Enter $5 in the "Reward Amount" field
		[ ] // 6. Check the Check box "Automatically enroll new customers in rewards program"
		[ ] // 7. Click on 'Save' (Result 1)
		[ ] // 8. Click 'Finish' to save the changes made to Reward Manager
		[ ] // 9. Goto Customers-> New Customer (Result 2)
		[ ] // 10. Click on 'Cancel' and click 'GoBack'
		[ ] // 11. Invoke Rewards Manager
		[ ] // 12. Uncheck the Check box "Automatically enroll new customers in rewards program" 
		[ ] // 	   and Check the check box "Prompt To Enroll When Making Sales To Non Members"
		[ ] // 13. Click on 'Save'
		[ ] // 14. Open a new Sales Receipt
		[ ] // 15. Add a Customer who is not a reward member (Result 3)
		[ ] // 16. Click 'No'
	[+] // Expected Result:
		[ ] // 1. Verify "Reward Setup Changed" dialog appears
		[ ] // 2. Verify 'Reward Member' option is checked
		[ ] // 3. Verify message "Enroll Customer in the rewards program" appears
[ ] // TESTCASE::RewardsManager_RewardOptions
[ ] // ATC ID::POS_CUST_ATC_012
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::RewardsManager_RewardOptions.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase RewardsManager_RewardOptions () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMsg, sCustomer
		[ ] NewCustomerRec ncrCustomer
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "ConsoleDB1.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[-] // Step 1: Invoke Rewards Manager
			[ ] RewardsManager.Invoke ()
		[ ] 
		[-] // Step 2: Turn Reward Tracking ON
			[ ] RewardsManager.RewardManagerFrame.TurnTrackingON.Click ()
		[ ] 
		[-] // Step 3: Click 'Yes' on the Customer Rewards Program dialog displayed
			[ ] CustomerRewardsProgramTurnONMsg.Yes.Click ()
		[ ] 
		[-] // Step 4: Enter $100 in the "Purchase Threshold" field
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("<CTRL-A>")
			[ ] RewardsManager.RewardManagerFrame.PurchaseThreshold.TypeKeys ("100")
			[ ] RewardsManager.TypeKeys ("<Tab>")
		[ ] 
		[-] // Step 5: Enter $5 in the "Reward Amount" field
			[ ] RewardsManager.RewardManagerFrame.RewardAmount.TypeKeys ("<CTRL-A>")
			[ ] RewardsManager.RewardManagerFrame.RewardAmount.TypeKeys ("5")
		[ ] 
		[-] // Step 6: Check the Check box "Automatically enroll new customers in rewards program"
			[ ] RewardsManager.RewardManagerFrame.AutomaticallyEnrollNewCustomersInRewardsProgram.Click ()
		[ ] 
		[-] // Step 7: Click on 'Save'
			[ ] RewardsManager.BottomBar.Save.Click ()
		[ ] 
		[-] // Result 1: Verify "Reward Setup Changed" dialog appears
			[ ] VerifySafely (RewardSetupChanged.Exists (), TRUE, "Reward Setup Changed dialog appears that includes a summary of rewards program")
		[ ] 
		[-] // Step 8: Click 'Finish' to save the changes made to Reward Manager
			[ ] RewardSetupChanged.Next.Click ()
			[ ] RewardSetupChanged.Finish.Click ()
		[ ] 
		[-] // Step 9: Goto Customers-> New Customer
			[ ] //WaitFor (QuickBooksPointOfSale.Customers, iTimeOut/5)
			[ ] Customers.CustomerList.AddCustomer.Invoke ()
		[ ] 
		[-] // Result 2: Verify 'Reward Member' option is checked
			[ ]  VerifySafely (Customers.CustomerList.AddCustomer.ScrollViewer.Rewards.RewardMember.IsChecked, TRUE, "Reward Member is checked")
		[ ] 
		[-] // Step 10: Click on 'Cancel' and click 'GoBack'
			[ ] Customers.CustomerList.AddCustomer.Cancel.Click ()
			[ ] 
		[-] // Step 11: Invoke Rewards Manager
			[ ] RewardsManager.Invoke ()
		[ ] 
		[ ] // Step 12: Uncheck the Check box "Automatically enroll new customers in rewards program" 
		[-] // and Check the check box "Prompt To Enroll When Making Sales To Non Members"
			[ ] RewardsManager.RewardManagerFrame.AutomaticallyEnrollNewCustomersInRewardsProgram.Click ()
			[ ] RewardsManager.RewardManagerFrame.PromptToEnrollWhenMakingSalesToNonMembers.Click ()
		[ ] 
		[-] // Step 13: Click on 'Save'
			[ ] RewardsManager.BottomBar.Save.Click ()
		[ ] 
		[-] // Step 14: Open a new Sales Receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[-] // Step 15: Add a Customer who is not a reward member
			[ ] sCustomer = "Cust1L, Cust1F"
			[ ] SalesReceipt.Sale.EnterCustomer.SelectCustomer (sCustomer)
		[ ] 
		[-] // Result 3: Verify message "Enroll Customer in the rewards program" appears
			[ ] VerifySafely (QuickBooksPointOfSale.Confirmation.Exists (), TRUE, "Message saying 'Enroll Customer in the rewards program' appears")
		[ ] 
		[-] // Step 16: Click 'No'
			[ ] QuickBooksPointOfSale.Confirmation.No.Click ()
	[ ] 
	[-] // CLEAN UP
		[ ] SalesReceipt.Sale.Cancel.Click ()
		[-] if QuickBooksPointOfSale.Confirmation.Exists ()
			[ ] QuickBooksPointOfSale.Confirmation.DiscardChanges.Click ()
			[ ] 
[ ] 
