﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify no rewards are earned for sales before or after tracking period.
	[+] // Test Steps:
		[ ] // 1. Invoke Rewards Manager
		[ ] // 2. Uncheck the check box "No End Date" and click 'Save' (Result 1)
		[ ] // 3. Click on 'Next', 'Next' and 'Finish'
		[ ] // 4. Create a sale for amount more than Threshold
		[ ] // 5. Set the date of sale to date before tracking period (Result 2)
		[ ] // 6. Take payment and clcik 'Save' (Result 3)
		[ ] // 7. Create a sale for amount more than Threshold
		[ ] // 8. Set the date of sale to date after tracking period (Result 4)
		[ ] // 9. Take payment and clcik 'Save' (Result 5)
		[ ] // 10. Goto Customers list, select the customer and click edit (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify "Reward Setup Changed' dialog appears
		[ ] // 2. Verify date is displayed
		[ ] // 3. Verify no messages appears for Reward earned
		[ ] // 4. Verify date is displayed
		[ ] // 5. Verify no messages appears for Reward earned
		[ ] // 6. Verify no rewards are listed for the customer
[ ] // TESTCASE::RewardsManager_TrackingPeriod
[ ] // ATC ID::POS_CUST_ATC_015
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\Reports_RewardsManager.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::RewardsManager_TrackingPeriod.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase RewardsManager_TrackingPeriod () appstate NonBasicSKU
	[-] // VARIABLES
		[ ] STRING sCompanyFile, sMsg, sCustomer, sItem, sQty, dtDocDate
		[ ] SalesReceiptRec srr
	[ ] 
	[-] // SETUP
		[ ] // sCompanyFile = "Reports_RewardsManager.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[-] // Step 1: Invoke Rewards Manager
			[ ] RewardsManager.Invoke ()
		[ ] 
		[-] // Step 2: Uncheck the check box "No End Date" and click 'Save'
			[ ] RewardsManager.RewardManagerFrame.NoEndDate.Click ()
			[ ] RewardsManager.BottomBar.Save.Click ()
		[ ] 
		[-] // Result 1: Verify "Reward Setup Changed' dialog appears
			[ ] VerifySafely (RewardSetupChanged.Exists (3), TRUE, "Reward Setup Changed dialog displayed")
		[ ] 
		[-] // Step 3: Click on 'Next', 'Next' and 'Finish'
			[ ] RewardSetupChanged.Next.Click ()
			[ ] RewardSetupChanged.Next.Click ()
			[ ] RewardSetupChanged.Finish.Click ()
		[ ] 
		[-] // Step 4: Create a sale for amount more than Threshold
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = "Cust1L, Cust1F"
			[ ] sleep (1)
			[+] srr.lsItems = {...}
				[ ] "Apron"
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[-] // Step 5: Set the date of sale to date before tracking period
			[ ] dtDocDate = "2017-3-16"
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ChangeDate.Click ()
			[ ] SalesReceipt.Sale.ChangeDocumentDate.DocumentDate.SelectDate (dtDocDate)
			[ ] SalesReceipt.Sale.ChangeDocumentDate.Save.Click ()
		[ ] 
		[-] // Result 2: Verify date is displayed
			[ ] VerifySafely (SalesReceipt.Sale.DocDate.Exists (5), TRUE, "Docdate displyed displayed")
			[ ] //VerifySafely (SalesReceipt.Sale.DocDate.DisplayedDate.GetCaption (), FormatDateTime (dtDocDate, "mm/dd/yyyy"), "Date displayed")
		[ ] 
		[-] // Step 6: Take payment and clcik 'Save'
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
			[ ] 
		[-] // Result 3: Verify a dialog box appears saying 'Redeem Customer Rewards'
			[ ] VerifySafely (QuickBooksPointOfSale.RedeemCustomerReward.Exists (), TRUE, "Redeem Customer Rewards dialog displayed")
		[ ] 
		[-] // Step 7 Click 'Save For Later'
			[ ] QuickBooksPointOfSale.RedeemCustomerReward.SaveForLater.Click ()
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[-] // Result 4: Verify no messages appears for Reward earned
			[ ] VerifySafely (QuickBooksPointOfSale.MessageBox.Exists (), False, "Reward earned dialog not displayed")
		[ ] 
		[-] // Step 8: Create a sale for amount more than Threshold
			[ ] srr ={}
			[ ] srr.srp = {}
			[ ] srr.sCustomer = "Cust1L, Cust1F"
			[+] srr.lsItems = {...}
				[ ] "Apron"
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[-] // Step 9: Set the date of sale to date after tracking period
			[ ] dtDocDate = "2017-4-1"
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ChangeDate.Click ()
			[ ] SalesReceipt.Sale.ChangeDocumentDate.DocumentDate.SelectDate (dtDocDate)
			[ ] SalesReceipt.Sale.ChangeDocumentDate.Save.Click ()
		[ ] 
		[-] // Result 5: Verify date is displayed
			[ ] VerifySafely (SalesReceipt.Sale.DocDate.Exists (5), TRUE, "Docdate displyed displayed")
			[ ] //VerifySafely (SalesReceipt.Sale.DocDate.DisplayedDate.GetCaption (), FormatDateTime (dtDocDate, "mm/dd/yyyy"), "Date displeyed")
		[ ] 
		[-] // Step 10: Take payment and click 'Save'
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
			[ ] 
		[-] // Result 3: Verify a dialog box appears saying 'Redeem Customer Rewards'
			[ ] VerifySafely (QuickBooksPointOfSale.RedeemCustomerReward.Exists (), TRUE, "Redeem Customer Rewards dialog displayed")
		[ ] 
		[-] // Step 7 Click 'Save For Later'
			[ ] QuickBooksPointOfSale.RedeemCustomerReward.SaveForLater.Click ()
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[-] // Result 6: Verify no messages appears for Reward earned
			[ ] VerifySafely (QuickBooksPointOfSale.MessageBox.Exists (), False, "Reward earned dialog not displayed")
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[-] // Step 11: Goto Customers list, select the customer and click edit
			[ ] Customers.CustomerList.Invoke ()
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (srr.sCustomer)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
		[ ] 
		[-] // Result 12: Verify no rewards are listed for the customer
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.RewardsList.SetFocus ()
			[ ] Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.New.SetFocus ()
			[ ] Verifysafely (Customers.CustomerList.EditCustomer.ScrollViewer.Rewards.Remove.IsEnabled, FALSE, "Remove button is not enabled")
	[ ] 
	[-] // CLEAN UP
		[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
		[ ] QuickBooksPointOfSaleDesktop120MultistoreLevel.Button4.Click ()
[ ] 
