﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new Employee
	[+] // Test Steps:
		[ ] // 1. Invoke Add Employee window
		[ ] // 2. Fill the Employee form with all mandatory fields 
		[ ] // 3. Click on Save
		[ ] // 4. Enter name of created Employee on Find Employee and press enter
		[ ] // 5. Click on Select Employee
	[+] // Expected Result:
		[ ] // 1. Verify Add Employee form appears
		[ ] // 2. Verify Employee List is dispalyed
		[ ] // 3. Verify Find Employee dialog is displayed and select Employee button is enabled
		[ ] // 4. Verify Edit Employee form is displayed
		[ ] // 5. Verify Employee data saved successfully
[ ] // TESTCASE::AddNewEmployee
[ ] // ATC ID::POS_EMP_ATC_001
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::AddNewEmployee.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase AddNewEmployee()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewEmployeeRec nerEmp
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Employees.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Add Employee window
			[ ] Employees.NewEmployee.Invoke ()
		[ ] 
		[+] // Result 1: Verify Add Employee form appears
			[ ] VerifySafely (Employees.NewEmployee.Exists (5), TRUE, "New Employee window open")
		[ ] 
		[+] // Step 2: Fill the Employee form with all mandatory fields 
			[ ] nerEmp = {}
			[ ] nerEmp.sLoginName = "TestEmp"
			[ ] nerEmp.sFirstName = "TestEmpF"
			[ ] nerEmp.sLastName = "TestEmpL"
			[ ] Employees.NewEmployee.FillForm (nerEmp)
		[ ] 
		[+] // Step 3: Click on Save
			[ ] Employees.BottomBar.Save.Click ()
		[ ] 
		[+] // Result 2: Verify Employee List is dispalyed
			[ ] VerifySafely (Employees.EmployeeList.Exists (5), TRUE, "Employee List open")
		[ ] 
		[+] // Step 4: Enter name of created Employee on Find Employee and press enter
			[ ] Employees.ToolBar.FindEmployee.SetText (nerEmp.sLoginName)
			[ ] Employees.Typekeys ("<Enter>")
		[ ] 
		[+] // Result 3: Verify Find Employee dialog is displayed and select Employee button is enabled
			[ ] VerifySafely (FindEmployee.Exists (5), TRUE, "Find Employee dialog displayed")
			[ ] VerifySafely (FindEmployee.SelectEmployee.IsEnabled (), TRUE, "Employee created")
		[ ] 
		[+] // Step 5: Click on Select Employee
			[ ] FindEmployee.SelectEmployee.Click ()
		[ ] 
		[+] // Result 4: Verify Edit Employee form is displayed
			[ ] VerifySafely (Employees.EditEmployee.Exists (4), TRUE, "Edit Employee open")
		[ ] 
		[+] // Result 5: Verify Employee data saved successfully
			[ ] VerifyEmployeeData (nerEmp)
	[ ] 
	[+] // CLEAN UP
		[+] if Employees.EditEmployee.Exists (5)
			[ ] Employees.BottomBar.Close.Click ()
		[+] if Employees.EmployeeList.Exists ()
			[ ] Employees.BottomBar.Close.Click ()
[ ] 
