﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Copy a Employee
	[+] // Test Steps:
		[ ] // 1. Invoke Employee List (Result 1)
		[ ] // 2. Get the Employee data of the Employee to be copied
		[ ] // 3. Select the Employee to be copied
		[ ] // 4. Click on -> Copy (Result 2)
		[ ] // 5. Change the company of the Employee
		[ ] // 6. Click on save (Result 3)
		[ ] // 7. Enter name of created Employee on find Employee fiels of Employee List and press enter
		[ ] // 8. Click on Select Employee (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify Employee List is didplayed
		[ ] // 2. Verify Add New Employee is displayed and all fields are prefilled accordingly
		[ ] // 3. Verify Employee List is dispalyed
		[ ] // 4. Verify Edit Employee form is displayed
		[ ] // 5. Verify Employee data save successfully
[ ] // TESTCASE::CopyEmployee
[ ] // ATC ID::POS_EMP_ATC_003
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CopyEmployee.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CopyEmployee ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewEmployeeRec nerEmp, nerEmpCopy
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Employees.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Employee List
			[ ] Employees.Invoke ()
		[ ] 
		[+] // Result 1: Verify Employee List is didplayed
			[ ] VerifySafely (Employees.EmployeeList.Exists (5), TRUE, "Employee List is displayed")
		[ ] 
		[+] // Step 2: Get the Employee data of the Employee to be copied
			[ ] nerEmp = {}
			[ ] nerEmp.sLoginName = "PEmp1"
			[ ] nerEmp = GetEmployeeData (nerEmp)
			[ ] nerEmpCopy = {}
			[ ] nerEmpCopy = nerEmp
		[ ] 
		[+] // Step 3: Select the Employee to be copied
			[ ] Employees.SelectEmployee (nerEmp.sLoginName)
		[ ] 
		[+] // Step 4: Click on -> Copy
			[ ] Employees.ToolBar.Select ("Copy Employee")
		[ ] 
		[+] // Result 2: Verify Add New Employee is displayed and all fields are prefilled accordingly
			[ ] VerifySafely (Employees.NewEmployee.Exists (5), TRUE, "New Employee form is displayed")
			[ ] VerifySafely (Employees.NewEmployee.PageList1.LastName.GetText (), nerEmp.sLastName, "Employee last Name already filled")
			[ ] VerifySafely (Employees.NewEmployee.PageList1.FirstName.GetText (), nerEmp.sFirstName, "First Name already filled")
		[ ] 
		[+] // Step 5: Change the company of the Employee
			[ ] nerEmpCopy.sLoginName = "CopyEmp"
			[ ] Employees.NewEmployee.PageList1.LoginName.SetText (nerEmpCopy.sLoginName)
		[ ] 
		[+] // Step 6: Click on save
			[ ] Employees.BottomBar.Save.Click ()
		[ ] 
		[+] // Result 4: Verify Employee List is dispalyed
			[ ] VerifySafely (Employees.EmployeeList.Exists (5), TRUE, "Employees List is displayed")
		[ ] 
		[+] // Step 7: Enter name of created Employee on find Employee fiels of Employee List and press enter
			[ ] Employees.ToolBar.FindEmployee.SetText (nerEmpCopy.sLoginName)
			[ ] Employees.Typekeys ("<Enter>")
		[ ] 
		[+] // Step 8: Click on Select Employee
			[ ] FindEmployee.SelectEmployee.Click ()
		[ ] 
		[+] // Result 5: Verify Edit Employee form is displayed
			[ ] VerifySafely (Employees.EditEmployee.Exists (5), TRUE, "Edit Employee form appeared")
		[ ] 
		[+] // Result 6: Verify Employee data save successfully
			[ ] VerifyEmployeeData (nerEmpCopy)
	[ ] 
	[+] // CLEAN UP
		[+] if Employees.EditEmployee.Exists ()
			[+] if Employees.BottomBar.Cancel.Exists (2)
				[ ] Employees.BottomBar.Cancel.Click ()
			[+] if Employees.BottomBar.Close.Exists (2)
				[ ] Employees.BottomBar.Close.Click ()
		[+] if Employees.EmployeeList.Exists ()
			[ ] Employees.BottomBar.Close.Click ()
[ ] 
