﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete a Employee
	[+] // Test Steps.
		[ ] // 1. Invoke Employee List (Result 1)
		[ ] // 2. Select the Employee to be deleted
		[ ] // 3. Go to I Want To-> Delete (Result 2)
		[ ] // 4. Click on cancel (Result 3)
		[ ] // 5. Clik on Close and then Go to I Want To-> Delete (Result 4)
		[ ] // 6. Click on Delete (Result 5)
	[+] // Expected Result.
		[ ] // 1. Verify Employee List is didplayed
		[ ] // 2. Verify delete confirmation message is displayed
		[ ] // 3. Verify the Employee has not been deleted
		[ ] // 4. Verify delete confirmation message is displayed
		[ ] // 5. Verify the Employee has been deleted
[ ] // TESTCASE::DeleteEmployee
[ ] // ATC ID::POS_EMP_ATC_004
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\Employees.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::DeleteEmployee.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase DeleteEmployee ()
	[+] // VARIABLES
		[ ] STRING sLoginNameFile, sMessage
		[ ] NewEmployeeRec nerEmp
	[ ] 
	[+] // SETUP
		[ ] sLoginNameFile = "Employees.qpb"
		[ ] UpdateCompanyFile (sLoginNameFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Employee List
			[ ] Employees.Invoke ()
		[ ] 
		[+] // Result 1: Verify Employee List is didplayed
			[ ] VerifySafely (Employees.EmployeeList.Exists (5), TRUE, "Employee List is displayed")
		[ ] 
		[+] // Step 2: Select the Employee to be deleted
			[ ] nerEmp = {}
			[ ] nerEmp.sLoginName = "PEmp1"
			[ ] Employees.SelectEmployee (nerEmp.sLoginName)
		[ ] 
		[+] // Step 3: Go to I Want To-> Delete
			[ ] Employees.Typekeys ("<Alt-O-D>")
		[ ] 
		[+] // Result 2: Verify delete confirmation message is displayed
			[ ] VerifySafely (DeleteEmployee.Exists (3), TRUE, "Delete Employee displayed")
		[ ] 
		[+] // Step 4: Click on cancel
			[ ] DeleteEmployee.Cancel.Click ()
		[ ] 
		[+] // Result 3: Verify the Employee has not been deleted
			[ ] Employees.ToolBar.FindEmployee.SetText (nerEmp.sLoginName)
			[ ] Employees.Typekeys ("<Enter>")
			[ ] VerifySafely (FindEmployee.SelectEmployee.IsEnabled (), TRUE, "Employee has not been deleted after clickin on cancel")
		[ ] 
		[+] // Step 5: Clik on Close and then Go to I Want To-> Delete
			[ ] FindEmployee.Close.Click ()
			[ ] Employees.Typekeys ("<Alt-O-D>")
		[ ] 
		[+] // Result 4: Verify delete confirmation message is displayed
			[ ] VerifySafely (DeleteEmployee.Exists (3), TRUE, "Delete Employee displayed")
		[ ] 
		[+] // Step 6: Click on Delete
			[ ] DeleteEmployee.Delete.Click ()
		[ ] 
		[+] // Result 5: Verify the Employee has been deleted
			[ ] Employees.ToolBar.FindEmployee.SetText (nerEmp.sLoginName)
			[ ] Employees.Typekeys ("<Enter>")
			[ ] VerifySafely (FindEmployee.SelectEmployee.IsEnabled (), FALSE, "Employee has been deleted after clickin on delete")
	[ ] 
	[+] // CLEAN UP
		[+] if FindEmployee.Exists (3)
			[ ] FindEmployee.Close.Click ()
		[+] if Employees.EmployeeList.Exists ()
			[ ] Employees.BottomBar.Close.Click ()
[ ] 
