﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit an existing Employee
	[+] // Test Steps:
		[ ] // 1. Invoke Employees List (Result 1)
		[ ] // 2. Click on Find Employee field and press enter (Result 2)
		[ ] // 3. Enter the Employee name to be edited and clik on Find (Result 3)
		[ ] // 4. Click on Select Employee (Result 4)
		[ ] // 5. Fill the Employee form with all mandatory fields
		[ ] // 6. Click on Save
		[ ] // 6. Enter name of Employee  to be edited on Find Employee field of Employee List (Result 5)
		[ ] // 7. Click on Select Employee (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify Employee List is dispalyed
		[ ] // 2. Verify Find Employee dialog is displayed
		[ ] // 3. Verify Select Employee button is enabled
		[ ] // 4. Verify Edit Employee form is displayed
		[ ] // 5. Verify Find Employee dialog is displayed
		[ ] // 6. Verify Edit Employee form is displayed
		[ ] // 7. Verify Employee data save successfully
[ ] // TESTCASE::EditEmployee
[ ] // ATC ID::POS_EMP_ATC_002
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::EditEmployee.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase EditEmployee ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewEmployeeRec nerEmp
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Employees.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Employees List
			[ ] Employees.Invoke ()
		[ ] 
		[+] // Result 1: Verify Employee List is dispalyed
			[ ] VerifySafely (Employees.EmployeeList.Exists (5), TRUE, "Employees List is displayed")
		[ ] 
		[+] // Step 2: Click on Find Employee field and press enter
			[ ] Employees.ToolBar.FindEmployee.Click ()
			[ ] Employees.Typekeys ("<Enter>")
		[ ] 
		[+] // Result 2: Verify Find Employee dialog is displayed
			[ ] VerifySafely (FindEmployee.Exists (5), TRUE, "Find Employee open")
		[ ] 
		[+] // Step 3: Enter the Employee name to be edited and clik on Find
			[ ] nerEmp = {}
			[ ] nerEmp.sLoginName = "PEmp1"
			[ ] FindEmployee.Keyword.SetText (nerEmp.sLoginName)
			[ ] FindEmployee.Find.Click ()
		[ ] 
		[+] // Result 3: Verify Select Employee button is enabled
			[ ] VerifySafely (FindEmployee.SelectEmployee.IsEnabled (), TRUE, "Employee Found")
		[ ] 
		[+] // Step 4: Click on Select Employee
			[ ] FindEmployee.SelectEmployee.Click ()
		[ ] 
		[+] // Result 4: Verify Edit Employee form is displayed
			[ ] VerifySafely (Employees.EditEmployee.Exists (5), TRUE, "Edit Employee form appeared")
		[ ] 
		[+] // Step 5: Fill the Employee form with all mandatory fields
			[ ] nerEmp.sLastName = "TestEmpL"
			[ ] Employees.EditEmployee.FillForm (nerEmp)
		[ ] 
		[+] // Step 6: Click on Save
			[ ] Employees.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 6: Enter name of Employee  to be edited on Find Employee field of Employee List
			[ ] Employees.ToolBar.FindEmployee.SetText (nerEmp.sLoginName)
			[ ] Employees.Typekeys ("<Enter>")
		[ ] 
		[+] // Result 4: Verify Find Employee dialog is displayed
			[ ] VerifySafely (FindEmployee.Exists (5), TRUE, "Find Employee open")
		[ ] 
		[+] // Step 7: Click on Select Employee
			[ ] FindEmployee.SelectEmployee.Click ()
		[ ] 
		[+] // Result 5: Verify Edit Employee form is displayed
			[ ] VerifySafely (Employees.EditEmployee.Exists (5), TRUE, "Edit Employee form appeared")
		[ ] 
		[+] // Result 6: Verify Employee data save successfully
			[ ] VerifyEmployeeData (nerEmp)
	[ ] 
	[+] // CLEAN UP
		[+] if Employees.EditEmployee.Exists ()
			[+] if Employees.BottomBar.Cancel.Exists ()
				[ ] Employees.BottomBar.Cancel.Click ()
			[+] if Employees.BottomBar.Close.Exists ()
				[ ] Employees.BottomBar.Close.Click ()
		[+] if Employees.EmployeeList.Exists ()
			[ ] Employees.BottomBar.Close.Click ()
[ ] 
