﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify employee clocking in and out
	[+] // Test Steps:
		[ ] // 1. Go to Employee->ClockInOut
		[ ] // 2. Select an employee , enter password and click Clock in
		[ ] // 3. Invoke Manage Clocked In Employees
		[ ] // 4. Click on cancel
		[ ] // 5. Invoke Clock in Out and clock out employee
		[ ] // 6. Invoke Manage Clocked In Employees
	[+] // Expected Result:
		[ ] // 1. Verify ClockInOut is dispalyed
		[ ] // 2. Verify managed clocked in employees dialog is displayed
		[ ] // 3. Clocked in Employee is listed
		[ ] // 4. Clocked out Employee is not listed
[ ] // TESTCASE::EmployeeClockInOut
[ ] // ATC ID::POS_EMP_ATC_006
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::EmployeeClockInOut.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase EmployeeClockInOut () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewEmployeeRec nerEmp
		[ ] ClockedEmployeeRec cerEmp
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Employees.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Go to Employee->ClockInOut
			[ ] ClockInOut.Invoke ()
		[ ] 
		[+] // Result 1: Verify ClockInOut is dispalyed
			[ ] VerifySafely (ClockInOut.Exists (3), TRUE, "ClockInOut dialog is displayed")
		[ ] 
		[+] // Step 2: Select an employee , enter password and click Clock in
			[ ] nerEmp.sLoginName = "PEmp1"
			[ ] nerEmp.sPassword = "password"
			[ ] ClockInOut.EnterUserName.Select (nerEmp.sLoginName)
			[ ] ClockInOut.EnterPassword.SetText (nerEmp.sPassword)
			[ ] ClockInOut.ClockIn.Click ()
			[+] if PointOfSaleMessage170031.Exists (2)
				[ ] PointOfSaleMessage170031.Yes.Click ()
		[ ] 
		[+] // Step 3: Invoke Manage Clocked In Employees
			[ ] ManageClockedInEmployees.Invoke ()
		[ ] 
		[+] // Result 2: Verify managed clocked in employees dialog is displayed
			[ ] VerifySafely (ManageClockedInEmployees.Exists (5), TRUE, "MangedClockedInEmployees open")
		[ ] 
		[+] // Result 3: Clocked in Employee is listed
			[ ] cerEmp = ManageClockedInEmployees.ListView1.GetClockedInEmpDetails ()
			[ ] VerifySafely (cerEmp.sEmpID, nerEmp.sLoginName, "Employee listed in clocked in employee list")
		[ ] 
		[+] // Step 4: Click on cancel
			[ ] ManageClockedInEmployees.Cancel.Click ()
		[ ] 
		[+] // Step 5: Invoke Clock in Out and clock out employee
			[ ] ClockInOut.Invoke ()
			[ ] ClockInOut.EnterUserName.Select (nerEmp.sLoginName)
			[ ] ClockInOut.EnterPassword.SetText (nerEmp.sPassword)
			[ ] ClockInOut.ClockOut.Click ()
		[ ] 
		[+] // Step 6: Invoke Manage Clocked In Employees
			[ ] ManageClockedInEmployees.Invoke ()
		[ ] 
		[+] // Result 4: Clocked out Employee is not listed
			[ ] cerEmp = ManageClockedInEmployees.ListView1.GetClockedInEmpDetails ()
			[ ] VerifySafely (cerEmp.sEmpID == nerEmp.sLoginName, FALSE, "Employee not listed in clocked in employee list")
	[ ] 
	[+] // CLEAN UP
		[+] if ManageClockedInEmployees.Exists ()
			[ ] ManageClockedInEmployees.Cancel.Click ()
[ ] 
