﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying security setting for different employees
	[+] // Test Steps:
		[ ] // 1. Invoke Company Preferences and check 'Require users to Log in'
		[ ] // 2. Log in as "Owner" (Result 1)
		[ ] // 3. Switch user to "Manager" (Result 2)
		[ ] // 4. Switch user to "Assistant Manager" (Result 3)
		[ ] // 5. Switch user to "Associate" (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify all the access right of the 'Owner'
		[ ] // 2. Verify all the access right of the 'Manager'
		[ ] // 3. Verify all the access right of the 'Assistant Manager'
		[ ] // 4. Verify all the access right of the 'Associate'
[ ] // TESTCASE::EmployeeSecurityAccessDefault
[ ] // ATC ID::POS_EMP_ATC_008
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\EmployeeSecurityAccess.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::EmployeeSecurityAccessDefault.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase EmployeeSecurityAccessDefault ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sPassword, sUser
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "EmployeeSecurityAccess.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Company Preferences and check 'Require users to Log in'
			[ ] sPassword = "password"
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.PageList.General.Options.RequireUsersToLogIn.Click ()
			[+] if CreateSysadminPassword.exists ()
				[ ] CreateSysadminPassword.EnterPassword.SetText (sPassword)
				[ ] CreateSysadminPassword.ConfirmPassword.SetText (sPassword)
				[ ] CreateSysadminPassword.OK.Click ()
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE, 15)
		[ ] 
		[+] // Step 2: Log in as "Owner"
			[ ] sUser = "Owner"
			[ ] QuickBooksPointOfSale.LogIn.UserName.User.SetData (sUser)
			[ ] QuickBooksPointOfSale.LogIn.LogIn.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE, 10)
		[ ] 
		[+] // Result 1: Verify all the access right of the 'Owner'
			[ ] Items.ItemsList.Invoke ()
			[ ] Wait (3)
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] VerifySafely (Items.ItemsList.Topbar.IWantTo.ExportToExcel.IsEnabled, TRUE, "'Export to Excel' is enabled for {sUser}")
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] QuickBooksPointOfSale.Inventory.OpenSubmenu ()
			[ ] VerifySafely (QuickBooksPointOfSale.Inventory.NewItem.IsEnabled, TRUE, "'New Item' is enabled for {sUser}")
			[ ] QuickBooksPointOfSale.PointOfSale.OpenSubmenu ()
			[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.NewPayout.IsEnabled, TRUE, "'New Payout' is enabled for {sUser}")
		[ ] 
		[+] // Step 3: Switch user to "Manager"
			[ ] sUser = "Manager"
			[ ] QuickBooksPointOfSale.Header.Employee.EmpLogIn.Select ("SwitchUser")
			[ ] WaitFor (QuickBooksPointOfSale.HomeEmpLogIn, 5)
			[ ] QuickBooksPointOfSale.HomeEmpLogIn.UserName.SelectUser (sUser)
			[ ] QuickBooksPointOfSale.HomeEmpLogIn.OK.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE, 10)
		[ ] 
		[+] // Result 2: Verify all the access right of the 'Manager'
			[ ] Items.ItemsList.Invoke ()
			[ ] Wait (3)
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] VerifySafely (Items.ItemsList.Topbar.IWantTo.ExportToExcel.IsEnabled, FALSE, "{sUser} has no access to 'Export to Excel'")
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] QuickBooksPointOfSale.Inventory.OpenSubmenu ()
			[ ] VerifySafely (QuickBooksPointOfSale.Inventory.NewItem.IsEnabled, TRUE, "'New Item' is enabled for {sUser}")
			[ ] QuickBooksPointOfSale.PointOfSale.OpenSubmenu ()
			[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.NewPayout.IsEnabled, TRUE, "'New Payout' is enabled for {sUser}")
		[ ] 
		[+] // Step 4: Switch user to "Assistant Manager"
			[ ] sUser = "Assistant_Manager"
			[ ] QuickBooksPointOfSale.Header.Employee.EmpLogIn.Select ("SwitchUser")
			[ ] WaitFor (QuickBooksPointOfSale.HomeEmpLogIn, 5)
			[ ] QuickBooksPointOfSale.HomeEmpLogIn.UserName.SelectUser (sUser)
			[ ] QuickBooksPointOfSale.HomeEmpLogIn.OK.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE, 10)
		[ ] 
		[+] // Result 3: Verify all the access right of the 'Assistant Manager'
			[ ] Items.ItemsList.Invoke ()
			[ ] Wait (3)
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] VerifySafely (Items.ItemsList.Topbar.IWantTo.ExportToExcel.IsEnabled, FALSE, "{sUser} has no access to 'Export to Excel'")
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] QuickBooksPointOfSale.Inventory.OpenSubmenu ()
			[ ] VerifySafely (QuickBooksPointOfSale.Inventory.NewItem.IsEnabled, FALSE, "{sUser} has no access to 'New Item'")
			[ ] QuickBooksPointOfSale.PointOfSale.OpenSubmenu ()
			[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.NewPayout.IsEnabled, TRUE, "'New Payout' is enabled for {sUser}")
		[ ] 
		[+] // Step 5: Switch user to "Associate"
			[ ] sUser = "Associate"
			[ ] QuickBooksPointOfSale.Header.Employee.EmpLogIn.Select ("SwitchUser")
			[ ] WaitFor (QuickBooksPointOfSale.HomeEmpLogIn, 5)
			[ ] QuickBooksPointOfSale.HomeEmpLogIn.UserName.SelectUser (sUser)
			[ ] QuickBooksPointOfSale.HomeEmpLogIn.OK.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE, 10)
		[ ] 
		[+] // Result 4: Verify all the access right of the 'Associate'
			[ ] Items.ItemsList.Invoke ()
			[ ] Wait (3)
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] VerifySafely (Items.ItemsList.Topbar.IWantTo.ExportToExcel.IsEnabled, FALSE, "{sUser} has no access to 'Export to Excel'")
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] QuickBooksPointOfSale.Inventory.OpenSubmenu ()
			[ ] VerifySafely (QuickBooksPointOfSale.Inventory.NewItem.IsEnabled, FALSE, "{sUser} has no access to 'New Item'")
			[ ] QuickBooksPointOfSale.PointOfSale.OpenSubmenu ()
			[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.NewPayout.IsEnabled, FALSE, "{sUser} has no access to 'New Payout'")
	[ ] 
	[+] // CLEAN UP
		[ ] // No clean up required
[ ] 
