﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying setting and changing employee password
	[+] // Test Steps:
		[ ] // 1. Invoke Employees List
		[ ] // 2. Open an employee for edit
		[ ] // 3. Click on create password
		[ ] // 4. Enter password, and click OK
		[ ] // 5. Save, go to home page and logout
		[ ] // 6. Log in with Employee whose password is created
		[ ] // 7. Open the employee for edit
		[ ] // 8. Click on Change password and change the password
		[ ] // 9. Enter password, and click OK
		[ ] // 10. Save, go to home page and logout
		[ ] // 11. Log in with Employee whose password is created
	[+] // Expected Result:
		[ ] // 1. Verify Employee List is dispalyed
		[ ] // 2. Verify Enter password dialog is displayed
		[ ] // 3. Verify Home Emloyee login dialog appears
		[ ] // 4. Verify employee able to log in 
		[ ] // 5. Verify Enter password dialog is displayed
		[ ] // 6. Verify Home Emloyee login dialog appears
		[ ] // 7. Verify employee able to log in 
[ ] // TESTCASE::SetAndChangeEmployeePassword
[ ] // ATC ID::POS_EMP_ATC_005
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SetAndChangeEmployeePassword.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SetAndChangeEmployeePassword ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewEmployeeRec nerEmp
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Employees.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Employees List
			[ ] Employees.EmployeeList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Employee List is dispalyed
			[ ] VerifySafely (Employees.EmployeeList.Exists (5), TRUE, "Employees List is displayed")
		[ ] 
		[+] // Step 2: Open an employee for edit
			[ ] nerEmp.sLoginName = "PEmp2"
			[ ] Employees.OpenEmployeeForEdit (nerEmp.sLoginName)
		[ ] 
		[+] // Step 3: Click on create password
			[ ] Employees.EditEmployee.PageList1.CreatePassword.ClickButton ()
		[ ] 
		[+] // Result 2: Verify Enter password dialog is displayed
			[ ] VerifySafely (EnterPassword.Exists (2), TRUE, "EnterPassword appeared")
		[ ] 
		[+] // Step 4: Enter password, and click OK
			[ ] nerEmp.sPassword = "Intuit"
			[ ] EnterPassword.Password.SetText (nerEmp.sPassword)
			[ ] EnterPassword.ConfirmPassword.SetText (nerEmp.sPassword)
			[ ] EnterPassword.OK.Click ()
		[ ] 
		[+] // Step 5: Save, go to home page and logout
			[ ] Employees.BottomBar.Save.Click ()
			[ ] Employees.BottomBar.Close.Click ()
			[ ] WaitTill (QuickBooksPointOfSale.Header.Employee.EmpLogIn.IsEnabled, TRUE)
			[ ] QuickBooksPointOfSale.Header.Employee.EmpLogIn.Click ()
			[ ] // QuickBooksPointOfSale.Header.EmpLogIn.LogOut.Click ()
			[ ] QuickBooksPointOfSale.Header.Employee.EmpLogIn.Select ("LogOut")
		[ ] 
		[+] // Result 3: Verify Home Emloyee login dialog appears
			[ ] VerifySafely (QuickBooksPointOfSale.HomeEmpLogIn.Exists (5), TRUE, "Home Employee login dialog displayed")
		[ ] 
		[+] // Step 6: Log in with Employee whose password is created
			[ ] QuickBooksPointOfSale.HomeEmpLogIn.UserName.SelectUser (nerEmp.sLoginName)
			[ ] QuickBooksPointOfSale.HomeEmpLogIn.Password.SetText (nerEmp.sPassword)
			[ ] QuickBooksPointOfSale.HomeEmpLogIn.LogIn.Click ()
		[ ] 
		[+] // Result 4: Verify employee able to log in 
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
			[ ] WaitUntill (QuickBooksPointOfSale.Header.Employee.EmpLogIn, "IsEnabled", TRUE)
			[ ] VerifySafely (QuickBooksPointOfSale.Header.Employee.GetCaption (), nerEmp.sLoginName, "Employee logged in successfully")
		[ ] 
		[+] // Step 7: Open the employee for edit
			[ ] Employees.EmployeeList.Invoke ()
			[ ] Employees.OpenEmployeeForEdit (nerEmp.sLoginName)
		[ ] 
		[+] // Step 8: Click on Change password and change the password
			[ ] Employees.EditEmployee.PageList1.ChangePassword.ClickButton ()
		[ ] 
		[+] // Result 5: Verify Enter password dialog is displayed
			[ ] VerifySafely (EnterPassword.Exists (2), TRUE, "EnterPassword appeared")
		[ ] 
		[+] // Step 9: Enter password, and click OK
			[ ] nerEmp.sPassword = "Cognizant"
			[ ] EnterPassword.Password.SetText (nerEmp.sPassword)
			[ ] EnterPassword.ConfirmPassword.SetText (nerEmp.sPassword)
			[ ] EnterPassword.OK.Click ()
		[ ] 
		[+] // Step 10: Save, go to home page and logout
			[ ] Employees.BottomBar.Save.Click ()
			[ ] Employees.BottomBar.Close.Click ()
			[ ] WaitTill (QuickBooksPointOfSale.Header.Employee.EmpLogIn.IsEnabled, TRUE)
			[ ] QuickBooksPointOfSale.Header.Employee.EmpLogIn.Click ()
			[ ] // QuickBooksPointOfSale.Header.EmpLogIn.LogOut.Click ()
			[ ] QuickBooksPointOfSale.Header.Employee.EmpLogIn.Select ("LogOut")
		[ ] 
		[+] // Result 6: Verify Home Emloyee login dialog appears
			[ ] VerifySafely (QuickBooksPointOfSale.HomeEmpLogIn.Exists (5), TRUE, "Home Employee login dialog displayed")
		[ ] 
		[+] // Step 11: Log in with Employee whose password is created
			[ ] QuickBooksPointOfSale.HomeEmpLogIn.UserName.LogInID.SetData (nerEmp.sLoginName)
			[ ] QuickBooksPointOfSale.HomeEmpLogIn.Password.SetText (nerEmp.sPassword)
			[ ] QuickBooksPointOfSale.HomeEmpLogIn.LogIn.Click ()
		[ ] 
		[+] // Result 7: Verify employee able to log in 
			[ ] WaitTill (QuickBooksPointOfSale.File.IsEnabled, TRUE)
			[ ] WaitTill (QuickBooksPointOfSale.Header.Employee.EmpLogIn.IsEnabled, TRUE)
			[ ] VerifySafely (QuickBooksPointOfSale.Header.Employee.GetCaption (), nerEmp.sLoginName, "Employee logged in successfully")
	[ ] 
	[+] // CLEAN UP
		[+] if Employees.EditEmployee.Exists ()
			[+] if Employees.BottomBar.Cancel.Exists ()
				[ ] Employees.BottomBar.Cancel.Click ()
			[+] if Employees.BottomBar.Close.Exists ()
				[ ] Employees.BottomBar.Close.Click ()
		[+] if Employees.EmployeeList.Exists ()
			[ ] Employees.BottomBar.Close.Click ()
[ ] 
