﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending Cash Payout from POS to QB
	[+] // Test Steps:
		[ ] // 1. Connect to QuickBooks
		[ ] // 2. Create a Payout
		[ ] // 3. Invoke Sales History (Result 1)
		[ ] // 4. Click on "Topbar.Home"
		[ ] // 5. Goto Financial-> Update QuickBooks (Result  2)
	[+] // Expected Result:
		[ ] // 1. Verify sale is created
		[ ] // 2. Verify Financial Exchange dialog appears
[ ] // TESTCASE::FE_CashPayout
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_CashPayout.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_CashPayout ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sCashier, sAmount, sComments
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "POSV10_FE1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Connect to QuickBooks
			[ ] ConnectToQB ()
		[ ] 
		[+] // Step 2: Create a Payout
			[ ] sCashier = "Sysadmin"
			[ ] sAmount = "100"
			[ ] sComments = "Maintainance"
			[ ] QuickBooksPointOfSale.PointOfSale.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.PointOfSale.NewPayout.Click ()
			[ ] WaitFor (CashPayout)
			[ ] CashPayout.Cashier.Select (sCashier)
			[ ] CashPayout.Amount.SetText (sAmount)
			[ ] CashPayout.Comments.SetText (sComments)
			[ ] CashPayout.OK.Click ()
		[ ] 
		[+] // Step 3: Invoke Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 1: Verify sale is created
			[ ] RemoveGridColumn ("SaleDate")
			[+] if SalesHistory.SalesList.SalesGrid.Store.Exists (2)
				[+] lsSalesExpected = {...}
					[ ] "Regular Payout 1 1 1 Sysadmin 0 -100.00 0 Cash"
			[+] else
				[+] lsSalesExpected = {...}
					[ ] "Regular Payout 1 1 Sysadmin 0 -100.00 0 Cash"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 4: Click on "Topbar.Home"
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 5: Goto Financial-> Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
		[ ] 
		[+] // Result 2: Verify Financial Exchange dialog appears
			[ ] VerifySafely (FinancialExchange.Exists (3), TRUE, "Financial Exchange dialog appears")
	[ ] 
	[+] // CLEANUP
		[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
		[ ] FinancialExchange.Close.Click ()
		[ ] DisconnectQB ()
[ ] 
