﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying changing assembly accounts
	[+] // Test Steps:
		[ ] // 1. Set preferences settings to change assembly accounts
		[ ] // 2. Create a new department
		[ ] // 3. Create a new new Item using
		[ ] // 4. Create a sale with new item
		[ ] // 5. Update QuickBooks
	[+] // Expected Result:
		[ ] // 1: Verify sale has been created 
		[ ] // 2. Verify Financial Exchange dialog appears
[ ] // TESTCASE::FE_ChangeAssemblyAccount
[ ] // ATC ID::POS_FE_ATC_030
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_ChangeAssemblyAccount.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_ChangeAssemblyAccount () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] SalesReceiptRec srrSale = {}
		[ ] NewDepartmentRec ndrDept = {}
		[ ] NewItemRec nirItem = {}
		[ ] LIST OF STRING lsSalesExpected, lsItems
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToQB ()
	[ ] 
	[+] // STEPS
		[+] // Step 1: Set preferences settings to sub accounts
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Accounts")
			[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
				[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
				[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
					[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
			[ ] WaitUntillEnabled (Preferences.CompanyPreferences.PageList.Accounts.PageList1.Basic.DefaultItemAccounts.ItemAccounts, TRUE, iTimeOut*5)
			[ ] Preferences.CompanyPreferences.PageList.Accounts.PageList1.Basic.DefaultItemAccounts.ItemAccounts.SetAccount (ASSEMBLY, "Service Sales", "Subcontracted Services", "Security Deposits Asset")
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE, iTimeOut*2)
		[+] // Step 3: Create a new assembly Item
			[ ] nirItem.sItemName = "QBItem1"
			[ ] nirItem.sItemType = "Assembly"
			[ ] nirItem.sDepartment = "System"
			[ ] CreateNewItem (nirItem)
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[+] //Step 4:  Add Components to assembly
			[+] lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] AddAssemblyComponents (nirItem, lsItems)
			[ ] BuildAssemblies (nirItem, "2")
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[+] // Step 4: Create a sale with new item
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "{nirItem.sItemName}"
			[ ] srrSale.sCustomer = "Cust1L, Cust1F"
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] srrSale.sButton = "Save"
			[ ] srrSale.bExitSales = TRUE
			[ ] CreateSalesReceipt (srrSale)
		[+] // Result 1: Verify sale has been created
			[ ] SalesHistory.Invoke ()
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 Cust1F Cust1L 1 315.00 1 Cash"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[+] // Step 5: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
			[ ] FinancialExchange.Close.Click ()
	[ ] 
	[+] // CLEANUP
		[ ] DisconnectQB ()
[ ] 
