﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying changing SP-order accounts
	[+] // Test Steps:
		[ ] // 1. Set preferences settings to change Inventory accounts
		[ ] // 2. Create a new department
		[ ] // 3. Create a new new Item using
		[ ] // 4. Create a sale with new item
		[ ] // 5. Update QuickBooks
	[+] // Expected Result:
		[ ] // 1: Verify sale has been created 
		[ ] // 2. Verify Financial Exchange dialog appears
[ ] // TESTCASE::FE_ChangeSpecialOrderAccount
[ ] // ATC ID::POS_FE_ATC_033
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_ChangeSpecialOrderAccount.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_ChangeSpecialOrderAccount () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] SalesReceiptRec srrSale = {}
		[ ] NewItemRec nirSpItem = {}
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToQB ()
	[ ] 
	[+] // STEPS
		[+] // Step 1: Set preferences settings to sub accounts
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Accounts")
			[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
				[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
				[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
					[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
			[ ] WaitUntillEnabled (Preferences.CompanyPreferences.PageList.Accounts.PageList1.Basic.DefaultItemAccounts.ItemAccounts, TRUE, iTimeOut*5)
			[ ] Preferences.CompanyPreferences.PageList.Accounts.PageList1.Basic.DefaultItemAccounts.ItemAccounts.SetAccount (SPECIALORDER, "Service Sales", "Subcontracted Services", "Security Deposits Asset")
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE, iTimeOut*2)
		[+] // Step 4: Create a sale with special order item
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] WaitFor (SalesReceipt.Sale.SideButtons.ShowMessages)
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[+] if !SalesReceipt.Sale.IWantTo.AddNew.Exists (3)
				[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.AddNew.Click ()
			[ ] SalesReceipt.Sale.IWantTo.AddNew.SpecialOrderItem.Click ()
			[ ] nirSpItem = {}
			[ ] nirSpItem.sItemName = "TestSpItem"
			[ ] nirSpItem.sDepartment = "System"
			[ ] nirSpItem.sRegularPrice = "100.00"
			[ ] nirSpItem.sAvgUnitCost = "50.00"
			[ ] SalesReceipt.Sale.AddSpecialOrderItem.FillForm (nirSpItem)
			[ ] SalesReceipt.Sale.AddSpecialOrderItem.Save.Click ()
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] ReceivePayment (srrSale.srp)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[+] // Result 1: Verify sale has been created
			[ ] SalesHistory.Invoke ()
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[+] // Step 5: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
			[ ] FinancialExchange.Close.Click ()
	[ ] 
	[+] // CLEANUP
		[ ] DisconnectQB ()
[ ] 
