﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying updating customers (in the order "First, Last") between POS and QB
	[+] // Test Steps:
		[ ] // 1. Connect to QuickBooks
		[ ] // 2. Invoke company preferences
		[ ] // 3. Goto Company Preferences-> Financial
		[ ] // 4. Select "Last, First" in Customer Name Order and click "Save"
		[ ] // 5. Create a New Customer with "Use With QuickBooks" not checked
		[ ] // 6. Enter name of created customer in search field and click on Edit (Result 1)
		[ ] // 7. Click on "Cancel"
		[ ] // 8. Create another Customer with "Use With QuickBooks" checked
		[ ] // 9. Enter name of created customer in search field and click on Edit (Result 2)
		[ ] // 10. Click on "Cancel"
		[ ] // 11. Click on "Home"
		[ ] // 12. Goto Financial-> Update QuickBooks (Result 3)
		[ ] // 13. Click Close
		[ ] // 14. Invoke customer list and enter the QB customer names in search field
	[+] // Expected Result:
		[ ] // 1. Verify Customer data saved successfully
		[ ] // 2. Verify Customer data saved successfully
		[ ] // 3. Verify Financial Exchange dialog appears
		[ ] // 4. Verify QuickBook customers are added to customer list by verifying Edit button is enabled
[ ] // TESTCASE::FE_CustomerNameOrder1
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_CustomerNameOrder1.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_CustomerNameOrder1 ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] NewCustomerRec ncr1, ncr2
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "POSV10_FE1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Connect to QuickBooks
			[ ] ConnectToQB ()
		[ ] 
		[+] // Step 2: Invoke company preferences
			[ ] Preferences.CompanyPreferences.Invoke ()
		[ ] 
		[+] // Step 3: Goto Company Preferences-> Financial
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Financial")
			[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
				[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
				[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
					[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
			[ ] sleep (10)
		[ ] 
		[+] // Step 4: Select "Last, First" in Customer Name Order and click "Save"
			[ ] Preferences.CompanyPreferences.PageList.Financial.CustomerNameOrder.OrderToSendCustomerNameToQuickBooks.Select ("Last, First")
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 5: Create a New Customer with "Use With QuickBooks" not checked
			[ ] ncr1 = {}
			[ ] ncr1.sFirstName = "POSCust1F"
			[ ] ncr1.sLastName = "POSCust1L"
			[ ] CreateNewCustomer (ncr1)
		[ ] 
		[+] // Step 6: Enter name of created customer in search field and click on Edit
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncr1.sLastName)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 1: Verify Customer data saved successfully
			[ ] VerifyCustomerData (ncr1)
		[ ] 
		[+] // Step 7: Click on "Cancel"
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
		[ ] 
		[+] // Step 8: Create another Customer with "Use With QuickBooks" checked
			[ ] Customers.CustomerList.Topbar.Add.Click ()
			[ ] ncr2 = {}
			[ ] ncr2.sFirstName = "POSCust2F"
			[ ] ncr2.sLastName = "POSCust2L"
			[ ] FillCustomerForm (ncr2)
			[ ] Customers.CustomerList.AddCustomer.ScrollViewer.QuickBooksOptions.AccountLimit.BringIntoView ()
			[ ] Customers.CustomerList.AddCustomer.ScrollViewer.QuickBooksOptions.AccountLimit.Click ()
			[ ] Customers.Typekeys ("<Shift-Tab 2>")
			[ ] Customers.Typekeys ("<Space>")
			[ ] Customers.CustomerList.AddCustomer.Save.Click ()
		[ ] 
		[+] // Step 9: Enter name of created customer in search field and click on Edit
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncr2.sLastName)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 2: Verify Customer data saved successfully
			[ ] VerifyCustomerData (ncr2)
		[ ] 
		[+] // Step 10: Click on "Cancel"
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
		[ ] 
		[+] // Step 11: Click on "Home"
			[ ] Customers.CustomerList.CommonHeader.Home.Click ()
		[ ] 
		[+] // Step 12: Goto Financial-> Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
		[ ] 
		[+] // Result 3: Verify Financial Exchange dialog appears
			[ ] VerifySafely (FinancialExchange.Exists (3), TRUE, "Financial Exchange dialog appears")
		[ ] 
		[+] // Step 13: Click Close
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
			[ ] FinancialExchange.Close.Click ()
		[ ] 
		[+] // Step 14: Invoke customer list and enter the QB customer names in search field
			[ ] Customers.CustomerList.Invoke ()
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData ("QBCust1L QBCust1F")
		[ ] 
		[+] // Result 4: Verify QuickBook customers are added to customer list by verifying Edit button is enabled
			[ ] VerifySafely (Customers.CustomerList.Topbar.Edit.IsEnabled, TRUE, "QB customer is added to POS customer list")
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData ("QBCust2L QBCust2F")
			[ ] VerifySafely (Customers.CustomerList.Topbar.Edit.IsEnabled, TRUE, "QB customer is added to POS customer list")
	[ ] 
	[+] // CLEANUP
		[+] if (Customers.CustomerList.Exists (3))
			[ ] Customers.CustomerList.CommonHeader.Home.Click ()
		[ ] DisconnectQB ()
[ ] 
