﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying updating customers (in the order "First Last") between POS and QB
	[+] // Test Steps:
		[ ] // 1. Connect to QuickBooks
		[ ] // 2. Invoke company preferences
		[ ] // 3. Goto Company Preferences-> Financial
		[ ] // 4. Select "First Last" in Customer Name Order and click "Save"
		[ ] // 5. Create a Customer with "Use With QuickBooks" checked
		[ ] // 6. Enter name of created customer in search field and click on Edit (Result 1)
		[ ] // 7. Click on "Cancel"
		[ ] // 8. Click on "Home"
		[ ] // 9. Goto Financial-> Update QuickBooks (Result  2)
		[ ] // 10. Click Close
	[+] // Expected Result:
		[ ] // 1. Verify Customer data saved successfully
		[ ] // 2. Verify Customer data saved successfully
		[ ] // 3. Verify Financial Exchange dialog appears
		[ ] // 4. Verify QuickBook customers are added to customer list by verifying Edit button is enabled
[ ] // TESTCASE::FE_CustomerNameOrder2
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_CustomerNameOrder2.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_CustomerNameOrder2 ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] NewCustomerRec ncr1
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "POSV10_FE1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Connect to QuickBooks
			[ ] ConnectToQB ()
		[ ] 
		[+] // Step 2: Invoke company preferences
			[ ] Preferences.CompanyPreferences.Invoke ()
		[ ] 
		[+] // Step 3: Goto Company Preferences-> Financial
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Financial")
			[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
				[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
				[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
					[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
			[ ] sleep (10)
		[ ] 
		[+] // Step 4: Select "First Last" in Customer Name Order and click "Save"
			[ ] Preferences.CompanyPreferences.PageList.Financial.CustomerNameOrder.OrderToSendCustomerNameToQuickBooks.Select ("First Last")
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 5: Create a Customer with "Use With QuickBooks" checked
			[ ] Customers.CustomerList.AddCustomer.Invoke ()
			[ ] ncr1 = {}
			[ ] ncr1.sFirstName = "POSCust2F"
			[ ] ncr1.sLastName = "POSCust2L"
			[ ] FillCustomerForm (ncr1)
			[ ] Customers.CustomerList.AddCustomer.ScrollViewer.QuickBooksOptions.AccountLimit.BringIntoView ()
			[ ] Customers.CustomerList.AddCustomer.ScrollViewer.QuickBooksOptions.AccountLimit.Click ()
			[ ] Customers.Typekeys ("<Shift-Tab 2>")
			[ ] Customers.Typekeys ("<Space>")
			[ ] Customers.CustomerList.AddCustomer.Save.Click ()
		[ ] 
		[+] // Step 6: Enter name of created customer in search field and click on Edit
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncr1.sLastName)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 1: Verify Customer data saved successfully
			[ ] VerifyCustomerData (ncr1)
		[ ] 
		[+] // Step 7: Click on "Cancel"
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
		[ ] 
		[+] // Step 8: Click on "Home"
			[ ] Customers.CustomerList.CommonHeader.Home.Click ()
		[ ] 
		[+] // Step 9: Goto Financial-> Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
		[ ] 
		[+] // Result 2: Verify Financial Exchange dialog appears
			[ ] VerifySafely (FinancialExchange.Exists (3), TRUE, "Financial Exchange dialog appears")
		[ ] 
		[+] // Step 10: Click Close
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
			[ ] WaitUntillEnabled (FinancialExchange.Close, TRUE, iTimeOut/5)
			[ ] FinancialExchange.Close.Click ()
	[ ] 
	[+] // CLEANUP
		[+] if (Customers.CustomerList.Exists (3))
			[ ] Customers.CustomerList.CommonHeader.Home.Click ()
		[ ] DisconnectQB ()
[ ] 
