﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying updating customers (in the order "Title First Last") between POS and QB and verifying preference option Customers-> Use with QuickBooks
	[+] // Test Steps:
		[ ] // 1. Connect to QuickBooks
		[ ] // 2. Invoke company preferences
		[ ] // 3. Goto Company Preferences-> Financial
		[ ] // 4. Select "Title First Last" in Customer Name Order 
		[ ] // 5. Goto Customers-> Use with QuickBooks and select 'Yes' and Save Preferences settings
		[ ] // 6. Create a Customer (Result 1)
		[ ] // 7. Enter name of created customer in search field and click on Edit (Result 2)
		[ ] // 8. Click on "Cancel"
		[ ] // 9. Click on "Home"
		[ ] // 10. Goto Financial-> Update QuickBooks (Result  3)
		[ ] // 11. Click Close
	[+] // Expected Result:
		[ ] // 1. Verify 'Use with QuickBooks' option is already checked
		[ ] // 2. Verify Customer data saved successfully
		[ ] // 3. Verify Financial Exchange dialog appears
[ ] // TESTCASE::FE_CustomerNameOrder3
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_CustomerNameOrder3.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_CustomerNameOrder3 ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] NewCustomerRec ncr1
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "POSV10_FE1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Connect to QuickBooks
			[ ] ConnectToQB ()
		[ ] 
		[+] // Step 2: Invoke company preferences
			[ ] Preferences.CompanyPreferences.Invoke ()
		[ ] 
		[+] // Step 3: Goto Company Preferences-> Financial
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Financial")
			[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
				[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
				[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
					[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
			[ ] WaitForPageToLoad (10)
		[ ] 
		[+] // Step 4: Select "Title First Last" in Customer Name Order 
			[ ] Preferences.CompanyPreferences.PageList.Financial.CustomerNameOrder.OrderToSendCustomerNameToQuickBooks.Select ("Title First Last")
		[ ] 
		[+] // Step 5: Goto Customers-> Use with QuickBooks and select 'Yes' and Save Preferences settings
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Customers")
			[ ] Preferences.CompanyPreferences.PageList.Customers.UseWithQuickBooks.Yes.Click ()
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 6: Create a Customer
			[ ] Customers.CustomerList.AddCustomer.Invoke ()
			[ ] ncr1 = {}
			[ ] ncr1.sFirstName = "POSCust3F"
			[ ] ncr1.sLastName = "POSCust3L"
			[ ] ncr1.sTitle = "Mrs."
			[ ] FillCustomerForm (ncr1)
			[ ] Customers.CustomerList.AddCustomer.Title.Select (ncr1.sTitle)
		[ ] 
		[+] // Result 1: Verify 'Use with QuickBooks' option is already checked
			[ ] Customers.CustomerList.AddCustomer.ScrollViewer.QuickBooksOptions.AccountLimit.BringIntoView ()
			[ ] VerifySafely (Customers.CustomerList.AddCustomer.ScrollViewer.QuickBooksOptions.UseWithQuickBooks.IsChecked, TRUE, "'Use with QuickBooks' option is already checked")
			[ ] Customers.CustomerList.AddCustomer.Save.Click ()
		[ ] 
		[+] // Step 7: Enter name of created customer in search field and click on Edit
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncr1.sLastName)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 2: Verify Customer data saved successfully
			[ ] VerifyCustomerData (ncr1)
		[ ] 
		[+] // Step 8: Click on "Cancel"
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
		[ ] 
		[+] // Step 9: Click on "Home"
			[ ] Customers.CustomerList.CommonHeader.Home.Click ()
		[ ] 
		[+] // Step 10: Goto Financial-> Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
		[ ] 
		[+] // Result 3: Verify Financial Exchange dialog appears
			[ ] VerifySafely (FinancialExchange.Exists (3), TRUE, "Financial Exchange dialog appears")
		[ ] 
		[+] // Step 11: Click Close
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
			[ ] WaitUntillEnabled (FinancialExchange.Close, TRUE, iTimeOut/5)
			[ ] FinancialExchange.Close.Click ()
	[ ] 
	[+] // CLEANUP
		[+] if (Customers.CustomerList.Exists (3))
			[ ] Customers.CustomerList.CommonHeader.Home.Click ()
		[ ] DisconnectQB ()
[ ] 
