﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending Payroll details to QB
	[+] // Test Steps:
		[ ] // 1. Connect to QuickBooks
		[ ] // 2. Close Financial Exchange and Invoke company preferences and select Financial
		[ ] // 3. Check option 'Send Employee hours worked to QuickBooks using payroll item" (Result 1)
		[ ] // 4. Select 'Hourly' payroll item and save preferences
		[ ] // 5. Create an 'Employee time entry' for an employee
		[ ] // 6. Goto Financial-> Update QuickBooks (Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify Quickbooks payroll items are listed in the drop down
		[ ] // 2. Verify Financial Exchange dialog appears
[ ] // TESTCASE::FE_EmployeePayroll
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\EmployeeSecurityAccess.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_EmployeePayroll.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_EmployeePayroll ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] List Of STRING SPayrollItems
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "EmployeeSecurityAccess.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SPayrollItems = {}
	[ ] 
	[+] // STEPS
		[+] // Step 1: Connect to QuickBooks
			[ ] ConnectToQB ()
		[ ] 
		[+] // Step 2: Close Financial Exchange and Invoke company preferences and select Financial
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Financial")
			[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
				[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
				[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
					[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
			[ ] WaitForPageToLoad (10)
		[ ] 
		[+] // Step 3: Check option 'Send Employee hours worked to QuickBooks using payroll item"
			[ ] Preferences.CompanyPreferences.PageList.Financial.EmployeeHours.SendEmployeeHoursWorkedToQuickBooks.Click ()
		[ ] 
		[+] // Result 1: Verify Quickbooks payroll items are listed in the drop down
			[ ] SPayrollItems = {"Hourly", "Weekly", "<Regular Hours>"}
			[ ] VerifySafely (Preferences.CompanyPreferences.PageList.Financial.EmployeeHours.PayrollItem.GetContents (), SPayrollItems, "QuickBooks Payroll Items added")
		[ ] 
		[+] // Step 4: Select 'Hourly' payroll item and save preferences
			[ ] Preferences.CompanyPreferences.PageList.Financial.EmployeeHours.PayrollItem.Select ("Hourly")
			[ ] WaitFor (Preferences.BottomBar.Save, 20)
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE, iTimeOut)
		[ ] 
		[+] // Step 5: Create an 'Employee time entry' for an employee
			[ ] TimeEntry.NewEmployeeTimeEntry.Invoke ()
			[ ] TimeEntry.NewEmployeeTimeEntry.PageList1.LoginName.Select ("Manager")
			[+] if PointOfSaleMessage170031.Exists (2)
				[ ] PointOfSaleMessage170031.Yes.Click ()
			[ ] TimeEntry.NewEmployeeTimeEntry.PageList1.ElapsedTime.SetText ("04:00")
			[ ] TimeEntry.BottomBar.Save.Click ()
			[+] if TimeClockHistory.TimeClockHistory.Exists ()
				[ ] TimeClockHistory.BottomBar.Close.Click ()
		[ ] 
		[+] // Step 6: Goto Financial-> Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
		[ ] 
		[+] // Result 2: Verify Financial Exchange dialog appears
			[ ] VerifySafely (FinancialExchange.Exists (3), TRUE, "Financial Exchange dialog appears")
	[ ] 
	[+] // CLEANUP
		[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
		[ ] FinancialExchange.Close.Click ()
		[ ] DisconnectQB ()
[ ] 
