﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying Importing items from QB to POS.
	[+] // Test Steps:
		[ ] // 1: Goto Financial -> Financial Center (Result 1)
		[ ] // 2: Click 'Show Advanced Options'
		[ ] // 3. Click 'Import Items now' (Result 2)
		[ ] // 4. Set all the required details and click 'Next' (Result 3)
		[ ] // 5. Click 'Import Now' (Result 4)
		[ ] // 6. Close 'Financial Excahge' and Invoke Item list (Result 5)
	[+] // Expected Result:
		[ ] // 1. Verify Financial Exchange dialog opens up
		[ ] // 2. Verify 'Item Fields' window appears
		[ ] // 3. Verify 'Item Selection' window appears
		[ ] // 4. Verify 'Financial Exchange' window appears
		[ ] // 5. Verify the items imported from QB
[ ] // TESTCASE::FE_ImportItems
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_ImportItems.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_ImportItems ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] LIST OF STRING lsExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToQB ("DontSendPrevious")
		[ ] lsExpected = {}
	[ ] 
	[+] // STEPS
		[+] // Step 1: Goto Financial -> Financial Center
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.FinancialCenter.Click ()
		[ ] 
		[+] // Result 1: Verify Financial Center opens up
			[ ] VerifySafely (FinancialCenter.Exists (3), TRUE, "Financial Center opens up")
		[ ] 
		[+] // Step 2: Click 'Show Advanced Options'
			[ ] FinancialCenter.FinancialCenter.Actions.ShowAdvancedOptions.Click ()
		[ ] 
		[+] // Step 3: Click 'Import Items now'
			[ ] WaitForPageToLoad (5)
			[ ] FinancialCenter.FinancialCenterAdvancedOptions.Actions.ImportItemsNow.Click ()
		[ ] 
		[+] // Result 2: Verify 'Item Fields' window appears
			[ ] WaitFor (ItemFields, iTimeOut)
			[ ] VerifySafely (ItemFields.Exists (5), TRUE, "'Item Fields' window appears")
		[ ] 
		[+] // Step 4: Set all the required details and click 'Next'
			[ ] ItemFields.ItemName.Select ('Item Name/Number')
			[ ] ItemFields.Next.Click ()
		[ ] 
		[+] // Result 3: Verify 'Item Selection' window appears
			[ ] VerifySafely (ItemSelection.Exists (5), TRUE, "'Item Selection' window appears")
		[ ] 
		[+] // Step 5: Click 'Import Now' 
			[ ] ItemSelection.ImportNow.Click ()
		[ ] 
		[+] // Result 4: Verify 'Financial Exchange' window appears
			[ ] VerifySafely (FinancialExchange.Exists (5), TRUE, "'Financial Exchange' window appears")
		[ ] 
		[+] // Step 6: Close 'Financial Excahge' and Invoke Item list
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
			[ ] FinancialExchange.Close.Click ()
			[ ] FinancialCenter.BottomBar.Close.Click ()
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 5: Verify the items imported from QB
			[+] lsExpected = {...}
				[ ] "5 AsmbItem1 System 300.00 2 2"
				[ ] "6 GrpItem1 System 300.00 0 0"
				[ ] "1 InvItem1 System 100.00 48 48"
				[ ] "2 InvItem2 System 200.00 48 48"
				[ ] "3 NonInvItem1 System 100.00 0 0"
				[ ] "11 QBInvItem1 QuickBooks Financial Software 30.00 20 QBInvItem1 20"
				[ ] "8 QBNonInvItem1 QuickBooks Financial Software 40.00 0 QBNonInvItem1 0"
				[ ] "7 QBServItem1 QuickBooks Financial Software 50.00 0 QBServItem1 0"
				[ ] "4 ServItem1 System 100.00 0 0"
				[ ] "9 Total Sales - Non-taxable QuickBooks Financial Software 0.00 0 Total Sales - Non-taxable 0"
				[ ] "10 Total Sales - Taxable QuickBooks Financial Software 0.00 0 Total Sales - Taxable 0"
			[ ] WaitForPageToLoad (3)
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ItemTexts, lsExpected, "Items Imported from QB")
	[ ] 
	[+] // CLEANUP
		[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] DisconnectQB ()
[ ] 
