﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying updating Customers, Vendors, Items and Departments with names having Invalid characters and max field lenghs.
	[+] // Test Steps:
		[ ] // 1. Connect to QuickBooks
		[ ] // 2. Create a Customer with its name having maxed field length and special characters, and "Use With QuickBooks" checked
		[ ] // 3. Close Customer list
		[ ] // 4. Create a Department with its name having maxed field length and special characters
		[ ] // 5. Create an Item with its name having maxed field length and special characters
		[ ] // 6. Close the Item list
		[ ] // 7. Create an Vendor with its name having maxed field length and special characters
		[ ] // 8. Close the Vendor list
		[ ] // 9. Create a Sale using the item and customer created
		[ ] // 10. Close Sales History
		[ ] // 11. Goto Financial-> Update QuickBooks
	[+] // Expected Result:
		[ ] // 1. Verify Customer data saved successfully
		[ ] // 2. Verify Department data saved successfully
		[ ] // 3. Verify Item is saved successfully
		[ ] // 4. Verify Vendor is saved successfully
		[ ] // 5. Verify Sale created
		[ ] // 6. Verify Financial Exchange dialog appears
[ ] // TESTCASE::FE_InvalidCharactersAndMaxFieldLenghts
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_InvalidCharactersAndMaxFieldLenghts.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_InvalidCharactersAndMaxFieldLenghts ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] LIST OF STRING lsSalesExpected
		[ ] NewCustomerRec ncr
		[ ] NewDepartmentRec ndr
		[ ] NewVendorRec nvrVendor
		[ ] NewItemRec nirItem
		[ ] SalesReceiptRec srrSale
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "POSV10_FE1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Connect to QuickBooks
			[ ] ConnectToQB ()
		[ ] 
		[+] // Step 2: Create a Customer with its name having maxed field length and special characters, and "Use With QuickBooks" checked
			[ ] ncr = {}
			[ ] ncr.sFirstName = "@12345Cust54321!!Pos6789()9876" // 30 Characters
			[ ] ncr.sLastName = "@12345Last54321!!Pos6789()9876" // 30 Characters
			[ ] Customers.CustomerList.AddCustomer.Invoke ()
			[ ] FillCustomerForm (ncr)
			[ ] Customers.CustomerList.AddCustomer.ScrollViewer.QuickBooksOptions.AccountLimit.BringIntoView ()
			[ ] Customers.CustomerList.AddCustomer.ScrollViewer.QuickBooksOptions.AccountLimit.Click ()
			[ ] Customers.Typekeys ("<Shift-Tab 2>")
			[ ] Customers.Typekeys ("<Space>")
			[ ] Customers.CustomerList.AddCustomer.Save.Click ()
		[ ] 
		[+] // Result 1: Verify Customer data saved successfully
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (ncr.sLastName)
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
			[ ] VerifyCustomerData (ncr)
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
		[ ] 
		[+] // Step 3: Close Customer list
			[ ] Customers.CustomerList.CommonHeader.Home.Click ()
		[ ] 
		[+] // Step 4: Create a Department with its name having maxed field length and special characters
			[ ] ndr = {}
			[ ] ndr.sDeptCode = "D12"
			[ ] ndr.sDeptName = "(12345Department54321!Pos6789)" // 30 Characters
			[ ] Department.NewDepartment.Invoke ()
			[ ] Department.NewDepartment.FillForm (ndr)
			[ ] Department.BottomBar.Save.Click ()
		[ ] 
		[+] // Result 2: Verify Department data saved successfully
			[ ] VerifyDepartmentData (ndr)
		[ ]  
		[+] // Step 5: Create an Item with its name having maxed field length and special characters
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "**12345Item54321:=6789Pos9876**" // 31 Characters
			[ ] nirItem.sItemType = "Inventory"
			[ ] nirItem.sDepartment = ndr.sDeptName
			[ ] nirItem.sRegularPrice = "100.00"
			[ ] nirItem.sAvgUnitCost = "50.00"
			[ ] nirItem.sOnHandQty = "50"
			[ ] Items.ItemsList.AddInventoryItem.Invoke ()
			[ ] FillItemForm (nirItem)
			[ ] Items.ItemsList.AddInventoryItem.Save.Click ()
		[ ] 
		[+] // Result 3: Verify Item is saved successfully
			[ ] VerifyItemData (nirItem)
		[ ] 
		[+] // Step 6: Close the Item list
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 7: Create an Vendor with its name having maxed field length and special characters
			[ ] nvrVendor = {}
			[ ] nvrVendor.sVendorCode = "TVC"
			[ ] nvrVendor.sCompany = "&&&&12345Vendor54321%%%%6789POS9876&&&&&&" // 41 Characters
			[ ] nvrVendor.sFirstName = "TestVF"
			[ ] nvrVendor.sLastName = "TestVL"
			[ ] Vendor.NewVendor.Invoke ()
			[ ] Vendor.NewVendor.FillForm (nvrVendor)
			[ ] Vendor.BottomBar.Save.Click ()
		[ ] 
		[+] // Result 4: Verify Vendor is saved successfully
			[ ] VendorList.ToolBar.FindVendor.SetText (nvrVendor.sCompany)
			[ ] VendorList.Typekeys ("<Enter>")
			[ ] FindVendor.SelectVendor.Click ()
			[ ] VerifyVendorData (nvrVendor)
			[ ] Vendor.BottomBar.Close.Click ()
		[ ] 
		[+] // Step 8: Close the Vendor list
			[ ] VendorList.BottomBar.Close.Click ()
		[ ] 
		[+] // Step 9: Create a Sale using the item and customer created
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[+] srrSale.lsItems = {...}
				[ ] nirItem.sItemName
			[ ] srrSale.sCustomer = ncr.sLastName
			[ ] srrSale.sButton = "Save"
			[ ] srrSale.bExitSales = TRUE
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Result 5: Verify Sale created
			[ ] SalesHistory.Invoke ()
			[ ] RemoveGridColumn ("SaleDate")
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 @12345Cust54321!!Pos6789()9876 @12345Last54321!!Pos6789()9876 1 105.00 1 Cash"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displyes in sales history")
		[ ] 
		[+] // Step 10: Close Sales History
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 11: Goto Financial-> Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
		[ ] 
		[+] // Result 6: Verify Financial Exchange dialog appears
			[ ] VerifySafely (FinancialExchange.Exists (3), TRUE, "Financial Exchange dialog appears")
	[ ] 
	[+] // CLEANUP
		[ ] WaitFor (FinancialExchange.Close, 100)
		[+] if FinancialExchange.Close.Exists ()
			[ ] FinancialExchange.Close.Click ()
		[ ] DisconnectQB ()
[ ] 
