﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying FE_MultiStepPOVoucher
	[+] // Test Steps:
		[ ] // 1: Invoke New Purchase order
		[ ] // 2: Enter the details
		[ ] // 3: Get the total and save
		[ ] // 4: Invoke Receiving Voucher
		[ ] // 5: Go to IWT->Receive From PO
		[ ] // 6:Click on Select All and then Receive All Due
		[ ] // 7: Save the voucher
		[ ] // 8: Update QuickBooks
	[+] // Expected Result:
		[ ] // 1: Verify New Purchase order is open
		[ ] // 2:  Verify Receiving Voucher is open
[ ] // TESTCASE::FE_MultiStepPOVoucher1
[ ] // ATC ID::POS_FE_ATC_036
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ReceivingBillingInfo.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_MultiStepPOVoucher1.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_MultiStepPOVoucher1 () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewPurchaseOrderRec npoOrder
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ReceivingBillingInfo.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToQB ()
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke New Purchase order
			[ ] PurchaseOrder.NewPurchaseOrder.Invoke ()
		[+] // Result 1: Verify New Purchase order is open
			[ ] VerifySafely (PurchaseOrder.NewPurchaseOrder.Exists (5), TRUE, "New PO is open")
		[+] // Step 2: Enter the details
			[ ] npoOrder = {}
			[ ] npoOrder.ldir = {}
			[ ] npoOrder.sPONumber = PurchaseOrder.NewPurchaseOrder.PageList.PONumber.GetText ()
			[ ] npoOrder.sStatus = PurchaseOrder.NewPurchaseOrder.PageList.Status.GetText ()
			[ ] npoOrder.sVendor = "PVendor1"
			[+] npoOrder.ldir = {...}
				[ ] {"InvItem1", "5"}
				[ ] {"InvItem2", "6"}
			[ ] CreatePurchaseOrder (npoOrder)
		[+] // Step 3: Get the total and save
			[ ] npoOrder.sTotal = PurchaseOrder.NewPurchaseOrder.PageList.Total.GetTextFromDisabled ()
			[ ] PurchaseOrder.BottomBar.SaveOnly.Click ()
		[+] // Step 4: Invoke Receiving Voucher
			[ ] Voucher.ReceivingVoucher.Invoke ()
		[+] // Result 2:  Verify Receiving Voucher is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Receiving Voucher is open")
		[+] // Step 5: Go to IWT->Receive From PO
			[ ] Voucher.ReceivingVoucher.IWantTo.Click ()
			[+] if !Voucher.ReceivingVoucher.IWantTo.ReceiveFromPO.Exists (2)
				[ ] Voucher.ReceivingVoucher.IWantTo.Click ()
			[ ] Voucher.ReceivingVoucher.IWantTo.ReceiveFromPO.Click ()
		[+] // Step 6:Click on Select All and then Receive All Due
			[ ] SelectPOs.SelectAll.Click ()
			[ ] SelectPOs.ReceiveAllDue.Click ()
		[+] // Step 6: Save the voucher
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
		[+] // Step 5: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
			[ ] FinancialExchange.Close.Click ()
	[ ] exit
	[+] // CLEANUP
		[ ] DisconnectQB ()
[ ] 
