﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying FE_MultiStepPOVoucher
	[+] // Test Steps:
		[ ] // 1. Connect to QuickBooks
		[ ] // 2. Invoke company preferences
		[ ] // 3. Goto Company Preferences-> Financial
		[ ] // 4. Select -> Send receipts and vouchers with "Detailed item descriptions" and click Save
		[ ] // 5. Create a Sale
		[ ] // 6. Invoke Sales History (Result 1)
		[ ] // 7. Click on "Topbar.Home"
		[ ] // 8. Goto Financial-> Update QuickBooks (Result  2)
	[+] // Expected Result:
		[ ] // 1. Verify sale is created
		[ ] // 2. Verify Financial Exchange dialog appears
[ ] // TESTCASE::FE_MultiStepPOVoucher2
[ ] // ATC ID::POS_FE_ATC_036
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ReceivingBillingInfo.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_MultiStepPOVoucher2.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_MultiStepPOVouche2 () appstate none
	[+] if sSKU == "BASIC"
		[ ] Print ("************************This script is not applicable for BASIC sku*******Exiting Script*****************")
		[ ] exit
	[+] else
		[+] // VARIABLES
			[ ] STRING sCompanyFile, sInvoiceNum
			[ ] NewPurchaseOrderRec npoOrder
		[ ] 
		[+] // SETUP
			[ ] QuickBooksPointOfSale.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke Receiving History
				[ ] ReceivingHistory.VoucherList.Invoke ()
			[+] // Result 1: Verify New receiving History is open
				[ ] VerifySafely (ReceivingHistory.VoucherList.Exists (5), TRUE, "Voucher List is open")
			[+] // Step 2: Enter the voucher no. and click on Show details
				[ ] ReceivingHistory.VoucherList.Topbar.Search.SetData ("1")
				[ ] ReceivingHistory.VoucherList.Topbar.ShowDetails.Click ()
			[+] // Step 3: Go to IWT-> Enter Billing Info
				[ ] ReceivingHistory.VoucherList.Topbar.IWantTo.Click ()
				[ ] ReceivingHistory.VoucherList.Topbar.IWantTo.EnterBillingInfo.Click ()
			[+] // Result 2: Verify "BillingInfo is open
				[ ] VerifySafely (ReceivingHistory.VoucherList.EnterBillingInfo.Exists (5), TRUE, "BillingInfo dialog is open")
			[+] // Step 4: Add all the required data
				[ ] sInvoiceNum = "1234"
				[ ] ReceivingHistory.VoucherList.EnterBillingInfo.InvoiceNo.SetData (sInvoiceNum)
			[+] // Step 5: Click on OK
				[ ] ReceivingHistory.VoucherList.EnterBillingInfo.OK.Click ()
				[ ] 
			[+] // Step 4: Click on Go Back
				[ ] ReceivingHistory.VoucherList.Topbar.Home.Click ()
			[+] // Step 5: Update QuickBooks
				[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
				[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
				[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
				[ ] FinancialExchange.Close.Click ()
		[ ] 
		[+] // CLEANUP
			[ ] DisconnectQB ()
[ ] 
