﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Exiting POS data is not sent to QB if both the options "Set all ex
	[ ] // isting customers to synchronize with QuickBooks" and "Send all previous sales, receiving, and adjustment history to quickBooks" are unchecked
	[+] // Test Steps: 
		[ ] // 1. Connect to QuickBooks
		[ ] // 2. Uncheck both the check boxes 
		[ ] // 3. Save preference settings
		[ ] // 4. Goto Financial -> Update QuickBooks (Result 1)
	[+] // Expected Result:
		[ ] // 1. Verify Financial Exchange dialog appears
[ ] // TESTCASE::FE_NoSendingExistingData
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\SendingExistingDataQB.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_NoSendingExistingData.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_NoSendingExistingData ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "SendingExistingDataQB.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Connect to QuickBooks
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Financial")
			[ ] Preferences.CompanyPreferences.PageList.Financial.UseWithQuickBooksFinancialSoftware.Click ()
			[ ] WaitFor (QuickBooksConnectionWizard, 5)
			[ ] VerifySafely (QuickBooksConnectionWizard.Exists (), True, "QuickBooks Connection Wizard appears")
			[ ] QuickBooksConnectionWizard.Next.Click ()
			[+] if QuickBooksConnectionWizard.Next.IsEnabled ()
				[ ] QuickBooksConnectionWizard.Next.Click ()
			[ ] WaitFor (QuickBooksConnectionWizard.Finish, iTimeOut*3)
			[+] if QuickBooksConnectionWizard.SkipThisAndDonTPrompt.Exists ()
				[ ] QuickBooksConnectionWizard.SkipThisAndDonTPrompt.Click ()
				[ ] QuickBooksConnectionWizard.Retry.Click ()
				[ ] WaitFor (QuickBooksConnectionWizard.Finish, iTimeOut*4)
		[ ] 
		[+] // Step 2: Uncheck both the check boxes 
			[ ] QuickBooksConnectionWizard.SendAllPreviousSalesReceipts.Uncheck () // the other option is unchecked by default 
			[ ] QuickBooksConnectionWizard.Finish.Click ()
		[ ] 
		[+] // Step 3: Save preference settings
			[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
				[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*3)
			[ ] WaitUntillEnabled (Preferences.BottomBar.Save, TRUE, 20)
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE, 20)
		[ ] 
		[+] // Step 4: Goto Financial -> Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
		[ ] 
		[+] // Result 1: Verify Financial Exchange dialog appears
			[ ] VerifySafely (FinancialExchange.Exists (5), TRUE, "Financial Exchange dialog appears")
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
	[ ] 
	[+] // CLEANUP
		[ ] FinancialExchange.Close.Click ()
		[ ] DisconnectQB ()
[ ] 
