﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying setting up financial exchange without quickbooks open
	[+] // Test Steps:
		[ ] // 1. Invoke company preferences (Result 1)
		[ ] // 2. Goto Company Preferences-> Financial
		[ ] // 3. Check "Use With QuickBooks Financial Software" check box (Result 2)
		[ ] // 4. Click on "Next" (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify "Company preference" opens up
		[ ] // 2. Verify "QuickBooks Connection Wizard" appears
		[ ] // 3. Verify connection is not esablished without Quickbooks open
[ ] // TESTCASE::FE_QuickbooksNotOpen
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_QuickbooksNotOpen.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_QuickbooksNotOpen ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke company preferences
			[ ] Preferences.CompanyPreferences.Invoke ()
		[ ] 
		[+] // Result 1: Verify "Company preference" opens up
			[ ] VerifySafely (Preferences.CompanyPreferences.Exists (), True, "Company preference opens up ")
		[ ] 
		[+] // Step 2: Goto Company Preferences-> Financial
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Financial")
		[ ] 
		[+] // Step 3: Check "Use With QuickBooks Financial Software" check box
			[ ] Preferences.CompanyPreferences.PageList.Financial.UseWithQuickBooksFinancialSoftware.Click ()
			[ ] sleep (3)
		[ ] 
		[+] // Result 2: Verify "QuickBooks Connection Wizard" appears
			[ ] VerifySafely (QuickBooksConnectionWizard.Exists (), True, "QuickBooks Connection Wizard appears")
		[ ] 
		[+] // Step 4: Click on "Next"
			[ ] QuickBooksConnectionWizard.Next.Click ()
		[ ] 
		[+] // Result 3: Verify connection is not esablished without Quickbooks open
			[ ] WaitFor (QuickBooksConnectionWizard.Retry)
			[ ] sMessage = "Point of Sale cannot start    uickBooks"
			[ ] VerifySafely (MatchStr (sMessage, QuickBooksConnectionWizard.GetMessage ()), TRUE, "Message occurs 'Point of Sale cannot start QuickBooks.'")
			[ ] VerifySafely (QuickBooksConnectionWizard.Next.Exists (), FALSE, "Next button not present")
			[ ] VerifySafely (QuickBooksConnectionWizard.Retry.Exists (), TRUE, "Retry button is present and enabled")
	[ ] exit
[ ] 
