﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying setting up financial exchange with quickbooks open and Inventory OFF
	[+] // Test Steps:
		[ ] // 1. Click on "Retry" (Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify "QuickBooks Connection Wizard" exists
		[ ] // 2. Verify connection is not esablished without Inventory ON in Quickbooks
[ ] // TESTCASE::FE_QuickbooksOpen_InventoryOff
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_QuickbooksOpen_InventoryOff.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase FE_QuickbooksOpen_InventoryOff () appstate none
	[+] // VARIABLES
		[ ] STRING sMessage
	[ ] 
	[+] // STEPS
		[+] // Result 1: Verify "QuickBooks Connection Wizard" exists
			[ ] QuickBooksConnectionWizard.SetActive ()
			[ ] VerifySafely (QuickBooksConnectionWizard.Exists (), True, "QuickBooks Connection Wizard appears")
		[ ] 
		[+] // Step 1: Click on "Retry"
			[ ] QuickBooksConnectionWizard.Retry.Click ()
			[+] if QuickBooksApplicationWithNoCertificate.Exists (10)
				[ ] QuickBooksApplicationWithNoCertificate.SetActive ()
				[ ] QuickBooksApplicationWithNoCertificate.YesAlwaysAllowAccessEveniFQuickbooksNotRunning.Click ()
				[ ] QuickBooksApplicationWithNoCertificate.Continue.Click ()
				[+] if ConfirmToProceed.Exists (2)
					[ ] ConfirmToProceed.Yes.Click ()
				[+] if AccessConfirmation.Exists (2)
					[ ] AccessConfirmation.Done.Click ()
				[ ] QuickBooksConnectionWizard.SetActive ()
			[+] else
				[ ] WaitFor (QuickBooksConnectionWizard.Retry, iTimeOut)
		[ ] 
		[+] // Result 2: Verify connection is not esablished without Inventory ON in Quickbooks
			[ ] WaitFor (QuickBooksConnectionWizard.Retry)
			[ ] sMessage = "You need to turn on inventory tracking in QuickBooks."
			[ ] VerifySafely (MatchStr (sMessage, QuickBooksConnectionWizard.GetMessage ()), TRUE, "Message occurs 'You need to turn on inventory tracking in QuickBooks.'")
			[ ] VerifySafely (QuickBooksConnectionWizard.Next.Exists (), FALSE, "Next button not present")
			[ ] VerifySafely (QuickBooksConnectionWizard.Retry.Exists (), TRUE, "Retry button is present and enabled")
	[ ] exit
[ ] 
