﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying setting up financial exchange with quickbooks open, Inventory ON and Sales Tax ON
	[+] // Test Steps:
		[ ] // 1. Click on "Retry" (Result 2)
		[ ] // 2. Click on Finish 
	[+] // Expected Result:
		[ ] // 1. Verify "QuickBooks Connection Wizard" exists
		[ ] // 2. Verify connection is esablished between POS and Quickbooks
[ ] // TESTCASE::FE_Quickbooks_Connected
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_Quickbooks_Connected.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[-] testcase FE_Quickbooks_Connected () appstate none
	[-] // VARIABLES
		[ ] STRING sMessage
	[ ] 
	[-] // STEPS
		[-] // Result 1: Verify "QuickBooks Connection Wizard" exists
			[ ] QuickBooksConnectionWizard.SetActive ()
			[ ] VerifySafely (QuickBooksConnectionWizard.Exists (), True, "QuickBooks Connection Wizard appears")
		[ ] 
		[-] // Step 1: Click on "Retry"
			[ ] QuickBooksConnectionWizard.Retry.Click ()
			[ ] WaitFor (QuickBooksConnectionWizard.Finish, iTimeOut)
		[ ] 
		[-] // Result 2: Verify connection is esablished between POS and Quickbooks
			[ ] sMessage = "Congratulations, Point of Sale has been successfully connected to QuickBooks!"
			[ ] VerifySafely (MatchStr (sMessage, QuickBooksConnectionWizard.GetMessage ()), TRUE, "Message occurs 'Congratulations, Point of Sale has been successfully connected to QuickBooks!'")
			[ ] VerifySafely (QuickBooksConnectionWizard.Next.Exists (), FALSE, "Next button not present")
			[ ] VerifySafely (QuickBooksConnectionWizard.Finish.Exists (), TRUE, "Finish button is present and enabled")
		[ ] 
		[-] // Step 2: Click on Finish 
			[ ] QuickBooksConnectionWizard.Finish.Click ()
	[ ] 
	[-] // CLEANUP
		[ ] // Preferences.CompanyPreferences.PageList.Financial.UseWithQuickBooksFinancialSoftware.Click ()
		[ ] WaitFor (Preferences.BottomBar.Save, iTimeOut)
		[ ] WaitUntillEnabled (Preferences.BottomBar.Save, TRUE, iTimeOut*5)
		[ ] Preferences.BottomBar.Save.Click ()
[ ] 
