﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending customer deposits from POS to QB
	[+] // Test Steps:
		[ ] // 1. Invoke Sales order List
		[ ] // 2. Open the sales order for edit
		[ ] // 3. Go to IWT->Sell Items
		[ ] // 4. Click on Select all and then click continiue
		[ ] // 5. Receive payment and Save the recipt
		[ ] // 3. Update QuickBooks
	[+] // Expected Result:
		[ ] // 1.  Verify SOList is open
		[ ] // 2. Edit Sales Order Should be open
		[ ] // 3. Verify Select Items dialog is displayed
		[ ] // 4. Verify Sales Receipt is open and data updated
[ ] // TESTCASE::FE_SaleCompletedDepositUsed
[ ] // ATC ID::POS_FE_ATC_027
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\FE_SaleCompletedDepositUsed
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_SaleCompletedDepositUsed.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_SaleCompletedDepositUsed () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] CustomerOrderRec corSO
		[ ] SalesReceiptPaymentRec srpPayment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "FE_CustomerOrderDeposit.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToQB ("DontSendPrevious")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Sales order List
			[ ] SOList.SalesOrderList.Invoke ()
		[ ] 
		[+] // Result 1:  Verify SOList is open
			[ ] VerifySafely (SOList.SalesOrderList.Exists (5), TRUE, "SOList is open")
		[ ] 
		[+] // Step 2: Open the sales order for edit
			[ ] corSO = {}
			[ ] corSO.sSONum = "1"
			[ ] SOList.OpenSOForEdit (corSO.sSONum)
		[ ] 
		[+] // Result 2: Edit Sales Order Should be open
			[ ] VerifySafely (SalesOrder.EditSalesOrder.Exists (5), TRUE, "Edit Sales order open")
		[ ] 
		[+] // Step 3: Go to IWT->Sell Items
			[ ] SalesOrder.Typekeys ("<Alt-O-I>")
		[ ] 
		[+] // Result 3: Verify Select Items dialog is displayed
			[ ] VerifySafely (SelectItemsToSell.Exists (3), TRUE, "SelectItemsToSell dialog displyed")
		[ ] 
		[+] // Step 4: Click on Select all and then click continiue
			[ ] SelectItemsToSell.SelectItems.SelectAll.Click ()
			[ ] SelectItemsToSell.Continue.Click ()
		[ ] 
		[+] // Result 4: Verify Sales Receipt is open and data updated
			[ ] VerifySafely (SalesReceipt.Information.Exists (5), TRUE, "Message appeared")
			[ ] SalesReceipt.Information.OK.Click ()
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales Receipt open")
		[ ] 
		[+] // Step 5: Receive payment and Save the recipt
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 3: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
			[ ] FinancialExchange.Close.Click ()
	[ ] 
	[+] // CLEANUP
		[ ] DisconnectQB ()
[ ] 
