﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Sending sales receipts of payment methods "Charge to Account" and "Payment on Account" from POS and 
	[ ] // 			   verifying the "Accounts Receivable" effected in QB and also verifying importing Customer balance from QB to POS 
	[+] // Test Steps:
		[ ] // 1. Connect to QuickBooks
		[ ] // 2. Create a sale by "Charge to account" payment and get the total amount
		[ ] // 3. Invoke Sales History (Result 1)
		[ ] // 4. Click on "Topbar.Home"
		[ ] // 5. Goto Financial-> Update QuickBooks (Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify sales created
		[ ] // 2. Verify Financial Exchange dialog appears
[ ] // TESTCASE::FE_SalesReceiptChargeToAccount1
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\POSV10_FE1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_SalesReceiptChargeToAccount1.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_SalesReceiptChargeToAccount1 ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sTotalAmount, sCreditLimit
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srr
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "POSV10_FE1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] srr = {}
	[ ] 
	[+] // STEPS
		[+] // Step 1: Connect to QuickBooks
			[ ] ConnectToQB ()
		[ ] 
		[+] // Step 2: Create a sale by "Charge to account" payment and get the total amount
			[ ] sCreditLimit = "1000"
			[ ] srr.srp = {}
			[+] srr.lsItems = {...}
				[ ] "InvItem2"
			[ ] srr.sCustomer = "Cust1L, Cust1F"
			[ ] srr.srp.sPaymentMode = "Account"
			[ ] CreateSalesReceipt (srr)
			[+] if (SalesReceipt.Confirmation.Exists (3))
				[ ] SalesReceipt.Confirmation.Yes.Click ()
			[+] if SalesReceipt.Sale.AccountPayment.Exists ()
				[ ] SalesReceipt.Sale.AccountPayment.CreditLimit.SetData (sCreditLimit)
				[ ] SalesReceipt.Sale.AccountPayment.UseChargeAccountForThisCustomer.Click ()
			[+] if (SalesReceipt.Confirmation.Exists (3))
				[ ] SalesReceipt.Confirmation.Yes.Click ()
			[ ] sTotalAmount = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 3: Invoke Sales History
			[ ] SalesHistory.SalesList.Invoke ()
			[ ] Sleep (3)
		[ ] 
		[+] // Result 1: Verify sales created
			[ ] RemoveGridColumn ("SaleDate")
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 Cust1F Cust1L 1 210.00 1 Account"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displayed in sales history")
		[ ] 
		[+] // Step 4: Click on "Topbar.Home"
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 5: Goto Financial-> Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
		[ ] 
		[+] // Result 2: Verify Financial Exchange dialog appears
			[ ] VerifySafely (FinancialExchange.Exists (3), TRUE, "Financial Exchange dialog appears")
	[ ] 
	[+] // CLEANUP
		[ ] WaitFor (FinancialExchange.Close, iTimeOut*8)
		[ ] FinancialExchange.Close.Click ()
		[ ] exit
[ ] 
