﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Sending sales receipts of payment methods "Charge to Account" and "Payment on Account" from POS and 
	[ ] // 			   verifying the "Accounts Receivable" effected in QB and also verifying importing Customer balance from QB to POS 
	[+] // Test Steps:
		[ ] // 1. Create a sale to "Make payment on account"
		[ ] // 2. Goto Financial-> Update QuickBooks (Result 1)
		[ ] // 3. Click Close
		[ ] // 4. Invoke Customer List (Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify Financial Exchange dialog appears
		[ ] // 2. Verify Customer balance of second customer
[ ] // TESTCASE::FE_SalesReceiptChargeToAccount2
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\POSV10_FE1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_SalesReceiptChargeToAccount2.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_SalesReceiptChargeToAccount2 () appstate none
	[+] // VARIABLES
		[ ] STRING sTotalAmount, sCustomer, sAmount
	[ ] 
	[+] // SETUP
		[ ] QuickBooksPointOfSale.SetActive ()
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a sale to make payment on account
			[ ] sCustomer = "Cust1L, Cust1F"
			[ ] sTotalAmount = "100"
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] SalesReceipt.Sale.EnterCustomer.SelectCustomer (sCustomer)
			[ ] SalesReceipt.Sale.PaymentButtons.Account.Click ()
			[ ] SalesReceipt.Sale.AccountPayment.MakePaymentOnAccount.Click ()
			[ ] SalesReceipt.Sale.AccountPayment.ChargeAccount.SetData (sTotalAmount)
			[ ] SalesReceipt.Sale.AccountPayment.Save.Click ()
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
			[ ] SalesReceipt.Sale.CashPayment.ExactAmount.Click ()
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 2: Goto Financial-> Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
		[ ] 
		[+] // Result 1: Verify Financial Exchange dialog appears
			[ ] VerifySafely (FinancialExchange.Exists (3), TRUE, "Financial Exchange dialog appears")
		[ ] 
		[+] // Step 3: Click Close
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*8)
			[ ] FinancialExchange.Close.Click ()
		[ ] 
		[+] // Step 4: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[+] // Result 2: Verify Customer balance of second customer
			[ ] sAmount = "$105.00"
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData ("QBCust1F QBCust1L")
			[ ] Customers.CustomerList.Topbar.Edit.Click ()
			[ ] VerifySafely (Customers.CustomerList.EditCustomer.ScrollViewer.QuickBooksOptions.AccountBalance.GetCaption (), sAmount, "Customer balance imported from QB")
	[ ] 
	[+] // CLEANUP
		[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
		[ ] Customers.CustomerList.Topbar.Home.Click ()
		[ ] DisconnectQB ()
[ ] 
