﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying discount in "sales receipt with seperate value from POS to QB
	[+] // Test Steps:
		[ ] // 1. Set preferences settings to seperate Value
		[ ] // 2. Create a sale with discount (Result 1)
		[ ] // 3. Update QuickBooks
	[+] // Expected Result:
		[ ] // 1. Verify sale has been created
[ ] // TESTCASE::FE_SalesReceiptDiscountSeperateValue
[ ] // ATC ID::POS_FE_ATC_013
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_SalesReceiptDiscountSeperateValue.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_SalesReceiptDiscountSeperateValue ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] SalesReceiptRec srrSale
		[ ] SalesDiscountRec sdrDiscount
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToQB ()
	[ ] 
	[+] // STEPS
		[+] // Step 1: Set preferences settings to Seperate Value
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Financial")
			[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
				[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
				[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
					[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
			[ ] WaitUntillEnabled (Preferences.CompanyPreferences.PageList.Financial.UseWithQuickBooksFinancialSoftware, TRUE, iTimeOut*3)
			[ ] Preferences.CompanyPreferences.PageList.Financial.SendDiscountedItemsWith.SeparateOriginalAndDiscountedItems.Click ()
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE, iTimeOut*2)
		[+] // Step 2: Create a sale with discount
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[ ] srrSale.sButton = "Save"
			[ ] srrSale.bExitSales = TRUE
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
			[ ] srrSale.sCustomer = "Cust1L, Cust1F"
			[ ] sdrDiscount = {}
			[ ] sdrDiscount.sDiscountAmount = "10.00"
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] CreateSalesReceipt (srrSale,sdrDiscount)
		[+] // Result 1: Verify sale has been created
			[ ] SalesHistory.Invoke ()
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 Cust1F Cust1L 1 94.50 1 Cash"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[+] // Step 3: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
			[ ] FinancialExchange.Close.Click ()
	[ ] 
	[+] // CLEANUP
		[ ] DisconnectQB ()
[ ] 
