﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending sales receipts of different payment methods from POS and verifying the various accounts effected in Q
	[+] // Test Steps:
		[ ] // 1. Create a sale by Cash payment
		[ ] // 2. Update QuickBooks (Result 1)
		[ ] // 3. Create a sale by Check payment
		[ ] // 4. Update QuickBooks
		[ ] // 5. Create a sale by Credit Card payment 
		[ ] // 6. Update QuickBooks
		[ ] // 7. Create a sale by Debit Card payment 
		[ ] // 8. Update QuickBooks
		[ ] // 9. Create a sale to sell Gift Card
		[ ] // 10. Update QuickBooks
		[ ] // 11. Create a sale to sell Gift Certificate
		[ ] // 12. Update QuickBooks
		[ ] // 13. Invoke Sales History (Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify Financial Exchange dialog appears
		[ ] // 2. Verify sales are created
[ ] // TESTCASE::FESalesReceiptPaymentMethods
[ ] // ATC ID::POS_FE_ATC_006
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FESalesReceiptPaymentMethods.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FESalesReceiptPaymentMethods ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sAmount, sGiftCardNumber, sGiftCertificateNumber
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srr
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "POSV10_FE1_MASOFF.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToQB ()
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a sale by Cash payment
			[ ] srr = {}
			[ ] srr.srp = {}
			[+] srr.lsItems = {...}
				[ ] "InvItem1"
			[ ] srr.srp.sPaymentMode = "Cash"
			[ ] srr.sButton = "Save"
			[ ] CreateSalesReceipt (srr)
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 2: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
		[ ] 
		[+] // Result 1: Verify Financial Exchange dialog appears
			[ ] VerifySafely (FinancialExchange.Exists (3), TRUE, "Financial Exchange dialog appears")
			[ ] WaitFor (FinancialExchange.Close, iTimeOut)
			[ ] FinancialExchange.Close.Click ()
		[ ] 
		[+] // Step 3: Create a sale by Check payment
			[ ] srr = {}
			[ ] srr.srp = {}
			[+] srr.lsItems = {...}
				[ ] "InvItem1"
			[ ] srr.srp.sPaymentMode = "Check"
			[ ] srr.srp.sCheckNumber = "12345"
			[ ] srr.sButton = "Save"
			[ ] CreateSalesReceipt (srr)
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 4: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*2)
			[ ] FinancialExchange.Close.Click ()
		[ ] 
		[+] // Step 5: Create a sale by Credit Card payment 
			[ ] srr = {}
			[ ] srr.srp = {}
			[+] srr.lsItems = {...}
				[ ] "InvItem1"
			[ ] srr.srp.sPaymentMode = "Credit"
			[ ] srr.sButton = "Save"
			[ ] CreateSalesReceipt (srr)
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 6: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*2)
			[ ] FinancialExchange.Close.Click ()
		[ ] 
		[+] // Step 7: Create a sale by Debit Card payment 
			[ ] srr = {}
			[ ] srr.srp = {}
			[+] srr.lsItems = {...}
				[ ] "InvItem1"
			[ ] srr.srp.sPaymentMode = "Debit"
			[ ] srr.sButton = "Save"
			[ ] CreateSalesReceipt (srr)
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 8: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*2)
			[ ] FinancialExchange.Close.Click ()
		[ ] 
		[+] // Step 9: Create a sale to sell Gift Card
			[ ] sAmount = "100"
			[ ] sGiftCardNumber = "123"
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] WaitFor (SalesReceipt.Sale.IWantTo, 5)
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.Sell.OpenSubmenu ()
			[ ] SalesReceipt.Sale.IWantTo.Sell.GiftCard.Click ()
			[+] if SalesReceipt.GiftCardMessage.Exists ()
				[ ] SalesReceipt.GiftCardMessage.Ok.Click ()
			[ ] WaitFor (SalesReceipt.Sale.SellGiftCard, 5)
			[ ] SalesReceipt.Sale.SellGiftCard.Amount.SetData (sAmount)
			[ ] SalesReceipt.Sale.SellGiftCard.GiftCardNumber.SetData (sGiftCardNumber)
			[ ] SalesReceipt.Sale.SellGiftCard.Ok.Click ()
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
			[ ] SalesReceipt.Sale.CashPayment.ExactAmount.Click ()
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 10: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*2)
			[ ] FinancialExchange.Close.Click ()
		[ ] 
		[+] // Step 11: Create a sale to sell Gift Certificate
			[ ] sAmount = "100"
			[ ] sGiftCertificateNumber = "456"
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] WaitFor (SalesReceipt.Sale.IWantTo, 5)
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.Sell.OpenSubmenu ()
			[ ] SalesReceipt.Sale.IWantTo.Sell.GiftCertificate.Click ()
			[ ] WaitFor (SalesReceipt.Sale.SellGiftCertificate, 5)
			[ ] SalesReceipt.Sale.SellGiftCertificate.Amount.SetData (sAmount)
			[ ] SalesReceipt.Sale.SellGiftCertificate.GiftCertificateNumber.SetData (sGiftCertificateNumber)
			[ ] SalesReceipt.Sale.SellGiftCertificate.Ok.Click ()
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
			[ ] SalesReceipt.Sale.CashPayment.ExactAmount.Click ()
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 12: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*2)
			[ ] FinancialExchange.Close.Click ()
		[ ] 
		[+] // Step 13: Invoke Sales History
			[ ] SalesHistory.SalesList.Invoke ()
			[ ] Sleep (3)
		[ ] 
		[+] // Result 2: Verify sales are created
			[ ] RemoveGridColumn ("SaleDate")
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
				[ ] "Regular Sales 1 2 1 105.00 1 Check"
				[ ] "Regular Sales 1 3 1 105.00 1 Credit Card"
				[ ] "Regular Sales 1 4 1 105.00 1 Debit Card"
				[ ] "Regular Sales 1 5 1 100.00 1 Cash"
				[ ] "Regular Sales 1 6 1 100.00 1 Cash"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displayed in sales history")
	[ ] 
	[+] // CLEANUP
		[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[ ] DisconnectQB ()
[ ] 
