﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify sending sales tips from POS to QB.
	[+] // Test Steps:
		[ ] //  1. Invoke new sales receipt and add items
		[ ] //  2. Take Credit payment (Result 1)
		[ ] //  3. Click 'Collect Tip' (Result 2)
		[ ] //  4. Enter the Tip Amount and click 'Continue'
		[ ] //  5. Click on SaveOnly and click 'Cancel'
		[ ] //  6. Invoke  Sales History (Result 3)
		[ ] //  7. Goto Financial-> Update QuickBooks (Result 4)
	[+] // Expected Result:
		[ ] //  1. Verify message for Tips appears
		[ ] //  2. Verify Dialog box for Tip Amount appears
		[ ] //  3. Verify sale is created
[ ] // TESTCASE.:FE_SalesReceiptTip
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\TipsAndStore.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_SalesReceiptTip.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_SalesReceiptTip () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sTotalAmount
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "TipsAndStore_MASOFF.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToQB ()
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt and add items
			[ ] sItem = "InvItem1"
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sItem)
			[ ] sTotalAmount = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
		[ ] 
		[+] // Step 2: Take Credit payment
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] SalesReceipt.Sale.CreditPayment.ChargeCard.Check ()
			[ ] SalesReceipt.Sale.CreditPayment.Visa.Click ()
		[ ] 
		[+] // Result 1: Verify message for Tips appears
			[ ] VerifySafely (SalesReceipt.Confirmation.Exists (2), TRUE, "Message box appears for tips")
		[ ] 
		[+] // Step 3: Click 'Collect Tip'
			[ ] SalesReceipt.Confirmation.CollectTip.Click ()
		[ ] 
		[+] // Result 2: Verify Dialog box for Tip Amount appears
			[ ] VerifySafely (SalesReceipt.TipAmount.Exists (2), TRUE, "Dialog box for Tip Amount appears")
		[ ] 
		[+] // Step 4: Enter the Tip Amount and click 'Continue'
			[ ] SalesReceipt.TipAmount.Amount.SetData ("5")
			[ ] SalesReceipt.TipAmount.Continue.Click ()
		[ ] 
		[+] // Step 5: Click on SaveOnly and click 'Cancel'
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 6: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 3: Verify sale is created
			[ ] RemoveGridColumn ("SaleDate")
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Credit Card"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displyes in sales history")
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 7: Goto Financial-> Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] sleep (3)
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
		[ ] 
		[+] // Result 4: Verify Financial Exchange dialog appears
			[ ] VerifySafely (FinancialExchange.Exists (3), TRUE, "Financial Exchange dialog appears")
	[ ] 
	[+] // CLEANUP
		[ ] WaitFor (FinancialExchange.Close, iTimeOut*2)
		[ ] FinancialExchange.Close.Click ()
[ ] 
