﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending "sales receipt - Summarized Item Totals" from POS to QB
	[+] // Test Steps:
		[ ] // 1. Connect to QuickBooks
		[ ] // 2. Invoke company preferences
		[ ] // 3. Goto Company Preferences-> Financial
		[ ] // 4. Select -> Send receipts and vouchers with "Summarized Item Totals" and click Save
		[ ] // 5. Create a Sale
		[ ] // 6. Invoke Sales History (Result 1)
		[ ] // 7. Click on "Topbar.Home"
		[ ] // 8. Goto Financial-> Update QuickBooks (Result  2)
	[+] // Expected Result:
		[ ] // 1. Verify sale is created
		[ ] // 2. Verify Financial Exchange dialog appears
[ ] // TESTCASE::FE_SendReceiptsAndVouchers3
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_SendReceiptsAndVouchers3.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_SendReceiptsAndVouchers3 ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srr
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "POSV10_FE1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Connect to QuickBooks
			[ ] ConnectToQB ()
		[ ] 
		[+] // Step 2: Invoke company preferences
			[ ] Preferences.CompanyPreferences.Invoke ()
		[ ] 
		[+] // Step 3: Goto Company Preferences-> Financial
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Financial")
			[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
				[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
				[+] if ConnectingToQB.ConnectingToQuickBooks.Exists (10)
					[ ] WaitGone (ConnectingToQB.ConnectingToQuickBooks, iTimeOut*5)
		[ ] 
		[+] // Step 4: Select -> Send receipts and vouchers with "Summarized Item Totals" and click Save
			[ ] Preferences.CompanyPreferences.PageList.Financial.SendReceiptsAndVouchersWith.SummarizedItemTotals.Click ()
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 5: Create a Sale
			[ ] srr = {}
			[ ] srr.srp = {}
			[+] srr.lsItems = {...}
				[ ] "InvItem1"
			[ ] srr.srp.sPaymentMode = "Cash"
			[ ] srr.sButton = "Save"
			[ ] srr.bExitSales = TRUE
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[+] // Step 6: Invoke Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 1: Verify sale is created
			[ ] RemoveGridColumn ("SaleDate")
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displayed in sales history")
		[ ] 
		[+] // Step 7: Click on "Topbar.Home"
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 8: Goto Financial-> Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
		[ ] 
		[+] // Result 2: Verify Financial Exchange dialog appears
			[ ] VerifySafely (FinancialExchange.Exists (3), TRUE, "Financial Exchange dialog appears")
	[ ] 
	[+] // CLEANUP
		[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
		[ ] FinancialExchange.Close.Click ()
		[ ] DisconnectQB ()
[ ] 
