﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying updating vendors between POS and QB
	[+] // Test Steps:
		[ ] // 1. Connect to QuickBooks
		[ ] // 2. Create a new Vendor
		[ ] // 3. Enter name of created vendor on Find Vendor field and press enter (Result 1)
		[ ] // 4. Click on "Close"
		[ ] // 5. Click on "Close" of vendor list
		[ ] // 6. Goto Financial-> Update QuickBooks (Result 2)
		[ ] // 7. Click Close
		[ ] // 8. Invoke Vendor list (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify vendor created by verify "Find Vendor" dialog is displayed and "Select Vendor" button is enabled
		[ ] // 2. Verify Financial Exchange dialog appears
		[ ] // 3. Verify QB vendors are added to the vendor list
[ ] // TESTCASE::FE_Vendors1
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_Vendors1.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_Vendors1 ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, QBVendor1, QBVendor2
		[ ] NewVendorRec nvrVendor
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "POSV10_FE1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Connect to QuickBooks
			[ ] ConnectToQB ()
		[ ] 
		[+] // Step 2: Create a new Vendor
			[ ] Vendors.VendorList.AddVendor.Invoke ()
			[ ] nvrVendor = {}
			[ ] nvrVendor.sVendorCode = "TVC"
			[ ] nvrVendor.sCompany = "TestVComp"
			[ ] nvrVendor.sFirstName = "TestVF"
			[ ] nvrVendor.sLastName = "TestVL"
			[ ] Vendors.VendorList.AddVendor.FillForm (nvrVendor)
			[ ] Vendors.VendorList.AddVendor.Save.Click ()
		[ ] 
		[+] // Step 3: Enter name of created vendor in 'Search Vendor'field 
			[ ] WaitTill(Vendors.VendorList.Topbar.SearchVendor.IsEnabled)
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (nvrVendor.sCompany)
		[ ] 
		[+] // Result 1: Verify Vendor is Created by seraching in ' Search Vendor and the Edit Button is enabled for the Vendor
			[ ] VerifySafely (Vendors.VendorList.Topbar.Edit.IsEnabled, TRUE, "Vendor is created")
		[ ] 
		[+] // Step 5: Click on "Close" of vendor list
			[ ] Vendors.VendorList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 6: Goto Financial-> Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
		[ ] 
		[+] // Result 2: Verify Financial Exchange dialog appears
			[ ] VerifySafely (FinancialExchange.Exists (3), TRUE, "Financial Exchange dialog appears")
		[ ] 
		[+] // Step 7: Click Close
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*2)
			[ ] FinancialExchange.Close.Click ()
		[ ] 
		[+] // Step 8: Invoke Vendor list
			[ ] Vendors.VendorList.Invoke ()
		[ ] 
		[+] // Result 3: Verify QB vendors are added to the vendor list
			[ ] QBVendor1 = "QBVend1Comp"
			[ ] QBVendor2 = "QBVend2Comp"
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (QBVendor1)
			[ ] VerifySafely (Vendors.VendorList.Topbar.Edit.IsEnabled, TRUE, "{QBVendor1} is added to vendor list")
			[ ] Vendors.VendorList.Topbar.SearchVendor.Clear ()
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (QBVendor2)
			[ ] VerifySafely (Vendors.VendorList.Topbar.Edit.IsEnabled, TRUE, "{QBVendor2} is added to vendor list")
	[ ] 
	[+] // CLEANUP
		[+] if (Vendors.VendorList.Exists (3))
			[ ] Vendors.VendorList.Topbar.Home.Click ()
		[ ] DisconnectQB ()
[ ] 
