﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending voucher with bill paid from POS to QB
	[+] // Test Steps:
		[ ] // 1: Create a new receiving voucherwith bill paid
		[ ] // 2: Update QuickBooks
	[+] // Expected Result:
		[ ] // 1: Verify the created voucher is listed on receiving history
[ ] // TESTCASE::FE_VoucherBillingInfoEnteredBillPaid
[ ] // ATC ID::POS_FE_ATC_015
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ReceivingBillingInfo.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_VoucherBillingInfoEnteredBillPaid.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_VoucherBillingInfoEnteredBillPaid ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] LIST OF STRING lsVoucherExpected
		[ ] ReceivingVoucherRec rvrVoucher
		[ ] VoucherBillingRec vbrBill
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ReceivingBillingInfo.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToQB ()
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a new receiving voucher
			[ ] rvrVoucher = {}
			[+] rvrVoucher.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] rvrVoucher.sVendor = "PVendor1"
			[ ] rvrVoucher.sButton = "Save"
			[ ] rvrVoucher.bExitVoucher = TRUE
			[ ] vbrBill = {}
			[ ] vbrBill.sInvoiceNo = "1234"
			[ ] vbrBill.bAlreadyPaid = TRUE
			[ ] CreateReceivingVoucher (rvrVoucher, vbrBill)
		[ ] 
		[+] // Result 1: Verify the created voucher is listed on receiving history
			[ ] ReceivingHistory.Invoke ()
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 1 PVendor1 2 150.00 Already paid 2"
				[ ] // "Regular Receiving 1 1 PVendor1 2 150.00 Invoice 1234 2"
			[ ] ReceivingHistory.VoucherList.RemoveGridColumn ("VoucherDate")
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Voucher created and displayed on voucher list")
			[ ] ReceivingHistory.VoucherList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 1: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
			[ ] FinancialExchange.Close.Click ()
	[ ] 
	[+] // CLEANUP
		[ ] DisconnectQB ()
[ ] 
