﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending voucher without bill from POS to QB
	[+] // Test Steps:
		[ ] // 1: Create a new receiving voucher without billing info
		[ ] // 2: Update QuickBooks
	[+] // Expected Result:
		[ ] // 2: Verify voucher created
[ ] // TESTCASE::FE_VoucherBillingInfoNotEntered
[ ] // ATC ID::POS_FE_ATC_016
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ReceivingBillingInfo.qpb"
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_VoucherBillingInfoNotEntered.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_VoucherBillingInfoNotEntered ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sInvoiceNum, sTotal
		[ ] LIST OF STRING lsVoucherExpected
		[ ] ReceivingVoucherRec rvrVoucher
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ReceivingBillingInfo.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToQB ()
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a new receiving voucher
			[ ] rvrVoucher = {}
			[+] rvrVoucher.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] rvrVoucher.sVendor = "PVendor1"
			[ ] rvrVoucher.sButton = "Save"
			[ ] rvrVoucher.bExitVoucher = TRUE
			[ ] CreateReceivingVoucher (rvrVoucher)
		[ ] 
		[+] // Result 2: Verify voucher created
			[ ] ReceivingHistory.Invoke ()
			[ ] ReceivingHistory.VoucherList.RemoveGridColumn ("VoucherDate")
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 1 PVendor1 2 150.00 Needs billing info 2"
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Voucher created and displyes in receiving history")
			[ ] ReceivingHistory.VoucherList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 2: Update QuickBooks
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
			[ ] FinancialExchange.Close.Click ()
	[ ] 
	[+] // CLEANUP
		[ ] DisconnectQB ()
[ ] 
