﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying voucher freight from POS to QB
	[+] // Test Steps:
		[ ] // 1: Create a receiving voucher with fee
		[ ] // 2: Update QuickBooks
	[+] // Expected Result:
		[ ] // 1: Verify the created voucher is listed on receiving history
[ ] // TESTCASE::FE_VoucherFreight
[ ] // ATC ID::POS_FE_ATC_019
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ReceivingBillingInfo.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::FE_VoucherFreight.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase FE_VoucherFreight ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] LIST OF STRING lsVoucherExpected
		[ ] ReceivingVoucherRec rvrVoucher
		[ ] VoucherDiscFeeFreightRec vdffRec
		[ ] VoucherBillingRec vbrBill
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ReceivingBillingInfo.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] ConnectToQB ("DontSendPrevious")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a receiving voucher with freight
			[ ] rvrVoucher = {}
			[+] rvrVoucher.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] rvrVoucher.sVendor = "PVendor1"
			[ ] rvrVoucher.sButton = "Save"
			[ ] rvrVoucher.bExitVoucher = TRUE
			[ ] vbrBill = {}
			[ ] vbrBill.sInvoiceNo = "1234"
			[ ] vdffRec = {}
			[ ] vdffRec.sFreight = "15.00"
			[ ] CreateReceivingVoucher (rvrVoucher, vbrBill, vdffRec)
		[ ] 
		[+] // Result 1: Verify the created voucher is listed on receiving history
			[ ] ReceivingHistory.VoucherList.Invoke ()
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 1 PVendor1 2 165.00 Invoice 1234 2"
			[ ] ReceivingHistory.VoucherList.RemoveGridColumn ("VoucherDate")
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Voucher created and displayed on voucher list")
		[ ] 
		[+] // Step 3: Update QuickBooks
			[ ] ReceivingHistory.VoucherList.Topbar.Home.Click ()
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.Financial.UpdateQuickBooks.Click ()
			[ ] WaitFor (FinancialExchange.Close, iTimeOut*10)
			[ ] FinancialExchange.Close.Click ()
	[ ] 
	[+] // CLEANUP
		[ ] DisconnectQB ()
[ ] 
