﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying changing Inventory accounts
	[+] // Test Steps:
		[ ] // 1. Invoke Chart Of Accounts and go to Service Sales (Result 1)
		[ ] // 2. Invoke Chart Of Accounts and go to Subcontracted services (Result 2)
		[ ] // 3. Invoke Chart Of Accounts and go to Asset
	[+] // Expected Result:
		[ ] // 1. Verify Income  account
		[ ] // 2. Verify COGS  account
		[ ] // 3. Verify Asset  account
[ ] // TESTCASE::QB_ChangeInventoryAccount_Verify.t
[ ] // ATC ID::POS_FE_ATC_029
[ ] // COMPANY FILE PATH::S:\CompanyFile\20.0\QBPOS1.QBA
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_ChangeInventoryAccount_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_ChangeInventoryAccount_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] INTEGER  iCount
			[ ] LIST OF STRING lsExpected, lsResult
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke Chart Of Accounts and go to Service Sales
				[ ] ChartOfAccounts.Invoke ()
				[ ] ChartOfAccounts.ListView1.Name.Select("Service Sales")
				[ ] ChartOfAccounts.TypeKeys ("<Alt-A-F>")
				[ ] Find.Find.Click ()
			[ ] 
			[+] // Result 3: Verify Income  account
				[+] lsExpected = {...}
					[ ] "-100.00"
				[ ] iCount = 1
				[+] while iCount <= Find.PageList1.Advanced.ListBox1.GetItemCount ()
					[ ] ListAppend (lsResult, Find.PageList1.Advanced.ListBox1.Amount.GetItemText (iCount))
					[ ] iCount++
				[ ] VerifySafely (lsResult, lsExpected, "Income  account correctly mapped")
			[ ] 
			[+] // Step 2: Invoke Chart Of Accounts and go to Subcontracted services
				[ ] ChartOfAccounts.SetActive ()
				[ ] ChartOfAccounts.ListView1.Name.Select("Subcontracted Services")
				[ ] ChartOfAccounts.TypeKeys ("<Alt-A-F>")
				[ ] Find.Find.Click ()
			[ ] 
			[+] // Result 3: Verify COGS account
				[+] lsExpected = {...}
					[ ] "50.00"
				[ ] iCount = 1
				[ ] lsResult = {}
				[+] while iCount <= Find.PageList1.Advanced.ListBox1.GetItemCount ()
					[ ] ListAppend (lsResult, Find.PageList1.Advanced.ListBox1.Amount.GetItemText (iCount))
					[ ] iCount++
				[ ] VerifySafely (lsResult, lsExpected, "Cogs account correctly mapped")
			[ ] 
			[+] // Step 3: Invoke Chart Of Accounts and go to Asset
				[ ] ChartOfAccounts.SetActive ()
				[ ] ChartOfAccounts.ListView1.Name.Select("Security Deposits Asset")
				[ ] ChartOfAccounts.TypeKeys ("<Alt-A-F>")
				[ ] Find.Find.Click ()
			[ ] 
			[+] // Result 3: Verify Asset account
				[+] lsExpected = {...}
					[ ] "-50.00"
					[ ] "1,000.00"
					[ ] "-300.00"
					[ ] "7,500.00"
				[ ] iCount = 1
				[ ] lsResult = {}
				[+] while iCount <= Find.PageList1.Advanced.ListBox1.GetItemCount ()
					[ ] ListAppend (lsResult, Find.PageList1.Advanced.ListBox1.Amount.GetItemText (iCount))
					[ ] iCount++
				[ ] VerifySafely (lsResult, lsExpected, "Asset  account correctly mapped")
		[ ] 
		[+] // CLEANUP
			[+] if (Find.Exists ())
				[ ] Find.xClose.Click ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
