﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying creating a sub account
	[+] // Test Steps:
		[ ] // 1. Invoke Chart Of Accounts (Result 1)
	[+] // Expected Result:
		[ ] // 1. Verify QBFS Chart of Accounts contains a sub account of the inventory sales account with same name as the new POS department.
[ ] // TESTCASE::QB_CreateSubAccount5_Verify.t
[ ] // ATC ID::POS_FE_ATC_024
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_CreateSubAccount5_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[+] STRING GetPOSSKU ()
	[ ] HINIFILE hCS
	[ ] STRING sSKU
	[ ] hCS = IniFileOpen ("C:\QAP\Info.ini")
	[ ] sSKU = IniFileGetValue (hCS, "SKUINFO", "SKU")
	[ ] IniFileClose (hCS)
	[ ] return sSKU
[ ] 
[+] testcase QB_CreateSubAccount5_Verify () appstate none
	[+] do
		[+] if GetPOSSKU () == "MULTISTORE"
			[+] // SETUP
				[ ] QB.SetActive ()
			[ ] 
			[+] // STEPS
				[+] // Step 1: Invoke Chart Of Accounts
					[ ] ChartOfAccounts.Invoke ()
				[ ] 
				[+] // Result 1: Verify QBFS Chart of Accounts contains a sub account of the inventory sales account with same name as the new POS department.
					[ ] VerifySafely (ChartOfAccounts.ListView1.Name.Contains ("Merchandise Sales:QBDept:HQ"), TRUE, "The new POS department is present in the QB")
			[ ] 
			[+] // CLEANUP
				[ ] ChartOfAccounts.Close ()
				[+] if (Find.Exists ())
					[ ] Find.xClose.Click ()
				[ ] CloseCompany ()
		[+] else
			[ ] Print ("****************Script Not applicablr for non Multistore SKU********************")
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
