﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying updating customers (in the order "First, Last") between POS and QB
	[+] // Test Steps:
		[ ] // 1. Invoke the Customer Center from the Icon Bar
	[+] // Expected Result:
		[ ] // 1. To verify POS customer "POSCust1L, POSCust1F"( the one with 'Use With QuickBooks' not checked) is not present in customer list
		[ ] // 2. To verify POS customer "POSCust2L, POSCust2F"( the one with 'Use With QuickBooks' checked) is present in customer list in "Last, First" order
[ ] // TESTCASE::QB_CustomerNameOrder1_Verify
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_CustomerNameOrder1_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_CustomerNameOrder1_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] STRING sCustomerName, sDesc
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke the Customer Center from the Icon Bar
				[ ] QB.SetActive ()
				[ ] CustomerCenter.Invoke ()
			[ ] 
			[+] // Result 1: To verify POS customer "POSCust1L, POSCust1F"( the one with 'Use With QuickBooks' not checked) is not present in customer list
				[ ] sCustomerName = "POSCust1L, POSCust1F"
				[ ] sDesc = "Customer {sCustomerName} is not found in the list"
				[ ] VerifySafely (CustomerCenter.PageList1.CustomersJobs.ElfList1.Name.Contains (sCustomerName), FALSE, sDesc)
				[ ] 
			[ ] 
			[+] // Result 2: To verify POS customer "POSCust2L, POSCust2F"( the one with 'Use With QuickBooks' checked) is present in customer list in "Last, First" order
				[ ] sCustomerName = "POSCust2L, POSCust2F"
				[ ] sDesc = "Customer {sCustomerName} is found in the list in 'Last, First' order"
				[ ] VerifySafely (CustomerCenter.PageList1.CustomersJobs.ElfList1.Name.Contains (sCustomerName), TRUE, sDesc)
				[ ] 
				[ ] sCustomerName = "POSCust2F, POSCust2L"
				[ ] sDesc = "Customer {sCustomerName}  in 'First, Last' order is not found in the list"
				[ ] VerifySafely (CustomerCenter.PageList1.CustomersJobs.ElfList1.Name.Contains (sCustomerName), FALSE, sDesc)
		[ ] 
		[+] // CLEANUP
			[ ] CustomerCenter.Close ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
