﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending customer deposit from POS to QB
	[+] // Test Steps:
		[ ] // 1. Invoke Items List
		[ ] // 2. Check on Include Inactive
		[ ] // 3. Close Item List and Invoke Chart Of Accounts
	[+] // Expected Result:
		[ ] // 1. Verify POS Sales Order Deposit item not there in active items
		[ ] // 2. Verify POS Sales Order Deposit item is present in inactive items
		[ ] // 3. Verify Customer Deposits account has increased by appropiate amount
[ ] // TESTCASE::QB_CustomerOrderDeposit_Verify.t
[ ] // ATC ID::POS_FE_ATC_026
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_CustomerOrderDeposit_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[+] window QBWDialogBox UsingPointOfSale
	[ ] tag "Using Point of Sale?"
	[ ] parent QB
	[+] TextField TextField1
		[+] multitag "#1"
			[ ] "$21573"
	[+] CustomWin DoNotDisplayThisMessageIn
		[+] multitag "[MauiCheckBox]Do not display this message in the future"
			[ ] "[MauiCheckBox]#1"
			[ ] "[MauiCheckBox]$101"
	[+] CustomWin OK
		[+] multitag "[MauiPushButton]OK"
			[ ] "[MauiPushButton]#1"
			[ ] "[MauiPushButton]$51"
[+] STRING GetPOSSKU ()
	[ ] HINIFILE hCS
	[ ] STRING sSKU
	[ ] hCS = IniFileOpen ("C:\QAP\Info.ini")
	[ ] sSKU = IniFileGetValue (hCS, "SKUINFO", "SKU")
	[ ] IniFileClose (hCS)
	[ ] return sSKU
[ ] 
[+] testcase QB_CustomerOrderDeposit_Verify () appstate none
	[+] do
		[+] if GetPOSSKU () == "BASIC"
			[ ] Print ("************************This script is not applicable for BASIC sku*******Exiting Script*****************")
			[ ] CloseCompany ()
		[+] else
			[+] // VARIABLES
				[ ] STRING sItemName
			[ ] 
			[+] // SETUP
				[ ] QB.SetActive ()
			[ ] 
			[+] // STEPS
				[+] // Step 1: Invoke Items List
					[ ] ItemList.Invoke ()
					[+] if UsingPointOfSale.Exists (2)
						[ ] UsingPointOfSale.OK.Click ()
				[ ] 
				[+] // Result 1: Verify POS Sales Order Deposit item not there in active items
					[ ] ItemList.IncludeInactive.Uncheck ()
					[ ] sItemName = "POS Sales Order Deposit"
					[ ] VerifySafely (ItemList.Contains (sItemName), FALSE, "No active item found")
				[ ] 
				[+] // Step 2: Check on Include Inactive
					[ ] ItemList.IncludeInactive.Check ()
				[ ] 
				[+] // Result 2: Verify POS Sales Order Deposit item is present in inactive items
					[ ] VerifySafely (ItemList.Contains (sItemName), TRUE, "Inactive item found")
					[ ] VerifySafely (ItemList.ListView1.Name.GetAssociatedText ("{sItemName}", "Type"), "Other Charge", "Item type is Other Charge")
					[ ] VerifySafely (ItemList.ListView1.Name.GetAssociatedText ("{sItemName}", "Account"), "Customer Deposits", "Account is Customer Deposits")
				[ ] 
				[+] // Step 3: Close Item List and Invoke Chart Of Accounts
					[ ] ItemList.Close ()
					[ ] ChartOfAccounts.Invoke ()
				[ ] 
				[+] // Result 3: Verify Customer Deposits account has increased by appropiate amount
					[ ] VerifySafely (ChartOfAccounts.ListView1.Name.GetAssociatedText ("Customer Deposits", "Balance"), "10.00", "Customer Deposits Updated in QB")
			[ ] 
			[+] // CLEANUP
				[ ] ChartOfAccounts.Close ()
				[+] if (Find.Exists ())
					[ ] Find.xClose.Click ()
				[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
