﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying FE_MultiStepPOVoucher
	[+] // Test Steps:
		[ ] // 1. Invoke Chart Of Accounts (Result 1)
		[ ] // 2. Invoke simple find and search for a bill number 1234 (Result 2)
		[ ] // 3. Click on GoTo to open the bill
	[+] // Expected Result:
		[ ] // 1. Verify Customer Deposits account has increased by appropiate amount
		[ ] // 2. Verify bill is found in QB
		[ ] // 3. Verify bill content
[ ] // TESTCASE::QB_MultiStepPOVoucher2_Verify.t
[ ] // ATC ID::POS_FE_ATC_036
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_MultiStepPOVoucher2_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[+] STRING GetPOSSKU ()
	[ ] HINIFILE hCS
	[ ] STRING sSKU
	[ ] hCS = IniFileOpen ("C:\QAP\Info.ini")
	[ ] sSKU = IniFileGetValue (hCS, "SKUINFO", "SKU")
	[ ] IniFileClose (hCS)
	[ ] return sSKU
[ ] 
[+] testcase QB_MultiStepPOVoucher2_Verify () appstate none
	[+] do
		[+] if GetPOSSKU () == "BASIC"
			[ ] Print ("************************This script is not applicable for BASIC sku*******Exiting Script*****************")
			[ ] CloseCompany ()
		[+] else
			[+] // VARIABLES
				[ ] INT i , iCount
				[ ] STRING sCustomerName, sDesc, sOutPut
				[ ] LIST OF STRING lsResult1, lsResult2, lsOutPut, lsExpected
				[ ] SimpleFindRec sfr
			[ ] 
			[+] // SETUP
				[ ] QB.SetActive ()
			[ ] 
			[+] // STEPS
				[+] // Step 1: Invoke Chart Of Accounts
					[ ] ChartOfAccounts.Invoke ()
				[ ] 
				[+] // Result 1: Verify Customer Deposits account has increased by appropiate amount
					[ ] VerifySafely (ChartOfAccounts.ListView1.Name.GetAssociatedText ("Unbilled Purchases", "Balance"), "0.00", "Unbilled purchases Updated in QB")
					[ ] VerifySafely (ChartOfAccounts.ListView1.Name.GetAssociatedText ("Accounts Payable", "Balance"), "850.00", "Unbilled purchases Updated in QB")
					[ ] ChartOfAccounts.Close ()
				[ ] 
				[+] // Step 2: Invoke simple find and search for a bill number 1234
					[ ] sfr = {}
					[ ] sfr.sType = "Bill"
					[ ] sfr.sNumber = "1234"
					[ ] QB.SetActive ()
					[ ] iCount = SimpleFind ( sfr)
					[ ] 
				[ ] 
				[+] // Result 3: Verify bill is found in QB
					[ ] VerifySafely (iCount , 1, " Transactions Sales receipt found in Quick Books ")
				[ ] 
				[+] // Step 3: Click on GoTo to open the bill
					[+] if GetMoreFromQuickBooks.Exists (2) 
						[ ] GetMoreFromQuickBooks.Close ()
					[+] if QuickBooksYesNo.Exists (2) 
						[ ] QuickBooksYesNo.No.Click ()
				[ ] 
				[+] // Result 4: Verify bill content
					[ ] // EnterBills.PageList1.Items.Table1.GetContents ()
					[+] // for i = 1 to EnterSalesReceipts.Table1.GetRowCount ()
						[ ] // lsOutPut = EnterSalesReceipts.Table1.GetRowContent (i)
						[+] // for each sOutPut in lsOutPut
							[ ] // listappend (lsResult1, sOutPut)
					[+] lsExpected = {...}
						[ ] "InvItem1 #1||InvItem1||5||50.00||250.00||||!@#$"
						[ ] "InvItem2 #2||InvItem2||6||100.00||600.00||||!@#$"
					[+] // lsExpected = {...}
						[ ] // "InvItem1 #1"
						[ ] // "InvItem1"
						[ ] // "1"
						[ ] // "50.00"
						[ ] // "50.00"
						[ ] // ""
						[ ] // "!@#$"
						[ ] // "InvItem2 #2"
						[ ] // "InvItem2"
						[ ] // "1"
						[ ] // "100.00"
						[ ] // "100.00"
						[ ] // ""
						[ ] // "!@#$"
					[ ] VerifySafely (EnterBills.PageList1.Items.Table1.GetContents (), lsExpected, "Verified the contents of the bill")
				[ ] 
				[+] // Step 4: Close the bill
					[ ] EnterBills.SaveClose.Click ()
			[ ] 
			[+] // CLEANUP
				[+] if (Find.Exists ())
					[ ] Find.xClose.Click ()
				[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
