﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Exiting POS data is not sent to QB if both the options "Set all ex
	[ ] // isting customers to synchronize with QuickBooks" and "Send all previous sales, receiving, and adjustment history to quickBooks" are unchecked.
	[+] // Test Steps:
		[ ] // 1. Invoke the Customer Center (Result 1)
		[ ] // 2. Close Customer Center and Invoke Simple Find (Result 2, 3 and 4)
	[+] // Expected Result:
		[ ] // 1. To verify POS customer "POSCust1L, POSCust1F" is not present in customer list
		[ ] // 2. Verify POS receipt is not present in QB
		[ ] // 3. Verify Item Receipt is not present in QB
		[ ] // 4. Verify Journal entry is not created for both Sales Receipt and Inv Adjustment in QB
[ ] // TESTCASE::QB_NoSendingExistingData_Verify
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QBPOS1.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_NoSendingExistingData_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_NoSendingExistingData_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] STRING sCustomerName, sDesc, sDesc2
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke the Customer Center
				[ ] QB.SetActive ()
				[ ] CustomerCenter.Invoke ()
			[ ] 
			[+] // Result 1: To verify POS customer "POSCust1L, POSCust1F" is not present in customer list
				[ ] sCustomerName = "POSCust1L, POSCust1F"
				[ ] sDesc = "Customer {sCustomerName} is not found in the list"
				[ ] VerifySafely (CustomerCenter.PageList1.CustomersJobs.ElfList1.Name.Contains (sCustomerName), FALSE, sDesc)
			[ ] 
			[+] // Step 2: Close Customer Center and Invoke Simple Find
				[ ] CustomerCenter.Close ()
				[ ] SimpleFind.Invoke () 
			[ ] 
			[+] // Result 2: Verify no POS receipt is present in QB
				[ ] Find.PageList1.Simple.TransactionType.PSelect ("Sales Receipt")
				[ ] Find.Find.Click ()
				[ ] VerifySafely (Find.PageList1.Simple.ListBox1.GetItemCount (), 0, "No receipt found")
			[ ] 
			[+] // Result 3: Verify no Item Receipt is present in QB
				[ ] Find.PageList1.Simple.TransactionType.PSelect ("Bill")
				[ ] Find.Find.Click ()
				[ ] VerifySafely (Find.PageList1.Simple.ListBox1.GetItemCount (), 0, "No Item Rcpt found")
			[ ] 
			[+] // Result 4: Verify no Journal entry is created for both Sales Receipt and Inv Adjustment in QB
				[ ] Find.PageList1.Simple.TransactionType.PSelect ("Journal")
				[ ] Find.Find.Click ()
				[ ] VerifySafely (Find.PageList1.Simple.ListBox1.GetItemCount (), 0, "No journal entries found")
		[ ] 
		[+] // CLEANUP
			[+] if (Find.Exists ())
				[ ] Find.xClose.Click ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
