﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending Qty Adjustment memo from POS to QB
	[+] // Test Steps:
		[ ] // 1. Invoke Chart Of Accounts (Result 1)
		[ ] // 2. Goto Inventory Asset account (Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify Inventory Asset account has reduced by Qty adj cost difference
		[ ] // 2. Verify Inventory Adjustment journal entry created
[ ] // TESTCASE::QB_QtyAdjustment_Verify.t
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_QtyAdjustment_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_QtyAdjustment_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] STRING sDesc, sDesc2
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke Chart Of Accounts
				[ ] ChartOfAccounts.Invoke ()
			[ ] 
			[+] // Result 1: Verify Inventory Asset account has reduced by Qty adj cost difference
				[ ] VerifySafely (ChartOfAccounts.ListView1.Name.GetAssociatedText ("Inventory Asset", "Balance"), "-250.00", "Inventory Asset Updated in QB")
			[ ] 
			[+] // Step 2: Goto Inventory Asset account 
				[ ] ChartOfAccounts.ListView1.Name.Select("Inventory Asset")
				[ ] ChartOfAccounts.TypeKeys ("<Alt-A-F>")
				[ ] Find.Find.Click ()
			[ ] 
			[+] // Result 2: Verify Inventory Adjustment journal entry created
				[ ] sDesc = "{FormatDateTime (GetDateTime (), "mm/dd/yyyy")}	GENJRNL	1		Inventory Asset	POS Inv. Adjust. Posted at {FormatDateTime (GetDateTime (), "m/dd/yyyy")}"
				[ ] sDesc2 = "-650.00"
				[ ] VerifySafely (MatchStr (SubStr (Find.PageList1.Advanced.ListBox1.GetItemText (1), 1, 74), sDesc) && MatchStr (SubStr (Find.PageList1.Advanced.ListBox1.GetItemText (1), 87), sDesc2) , TRUE, "Inv Adjustment journal entry correct")
		[ ] 
		[+] // CLEANUP
			[+] if (Find.Exists ())
				[ ] Find.xClose.Click ()
			[ ] ChartOfAccounts.Close ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
