﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Sending sales receipts of payment methods "Charge to Account" and "Payment on Account" from POS and 
	[ ] // 			   verifying the "Accounts Receivable" effected in QB and also verifying importing Customer balance from QB to POS 
	[+] // Test Steps:
		[ ] // 1. Invoke simple find and search for an Invoice (Result 1)
		[ ] // 2. Click on GoTo to open the receipt (Result 2)
		[ ] // 3. Close the invoice and close find
		[ ] // 4. Invoke Chart of Accounts (Result 3 and Result 4)
		[ ] // 5. Create invoice for another customer
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt is found in QB
		[ ] // 2. Verify receipt content
		[ ] // 3. Verify the "Accounts Receivable" account balance
[ ] // TESTCASE::QB_SalesReceiptChargeToAccountVerify1
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_SalesReceiptChargeToAccountVerify1.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_SalesReceiptChargeToAccountVerify1 () appstate none
	[+] do
		[+] // VARIABLES
			[ ] INT i , iCount
			[ ] STRING sCashDrawer, sAccountsReceivable, sOutPut, sCustomer
			[ ] LIST OF STRING lsResult1, lsResult2, lsOutPut, lsExpected
			[ ] SimpleFindRec sfr
			[ ] TransactionData td = {}
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke simple find and search for an Invoice
				[ ] sfr = {}
				[ ] sfr.sType = "Invoice"
				[ ] sfr.sNumber = "1"
				[ ] QB.SetActive ()
				[ ] iCount = SimpleFind ( sfr)
			[ ] 
			[+] // Result 1: Verify sales receipt is found in QB
				[ ] VerifySafely (iCount , 1, " Invoice found in Quick Books ")
			[ ] 
			[+] // Step 2: Click on GoTo to open the receipt
				[+] if GetMoreFromQuickBooks.Exists (2) 
					[ ] GetMoreFromQuickBooks.Close ()
			[ ] 
			[+] // Result 2: Verify receipt content
				[+] if QuickBooksYesNo.Exists (2) 
					[ ] QuickBooksYesNo.No.Click ()
				[+] for i = 1 to CreateInvoices.Table1.GetRowCount ()
					[ ] lsOutPut = CreateInvoices.Table1.GetRowContent (i)
					[+] for each sOutPut in lsOutPut
						[ ] listappend (lsResult1, sOutPut)
				[+] lsExpected = {...}
					[ ] "InvItem2 #2"
					[ ] "1"
					[ ] "InvItem2"
					[ ] "200.00"
					[ ] "200.00"
					[ ] "Tax"
					[ ] "POS Subtotal"
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] "200.00"
					[ ] ""
					[ ] "5.00%Tax"
					[ ] ""
					[ ] "5.00% Tax for POS Tax Agency"
					[ ] "5.0%"
					[ ] "10.00"
					[ ] ""
				[ ] sCustomer  = "Cust1L, Cust1F"
				[ ] VerifySafely (CreateInvoices.CustomerJob.GetText (), sCustomer, "Customer name present")
				[ ] VerifySafely (CreateInvoices.Memo.GetText (), "POS Receipt# 1", "POS Receipt number present")
				[ ] VerifySafely (CreateInvoices.Total.GetText (), "210.00", "Total is correct")
				[ ] VerifySafely (CreateInvoices.BalanceDue.GetText (), "210.00", "Balance Due is correct")
				[ ] VerifySafely (lsResult1, lsExpected, "Verified the contents of the Invoice ")
			[ ] 
			[+] // Step 3: Close the invoice and close find
				[ ] CreateInvoices.SaveClose.Click ()
				[+] if (Find.Exists (2))
					[ ] Find.xClose.Click ()
			[ ] 
			[+] // Step 4: Invoke Chart of Accounts
				[ ] QB.SetActive ()
				[ ] ChartOfAccounts.Invoke ()
			[ ] 
			[+] // Result 3: Verify the "Accounts Receivable" account balance
				[ ] sAccountsReceivable = "210.00"
				[ ] ChartOfAccounts.ListView1.Name.Select ("Accounts Receivable")
				[ ] VerifySafely (ChartOfAccounts.ListView1.Balance.Contains (sAccountsReceivable), TRUE,  "sAccounts Receivable account has amount: {sAccountsReceivable}")
				[+] if ChartOfAccounts.Exists (2)
					[ ] ChartOfAccounts.Close ()
			[ ] 
			[+] // Step 5: Create invoice for another customer
				[ ] td.sName = "QBCust1F QBCust1L"
				[+] td.ltd = {...}
					[+] {...}
						[ ] {TC_Item, "QBServItem1"}
						[ ] {TC_Qty, "2"}
				[ ] CreateInvoices.Invoke ()
				[ ] EditInvoiceData (td)
				[ ] CreateInvoices.SaveClose.Click ()
				[+] if (PastTransactions.Exists (2))
					[ ] PastTransactions.Yes.Click ()
		[ ] 
		[+] // CLEANUP
			[ ] // No Cleanup required
			[ ] exit
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
