﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Sending sales receipts of payment methods "Charge to Account" and "Payment on Account" from POS and 
	[ ] // 			   verifying the "Accounts Receivable" effected in QB
	[+] // Test Steps:
		[ ] // 1. Invoke Chart of Accounts (Result 1 and Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify the "Accounts Receivable" account balance
		[ ] // 2. Verify the "Cash in Drawer" account balance
[ ] // TESTCASE::QB_FESalesReceiptChargeToAccountVerify
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_FESalesReceiptChargeToAccountVerify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_FESalesReceiptChargeToAccountVerify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] STRING sCashDrawer, sAccountsReceivable
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke Chart of Accounts
				[ ] QB.SetActive ()
				[ ] ChartOfAccounts.Invoke ()
			[ ] 
			[+] // Result 1: Verify the "Accounts Receivable" account balance
				[ ] sAccountsReceivable = "105.00"
				[ ] ChartOfAccounts.ListView1.Name.Select ("Accounts Receivable")
				[ ] VerifySafely (ChartOfAccounts.ListView1.Balance.Contains (sAccountsReceivable), TRUE,  "sAccounts Receivable account has amount: {sAccountsReceivable}")
			[ ] 
			[+] // Result 2: Verify the "Cash in Drawer" account balance
				[ ] sCashDrawer = "105.00"
				[ ] ChartOfAccounts.ListView1.Name.Select ("Cash in Drawer")
				[ ] VerifySafely (ChartOfAccounts.ListView1.Balance.Contains (sCashDrawer), TRUE,  "Cash in Drawer account has amount: {sCashDrawer}")
		[ ] 
		[+] // CLEANUP
			[+] if ChartOfAccounts.Exists ()
				[ ] ChartOfAccounts.Close ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
