﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying Sending MAS credit card payment to QB
	[+] // Test Steps:
		[ ] // 1. Invoke simple find and search for a sales receipt number 1(Result 1)
		[ ] // 2. Click on GoTo to open the receipt (Result 2)
		[ ] // 3. Close the sales receipt and close Find
		[ ] // 4. Invoke Chart of Accounts(Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt is found in QB
		[ ] // 2. Verify receipt content
		[ ] // 3. Verify a journal entry is found in the QB
		[ ] // 4. Verify the contents of the journal entry
[ ] // TESTCASE::QB_SalesReceiptCreditPayment_Verify
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_SalesReceiptCreditPayment_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_SalesReceiptCreditPayment_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] INT i , iCount
			[ ] STRING sCustomerName, sDesc, sOutPut, sUndepositedFunds
			[ ] LIST OF STRING lsResult1, lsResult2, lsOutPut, lsExpected
			[ ] SimpleFindRec sfr
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke simple find and search for a sales receipt number 1
				[ ] sfr = {}
				[ ] sfr.sType = "Sales Receipt"
				[ ] sfr.sNumber = "1"
				[ ] QB.SetActive ()
				[ ] iCount = SimpleFind ( sfr)
			[ ] 
			[+] // Result 1: Verify sales receipt is found in QB
				[ ] VerifySafely (iCount , 1, " Transactions Sales receipt found in Quick Books ")
			[ ] 
			[+] // Step 2: Click on GoTo to open the receipt
				[+] if GetMoreFromQuickBooks.Exists (2) 
					[ ] GetMoreFromQuickBooks.Close ()
			[ ] 
			[+] // Result 2: Verify receipt content
				[+] if GetMoreFromQuickBooks.Exists (2) 
					[ ] GetMoreFromQuickBooks.Close ()
				[+] if QuickBooksYesNo.Exists (2) 
					[ ] QuickBooksYesNo.No.Click ()
				[+] for i = 1 to EnterSalesReceipts.Table1.GetRowCount ()
					[ ] lsOutPut = EnterSalesReceipts.Table1.GetRowContent (i)
					[+] for each sOutPut in lsOutPut
						[ ] listappend (lsResult1, sOutPut)
				[+] lsExpected = {...}
					[ ] "MASItem1 #1"
					[ ] "MASItem1"
					[ ] "Tax"
					[ ] "1"
					[ ] "1.00"
					[ ] "1.00"
					[ ] "POS Visa Credit Card"
					[ ] "Visa"
					[ ] ""
					[ ] ""
					[ ] "-1.00"
					[ ] "-1.00"
				[ ] VerifySafely (lsResult1, lsExpected, "Verified the contents of the sales receipt ")
			[ ] 
			[+] // Step 3: Close the sales receipt and close Find
				[ ] EnterSalesReceipts.SaveClose.Click ()
				[+] if (Find.Exists ())
					[ ] Find.xClose.Click ()
			[ ] 
			[+] // Step 4: Invoke Chart of Accounts
				[ ] QB.SetActive ()
				[ ] ChartOfAccounts.Invoke ()
			[ ] 
			[+] // Result 3: Verify the "Undeposited Funds" account balance
				[ ] sUndepositedFunds = "1.00"
				[ ] ChartOfAccounts.ListView1.Name.Select ("Undeposited Funds")
				[ ] VerifySafely (ChartOfAccounts.ListView1.Balance.Contains (sUndepositedFunds), TRUE,  "Undeposited Funds account has amount: {sUndepositedFunds}")
		[ ] 
		[+] // CLEANUP
			[+] if ChartOfAccounts.Exists (2)
				[ ] ChartOfAccounts.Close ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
