﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying discount in "sales receipt with net value from POS to QB
	[+] // Test Steps:
		[ ] // 1. Invoke simple find and search for a sales receipt number 1 (Result 1)
		[ ] // 2. Click on GoTo to open the receipt (Result 2)
		[ ] // 3. Close the sales receipt
		[ ] // 4. In simple find search for journal entry number 1 (Result 3)
		[ ] // 5. Click on GoTo to open the journal entry (Result 4)
		[ ] // 6. Close the journal entry
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt is found in QB
		[ ] // 2. Verify receipt content
		[ ] // 3. Verify a journal entry is found in the QB
		[ ] // 4. Verify the contents of the journal entry
[ ] // TESTCASE::QB_SalesReceiptDiscountNetValue_Verify.t
[ ] // ATC ID:: POS_FE_ATC_012
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_SalesReceiptDiscountNetValue_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_SalesReceiptDiscountNetValue_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] INT i , iCount
			[ ] STRING sCustomerName, sDesc, sOutPut
			[ ] LIST OF STRING lsResult1, lsResult2, lsOutPut, lsExpected
			[ ] SimpleFindRec sfr
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke simple find and search for a sales receipt number 1
				[ ] sfr = {}
				[ ] sfr.sType = "Sales Receipt"
				[ ] sfr.sNumber = "1"
				[ ] iCount = SimpleFind ( sfr)
				[ ] 
			[ ] 
			[+] // Result 1: Verify sales receipt is found in QB
				[ ] VerifySafely (iCount , 1, " Transactions Sales receipt found in Quick Books ")
			[ ] 
			[+] // Result 2: Verify receipt content
				[+] if GetMoreFromQuickBooks.Exists (2) 
					[ ] GetMoreFromQuickBooks.Close ()
				[+] if QuickBooksYesNo.Exists (2) 
					[ ] QuickBooksYesNo.No.Click ()
				[+] for i = 1 to EnterSalesReceipts.Table1.GetRowCount ()
					[ ] lsOutPut = EnterSalesReceipts.Table1.GetRowContent (i)
					[+] for each sOutPut in lsOutPut
						[ ] listappend (lsResult1, sOutPut)
				[+] lsExpected = {...}
					[ ] "InvItem1 #1"
					[ ] "InvItem1"
					[ ] "Tax"
					[ ] "1"
					[ ] "90.00"
					[ ] "90.00"
					[ ] "POS Subtotal"
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] "90.00"
					[ ] "5.00%Tax"
					[ ] "5.00% Tax for POS Tax Agency"
					[ ] ""
					[ ] ""
					[ ] "5.0%"
					[ ] "4.50"
					[ ] "POS Cash"
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] "-94.50"
					[ ] "-94.50"
				[ ] VerifySafely (lsResult1, lsExpected, "Verified the contents of the sales receipt ")
			[ ] 
			[+] // Step 2: Close the sales receipt
				[ ] EnterSalesReceipts.SaveClose.Click ()
			[ ] 
			[+] // Step 3: In simple find search for journal entry number 1
				[ ] sfr.sType = "Journal"
				[ ] sfr.sNumber = "1"
				[ ] iCount = SimpleFind ( sfr)
			[ ] 
			[+] // Result 3: Verify a journal entry is found in the QB
				[ ] VerifySafely (iCount , 1, " A journal found in Quick Books ")
			[ ] 
			[+] // Result 4: Verify the contents of the journal entry
				[+] if AssigningNumbersToJournalEntries.Exists (3)
					[ ] AssigningNumbersToJournalEntries.OK.Click ()
				[+] if QuickBooksYesNo.Exists (3)
					[ ] QuickBooksYesNo.No.Click ()
				[+] for i = 1 to GeneralJournalEntry.Table1.GetRowCount ()
					[ ] lsOutPut = GeneralJournalEntry.Table1.GetRowContent (i)
					[+] for each sOutPut in lsOutPut
						[ ] listappend (lsResult2, sOutPut)
				[+] lsExpected = {...}
					[ ] "Cost of Goods Sold"
					[ ] "50.00"
					[ ] ""
					[ ] "POS Receipt #1 {FormatDateTime (GetDateTime (), "yyyy-mm-dd")}"
					[ ] ""
					[ ] "!@#$"
					[ ] "Inventory Asset"
					[ ] ""
					[ ] "50.00"
					[ ] "POS Receipt #1 {FormatDateTime (GetDateTime (), "yyyy-mm-dd")}"
					[ ] ""
					[ ] "!@#$"
				[ ] VerifySafely (lsResult2, lsExpected, "Verified the contents of the journal")
			[ ] 
		[ ] 
		[+] // CLEANUP
			[ ] GeneralJournalEntry.SaveClose.Click ()
			[+] if (Find.Exists ())
				[ ] Find.xClose.Click ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
