﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending sales receipts of different payment methods from POS and verifying the various accounts effected in QB
	[+] // Test Steps:
		[ ] // 1. Invoke simple find and search for a sales receipt number 1 ( It is the Cash sale from POS)
		[ ] // 2. Click on GoTo to open the receipt
		[ ] // 3. Close the sales receipt
		[ ] // 4. Invoke simple find and search for a sales receipt number 2 ( It is the Check sale from POS)
		[ ] // 5. Click on GoTo to open the receipt
		[ ] // 6. Close the sales receipt
		[ ] // 7. Invoke simple find and search for a sales receipt number 3 ( It is the Credit card sale from POS)
		[ ] // 8. Click on GoTo to open the receipt
		[ ] // 9. Close the sales receipt
		[ ] // 10.Invoke simple find and search for a sales receipt number 4 ( It is the Debit card sale from POS)
		[ ] // 11. Click on GoTo to open the receipt
		[ ] // 12. Close the sales receipt
		[ ] // 13. Invoke simple find and search for a sales receipt number 5 ( It is the Gift card sale from POS)
		[ ] // 14. Click on GoTo to open the receipt
		[ ] // 15. Close the sales receipt
		[ ] // 16. Invoke simple find and search for a sales receipt number 6( It is the gift certificate sale from POS)
		[ ] // 17. Click on GoTo to open the receipt
		[ ] // 18. Close the sales receipt
		[ ] // 19. Invoke Chart of Accounts
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt 1 is found in QB
		[ ] // 2.  Verify receipt 1 content
		[ ] // 3. Verify sales receipt 2 is found in QB
		[ ] // 4.  Verify receipt 2 content
		[ ] // 5. Verify sales receipt 3 is found in QB
		[ ] // 6.  Verify receipt 3 content
		[ ] // 7. Verify sales receipt 4 is found in QB
		[ ] // 8.  Verify receipt 4 content
		[ ] // 9. Verify sales receipt 5 is found in QB
		[ ] // 10.  Verify receipt 5 content
		[ ] // 11. Verify sales receipt 6 is found in QB
		[ ] // 12.  Verify receipt 6 content
		[ ] // 13. Verify the "Cash in Drawer" account balance
		[ ] // 14. Verify the "Undeposited Funds" account balance
		[ ] // 15. Verify the "Gift Cards Outstanding" account balance
		[ ] // 16. Verify the "Gift Certificates Outstanding" account balance
[ ] // TESTCASE::QB_FESalesReceiptPaymentMethodsVerify
[ ] // ATC ID::POS_FE_ATC_006
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_FESalesReceiptPaymentMethodsVerify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] 
[ ] // Note: The sales receipts in QB are not in the same order as in POS
[ ] //		 Eg: Cash payment receipt which is number 1 receipt  in POS is numbered 3 in QB
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_FESalesReceiptPaymentMethodsVerify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] INT i , iCount
			[ ] STRING sCustomerName, sDesc, sOutPut, sCashDrawer, sGiftCertificatesOutstanding, sGiftCardsOutstanding, sUndepositedFunds
			[ ] LIST OF STRING lsResult1, lsResult2, lsResult3, lsResult4, lsResult5, lsResult6, lsOutPut, lsExpected
			[ ] SimpleFindRec sfr
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke simple find and search for a sales receipt number 1 ( It is the Cash sale from POS)
				[ ] sfr = {}
				[ ] sfr.sType = "Sales Receipt"
				[ ] sfr.sNumber = "1"
				[ ] QB.SetActive ()
				[ ] iCount = SimpleFind ( sfr)
			[ ] 
			[+] // Result 1: Verify sales receipt 1 is found in QB
				[ ] VerifySafely (iCount , 1, "Cash sales receipt found in Quick Books ")
			[ ] 
			[+] // Step 2: Click on GoTo to open the receipt
				[+] if GetMoreFromQuickBooks.Exists (2) 
					[ ] GetMoreFromQuickBooks.Close ()
				[+] if QuickBooksYesNo.Exists (2) 
					[ ] QuickBooksYesNo.No.Click ()
			[ ] 
			[+] // Result 2: Verify receipt 1 content
				[+] for i = 1 to EnterSalesReceipts.Table1.GetRowCount ()
					[ ] lsOutPut = EnterSalesReceipts.Table1.GetRowContent (i)
					[+] for each sOutPut in lsOutPut
						[ ] listappend (lsResult1, sOutPut)
				[+] lsExpected = {...}
					[ ] "InvItem1 #1"
					[ ] "InvItem1"
					[ ] "Tax"
					[ ] "1"
					[ ] "100.00"
					[ ] "100.00"
					[ ] "POS Subtotal"
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] "100.00"
					[ ] "5.00%Tax"
					[ ] "5.00% Tax for POS Tax Agency"
					[ ] ""
					[ ] ""
					[ ] "5.0%"
					[ ] "5.00"
					[ ] "POS Cash"
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] "-105.00"
					[ ] "-105.00"
				[ ] VerifySafely (lsResult1, lsExpected, "Verified the contents of the Cash sales receipt ")
			[ ] 
			[+] // Step 3: Close the sales receipt
				[ ] EnterSalesReceipts.SaveClose.Click ()
			[ ] 
			[+] // Step 4: Invoke simple find and search for a sales receipt number 2 ( It is the Check sale from POS)
				[ ] sfr = {}
				[ ] sfr.sType = "Sales Receipt"
				[ ] sfr.sNumber = "2"
				[ ] QB.SetActive ()
				[ ] iCount = SimpleFind ( sfr)
			[ ] 
			[+] // Result 3: Verify sales receipt 2 is found in QB
				[ ] VerifySafely (iCount , 1, "Check sales receipt found in Quick Books ")
			[ ] 
			[+] // Step 5: Click on GoTo to open the receipt
				[+] if GetMoreFromQuickBooks.Exists (2) 
					[ ] GetMoreFromQuickBooks.Close ()
				[+] if QuickBooksYesNo.Exists (2) 
					[ ] QuickBooksYesNo.No.Click ()
			[ ] 
			[+] // Result 4: Verify receipt 2 content
				[+] for i = 1 to EnterSalesReceipts.Table1.GetRowCount ()
					[ ] lsOutPut = EnterSalesReceipts.Table1.GetRowContent (i)
					[+] for each sOutPut in lsOutPut
						[ ] listappend (lsResult2, sOutPut)
				[+] lsExpected = {...}
					[ ] "InvItem1 #1"
					[ ] "InvItem1"
					[ ] "Tax"
					[ ] "1"
					[ ] "100.00"
					[ ] "100.00"
					[ ] "POS Subtotal"
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] "100.00"
					[ ] "5.00%Tax"
					[ ] "5.00% Tax for POS Tax Agency"
					[ ] ""
					[ ] ""
					[ ] "5.0%"
					[ ] "5.00"
				[ ] VerifySafely (lsResult2, lsExpected, "Verified the contents of the Check sales receipt ")
			[ ] 
			[+] // Step 6: Close the sales receipt
				[ ] EnterSalesReceipts.SaveClose.Click ()
			[ ] 
			[+] // Step 7: Invoke simple find and search for a sales receipt number 3 ( It is the Credit card sale from POS)
				[ ] sfr = {}
				[ ] sfr.sType = "Sales Receipt"
				[ ] sfr.sNumber = "3"
				[ ] QB.SetActive ()
				[ ] iCount = SimpleFind ( sfr)
			[ ] 
			[+] // Result 5: Verify sales receipt 3 is found in QB
				[ ] VerifySafely (iCount , 1, "Credit card Sales receipt found in Quick Books ")
			[ ] 
			[+] // Step 8: Click on GoTo to open the receipt
				[+] if GetMoreFromQuickBooks.Exists (2) 
					[ ] GetMoreFromQuickBooks.Close ()
				[+] if QuickBooksYesNo.Exists (2) 
					[ ] QuickBooksYesNo.No.Click ()
			[ ] 
			[+] // Result 6: Verify receipt 3 content
				[+] for i = 1 to EnterSalesReceipts.Table1.GetRowCount ()
					[ ] lsOutPut = EnterSalesReceipts.Table1.GetRowContent (i)
					[+] for each sOutPut in lsOutPut
						[ ] listappend (lsResult3, sOutPut)
				[+] lsExpected = {...}
					[ ] "InvItem1 #1"
					[ ] "InvItem1"
					[ ] "Tax"
					[ ] "1"
					[ ] "100.00"
					[ ] "100.00"
					[ ] "POS Subtotal"
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] "100.00"
					[ ] "5.00%Tax"
					[ ] "5.00% Tax for POS Tax Agency"
					[ ] ""
					[ ] ""
					[ ] "5.0%"
					[ ] "5.00"
					[ ] "POS Visa Credit Card"
					[ ] "Visa"
					[ ] ""
					[ ] ""
					[ ] "-105.00"
					[ ] "-105.00"
				[ ] VerifySafely (lsResult3, lsExpected, "Verified the contents of the Credit Card sales receipt ")
			[ ] 
			[+] // Step 9: Close the sales receipt
				[ ] EnterSalesReceipts.SaveClose.Click ()
			[ ] 
			[+] // Step 10: Invoke simple find and search for a sales receipt number 4 ( It is the Debit card sale from POS)
				[ ] sfr = {}
				[ ] sfr.sType = "Sales Receipt"
				[ ] sfr.sNumber = "4"
				[ ] QB.SetActive ()
				[ ] iCount = SimpleFind ( sfr)
			[ ] 
			[+] // Result 7: Verify sales receipt 4 is found in QB
				[ ] VerifySafely (iCount , 1, "Debit card Sales receipt found in Quick Books ")
			[ ] 
			[+] // Step 11: Click on GoTo to open the receipt
				[+] if GetMoreFromQuickBooks.Exists (2) 
					[ ] GetMoreFromQuickBooks.Close ()
				[+] if QuickBooksYesNo.Exists (2) 
					[ ] QuickBooksYesNo.No.Click ()
			[ ] 
			[+] // Result 8: Verify receipt 4 content
				[+] for i = 1 to EnterSalesReceipts.Table1.GetRowCount ()
					[ ] lsOutPut = EnterSalesReceipts.Table1.GetRowContent (i)
					[+] for each sOutPut in lsOutPut
						[ ] listappend (lsResult4, sOutPut)
				[+] lsExpected = {...}
					[ ] "InvItem1 #1"
					[ ] "InvItem1"
					[ ] "Tax"
					[ ] "1"
					[ ] "100.00"
					[ ] "100.00"
					[ ] "POS Subtotal"
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] "100.00"
					[ ] "5.00%Tax"
					[ ] "5.00% Tax for POS Tax Agency"
					[ ] ""
					[ ] ""
					[ ] "5.0%"
					[ ] "5.00"
					[ ] "POS Debit Card"
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] "-105.00"
					[ ] "-105.00"
				[ ] VerifySafely (lsResult4, lsExpected, "Verified the contents of the Debit card sales receipt ")
			[ ] 
			[+] // Step 12: Close the sales receipt
				[ ] EnterSalesReceipts.SaveClose.Click ()
			[ ] 
			[+] // Step 13: Invoke simple find and search for a sales receipt number 5 ( It is the Gift Card sale from POS)
				[ ] sfr = {}
				[ ] sfr.sType = "Sales Receipt"
				[ ] sfr.sNumber = "5"
				[ ] QB.SetActive ()
				[ ] iCount = SimpleFind ( sfr)
			[ ] 
			[+] // Result 9: Verify sales receipt 5 is found in QB
				[ ] VerifySafely (iCount , 1, "Gift Card Sales receipt found in Quick Books ")
			[ ] 
			[+] // Step 14: Click on GoTo to open the receipt
				[+] if GetMoreFromQuickBooks.Exists (2) 
					[ ] GetMoreFromQuickBooks.Close ()
				[+] if QuickBooksYesNo.Exists (2) 
					[ ] QuickBooksYesNo.No.Click ()
			[ ] 
			[+] // Result 10: Verify receipt 5 content
				[+] for i = 1 to EnterSalesReceipts.Table1.GetRowCount ()
					[ ] lsOutPut = EnterSalesReceipts.Table1.GetRowContent (i)
					[+] for each sOutPut in lsOutPut
						[ ] listappend (lsResult5, sOutPut)
				[+] lsExpected = {...}
					[ ] "POS Gift Card"
					[ ] "Gift Card # 123"
					[ ] "PXN"
					[ ] ""
					[ ] "100.00"
					[ ] "100.00"
					[ ] "POS Cash"
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] "-100.00"
					[ ] "-100.00"
				[ ] VerifySafely (lsResult5, lsExpected, "Verified the contents of the Gift Card sales receipt ")
			[ ] 
			[+] // Step 15: Close the sales receipt
				[ ] EnterSalesReceipts.SaveClose.Click ()
			[ ] 
			[+] // Step 16: Invoke simple find and search for a sales receipt number 6( It is the Gift Certificate sale from POS)
				[ ] sfr = {}
				[ ] sfr.sType = "Sales Receipt"
				[ ] sfr.sNumber = "6"
				[ ] QB.SetActive ()
				[ ] iCount = SimpleFind ( sfr)
			[ ] 
			[+] // Result 11: Verify sales receipt 6 is found in QB
				[ ] VerifySafely (iCount , 1, "Gift certificate Sales receipt found in Quick Books ")
			[ ] 
			[+] // Step 17: Click on GoTo to open the receipt
				[+] if GetMoreFromQuickBooks.Exists (2) 
					[ ] GetMoreFromQuickBooks.Close ()
				[+] if QuickBooksYesNo.Exists (2) 
					[ ] QuickBooksYesNo.No.Click ()
			[ ] 
			[+] // Result 12: Verify receipt 6 content
				[+] for i = 1 to EnterSalesReceipts.Table1.GetRowCount ()
					[ ] lsOutPut = EnterSalesReceipts.Table1.GetRowContent (i)
					[+] for each sOutPut in lsOutPut
						[ ] listappend (lsResult6, sOutPut)
				[+] lsExpected = {...}
					[ ] "POS Gift Certificate"
					[ ] "Gift Cert. # 456"
					[ ] "PXN"
					[ ] ""
					[ ] "100.00"
					[ ] "100.00"
					[ ] "POS Cash"
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] "-100.00"
					[ ] "-100.00"
				[ ] VerifySafely (lsResult6, lsExpected, "Verified the contents of the Gift Certificate sales receipt ")
			[ ] 
			[+] // Step 18: Close the sales receipt and close Find
				[ ] EnterSalesReceipts.SaveClose.Click ()
				[+] if (Find.Exists ())
					[ ] Find.xClose.Click ()
			[ ] 
			[+] // Step 19: Invoke Chart of Accounts
				[ ] ChartOfAccounts.Invoke ()
			[ ] 
			[+] // Result 13: Verify the "Cash in Drawer" account balance
				[ ] sCashDrawer = "305.00"
				[ ] ChartOfAccounts.ListView1.Name.Select ("Cash in Drawer")
				[ ] VerifySafely (ChartOfAccounts.ListView1.Balance.Contains (sCashDrawer), TRUE,  "Cash in Drawer account is increased by amount {sCashDrawer}")
			[ ] 
			[+] // Result 14: Verify the "Undeposited Funds" account balance
				[ ] sUndepositedFunds = "315.00"
				[ ] ChartOfAccounts.ListView1.Name.Select ("Undeposited Funds")
				[ ] VerifySafely (ChartOfAccounts.ListView1.Balance.Contains (sUndepositedFunds), TRUE,  "Undeposited Funds account is increased by amount {sUndepositedFunds}")
			[ ] 
			[+] // Result 15: Verify the "Gift Cards Outstanding" account balance
				[ ] sGiftCardsOutstanding = "100.00"
				[ ] ChartOfAccounts.ListView1.Name.Select ("Gift Cards Outstanding")
				[ ] VerifySafely (ChartOfAccounts.ListView1.Balance.Contains (sGiftCardsOutstanding), TRUE,  "Gift Cards Outstanding account is increased by amount {sGiftCardsOutstanding}")
			[ ] 
			[+] // Result 16: Verify the "Gift Certificates Outstanding" account balance
				[ ] sGiftCertificatesOutstanding = "100.00"
				[ ] ChartOfAccounts.ListView1.Name.Select ("Gift Certificates Outstanding")
				[ ] VerifySafely (ChartOfAccounts.ListView1.Balance.Contains (sGiftCertificatesOutstanding), TRUE,  "Gift Cards Outstanding account is increased by amount {sGiftCertificatesOutstanding}")
		[ ] 
		[+] // CLEANUP
			[+] if ChartOfAccounts.Exists ()
				[ ] ChartOfAccounts.Close ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
