﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending sales shipping info from POS to QB
	[+] // Test Steps:
		[ ] // 1. Invoke simple find and search for a sales receipt number 1
		[ ] // 2. Close the receipt
		[ ] // 3. Invoke Chart Of Accounts and go to Shipping and Delivery
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt is found in QB
		[ ] // 2. Verify receipt content
		[ ] // 3. Verify shipping account
[ ] // TESTCASE::QB_SalesShipping_Verify.t
[ ] // ATC ID::POS_FE_ATC_017
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_SalesShipping_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[+] STRING GetPOSSKU ()
	[ ] HINIFILE hCS
	[ ] STRING sSKU
	[ ] hCS = IniFileOpen ("C:\QAP\Info.ini")
	[ ] sSKU = IniFileGetValue (hCS, "SKUINFO", "SKU")
	[ ] IniFileClose (hCS)
	[ ] return sSKU
[ ] 
[+] testcase QB_SalesShipping_Verify () appstate none
	[+] do
		[+] if GetPOSSKU () == "BASIC"
			[ ] Print ("************************This script is not applicable for BASIC sku*******Exiting Script*****************")
			[ ] CloseCompany ()
		[+] else
			[+] // VARIABLES
				[ ] INT i , iCount
				[ ] STRING sCustomerName, sDesc, sOutPut
				[ ] LIST OF STRING lsResult1, lsResult2, lsOutPut, lsExpected, lsResult3
				[ ] SimpleFindRec sfr
			[ ] 
			[+] // SETUP
				[ ] QB.SetActive ()
			[ ] 
			[+] // STEPS
				[+] // Step 1: Invoke simple find and search for a sales receipt number 1
					[ ] sfr = {}
					[ ] sfr.sType = "Sales Receipt"
					[ ] sfr.sNumber = "1"
					[ ] QB.SetActive ()
					[ ] iCount = SimpleFind ( sfr)
					[ ] 
				[ ] 
				[+] // Result 1: Verify sales receipt is found in QB
					[ ] VerifySafely (iCount , 1, " Transactions Sales receipt found in Quick Books ")
				[ ] 
				[+] // Result 2: Verify receipt content
					[+] if GetMoreFromQuickBooks.Exists (2) 
						[ ] GetMoreFromQuickBooks.Close ()
					[+] if QuickBooksYesNo.Exists (2) 
						[ ] QuickBooksYesNo.No.Click ()
					[+] for i = 1 to EnterSalesReceipts.Table1.GetRowCount ()
						[ ] lsOutPut = EnterSalesReceipts.Table1.GetRowContent (i)
						[+] for each sOutPut in lsOutPut
							[ ] listappend (lsResult1, sOutPut)
					[+] lsExpected = {...}
						[ ] "InvItem1 #1"
						[ ] "InvItem1"
						[ ] "Tax"
						[ ] "1"
						[ ] "100.00"
						[ ] "100.00"
						[ ] "POS Subtotal"
						[ ] ""
						[ ] ""
						[ ] ""
						[ ] ""
						[ ] "100.00"
						[ ] "5.00%Tax"
						[ ] "5.00% Tax for POS Tax Agency"
						[ ] ""
						[ ] ""
						[ ] "5.0%"
						[ ] "5.00"
						[ ] "POS Shipping"
						[ ] ""
						[ ] "PXN"
						[ ] ""
						[ ] "20.00"
						[ ] "20.00"
						[ ] "POS Cash"
						[ ] ""
						[ ] ""
						[ ] ""
						[ ] "-125.00"
						[ ] "-125.00"
					[ ] VerifySafely (lsResult1, lsExpected, "Verified the contents of the sales receipt ")
				[ ] 
				[+] // Step 2: Close the receipt
					[ ] EnterSalesReceipts.SaveClose.Click ()
				[ ] 
				[+] // Step 3: Invoke Chart Of Accounts and go to Shipping and Delivery
					[ ] ChartOfAccounts.Invoke ()
					[ ] ChartOfAccounts.ListView1.Name.Select("Shipping and Delivery Income")
					[ ] ChartOfAccounts.TypeKeys ("<Alt-A-F>")
					[ ] Find.Find.Click ()
				[ ] 
				[+] // Result 3: Verify shipping account
					[+] lsResult3 = {...}
						[ ] "{FormatDateTime (GetDateTime (), "mm/dd/yyyy")}	RCPT		Counter Sales	Shipping and Delivery Income		-20.00"
					[ ] VerifySafely (Find.PageList1.Advanced.ListBox1.GetContents (), lsResult3, "Freight and shipping costs account updated")
			[ ] 
			[+] // CLEANUP
				[+] if (Find.Exists ())
					[ ] Find.xClose.Click ()
				[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
