﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying editing sales tax code and sending a sales receipt for a taxable item and a non taxable item from POS to QB
	[+] // Test Steps:
		[ ] // 1. Invoke simple find and search for a sales receipt (Result 1)
		[ ] // 2. Click on GoTo to open the receipt (Result 2)
		[ ] // 3. Close the sales receipt and close find
		[ ] // 4. Invoke Chart of Accounts (Result 3)
		[ ] // 5. Close Chart of Accounts
		[ ] // 6. Invoke Item List (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt is found in QB
		[ ] // 2. Verify receipt content
		[ ] // 3. Verify the "Sales Tax Payable" account balance
		[ ] // 4. Verify sales tax item of POS is added to item list
[ ] // TESTCASE::QB_SalesTax_Verify
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_SalesTax_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_SalesTax_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] INT i , iCount
			[ ] STRING sSalesTaxPayable, sOutPut
			[ ] LIST OF STRING lsResult1, lsResult2, lsOutPut, lsExpected
			[ ] SimpleFindRec sfr
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke simple find and search for a sales receipt
				[ ] sfr = {}
				[ ] sfr.sType = "Sales Receipt"
				[ ] QB.SetActive ()
				[ ] iCount = SimpleFind ( sfr)
			[ ] 
			[+] // Result 1: Verify sales receipt is found in QB
				[ ] VerifySafely (iCount , 1, " Transactions Sales receipt found in Quick Books ")
			[ ] 
			[+] // Step 2: Click on GoTo to open the receipt
				[+] if GetMoreFromQuickBooks.Exists (2) 
					[ ] GetMoreFromQuickBooks.Close ()
			[ ] 
			[+] // Result 2: Verify receipt content
				[+] for i = 1 to EnterSalesReceipts.Table1.GetRowCount ()
					[ ] lsOutPut = EnterSalesReceipts.Table1.GetRowContent (i)
					[+] for each sOutPut in lsOutPut
						[ ] listappend (lsResult1, sOutPut)
				[+] lsExpected = {...}
					[ ] "NonTaxItem1 #7"
					[ ] "NonTaxItem1"
					[ ] "Non"
					[ ] "1"
					[ ] "100.00"
					[ ] "100.00"
					[ ] "POS Subtotal"
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] "100.00"
					[ ] "InvItem1 #1"
					[ ] "InvItem1"
					[ ] "Tax"
					[ ] "1"
					[ ] "100.00"
					[ ] "100.00"
					[ ] "POS Subtotal"
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] "100.00"
					[ ] "8.00%Tax"
					[ ] "8.00% Tax for POS Tax Agency"
					[ ] ""
					[ ] ""
					[ ] "8.0%"
					[ ] "8.00"
					[ ] "POS Cash"
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] "-208.00"
					[ ] "-208.00"
				[ ] VerifySafely (lsResult1, lsExpected, "Verified the contents of the sales receipt ")
			[ ] 
			[+] // Step 3: Close the sales receipt and close find
				[ ] EnterSalesReceipts.SaveClose.Click ()
				[+] if (Find.Exists ())
					[ ] Find.xClose.Click ()
			[ ] 
			[+] // Step 4: Invoke Chart of Accounts
				[ ] QB.SetActive ()
				[ ] ChartOfAccounts.Invoke ()
			[ ] 
			[+] // Result 3: Verify the "Sales Tax Payable" account balance
				[ ] sSalesTaxPayable = "8.00"
				[ ] ChartOfAccounts.ListView1.Name.Select ("Sales Tax Payable")
				[ ] VerifySafely (ChartOfAccounts.ListView1.Balance.Contains (sSalesTaxPayable), TRUE,  "Sales Tax Payable account has amount: {sSalesTaxPayable}")
			[ ] 
			[+] // Step 5: Close Chart of Accounts
				[ ] ChartOfAccounts.Close ()
			[ ] 
			[+] // Step 6: Invoke Item List
				[ ] ItemList.Invoke ()
				[+] if QB.QBWDialogBox("Using Point of Sale?").Exists (2)
					[ ] QB.QBWDialogBox("Using Point of Sale?").Close ()
			[ ] 
			[+] // Result 4: Verify sales tax item of POS is added to item list
				[ ] VerifySafely (ItemList.ListView1.FindItem ("8.00%Tax")>0, TRUE, "Item named")
		[ ] 
		[+] // CLEANUP
			[+] if (ItemList.Exists ())
				[ ] ItemList.Close ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
