﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending "Sales Receipt-Detailed Item Description (Charge Account Only)" from POS to QB
	[+] // Test Steps:
		[ ] // 1. Invoke simple find and search for an invoice (Result 1)
		[ ] // 2. Click on GoTo to open the invoice (Result 2)
		[ ] // 3. Close the invoice
		[ ] // 4. In simple find search for journal entry number 1 (Result 3)
		[ ] // 5. Click on GoTo to open the journal entry (Result 4)
		[ ] // 6. Close the journal entry
	[+] // Expected Result:
		[ ] // 1. Verify Invoice is found in QB
		[ ] // 2. Verify Invoice content
		[ ] // 3. Verify a journal entry is found in the QB
		[ ] // 4. Verify the contents of the journal entry
[ ] // TESTCASE::QB_SendReceiptsAndVouchers2_Verify
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_SendReceiptsAndVouchers2_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_SendReceiptsAndVouchers2_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] INT i , iCount
			[ ] STRING sCustomerName, sDesc, sOutPut
			[ ] LIST OF STRING lsResult1, lsResult2, lsOutPut, lsExpected
			[ ] SimpleFindRec sfr
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke simple find and search for an invoice
				[ ] sfr = {}
				[ ] sfr.sType = "Invoice"
				[ ] QB.SetActive ()
				[ ] iCount = SimpleFind ( sfr)
			[ ] 
			[+] // Result 1: Verify Invoice is found in QB
				[ ] VerifySafely (iCount , 1, " Transactions Invoice found in Quick Books ")
			[ ] 
			[+] // Step 2: Click on GoTo to open the invoice
				[+] if GetMoreFromQuickBooks.Exists (2) 
					[ ] GetMoreFromQuickBooks.Close ()
			[ ] 
			[+] // Result 2: Verify Invoice content
				[+] if GetMoreFromQuickBooks.Exists (2) 
					[ ] GetMoreFromQuickBooks.Close ()
				[+] if QuickBooksYesNo.Exists (2) 
					[ ] QuickBooksYesNo.No.Click ()
				[+] for i = 1 to CreateInvoices.Table1.GetRowCount ()
					[ ] lsOutPut = CreateInvoices.Table1.GetRowContent (i)
					[+] for each sOutPut in lsOutPut
						[ ] listappend (lsResult1, sOutPut)
				[+] lsExpected = {...}
					[ ] "InvItem1 #1"
					[ ] "1"
					[ ] "InvItem1"
					[ ] "100.00"
					[ ] "100.00"
					[ ] "Tax"
					[ ] "POS Subtotal"
					[ ] ""
					[ ] ""
					[ ] ""
					[ ] "100.00"
					[ ] ""
					[ ] "5.00%Tax"
					[ ] ""
					[ ] "5.00% Tax for POS Tax Agency"
					[ ] "5.0%"
					[ ] "5.00"
					[ ] ""
				[ ] VerifySafely (lsResult1, lsExpected, "Verified the contents of the invoice")
			[ ] 
			[+] // Step 3: Close the invoice
				[ ] CreateInvoices.SaveClose.Click ()
			[ ] 
			[+] // Step 4: In simple find search for journal entry number 1
				[ ] sfr.sType = "Journal"
				[ ] sfr.sNumber = "1"
				[ ] iCount = SimpleFind ( sfr)
			[ ] 
			[+] // Result 3: Verify a journal entry is found in the QB
				[ ] VerifySafely (iCount , 1, " A journal entry found in Quick Books ")
			[ ] 
			[+] // Step 5: Click on GoTo to open the journal entry
				[+] if AssigningNumbersToJournalEntries.Exists (3)
					[ ] AssigningNumbersToJournalEntries.OK.Click ()
			[ ] 
			[+] // Result 4: Verify the contents of the journal entry
				[+] for i = 1 to GeneralJournalEntry.Table1.GetRowCount ()
					[ ] lsOutPut = GeneralJournalEntry.Table1.GetRowContent (i)
					[+] for each sOutPut in lsOutPut
						[ ] listappend (lsResult2, sOutPut)
				[+] lsExpected = {...}
					[ ] "Cost of Goods Sold"
					[ ] "50.00"
					[ ] ""
					[ ] "POS Receipt #1 {FormatDateTime (GetDateTime (), "yyyy-mm-dd")}"
					[ ] ""
					[ ] "!@#$"
					[ ] "Inventory Asset"
					[ ] ""
					[ ] "50.00"
					[ ] "POS Receipt #1 {FormatDateTime (GetDateTime (), "yyyy-mm-dd")}"
					[ ] ""
					[ ] "!@#$"
				[ ] VerifySafely (lsResult2, lsExpected, "Verified the contents of the journal")
			[ ] 
			[+] // Step 6: Close the journal entry
				[ ] GeneralJournalEntry.SaveClose.Click ()
		[ ] 
		[+] // CLEANUP
			[+] if (Find.Exists ())
				[ ] Find.xClose.Click ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
