﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Exiting POS data is sent to QB if both the options "Set all ex
	[ ] // isting customers to synchronize with QuickBooks" and "Send all previous sales, receiving, and adjustment history to quickBooks" are checked.
	[+] // Test Steps:
		[ ] // 1. Invoke the Customer Center (Result 1)
		[ ] // 2. Close Customer Center and Invoke Simple Find (Result 2, 3 and 4)
	[+] // Expected Result:
		[ ] // 1. To verify POS customer "POSCust1L, POSCust1F" is  present in customer list
		[ ] // 2. Verify POS receipt is present in QB
		[ ] // 3. Verify Item Receipt is present in QB
		[ ] // 4. Verify Journal entry is created for both Sales Receipt and Inv Adjustment in QB
[ ] // TESTCASE::QB_SendingExistingData_Verify
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_SendingExistingData_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_SendingExistingData_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] STRING sCustomerName, sDesc, sDesc2
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke the Customer Center
				[ ] QB.SetActive ()
				[ ] CustomerCenter.Invoke ()
			[ ] 
			[+] // Result 1: To verify POS customer "POSCust1L, POSCust1F" is  present in customer list
				[ ] sCustomerName = "POSCust1L, POSCust1F"
				[ ] sDesc = "Customer {sCustomerName} is found in the list"
				[ ] VerifySafely (CustomerCenter.PageList1.CustomersJobs.ElfList1.Name.Contains (sCustomerName), TRUE, sDesc)
			[ ] 
			[+] // Step 2: Close Customer Center and Invoke Simple Find
				[ ] CustomerCenter.Close ()
				[ ] SimpleFind.Invoke () 
			[ ] 
			[+] // Result 2: Verify POS receipt is present in QB
				[ ] sDesc = "08/20/2012;RCPT;1;Counter Sales;POS Receipt# 1;0.00"
				[ ] Find.PageList1.Simple.TransactionType.PSelect ("Sales Receipt")
				[ ] Find.Find.Click ()
				[ ] VerifySafely (Find.PageList1.Simple.ListBox1.GetItemCount (), 1, "1 receipt found")
				[ ] VerifySafely (MatchStr (Find.PageList1.Simple.ListBox1.GetItemText (1), sDesc), TRUE, "Receipt correct")
			[ ] 
			[+] // Result 3: Verify Item Receipt is present in QB
				[ ] sDesc = "08/20/2012;ITEM RCPT;Closed;System;POS Voucher #1. Posted on {FormatDateTime (GetDateTime (), "m/dd/yyyy")}"
				[ ] sDesc2 = ";-90.00"
				[ ] Find.PageList1.Simple.TransactionType.PSelect ("Bill")
				[ ] Find.Find.Click ()
				[ ] VerifySafely (Find.PageList1.Simple.ListBox1.GetItemCount (), 1, "1 Item Rcpt found")
				[ ] VerifySafely (MatchStr (SubStr (Find.PageList1.Simple.ListBox1.GetItemText (1), 1, 70), sDesc) && MatchStr (SubStr (Find.PageList1.Simple.ListBox1.GetItemText (1), 84), sDesc2) , TRUE, "Item Rcpt correct")
			[ ] 
			[+] // Result 4: Verify Journal entry is created for both Sales Receipt and Inv Adjustment in QB
				[ ] sDesc = "08/20/2012;GENJRNL;1;;POS Receipt #1 2012-08-20;90.00"
				[ ] Find.PageList1.Simple.TransactionType.PSelect ("Journal")
				[ ] Find.Find.Click ()
				[ ] VerifySafely (Find.PageList1.Simple.ListBox1.GetItemCount (), 2, "2 journal entries found")
				[ ] VerifySafely (MatchStr (Find.PageList1.Simple.ListBox1.GetItemText (1), sDesc), TRUE, "Sales Receipt journal entry correct")
				[ ] sDesc = "08/20/2012;GENJRNL;2;;POS Inv. Adjust. Posted at {FormatDateTime (GetDateTime (), "m/dd/yyyy")}"
				[ ] sDesc2 = ";4,500.00"
				[ ] VerifySafely (MatchStr (SubStr (Find.PageList1.Simple.ListBox1.GetItemText (2),1, 58), sDesc) && MatchStr (SubStr (Find.PageList1.Simple.ListBox1.GetItemText (2), 71), sDesc2) , TRUE, "Inv adj journal entry correct")
		[ ] 
		[+] // CLEANUP
			[+] if (Find.Exists ())
				[ ] Find.xClose.Click ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
