﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending voucher with bill not paid from POS to QB
	[+] // Test Steps:
		[ ] // 1. Invoke simple find and search for a sales receipt number 1 (Result 1)
		[ ] // 2. Click on GoTo to open the receipt (Result 2)
		[ ] // 3. Close the sales receipt
		[ ] // 4. In simple find search for journal entry number 1 (Result 3)
		[ ] // 5. Click on GoTo to open the journal entry (Result 4)
		[ ] // 6. Close the journal entry
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt is found in QB
		[ ] // 2. Verify receipt content
		[ ] // 3. Verify a journal entry is found in the QB
		[ ] // 4. Verify the contents of the journal entry
[ ] // TESTCASE::QB_VoucherBillingInfoEnteredBillNotPaid_Verify.t
[ ] // ATC ID::POS_FE_ATC_014
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_VoucherBillingInfoEnteredBillNotPaid_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_VoucherBillingInfoEnteredBillNotPaid_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] INT i , iCount
			[ ] STRING sCustomerName, sDesc, sOutPut
			[ ] LIST OF STRING lsResult1, lsResult2, lsOutPut, lsExpected
			[ ] SimpleFindRec sfr
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke simple find and search for a bill number 1234
				[ ] sfr = {}
				[ ] sfr.sType = "Bill"
				[ ] sfr.sNumber = "1234"
				[ ] QB.SetActive ()
				[ ] iCount = SimpleFind ( sfr)
				[ ] 
			[ ] 
			[+] // Result 1: Verify bill is found in QB
				[ ] VerifySafely (iCount , 1, " Transactions Sales receipt found in Quick Books ")
			[ ] 
			[+] // Step 2: Click on GoTo to open the bill
				[+] if GetMoreFromQuickBooks.Exists (2) 
					[ ] GetMoreFromQuickBooks.Close ()
				[+] if QuickBooksYesNo.Exists (2) 
					[ ] QuickBooksYesNo.No.Click ()
			[ ] 
			[+] // Result 2: Verify bill content
				[ ] // EnterBills.PageList1.Items.Table1.GetContents ()
				[+] // for i = 1 to EnterSalesReceipts.Table1.GetRowCount ()
					[ ] // lsOutPut = EnterSalesReceipts.Table1.GetRowContent (i)
					[+] // for each sOutPut in lsOutPut
						[ ] // listappend (lsResult1, sOutPut)
				[+] lsExpected = {...}
					[ ] "InvItem1 #1||InvItem1||1||50.00||50.00||||!@#$"
					[ ] "InvItem2 #2||InvItem2||1||100.00||100.00||||!@#$"
				[+] // lsExpected = {...}
					[ ] // "InvItem1 #1"
					[ ] // "InvItem1"
					[ ] // "1"
					[ ] // "50.00"
					[ ] // "50.00"
					[ ] // ""
					[ ] // "!@#$"
					[ ] // "InvItem2 #2"
					[ ] // "InvItem2"
					[ ] // "1"
					[ ] // "100.00"
					[ ] // "100.00"
					[ ] // ""
					[ ] // "!@#$"
				[ ] VerifySafely (EnterBills.PageList1.Items.Table1.GetContents (), lsExpected, "Verified the contents of the bill")
			[ ] 
			[+] // Step 3: Close the bill
				[ ] EnterBills.SaveClose.Click ()
			[ ] 
		[ ] 
		[+] // CLEANUP
			[+] if (Find.Exists ())
				[ ] Find.xClose.Click ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
