﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying sending voucher without bill from POS to QB
	[+] // Test Steps:
		[ ] // 1. Invoke simple find and search for a sales receipt number 1 (Result 1)
		[ ] // 2. Click on GoTo to open the receipt (Result 2)
		[ ] // 3. Close the sales receipt
		[ ] // 4. In simple find search for journal entry number 1 (Result 3)
		[ ] // 5. Click on GoTo to open the journal entry (Result 4)
		[ ] // 6. Close the journal entry
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt is found in QB
		[ ] // 2. Verify receipt content
		[ ] // 3. Verify a journal entry is found in the QB
		[ ] // 4. Verify the contents of the journal entry
[ ] // TESTCASE::QB_SalesReceiptDiscountNetValue_Verify.t
[ ] // ATC ID::POS_FE_ATC_016
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_SalesReceiptDiscountNetValue_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_VoucherBillingInfoNotEntered_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] INT i , iCount
			[ ] STRING sCustomerName, sDesc, sOutPut
			[ ] LIST OF STRING lsResult1, lsResult2, lsOutPut, lsExpected
			[ ] SimpleFindRec sfr = {}
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: In simple find search for journal entry number 1
				[ ] sfr.sType = "Journal"
				[ ] sfr.sNumber = "1"
				[ ] iCount = SimpleFind ( sfr)
			[ ] 
			[+] // Result 1: Verify a journal entry is found in the QB
				[ ] VerifySafely (iCount , 1, " A journal found in Quick Books ")
			[ ] 
			[+] // Step 2: Click on GoTo to open the journal entry
				[+] if AssigningNumbersToJournalEntries.Exists (3)
					[ ] AssigningNumbersToJournalEntries.OK.Click ()
				[+] if QuickBooksYesNo.Exists (3)
					[ ] QuickBooksYesNo.No.Click ()
				[ ] 
			[ ] 
			[+] // Step 3: Close the journal entry
				[ ] GeneralJournalEntry.SaveClose.Click ()
			[ ] 
			[+] // Result 2: Verify memo name as POS Voucher
				[ ] VerifySafely (MatchStr ("POS Voucher *",Find.PageList1.Simple.ListBox1.GetItemText (1, 5)), TRUE, "Jourenal entry created")
			[ ] 
			[+] // Step 4: Close Find and Invoke Chart of Accounts
				[ ] Find.xClose.Click ()
				[ ] ChartOfAccounts.Invoke ()
			[ ] 
			[+] // Result 3: Verify Unbilled purchases account got increased
				[ ] VerifySafely (ChartOfAccounts.ListView1.Name.GetAssociatedText ("Unbilled Purchases", "Balance"), "150.00", "Unbilled Purchases updated in QB")
		[ ] 
		[+] // CLEANUP
			[+] if (ChartOfAccounts.Exists ())
				[ ] ChartOfAccounts.Close ()
			[+] if (Find.Exists ())
				[ ] Find.xClose.Click ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
