﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal. Verifying voucher fee from POS to QB
	[+] // Test Steps.
		[ ] // 1. Invoke simple find and search for a bill number 1234
		[ ] // 2. Click on GoTo to open the bill
		[ ] // 3. Select Expenses and verify theFee
		[ ] // 4. Close the bill
		[ ] // 5. Invoke Chart Of Accounts and go to Freight and Shipping
	[+] // Expected Result:
		[ ] // 1. Verify bill is found in QB
		[ ] // 2. Verify bill content
		[ ] // 3. Verify Freight account
[ ] // TESTCASE::QB_VoucherFee_Verify.t
[ ] // ATC ID::POS_FE_ATC_018
[ ] // COMPANY FILE PATH::S:\CompanyFile\21.0\QB1_POSV10.QBB
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::QB_VoucherFee_Verify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase QB_VoucherFee_Verify () appstate none
	[+] do
		[+] // VARIABLES
			[ ] INT i , iCount
			[ ] STRING sCustomerName, sDesc, sOutPut
			[ ] LIST OF STRING lsResult1, lsResult2, lsOutPut, lsExpected,lsResult3
			[ ] SimpleFindRec sfr
		[ ] 
		[+] // SETUP
			[ ] QB.SetActive ()
		[ ] 
		[+] // STEPS
			[+] // Step 1: Invoke simple find and search for a bill number 1234
				[ ] sfr = {}
				[ ] sfr.sType = "Bill"
				[ ] sfr.sNumber = "1234"
				[ ] QB.SetActive ()
				[ ] iCount = SimpleFind ( sfr)
				[ ] 
			[ ] 
			[+] // Result 1: Verify bill is found in QB
				[ ] VerifySafely (iCount , 1, " Transactions Sales receipt found in Quick Books ")
			[ ] 
			[+] // Step 2: Click on GoTo to open the bill
				[+] if GetMoreFromQuickBooks.Exists (2) 
					[ ] GetMoreFromQuickBooks.Close ()
				[+] if QuickBooksYesNo.Exists (2) 
					[ ] QuickBooksYesNo.No.Click ()
			[ ] 
			[+] // Result 2: Verify bill content
				[ ] // EnterBills.PageList1.Items.Table1.GetContents ()
				[+] // for i = 1 to EnterSalesReceipts.Table1.GetRowCount ()
					[ ] // lsOutPut = EnterSalesReceipts.Table1.GetRowContent (i)
					[+] // for each sOutPut in lsOutPut
						[ ] // listappend (lsResult1, sOutPut)
				[+] lsExpected = {...}
					[ ] "InvItem1 #1||InvItem1||1||50.00||50.00||||!@#$"
					[ ] "InvItem2 #2||InvItem2||1||100.00||100.00||||!@#$"
				[+] // lsExpected = {...}
					[ ] // "InvItem1 #1"
					[ ] // "InvItem1"
					[ ] // "1"
					[ ] // "50.00"
					[ ] // "50.00"
					[ ] // ""
					[ ] // "!@#$"
					[ ] // "InvItem2 #2"
					[ ] // "InvItem2"
					[ ] // "1"
					[ ] // "100.00"
					[ ] // "100.00"
					[ ] // ""
					[ ] // "!@#$"
				[ ] VerifySafely (EnterBills.PageList1.Items.Table1.GetContents (), lsExpected, "Verified the contents of the bill")
			[ ] 
			[+] // Step 3: Select Expenses and verify theFee
				[ ] EnterBills.PageList1.Select ("Expenses")
				[ ] VerifySafely (EnterBills.PageList1.Expenses.Table1.Account.GetText (1), "Freight and Shipping Costs", "Freight account updated")
				[ ] VerifySafely (EnterBills.PageList1.Expenses.Table1.Amount.GetText (1), "20.00", "Freight amount updated")
				[ ] // VerifySafely (EnterBills.PageList1.Expenses.Table1.Memo.GetText (1), "POS Recv Fee", "Memo updated")
			[ ] 
			[+] // Step 3: Close the bill
				[ ] EnterBills.SaveClose.Click ()
			[ ] 
			[+] // Step 4: Invoke Chart Of Accounts and go to Freight and Shipping
				[ ] ChartOfAccounts.Invoke ()
				[ ] ChartOfAccounts.ListView1.Name.Select("Freight and Shipping Costs")
				[ ] ChartOfAccounts.TypeKeys ("<Alt-A-F>")
				[ ] Find.Find.Click ()
			[ ] 
			[+] // Result 5: Verify Freight account
				[+] lsResult3 = {...}
					[ ] "{FormatDateTime (GetDateTime (), "mm/dd/yyyy")}	BILL		PVendor1	Freight and Shipping Costs	POS Recv Fee	20.00"
				[ ] VerifySafely (Find.PageList1.Advanced.ListBox1.GetContents (), lsResult3, "Freight and shipping costs account updated")
		[ ] 
		[+] // CLEANUP
			[+] if (Find.Exists ())
				[ ] Find.xClose.Click ()
			[ ] CloseCompany ()
	[+] except
		[ ] LogError ("*************Exception Occured**************")
		[ ] CloseCompany ()
[ ] 
