﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying creating am export template and modifying it.
	[+] // Test Steps:
		[ ] // 1. Invoke 'Data Export Wizard' (Result 1)
		[ ] // 2. Select 'Customers' and click 'Next'
		[ ] // 3. Click "Manage Templates" (Result 2)
		[ ] // 4. Create a new template
		[ ] // 5. Set the file path, select 'Sheet 1', select a template, click 'Next' and click 'Export' (Result 3) (Result 4)
		[ ] // 6. Invoke 'Data Export Wizard', select 'Customers' and click next
		[ ] // 7. Select the new template created and modify it
		[ ] // 8. Set the file path, select 'Sheet 1', select a template, click 'Next' and click 'Export' (Result 5) (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify 'Data Export Wizard' appears
		[ ] // 2. Verify 'Export Templates' dialog appears
		[ ] // 3. Verify an Excel opens up
		[ ] // 4. Compare the actual data with expected
		[ ] // 5. Verify an Excel opens up
		[ ] // 6. Compare the actual data with expected
[ ] // TESTCASE::DataExportCreateModifyTemplate
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\DataExport.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::DataExportCreateModifyTemplate.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase DataExportCreateModifyTemplate ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sFile, sFileName, sTemplate
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "DataExport.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke 'Data Export Wizard'
			[ ] DataExportWizard.Invoke ()
		[ ] 
		[+] // Result 1: Verify 'Data Export Wizard' appears
			[ ] VerifySafely (DataExportWizard.Exists (5), TRUE, "Data Export Wizard appears")
		[ ] 
		[+] // Step 2: Select 'Customers' and click 'Next'
			[ ] DataExportWizard.PageList1.SelectType.Customers.Click ()
			[ ] DataExportWizard.Next.Click ()
		[ ] 
		[+] // Step 3: Click "Manage Templates"
			[ ] DataExportWizard.PageList1.SelectFile.ManageTemplates.Click ()
		[ ] 
		[+] // Result 2: Verify 'Export Templates' dialog appears
			[ ] VerifySafely (ExportTemplates.Exists (), TRUE, "'Export Templates' dialog displayed")
		[ ] 
		[+] // Step 4: Create a new template
			[ ] sTemplate = "NewTemplate2"
			[ ] ExportTemplates.SetActive ()
			[ ] ExportTemplates.UnselectAll.Click ()
			[ ] ExportTemplates.TemplateName.SetText (sTemplate)
			[ ] ExportTemplates.TypeKeys ("<Tab><Space>") // To select 'Company'
			[ ] ExportTemplates.TypeKeys ("<Down><Space>") // To select 'last Name'
			[ ] ExportTemplates.TypeKeys ("<Down><Space>") // To select 'First Name'
			[ ] ExportTemplates.Save.Click ()
		[ ] 
		[+] // Step 5: Set the file path, select 'Sheet 1', select a template, click 'Next' and click 'Export'
			[ ] sFile = "DataExportTemplateNew"
			[ ] sFileName = sFile + "_Actual"
			[+] if SYS_FileExists (sActualDirPath + sFileName)
				[ ] SYS_RemoveFile (sActualDirPath + sFileName)
			[+] if !SYS_DirExists (sActualDirPath)
				[ ] SYS_MakeDir (sActualDirPath)
			[ ] DataExportWizard.PageList1.SelectFile.DestinationFile.SetText (sActualDirPath + sFileName)
			[ ] DataExportWizard.PageList1.SelectFile.Worksheet.Select (2)
			[ ] DataExportWizard.PageList1.SelectFile.Template.Select (sTemplate)
			[ ] DataExportWizard.Next.Click ()
			[ ] DataExportWizard.Export.Click ()
		[ ] 
		[+] // Result 3: Verify an Excel opens up
			[+] if ExcelBook.Exists ()
				[ ] ExcelBook.SetActive ()
			[ ] WaitFor (ExcelBook, 30)
			[ ] VerifySafely (ExcelBook.Exists (5), TRUE, "Excel is displayed")
			[ ] ExcelBook.SetActive ()
			[ ] ExcelBook.Typekeys ("<Alt-F4>")
		[ ] 
		[+] // Result 4: Compare the actual data with expected
			[ ] VerifySafely (CompareExcel (sFile), TRUE, "Actual data matches with expected")
		[ ] 
		[+] // Step 6: Invoke 'Data Export Wizard', select 'Customers' and click next
			[ ] DataExportWizard.Invoke ()
			[ ] DataExportWizard.PageList1.SelectType.Customers.Click ()
			[ ] DataExportWizard.Next.Click ()
		[ ] 
		[+] // Step 7: Select the new template created and modify it
			[ ] DataExportWizard.PageList1.SelectFile.Template.Select (sTemplate)
			[ ] DataExportWizard.PageList1.SelectFile.ManageTemplates.Click ()
			[ ] ExportTemplates.TemplateName.SetFocus ()
			[ ] ExportTemplates.TypeKeys ("<Tab><Space>") // To deselect 'Company'
			[ ] ExportTemplates.Save.Click ()
		[ ] 
		[+] // Step 8: Set the file path, select 'Sheet 1', select a template, click 'Next' and click 'Export'
			[ ] sFile = "DataExportTemplateNew2"
			[ ] sFileName = sFile + "_Actual"
			[+] if SYS_FileExists (sActualDirPath + sFileName)
				[ ] SYS_RemoveFile (sActualDirPath + sFileName)
			[+] if !SYS_DirExists (sActualDirPath)
				[ ] SYS_MakeDir (sActualDirPath)
			[ ] DataExportWizard.PageList1.SelectFile.DestinationFile.SetText (sActualDirPath + sFileName)
			[ ] DataExportWizard.PageList1.SelectFile.Worksheet.Select (2)
			[ ] DataExportWizard.PageList1.SelectFile.Template.Select (sTemplate)
			[ ] DataExportWizard.Next.Click ()
			[ ] DataExportWizard.Export.Click ()
		[ ] 
		[+] // Result 5: Verify an Excel opens up
			[ ] ExcelBook.SetActive ()
			[ ] WaitFor (ExcelBook, 5)
			[ ] VerifySafely (ExcelBook.Exists (5), TRUE, "Excel is displayed")
			[ ] ExcelBook.SetActive ()
			[ ] ExcelBook.Typekeys ("<Alt-F4>")
		[ ] 
		[+] // Result 6: Compare the actual data with expected
			[ ] VerifySafely (CompareExcel (sFile), TRUE, "Actual data matches with expected")
	[ ] 
	[+] // CLEAN UP
		[+] if Customers.CustomerList.Exists ()
			[ ] Customers.CustomerList.Topbar.Home.Click ()
[ ] 
