﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Exporting Inventory Items.
	[+] // Test Steps:
		[ ] // 1. Invoke 'Data Export Wizard' (Result 1)
		[ ] // 2. Select 'Inventory' and click 'Next'
		[ ] // 3. Set the file path, select 'Sheet 1', select a template and click 'Next'
		[ ] // 4. Click 'Export' (Result 2) (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify 'Data Export Wizard' appears
		[ ] // 2. Verify an Excel opens up
		[ ] // 3. Compare the actual data with expected
[ ] // TESTCASE::DataExportInventory
[ ] // ATC ID::POS_FILE_ATC_010
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\DataExport.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::DataExportInventory.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase DataExportInventory ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sFile, sFileName, sTemplate
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "DataExport.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SYS_Execute ("c:\QAP\POS\Config\CopyImportExportFile.bat")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke 'Data Export Wizard'
			[ ] DataExportWizard.Invoke ()
		[ ] 
		[+] // Result 1: Verify 'Data Export Wizard' appears
			[ ] VerifySafely (DataExportWizard.Exists (5), TRUE, "Data Export Wizard appears")
		[ ] 
		[+] // Step 2: Select 'Inventory' and click 'Next'
			[ ] DataExportWizard.PageList1.SelectType.InventoryItems.Click ()
			[ ] DataExportWizard.Next.Click ()
		[ ] 
		[+] // Step 3: Set the file path, select 'Sheet 1', select a template and click 'Next'
			[ ] sFile = "InventoryDataExport"
			[ ] sFileName = sFile + "_Actual"
			[ ] sTemplate = "InventoryDataExportTemplate1"
			[+] if SYS_FileExists (sActualDirPath + sFileName)
				[ ] SYS_RemoveFile (sActualDirPath + sFileName)
			[+] if !SYS_DirExists (sActualDirPath)
				[ ] SYS_MakeDir (sActualDirPath)
			[ ] DataExportWizard.PageList1.SelectFile.DestinationFile.SetText (sActualDirPath + sFileName)
			[ ] DataExportWizard.PageList1.SelectFile.Worksheet.Select (2)
			[ ] DataExportWizard.PageList1.SelectFile.Template.Select (sTemplate)
			[ ] DataExportWizard.Next.Click ()
		[ ] 
		[+] // Step 4: Click 'Export'
			[ ] DataExportWizard.Export.Click ()
			[ ] WaitFor (ExcelBook,120)
		[ ] 
		[+] // Result 2: Verify an Excel opens up
			[ ] ExcelBook.SetActive ()
			[ ] WaitFor (ExcelBook, 5)
			[ ] VerifySafely (ExcelBook.Exists (5), TRUE, "Excel is displayed")
			[ ] ExcelBook.SetActive ()
			[ ] ExcelBook.Typekeys ("<Alt-F4>")
		[ ] 
		[+] // Result  3: Compare the actual data with expected
			[ ] Verifysafely (CompareExcel (sFile), TRUE, "Actual data matches with expected")
	[ ] 
	[+] // CLEAN UP
		[+] if Customers.CustomerList.Exists ()
			[ ] Customers.CustomerList.GoBack.Click ()
[ ] 
