﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Importing Customers.
	[+] // Test Steps:
		[ ] // 1. Invoke 'Data Import Wizard' (Result 1)
		[ ] // 2. Select 'Customers' and click 'Next'
		[ ] // 3. Select 'Custom' and click 'Next'
		[ ] // 4. Set the file path, select 'Sheet 1', select a template, click 'Next' and click 'Next'
		[ ] // 5. Uncheck 'Back Up The Company File Before Import' and click 'Import'
		[ ] // 6. Click 'Close'
		[ ] // 7. Invoke Customers List (Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify 'Data Import Wizard' appears
		[ ] // 2. Verify the Customers added after import
[ ] // TESTCASE::DataImportCustomers
[ ] // ATC ID::POS_FILE_ATC_013
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\DataImport.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::DataImportCustomers.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase DataImportCustomers ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sFile, sFileName, sTemplate
		[ ] LIST OF STRING lsCustomerListExpected = {...}
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "DataImport.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SYS_Execute ("c:\QAP\POS\Config\CopyImportExportFile.bat")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke 'Data Import Wizard'
			[ ] DataImportWizard.Invoke ()
		[ ] 
		[+] // Result 1: Verify 'Data Import Wizard' appears
			[ ] VerifySafely (DataImportWizard.Exists (5), TRUE, "Data Import Wizard appears")
			[ ] DataImportWizard.Next.Click ()
		[ ] 
		[+] // Step 2: Select 'Inventory Items'and click 'Next'
			[ ] DataImportWizard.PageList1.SelectImportType.Customers.Click ()
			[ ] DataImportWizard.Next.Click ()
		[ ] 
		[+] // Step 3: Select 'Custom' and click 'Next'
			[ ] DataImportWizard.PageList1.SelectTemplate.CustomFile.Click ()
			[ ] DataImportWizard.Next.Click ()
		[ ] 
		[+] // Step 4: Set the file path, select 'Sheet 1', select a template, click 'Next' and click 'Next'
			[ ] sFile = "CustomerDataExport"
			[ ] sFileName = sFile + "_Expected.xls"
			[ ] sTemplate = "CustomerImportTemplate1"
			[ ] DataImportWizard.PageList1.SelectFile.DestinationFile.SetText (sExpectedDirPath + sFileName)
			[ ] DataImportWizard.PageList1.SelectFile.Worksheet.Select (2)
			[ ] DataImportWizard.PageList1.SelectFile.Template.Select (sTemplate)
			[ ] DataImportWizard.Next.Click ()
			[ ] DataImportWizard.Next.Click ()
		[ ] 
		[+] // Step 5: Uncheck 'Back Up The Company File Before Import' and click 'Import'
			[ ] DataImportWizard.PageList1.ErrorHandling.BackupTheCompanyFileBefore.Click ()
			[ ] DataImportWizard.Import.Click ()
		[ ] 
		[+] // Step 6: Click 'Close'
			[ ] DataImportWizard.Close.Click ()
		[ ] 
		[+] // Step 7: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
			[ ] sleep (2)
		[ ] 
		[+] // Result 2: Verify the Customers added after import
			[+] lsCustomerListExpected = {...}
				[ ] "Cust1F Cust1L Cust1L Cust1F Cmp1 1111111111 cust1@pos.com California"
				[ ] "Cust2F Cust2L Cust2L Cust2F Cmp2 1111111112 cust2@pos.com Karnataka"
			[ ] VerifySafely (Customers.CustomerList.CustomerGrid.ItemTexts, lsCustomerListExpected, "All Customers imported")
	[ ] 
	[+] // CLEAN UP
		[+] if Customers.CustomerList.Exists ()
			[ ] Customers.CustomerList.Topbar.Home.Click ()
[ ] 
