﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Importing Inventory Items.
	[+] // Test Steps:
		[ ] // 1. Invoke 'Data Import Wizard' (Result 1)
		[ ] // 2. Select 'Inventory Items'and click 'Next'
		[ ] // 3. Select 'Custom' and click 'Next'
		[ ] // 4. Set the file path, select 'Sheet 1', select a template, click 'Next' and click 'Next'
		[ ] // 5. Uncheck 'Back Up The Company File Before Import' and click 'Import'
		[ ] // 6. Click 'Close'
		[ ] // 7. Invoke Items List (Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify 'Data Import Wizard' appears
		[ ] // 2. Verify the items added after import
[ ] // TESTCASE::DataImportInventory
[ ] // ATC ID::POS_FILE_ATC_014
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\DataImport.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::DataImportInventory.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase DataImportInventory ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sFile, sFileName, sTemplate
		[ ] LIST OF STRING lsItemsListExpected = {...}
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "DataImport.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SYS_Execute ("c:\QAP\POS\Config\CopyImportExportFile.bat")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke 'Data Import Wizard'
			[ ] DataImportWizard.Invoke ()
		[ ] 
		[+] // Result 1: Verify 'Data Import Wizard' appears
			[ ] VerifySafely (DataImportWizard.Exists (5), TRUE, "Data Import Wizard appears")
			[ ] DataImportWizard.Next.Click ()
		[ ] 
		[+] // Step 2: Select 'Inventory Items'and click 'Next'
			[ ] DataImportWizard.PageList1.SelectImportType.InventoryItems.Click ()
			[ ] DataImportWizard.Next.Click ()
		[ ] 
		[+] // Step 3: Select 'Custom' and click 'Next'
			[ ] DataImportWizard.PageList1.SelectTemplate.CustomFile.Click ()
			[ ] DataImportWizard.Next.Click ()
		[ ] 
		[+] // Step 4: Set the file path, select 'Sheet 1', select a template, click 'Next' and click 'Next'
			[ ] sFile = "InventoryDataExport"
			[ ] sFileName = sFile + "_Expected.xls"
			[ ] sTemplate = "InventoryImportTemplate1"
			[ ] DataImportWizard.PageList1.SelectFile.DestinationFile.SetText (sExpectedDirPath + sFileName)
			[ ] DataImportWizard.PageList1.SelectFile.Worksheet.Select (2)
			[ ] DataImportWizard.PageList1.SelectFile.Template.Select (sTemplate)
			[ ] DataImportWizard.Next.Click ()
			[ ] DataImportWizard.Next.Click ()
		[ ] 
		[+] // Step 5: Uncheck 'Back Up The Company File Before Import' and click 'Import'
			[ ] DataImportWizard.PageList1.ErrorHandling.BackupTheCompanyFileBefore.Click ()
			[ ] DataImportWizard.Import.Click ()
		[ ] 
		[+] // Step 6: Click 'Close'
			[ ] DataImportWizard.Close.Click ()
		[ ] 
		[+] // Step 7: Invoke Items List
			[ ] Items.ItemsList.Invoke ()
			[ ] WaitForPageToLoad (3)
		[ ] 
		[+] // Result 2: Verify the items added after import
			[+] lsItemsListExpected = {...}
				[ ] "5 AsmbItem1 System 300.00 2 2"
				[ ] "6 GrpItem1 System 300.00 0 0"
				[ ] "1 InvItem1 System 100.00 48 48"
				[ ] "2 InvItem2 System 200.00 48 48"
				[ ] "3 NonInvItem1 System 100.00 0 0"
				[ ] "4 ServItem1 System 100.00 0 0"
			[ ] Verifysafely (Items.ItemsList.ItemGrid.ItemTexts, lsItemsListExpected, "All items imported")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
