﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Importing Vendors.
	[+] // Test Steps:
		[ ] // 1. Invoke 'Data Import Wizard' (Result 1)
		[ ] // 2. Select 'Vendors' and click 'Next'
		[ ] // 3. Select 'Custom' and click 'Next'
		[ ] // 4. Set the file path, select 'Sheet 1', select a template, click 'Next' and click 'Next'
		[ ] // 5. Select "Company Name Only' in the pop up list to Determine Duplicate and click 'Next'
		[ ] // 6. Uncheck 'Back Up The Company File Before Import' and click 'Import'
		[ ] // 7. Click 'Close'
		[ ] // 8. Invoke Vendor List (Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify 'Data Import Wizard' appears
		[ ] // 2. Verify the Vendors added after import
[ ] // TESTCASE::DataImportVendors
[ ] // ATC ID::POS_FILE_ATC_015
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\DataImport.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::DataImportVendors.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase DataImportVendors ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sFile, sFileName, sTemplate, sVen1, sVen2
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "DataImport.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SYS_Execute ("c:\QAP\POS\Config\CopyImportExportFile.bat")
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke 'Data Import Wizard'
			[ ] DataImportWizard.Invoke ()
		[ ] 
		[+] // Result 1: Verify 'Data Import Wizard' appears
			[ ] VerifySafely (DataImportWizard.Exists (5), TRUE, "Data Import Wizard appears")
			[ ] DataImportWizard.Next.Click ()
		[ ] 
		[+] // Step 2: Select 'Vendors' and click 'Next'
			[ ] DataImportWizard.PageList1.SelectImportType.Vendors.Click ()
			[ ] DataImportWizard.Next.Click ()
		[ ] 
		[+] // Step 3: Select 'Custom' and click 'Next'
			[ ] DataImportWizard.PageList1.SelectTemplate.CustomFile.Click ()
			[ ] DataImportWizard.Next.Click ()
		[ ] 
		[+] // Step 4: Set the file path, select 'Sheet 1', select a template, click 'Next' and click 'Next'
			[ ] sFile = "VendorDataExport"
			[ ] sFileName = sFile + "_Expected.xls"
			[ ] sTemplate = "VendorImportTemplate1"
			[ ] DataImportWizard.PageList1.SelectFile.DestinationFile.SetText (sExpectedDirPath + sFileName)
			[ ] DataImportWizard.PageList1.SelectFile.Worksheet.Select (2)
			[ ] DataImportWizard.PageList1.SelectFile.Template.Select (sTemplate)
			[ ] DataImportWizard.Next.Click ()
		[ ] 
		[+] // Step 5: Select "Company Name Only' in the pop up list to Determine Duplicate and click 'Next'
			[ ] DataImportWizard.PageList1.ItemMatching.FieldToDetermineDuplicate.Select ("Company Name Only")
			[ ] DataImportWizard.Next.Click ()
			[ ] WaitFor (FileImportWizard, 5)
			[+] if FileImportWizard.Exists ()
				[ ] FileImportWizard.KeepExistingDataAndDiscardImportData.Click ()
				[ ] FileImportWizard.OK.Click ()
		[ ] 
		[+] // Step 6: Uncheck 'Back Up The Company File Before Import' and click 'Import'
			[ ] DataImportWizard.PageList1.ErrorHandling.BackupTheCompanyFileBefore.Click ()
			[ ] DataImportWizard.Import.Click ()
		[ ] 
		[+] // Step 7: Click 'Close'
			[ ] DataImportWizard.Close.Click ()
		[ ] 
		[+] // Step 8: Invoke Vendor List
			[ ] VendorList.Invoke ()
			[ ] sleep (2)
		[ ] 
		[+] // Result 2: Verify the Vendors added after import
			[ ] sVen1 = "PVendor1"
			[ ] sVen2 = "PVendor2"
			[ ] VendorList.ToolBar.FindVendor.SetText (sVen1)
			[ ] VendorList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindVendor.SelectVendor.IsEnabled (), TRUE, "Vendor {sVen1} is added after Import")
			[ ] FindVendor.Close.Click ()
			[ ] WaitFor (VendorList.ToolBar.FindVendor, 5)
			[ ] VendorList.ToolBar.FindVendor.SetText (sVen2)
			[ ] VendorList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindVendor.SelectVendor.IsEnabled (), TRUE, "Vendor {sVen2} is added after Import")
	[ ] 
	[+] // CLEAN UP
		[ ] FindVendor.Close.Click ()
		[+] if VendorList.Exists ()
			[ ] VendorList.BottomBar.Close.Click () 
[ ] 
