﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying Gift Cards tab UI when not connected
	[+] // Test Steps:
		[ ] // 1. Goto File -> Set Up Interview (Result 1)
		[ ] // 2. Select 'Gift Cards' tab (Result 2)
		[ ] // 3. Check 'Yes' in 'Would you like to accept gift cards' (Result 3)
		[ ] // 4. Enter valid Email and Password, and click 'Sign In'
		[ ] // 5. Select a Company (Result 4)
		[ ] // 6. Select 'Payments' tab (Result 5)
	[+] // Expected Result:
		[ ] // 1. Verify Set Up Interview dialog opens up with Receipt tab selected
		[ ] // 2. Verifying GiftCards tab UI when not connected
		[ ] // 3. Verify 'Sign In to Intuit Payment Account' dialog is displayed
		[ ] // 4. Verify 'Gift Card account number' field is enabled
		[ ] // 5. Verify payments is connected
[ ] // TESTCASE::GiftCardsTabNotConnected
[ ] // ATC ID::POS_FILE_ATC_042
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::GiftCardsTabNotConnected.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase GiftCardsTabNotConnected ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Goto File -> Set Up Interview
			[ ] QuickBooksPointOfSale.File.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.File.SetupInterview.Click ()
		[ ] 
		[+] // Result 1: Verify Set Up Interview dialog opens up with Receipt tab selected by default
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Exists (5), TRUE, "Set Up Interview dialog open")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Tab.Receipt.IsSelected, TRUE, "By default Receipt tab is selected")
		[ ] 
		[+] // Step 2: Select 'Gift Cards' tab
			[ ] QuickBooksPointOfSale.SetupInterview.Select ("GiftCards")
		[ ] 
		[+] // Result 2: Verifying GiftCards tab UI when not connected
			[ ] QuickBooksPointOfSale.SetupInterview.SetupGiftCards.IPDLink.CaptureBitmap ("c:\GiftCardsIPDNotConnectedActual.bmp")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupGiftCards.No.IsChecked , TRUE, "'Would you like to accept gift cards' is set to 'NO'")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupGiftCards.GiftAccountNumber.IsEnabled, FALSE, "'Gift Card Account number' text box is disabled")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupGiftCards.Verify.IsEnabled, FALSE, "'Verify' button is disabled")
			[ ] VerifySafely (SYS_CompareBitmap ("C:\QAP\POS\Expected\GiftCardsIPDNotConnectedExpected.bmp", "c:\GiftCardsIPDNotConnectedActual.bmp"), TRUE, "IPD image verified")
		[ ] 
		[+] // Step 3: Check 'Yes' in 'Would you like to accept gift cards'
			[ ] QuickBooksPointOfSale.SetupInterview.SetupGiftCards.Yes.Check ()
		[ ] 
		[+] // Result 3: Verify 'Sign In to Intuit Payment Account' dialog is displayed
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.Exists (5), TRUE, "'Sign In to Intuit Payment Account' appears")
		[ ] 
		[+] // Step 4: Enter valid Email and Password, and click 'Sign In'
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.UserID.SetData (sMASCloudUID)
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.Password.SetData (sMASCloudPWD)
			[ ] QuickBooksPointOfSale.AuthView.SignIn.Click ()
		[ ] 
		[+] // Step 5: Select a Company
			[ ] QuickBooksPointOfSale.AuthView.SelectCompany (sMASCloudCompany)
		[ ] 
		[+] // Result 4: Verify 'Gift Card account number' field is enabled
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupGiftCards.GiftAccountNumber.IsEnabled, TRUE, "'Gift Card Account number' text box is enabled")
		[ ] 
		[+] // Step 6: Select 'Payments' tab
			[ ] QuickBooksPointOfSale.SetupInterview.Select ("Payments")
		[ ] 
		[+] // Result 5: Verify payments is connected
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Exists (5), TRUE, "Set Up Interview dialog open")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.Yes.IsChecked, TRUE, "Would you like to accept credit and debit cards' is set to 'Yes'")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.AccountStatusConnected.Exists (), TRUE, "Account status shows 'Connected'")
	[ ] 
	[+] // CLEAN UP
		[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
[ ] 
