﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying the side buttons on the home page
	[+] // Test Steps:
		[ ] // 1. Open home page and Click on side button "Make a sale" (Result 1)
		[ ] // 2. Click on Home and click on side button "Customer List" (Result 2)
		[ ] // 3. Click on Home and click on side button "Receive Items" (Result 3)
		[ ] // 4. Click on Home and click on side button "Inventory" (Result 4)
		[ ] // 5. Click on Home and click on side button "Reports" (Result 5)
		[ ] // 6. Click on Close and click on side button "End Of Day" (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify new Sales receipt appears
		[ ] // 2. Verify customer list appears 
		[ ] // 3. Verify new receiving voucher appears
		[ ] // 4. Verify Items list appears
		[ ] // 5. Verify Report center appears
		[ ] // 6. Verify End of day process appears
[ ] // TESTCASE::HomeSideButtons
[ ] // ATC ID::POS_HOME_ATC_002
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::HomeSideButtons.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase HomeSideButtons ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open home page and Click on side button "Make a sale"
			[ ] WaitTill (QuickBooksPointOfSale.Dashboard.SideButtons.CreditCards.IsEnabled)
			[ ] QuickBooksPointOfSale.Dashboard.SideButtons.MakeASale.Click ()
		[ ] 
		[+] // Result 1: Verify new Sales receipt appears
			[ ] WaitFor (SalesReceipt.Sale)
			[ ] VerifySafely (SalesReceipt.Sale.Exists (3), TRUE, "new Sales receipt appears")
		[ ] 
		[+] // Step 2: Click on Home and click on side button "Customer List"
			[ ] SalesReceipt.Sale.CommonHeader.Home.Click ()
			[ ] QuickBooksPointOfSale.Dashboard.SideButtons.CustomerList.Click ()
		[ ] 
		[+] // Result 2: Verify customer list appears
			[ ] VerifySafely (Customers.CustomerList.Exists (3), TRUE, "Customer list appears")
		[ ] 
		[+] // Step 3: Click on Home and click on side button "Receive Items"
			[ ] Customers.CustomerList.CommonHeader.Home.Click ()
			[ ] WaitTill (QuickBooksPointOfSale.Dashboard.SideButtons.ReceiveItems.IsEnabled)
			[ ] QuickBooksPointOfSale.Dashboard.SideButtons.ReceiveItems.Click ()
		[ ] 
		[+] // Result 3: Verify new receiving voucher appears
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (3), TRUE, " Receiving voucher appears")
		[ ] 
		[+] // Step 4: Click on Home and click on side button "Inventory"
			[ ] Voucher.ReceivingVoucher.CommonHeader.Home.Click ()
			[ ] QuickBooksPointOfSale.Dashboard.SideButtons.Inventory.Click ()
		[ ] 
		[+] // Result 4: Verify Items list appears
			[ ] VerifySafely (Items.ItemsList.Exists (3), TRUE, "Items list appears")
		[ ] 
		[+] // Step 5: Click on Home and click on side button "Reports"
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] QuickBooksPointOfSale.Dashboard.SideButtons.Reports.Click ()
		[ ] 
		[+] // Result 5: Verify Report center appears
			[ ] VerifySafely ( Reports.Exists (3), TRUE, "Report center appears")
		[ ] 
		[+] // Step 6: Click on Close and click on side button "End Of Day"
			[ ] Reports.BottomBar.Close.Click ()
			[ ] QuickBooksPointOfSale.Dashboard.SideButtons.EndOfDay.Click ()
		[ ] 
		[+] // Result 6: Verify End of day process appears
			[ ] VerifySafely ( EndOfDayProcess.Exists (3), TRUE, "End of day process appears")
	[ ] 
	[+] // CLEANUP
		[+] if EndOfDayProcess.Exists (3)
			[ ] EndOfDayProcess.Cancel.Click ()
[ ] 
