﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify opening an existing company file
	[+] // Test Steps:
		[ ] //  1. Create a new company file
		[ ] //  2. Create another new company
		[ ] //  3. Goto File-> Company Operations (Result 1)
		[ ] //  4. Check "Open Existing Company" check box and select an existing company name
		[ ] //  5. Open customer list (Result 2)
		[ ] //  6. Close customer list and open item list (Result 3)
	[+] // Expected Result:
		[ ] //  1. Verify 'Start Company' dialog appears
		[ ] //  2. Verify Customer list
		[ ] //  3. Verify Item list
[ ] // TESTCASE::OpenCompany
[ ] // ATC ID::POS_FILE_ATC_002
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::OpenCompany.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase OpenCompany ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sNewCompanyName
		[ ] LIST OF STRING lsCustExpected, lsItemExpected
		[ ] NewCompanyRec ncr
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a new company file with some data
			[ ] sCompanyFile = "ConsoleDB1.qpb"
			[ ] sNewCompanyName = "POS{Randint (1, 100)}"
			[ ] UpdateCompanyFile (sCompanyFile, sNewCompanyName)
		[ ] 
		[+] // Step 2: Create another new company
			[ ] ncr = {}
			[ ] ncr.sCompanyName = "POS{Randint (1, 100)}"
			[ ] ncr.RemoteStore = FALSE
			[ ] CreateNewCompany (ncr)
		[ ] 
		[+] // Step 3: Goto File-> Company Operations
			[ ] QuickBooksPointOfSale.File.Click ()
			[ ] QuickBooksPointOfSale.File.CompanyOperations.Click ()
		[ ] 
		[+]  // Result 1: Verify 'Start Company' dialog appears
			[ ] VerifySafely (QuickBooksPointOfSale.StartCompany.Exists (5), TRUE, "Start CompanyDialog Appears")
		[ ] 
		[+] // Step 4: Check "Open Existing Company" check box and select the previously created company name
			[ ] QuickBooksPointOfSale.StartCompany.OpenExistingComapny.Check ()
			[ ] QuickBooksPointOfSale.StartCompany.ExistingCompany.Select (sNewCompanyName)
			[ ] QuickBooksPointOfSale.StartCompany.Next.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.LoggingIn, iTimeOut*2)
			[ ] WaitGone (QuickBooksPointOfSale.LoggingIn, iTimeOut*3)
		[ ] 
		[+] // Step 5: Differentiating based on sku
			[+] if sSKU != "FREE"
				[+] // Step 5: Open customer list
					[ ] QuickBooksPointOfSale.Customers.Click ()
					[ ] QuickBooksPointOfSale.Customers.CustomerList.Click ()
					[ ] WaitForPageToLoad (1)
				[ ] 
				[+] // Result 2: Verify Customer list
					[+] lsCustExpected = {...}
						[ ] "Cust1F Cust1L Cust1L Cust1F 1111111111 2222222222 cust1@pos.com CustStreet MountainView California 123456"
						[ ] "Cust2F Cust2L Cust2L Cust2F 1111111112 2222222223 cust2@pos.com custstreet Bangalore Karnataka 321654"
					[ ] VerifySafely (Customers.CustomerList.CustomerGrid.ItemTexts, lsCustExpected, "Customers present")
					[ ] Customers.CustomerList.Topbar.Home.Click ()
			[+] else
				[ ] print ("Customer List not applicable for Free sku")
		[ ] 
		[+] // Step 6: Close Item list and open item list
			[ ] QuickBooksPointOfSale.Inventory.Click ()
			[ ] QuickBooksPointOfSale.Inventory.ItemList.Click ()
			[ ] WaitForPageToLoad (1)
		[ ] 
		[+] // Result 3: Verify Item list
			[+] if sSKU != "FREE"
				[+] lsItemExpected = {...}
					[ ] "5 AsmbItem1 System 300.00 2 2"
					[ ] "6 GrpItem1 System 300.00 0 0"
					[ ] "1 InvItem1 System 100.00 48 48"
					[ ] "2 InvItem2 System 200.00 48 48"
					[ ] "3 NonInvItem1 System 100.00 0 0"
					[ ] "4 ServItem1 System 100.00 0 0"
			[+] else
				[+] lsItemExpected = {...}
					[ ] "5 AsmbItem1 System 300.00"
					[ ] "6 GrpItem1 System 300.00"
					[ ] "1 InvItem1 System 100.00"
					[ ] "2 InvItem2 System 200.00"
					[ ] "3 NonInvItem1 System 100.00"
					[ ] "4 ServItem1 System 100.00"
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ItemTexts, lsItemExpected, "Items present")
	[ ] 
	[+] // CLEANUP
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
