﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify seting up payments from Sales Receipt
	[+] // Test Steps:
		[ ] // 1. Goto File -> Set Up Interview
		[ ] // 2. Select 'Payments' tab, check 'Yes' on 'Would you like to accept credit and debit cards' and click 'Done
		[ ] // 3. Invoke new Sales Receipt, add an Item and click 'Credit'' (Result 1)
		[ ] // 4. Enter valid Email and Password, click 'Sign In' and select a company (Result 2)
		[ ] // 5. Click 'Cancel', Cancel the receipt and Goto File -> Set Up Interview-> Payments Tab (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify 'Sign In to Intuit Payment Account' dialog is displayed
		[ ] // 2. Verify Credit payment dialog appears
		[ ] // 3. Verify payments is connected
[ ] // TESTCASE::PaymentsConnectFromSale
[ ] // ATC ID::POS_FILE_ATC_041
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::PaymentsConnectFromSale.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase PaymentsConnectFromSale ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Goto File -> Set Up Interview
			[ ] QuickBooksPointOfSale.File.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.File.SetupInterview.Click ()
		[ ] 
		[+] // Step 2: Select 'Payments' tab, check 'Yes' on 'Would you like to accept credit and debit cards' and click 'Done
			[ ] QuickBooksPointOfSale.SetupInterview.Select ("Payments")
			[ ] WaitFor (QuickBooksPointOfSale.SetupInterview.SetupPayments.Yes, 3)
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.Yes.Click ()
			[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
			[ ] Wait (3)
		[ ] 
		[+] // Step 3: Invoke new Sales Receipt, add an Item and click 'Credit'
			[ ] sItem = "InvItem1"
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sItem)
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
		[ ] 
		[+] // Result 1: Verify 'Sign In to Intuit Payment Account' dialog is displayed
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.Exists (5), TRUE, "'Sign In to Intuit Payment Account' appears")
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.AuthLogin.UserID.IsFocused (), TRUE, "Focus is on the Email field")
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.AuthLogin.YourPaymentAccount.Exists (), TRUE, "{QuickBooksPointOfSale.AuthView.AuthLogin.YourPaymentAccount.GetCaption ()} msg is displayed")
		[ ] 
		[+] // Step 4: Enter valid Email and Password, click 'Sign In' and select a company
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.UserID.SetData (sMASCloudUID)
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.Password.SetData (sMASCloudPWD)
			[ ] QuickBooksPointOfSale.AuthView.SignIn.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.AuthView.AuthRealm, 20)
			[ ] QuickBooksPointOfSale.AuthView.SelectCompany (sMASCloudCompany)
		[ ] 
		[+] // Result 2: Verify Credit payment dialog appears
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.Exists (5), TRUE, "Credit payment dialog appears")
		[ ] 
		[+] // Step 5: Click 'Cancel', Cancel the receipt and Goto File -> Set Up Interview-> Payments Tab
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[+] if SalesReceipt.Confirmation.Exists (3)
				[ ] SalesReceipt.Confirmation.DiscardChanges.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE, 5)
			[ ] QuickBooksPointOfSale.File.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.File.SetupInterview.Click ()
			[ ] QuickBooksPointOfSale.SetupInterview.Select ("Payments")
		[ ] 
		[+] // Result 3: Verify payments is connected
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Exists (5), TRUE, "Set Up Interview dialog open")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.Yes.IsChecked, TRUE, "Would you like to accept credit and debit cards' is set to 'Yes'")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.AccountStatusConnected.Exists (), TRUE, "Account status shows 'Connected'")
	[ ] 
	[+] // CLEAN UP
		[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
[ ] 
