﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Connecting to MAS and verifying the confirmation message we get when we try logging-In using different ID.
	[+] // Test Steps:
		[ ] // 1. Goto File -> Set Up Interview (Result 1)
		[ ] // 2.Select 'Payments' tab, check 'Yes' on 'Would you like to accept credit and debit cards' and click 'Sign In'' (Result 2)
		[ ] // 3. Enter valid Email and Password, and click 'Sign In' (Result 3)
		[ ] // 4. Select a Company (Result 4)
		[ ] // 5. Home Header click 'Cloud' button and in the widget that opens up click 'Sync Now' 
		[ ] // 6. Click 'Sign Out' (Result 5)
		[ ] // 7. Sign In using different ID and select a company (Result 6)
		[ ] // 8. Click 'Cancel' (Result 7)
		[ ] // 9. Choose another company (Result 8)
		[ ] // 10. Click 'OK' (Result 9)
	[+] // Expected Result:
		[ ] // 1. Verify Set Up Interview dialog opens up
		[ ] // 2. Verify 'Sign In to Intuit Payment Account' dialog is displayed
		[ ] // 3. Verify 'Sign In to Intuit Payment Account' dialog is displayed with companys listed
		[ ] // 4. Verifying payments tab UI when connected
		[ ] // 5. Verifying payments tab UI changes on Signing Out
		[ ] // 6. Verify a Confirmation dialog appears
		[ ] // 7. Verifying payments tab is in Signed out state
		[ ] // 8. Click 'Cancel'
		[ ] // 9. Verifying payments tab is in connected state
[ ] // TESTCASE::PaymentsTabConnect
[ ] // ATC ID::POS_FILE_ATC_038
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::PaymentsTabConnect.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase PaymentsTabConnect ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sID, sPwd, sComp, sMessage1 , sMessage2
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Cloud1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Goto File -> Set Up Interview
			[ ] QuickBooksPointOfSale.File.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.File.SetupInterview.Click ()
		[ ] 
		[+] // Result 1: Verify Set Up Interview dialog opens up
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Exists (5), TRUE, "Set Up Interview dialog open")
		[ ] 
		[+] // Step 2: Select 'Payments' tab, check 'Yes' on 'Would you like to accept credit and debit cards' and click 'Sign In'
			[ ] QuickBooksPointOfSale.SetupInterview.Select ("Payments")
			[ ] wait (2)
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.Yes.Click ()
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.SignIn.Click ()
		[ ] 
		[+] // Result 2: Verify 'Sign In to Intuit Payment Account' dialog is displayed
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.IntuitPaymentAccount.Exists (5), TRUE, "'Sign In to Intuit Payment Account' appears")
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.IfYouHave.Exists (), TRUE, "Message at the bottom is present")
		[ ] 
		[+] // Step 3: Enter valid Email and Password, and click 'Sign In'
			[ ] sID = sMASCloudUID
			[ ] sPwd = sMASCloudPWD
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.UserID.SetData (sID)
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.Password.SetData (sPwd)
			[ ] QuickBooksPointOfSale.AuthView.SignIn.Click ()
		[ ] 
		[+] // Result 3: Verify 'Sign In to Intuit Payment Account' dialog is displayed with companys listed
			[ ] WaitGone (QuickBooksPointOfSale.CircularProgressBar, 20)
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.AuthRealm.Exists (5), TRUE, "'Sign In to Intuit Payment Account' dialog is displayed with companys listed")
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.IfYouHave.Exists (), TRUE, "Message at the bottom is present")
		[ ] 
		[+] // Step 4: Select a Company
			[ ] sComp = sMASCloudCompany
			[ ] sleep (3)
			[ ] QuickBooksPointOfSale.AuthView.SelectCompany (sComp)
		[ ] 
		[+] // Result 4: Verifying payments tab UI when connected
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.IPDLink.CaptureBitmap ("c:\IPDConnectedActual.bmp")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Exists (5), TRUE, "Set Up Interview dialog open")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.Yes.IsChecked, TRUE, "Would you like to accept credit and debit cards' is set to 'Yes'")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.AccountStatusConnected.Exists (), TRUE, "Account status shows 'Connected'")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.AccountDetails.GetAccountDeatails (), "{sMASCloudCompany}", "Company Detail displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.MerchAccNum.GetAccountNum (),  "{sMerchantAccountNumber}", "Account Number displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.SignOut.IsEnabled, TRUE, "'Sign Out' is present and enabled")
			[ ] VerifySafely (SYS_CompareBitmap ("C:\QAP\POS\Expected\IPDConnectedExpected.bmp", "c:\IPDConnectedActual.bmp"), TRUE, "IPD image verified")
		[ ] 
		[+] // Step 5: Home Header click 'Cloud' button and in the widget that opens up click 'Sync Now'
			[ ] QuickBooksPointOfSale.HomeHeader.Cloud.Click ()
			[ ] QuickBooksPointOfSale.HomeHeader.CloudWidget.SyncNow.Click ()
			[ ] WaitGone (QuickBooksPointOfSale.HomeHeader.CloudWidget.MobileSyncInProgress, 10)
		[ ] 
		[+] // Step 6: Click 'Sign Out'
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.SignOut.Click ()
		[ ] 
		[+] // Result 5: Verifying payments tab UI changes on Signing Out
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.IPDLink.CaptureBitmap ("c:\IPDNotConnectedActual.bmp")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.Yes.IsChecked , TRUE, "'Would you like to accept credit and debit cards' is set to 'Yes'")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.AccountStatusNotLinked.Exists (), TRUE, "Account status shows 'Not Linked'")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.AccountDetails.GetAccountDeatails (), "Payments Preferences", "Account Details is empty")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.SignIn.IsEnabled, TRUE, "'Sing Out' changes to 'Sign In' and its enabled")
			[ ] VerifySafely (SYS_CompareBitmap ("C:\QAP\POS\Expected\IPDNotConnectedExpected.bmp", "c:\IPDNotConnectedActual.bmp"), TRUE, "IPD image verified")
		[ ] 
		[+] // Step 7: Sign In using different ID and select a company 
			[ ] sID = "cbanerjee+qa03@qbn.intuit.com"
			[ ] sPwd = "Intuit01"
			[ ] sComp = "POS_CLOUD"
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.SignIn.Click ()
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.UserID.SetData (sID)
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.Password.SetData (sPwd)
			[ ] QuickBooksPointOfSale.AuthView.SignIn.Click ()
			[ ] WaitGone (QuickBooksPointOfSale.CircularProgressBar, 20)
			[ ] QuickBooksPointOfSale.AuthView.SelectCompany (sComp)
		[ ] 
		[+] // Result 6: Verify a Confirmation dialog appears
			[ ] sMessage1= "Your company file was previously connected to"
			[ ] sMessage2 = "We recommend that you create a new Point of Sale company file and proceed with account sign-in, or click Cancel and choose another account."
			[ ] QuickBooksPointOfSale.Confirmation.VerifyMessage (sMessage1)
			[ ] QuickBooksPointOfSale.Confirmation.VerifyMessage (sMessage2)
		[ ] 
		[+] // Step 8: Click 'Cancel'
			[ ] QuickBooksPointOfSale.Confirmation.Cancel.Click ()
		[ ] 
		[+] // Step 9: Choose another company
			[ ] sComp = "POS_CLOUD"
			[ ] QuickBooksPointOfSale.AuthView.SelectCompany (sComp)
		[ ] 
		[+] // Result 8: Verify a Confirmation dialog appears
			[ ] sMessage1= "Your company file was previously connected to"
			[ ] sMessage2 = "We recommend that you create a new Point of Sale company file and proceed with account sign-in, or click Cancel and choose another account."
			[ ] QuickBooksPointOfSale.Confirmation.VerifyMessage (sMessage1)
			[ ] QuickBooksPointOfSale.Confirmation.VerifyMessage (sMessage2)
		[ ] 
		[+] // Step 10: Click 'OK'
			[ ] QuickBooksPointOfSale.Confirmation.OK.Click ()
		[ ] 
		[+] // Result 9: Verifying payments tab is in connected state
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.IPDLink.CaptureBitmap ("c:\IPDConnectedActual.bmp")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.Yes.IsChecked, TRUE, "Would you like to accept credit and debit cards' is set to 'Yes'")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.AccountStatusConnected.Exists (), TRUE, "Account status shows 'Connected'")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.SignOut.IsEnabled, TRUE, "'Sign Out' is present and enabled")
			[ ] VerifySafely (SYS_CompareBitmap ("C:\QAP\POS\Expected\IPDConnectedExpected.bmp", "c:\IPDConnectedActual.bmp"), TRUE, "IPD image verified")
	[ ] 
	[+] // CLEAN UP
		[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
[ ] 
