﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying entering Invalid User Id or Password shows relavant message
	[+] // Test Steps:
		[ ] // 1. Goto File -> Set Up Interview (Result 1)
		[ ] // 2. Select 'Payments' tab and check 'Yes' on 'Would you like to accept credit and debit cards' (Result 2)
		[ ] // 3. Click 'Sign in' (Result 3)
		[ ] // 4. Enter invalid Email and invalid Password (Result 4)
		[ ] // 5. Click 'Sign In' (Result 5)
		[ ] // 6. Enter valid Email and invalid Password, and click 'Sign In' (Result 6)
		[ ] // 7. Enter invalid Email and valid Password, and click 'Sign In' (Result 7)
	[+] // Expected Result:
		[ ] // 1. Verify Set Up Interview dialog opens up
		[ ] // 2. Verify 'Sign In' is enabled
		[ ] // 3. Verify 'Sign In to Intuit Payment Account' dialog is displayed
		[ ] // 4. Verify 'Sign In' button is enabled on entrying the details
		[ ] // 5. Verify 'E-mail or Password is invalid' message appears
		[ ] // 6. Verify 'E-mail or Password is invalid' message appears
		[ ] // 7. Verify 'E-mail or Password is invalid' message appears
[ ] // TESTCASE::PaymentsTabInvalidData
[ ] // ATC ID::POS_FILE_ATC_037
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::PaymentsTabInvalidData.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase PaymentsTabInvalidData ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sInvalidEmail, sInvalidPwd, sMessage
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Goto File -> Set Up Interview
			[ ] QuickBooksPointOfSale.File.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.File.SetupInterview.Click ()
		[ ] 
		[+] // Result 1: Verify Set Up Interview dialog opens up
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Exists (5), TRUE, "Set Up Interview dialog open")
		[ ] 
		[+] // Step 2: Select 'Payments' tab and check 'Yes' on 'Would you like to accept credit and debit cards'
			[ ] QuickBooksPointOfSale.SetupInterview.Select ("Payments")
			[ ] wait (2)
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.Yes.Click ()
		[ ] 
		[+] // Result 2: Verify 'Sign In' is enabled
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.SignIn.IsEnabled, TRUE, "'Sign In' is enabled")
		[ ] 
		[+] // Step 3: Click 'Sign in'
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.SignIn.Click ()
		[ ] 
		[+] // Result 3: Verify 'Sign In to Intuit Payment Account' dialog is displayed
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.IntuitPaymentAccount.Exists (5), TRUE, "'Sign In to Intuit Payment Account' appears")
			[ ] Verifysafely (QuickBooksPointOfSale.AuthView.AuthLogin.UserID.IsFocused (), TRUE, "Focus is on the E-Mail Id field")
			[ ] Verifysafely (QuickBooksPointOfSale.AuthView.SignIn.IsEnabled, FALSE, "'Sign In' is disabled")
		[ ] 
		[+] // Step 4: Enter invalid Email and invalid Password 
			[ ] sInvalidEmail = "abc@ymail.com"
			[ ] sInvalidPwd = "Pawerd"
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.UserID.SetData (sInvalidEmail)
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.Password.SetData (sInvalidPwd)
		[ ] 
		[+] // Result 4: Verify 'Sign In' button is enabled on entrying the details
			[ ] Verifysafely (QuickBooksPointOfSale.AuthView.SignIn.IsEnabled, TRUE, "'Sign In' is Enabled on entering Email and Password")
		[ ] 
		[+] // Step 5: Click 'Sign In'
			[ ] QuickBooksPointOfSale.AuthView.SignIn.Click ()
		[ ] 
		[+] // Result 5: Verify 'E-mail or Password is invalid' message appears
			[ ] sMessage = "E-mail or Password is invalid"
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.AuthLogin.InvalidMessage.GetMessage (), sMessage, "'{sMessage}' message occurs")
		[ ] 
		[+] // Step 6: Enter valid Email and invalid Password, and click 'Sign In'
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.UserID.SetData (sMASCloudUID)
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.Password.SetData (sInvalidPwd)
			[ ] QuickBooksPointOfSale.AuthView.SignIn.Click ()
		[ ] 
		[+] // Result 6: Verify 'E-mail or Password is invalid' message appears
			[ ] sMessage = "E-mail or Password is invalid"
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.AuthLogin.InvalidMessage.GetMessage (), sMessage, "'{sMessage}' message occurs")
		[ ] 
		[+] // Step 7: Enter invalid Email and valid Password, and click 'Sign In'
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.UserID.SetData (sInvalidEmail)
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.Password.SetData (sMASCloudPWD)
			[ ] QuickBooksPointOfSale.AuthView.SignIn.Click ()
		[ ] 
		[+] // Result 7: Verify 'E-mail or Password is invalid' message appears
			[ ] sMessage = "E-mail or Password is invalid"
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.AuthLogin.InvalidMessage.GetMessage (), sMessage, "'{sMessage}' message occurs")
	[ ] 
	[+] // CLEAN UP
		[ ] QuickBooksPointOfSale.AuthView.Close.Click ()
		[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
[ ] 
