﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying logging-In cases: (i) ID which has POS enabled files and (ii) ID which has no POS enabled files(No match scenario)
	[+] // Test Steps:
		[ ] // 1. Goto File -> Set Up Interview 
		[ ] // 2. Select 'Payments' tab, check 'Yes' on 'Would you like to accept credit and debit cards' and click 'Sign In' 
		[ ] // 3. Enter valid Email and Password, and click 'Sign In' (Result 1)
		[ ] // 4. Select a Company (Result 2)
		[ ] // 5. Click 'Sign Out'
		[ ] // 6. Sign In again using different ID which has no POS enabled files (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify 'Sign In to Intuit Payment Account' dialog is displayed with all POS enabled realms listed
		[ ] // 2. Verifying Account status shows 'Connected'
		[ ] // 3. Verify proper Message displayed
[ ] // TESTCASE::PaymentsTabNoMatch
[ ] // ATC ID::POS_FILE_ATC_039
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::PaymentsTabNoMatch.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase PaymentsTabNoMatch ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sID, sPwd
		[ ] LIST OF STRING lsListOfPOSEnabledFiles
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Goto File -> Set Up Interview
			[ ] QuickBooksPointOfSale.File.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.File.SetupInterview.Click ()
		[ ] 
		[+] // Step 2: Select 'Payments' tab, check 'Yes' on 'Would you like to accept credit and debit cards' and click 'Sign In'
			[ ] QuickBooksPointOfSale.SetupInterview.Select ("Payments")
			[ ] wait (2)
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.Yes.Click ()
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.SignIn.Click ()
		[ ] 
		[+] // Step 3: Enter valid Email and Password, and click 'Sign In'
			[ ] sID = sMASCloudUID
			[ ] sPwd = sMASCloudPWD
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.UserID.SetData (sID)
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.Password.SetData (sPwd)
			[ ] QuickBooksPointOfSale.AuthView.SignIn.Click ()
		[ ] 
		[+] // Result 1: Verify 'Sign In to Intuit Payment Account' dialog is displayed with all POS enabled realms listed
			[+] lsListOfPOSEnabledFiles = {...}
				[ ] "INTUIT, INC."
				[ ] "QA2POS4"
			[ ] WaitGone (QuickBooksPointOfSale.CircularProgressBar, 25)
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.AuthRealm.WeFound.Exists (3), TRUE, "{QuickBooksPointOfSale.AuthView.AuthRealm.WeFound.GetCaption()} msg found")
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.AuthRealm.GetCompanyFiles (), lsListOfPOSEnabledFiles, "'Sign In to Intuit Payment Account' dialog is displayed with all POS enabled realms listed")
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.IfYouHave.Exists (), TRUE, "Message at the bottom is present")
		[ ] 
		[+] // Step 4: Select a Company
			[ ] QuickBooksPointOfSale.AuthView.SelectCompany (sMASCloudCompany)
		[ ] 
		[+] // Result 2: Verifying Account status shows 'Connected'
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.IPDLink.CaptureBitmap ("c:\IPDConnectedActual.bmp")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.Yes.IsChecked, TRUE, "Would you like to accept credit and debit cards' is set to 'Yes'")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.AccountStatusConnected.Exists (), TRUE, "Account status shows 'Connected'")
			[ ] VerifySafely (SYS_CompareBitmap ("C:\QAP\POS\Expected\IPDConnectedExpected.bmp", "c:\IPDConnectedActual.bmp"), TRUE, "IPD image verified")
		[ ] 
		[+] // Step 5: Click 'Sign Out'
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.SignOut.Click ()
		[ ] 
		[+] // Step 6: Sign In again using different ID which has no POS enabled files
			[ ] sID = "cbanerjee+qa02@qbn.intuit.com"
			[ ] sPwd = "Intuit01"
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.SignIn.Click ()
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.UserID.SetData (sID)
			[ ] QuickBooksPointOfSale.AuthView.AuthLogin.Password.SetData (sPwd)
			[ ] QuickBooksPointOfSale.AuthView.SignIn.Click ()
		[ ] 
		[+] // Result 3: Verify proper Message displayed
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.AuthRealm.NoCompFile.Exists (3), TRUE, "{QuickBooksPointOfSale.AuthView.AuthRealm.NoCompFile.GetCaption()} msg found")
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.IfYouHave.Exists (), TRUE, "Message at the bottom is present")
	[ ] 
	[+] // CLEAN UP
		[ ] QuickBooksPointOfSale.AuthView.Close.Click ()
		[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
[ ] 
