﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying various paths of navigating to "Set Up interview' and verifying the UI of Payments tab when not connected, 
	[ ] // and also verifying the IPD message on home page
	[+] // Test Steps:
		[ ] // 1. Goto File -> Set Up Interview (Result 1)
		[ ] // 2. Click 'Done' and goto Navigator-> Operations -> Preferences-> Set Up Interview (Result 2)
		[ ] // 3. Click 'Done', click 'Cloud' on home page header and in Cloud Widget click "Activate payments' link (Result 3 and 4)
		[ ] // 4. Click on 'Edit Settings' link (Result 5 and 6)
		[ ] // 5. Goto File -> Set Up Interview-> Payments Tab, check 'Yes' and click 'Done' (Result 7)
	[+] // Expected Result:
		[ ] // 1. Verify Set Up Interview dialog opens up with Receipt tab selected
		[ ] // 2. Verify Set Up Interview dialog opens up with Receipt tab selected
		[ ] // 3. Verify Set Up Interview dialog opens up with Payments tab selected
		[ ] // 4. Verifying payments tab UI when not connected
		[ ] // 5. Verify Edit Settings pop up appears and 'Accept debit/ATM card payments' is checked by default
		[ ] // 6. Verify Accept Credit Card IPD is present at bottom bar in Home page just below navigator screen
		[ ] // 7. Verify Accept Credit Card IPD is not present in the Home page
[ ] // TESTCASE::PaymentsTabNotConnected
[ ] // ATC ID::POS_FILE_ATC_036
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::PaymentsTabNotConnected.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase PaymentsTabNotConnected ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Goto File -> Set Up Interview
			[ ] QuickBooksPointOfSale.File.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.File.SetupInterview.Click ()
		[ ] 
		[+] // Result 1: Verify Set Up Interview dialog opens up with Receipt tab selected
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Exists (5), TRUE, "Set Up Interview dialog open")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Tab.Receipt.IsSelected, TRUE, "By default Receipt tab is selected")
		[ ] 
		[+] // Step 2: Click 'Done' and goto Navigator-> Operations -> Preferences-> Set Up Interview
			[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.Dashboard.SideButtons.EndOfDay, "IsEnabled", TRUE, 8)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.DropDown.SetupInterview, 5)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Operations.Preferences.DropDown.SetupInterview.Click ()
		[ ] 
		[+] // Result 2: Verify Set Up Interview dialog opens up with Receipt tab selected
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Exists (5), TRUE, "Set Up Interview dialog open")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Tab.Receipt.IsSelected, TRUE, "By default Receipt tab is selected")
		[ ] 
		[+] // Step 3: Click 'Done', click 'Cloud' on home page header and in Cloud Widget click "Activate payments' link 
			[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.Dashboard.SideButtons.EndOfDay, "IsEnabled", TRUE, 8)
			[ ] QuickBooksPointOfSale.HomeHeader.Cloud.Click ()
			[ ] VerifySafely (QuickBooksPointOfSale.HomeHeader.CloudWidget.Exists (5), TRUE, "Cloud Widget appears")
			[ ]  QuickBooksPointOfSale.HomeHeader.CloudWidget.ActivatePaymentsLink.Click ()
		[ ] 
		[+] // Result 3: Verify Set Up Interview dialog opens up with Payments tab selected
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Exists (5), TRUE, "Set Up Interview dialog open")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Tab.Payments.IsSelected, TRUE, "Payments tab is selected")
		[ ] 
		[+] // Result 4: Verifying payments tab UI when not connected
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.IPDLink.CaptureBitmap ("c:\IPDNotConnectedActual.bmp")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.No.IsChecked , TRUE, "'Would you like to accept credit and debit cards' is set to 'NO'")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.AccountStatusNotLinked.Exists (), TRUE, "Account status shows 'Not Linked'")
			[ ] //VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.AccountStatusNotLinked.IsEnabled, FALSE, "Account status 'Not Linked' is garyed out")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.AccountDetails.GetAccountDeatails (), "Payments Preferences", "Account Details is empty")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.SignIn.IsEnabled, FALSE, "'Sing In' is disabled")
			[ ] VerifySafely (SYS_CompareBitmap ("C:\QAP\POS\Expected\IPDNotConnectedExpected.bmp", "c:\IPDNotConnectedActual.bmp"), TRUE, "IPD image verified")
		[ ] 
		[+] // Step 4: Click on 'Edit Settings' link
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.PaymentPreferencesEditSettings.Click ()
		[ ] 
		[+] // Result 5: Verify Edit Settings pop up appears and 'Accept debit/ATM card payments' is checked by default
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.PaymentPreferencesEditSettings.Popup.Exists (3), TRUE, "Edit Settings pop up appears")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.PaymentPreferencesEditSettings.Popup.AcceptDebitATMCard.IsChecked, TRUE, "'Accept debit/ATM card payments' is checked by default")
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.No.Click ()
			[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
		[ ] 
		[+] // Result 6: Verify Accept Credit Card IPD is present at bottom bar in Home page just below navigator screen
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.IPDMessage.CaptureBitmap ("c:\IPDImageActual.bmp")
			[ ] VerifySafely (SYS_CompareBitmap ("C:\QAP\POS\Expected\IPDImageExpected.bmp", "c:\IPDImageActual.bmp"), TRUE, "IPD image on home page verified")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.IPDMessage.IPDMessage1.Exists (), TRUE, "{QuickBooksPointOfSale.Dashboard.Widgets.IPDMessage.IPDMessage1.GetCaption ()}, message present") 
		[ ] 
		[+] // Step 5: Goto File -> Set Up Interview-> Payments Tab, check 'Yes' and click 'Done'
			[ ] QuickBooksPointOfSale.File.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.File.SetupInterview.Click ()
			[ ] QuickBooksPointOfSale.SetupInterview.Select ("Payments")
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.Yes.Click ()
			[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
		[ ] 
		[+] // Result 7: Verify Accept Credit Card IPD is not present in the Home page
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.IPDMessage.Exists (10), FALSE, "IPD Image not present")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.IPDMessage.IPDMessage1.Exists (), FALSE, "IPD message not present") 
	[ ] 
	[+] // CLEAN UP
		[ ] // Clean Up not required
[ ] 
