﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying payments tab after (i) Restoring V11 company with payments setup and (ii) Creating new company
	[+] // Test Steps:
		[ ] // 1. Restore a V11 company with Mas setup
		[ ] // 2. Goto File -> Set Up Interview and select 'Payments' tab (Result 1)
		[ ] // 3. Click 'Sign Out' and click 'Done'
		[ ] // 4. Create a new company file
		[ ] // 5. Goto File -> Set Up Interview and select 'Payments' tab (Result 2)
		[ ] // 6. Click 'Sign In' (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify MAS is connected
		[ ] // 2. Verify 'Yes' is selected and 'Intuit Payment Service' IPD displayed
		[ ] // 3. Verify 'Sign In to Intuit Payment Account' dialog is displayed
[ ] // TESTCASE::PaymentsTabRestoreAndCreate
[ ] // ATC ID::POS_FILE_ATC_040
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1_MASON.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::PaymentsTabRestoreAndCreate.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase PaymentsTabRestoreAndCreate ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewCompanyRec ncr
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1_MASON.qpb"
		[ ] ncr = {}
	[ ] 
	[+] // STEPS
		[+] // Step 1: Restore a V11 company with Mas setup
			[ ] UpdateCompanyFile (sCompanyFile)
		[ ] 
		[+] // Step 2: Goto File -> Set Up Interview and select 'Payments' tab
			[ ] WaitFor (QuickBooksPointOfSale.File, 10)
			[ ] QuickBooksPointOfSale.File.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.File.SetupInterview.Click ()
			[ ] QuickBooksPointOfSale.SetupInterview.Select ("Payments")
			[ ] wait (2)
		[ ] 
		[+] // Result 1: Verify MAS is connected
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.IPDLink.CaptureBitmap ("c:\IPDConnectedActual.bmp")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.Yes.IsChecked, TRUE, "Would you like to accept credit and debit cards' is set to 'Yes'")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.AccountStatusConnected.Exists (), TRUE, "Account status shows 'Connected'")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.AccountDetails.GetAccountDeatails (), "{sMASCloudCompany}", "Company Detail displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.MerchAccNum.GetAccountNum (),  "{sMerchantAccountNumber}", "Account Number displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.SignOut.IsEnabled, TRUE, "'Sign Out' is present and enabled")
			[ ] VerifySafely (SYS_CompareBitmap ("C:\QAP\POS\Expected\IPDConnectedExpected.bmp", "c:\IPDConnectedActual.bmp"), TRUE, "IPD image verified")
		[ ] 
		[+] // Step 3: Click 'Sign Out' and click 'Done'
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.SignOut.Click ()
			[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
		[ ] 
		[+] // Step 4: Create a new company file
			[ ] ncr.RemoteStore = FALSE
			[ ] ncr.sCompanyName = "POSNew5"
			[ ] CreateNewCompany (ncr)
		[ ] 
		[+] // Step 5: Goto File -> Set Up Interview and select 'Payments' tab
			[ ] QuickBooksPointOfSale.File.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.File.SetupInterview.Click ()
			[ ] QuickBooksPointOfSale.SetupInterview.Select ("Payments")
			[ ] wait (2)
		[ ] 
		[+] // Result 2: Verify 'Yes' is selected and 'Intuit Payment Service' IPD displayed
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.IPDLink.CaptureBitmap ("c:\IPDNotConnectedActual.bmp")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.Yes.IsChecked, TRUE, "Would you like to accept credit and debit cards' is set to 'Yes'")
			[ ] VerifySafely (SYS_CompareBitmap ("C:\QAP\POS\Expected\IPDNotConnectedExpected.bmp", "c:\IPDNotConnectedActual.bmp"), TRUE, "IPD image verified")
		[ ] 
		[+] // Step 6: Click 'Sign In'
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.SignIn.Click ()
		[ ] 
		[+] // Result 3: Verify 'Sign In to Intuit Payment Account' dialog is displayed
			[ ] Verifysafely (QuickBooksPointOfSale.AuthView.AuthLogin.Exists (5), TRUE, "'Sign In to Intuit Payment Account' dialog displayed")
	[ ] 
	[+] // CLEAN UP
		[ ] QuickBooksPointOfSale.AuthView.Close.Click ()
		[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
[ ] 
