﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying Payments tab UI after restoring V10 file with MAS ON.
	[+] // Test Steps:
		[ ] // 1. Goto File -> Set Up Interview and select 'Payments' tab (Result 1)
		[ ] // 2. Click 'Sign In' (Result 2)
	[+] // Expected Result:
		[ ] // 1. Verifying payments tab UI
		[ ] // 2. Verify 'Sign In to Intuit Payment Account' dialog is displayed with appropriate messages
[ ] // TESTCASE::PaymentsTabV10Upgarde
[ ] // ATC ID::POS_FILE_ATC_042
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\v10GCMAS.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::PaymentsTabV10Upgarde.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase PaymentsTabV10Upgarde ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "v10GCMAS.qpb" // Restore V10 file with MAS on
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Goto File -> Set Up Interview and select 'Payments' tab
			[ ] QuickBooksPointOfSale.File.OpenSubmenu ()
			[ ] QuickBooksPointOfSale.File.SetupInterview.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.SetupInterview, 5)
			[ ] QuickBooksPointOfSale.SetupInterview.Select ("Payments")
		[ ] 
		[+] // Result 1: Verifying payments tab UI
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.IPDLink.CaptureBitmap ("c:\IPDUpgradeActual.bmp")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.Yes.IsChecked , TRUE, "'Would you like to accept credit and debit cards' is set to 'Yes'")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.AccountStatusNotLinked.Exists (), TRUE, "Account status shows 'Not Linked'")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.AccountDetails.GetAccountDeatails (), "Payments Preferences", "Account Details is empty")
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.SetupPayments.SignIn.IsEnabled, TRUE, "'Sing In' is enabled")
			[ ] VerifySafely (SYS_CompareBitmap ("C:\QAP\POS\Expected\IPDUpgradeExpected.bmp", "c:\IPDUpgradeActual.bmp"), TRUE, "IPD image verified")
		[ ] 
		[+] // Step 2: Click 'Sign In'
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.SignIn.Click ()
		[ ] 
		[+] // Result 2: Verify 'Sign In to Intuit Payment Account' dialog is displayed with appropriate messages
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.Exists (5), TRUE, "'Sign In to Intuit Payment Account' appears")
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.AuthLogin.InThisVersion.Exists (), TRUE," {QuickBooksPointOfSale.AuthView.AuthLogin.InThisVersion.GetCaption ()} message appears")
			[ ] VerifySafely (QuickBooksPointOfSale.AuthView.AuthLogin.anIntuitPayments.Exists (), TRUE, "{QuickBooksPointOfSale.AuthView.AuthLogin.anIntuitPayments.GetCaption ()} message appears")
	[ ] 
	[+] // CLEAN UP
		[ ] QuickBooksPointOfSale.AuthView.Close.Click ()
		[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
[ ] 
