﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying preference setting for associating  pictures with inventory items.
	[+] // Test Steps:
		[ ] // 1. Open new item form (Result 1)
		[ ] // 2. Invoke Preferences -> Company Preferences
		[ ] // 3. Select 'Inventory'
		[ ] // 4. Check the option "I Want To Associate Pictures With My Inventory Items" and click 'Save'
		[ ] // 5. Open new item form (Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify image field is not present in inventory form
		[ ] // 2. Verify the image field is added to inventory form
[ ] // TESTCASE::Prefs_AssociatePicWithInvItems
[ ] // ATC ID::POS_FILE_ATC_029
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_AssociatePicWithInvItems.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_AssociatePicWithInvItems () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sPriceLevel, sMarkdown, sPrice
		[ ] NewItemRec nir
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open new item form
			[ ] Items.ItemsList.AddInventoryItem.Invoke ()
			[ ] WaitFor (Items.ItemsList.AddInventoryItem, 30)
		[ ] 
		[+] // Result 1: Verify image field is not present in inventory form
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.Image.Exists (3), FALSE, "No Image field found")
			[ ] Items.ItemsList.AddInventoryItem.Cancel.Click ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 2: Invoke Preferences -> Company Preferences
			[ ] Preferences.CompanyPreferences.Invoke ()
		[ ] 
		[+] // Step 3: Select 'Inventory'
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Inventory")
		[ ] 
		[+] // Step 4: Check the option "I Want To Associate Pictures With My Inventory Items" and click 'Save'
			[ ] Preferences.CompanyPreferences.PageList.Inventory.InventoryItemPictures.IWantToAssociatePicturesWithMyInvItems.Click ()
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 5: Open new item form
			[ ] Items.ItemsList.AddInventoryItem.Invoke ()
			[ ] WaitFor (Items.ItemsList.AddInventoryItem, 30)
		[ ] 
		[+] // Result 2: Verify the image field is added to inventory form
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.Image.Exists (3), TRUE, "Image field added to item form")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.AddInventoryItem.Cancel.Exists (3)
			[ ] Items.ItemsList.AddInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
