﻿[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify serial number tracking
	[+] // Test Steps:
		[ ] // Step 1: Invoke preferences 
		[ ] // Step 2: Select 'Layaway' and add  new layaway status
		[ ] // Step 3: Select 'Sales Order' and add  new SO status
		[ ] // Step 4: Select 'Work Order' and add  new WO status
		[ ] // Step 5: Invoke new LA
		[ ] // Step 6: Invoke new SO
		[ ] // Step 7: Invoke new WO
		[ ] // Step 8: Invoke preferences 
		[ ] // Step 9: Select 'Layaway' and remove  new layaway status
		[ ] // Step 10: Select 'Sales Order' and remove  new SO status
		[ ] // Step 11: Select 'Work Order' and remove  new WO status
		[ ] // Step 12: Invoke new LA
		[ ] // Step 13: Invoke new SO
		[ ] // Step 14: Invoke new WO
	[+] // Expected Result:
		[ ] // Result 1: Verify new LA status is avavailable for selection
		[ ] // Result 2: Verify new SO status is avavailable for selection
		[ ] // Result 3: Verify new WO status is avavailable for selection
		[ ] // Result 4: Verify new LA status is avavailable for selection
		[ ] // Result 5: Verify new SO status is avavailable for selection
		[ ] // Result 6: Verify new WO status is avavailable for selection
[ ] // TESTCASE.:SalesReceiptCashPayment
[ ] // ATC ID::POS_SALE_ATC_018
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesReceiptCashPayment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_CustomerOrderStatus ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sNewLAStatus, sNewSOStatus, sNewWOStatus
		[ ] SalesReceiptRec srr
		[ ] LIST OF STRING lsExpectedCOStatus, lsExpectedStatus
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke preferences 
			[ ] Preferences.CompanyPreferences.Invoke ()
		[ ] 
		[+] // Step 2: Select 'Layaway' and add  new layaway status
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Layaways")
			[ ] sNewLAStatus = "NLAS"
			[ ] Preferences.CompanyPreferences.PageList.Layaway.LayawayStatus.AddStatus (sNewLAStatus)
		[ ] 
		[+] // Step 3: Select 'Sales Order' and add  new SO status
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Sales Orders")
			[ ] sNewSOStatus = "NSOS"
			[ ] Preferences.CompanyPreferences.PageList.SO.SalesOrderStatus.AddStatus (sNewSOStatus)
		[ ] 
		[+] // Step 4: Select 'Work Order' and add  new WO status
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Work Orders")
			[ ] sNewWOStatus = "NWOS"
			[ ] Preferences.CompanyPreferences.PageList.WO.WorkOrderStatus.AddStatus (sNewWOStatus)
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 5: Invoke new LA
			[ ] Layaway.NewLayaway.Invoke ()
		[ ] 
		[+] // Result 1: Verify new LA status is avavailable for selection
			[+] lsExpectedStatus = {...}
				[ ] "Open"
				[ ] "Pending"
				[ ] "Closed"
				[ ] sNewLAStatus
			[ ] VerifySafely (Layaway.NewLayaway.PageList.Status.GetContents (), lsExpectedStatus, "Layaway status added in preferences available for selection")
			[ ] Layaway.BottomBar.Cancel.Click ()
			[+] if LayawayInProgress.Exists (2)
				[ ] LayawayInProgress.Yes.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 6: Invoke new SO
			[ ] SalesOrder.NewSalesOrder.Invoke ()
		[ ] 
		[+] // Result 2: Verify new SO status is avavailable for selection
			[+] lsExpectedStatus = {...}
				[ ] "Open"
				[ ] "Pending"
				[ ] "Closed"
				[ ] sNewSOStatus
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.Status.GetContents (), lsExpectedStatus, "SalesOrder status added in preferences available for selection")
			[ ] SalesOrder.BottomBar.Cancel.Click ()
			[+] if SalesOrderInProgress.Exists (2)
				[ ] SalesOrderInProgress.Yes.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 7: Invoke new WO
			[ ] WorkOrder.NewWorkOrder.Invoke ()
		[ ] 
		[+] // Result 3: Verify new WO status is avavailable for selection
			[+] lsExpectedStatus = {...}
				[ ] "Open"
				[ ] "Pending"
				[ ] "Closed"
				[ ] sNewWOStatus
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.Status.GetContents (), lsExpectedStatus, "WorkOrder status added in preferences available for selection")
			[ ] WorkOrder.BottomBar.Cancel.Click ()
			[+] if WorkOrderInProgress.Exists (2)
				[ ] WorkOrderInProgress.Yes.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 8: Invoke preferences 
			[ ] Preferences.CompanyPreferences.Invoke ()
		[ ] 
		[+] // Step 9: Select 'Layaway' and remove  new layaway status
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Layaways")
			[ ] Preferences.CompanyPreferences.PageList.Layaway.LayawayStatus.RemoveStatus (sNewLAStatus)
		[ ] 
		[+] // Step 10: Select 'Sales Order' and remove  new SO status
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Sales Orders")
			[ ] Preferences.CompanyPreferences.PageList.SO.SalesOrderStatus.RemoveStatus (sNewSOStatus)
		[ ] 
		[+] // Step 11: Select 'Work Order' and remove  new WO status
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Work Orders")
			[ ] Preferences.CompanyPreferences.PageList.WO.WorkOrderStatus.RemoveStatus (sNewWOStatus)
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 12: Invoke new LA
			[ ] Layaway.NewLayaway.Invoke ()
		[ ] 
		[+] // Result 4: Verify new LA status is avavailable for selection
			[+] lsExpectedStatus = {...}
				[ ] "Open"
				[ ] "Pending"
				[ ] "Closed"
			[ ] VerifySafely (Layaway.NewLayaway.PageList.Status.GetContents (), lsExpectedStatus, "Layaway status added in preferences available for selection")
			[ ] Layaway.BottomBar.Cancel.Click ()
			[+] if LayawayInProgress.Exists (2)
				[ ] LayawayInProgress.Yes.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 13: Invoke new SO
			[ ] SalesOrder.NewSalesOrder.Invoke ()
		[ ] 
		[+] // Result 5: Verify new SO status is avavailable for selection
			[+] lsExpectedStatus = {...}
				[ ] "Open"
				[ ] "Pending"
				[ ] "Closed"
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.Status.GetContents (), lsExpectedStatus, "SalesOrder status added in preferences available for selection")
			[ ] SalesOrder.BottomBar.Cancel.Click ()
			[+] if SalesOrderInProgress.Exists (2)
				[ ] SalesOrderInProgress.Yes.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 14: Invoke new WO
			[ ] WorkOrder.NewWorkOrder.Invoke ()
		[ ] 
		[+] // Result 6: Verify new WO status is avavailable for selection
			[+] lsExpectedStatus = {...}
				[ ] "Open"
				[ ] "Pending"
				[ ] "Closed"
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.Status.GetContents (), lsExpectedStatus, "WorkOrder status added in preferences available for selection")
	[ ] 
	[+] // CLEAN UP
		[ ] WorkOrder.BottomBar.Cancel.Click ()
		[+] if WorkOrderInProgress.Exists (2)
			[ ] WorkOrderInProgress.Yes.Click ()
		[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
[ ] 
