﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify changing default tax location
	[+] // Test Steps:
		[ ] // Step 1: Invoke preferences and select Sales Tax and click on Add New Tax Location (Result 1)
		[ ] // Step 2: Enter new Tax location name and click on OK, then click on Edit Tax Code (Result 2)
		[ ] // Step 3: Set Various details and save 
		[ ] // Step 4: Select Deafult Tax location as the new tax location and save
		[ ] // Step 5: Invoke new sales receipt ,Enter the items on the sales receipt and get the total (Result 3)
	[+] // Expected Result:
		[ ] // Result 1: Verify new Tax location dialog is displayed
		[ ] // Result 2: Verify Edit Tax code dialog is displayed
		[ ] // Result 3: Verify tax rate applied is as per new tax location
[ ] // TESTCASE::Prefs_DefaultTaxLocation
[ ] // ATC ID::POS_SALE_ATC_034
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_DefaultTaxLocation.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_DefaultTaxLocation ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sTaxLocation, sSubTotal, sNewTaxLocation, sTaxRate
		[ ] SalesReceiptRec srrSale
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke preferences and select Sales Tax and click on Add New Tax Location
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Collapse ("Sales")
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Sales Tax")
			[ ] Preferences.CompanyPreferences.PageList.SalesTax.Taxes.AddTaxLocation.AddTaxLocation.Click ()
		[ ] 
		[+] // Result 1: Verify new Tax location dialog is displayed
			[ ] VerifySafely (AddTaxLocation.Exists (2), TRUE, "Add tax location dialog displyed")
		[ ] 
		[+] // Step 2: Enter new Tax location name and click on OK, then click on Edit Tax Code
			[ ] sNewTaxLocation = "GVC"
			[ ] AddTaxLocation.TaxLocationName.SetText (sNewTaxLocation)
			[ ] AddTaxLocation.OK.Click ()
			[ ] Preferences.CompanyPreferences.PageList.SalesTax.Taxes.TL2Tax.EditTaxCode.Click ()
		[ ] 
		[+] // Result 2: Verify Edit Tax code dialog is displayed
			[ ] VerifySafely (EditTaxCode.Exists (2), TRUE, "Edit tax code dialog displyed")
		[ ] 
		[+] // Step 3: Set Various details and save 
			[ ] sTaxRate = "10"
			[ ] EditTaxCode.Next.Click ()
			[ ] EditTaxCode.PageList.Sheet2.TaxOptions.SingleRateTax.Click ()
			[ ] EditTaxCode.Next.Click ()
			[ ] EditTaxCode.PageList.Sheet3.TaxRate.SetText (sTaxRate)
			[ ] EditTaxCode.Finish.Click ()
		[ ] 
		[+] // Step 4: Select Deafult Tax location as the new tax location and save
			[ ] Preferences.CompanyPreferences.PageList.SalesTax.DefaultTax.DefaultTaxLocation.Select (sNewTaxLocation)
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 5: Invoke new sales receipt ,Enter the items on the sales receipt and get the total
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.ldir = {...}
				[ ] {"InvItem1"}
			[ ] CreateSalesReceipt (srrSale)
			[ ] sSubTotal = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
		[ ] 
		[+] // Result 3: Verify tax rate applied is as per new tax location
			[ ] SalesReceipt.Sale.SaleItems.ItemGrid.SelectItem ("InvItem1")
			[ ] VerifySafely (sSubTotal, "110.00", "New tax location applied by default")
	[ ] 
	[+] // CLEANUP
		[+] if SalesReceipt.Sale.Cancel.Exists (2)
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[+] if SalesReceipt.Confirmation.Exists (2)
				[ ] SalesReceipt.Confirmation.DiscardChanges.Click ()
		[+] if SalesHistory.SalesList.Topbar.Home.Exists (3)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
