﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify disabling general features in preferences
	[+] // Test Steps:
		[ ] // 1: Go to preferences and uncheck all features under General->Delect Features to use (Result 1)
		[ ] // 2: Open Add New Inventory item (Result 2)
		[ ] // 3: Open new Sales Receipt (Result 3)
		[ ] // 4: Go to peferences and check IWant to track customers (Result 4)
	[+] // Expected Result:
		[ ] // 1: Verify unchecked features are not present
		[ ] // 2: Verify Styles is disabled
		[ ] // 3: Verify customer field is not present
		[ ] // 4: Verify customer tracking is enabled
[ ] // TESTCASE::Prefs_GeneralFeaturesToUse
[ ] // ATC ID::POS_FILE_ATC_018
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_GeneralFeaturesToUse.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_GeneralFeaturesToUse ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Go to preferences and uncheck all features under General->Select Features to use
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("General")
			[ ] Preferences.CompanyPreferences.PageList.General.SelectFeaturesToUse.IWantToTrackCustomers.Uncheck ()
			[+] if sSKU != "BASIC"
				[ ] Preferences.CompanyPreferences.PageList.General.SelectFeaturesToUse.ICreatePurchaseOrdersWhen.Uncheck ()
				[ ] Preferences.CompanyPreferences.PageList.General.SelectFeaturesToUse.IWantToTrackEmployeeHours.Uncheck ()
				[ ] Preferences.CompanyPreferences.PageList.General.SelectFeaturesToUse.IWantToUseStylesToHelp.Uncheck ()
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Result 1: Verify unchecked features are not present
			[ ] QuickBooksPointOfSale.PointOfSale.OpenSubmenu ()
			[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.NewSalesOrder.IsEnabled, FALSE, "Sales Order disabled")
			[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.NewLayaway.IsEnabled, FALSE, "Layaway disabled")
			[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.NewWorkOrder.IsEnabled, FALSE, "Work Order disabled")
			[ ] QuickBooksPointOfSale.Purchasing.OpenSubmenu ()
			[ ] VerifySafely (QuickBooksPointOfSale.Purchasing.NewPurchaseOrder.IsEnabled, FALSE, "Sales Order disabled")
			[ ] QuickBooksPointOfSale.Employees.OpenSubmenu ()
			[ ] VerifySafely (QuickBooksPointOfSale.Employees.NewEmployeeTimeEntry.IsEnabled, FALSE, "Sales Order disabled")
		[ ] 
		[+] // Step 2: Open Add New Inventory item
			[ ] Items.ItemsList.AddInventoryItem.Invoke ()
		[ ] 
		[+] // Result 2: Verify Styles is disabled
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.ScrollViewer.BasicInfo.Style.Exists (2), FALSE, "Styles disabled in inventory")
		[ ] 
		[+] // Step 3: Open new Sales Receipt
			[ ] Items.ItemsList.AddInventoryItem.Cancel.Click ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 3: Verify customer field is not present
			[ ] VerifySafely (SalesReceipt.Sale.EnterCustomer.Exists (2), FALSE, "Customer field not available in receipt")
		[ ] 
		[+] // Step 4: Go to peferences and check IWant to track customers
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("General")
			[ ] Preferences.CompanyPreferences.PageList.General.SelectFeaturesToUse.IWantToTrackCustomers.Check ()
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Result 4: Verify customer tracking is enabled
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] VerifySafely (SalesReceipt.Sale.EnterCustomer.Exists (2), TRUE, "Customer field available in receipt")
	[ ] 
	[+] // CLEAN UP
			[ ] SalesReceipt.Sale.Cancel.Click ()
[ ] 
