﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying preference setting for Item Number Sequencing with inventory items.
	[+] // Test Steps:
		[ ] // 1. Invoke Preferences -> Company Preferences
		[ ] // 2. Select 'Inventory'
		[ ] // 3. Check the option "Reset Automatic Item Number Sequencing" and click 'Save'
		[ ] // 4. Create a new item with all required details and item number '25'
		[ ] // 5. Open new item form (Result 1)
	[+] // Expected Result:
		[ ] // 1. Verify the item number is automatically set to '26'
[ ] // TESTCASE::Prefs_ItemNumberSequencing
[ ] // ATC ID::POS_FILE_ATC_030
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_ItemNumberSequencing.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_ItemNumberSequencing ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItemNum
		[ ] NewItemRec nir
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Preferences -> Company Preferences
			[ ] Preferences.CompanyPreferences.Invoke ()
		[ ] 
		[+] // Step 2: Select 'Inventory'
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Inventory")
		[ ] 
		[+] // Step 3: Check the option "Reset Automatic Item Number Sequencing" and click 'Save'
			[+] if sSKU != "BASIC"
				[ ] Preferences.CompanyPreferences.PageList.Inventory.ItemNumberSequencing.ResetAutomaticItemNumberSequencing.Click ()
			[+] else
				[ ] Preferences.CompanyPreferences.PageList.Inventory.ItemNumberSequencingBasic.ResetAutomaticItemNumberSequencing.Click ()
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 4: Create a new item with all required details and item number '25'
			[ ] nir = {}
			[ ] nir.sItemName = "Test1"
			[ ] nir.sDepartment = "System"
			[ ] nir.sItemNum = "25"
			[ ] CreateNewItem (nir)
			[ ] WaitFor (Items.ItemsList.Topbar.Add, 30)
		[ ] 
		[+] // Step 5: Open new item form
			[ ] Items.ItemsList.Topbar.Add.Click ()
			[ ] WaitFor (Items.ItemsList.AddInventoryItem, 10)
		[ ] 
		[+] // Result 1: Verify the item number is automatically set to '26'
			[ ] sItemNum = "26"
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.ScrollViewer.MoreInfo.ItemNo.GetLineText (0), sItemNum, "Item number automatically set to '26'")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.AddInventoryItem.Cancel.Exists (3)
			[ ] Items.ItemsList.AddInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.GoBack.Exists (3)
			[ ] Items.ItemsList.GoBack.Click ()
[ ] 
