﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify initial deposit option of Layaway preferences
	[+] // Test Steps:
		[ ] // 1: Invoke preferences and select Suggest an inital deposit under Layaway
		[ ] // 2: Create a new Layaway (Result 1)
		[ ] // 3: Click on Cancel and set preferences for require initial deposit
		[ ] // 4: Create a new Layaway (Result 2)
		[ ] // 5: Click on Cancel (Result 3)
		[ ] // 6: Click on save only and then enter deposit ampunt less than suggested deposit and click ok (Result 4)
		[ ] // 7: Click on OK and take payment (Result 5)
	[+] // Expected Result:
		[ ] // 1: Verify Suggested deposit dialog appears
		[ ] // 2: Verify deposit required dialog appears
		[ ] // 3: Verify new Layaway form still open ->Layaway not saved without deposit
		[ ] // 4: Verify deposit amount set to appropriate amount-> Minimum deposit required
		[ ] // 5: Verify new sales order form is closed
[ ] // TESTCASE::Prefs_Layaway
[ ] // ATC ID::POS_FILE_ATC_023
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_Layaway.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_Layaway () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sInitialDeposit
		[ ] CustomerOrderRec corLA = {}, corLA2 = {}
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke preferences and select Suggest an inital deposit under Layaway
			[ ] sInitialDeposit = "10"
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Layaways")
			[ ] Preferences.CompanyPreferences.PageList.SO.InitialDeposit.SuggestAnInitialDeposit.Click ()
			[ ] Preferences.CompanyPreferences.PageList.SO.InitialDeposit.SuggestDepositAmount.SetText (sInitialDeposit)
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 2: Create a new Layaway
			[+] corLA.ldir = {...}
				[ ] {"InvItem1", "1"}
			[ ] corLA.sCustomer = "Cust1L, Cust1F"
			[ ] CreateLayaway (corLA)
			[ ] Layaway.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Result 1: Verify Suggested deposit dialog appears
			[ ] VerifySafely (SuggestedDeposit.Exists (5), TRUE, "Suggestet Deposit payment dialog is displayed")
		[ ] 
		[+] // Step 3: Click on Cancel and set preferences for require initial deposit
			[ ] SuggestedDeposit.Cancel.Click ()
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Layaways")
			[ ] Preferences.CompanyPreferences.PageList.SO.InitialDeposit.RequireAnInitialDeposit.Click ()
			[ ] Preferences.CompanyPreferences.PageList.SO.InitialDeposit.RequireDepositAmount.SetText (sInitialDeposit)
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 4: Create a new Layaway
			[+] corLA2.ldir = {...}
				[ ] {"InvItem1", "1"}
			[ ] corLA2.sCustomer = "Cust1L, Cust1F"
			[ ] CreateLayaway (corLA2)
			[ ] Layaway.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Result 2: Verify deposit required dialog appears
			[ ] VerifySafely (DepositRequired.Exists (5), TRUE, "Deposit required payment dialog is displayed")
		[ ] 
		[+] // Step 5: Click on Cancel
			[ ] DepositRequired.Cancel.Click ()
		[ ] 
		[+] // Result 3: Verify new Layaway form still open ->SO not saved without deposit
			[ ] VerifySafely (Layaway.NewLayaway.Exists (5), TRUE, "Layaway not saved without deposit")
		[ ] 
		[+] // Step 6: Click on save only and then enter deposit ampunt less than suggested deposit and click ok
			[ ] Layaway.BottomBar.SaveOnly.Click ()
			[ ] DepositRequired.DepositAmount.SetText ("5.00")
			[ ] DepositRequired.OK.Click ()
		[ ] 
		[+] // Result 4: Verify deposit amount set to appropriate amount-> Minimum deposit required
			[ ] VerifySafely (DepositRequired.DepositAmount.GetText (), "10.50", "Deposit required payment dialog is displayed")
		[ ] 
		[+] // Step 7: Click on OK and take payment
			[ ] DepositRequired.OK.Click ()
			[ ] DepositPayment.Typekeys ("<Enter>")
			[ ] DepositPayment.Save.Click ()
		[ ] 
		[+] // Result 5: Verify new Layaway form is closed
			[ ] VerifySafely (Layaway.NewLayaway.Exists (5), FALSE, "Layaway not saved without deposit")
	[ ] 
	[+] // CLEAN UP
		[+] if Layaway.BottomBar.Close.Exists (2)
			[ ] Layaway.BottomBar.Close.Click ()
    
[ ] 
