﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify Layaway numbering
	[+] // Test Steps:
		[ ] // 1: Invoke preferences and Layaway numbering as sequential and set a starting num
		[ ] // 2: Open new Layaway (Result 1)
		[ ] // 3: Click on Cancel and set preferences for <Date> <Sequential Number>"
		[ ] // 4: Open new Layaway (Result 2)
		[ ] // 5: Click on Cancel and set preferences for custom Layaway number format..
		[ ] // 6: Open new Layaway (Result 3)
		[ ] // 7: Click on Cancel and set preferences for "<Last Name> <Sequential Number>"
		[ ] // 8: Open new Layaway and enter a customer (Result 4)
		[ ] // 9: Click on Save and open new Layaway for same customer (Result 5)
	[+] // Expected Result:
		[ ] // 1: Verify Layaway num is starting num
		[ ] // 2: Verify Layaway num is as per set preference
		[ ] // 3: Verify Layaway num is as per custom format
		[ ] // 4: Verify Layaway num is as per se preferences 
		[ ] // 5: Verify Layaway num has incremented as per per format
[ ] // TESTCASE::Prefs_LayawayNumbering
[ ] // ATC ID::POS_FILE_ATC_024
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_LayawayNumbering.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_LayawayNumbering () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sStartingNum, sCustomFormat
		[ ] CustomerOrderRec corLA = {}, corLA2 = {}
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke preferences and LA numbering as sequential and set a starting num
			[ ] sStartingNum = "100"
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Layaways")
			[ ] Preferences.Typekeys ("<Down>")
			[ ] Preferences.CompanyPreferences.PageList.LANumbering.LayawayNumbering.LANumberingMethod.Select ("<Sequential Number>")
			[ ] Preferences.CompanyPreferences.PageList.LANumbering.LayawayNumbering.StartingNumber.SetText (sStartingNum)
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 2: Open new Layaway
			[ ] Layaway.NewLayaway.Invoke ()
		[ ] 
		[+] // Result 1: Verify LA num is starting num
			[ ] VerifySafely (Layaway.NewLayaway.PageList.LayawayNum.GetText (), sStartingNum, "LA number populated correctly")
		[ ] 
		[+] // Step 3: Click on Cancel and set preferences for <Date> <Sequential Number>"
			[ ] Layaway.BottomBar.Cancel.Click ()
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Layaways")
			[ ] Preferences.Typekeys ("<Down>")
			[ ] Preferences.CompanyPreferences.PageList.LANumbering.LayawayNumbering.LANumberingMethod.Select ("<Date> <Sequential Number>")
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 4: Open new Layaway
			[ ] Layaway.NewLayaway.Invoke ()
		[ ] 
		[+] // Result 2: Verify LA num is as per set preference
			[ ] VerifySafely (Layaway.NewLayaway.PageList.LayawayNum.GetText (), "{FormatDateTime (GetDateTime (), "m/d/yyyy")} {sStartingNum}", "LA number populated correctly")
		[ ] 
		[+] // Step 5: Click on Cancel and set preferences for custom LA number format..
			[ ] Layaway.BottomBar.Cancel.Click ()
			[ ] sCustomFormat = "LA <Sequential Number>"
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Layaways")
			[ ] Preferences.Typekeys ("<Down>")
			[ ] Preferences.CompanyPreferences.PageList.LANumbering.LayawayNumbering.LANumberingMethod.Select ("Define custom Layaway number format...")
			[ ] Preferences.CompanyPreferences.PageList.LANumbering.LayawayNumbering.Customize.Click ()
			[ ] Customize.CustomNum.SetText (sCustomFormat)
			[ ] Customize.OK.Click ()
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 6: Open new Layaway
			[ ] Layaway.NewLayaway.Invoke ()
		[ ] 
		[+] // Result 3: Verify LA num is as per custom format
			[ ] VerifySafely (Layaway.NewLayaway.PageList.LayawayNum.GetText (), "LA {sStartingNum}", "LA number populated correctly")
		[ ] 
		[+] // Step 7: Click on Cancel and set preferences for "<Last Name> <Sequential Number>"
			[ ] Layaway.BottomBar.Cancel.Click ()
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Layaways")
			[ ] Preferences.Typekeys ("<Down>")
			[ ] Preferences.CompanyPreferences.PageList.LANumbering.LayawayNumbering.LANumberingMethod.Select ("<Last Name> <Sequential Number>")
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 8: Open new Layaway and enter a customer
			[+] corLA.ldir = {...}
				[ ] {"InvItem1", "1"}
			[ ] corLA.sCustomer = "Cust1L, Cust1F"
			[ ] CreateLayaway (corLA)
		[ ] 
		[+] // Result 4: Verify LA num is as per se preferences
			[ ] VerifySafely (Layaway.NewLayaway.PageList.LayawayNum.GetText (), "Cust1L {sStartingNum}", "LA number populated correctly")
		[ ] 
		[+] // Step 9: Click on Save and open new Layaway for same customer
			[+] corLA2.ldir = {...}
				[ ] {"InvItem1", "1"}
			[ ] corLA2.sCustomer = "Cust1L, Cust1F"
			[ ] Layaway.BottomBar.SaveOnly.Click ()
			[ ] CreateLayaway (corLA2)
		[ ] 
		[+] // Result 5: Verify LA num has incremented as per per format
			[ ] VerifySafely (Layaway.NewLayaway.PageList.LayawayNum.GetText (), "Cust1L {Str (Val (sStartingNum) + 1)}", "LA number populated correctly")
	[ ] 
	[+] // CLEAN UP
		[ ] Layaway.BottomBar.SaveOnly.Click ()
[ ] 
