﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify PO numbering
	[+] // Test Steps:
		[ ] // 1: Invoke preferences and goto PO Numbering and set a starting number
		[ ] // 2: Open new purchase order (Result 1)
		[ ] // 3: Click on Cancel and set preferences for <Date> <Sequential Number>"
		[ ] // 4: Open new purchase order (Result 2)
		[ ] // 5: Click on Cancel and set preferences for custom PO number format..
		[ ] // 6: Open new purchase order (Result 3)
		[ ] // 7: Click on Cancel and set preferences for "<Vendor Name> <Sequential Number>"
		[ ] // 8: Open new purchase order and enter a vendor (Result 4)
		[ ] // 9: Click on Save and open new purchase order for same vendor (Result 5)
	[+] // Expected Result:
		[ ] // 1: Verify PO number is starting num
		[ ] // 2: Verify PO number is as per preference
		[ ] // 3: Verify PO number is as per custom format
		[ ] // 4: Verify PO number is as per preferences 
		[ ] // 5: Verify PO number has incremented as per format
[ ] // TESTCASE::Prefs_PONumbering
[ ] // ATC ID::POS_FILE_ATC_032
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_PONumbering.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_PONumbering () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sStartingNum, sCustomFormat
		[ ] NewPurchaseOrderRec npo1 = {}, npo2 = {}
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke preferences and goto PO Numbering and set a starting number
			[ ] sStartingNum = "100"
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Purchasing")
			[ ] Preferences.CompanyPreferences.PageList.Purchasing.PurchaseOrderNumbering.PONumberingMethod.Select ("<Sequential Number>")
			[ ] Preferences.CompanyPreferences.PageList.Purchasing.PurchaseOrderNumbering.StartingNumber.SetText (sStartingNum)
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 2: Open new purchase order
			[ ] PurchaseOrder.NewPurchaseOrder.Invoke ()
		[ ] 
		[+] // Result 1: Verify PO number is starting number
			[ ] VerifySafely (PurchaseOrder.NewPurchaseOrder.PageList.PONumber.GetText (), sStartingNum, "PO number populated correctly")
		[ ] 
		[+] // Step 3: Click on Cancel and set preferences for "<Date> <Sequential Number>"
			[ ] PurchaseOrder.BottomBar.Cancel.Click ()
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Purchasing")
			[ ] Preferences.CompanyPreferences.PageList.Purchasing.PurchaseOrderNumbering.PONumberingMethod.Select ("<Date> <Sequential Number>")
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 4: Open new purchase order
			[ ] PurchaseOrder.NewPurchaseOrder.Invoke ()
		[ ] 
		[+] // Result 2: Verify PO number is as per preference
			[ ] VerifySafely (PurchaseOrder.NewPurchaseOrder.PageList.PONumber.GetText (), "{FormatDateTime (GetDateTime (), "m/d/yyyy")} {sStartingNum}", "PO number populated correctly")
		[ ] 
		[+] // Step 5: Click on Cancel and set preferences for custom PO number format..
			[ ] PurchaseOrder.BottomBar.Cancel.Click ()
			[ ] sCustomFormat = "PO <Sequential Number>"
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Purchasing")
			[ ] Preferences.CompanyPreferences.PageList.Purchasing.PurchaseOrderNumbering.PONumberingMethod.Select ("Define custom PO number format...")
			[ ] Preferences.CompanyPreferences.PageList.Purchasing.PurchaseOrderNumbering.Customize.Click ()
			[ ] Customize.CustomNum.SetText (sCustomFormat)
			[ ] Customize.OK.Click ()
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 6: Open new purchase order
			[ ] PurchaseOrder.NewPurchaseOrder.Invoke ()
		[ ] 
		[+] // Result 3: Verify PO number is as per custom format
			[ ] VerifySafely (PurchaseOrder.NewPurchaseOrder.PageList.PONumber.GetText (), "PO {sStartingNum}", "PO number populated correctly")
		[ ] 
		[+] // Step 7: Click on Cancel and set preferences for "<Vendor Name> <Sequential Number>"
			[ ] SalesOrder.BottomBar.Cancel.Click ()
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Purchasing")
			[ ] Preferences.CompanyPreferences.PageList.Purchasing.PurchaseOrderNumbering.PONumberingMethod.Select ("<Vendor Name> <Sequential Number>")
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 8: Open new purchase order and enter a vendor
			[+] npo1.ldir = {...}
				[ ] {"InvItem1", "1"}
			[ ] npo1.sVendor = "PVendor1"
			[ ] CreatePurchaseOrder (npo1)
		[ ] 
		[+] // Result 4: Verify PO number is as per se preferences
			[ ] VerifySafely (PurchaseOrder.NewPurchaseOrder.PageList.PONumber.GetText (), "PVendor1 {sStartingNum}", "PO number populated correctly")
		[ ] 
		[+] // Step 9: Click on Save and open new sales order for same vendor
			[+] npo2.ldir = {...}
				[ ] {"InvItem1", "1"}
			[ ] npo2.sVendor = "PVendor1"
			[ ] PurchaseOrder.BottomBar.SaveOnly.Click ()
			[ ] CreatePurchaseOrder (npo2)
		[ ] 
		[+] // Result 5: Verify PO number has incremented as per format
			[ ] VerifySafely (PurchaseOrder.NewPurchaseOrder.PageList.PONumber.GetText (), "PVendor1 {Str (Val (sStartingNum) + 1)}", "PO number populated correctly")
	[ ] 
	[+] // CLEAN UP
		[ ] PurchaseOrder.BottomBar.SaveOnly.Click ()
[ ] 
