﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify disabling various payment options in sales
	[+] // Test Steps:
		[ ] // 1: Invoke preferences and uncheck all payments mode
		[ ] // 2: Open Sales receipt
	[+] // Expected Result:
		[ ] // 1: Verify only cash option is available
[ ] // TESTCASE::Prefs_PaymentOptions
[ ] // ATC ID::POS_EMP_ATC_020
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_PaymentOptions.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_PaymentOptions ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke preferences and uncheck all payments mode
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Receipt Tendering")
			[ ] Preferences.CompanyPreferences.PageList.ReceiptTenders.PaymentMethods.Check.Uncheck ()
			[ ] Preferences.CompanyPreferences.PageList.ReceiptTenders.PaymentMethods.CreditCard.Uncheck ()
			[ ] Preferences.CompanyPreferences.PageList.ReceiptTenders.PaymentMethods.DebitATMCard.Uncheck ()
			[ ] Preferences.CompanyPreferences.PageList.ReceiptTenders.PaymentMethods.GiftCard.Uncheck ()
			[ ] Preferences.CompanyPreferences.PageList.ReceiptTenders.PaymentMethods.GiftCertificate.Uncheck ()
			[ ] Preferences.CompanyPreferences.PageList.ReceiptTenders.PaymentMethods.Account.Uncheck ()
			[ ] Preferences.CompanyPreferences.PageList.ReceiptTenders.PaymentMethods.Deposit.Uncheck ()
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 2: Open Sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify only cash option is available
			[ ] VerifySafely (SalesReceipt.Sale.PaymentButtons.Cash.Exists (2), TRUE, "Cash option available")
			[ ] VerifySafely (SalesReceipt.Sale.PaymentButtons.Check.Exists (2), FALSE, "Check option not available")
			[ ] VerifySafely (SalesReceipt.Sale.PaymentButtons.Credit.Exists (2), FALSE, "Credit option not available")
			[ ] VerifySafely (SalesReceipt.Sale.PaymentButtons.Debit.Exists (2), FALSE, "Debit option not available")
			[ ] VerifySafely (SalesReceipt.Sale.PaymentButtons.Gift.Exists (2), FALSE, "Gift optionnot  available")
			[ ] VerifySafely (SalesReceipt.Sale.PaymentButtons.Account.Exists (2), FALSE, "Account option not available")
		[ ] 
	[ ] 
	[+] // CLEAN UP
		[ ] SalesReceipt.Sale.Cancel.Click ()
[ ] 
