﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying different pricing setup of preference.
	[+] // Test Steps:
		[ ] // 1. Invoke Add Customer Item form (Result 1)
		[ ] // 2. Fill the Customer form with all mandatory fields
		[ ] // 3. Click on Save (Result 2)
		[ ] // 4. Enter name of created customer on Search customer fields of Customer List (Result 3)
		[ ] // 5. Click on Edit (Result 4) (Result 5)
	[+] // Expected Result:
		[ ] // 1. Verify Add Customer Item form appears
		[ ] // 2. Verify Customer List is dispalyed
		[ ] // 3. Verify Edit button is enabled
		[ ] // 4. Verify Edit Customer form is displayed
		[ ] // 5. Verify Customer data save successfully
[ ] // TESTCASE::Prefs_Pricing
[ ] // ATC ID::POS_FILE_ATC_028
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_Pricing.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_Pricing ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sPriceLevel, sMarkdown, sPrice
		[ ] NewItemRec nir
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Preferences -> Company Preferences
			[ ] Preferences.CompanyPreferences.Invoke ()
		[ ] 
		[+] // Step 2: Select 'Pricing'
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Pricing")
		[ ] 
		[+] // Step 3: Change the default price level, markdown price for the same price level and click 'save'
			[ ] sPriceLevel = "Sale"
			[ ] sMarkdown = "5"
			[ ] Preferences.CompanyPreferences.PageList.Pricing.DefaultPrice.DefaultPriceName.Select (sPriceLevel)
			[ ] Preferences.CompanyPreferences.PageList.Pricing.PriceLevels.PriceLevelName1.SetText (sPriceLevel)
			[ ] Preferences.CompanyPreferences.PageList.Pricing.PriceLevels.Markdown1.SetText (sMarkdown)
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] PointOfSaleMessage.SetActive ()
			[+] if PointOfSaleMessage.Exists (5)
				[ ] PointOfSaleMessage.OK.Click ()
		[ ] 
		[+] // Step 4: Create a new item
			[ ] nir = {...}
			[ ] nir.sItemName = "NewItem2"
			[ ] nir.sDepartment = "System"
			[ ] nir.sRegularPrice = "100"
			[ ] nir.sOnHandQty = "50"
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
			[ ] CreateNewItem (nir)
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] 
		[+] // Invoke new sale page and add the created item
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (nir.sItemName)
		[ ] 
		[+] // Result 1: Verify the Price of item added
			[ ] sPrice = "95.00"
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ExtPrice.getcaption (), sPrice, "Price Level changed")
	[ ] 
	[+] // CLEAN UP
		[+] if SalesReceipt.Sale.Exists ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[+] if QuickBooksPointOfSale.MessageBox.Exists (5)
			[ ] QuickBooksPointOfSale.MessageBox.DiscardChanges.Click ()
[ ] 
