﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying preference setting for Receiving Against PO Past Cancel Date
	[+] // Test Steps:
		[ ] // 1. Create a PO with a cancel date (Result 1)
		[ ] // 2. Invoke Preferences -> Company Preferences
		[ ] // 3. Select 'Receiving'
		[ ] // 4. Check the option "Warn When Receiving Against PO Past Cancel Date" and click 'Save'
		[ ] // 5. Create a receiving voucher for date past PO cancelation date
		[ ] // 6. Click on side button 'Receive From PO' and select the created PO (Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify PO created
		[ ] // 2. Verify error message appears
[ ] // TESTCASE::Prefs_ReceivingAgainstPOPastCancelDate
[ ] // ATC ID::POS_FILE_ATC_031
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_ReceivingAgainstPOPastCancelDate.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_ReceivingAgainstPOPastCancelDate () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] NewPurchaseOrderRec npoOrder
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a PO with a cancel date
			[ ] npoOrder = {}
			[ ] npoOrder.ldir = {}
			[ ] npoOrder.sVendor = "PVendor1"
			[+] npoOrder.ldir = {...}
				[ ] {"InvItem1", "5"}
			[ ] PurchaseOrder.NewPurchaseOrder.Invoke ()
			[ ] npoOrder.sPONumber = PurchaseOrder.NewPurchaseOrder.PageList.PONumber.GetText ()
			[ ] CreatePurchaseOrder (npoOrder)
			[ ] PurchaseOrder.NewPurchaseOrder.PageList.CancelDate.SetText (FormatDateTime (GetDateTime (), "mm/dd/yyyy"))
			[ ] PurchaseOrder.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Result 1: Verify PO created
			[ ] POList.PurchaseOrderList.Invoke ()
			[ ] POList.ToolBar.FindPO.SetText (npoOrder.sPONumber)
			[ ] POList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindPurchaseOrder.SelectPurchaseOrder.IsEnabled (), TRUE, "PO created")
			[ ] FindPurchaseOrder.Close.Click ()
			[ ] POList.BottomBar.Close.Click ()
		[ ] 
		[+] // Step 2: Invoke Preferences -> Company Preferences
			[ ] Preferences.CompanyPreferences.Invoke ()
		[ ] 
		[+] // Step 3: Select 'Receiving'
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Receiving")
		[ ] 
		[+] // Step 4: Check the option "Warn When Receiving Against PO Past Cancel Date" and click 'Save'
			[ ] Preferences.CompanyPreferences.PageList.Receiving.ReceivingVouchers.WarnWhenReceivingAgainstPOPastCancelDate.Check ()
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 5: Create a receiving voucher for date past PO cancelation date
			[ ] Voucher.ReceivingVoucher.Invoke ()
			[ ] Voucher.ReceivingVoucher.IWantTo.Click ()
			[ ] Voucher.ReceivingVoucher.IWantTo.ChangeDate.Click ()
			[ ] WaitFor (Voucher.ReceivingVoucher.ChangeDocumentDate, 10)
			[ ] Voucher.ReceivingVoucher.ChangeDocumentDate.DocumentDate.SelectDate (FormatDateTime (AddDateTime (GetDateTime (), 5), "yyyy-mm-dd"))
			[ ] Voucher.ReceivingVoucher.ChangeDocumentDate.OK.Click ()
		[ ] 
		[+] // Step 6: Click on side button 'Receive From PO' and select the created PO
			[ ] Voucher.ReceivingVoucher.SideButtons.ReceiveFromPO.Click ()
			[ ] WaitFor (SelectPOs, 10)
			[ ] SelectPOs.SelectAll.Click ()
			[ ] SelectPOs.SelectItemsToReceive.Click ()
		[ ] 
		[+] // Result 2: Verify error message appears
			[+] if GetGuiType () != mswxp
				[ ] sMessage= "*This   urchase order is past it's cancel date.*"
			[+] else
				[ ] sMessage= "*This purchase order is past it's cancel date.*"
			[ ] WaitFor (PointOfSaleMessage, 5)
			[ ] Verifysafely (MatchStr (sMessage, PointOfSaleMessage.GetMessage ()), TRUE, "{sMessage} appears")
	[ ] 
	[+] // CLEAN UP
		[ ] PointOfSaleMessage.No.Click ()
		[+] if Voucher.ReceivingVoucher.Cancel.Exists ()
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
		[+] if Voucher.MessageBox.Exists ()
			[ ] Voucher.MessageBox.Yes.Click ()
[ ] 
