﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify reminder generated based on available qty and on hand qty
	[+] // Test Steps:
		[ ] // 1: Invoke preferences and reorder reminders based on "Available Qty" under Inventory
		[ ] // 2: Create a new sales order
		[ ] // 3: Go to reminders and select Reorder Items
		[ ] // 4: Select Reorder Items and print
		[ ] // 5: Invoke preferences and reorder reminders based on "On Hand Qty" under Inventory
		[ ] // 6: Create a new sale
		[ ] // 7: Go to reminders and select Reorder Items
		[ ] // 8: Select Reorder Items and print
	[+] // Expected Result:
		[ ] // 1: Verify Reminder generated
		[ ] // 2: Verify Reminder generated
[ ] // TESTCASE::Prefs_ReorderReminders
[ ] // ATC ID::POS_FILE_ATC_027
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_ReorderReminders.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_ReorderReminders ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sReport
		[ ] CustomerOrderRec corSO = {}, corSO2 = {}
		[ ] SalesReceiptRec srrSale = {}
		[ ] srrSale.srp = {}
		[ ] INTEGER iCount
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "PrefsReorder.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke preferences and reorder reminders based on "Available Qty" under Inventory
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Inventory")
			[ ] Preferences.CompanyPreferences.PageList.Inventory.ReorderReminders.ReorderBasedOn.Select ("Available quantity")
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 2: Create a new sales order
			[+] corSO.ldir = {...}
				[ ] {"InvItem1", "10"}
			[ ] corSO.sCustomer = "Cust1L, Cust1F"
			[ ] corSO.sButton = "Save"
			[ ] CreateSalesOrder (corSO)
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 3: Go to reminders and select Reorder Items
			[ ] Reminders.Invoke ()
			[ ] Reminders.Reminders.PageList1.SelectItem ("Reorder Items")
		[ ] 
		[+] // Step 4: Select Reorder Items and print
			[ ] Reminders.ToolBar.Select ("Print Reorder Point Items")
			[ ] PrintReminders.AllDisplayed.Click ()
			[ ] PrintReminders.OK.Click ()
			[ ] sReport = "AvlQtyReminders"
			[ ] Reports.RemoveDateAndTimeFromReport ()
			[ ] Reports.ExportToExcel (sReport)
		[ ] 
		[+] // Result 1: Verify Reminder generated
			[ ] VerifySafely (CompareReportWithBaseline (sReport), TRUE, "Report matching with baseline")
		[ ] 
		[+] // Step 5: Invoke preferences and reorder reminders based on "On Hand Qty" under Inventory
			[ ] Reports.SetActive ()
			[ ] Reports.BottomBar.Close.Click ()
			[ ] Reminders.BottomBar.Close.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Inventory")
			[ ] Preferences.CompanyPreferences.PageList.Inventory.ReorderReminders.ReorderBasedOn.Select ("On hand quantity")
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 6: Create a new sale
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
			[+] srrSale.lsItems = {...}
				[ ] "InvItem2"
			[ ] CreateSalesReceipt (srrSale)
			[ ] SalesReceipt.Sale.SaleItems.ItemGrid.SelectItem ("InvItem2")
			[+] for (iCount = 1; iCount <= 12; iCount++)
				[ ] SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemButtons.QtyPlus.Click ()
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] ReceivePayment (srrSale.srp)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 7: Go to reminders and select Reorder Items
			[ ] Reminders.Invoke ()
			[ ] Reminders.Reminders.PageList1.SelectItem ("Reorder Items")
		[ ] 
		[+] // Step 8: Select Reorder Items and print
			[ ] Reminders.ToolBar.Select ("Print Reorder Point Items")
			[ ] PrintReminders.AllDisplayed.Click ()
			[ ] PrintReminders.OK.Click ()
			[ ] sReport = "OHQtyRemindersSales"
			[ ] Reports.RemoveDateAndTimeFromReport ()
			[ ] Reports.ExportToExcel (sReport)
		[ ] 
		[+] // Result 2: Verify Reminder generated
			[ ] VerifySafely (CompareReportWithBaseline (sReport), TRUE, "Report matching with baseline")
	[ ] 
	[+] // CLEAN UP
		[+] if SalesOrder.BottomBar.Close.Exists (2)
			[ ] SalesOrder.BottomBar.Close.Click ()
    
[ ] 
