﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify employee login and automatic logout after each sale
	[+] // Test Steps:
		[ ] // 1: Invoke preferences and check "Requires users to log in" (Result 1)
		[ ] // 2: Enter Password and click OK and check Automatically log Out after each sale (Result 2)
		[ ] // 3: Login to POS
		[ ] // 4: Create a sale (Result 3)
	[+] // Expected Result:
		[ ] // 1: Verify create sysadmin password dialog appears
		[ ] // 2: Verify Login dialog appaears
		[ ] // 3: Verify Home Employee login displyed
[ ] // TESTCASE::Prefs_RequireLogin
[ ] // ATC ID::POS_FILE_ATC_016
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_RequireLogin.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_RequireLogin ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sAdminPassword
		[ ] SalesReceiptRec srrSale
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke preferences and check "Requires users to log in"
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("General")
			[ ] Preferences.CompanyPreferences.PageList.General.Options.RequireUsersToLogIn.Check ()
		[ ] 
		[+] // Result 1: Verify create sysadmin password dialog appears
			[ ] VerifySafely (CreateSysadminPassword.Exists (5), TRUE, "CreateSysadminPassword dialog open")
		[ ] 
		[+] // Step 2: Enter Password and click OK and check Automatically log Out after each sale
			[ ] sAdminPassword = "password"
			[ ] CreateSysadminPassword.EnterPassword.SetText (sAdminPassword)
			[ ] CreateSysadminPassword.ConfirmPassword.SetText (sAdminPassword)
			[ ] CreateSysadminPassword.OK.Click ()
			[ ] Preferences.CompanyPreferences.PageList.General.Options.AutomaticallyLogOutUserAft.Check ()
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Result 2: Verify Login dialog appaears
			[ ] VerifySafely (QuickBooksPointOfSale.LogIn.Exists (5), TRUE, "Log In screen displayed")
		[ ] 
		[+] // Step 3: Login to POS
			[ ] QuickBooksPointOfSale.LogIn.Password.SetText (sAdminPassword)
			[ ] QuickBooksPointOfSale.LogIn.LogIn.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 4: Create a sale
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
			[ ] srrSale.sCustomer = "Cust1L, Cust1F"
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] CreateSalesReceipt (srrSale)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Result 3: Verify Home Employee login displyed
			[ ] VerifySafely (QuickBooksPointOfSale.HomeEmpLogIn.Exists (3), TRUE, "Home emp login displayed")
	[ ] 
	[+] // CLEAN UP
		[ ] QuickBooksPointOfSale.HomeEmpLogIn.UserName.LogInID.SetData ("Sysadmin")
		[ ] QuickBooksPointOfSale.HomeEmpLogIn.Password.SetText (sAdminPassword)
		[ ] QuickBooksPointOfSale.HomeEmpLogIn.LogIn.Click ()
		[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] Preferences.CompanyPreferences.Invoke ()
		[ ] Preferences.CompanyPreferences.TreeView.Select ("General")
		[ ] Preferences.CompanyPreferences.PageList.General.Options.RequireUsersToLogIn.Uncheck ()
		[ ] Preferences.BottomBar.Save.Click ()
[ ] 
