﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify mandatory promo code requirement in a sales receipt
	[+] // Test Steps:
		[ ] // 1: Invoke preferences and check "Require Promo code"
		[ ] // 2: Create a sale and take payement without entering promo code (Result 1)
	[+] // Expected Result:
		[ ] // 1: Verify require field not completed message appears
[ ] // TESTCASE::Prefs_RequirePromoCode
[ ] // ATC ID::POS_EMP_ATC_019
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_RequirePromoCode.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_RequirePromoCode ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] SalesReceiptRec srrSale
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke preferences and check "Require Promo code"
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Sales")
			[ ] Preferences.CompanyPreferences.PageList.Sales.GeneralOptions.RequireAPromotionalCodeOn.Check ()
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 2: Create a sale and take payement without entering promo code
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
			[ ] srrSale.sCustomer = "Cust1L, Cust1F"
			[ ] CreateSalesReceipt (srrSale)
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
		[ ] 
		[+] // Result 1: Verify require field not completed message appears
			[ ] sMessage = "An entry must be made in the ""Promo Code"" field"
			[ ] VerifySafely (SalesReceipt.Information.Exists (3), TRUE, "Information appears")
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Require field not completed Information appears")
	[ ] 
	[+] // CLEAN UP
		[ ] SalesReceipt.Information.OK.Click ()
		[ ] SalesReceipt.Sale.IWantTo.Click ()
		[ ] SalesReceipt.Sale.IWantTo.AddEditPromoCode.Click ()
		[ ] SalesReceipt.Sale.AddEditPromoCode.PromoCode.SetData ("1234")
		[ ] SalesReceipt.Sale.AddEditPromoCode.Save.Click ()
		[ ] srrSale.srp.sPaymentMode = "Cash"
		[ ] ReceivePayment (srrSale.srp)
		[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] SalesReceipt.Sale.Cancel.Click ()
[ ] 
