﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify SO numbering
	[+] // Test Steps:
		[ ] // 1: Invoke preferences and SO numbering as sequential and set a starting num
		[ ] // 2: Open new sales order (Result 1)
		[ ] // 3: Click on Cancel and set preferences for <Date> <Sequential Number>"
		[ ] // 4: Open new sales order (Result 2)
		[ ] // 5: Click on Cancel and set preferences for custom SO number format..
		[ ] // 6: Open new sales order (Result 3)
		[ ] // 7: Click on Cancel and set preferences for "<Last Name> <Sequential Number>"
		[ ] // 8: Open new sales order and enter a customer (Result 4)
		[ ] // 9: Click on Save and open new sales order for same customer (Result 5)
	[+] // Expected Result:
		[ ] // 1: Verify SO num is starting num
		[ ] // 2: Verify SO num is as per set preference
		[ ] // 3: Verify SO num is as per custom format
		[ ] // 4: Verify SO num is as per se preferences 
		[ ] // 5: Verify SO num has incremented as per per format
[ ] // TESTCASE::Prefs_SalesOrderNumbering
[ ] // ATC ID::POS_FILE_ATC_022
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_SalesOrderNumbering.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_SalesOrderNumbering () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sStartingNum, sCustomFormat
		[ ] CustomerOrderRec corSO = {}, corSO2 = {}
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke preferences and SO numbering as sequential and set a starting num
			[ ] sStartingNum = "100"
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Sales Orders")
			[ ] Preferences.Typekeys ("<Down>")
			[ ] Preferences.CompanyPreferences.PageList.SONumbering.SalesOrderNumbering.SONumberingMethod.Select ("<Sequential Number>")
			[ ] Preferences.CompanyPreferences.PageList.SONumbering.SalesOrderNumbering.StartingNumber.SetText (sStartingNum)
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 2: Open new sales order
			[ ] SalesOrder.NewSalesOrder.Invoke ()
		[ ] 
		[+] // Result 1: Verify SO num is starting num
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.SONum.GetText (), sStartingNum, "SO number populated correctly")
		[ ] 
		[+] // Step 3: Click on Cancel and set preferences for <Date> <Sequential Number>"
			[ ] SalesOrder.BottomBar.Cancel.Click ()
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Sales Orders")
			[ ] Preferences.Typekeys ("<Down>")
			[ ] Preferences.CompanyPreferences.PageList.SONumbering.SalesOrderNumbering.SONumberingMethod.Select ("<Date> <Sequential Number>")
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 4: Open new sales order
			[ ] SalesOrder.NewSalesOrder.Invoke ()
		[ ] 
		[+] // Result 2: Verify SO num is as per set preference
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.SONum.GetText (), "{FormatDateTime (GetDateTime (), "m/d/yyyy")} {sStartingNum}", "SO number populated correctly")
		[ ] 
		[+] // Step 5: Click on Cancel and set preferences for custom SO number format..
			[ ] SalesOrder.BottomBar.Cancel.Click ()
			[ ] sCustomFormat = "SO <Sequential Number>"
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Sales Orders")
			[ ] Preferences.Typekeys ("<Down>")
			[ ] Preferences.CompanyPreferences.PageList.SONumbering.SalesOrderNumbering.SONumberingMethod.Select ("Define custom SO number format...")
			[ ] Preferences.CompanyPreferences.PageList.SONumbering.SalesOrderNumbering.Customize.Click ()
			[ ] Customize.CustomNum.SetText (sCustomFormat)
			[ ] Customize.OK.Click ()
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 6: Open new sales order
			[ ] SalesOrder.NewSalesOrder.Invoke ()
		[ ] 
		[+] // Result 3: Verify SO num is as per custom format
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.SONum.GetText (), "SO {sStartingNum}", "SO number populated correctly")
		[ ] 
		[+] // Step 7: Click on Cancel and set preferences for "<Last Name> <Sequential Number>"
			[ ] SalesOrder.BottomBar.Cancel.Click ()
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Sales Orders")
			[ ] Preferences.Typekeys ("<Down>")
			[ ] Preferences.CompanyPreferences.PageList.SONumbering.SalesOrderNumbering.SONumberingMethod.Select ("<Last Name> <Sequential Number>")
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 8: Open new sales order and enter a customer
			[+] corSO.ldir = {...}
				[ ] {"InvItem1", "1"}
			[ ] corSO.sCustomer = "Cust1L, Cust1F"
			[ ] CreateSalesOrder (corSO)
		[ ] 
		[+] // Result 4: Verify SO num is as per se preferences
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.SONum.GetText (), "Cust1L {sStartingNum}", "SO number populated correctly")
		[ ] 
		[+] // Step 9: Click on Save and open new sales order for same customer
			[+] corSO2.ldir = {...}
				[ ] {"InvItem1", "1"}
			[ ] corSO2.sCustomer = "Cust1L, Cust1F"
			[ ] SalesOrder.BottomBar.SaveOnly.Click ()
			[ ] CreateSalesOrder (corSO2)
		[ ] 
		[+] // Result 5: Verify SO num has incremented as per per format
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.SONum.GetText (), "Cust1L {Str (Val (sStartingNum) + 1)}", "SO number populated correctly")
	[ ] 
	[+] // CLEAN UP
		[ ] SalesOrder.BottomBar.SaveOnly.Click ()
[ ] 
