﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify initial deposit option of Work order preferences
	[+] // Test Steps:
		[ ] // 1: Invoke preferences and select Suggest an inital deposit under Work order
		[ ] // 2: Create a new Work order (Result 1)
		[ ] // 3: Click on Cancel and set preferences for require initial deposit
		[ ] // 4: Create a new Work order (Result 2)
		[ ] // 5: Click on Cancel (Result 3)
		[ ] // 6: Click on save only and then enter deposit ampunt less than suggested deposit and click ok (Result 4)
		[ ] // 7: Click on OK and take payment (Result 5)
	[+] // Expected Result:
		[ ] // 1: Verify Suggested deposit dialog appears
		[ ] // 2: Verify deposit required dialog appears
		[ ] // 3: Verify new Work order form still open ->WO not saved without deposit
		[ ] // 4: Verify deposit amount set to appropriate amount-> Minimum deposit required
		[ ] // 5: Verify new Work order form is closed
[ ] // TESTCASE::Prefs_WorkOrder
[ ] // ATC ID::POS_FILE_ATC_025
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConWOleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_WorkOrder.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_WorkOrder () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sInitialDeposit
		[ ] CustomerOrderRec corWO = {}, corWO2 = {}
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke preferences and select Suggest an inital deposit under Work order
			[ ] sInitialDeposit = "10"
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Work Orders")
			[ ] Preferences.CompanyPreferences.PageList.WO.InitialDeposit.SuggestAnInitialDeposit.Click ()
			[ ] Preferences.CompanyPreferences.PageList.WO.InitialDeposit.SuggestDepositAmount.SetText (sInitialDeposit)
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 2: Create a new Work order
			[+] corWO.ldir = {...}
				[ ] {"InvItem1", "1"}
			[ ] corWO.sCustomer = "Cust1L, Cust1F"
			[ ] CreateWorkOrder (corWO)
			[ ] WorkOrder.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Result 1: Verify Suggested deposit dialog appears
			[ ] VerifySafely (SuggestedDeposit.Exists (5), TRUE, "Suggestet Deposit payment dialog is displayed")
		[ ] 
		[+] // Step 3: Click on Cancel and set preferences for require initial deposit
			[ ] SuggestedDeposit.Cancel.Click ()
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Work Orders")
			[ ] Preferences.CompanyPreferences.PageList.WO.InitialDeposit.RequireAnInitialDeposit.Click ()
			[ ] Preferences.CompanyPreferences.PageList.WO.InitialDeposit.RequireDepositAmount.SetText (sInitialDeposit)
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 4: Create a new Work order
			[+] corWO2.ldir = {...}
				[ ] {"InvItem1", "1"}
			[ ] corWO2.sCustomer = "Cust1L, Cust1F"
			[ ] CreateWorkOrder (corWO2)
			[ ] WorkOrder.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Result 2: Verify deposit required dialog appears
			[ ] VerifySafely (DepositRequired.Exists (5), TRUE, "Deposit required payment dialog is displayed")
		[ ] 
		[+] // Step 5: Click on Cancel
			[ ] DepositRequired.Cancel.Click ()
		[ ] 
		[+] // Result 3: Verify new Work order form still open ->WO not saved without deposit
			[ ] VerifySafely (WorkOrder.NewWorkOrder.Exists (5), TRUE, "Work order not saved without deposit")
		[ ] 
		[+] // Step 6: Click on save only and then enter deposit ampunt less than suggested deposit and click ok
			[ ] WorkOrder.BottomBar.SaveOnly.Click ()
			[ ] DepositRequired.DepositAmount.SetText ("5.00")
			[ ] DepositRequired.OK.Click ()
		[ ] 
		[+] // Result 4: Verify deposit amount set to appropriate amount-> Minimum deposit required
			[ ] VerifySafely (DepositRequired.DepositAmount.GetText (), "10.50", "Deposit required payment dialog is displayed")
		[ ] 
		[+] // Step 7: Click on OK and take payment
			[ ] DepositRequired.OK.Click ()
			[ ] DepositPayment.Typekeys ("<Enter>")
			[ ] DepositPayment.Save.Click ()
		[ ] 
		[+] // Result 5: Verify new Work order form is closed
			[ ] VerifySafely (WorkOrder.NewWorkOrder.Exists (5), FALSE, "Work order not saved without deposit")
	[ ] 
	[+] // CLEAN UP
		[+] if WorkOrder.BottomBar.Close.Exists (2)
			[ ] WorkOrder.BottomBar.Close.Click ()
    
[ ] 
