﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify WO numbering
	[+] // Test Steps:
		[ ] // 1: Invoke preferences and WO numbering as sequential and set a starting num
		[ ] // 2: Open new work order (Result 1)
		[ ] // 3: Click on Cancel and set preferences for <Date> <Sequential Number>"
		[ ] // 4: Open new work order (Result 2)
		[ ] // 5: Click on Cancel and set preferences for custom WO number format..
		[ ] // 6: Open new work order (Result 3)
		[ ] // 7: Click on Cancel and set preferences for "<Last Name> <Sequential Number>"
		[ ] // 8: Open new work order and enter a customer (Result 4)
		[ ] // 9: Click on Save and open new work order for same customer (Result 5)
	[+] // Expected Result:
		[ ] // 1: Verify WO num is starting num
		[ ] // 2: Verify WO num is as per set preference
		[ ] // 3: Verify WO num is as per custom format
		[ ] // 4: Verify WO num is as per se preferences 
		[ ] // 5: Verify WO num has incremented as per per format
[ ] // TESTCASE::Prefs_WorkOrderNumbering
[ ] // ATC ID::POS_FILE_ATC_026
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Prefs_WorkOrderNumbering.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Prefs_WorkOrderNumbering () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sStartingNum, sCustomFormat
		[ ] CustomerOrderRec corWO = {}, corWO2 = {}
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke preferences and SO numbering as sequential and set a starting num
			[ ] sStartingNum = "100"
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Work Orders")
			[ ] Preferences.Typekeys ("<Down>")
			[ ] Preferences.CompanyPreferences.PageList.WONumbering.WorkOrderNumbering.WONumberingMethod.Select ("<Sequential Number>")
			[ ] Preferences.CompanyPreferences.PageList.WONumbering.WorkOrderNumbering.StartingNumber.SetText (sStartingNum)
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 2: Open new Work order
			[ ] WorkOrder.NewWorkOrder.Invoke ()
		[ ] 
		[+] // Result 1: Verify SO num is starting num
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.WONum.GetText (), sStartingNum, "SO number populated correctly")
		[ ] 
		[+] // Step 3: Click on Cancel and set preferences for <Date> <Sequential Number>"
			[ ] WorkOrder.BottomBar.Cancel.Click ()
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Work Orders")
			[ ] Preferences.Typekeys ("<Down>")
			[ ] Preferences.CompanyPreferences.PageList.WONumbering.WorkOrderNumbering.WONumberingMethod.Select ("<Date> <Sequential Number>")
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 4: Open new Work order
			[ ] WorkOrder.NewWorkOrder.Invoke ()
		[ ] 
		[+] // Result 2: Verify SO num is as per set preference
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.WONum.GetText (), "{FormatDateTime (GetDateTime (), "m/d/yyyy")} {sStartingNum}", "SO number populated correctly")
		[ ] 
		[+] // Step 5: Click on Cancel and set preferences for custom SO number format..
			[ ] WorkOrder.BottomBar.Cancel.Click ()
			[ ] sCustomFormat = "SO <Sequential Number>"
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Work Orders")
			[ ] Preferences.Typekeys ("<Down>")
			[ ] Preferences.CompanyPreferences.PageList.WONumbering.WorkOrderNumbering.WONumberingMethod.Select ("Define custom WO number format...")
			[ ] Preferences.CompanyPreferences.PageList.WONumbering.WorkOrderNumbering.Customize.Click ()
			[ ] Customize.CustomNum.SetText (sCustomFormat)
			[ ] Customize.OK.Click ()
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 6: Open new Work order
			[ ] WorkOrder.NewWorkOrder.Invoke ()
		[ ] 
		[+] // Result 3: Verify SO num is as per custom format
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.WONum.GetText (), "SO {sStartingNum}", "SO number populated correctly")
		[ ] 
		[+] // Step 7: Click on Cancel and set preferences for "<Last Name> <Sequential Number>"
			[ ] WorkOrder.BottomBar.Cancel.Click ()
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Work Orders")
			[ ] Preferences.Typekeys ("<Down>")
			[ ] Preferences.CompanyPreferences.PageList.WONumbering.WorkOrderNumbering.WONumberingMethod.Select ("<Last Name> <Sequential Number>")
			[ ] Preferences.BottomBar.Save.Click ()
		[ ] 
		[+] // Step 8: Open new Work order and enter a customer
			[+] corWO.ldir = {...}
				[ ] {"InvItem1", "1"}
			[ ] corWO.sCustomer = "Cust1L, Cust1F"
			[ ] CreateWorkOrder (corWO)
		[ ] 
		[+] // Result 4: Verify SO num is as per se preferences
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.WONum.GetText (), "Cust1L {sStartingNum}", "SO number populated correctly")
		[ ] 
		[+] // Step 9: Click on Save and open new Work order for same customer
			[+] corWO2.ldir = {...}
				[ ] {"InvItem1", "1"}
			[ ] corWO2.sCustomer = "Cust1L, Cust1F"
			[ ] WorkOrder.BottomBar.SaveOnly.Click ()
			[ ] CreateWorkOrder (corWO2)
		[ ] 
		[+] // Result 5: Verify SO num has incremented as per per format
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.WONum.GetText (), "Cust1L {Str (Val (sStartingNum) + 1)}", "SO number populated correctly")
	[ ] 
	[+] // CLEAN UP
		[ ] WorkOrder.BottomBar.SaveOnly.Click ()
[ ] 
