﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify renaming company name
	[+] // Test Steps:
		[ ] //  1. Open customer list
		[ ] //  2. Read customer list data into a list
		[ ] //  3. Close customer list and open item list
		[ ] //  4. Read Item list data into a list and close item list
		[ ] //  5. Goto File-> Company Operations (Result 1)
		[ ] //  6. Check "Rename Company" check box and click "Next"
		[ ] //  7. Set the new name and click "Rename" (Result 2)
		[ ] //  8. Open customer list (Result 3)
		[ ] //  9. Close customer list and open item list (Result 4)
	[+] // Expected Result:
		[ ] //  1. Verify 'Start Company' dialog appears
		[ ] //  2. Verify the header of company file for the company name 
		[ ] //  3. Verify Customer list
		[ ] //  4. Verify Item list
[ ] // TESTCASE::RenameCompany
[ ] // ATC ID::POS_FILE_ATC_003
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::RenameCompany.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase RenameCompany ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sCompany
		[ ] LIST OF STRING lsCustExpected, lsItemExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1-2: differenciating based on sku
			[+] if sSKU != "FREE"
				[+] // Step 1: Open customer list
					[ ] QuickBooksPointOfSale.Customers.Click ()
					[ ] QuickBooksPointOfSale.Customers.CustomerList.Click ()
					[ ] sleep (5)
				[ ] 
				[+] // Step 2: Read customer list data into a list
					[ ] lsCustExpected = {...}
					[ ] lsCustExpected = Customers.CustomerList.CustomerGrid.ItemTexts
					[ ] Customers.CustomerList.Topbar.Home.Click ()
			[+] else 
				[ ] print ("Customer list not applicable for Free sku")
		[ ] 
		[+] // Step 3: Close customer list and open item list
			[ ] QuickBooksPointOfSale.Inventory.Click ()
			[ ] QuickBooksPointOfSale.Inventory.ItemList.Click ()
			[ ] sleep (5)
		[ ] 
		[+] // Step 4: Read Item list data into a list and close item list
			[ ] lsItemExpected = {...}
			[ ] lsItemExpected = Items.ItemsList.ItemGrid.ItemTexts
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 5: Goto File-> Company Operations
			[ ] QuickBooksPointOfSale.File.Click ()
			[ ] QuickBooksPointOfSale.File.CompanyOperations.Click ()
		[ ] 
		[+] // Result 1: Verify 'Start Company' dialog appears
			[ ] VerifySafely (QuickBooksPointOfSale.StartCompany.Exists (5), TRUE, "Start CompanyDialog Appears")
		[ ] 
		[+] // Step 6: Check "Rename Company" check box and click "Next"
			[ ] sCompany = "NewCompany11"
			[ ] QuickBooksPointOfSale.StartCompany.RenameCompany.Check ()
			[ ] QuickBooksPointOfSale.StartCompany.Next.Click ()
		[ ] 
		[+] // Step 7: Set the new name and click "Rename"
			[ ] QuickBooksPointOfSale.RenameCompany.NewName.SetData (sCompany)
			[+] while QuickBooksPointOfSale.RenameCompany.InvalidName.Exists (3)
				[ ] QuickBooksPointOfSale.RenameCompany.NewName.SetData ("POS{RandInt (1, 100)}")
				[ ] sCompany = QuickBooksPointOfSale.RenameCompany.NewName.GetLineText (0)
			[ ] QuickBooksPointOfSale.RenameCompany.Rename.Click ()
			[ ] Sleep (300)
		[ ] 
		[+] // Result 2: Verify the header of company file for the company name 
			[ ] VerifySafely (Rtrim (GetField (QuickBooksPointOfSale.HeaderText.GetCaption (), "-", 1)), sCompany,"Company name verified")
		[ ] 
		[+] // Step 8: Differenciating based on sku
			[+] if sSKU != "FREE"
				[+] // Step 8: Open customer list
					[ ] QuickBooksPointOfSale.Customers.Click ()
					[ ] QuickBooksPointOfSale.Customers.CustomerList.Click ()
					[ ] sleep (5)
				[ ] 
				[+] // Result 3: Verify Customer list
					[ ] VerifySafely (Customers.CustomerList.CustomerGrid.ItemTexts, lsCustExpected, "Customers present")
					[ ] Customers.CustomerList.Topbar.Home.Click ()
			[+] else
				[ ] print ("Customer list not applicable for Free sku")
		[ ] 
		[+] // Step 9: Close customer list and open item list
			[ ] QuickBooksPointOfSale.Inventory.Click ()
			[ ] QuickBooksPointOfSale.Inventory.ItemList.Click ()
			[ ] sleep (5)
		[ ] 
		[+] // Result 4: Verify Item list
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ItemTexts, lsItemExpected, "Items present")
	[ ] 
	[+] // CLEANUP
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
