﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: RestoreCompanyFromAlternateLocation
	[+] // Test Steps:
		[ ] // 1. Go to File -> BackUp (Result 1)
		[ ] // 2. Select Back up to default location and click 'BackUp'
		[ ] // 3. Click on Finish (Result 2)
		[ ] // 4. Create a new Item
		[ ] // 5. Click on FIle -> CompanyOperations  (Result 3)
		[ ] // 6. Select 'Restore Company From BackUp' radio button and click on 'Next' (Result 4)
		[ ] // 7: Select alternate backup, set back up path and then click next
		[ ] // 8. Invoke Item List and set the name of item created in search inventory (Result 5)
	[+] // Expected Result:
		[ ] // 1. Verify Back Up Company dialog is displayed
		[ ] // 2. Verify Back Up created dialog displayed
		[ ] // 3. Verify 'Start Company' dialog appears
		[ ] // 4. Verify 'Restore From back Up' dialog appears
		[ ] // 5. Verify edit button is disabled
[ ] // TESTCASE::RestoreCompanyFromAlternateLocation
[ ] // ATC ID::POS_FILE_ATC_007
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::RestoreCompanyFromAlternateLocation.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase RestoreCompanyFromAlternateLocation ()
	[+] // VARIABLES
		[ ] STRING sCompanyName, sCompanyFile, sBackUpFile
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Go to File -> BackUp
			[ ] QuickBooksPointOfSale.File.Click ()
			[ ] QuickBooksPointOfSale.File.BackUpData.Click ()
		[ ] 
		[+] // Result 1: Verify Back Up Company dialog is displayed
			[ ] VerifySafely (QuickBooksPointOfSale.BackUpCompany.Exists (), TRUE, "Back Up company dialog displayed")
		[ ] 
		[+] // Step 2: Select Back up to Alternate location, set back up path  and click 'BackUp'
			[+] if !SYS_DirExists (sBackUpPath)
				[ ] SYS_MakeDir (sBackUpPath)
			[ ] sBackUpFile = "{sBackUpPath}TestBackUp{RandInt (1, 100)}.qpb"
			[ ] QuickBooksPointOfSale.BackUpCompany.BackUpToAlternateLocation.Check ()
			[ ] QuickBooksPointOfSale.BackUpCompany.AlternateBackUpPath.SetData (sBackUpFile)
			[ ] QuickBooksPointOfSale.BackUpCompany.BackUp.Click ()
		[ ] 
		[+] // Result 2: Verify Back Up created dialog displayed
			[ ] VerifySafely (WaitFor (QuickBooksPointOfSale.BackUpCreated, 120), TRUE, "Back Up created successfully at default location")
		[ ] 
		[+] // Step 3: Click on Finish
			[ ] QuickBooksPointOfSale.BackUpCreated.Finish.Click ()
		[ ] 
		[+] // Step 4: Create a new Item
			[ ] nirItem = {}
			[ ] nirItem.sItemName ="NewItem1"
			[ ] nirItem.sDepartment = "System"
			[ ] nirItem.sOnHandQty = "50"
			[ ] nirItem.sRegularPrice = "100"
			[ ] CreateNewItem (nirItem)
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 5: Click on FIle -> CompanyOperations
			[ ] QuickBooksPointOfSale.File.Click ()
			[ ] QuickBooksPointOfSale.File.CompanyOperations.Click ()
		[ ] 
		[+] // Result 3: Verify 'Start Company' dialog appears
			[ ] VerifySafely (QuickBooksPointOfSale.StartCompany.Exists (5), TRUE, "Start CompanyDialog Appears")
		[ ] 
		[+] // Step 6: Select 'Restore Company From BackUp' radio button and click on 'Next'
			[ ] QuickBooksPointOfSale.StartCompany.RestoreFromBackUp.Check ()
			[ ] QuickBooksPointOfSale.StartCompany.Next.Click ()
		[ ] 
		[+] // Result 4: Verify 'Restore From back Up' dialog appears
			[ ] VerifySafely (QuickBooksPointOfSale.RestoreFromBackUp.Exists (5), TRUE, "RestoreFromBackUp Dialog Appears")
		[ ] 
		[+] // Step 7: Select alternate backup, set back up path and then click next
			[ ] sCompanyName = "POSNew1"
			[ ] QuickBooksPointOfSale.RestoreFromBackUp.ComapnyName.SetData (sCompanyName)
			[ ] QuickBooksPointOfSale.RestoreFromBackUp.BrowseToAlternateBackUp.Check ()
			[ ] QuickBooksPointOfSale.RestoreFromBackUp.AlternateBackUpFile.SetData (sBackUpFile)
			[ ] QuickBooksPointOfSale.RestoreFromBackUp.Next.Click ()
			[ ] Sleep (iTimeOut*2)
		[ ] 
		[+] // Step 8: Invoke Item List and set the name of item created in search inventory
			[ ] Items.ItemsList.Invoke ()
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Result 5: Verify edit button is disabled
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, FALSE, "Restore successfull")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.Topbar.Home.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
