﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying messages on Home page, Sales Receipt and Item List.
	[+] // Test Steps:
		[ ] // 1. Invoke Home Page (Result 1)
		[ ] // 2. Invoke new Sales Receipt (Result 2)
		[ ] // 3. Click 'Learn More' link in the message (Result 3)
		[ ] // 4. Close the message
		[ ] // 5. Click 'Close' link in the message (Result 4)
		[ ] // 6. Close SalesReceipt and invoke Item List (Result 5)
		[ ] // 7. Click 'Learn More' link in the message (Result 6)
		[ ] // 8. Close the message
		[ ] // 9. Click 'Close' link in the message (Result 7)
	[+] // Expected Result:
		[ ] // 1. Verify free message
		[ ] // 2. Verify Sales Receipt message
		[ ] // 3. Verify Free trial message opens up 
		[ ] // 4. Verify Sales Receipt message goes off
		[ ] // 5. Verify Item List message
		[ ] // 6. Verify Free trial message opens up 
		[ ] // 7. Verify Item List message goes off
[ ] // TESTCASE::Free_MessagesVerify
[ ] // ATC ID::To be updated
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::Free_MessagesVerify.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase Free_MessagesVerify() appstate FreeSKU
	[+] // VARIABLES
		[ ] STRING sMessage1, sMessage2, sMessage3, sMessage4, sMessage5
	[ ] 
	[+] // STEPS
		[+] // // Step 1: Invoke Home Page
			[ ] // WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.GettingStarted.MessageText1, 10)
		[ ] // 
		[+] // // Result 1: Verify free message
			[ ] // sMessage1 = "Try out Point of Sale Pro FREE for 60 days!"
			[ ] // sMessage2 = "- Keep track of stock levels with automatic item quantity updates"
			[ ] // sMessage3 = "- Track customers and quickly see detailed purchase history"
			[ ] // sMessage4 = "- Over 50 reports that help you make the right decisions to grow your business"
			[ ] // sMessage5 = "... and more!"
			[ ] // VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.GettingStarted.MessageText1.GetCaption (), sMessage1, "{QuickBooksPointOfSale.Dashboard.Widgets.HomePage.GettingStarted.MessageText1.GetCaption ()} exists")
			[ ] // VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.GettingStarted.MessageText2.GetCaption (), sMessage2, "{QuickBooksPointOfSale.Dashboard.Widgets.HomePage.GettingStarted.MessageText2.GetCaption ()} exists")
			[ ] // VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.GettingStarted.MessageText3.GetCaption (), sMessage3, "{QuickBooksPointOfSale.Dashboard.Widgets.HomePage.GettingStarted.MessageText3.GetCaption ()} exists")
			[ ] // VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.GettingStarted.MessageText4.GetCaption (), sMessage4, "{QuickBooksPointOfSale.Dashboard.Widgets.HomePage.GettingStarted.MessageText4.GetCaption ()} exists")
			[ ] // VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.GettingStarted.MessageText5.GetCaption (), sMessage5, "{QuickBooksPointOfSale.Dashboard.Widgets.HomePage.GettingStarted.MessageText5.GetCaption ()} exists")
		[ ] 
		[+] // Step 2: Invoke new Sales Receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 2: Verify Sales Receipt message
			[ ] sMessage1 = "Want to keep customers coming back?"
			[ ] sMessage2 = "Track customer emails to send out coupons and newsletters."
			[ ] sMessage3 = "Try Point of Sale Multistore FREE for 60 days! "
			[ ] VerifySafely (SalesReceipt.Sale.FreeCustomerMessage.Exists (5), TRUE, "Message present")
			[ ] print ("******************************Customer Message Is:*******************************")
			[ ] VerifySafely (SalesReceipt.Sale.FreeCustomerMessage.MessageText1.GetCaption (), sMessage1, "{SalesReceipt.Sale.FreeCustomerMessage.MessageText1.GetCaption ()} exists")
			[ ] VerifySafely (SalesReceipt.Sale.FreeCustomerMessage.MessageText2.GetCaption (), sMessage2, "{SalesReceipt.Sale.FreeCustomerMessage.MessageText2.GetCaption ()} exists")
			[ ] VerifySafely (SalesReceipt.Sale.FreeCustomerMessage.MessageText3.GetCaption (), sMessage3, "{SalesReceipt.Sale.FreeCustomerMessage.MessageText3.GetCaption ()} exists")
		[ ] 
		[+] // Step 3: Click 'Learn More' link in the message
			[ ] SalesReceipt.Sale.FreeCustomerMessage.LearnMore.Click ()
		[ ] 
		[+] // Result 3: Verify Free trial message opens up 
			[ ] VerifySafely (SalesReceipt.TryQBPOSFreeMessage.exists (10), TRUE, "Free trial message pops up") 
			[ ] VerifySafely (SalesReceipt.TryQBPOSFreeMessage.Header.Exists (), TRUE, "Header message exists")
			[ ] VerifySafely (SalesReceipt.TryQBPOSFreeMessage.FullProFeatures.Exists (), TRUE, "Message: {SalesReceipt.TryQBPOSFreeMessage.GetCaption ()} exists")
			[ ] VerifySafely (SalesReceipt.TryQBPOSFreeMessage.EasyToBuy.Exists (), TRUE, "Message: {SalesReceipt.TryQBPOSFreeMessage.EasyToBuy.GetCaption ()} exists")
			[ ] VerifySafely (SalesReceipt.TryQBPOSFreeMessage.Full60DayTrial.Exists (), TRUE, "Message: {SalesReceipt.TryQBPOSFreeMessage.Full60DayTrial.GetCaption ()} exists")
		[ ] 
		[+] // Step 4: Close the message
			[ ] SalesReceipt.TryQBPOSFreeMessage.Close.Click ()
		[ ] 
		[+] // Step 5: Click 'Close' link in the message
			[ ] WaitFor (SalesReceipt.Sale.FreeCustomerMessage.Close, 5)
			[ ] SalesReceipt.Sale.FreeCustomerMessage.Close.Click ()
		[ ] 
		[+] // Result 4: Verify Sales Receipt message goes off
			[ ] VerifySafely (SalesReceipt.Sale.FreeCustomerMessage.Exists (5), FALSE, "Message goes off")
		[ ] 
		[+] // Step 6: Close SalesReceipt and invoke Item List
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 5: Verify Item List message
			[ ] sMessage1 = "Never let a sale walk out the door"
			[ ] sMessage2 = "Keep track of stock levels with Point of Sale Multistore."
			[ ] sMessage3 = "Try Point of Sale Multistore FREE for 60 days!"
			[ ] VerifySafely (Items.ItemsList.FreeItemListMessage.Exists (5), TRUE, "Message present")
			[ ] print ("******************************Item List Message Is:*******************************")
			[ ] VerifySafely (Items.ItemsList.FreeItemListMessage.MessageText1.GetCaption (), sMessage1, "{Items.ItemsList.FreeItemListMessage.MessageText1.GetCaption ()} exists")
			[ ] VerifySafely (Items.ItemsList.FreeItemListMessage.MessageText2.GetCaption (), sMessage2, "{Items.ItemsList.FreeItemListMessage.MessageText2.GetCaption ()} exists")
			[ ] VerifySafely (Items.ItemsList.FreeItemListMessage.MessageText3.GetCaption (), sMessage3, "{Items.ItemsList.FreeItemListMessage.MessageText3.GetCaption ()} exists")
		[ ] 
		[+] // Step 7: Click 'Learn More' link in the message
			[ ] Items.ItemsList.FreeItemListMessage.LearnMore.Click ()
		[ ] 
		[+] // Result 6: Verify Free trial message opens up 
			[ ] VerifySafely (Items.TryQBPOSFreeMessage.exists (10), TRUE, "Free trial message pops up") 
			[ ] VerifySafely (Items.TryQBPOSFreeMessage.Header.Exists (), TRUE, "Header message exists")
			[ ] VerifySafely (Items.TryQBPOSFreeMessage.FullProFeatures.Exists (), TRUE, "Message: {SalesReceipt.TryQBPOSFreeMessage.GetCaption ()} exists")
			[ ] VerifySafely (Items.TryQBPOSFreeMessage.EasyToBuy.Exists (), TRUE, "Message: {SalesReceipt.TryQBPOSFreeMessage.EasyToBuy.GetCaption ()} exists")
			[ ] VerifySafely (Items.TryQBPOSFreeMessage.Full60DayTrial.Exists (), TRUE, "Message: {SalesReceipt.TryQBPOSFreeMessage.Full60DayTrial.GetCaption ()} exists")
		[ ] 
		[+] // Step 8: Close the message
			[ ] Items.TryQBPOSFreeMessage.Close.Click ()
		[ ] 
		[+] // Step 9: Click 'Close' link in the message
			[ ] WaitFor (Items.ItemsList.FreeItemListMessage.Close, 5)
			[ ] Items.ItemsList.FreeItemListMessage.Close.Click ()
		[ ] 
		[+] // Result 7: Verify Item List message goes off
			[ ] VerifySafely (Items.ItemsList.FreeItemListMessage.Exists (5), FALSE, "Message goes off")
	[ ] 
	[+] // CLEAN UP
		[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
