﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying the Header and the menus on the top bar
	[+] // Test Steps:
		[ ] // 1. Click on menu "File" (Result 3)
		[ ] // 2. Click on menu "Point of Sale" (Result 4 and 5)
		[ ] // 3. Click on menu "Customers" (Result 6)
		[ ] // 4. Click on menu "Inventory" (Result 7)
		[ ] // 5. Click on menu "Purchasing" (Result 8)
		[ ] // 6. Click on menu "Employees"(Result 9)
		[ ] // 7. Click on menu "Financial"(Result 10 and 11)
		[ ] // 8. Click on menu "Reports"(Result 12)
		[ ] // 9. Click on "Help"(Result 13)
	[+] // Expected Result:
		[ ] // 1. Verify the home page must have the header label "QuickBooks Point of sale" with the company name, sku and release
		[ ] // 2. Verify the top bar must have the items: 
		[ ] //	 File, Point of Sale, Customer ,Inventor, Purchasing, Employees, Financial, Reports, Help, Top Arrow
		[ ] // 3. Verify the contents on menu "File" are all present and enabled
		[ ] // 4. Verify the contents of menu "Point of Sale" are all present and enabled
		[ ] // 5. Verify the menu item "Open Cash Drawer" of menu "Point of Sale" is present and disabled
		[ ] // 6. Verify the contents of menu "Customers" are all present and enabled
		[ ] // 7. Verify the contents on menu "Inventory" are all present and enabled
		[ ] // 8. Verify the contents on menu "Purchasing" are all present and enabled
		[ ] // 9. Verify the contents on menu "Employees" are all present and enabled
		[ ] // 10. Verify the contents of menu "Financial" are all present and enabled
		[ ] // 11. Verify the menu item "Update QuickBooks" of menu "Financial" is present and disabled
		[ ] // 12. Verify the contents on menu "Reports" are all present and enabled
		[ ] // 13. Verify the contents on "Help" are all present and enabled
[ ] // TESTCASE::HomeHeaderAndMenu
[ ] // ATC ID::POS_HOME_ATC_001
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::HomeHeaderAndMenu.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase HomeHeaderAndMenu ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sHeader
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Result 1: Verify the home page must have the header label "QuickBooks Point of sale" with the company name, sku and release
			[ ] sHeader = "*QuickBooks Point of Sale*"
			[ ] VerifySafely (MatchStr (sHeader, QuickBooksPointOfSale.HeaderText.GetCaption ()), TRUE, "Home page header")
			[ ] print ("The header is: {QuickBooksPointOfSale.Header.GetCaption ()}")
			[ ] print ("The Company file name is : {GetField (QuickBooksPointOfSale.Header.GetCaption (), "-", 1)}")
			[ ] print ("The POS release and Sku information is: {GetField (QuickBooksPointOfSale.Header.GetCaption (), "Sale", 2)}")
		[ ] 
		[ ] // Result 2: Verify the top bar must have the items: 
		[+] // File, Point of Sale, Customer ,Inventor, Purchasing, Employees, Financial, Reports, Help, Top Arrow
			[ ] VerifySafely (QuickBooksPointOfSale.File.Exists (2), TRUE, "File menu exists")
			[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.Exists (2), TRUE, "File menu exists")
			[ ] VerifySafely (QuickBooksPointOfSale.Customers.Exists (2), TRUE, "File menu exists")
			[ ] VerifySafely (QuickBooksPointOfSale.Inventory.Exists (2), TRUE, "File menu exists")
			[ ] VerifySafely (QuickBooksPointOfSale.Purchasing.Exists (2), TRUE, "File menu exists")
			[ ] VerifySafely (QuickBooksPointOfSale.Employees.Exists (2), TRUE, "File menu exists")
			[ ] VerifySafely (QuickBooksPointOfSale.Financial.Exists (2), TRUE, "File menu exists")
			[ ] VerifySafely (QuickBooksPointOfSale.Reports.Exists (2), TRUE, "File menu exists")
			[ ] VerifySafely (QuickBooksPointOfSale.Help.Exists (2), TRUE, "File menu exists")
			[ ] VerifySafely (QuickBooksPointOfSale.Up.Exists (2), TRUE, "File menu exists")
		[ ] 
		[+] // Step 1: Click on menu "File"
			[ ] QuickBooksPointOfSale.File.OpenSubMenu ()
		[ ] 
		[+] // Result 3: Verify the contents on menu "File" are all present and enabled
			[ ] VerifySafely (QuickBooksPointOfSale.File.BackUpData.IsEnabled, TRUE, "File menu item 'Back Up Data' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.File.CompanyOperations.IsEnabled, TRUE, "File menu item 'Company Operations' is present and enabled")
			[+] if sSKU != "FREE"
				[ ] //VerifySafely (QuickBooksPointOfSale.File.SwitchCompanyFileToMultiUserMode.IsEnabled, TRUE, "File menu item 'Switch Company File To Multi User Mode' is present and enabled")
				[ ] VerifySafely (QuickBooksPointOfSale.File.Utilities.IsEnabled, TRUE, "File menu item 'Utilities' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.File.Tools.IsEnabled, TRUE, "File menu item 'Tools' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.File.Preferences.IsEnabled, TRUE, "File menu item 'Preferences' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.File.SetupInterview.IsEnabled, TRUE, "File menu item 'Setup Interview' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.File.HardwareSetUpWizard.IsEnabled, TRUE, "File menu item 'Hardware Setup Wizard' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.File.Exit.IsEnabled, TRUE, "Purchasing menu item 'Exit' is present and enabled")
			[+] if (sSKU != "BASIC" && sSKU != "FREE")
				[ ] VerifySafely (QuickBooksPointOfSale.File.ClockInOut.IsEnabled, TRUE, "File menu item 'Clock In/Out' is present and enabled")
		[ ] 
		[+] // Step 2: Click on menu "Point of Sale"
			[ ] QuickBooksPointOfSale.PointOfSale.OpenSubmenu ()
		[ ] 
		[+] // Result 4: Verify the contents of menu "Point of Sale" are all present and enabled
			[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.NewSalesReceipt.IsEnabled, TRUE, "Point of Sale menu item 'New Sales Receipt' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.NewReturnReceipt.IsEnabled, TRUE, "Point of Sale menu item 'New Return Receipt' is present and enabled")
			[+] if sSKU != "FREE"
				[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.NewPayout.IsEnabled, TRUE, "Point of Sale menu item 'New Payout' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.SalesHistory.IsEnabled, TRUE, "Point of Sale menu item 'Sales History' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.HeldReceipts.IsEnabled, TRUE, "Point of Sale menu item 'Held Receipts' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.EndOfDayProcedure.IsEnabled, TRUE, "Point of Sale menu item 'End Of Day Procedure' is present and enabled")
			[+] if (sSKU != "BASIC" && sSKU != "FREE")
				[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.NewSalesOrder.IsEnabled, TRUE, "Point of Sale menu item 'New Sales Order' is present and enabled")
				[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.NewLayaway.IsEnabled, TRUE, "Point of Sale menu item 'New Layaway' is present and enabled")
				[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.NewWorkOrder.IsEnabled, TRUE, "Point of Sale menu item 'New Work Order is present and enabled")
				[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.SalesOrderList.IsEnabled, TRUE, "Point of Sale menu item 'Sales Order List' is present and enabled")
				[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.LayawayList.IsEnabled, TRUE, "Point of Sale menu item 'Layaway List' is present and enabled")
				[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.WorkOrderList.IsEnabled, TRUE, "Point of Sale menu item 'Work Order List is present and enabled")
		[ ] 
		[+] // Result 5: Verify the menu item "Open Cash Drawer" of menu "Point of Sale" is present and disabled
			[ ] VerifySafely (QuickBooksPointOfSale.PointOfSale.OpenCashDrawer.IsEnabled, FALSE, "Point of Sale menu item 'Open Cash Drawer' is present and disabled")
		[ ] 
		[+] // Step 3: Differentiating based on SKU
			[+] if sSKU != "FREE"
				[+] // Step 3: Click on menu "Customers"
					[ ] QuickBooksPointOfSale.Customers.OpenSubmenu ()
				[ ] 
				[+] // Result 6: Verify the contents of menu "Customers" are all present and enabled
					[ ] VerifySafely (QuickBooksPointOfSale.Customers.NewCustomer.IsEnabled, TRUE, "Customers menu item 'New Customer' is present and enabled")
					[ ] VerifySafely (QuickBooksPointOfSale.Customers.CustomerList.IsEnabled, TRUE, "Customers menu item 'Customer List.' is present and enabled")
					[+] if sSKU != "BASIC"
						[ ] VerifySafely (QuickBooksPointOfSale.Customers.RewardManager.IsEnabled, TRUE, "Customers menu item 'Reward Manager' is present and enabled")
						[ ] VerifySafely (QuickBooksPointOfSale.Customers.CreateAnEmailCampaign.IsEnabled, TRUE, "Customers menu item 'Create An E-mail Campaign' is present and enabled")
						[ ] VerifySafely (QuickBooksPointOfSale.Customers.CustomerCenter.IsEnabled, TRUE, "Customers menu item 'Customer Center' is present and enabled")
		[ ] 
		[+] // Step 4: Click on menu "Inventory"
			[ ] QuickBooksPointOfSale.Inventory.OpenSubmenu ()
		[ ] 
		[+] // Result 7: Verify the contents on menu "Inventory" are all present and enabled
			[ ] VerifySafely (QuickBooksPointOfSale.Inventory.NewItem.IsEnabled, TRUE, "Inventory menu item 'New Item is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Inventory.NewDepartment.IsEnabled, TRUE, "Inventory menu item 'New Department' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Inventory.ItemList.IsEnabled, TRUE, "Inventory menu item 'Item List' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Inventory.DepartmentList.IsEnabled, TRUE, "Inventory menu item 'Department List' is present and enabled")
			[+] if sSKU != "FREE"
				[ ] VerifySafely (QuickBooksPointOfSale.Inventory.NewQuantityAdjustment.IsEnabled, TRUE, "Inventory menu item 'New Quantity Adjustment' is present and enabled")
				[ ] VerifySafely (QuickBooksPointOfSale.Inventory.NewCostAdjustment.IsEnabled, TRUE, "Inventory menu item 'New Cost Adjustment' is present and enabled")
				[ ] VerifySafely (QuickBooksPointOfSale.Inventory.QuantityAdjustmentHistory.IsEnabled, TRUE, "Inventory menu item 'Quantity Adjustment History' is present and enabled")
				[ ] VerifySafely (QuickBooksPointOfSale.Inventory.CostAdjustmentHistory.IsEnabled, TRUE, "Inventory menu item 'Cost Adjustment History' is present and enabled")
				[ ] VerifySafely (QuickBooksPointOfSale.Inventory.HeldQuantityMemos.IsEnabled, TRUE, "Inventory menu item 'Held Quantity Memos'' is present and enabled")
				[ ] VerifySafely (QuickBooksPointOfSale.Inventory.HeldCostAdjustmentMemos.IsEnabled, TRUE, "Inventory menu item 'Held Cost Adjustment Memos' is present and enabled")
				[ ] VerifySafely (QuickBooksPointOfSale.Inventory.StartPhysicalInventory.IsEnabled, TRUE, "Inventory menu item 'Start Physical Inventory'' is present and enabled")
				[ ] VerifySafely (QuickBooksPointOfSale.Inventory.PriceManager.IsEnabled, TRUE, "Inventory menu item 'Price Manager' is present and enabled")
			[+] if (sSKU != "BASIC" && sSKU != "FREE")
				[ ] VerifySafely (QuickBooksPointOfSale.Inventory.Reminders.IsEnabled, TRUE, "Inventory menu item 'Reminders' is present and enabled")
		[ ] 
		[+] // Step 5-6: Differeniating based on SKU
			[+] if sSKU != "FREE"
				[+] // Step 5: Click on menu "Purchasing"
					[ ] QuickBooksPointOfSale.Purchasing.OpenSubmenu ()
				[ ] 
				[+] // Result 8: Verify the contents on menu "Purchasing" are all present and enabled
					[ ] VerifySafely (QuickBooksPointOfSale.Purchasing.ReceiveItems.IsEnabled, TRUE, "Purchasing menu item 'ReceiveI tems' is present and enabled")
					[ ] VerifySafely (QuickBooksPointOfSale.Purchasing.ReturnVoucher.IsEnabled, TRUE, "Purchasing menu item 'Return Voucher' is present and enabled")
					[ ] VerifySafely (QuickBooksPointOfSale.Purchasing.NewVendor.IsEnabled, TRUE, "Purchasing menu item 'New Vendor' is present and enabled")
					[ ] VerifySafely (QuickBooksPointOfSale.Purchasing.ReceivingHistory.IsEnabled, TRUE, "Purchasing menu item 'Receiving History' is present and enabled")
					[ ] VerifySafely (QuickBooksPointOfSale.Purchasing.HeldVouchers.IsEnabled, TRUE, "Purchasing menu item 'Held Vouchers' is present and enabled")
					[ ] VerifySafely (QuickBooksPointOfSale.Purchasing.VendorList.IsEnabled, TRUE, "Purchasing menu item 'Vendor List' is present and enabled")
					[+] if sSKU != "BASIC"
						[ ] VerifySafely (QuickBooksPointOfSale.Purchasing.NewPurchaseOrder.IsEnabled, TRUE, "Purchasing menu item 'New Purchase Order' is present and enabled")
						[ ] VerifySafely (QuickBooksPointOfSale.Purchasing.PurchaseOrderList.IsEnabled, TRUE, "Purchasing menu item 'Purchase Order List' is present and enabled")
						[ ] VerifySafely (QuickBooksPointOfSale.Purchasing.SuggestPO.IsEnabled, TRUE, "Purchasing menu item 'Suggest PO' is present and enabled")
				[ ] 
				[+] // Step 6: Click on menu "Employees"
					[ ] QuickBooksPointOfSale.Employees.OpenSubmenu ()
				[ ] 
				[+] // Result 9: Verify the contents on menu "Employees" are all present and enabled
					[ ] VerifySafely (QuickBooksPointOfSale.Employees.EmployeeList.IsEnabled, TRUE, "Employees menu item 'Employee List' is present and enabled")
					[ ] VerifySafely (QuickBooksPointOfSale.Employees.Security.IsEnabled, TRUE, "Employees menu item 'Security' is present and enabled")
					[+] if sSKU != "BASIC"
						[ ] VerifySafely (QuickBooksPointOfSale.Employees.ClockInOut.IsEnabled, TRUE, "Employees menu item 'Clock In/Out' is present and enabled")
						[ ] VerifySafely (QuickBooksPointOfSale.Employees.NewEmployeeTimeEntry.IsEnabled, TRUE, "Employees menu item 'New Employee Time Entry' is present and enabled")
						[ ] VerifySafely (QuickBooksPointOfSale.Employees.TimeClockHistory.IsEnabled, TRUE, "Employees menu item 'Time Clock History' is present and enabled")
						[ ] VerifySafely (QuickBooksPointOfSale.Employees.ManageClockedInEmployees.IsEnabled, TRUE, "Employees menu item 'Manage Clocked In Employees' is present and enabled")
		[ ] 
		[+] // Step 7: Click on menu "Financial"
			[ ] QuickBooksPointOfSale.Financial.OpenSubmenu ()
		[ ] 
		[+] // Result 10: Verify the contents of menu "Financial" are all present and enabled
			[ ] VerifySafely (QuickBooksPointOfSale.Financial.FinancialCenter.IsEnabled, TRUE, "Financial menu item 'Financial Center' is present and enabled")
		[ ] 
		[+] // Result 11: Verify the menu item "Update QuickBooks" of menu "Financial" is present and disabled
			[ ] VerifySafely (QuickBooksPointOfSale.Financial.UpdateQuickBooks.IsEnabled, FALSE, "Financial menu item 'Update QuickBooks' is present and disabled")
		[ ] 
		[+] // Step 8: Click on menu "Reports"
			[ ] QuickBooksPointOfSale.Reports.OpenSubmenu ()
		[ ] 
		[+] // Result 12: Verify the contents on menu "Reports" are all present and enabled
			[ ] VerifySafely (QuickBooksPointOfSale.Reports.ReportCenter.IsEnabled, TRUE, "Reports menu item 'Report Center' is present and enabled")
			[+] if sSKU != "FREE"
				[ ] VerifySafely (QuickBooksPointOfSale.Reports.Dashboard.IsEnabled, TRUE, "Reports menu item 'Dashboard' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Reports.ViewDrawerCountHistory.IsEnabled, TRUE, "Reports menu item 'View Drawer Count History' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Reports.Sales.IsEnabled, TRUE, "Reports menu item 'Sales' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Reports.CashDrawer.IsEnabled, TRUE, "Reports menu item 'Cash Drawer' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Reports.Payments.IsEnabled, TRUE, "Reports menu item 'Payments is present and enabled")
			[+] if sSKU != "FREE"
				[ ] VerifySafely (QuickBooksPointOfSale.Reports.Customers.IsEnabled, TRUE, "Reports menu item 'Customers' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Reports.Items.IsEnabled, TRUE, "Reports menu item 'Items' is present and enabled")
			[+] if sSKU != "FREE"
				[ ] VerifySafely (QuickBooksPointOfSale.Reports.Purchasing.IsEnabled, TRUE, "Purchasing menu item 'Purchasing' is present and enabled")
				[ ] VerifySafely (QuickBooksPointOfSale.Reports.Employees.IsEnabled, TRUE, "Purchasing menu item 'Employees' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Reports.MemorizedReports.IsEnabled, TRUE, "Purchasing menu item 'Memorized Reports' is present and enabled")
		[ ] 
		[+] // Step 9: Click on "Help"
			[ ] QuickBooksPointOfSale.Help.OpenSubmenu ()
		[ ] 
		[+] // Result 13: Verify the contents on "Help" are all present and enabled
			[ ] VerifySafely (QuickBooksPointOfSale.Help.HelpContents.IsEnabled, TRUE, "Help menu item 'Help Contents' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Help.HardwareTroubleshooter.IsEnabled, TRUE, "Help menu item 'Hardware Troubleshooter' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Help.HelpAndSupport.IsEnabled, TRUE, "Help menu item 'Help & Support' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Help.HowToVideos.IsEnabled, TRUE, "Help menu item How- To Videos' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Help.UserGuide.IsEnabled, TRUE, "Help menu item 'User Guide' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Help.UserCommunity.IsEnabled, TRUE, "Help menu item 'User Community' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Help.SendFeedback.IsEnabled, TRUE, "Help menu item 'Send Feedback' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Help.FindLocalPointOfSaleHelp.IsEnabled, TRUE, "Help menu item 'Find Local Point of Sale Help' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Help.WhatsNew.IsEnabled, TRUE, "Help menu item 'What'sNew is present and enabled")
			[ ] // VerifySafely (QuickBooksPointOfSale.Help.Registration.IsEnabled, TRUE, "Purchasing menu item 'Registration' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Help.ManageMyLicense.IsEnabled, TRUE, "Help menu item 'Manage My License' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Help.SoftwareUpdates.IsEnabled, TRUE, "Help menu item 'Software Updates' is present and enabled")
			[ ] VerifySafely (QuickBooksPointOfSale.Help.AboutPointOfSale.IsEnabled, TRUE, "Help menu item 'About Point of Sale' is present and enabled")
	[ ] 
	[+] // CLEANUP
		[ ] // No clean up required
[ ] 
