﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying 'I Want To' menu on the home page
	[+] // Test Steps:
		[ ] // 1 Open home page and goto I Want To-> "Make a Sale"
		[ ] // 2 Click on Home and goto I Want To-> "Accept Return/Exchange"
		[ ] // 3 Click on Cancel and goto I Want To-> "Show Held Receipts"
		[ ] // 4 Click on Home and goto I Want To-> "Show Sales History"
		[ ] // 5 Click on Home and goto I Want To-> "Make A Customer Order"-> "Sales Order"
		[ ] // 6 Click on Cancel and goto I Want To-> "Make A Customer Order"-> "Layaway"
		[ ] // 7 Click on Cancel and goto I Want To-> "Make A Customer Order"-> "Work Order"
		[ ] // 8 Click on Cancel and goto I Want To-> "Reports"
		[ ] // 9 Click on Close and goto I Want To-> "End Of day"
		[ ] // 10 Click Cancel and goto I Want To-> "Customer List"
		[ ] // 11 Click Home and goto I Want To-> "Add Customer"
		[ ] // 12 Click Cancel and goto I Want To-> "Item List"
		[ ] // 13 Click Home and goto I Want To-> "Add Item"
		[ ] // 14 Click Cancel and goto I Want To-> "Receive Items"
		[ ] // 15 Click Cancel and goto I Want To-> "Purchasing & Vendors"-> "Order Items "
		[ ] // 16 Click Cancel and goto I Want To-> "Purchasing & Vendors"-> "Purchase Order List"
		[ ] // 17 Click Close and goto I Want To-> "Purchasing & Vendors"-> "Vendor List"
		[ ] // 18 Click Close and goto I Want To-> "Clock In/Out"
		[ ] // 19 Click Cancel and goto I Want To-> "Setup & Preferences"-> "Setup Interview"
		[ ] // 20 Click Done and goto I Want To-> "Setup & Preferences"-> "Hardware Setup Wizard"
		[ ] // 21 Click Leave and goto I Want To-> "Setup & Preferences"-> "Company Preferences"
		[ ] // 22 Click Cancel and goto I Want To-> "Setup & Preferences"-> "Workstation Preferences"
		[ ] // 23 Click Cancel and goto I Want To-> "Exit"
	[+] // Expected Result:
		[ ] // 1 Verify new Sales receipt appears
		[ ] // 2 Verify Take Return/Exchange dialog appears
		[ ] // 3 Verify Held Receipts window appears
		[ ] // 4 Verify Sales History window appears
		[ ] // 5 Verify Sales Order window appears
		[ ] // 6 Verify Layaway window appears
		[ ] // 7 Verify Work Order window appears
		[ ] // 8 Verify Reports window appears
		[ ] // 9 Verify End Of Day window appears
		[ ] // 10 Verify Customer List window appears
		[ ] // 11 Verify Add Customer window appears
		[ ] // 12 Verify Item List window appears
		[ ] // 13 Verify New Item window appears
		[ ] // 14 Verify Receive Items window appears
		[ ] // 15 Verify New Purchase Order window appears
		[ ] // 16 Verify Purchase Order List appears
		[ ] // 17 Verify Vendor List appears
		[ ] // 18 Verify Clock In/Out dialog appears
		[ ] // 19 Verify "Send Data To Quickbooks" is disabled
		[ ] // 20 Verify Setup Interview dialog appears
		[ ] // 21 Verify Hardware Setup Wizard dialog appears
		[ ] // 22 Verify Company Preference appears
		[ ] // 23 Verify Workstation Preference appears
		[ ] // 24 Verify Confirmation dialog appears
[ ] // TESTCASE::HomeIWantToMenu
[ ] // ATC ID::POS_HOME_ATC_003
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::HomeIWantToMenu.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase HomeIWantToMenu ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open home page and goto I Want To-> "Make a Sale"
			[ ] WaitTill (QuickBooksPointOfSale.Dashboard.SideButtons.EndOfDay.IsEnabled, TRUE, 10)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.MakeASale, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.MakeASale.Click ()
		[ ] 
		[+] // Result 1: Verify new Sales receipt appears
			[ ] VerifySafely (SalesReceipt.Sale.Exists (10), TRUE, "New Sales receipt appears")
		[ ] 
		[+] // Step 2: Click on Home and goto I Want To-> "Accept Return/Exchange"
			[ ] SalesReceipt.Sale.CommonHeader.Home.Click ()
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.AcceptReturnExchange, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.AcceptReturnExchange.Click ()
		[ ] 
		[+] // Result 2: Verify Take Return/Exchange dialog appears
			[ ] VerifySafely (QuickBooksPointOfSale.TakeReturnExchange.Exists (10), TRUE, "Take Return/Exchange dialog appears")
		[ ] 
		[+] // Step 3: Click on Cancel and goto I Want To-> "Show Held Receipts"
			[ ] QuickBooksPointOfSale.TakeReturnExchange.Cancel.Click ()
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.ShowHeldReceipts, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.ShowHeldReceipts.Click ()
		[ ] 
		[+] // Result 3: Verify Held Receipts window appears
			[ ] VerifySafely (HeldReceipts.Exists (10), TRUE, "Held Receipts window appears")
		[ ] 
		[+] // Step 4: Click on Home and goto I Want To-> "Show Sales History"
			[ ] HeldReceipts.HeldReceiptList.CommonHeader.Home.Click ()
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.ShowSalesHistory, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.ShowSalesHistory.Click ()
		[ ] 
		[+] // Result 4: Verify Sales History window appears
			[ ] VerifySafely (SalesHistory.Exists (10), TRUE, "Sales History window appears")
			[ ] SalesHistory.SalesList.CommonHeader.Home.Click ()
		[ ] 
		[+] // Step 5-7: Differenciating based on sku
			[+] if (sSKU != "BASIC" && sSKU != "FREE")
				[+] // Step 5: Click on Home and goto I Want To-> "Make A Customer Order"-> "Sales Order"
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.MakeACustomerOrder, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.MakeACustomerOrder.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.MakeACustomerOrder.SalesOrder, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.MakeACustomerOrder.SalesOrder.Click ()
				[ ] 
				[+] // Result 5: Verify Sales Order window appears
					[ ] VerifySafely ( SalesOrder.Exists (10), TRUE, "New Sales Order opens up")
				[ ] 
				[+] // Step 6: Click on Cancel and goto I Want To-> "Make A Customer Order"-> "Layaway"
					[ ] SalesOrder.BottomBar.Cancel.Click ()
					[ ] WaitForPageToLoad (5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.MakeACustomerOrder, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.MakeACustomerOrder.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.MakeACustomerOrder.Layaway, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.MakeACustomerOrder.Layaway.Click ()
				[ ] 
				[+] // Result 6: Verify Layaway window appears
					[ ] VerifySafely ( Layaway.Exists (10), TRUE, "New Layaway opens up")
				[ ] 
				[+] // Step 7: Click on Cancel and goto I Want To-> "Make A Customer Order"-> "Work Order"
					[ ] Layaway.BottomBar.Cancel.Click ()
					[ ] WaitForPageToLoad (5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.MakeACustomerOrder, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.MakeACustomerOrder.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.MakeACustomerOrder.WorkOrder, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.MakeACustomerOrder.WorkOrder.Click ()
				[ ] 
				[+] // Result 7: Verify Work Order window appears
					[ ] VerifySafely ( WorkOrder.Exists (10), TRUE, "New Work Order opens up")
					[ ] WorkOrder.BottomBar.Cancel.Click ()
					[ ] WaitForPageToLoad (5)
			[+] else 
				[ ] print ("Not applicable for BASIC and Free skus")
		[ ] 
		[+] // Step 8: Click on Cancel and goto I Want To-> "Reports"
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.Reports, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Reports.Click ()
		[ ] 
		[+] // Result 8: Verify Reports window appears
			[ ] VerifySafely ( Reports.Exists (10), TRUE, "Reports window appears")
		[ ] 
		[+] // Step 9: Click on Close and goto I Want To-> "End Of day"
			[ ] Reports.BottomBar.Close.Click ()
			[ ] WaitForPageToLoad (5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.EndOfDay, 10)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.EndOfDay.Click ()
		[ ] 
		[+] // Result 9: Verify End Of Day window appears
			[ ] VerifySafely ( EndOfDayProcess.Exists (10), TRUE, "End Of Day window appears")
			[ ] EndOfDayProcess.Cancel.Click ()
			[ ] WaitForPageToLoad (5)
		[ ] 
		[+] // Step 10-11: Differenciating based on sku
			[+] if sSKU != "FREE"
				[+] // Step 10: Click Cancel and goto I Want To-> "Customer List"
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.CustomerList, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.CustomerList.Click ()
				[ ] 
				[+] // Result 10: Verify Customer List window appears
					[ ] VerifySafely (Customers.CustomerList.Exists (10), TRUE, "Customer List opens up")
				[ ] 
				[+] // Step 11: Click Home and goto I Want To-> "Add Customer"
					[ ] Customers.CustomerList.Topbar.Home.Click ()
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.AddCustomer, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.AddCustomer.Click ()
				[ ] 
				[+] // Result 11: Verify Add Customer window appears
					[ ] VerifySafely (Customers.CustomerList.AddCustomer.Exists (10), TRUE, "New Customer window appears")
					[ ] Customers.CustomerList.AddCustomer.Cancel.Click ()
					[+] if Customers.CustomerList.Exists (5)
						[ ] Customers.CustomerList.Topbar.Home.Click ()
			[+] else 
				[ ] print ("Not applicable for Free skus")
		[ ] 
		[+] // Step 12: Click Cancel and goto I Want To-> "Item List"
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.ItemList, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.ItemList.Click ()
		[ ] 
		[+] // Result 12: Verify Item List window appears
			[ ] VerifySafely (Items.ItemsList.Exists (10), TRUE, "Item List appears")
		[ ] 
		[+] // Step 13: Click Home and goto I Want To-> "Add Item"
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.AddItem, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.AddItem.Click ()
		[ ] 
		[+] // Result 13: Verify New Item window appears
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.Exists (10), TRUE, "New Item window appears")
			[ ] Items.ItemsList.AddInventoryItem.Cancel.Click ()
			[+] if Items.ItemsList.Exists (5)
				[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 14: Differenciating based on sku
			[+] if sSKU != "FREE"
				[+] // Step 14: Click Cancel and goto I Want To-> "Receive Items"
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.ReceiveItems, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.ReceiveItems.Click ()
				[ ] 
				[+] // Result 14: Verify Receive Items window appears
					[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (10), TRUE, "Receiving Voucher appears")
					[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[+] else 
				[ ] print ("Not applicable for Free skus")
		[ ] 
		[+] // Step 15-16: Differenciating based on sku
			[+] if (sSKU != "BASIC" && sSKU != "FREE")
				[+] // Step 15: Click Cancel and goto I Want To-> "Purchasing & Vendors"-> "Order Items "
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.PurchasingAndVendors, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.PurchasingAndVendors.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.PurchasingAndVendors.OrderItems, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.PurchasingAndVendors.OrderItems.Click ()
				[ ] 
				[+] // Result 15: Verify New Purchase Order window appears
					[ ] VerifySafely (PurchaseOrder.Exists (10), TRUE, "New Purchase Order appears")
				[ ] 
				[+] // Step 16: Click Cancel and goto I Want To-> "Purchasing & Vendors"-> "Purchase Order List"
					[ ] PurchaseOrder.BottomBar.Cancel.Click ()
					[ ] WaitForPageToLoad (5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.PurchasingAndVendors, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.PurchasingAndVendors.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.PurchasingAndVendors.PurchaseOrderList, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.PurchasingAndVendors.PurchaseOrderList.Click ()
				[ ] 
				[+] // Result 16: Verify Purchase Order List appears
					[ ] VerifySafely (POList.Exists (10), TRUE, "Purchase Order List appears")
					[ ] POList.BottomBar.Close.Click ()
					[ ] WaitForPageToLoad (5)
			[+] else 
				[ ] print ("Not applicable for BASIC and Free skus")
		[ ] 
		[+] // Step 17: Differenciating based on sku
			[+] if sSKU != "FREE"
				[+] // Step 17: Click Close and goto I Want To-> "Purchasing & Vendors"-> "Vendor List"
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.PurchasingAndVendors, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.PurchasingAndVendors.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.PurchasingAndVendors.VendorList, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.PurchasingAndVendors.VendorList.Click ()
				[ ] 
				[+] // Result 17: Verify Vendor List appears
					[ ] VerifySafely (VendorList.Exists (10), TRUE, "Vendor List appears")
					[ ] VendorList.BottomBar.Close.Click ()
					[ ] WaitForPageToLoad (5)
			[+] else 
				[ ] print ("Not applicable for Free skus")
		[ ] 
		[+] // Step 18: Differenciating based on sku
			[+] if (sSKU != "BASIC" && sSKU != "FREE")
				[+] // Step 18: Click Close and goto I Want To-> "Clock In/Out"
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
					[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.ClockInOut, 5)
					[ ] QuickBooksPointOfSale.Dashboard.IWantTo.ClockInOut.Click ()
				[ ] 
				[+] // Result 18: Verify Clock In/Out dialog appears
					[ ] VerifySafely (ClockInOut.Exists (10), TRUE, "Clock In/Out dialog appears")
					[ ] ClockInOut.Cancel.Click ()
					[ ] WaitForPageToLoad (5)
			[+] else 
				[ ] print ("Not applicable for BASIC and Free skus")
		[ ] 
		[+] // Result 19: Verify "Send Data To Quickbooks" is disabled
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences, 5)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.IWantTo.SendDataToQB.IsEnabled, FALSE, "'Send Data To Quickbooks' is disabled")
		[ ] 
		[+] // Step 19: Click Cancel and goto I Want To-> "Setup & Preferences"-> "Setup Interview"
			[ ] // QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
			[ ] // WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences.SetupInterview, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences.SetupInterview.Click ()
		[ ] 
		[+] // Result 20: Verify Setup Interview dialog appears
			[ ] VerifySafely (QuickBooksPointOfSale.SetupInterview.Exists (10), TRUE, "Setup Interview dialog appears")
		[ ] 
		[+] // Step 20: Click Done and goto I Want To-> "Setup & Preferences"-> "Hardware Setup Wizard"
			[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
			[ ] WaitForPageToLoad (5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences.HardwareSetupWizard, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences.HardwareSetupWizard.Click ()
		[ ] 
		[+] // Result 21: Verify Hardware Setup Wizard dialog appears
			[ ] WaitForPageToLoad (5)
			[ ] VerifySafely (HardwareSetupWizardC.Exists (10), TRUE, "Hardware Setup Wizard dialog appears")
		[ ] 
		[+] // Step 21: Click Leave and goto I Want To-> "Setup & Preferences"-> "Company Preferences"
			[ ] HardwareSetupWizardC.TPanel3.Leave.Click ()
			[ ] WaitForPageToLoad (5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences.CompanyPreferences, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences.CompanyPreferences.Click ()
		[ ] 
		[+] // Result 22: Verify Company Preferences appears
			[ ] VerifySafely (Preferences.CompanyPreferences.Exists (10), TRUE, "Company Preferences appears")
		[ ] 
		[+] // Step 22: Click Cancel and goto I Want To-> "Setup & Preferences"-> "Workstation Preferences"
			[ ] Preferences.BottomBar.Cancel.Click ()
			[ ] WaitForPageToLoad (10)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences.WorkstationPreferences, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.SetupAndPreferences.WorkstationPreferences.Click ()
		[ ] 
		[+] // Result 23: Verify Workstation Preferences appears
			[ ] VerifySafely (Preferences.Exists (10), TRUE, "Workstation Preferences appears")
		[ ] 
		[+] // Step 23: Click Cancel and goto I Want To-> "Exit"
			[ ] Preferences.BottomBar.Cancel.Click ()
			[ ] WaitForPageToLoad (10)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Click ()
			[ ] WaitFor (QuickBooksPointOfSale.Dashboard.IWantTo.Exit, 5)
			[ ] QuickBooksPointOfSale.Dashboard.IWantTo.Exit.Click ()
		[ ] 
		[+] // Result 24: Verify Confirmation dialog appears
			[ ] VerifySafely (QuickBooksPointOfSale.Confirmation.Exists (10), TRUE, "Confirmation dialog appears")
			[ ] QuickBooksPointOfSale.Confirmation.VerifyMessage ("Do you want to exit Point of Sale?")
			[ ] Wait (2)
	[ ] 
	[+] // CLEANUP
		[ ] QuickBooksPointOfSale.Confirmation.No.Click ()
[ ] 
