﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying searching for a message in the message list on the Home page
	[+] // Test Steps:
		[ ] // 1. Get the content of welcome message
		[ ] // 2. Enter the message content in the search field to search for the welcome message (Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify both welcome and reminder messages are present
		[ ] // 2. Verify welcome message appears and reminder message is not seen
[ ] // TESTCASE::HomeSearchMessage
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::HomeSearchMessage.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase HomeSearchMessage ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sDate, sNewMsg, sCount
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] sSKU = GetSKU ()
	[ ] 
	[+] // STEPS
		[+] // Result 1: Verify both welcome and reminder messages are present
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.WelcomeMessage.Exists (3), True, "Welcome message exists")
			[+] if (sSKU != "BASIC")
				[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.ReminderMessage.Exists (3), True, "Reminder message exists")
		[ ] 
		[+] // Step 1: Get the content of welcome message and the date
			[ ] sMessage = QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.WelcomeMessage.MessageText.GetLineText(0)
			[ ] sDate = QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.WelcomeMessage.MessageDate.GetCaption ()
			[ ] sCount = QuickBooksPointOfSale.Dashboard.Widgets.Stickies.MessageCount.GetCountStr ()
		[ ] 
		[+] // Step 2: Enter the message content in the search field to search for the welcome message
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.SearchMessage.SetData (sMessage)
		[ ] 
		[+] // Result 2: Verify welcome message appears and reminder message is not seen
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.WelcomeMessage.Exists (3), True, "Welcome message exists")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.ReminderMessage.Exists (3), False, "Reminder message is not seen")
		[ ] 
		[+] // Step 3: Click on the message and edit it 
			[ ] sNewMsg = "Test edit msg"
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.SearchMessage.Clear ()
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.WelcomeMessage.MessageText.Clear ()
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.Message.MessageText.SetData (sNewMsg)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.Typekeys ("<Tab>")
		[ ] 
		[+] // Result 3: Verify message edited
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.WelcomeMessage.Exists (3), FALSE, "Welcome message edited")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.CMessage.MessageExists (sNewMsg), TRUE, "Welcome message edited")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.CMessage.MessageDate.GetDate (sNewMsg), GetDateString ("m/d/yyyy"), "Date changed properly")
		[ ] 
		[+] // Step 4: Click on Minimize
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Minimize.Click ()
		[ ] 
		[+] // Result 4: Verify expand button appears with correct message count
			[ ] // VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.Exists (), FALSE, "Messages hidden")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Expand.Exists (), TRUE, "Expand button displayed")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Expand.MessageCount.GetCaption (), "Messages ({sCount})", "MEssage count displayed correctly")
		[ ] 
		[+] // Step 4: Click on Expand
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Expand.Click ()
		[ ] 
		[+] // Result 4: Verify Minimize button appears
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Minimize.Exists (), TRUE, "Minimize button displayed")
	[ ] 
	[+] // CLEANUP
		[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.SearchMessage.Clear ()
[ ] 
