﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Creating customer orders from Navigator "Customer Orders" icon and verifying the Badge and the pop up data for "Item List" icon gets updated
	[+] // Test Steps:
		[ ] //  1: Create a SalesOrder from home page (Navigator)
		[ ] //  2: Click on Order List icon
		[ ] //  3: Create a Layaway from home page (Navigator)
		[ ] //  4: Click on Order List icon
		[ ] //  5: Create a Workorder from home page (Navigator)
		[ ] //  6: Click on Order List icon
		[ ] //  7: Click "View" corresponding to Sales Orders
		[ ] //  8: From the list, select the Salesorder created and change its status to closed
		[ ] //  9: Click on Order List icon
		[ ] //  10: Click "View" corresponding to Layaway
		[ ] //  11: From the list, select the Layaway created and change its status to closed
		[ ] //  12: Click on Order List icon
		[ ] //  13: Click "View" corresponding to Workorder
		[ ] //  14: From the list, select the Workorder created and change its status to closed
		[ ] //  15: Click on Order List icon
	[+] // Expected Result:
		[ ] //  1: Verify Badge appears on Item List icon and the count
		[ ] //  2: Verify pop up appears and all the data is correct
		[ ] //  3: Verify Badge count
		[ ] //  4: Verify pop up data
		[ ] //  5: Verify Badge count
		[ ] //  6: Verify pop up data
		[ ] //  7: Verify Badge count
		[ ] //  8: Verify pop up data is correct
		[ ] //  9: Verify Badge count
		[ ] //  10: Verify pop up data is correct
		[ ] //  11: Verify Badge disappears
		[ ] //  12: Verify pop up data is correct
[ ] // TESTCASE::NavigatorCustomerOrdersBadge
[ ] // ATC ID::POS_HOME_ATC_009
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::NavigatorCustomerOrdersBadge.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase NavigatorCustomerOrdersBadge () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sNumOfSOs, sNumOfLayaways, sNumOfWOs, sNewStatus
		[ ] CustomerOrderRec cor
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] cor = {}
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a SalesOrder from home page (Navigator)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Click ()
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Dropdown.NewSalesOrder.Click ()
			[ ] SalesOrder.SetActive ()
			[ ] cor.sCustomer = "Cust1F"
			[+] cor.ldir = {...}
				[ ] {"InvItem1"," 5"}
			[ ] cor.sButton = "SaveOnly"
			[ ] CreateSalesOrder (cor)
		[ ] 
		[+] // Result 1: Verify Badge appears on Item List icon and the count
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Badge.Exists (5), TRUE, "Badge appears on Item List icon")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.BadgeCount.GetCaption (), "1", "Badge count correct") 
		[ ] 
		[+] // Step 2: Click on Order List icon
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Click ()
		[ ] 
		[+] // Result 2: Verify pop up appears and all the data is correct
			[ ] sNumOfSOs = "1"
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.Exists (5), TRUE, "Pop up appears")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.GetTotalOpenSalesOrders (), sNumOfSOs, "Number of open Sales Orders updated")
		[ ] 
		[+] // Step 3: Create a Layaway from home page (Navigator)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Click ()
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Dropdown.NewLayaway.Click ()
			[ ] Layaway.SetActive ()
			[ ] cor.sCustomer = "Cust1F"
			[+] cor.ldir = {...}
				[ ] {"InvItem1"," 5"}
			[ ] cor.sButton = "SaveOnly"
			[ ] CreateLayaway (cor)
		[ ] 
		[+] // Result 3: Verify Badge count
			[ ] WaitForPageToLoad (10)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.BadgeCount.GetCaption (), "2", "Badge count correct") 
		[ ] 
		[+] // Step 4: Click on Order List icon
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Click ()
		[ ] 
		[+] // Result 4: Verify pop up data
			[ ] sNumOfLayaways = "1"
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.Exists (5), TRUE, "Pop up appears")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.GetTotalOpenSalesOrders (), sNumOfSOs, "Number of open Sales Orders updated")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.GetTotalOpenLayaways (), sNumOfLayaways, "Number of open Layaways updated")
		[ ] 
		[+] // Step 5: Create a Workorder from home page (Navigator)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Click ()
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.CustomerOrders.Dropdown.NewWorkOrder.Click ()
			[ ] WorkOrder.SetActive ()
			[ ] cor.sCustomer = "Cust1F"
			[+] cor.ldir = {...}
				[ ] {"InvItem1"," 5"}
			[ ] cor.sButton = "SaveOnly"
			[ ] CreateWorkOrder (cor)
		[ ] 
		[+] // Result 5: Verify Badge count
			[ ] WaitForPageToLoad (6)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.BadgeCount.GetCaption (), "3", "Badge count correct") 
		[ ] 
		[+] // Step 6: Click on Order List icon
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Click ()
		[ ] 
		[+] // Result 6: Verify pop up data
			[ ] sNumOfWOs = "1"
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.Exists (5), TRUE, "Pop up appears")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.GetTotalOpenSalesOrders (), sNumOfSOs, "Number of open Sales Orders updated")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.GetTotalOpenLayaways (), sNumOfLayaways, "Number of open Layaways updated")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.GetTotalOpenWorkOrders (), sNumOfWOs, "Number of open Layaways updated")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.OrderList.GetOpenOrders (), str (val (sNumOfSOs) + val (sNumOfLayaways) + val (sNumOfWOs)), "Number of Open Orders updated")
		[ ] 
		[+] // Step 7: Click "View" corresponding to Sales Orders
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.ViewSOList.Click ()
		[ ] 
		[+] // Step 8: From the list, select the Salesorder created and change its status to closed
			[ ] SOList.OpenSOForEdit (cor.sSONum)
			[ ] WaitForPagetoLoad (5)
			[ ] sNewStatus = "Closed"
			[ ] SalesOrder.EditSalesOrder.PageList.Status.Select (sNewStatus)
			[ ] SalesOrder.BottomBar.SaveOnly.Click ()
			[+] if SOList.SalesOrderList.Exists ()
				[ ] SOList.BottomBar.Close.Click ()
		[ ] 
		[+] // Result 7: Verify Badge count
			[ ] WaitForPageToLoad (6)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.BadgeCount.GetCaption (), "2", "Badge count correct") 
		[ ] 
		[+] // Step 9: Click on Order List icon
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Click ()
		[ ] 
		[+] // Result 8: Verify pop up data is correct
			[ ] sNumOfSOs = "0"
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.GetTotalOpenSalesOrders (), sNumOfSOs, "Number of open Sales Orders updated")
		[ ] 
		[+] // Step 10: Click "View" corresponding to Layaway
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.ViewLAList.Click ()
		[ ] 
		[+] // Step 11: From the list, select the Layaway created and change its status to closed
			[ ] LayawayList.OpenLayawayForEdit (cor.sLayawayNum)
			[ ] WaitForPagetoLoad (5)
			[ ] sNewStatus = "Closed"
			[ ] Layaway.EditLayaway.PageList.Status.Select (sNewStatus)
			[ ] Layaway.BottomBar.SaveOnly.Click ()
			[+] if LayawayList.LayawayList.Exists (5)
				[ ] Layaway.BottomBar.Close.Click ()
			[ ] 
		[ ] 
		[+] // Result 9: Verify Badge count
			[ ] WaitForPageToLoad (10)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.BadgeCount.GetCaption (), "1", "Badge count correct") 
		[ ] 
		[+] // Step 12: Click on Order List icon
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Click ()
		[ ] 
		[+] // Result 10: Verify pop up data is correct
			[ ] sNumOfLayaways = "0"
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.GetTotalOpenLayaways (), sNumOfLayaways, "Number of open Layaways  updated")
		[ ] 
		[+] // Step 13: Click "View" corresponding to Workorder
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.ViewWOList.Click ()
		[ ] 
		[+] // Step 14: From the list, select the Workorder created and change its status to closed
			[ ] WOList.OpenWOForEdit (cor.sWONum)
			[ ] WaitForPagetoLoad (5)
			[ ] sNewStatus = "Closed"
			[ ] WorkOrder.EditWorkOrder.PageList.Status.Select (sNewStatus)
			[ ] WorkOrder.BottomBar.SaveOnly.Click ()
			[+] if WOList.WorkOrderList.Exists (5)
				[ ] WOList.BottomBar.Close.Click ()
		[ ] 
		[+] // Result 11: Verify Badge disappears
			[ ] WaitForPageToLoad (10)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.BadgeCount.Exists (3), FALSE, "Badge Disappears")
		[ ] 
		[+] // Step 15: Click on Order List icon
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Click ()
		[ ] 
		[+] // Result 12: Verify pop up data is correct
			[ ] sNumOfWOs = "0"
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.PointOfSale.OrderList.Popup.GetTotalOpenWorkOrders (), sNumOfWOs, "Number of open Workorders updated")
	[ ] 
	[+] // CLEAN UP
		[ ] // Not required
[ ] 
