﻿[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify badge on navigator held voucher
	[+] // Test Steps:
		[ ] // STEP 1: Navigate to new receiving voucher and create a new held voucher
		[ ] // STEP 2: Click on held voucher
		[ ] // STEP 3: Click on View
		[ ] // STEP 4: Unhold the voucher and complete the voucher
		[ ] // STEP 5: Click on held voucher
		[ ] // STEP 6 : Navigate to new receiving voucher and create a new held voucher two months old
		[ ] // STEP 7: Click on held voucher
		[ ] // STEP 8: Click on View
	[+] // Expected Result:
		[ ] // RESULT 1: Verify Badge appeard on held voucher icon with correct number
		[ ] // RESULT 2: Verify data is updated on pop up
		[ ] // RESULT 3: Verify held receipt
		[ ] // RESULT 4: Verify badge is not displayed anymore
		[ ] // RESULT 5: Verify data on pop up udated correctly
		[ ] // RESULT 6: Verify Badge does not appear on Held voucher NAvigator
		[ ] // RESULT 7: Verify data is updated on pop up
		[ ] // RESULT 8: Verify held voucher
[ ] // TESTCASE.:NavigatorHeldVoucherBadge
[ ] // ATC ID::POS_HOME_ATC_012
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::NavigatorHeldVoucherBadge.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase NavigatorHeldVoucherBadge ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, dtDocDate
		[ ] ReceivingVoucherRec rvrVoucher
		[ ] LIST OF STRING lsVoucherExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] rvrVoucher = {}
	[ ] 
	[+] // STEPS
		[+] // STEP 1: Navigate to new receiving voucher and create a new held receipt
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.ReceivingVouchers.Click ()
			[ ] rvrVoucher.sButton = "Hold"
			[+] rvrVoucher.ldir = {...}
				[ ] {"InvItem1"}
			[ ] rvrVoucher.sVendor = "System"
			[ ] rvrVoucher.bExitVoucher = TRUE
			[ ] CreateReceivingVoucher (rvrVoucher)
		[ ] 
		[+] // RESULT 1: Verify Badge appeard on held receipt icon with correct number
			[ ] WaitForPageToLoad (5)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.BadgeCount.Exists (2), TRUE, "Badge appeared on held receipt icon")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.BadgeCount.GetCaption (), "1", "NUmber displayed on badge is correct")
		[ ] 
		[+] // STEP 2: Click on held receipt
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.Click ()
		[ ] 
		[+] // RESULT 2: Verify data is updated on pop up
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.Popup.GetTotalHeldVouchersLast30Days (), "1", "Pop up data updted correctly")
		[ ] 
		[+] // STEP 3: Click on View
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.Popup.ViewHeldVoucherList.Click ()
		[ ] 
		[+] // RESULT 3: Verify held voucher
			[ ] WaitForPageToLoad (4)
			[+] lsVoucherExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Receiving 1 System 1 50.00 Already paid 1"
			[ ] VerifySafely (GetVoucherDetailFromHeldList (), lsVoucherExpected, "Held receipt listed in held list")
		[ ] 
		[+] // STEP 4: Unhold the voucher and complete the voucher
			[ ] HeldVouchers.HeldVoucherList.Topbar.Unhold.Click ()
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
		[ ] 
		[+] // RESULT 4: Verify badge is not displayed anymore
			[ ] WaitForPageToLoad (3)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.BadgeCount.Exists (), FALSE, "Badge not displayed")
		[ ] 
		[+] // STEP 5: Click on held voucher
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.Click ()
		[ ] 
		[+] // RESULT 5: Verify data on pop up udated correctly
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.Popup.GetTotalHeldVouchersLast30Days (), "0",  "Popup updated correctly")
		[ ] 
		[+] // STEP 6 : Navigate to new receiving voucher and create a new held voucher two months old
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.ReceivingVouchers.Click ()
			[ ] rvrVoucher.sButton = NULL
			[+] rvrVoucher.ldir = {...}
				[ ] {"InvItem1"}
			[ ] rvrVoucher.bExitVoucher = NULL
			[ ] CreateReceivingVoucher (rvrVoucher)
			[ ] Voucher.ReceivingVoucher.IWantTo.Open ()
			[ ] Voucher.ReceivingVoucher.IWantTo.ChangeDate.Click ()
			[ ] dtDocDate = GetDateString ("m/d/yyyy", AddDateTime (GetDateTime (), -60))
			[ ] Voucher.ReceivingVoucher.ChangeDocumentDate.DocumentDate.SelectDate (dtDocDate)
			[ ] Voucher.ReceivingVoucher.ChangeDocumentDate.OK.Click ()
			[ ] Voucher.ReceivingVoucher.PutOnHold.Click ()
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
		[ ] 
		[+] // RESULT 6: Verify Badge does not appear on Held voucher NAvigator
			[ ] WaitForPageToLoad (5)
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.BadgeCount.Exists (2), FALSE, "Badge does not appear on held voucher icon for held recipt older than 30 days")
		[ ] 
		[+] // STEP 7: Click on held voucher
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.Click ()
		[ ] 
		[+] // RESULT 7: Verify data is updated on pop up
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.Popup.GetTotalHeldvouchersLast30Days (), "0", "Pop up data updted correctly")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.Popup.GetOldestvoucherAge (), "60 Days", "Oldest voucher age updated")
		[ ] 
		[+] // STEP 8: Click on View
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.HomePage.Navigator.Purchasing.HeldVouchers.Popup.ViewOldestVoucher.Click ()
		[ ] 
		[+] // RESULT 8: Verify held voucher
			[ ] WaitForPageToLoad (4)
			[+] lsVoucherExpected = {...}
				[ ] "{dtDocDate} Regular Receiving 1 System 1 50.00 Already paid 1"
			[ ] VerifySafely (GetSalesDetailFromHeldList (), lsVoucherExpected, "Held voucher listed in held list")
	[ ] 
	[+] // CLEANUP
		[ ] HeldVouchers.HeldVoucherList.Topbar.Home.Click ()
[ ] 
