﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying adding and deleting a message on the Home page
	[+] // Test Steps:
		[ ] // 1. On the home page-> In the Messages section, click "Show List" (Result 1)
		[ ] // 2. Click on "New" button (Result 2)
		[ ] // 3. Enter the message and click "Tab" (Result 3 and 4)
		[ ] // 4. Get the count of messages
		[ ] // 5. Click on "Remove" (Result 5)
	[+] // Expected Result:
		[ ] // 1. Verify the messages are in List pattern
		[ ] // 2. Verify a new message box must be created
		[ ] // 3. Verify the message gets saved by current date
		[ ] // 4. Verify the message content
		[ ] // 5. Verify the message gets deleted
[ ] // TESTCASE::StickyNotes
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::StickyNotes.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase StickyNotes ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sSegment, sCount
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: On the home page-> In the Messages section, click "Show List"
			[+] if ( QuickBooksPointOfSale.Dashboard.Widgets.Stickies.ShowList.Exists (3))
				[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.ShowList.Click ()
		[ ] 
		[+] // Result 1: Verify the messages are in List pattern
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.ShowStickies.Exists (3), True, "The messages are in list pattern")
		[ ] 
		[+] // Step 2: Click on "New" button
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.NewNote.Click ()
		[ ] 
		[+] // Result 2: Verify a new message box must be created
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.NewMessage.Exists (3), True, "A new message box is created")
		[ ] 
		[+] // Step 3: Enter the message and click "Tab"
			[ ] sMessage = "This is a new message"
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.NewMessage.MessageText.SetData (sMessage)
			[ ] QuickBooksPointOfSale.TypeKeys ("<Tab>")
		[ ] 
		[+] // Result 3: Verify the message gets saved by current date
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.Message.MessageDate.GetCaption (), FormatDateTime(GetDateTime (), "m/d/yyyy"), "Message saved by current date")
		[ ] 
		[+] // Result 4: Verify the message content
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.Message.MessageText.GetLineText (0), sMessage, "Message content is correct")
		[ ] 
		[+] // Step 4: Get the count of messages
			[ ] sSegment = GetField (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.MessageCount.GetCaption (), "(", 2)
			[ ] sCount = GetField (sSegment, ")", 1)
			[ ] print ("The message count is: {sCount}")
		[ ] 
		[+] // Step 5: Click on "Remove"
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.Message.Remove.Click ()
		[ ] 
		[+] // Result 5: Verify the message gets deleted and the message count reduces by one
			[ ] sMessage = "Messages ({Str (Val(sCount) - 1)})"
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.MessageCount.GetCaption (), sMessage, "Message deleted")
	[ ] 
	[+] // CLEANUP
		[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.ShowStickies)
		[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.ShowStickies.Click ()
[ ] 
