﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying adding and deleting a message on the Home page
	[+] // Test Steps:
		[ ] // Step 1: Click on New Note (Result 2)
		[ ] // Step 2: Enter message and press tab (Result 3)
		[ ] // Step 4: Create a new message
		[ ] // Step 5: Click on remove in the first note (Result 4)
		[ ] // Step 6: Create a new Item and go to home page (Result 5)
		[ ] // Step 7: Click on Go to reminders (Result 6)
		[ ] // Step 8: Close reminders and get messages
		[ ] // Step 9: Go to New receipt and Open messages (Result 7)
		[ ] // Step 10: Close messages and receipt and open voucher and open messages (Result 8)
	[+] // Expected Result:
		[ ] // Result 1: Verify the default welcome message
		[ ] // Result 2: Verify new Note displayed
		[ ] // Result 3: Verify new message saved
		[ ] // Result 4: Verify message deleted
		[ ] // Result 5: Verify Reminders note displayed with correct info
		[ ] // Result 6: Verify Reminders window is open
		[ ] // Result 7: Verify all messages are displayed correctly
		[ ] // Result 8: Verify all messages are displayed correctly
[ ] // TESTCASE::StickyNotesReminderMessageUpdate
[ ] // ATC ID:: POS_HOME_ATC_007
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::StickyNotesReminderMessageUpdate.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase StickyNotesReminderMessageUpdate ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sWelcomeMessage, sNewMsg1, sNewMsg2, sReminderMsg
		[ ] NewItemRec nirItem
		[ ] LIST OF STRING lsAllMessages
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "StickyMessages.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Result 1: Verify the default welcome message
			[ ] sWelcomeMessage = "Hello, and welcome to QuickBooks Point of Sale!{chr (10)}{chr (10)}You can use this area to post your own notes."
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.WelcomeMessage.GetMessage (), sWelcomeMessage, "Welcome message displayed correctly")
		[ ] 
		[+] // Step 1: Click on New Note
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.NewNote.Click ()
		[ ] 
		[+] // Result 2: Verify new Note displayed with correct date and message count gets updated
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.NewMessage.Exists (), TRUE, "New Message box displyed")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.NewMessage.MessageDate.GetDate (), GetDateString ("m/d/yyyy"), "New message created with current date")
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.MessageCount.GetCountInt (), QuickBooksPointOfSale.Dashboard.Widgets.Stickies.GetMessageCount (), "Message count updated correctly")
		[ ] 
		[+] // Step 2: Enter message and press tab
			[ ] sNewMsg1 = "Test message 1"
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.NewMessage.MessageText.SetData (sNewMsg1)
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.Typekeys ("<Tab>")
		[ ] 
		[+] // Result 3: Verify new message saved
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.CMessage.GetMessage (sNewMsg1), sNewMsg1, "New Note created")
		[ ] 
		[+] // Step 4: Change to List View and Create a new message
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.ShowList.Click ()
			[ ] sNewMsg2 = "Test message 2"
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.CreateNewMessage (sNewMsg2)
		[ ] 
		[+] // Step 5: Click on remove in the first note
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.CMessage.DeleteMessage (sNewMsg1)
		[ ] 
		[+] // Result 4: Verify message deleted
			[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.CMessage.MessageExists (sNewMsg1), FALSE, "Message Deleted")
		[ ] 
		[+] // Verifications based on SKUs
			[+] if sSKU != "BASIC"
				[+] // Step 6: Create a new Item and go to home page
					[ ] nirItem = {}
					[ ] nirItem.sItemName = "MsgItemTes"
					[ ] nirItem.sDepartment = "System"
					[ ] nirItem.sOnHandQty = "20"
					[ ] CreateNewItem (nirItem)
					[ ] Wait (330) //Delaying verification by 5 mins ( + 30 secs grace) as per resolution of CR # QBPS005502
					[ ] Items.ItemsList.Topbar.Home.Click ()
				[ ] 
				[+] // Result 5: Verify Reminders note displayed with correct info
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.ReminderMessage.Exists (), TRUE, "InventoryReminder message displayed")
					[ ] sReminderMsg = "{chr(10)}-new items"
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.ReminderMessage.GetMessage (), sReminderMsg, "Correct message displayed in reminder message")
				[ ] 
				[+] // Step 7: Click on Go to reminders
					[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.Messages.ReminderMessage.GoToInventoryReminders.Click ()
				[ ] 
				[+] // Result 6: Verify Reminders window is open
					[ ] VerifySafely (Reminders.Reminders.Exists (5), TRUE, "Reminders window open on clicking Go to reminders")
					[ ] Reminders.BottomBar.Close.Click ()
					[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
			[+] else 
				[ ] print ("This code not applicable for Basic sku")
		[ ] 
		[+] // Step 8: Close reminders and get messages
			[ ] QuickBooksPointOfSale.Dashboard.Widgets.Stickies.ShowList.Click ()
			[ ] lsAllMessages = QuickBooksPointOfSale.Dashboard.Widgets.Stickies.GetAllMessages ()
		[ ] 
		[+] // Step 9: Go to New receipt and Open messages
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] SalesReceipt.Sale.IWantTo.Open ()
			[ ] SalesReceipt.Sale.IWantTo.ShowMessages.Click ()
		[ ] 
		[+] // Result 7: Verify all messages are displayed correctly
			[ ] SalesReceipt.Sale.Messages.StickyNotes.ShowList.Click ()
			[ ] VerifySafely (SalesReceipt.Sale.Messages.StickyNotes.GetAllMessages (), lsAllMessages, "Messages displayed in receipt messages correctly")
		[ ] 
		[+] // Step 10: Close messages and receipt and open voucher and open messages
			[ ] SalesReceipt.Sale.Messages.XClose.Click ()
			[ ] Voucher.ReceivingVoucher.Invoke ()
			[ ] Voucher.ReceivingVoucher.IWantTo.Open ()
			[ ] Voucher.ReceivingVoucher.IWantTo.ShowMessages.Click ()
		[ ] 
		[+] // Result 8: Verify all messages are displayed correctly
			[ ] Voucher.ReceivingVoucher.Messages.StickyNotes.ShowList.Click ()
			[ ] VerifySafely (Voucher.ReceivingVoucher.Messages.StickyNotes.GetAllMessages (), lsAllMessages, "Messages displayed in receipt messages correctly")
	[ ] 
	[+] // CLEANUP
		[ ] Wait (4)
		[ ] Voucher.ReceivingVoucher.Messages.XClose.Click ()
		[ ] Voucher.ReceivingVoucher.Cancel.Click ()
[ ] 
