﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Add component items to newly created group item
	[+] // Test Steps:
		[ ] // 1. Create a new Group item with regular price and avg unit cost not set 
		[ ] // 2. Get the avg unit cost, regular price and on hand qty of the components
		[ ] // 3. Search for newly created Group item and click on Show Details (Result 1)
		[ ] // 4. Click on 'Group' on 'Inventory item Detail'  (Result 2)
		[ ] // 5. Click on Edit Group (Result 3)
		[ ] // 6. Add the component items to the Group item
		[ ] // 7. Click on Save
		[ ] // 8. Get The item data for  Group item and its components (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify Inventory Details is displayed
		[ ] // 2. Verify Edit Assembly button shows up
		[ ] // 3. Verify EditAssembly form is displayed
		[ ] // 4. Verify on hand qty, regular price and avg unit cost of assembly item is updated as per components sum
		[ ] // 5. Verify on hand qty of component items
[ ] // TESTCASE::AddComponentsToGroupItem
[ ] // ATC ID::POS_INV_ATC_014
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::AddComponentsToGroupItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase AddComponentsToGroupItem () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sDesc, sMessage
		[ ] NewItemRec nirGrpItem, nirUpdatedGrpItem, nirItem, nirComponent1, nirComponent2
		[ ] LIST OF NewItemRec lnirComponents, lnirUpdatedComp
		[ ] INTEGER iCount
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a new group item with regular price and avg unit cost not set
			[ ] nirGrpItem = {}
			[ ] nirGrpItem.sItemName = "TestGrpItem"
			[ ] nirGrpItem.sItemType = "Group"
			[ ] nirGrpItem.sDepartment = "System"
			[ ] CreateNewItem (nirGrpItem)
		[ ] 
		[+] // Step 2: Get the avg unit cost, group price and on hand qty of the components
			[ ] nirComponent1 = {}
			[ ] nirComponent1.sItemName = "InvItem1"
			[ ] nirComponent1 = GetItemData (nirComponent1)
			[ ] nirComponent2 = {}
			[ ] nirComponent2.sItemName = "InvItem2"
			[ ] nirComponent2 = GetItemData (nirComponent2)
			[+] lnirComponents = {...}
				[ ] nirComponent1
				[ ] nirComponent2
			[ ] lnirUpdatedComp = lnirComponents
			[ ] nirUpdatedGrpItem = nirGrpItem
		[ ] 
		[+] // Step 3: Search for newly created group item and click on Show Details
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirGrpItem.sItemName)
			[+] if !Items.ItemsList.InventoryItemDetail.Exists ()
				[+] if Items.ItemsList.Topbar.HideDetails.Exists ()
					[ ] Items.ItemsList.Topbar.HideDetails.Click ()
				[ ] Items.ItemsList.Topbar.ShowDetails.Click ()
		[ ] 
		[+] // Result 1: Verify Inventory Details is displayed
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.Exists (5), TRUE, "Inventory Item Detail displayed")
		[ ] 
		[+] // Step 4: Click on 'Group' on 'Inventory item Detail' 
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.BasicInfo.Group.Click ()
		[ ] 
		[+] // Result 2: Verify Edit Group button shows up
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.EditGroup.Exists (2), TRUE, "Edit Group button appears on clicking Group")
		[ ] 
		[+] // Step 5: Click on Edit Group
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.EditGroup.Click ()
		[ ] 
		[+] // Result 3: Verify EditGroup form is displayed
			[ ] VerifySafely (Items.ItemsList.EditGroup.Exists (2), TRUE, "Edit Group dialog appears")
		[ ] 
		[+] // Step 6: Add the component items to the Group item
			[+] for each nirItem in lnirComponents
				[ ] Items.ItemsList.EditGroup.GroupEdit.EnterItems.SelectItem (nirItem.sItemName)
		[ ] 
		[+] // Step 7: Click on Save
			[ ] Items.ItemsList.EditGroup.Save.Click ()
		[ ] 
		[+] // Step 8: Get The item data for  Group item and its components
			[ ] nirUpdatedGrpItem = GetItemDataFromDetail (nirUpdatedGrpItem)
			[+] for iCount = 1 to LISTCOUNT (lnirUpdatedComp)
				[ ] lnirUpdatedComp[iCount] = GetItemDataFromDetail (lnirUpdatedComp[iCount])
		[ ] 
		[+] // Result 4: Verify on hand qty, regular price and avg unit cost of Group item is updated as per components sum
			[ ] VerifySafely (nirUpdatedGrpItem.sOnHandQty, "0", "Group Item qty not affected after adding components")
			[ ] VerifySafely (nirUpdatedGrpItem.sRegularPrice, GetRegularPriceSum (lnirComponents), "Group item regular price updated as sum of regular price of components")
			[ ] VerifySafely (nirUpdatedGrpItem.sAvgUnitCost, "0.00", "Group item avg unit cost not affected after adding components")
		[ ] 
		[+] // Result 5: Verify on hand qty of component items
			[+] for (iCount = 1; iCount <=LISTCOUNT (lnirComponents); iCount++)
				[ ] VerifySafely (val (lnirUpdatedComp[iCount].sOnHandQty), val (lnirComponents[iCount].sOnHandQty), "On hand qty of components not affected")
	[ ] 
	[+] // CLEANUP
		[+] if Items.ItemsList.InventoryItemDetail.Exists (2)
			[ ] Items.ItemsList.InventoryItemDetail.CornerClose.Click ()
		[+] if Items.ItemsList.Topbar.Home.Exists (2)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
