﻿[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify Adding and Editing Styles From StyleGrid
	[+] // Test Steps:
		[ ] // Step 1: Open New Item form and fill the required fields
		[ ] // Step 2: Click on style
		[ ] // Step 3: Click on Yes
		[ ] // Step 4: Add attribute on the <Blank> cell and press tab
		[ ] // Step 5: Click on Cancel
		[ ] // Step 6: Add attribute on the <Blank> cell and press Tab
		[ ] // Step 7: Click on Change Size Attribute
		[ ] // Step 8: Add size on the <Blank> cell and click on save
		[ ] // Step 9: Click on Cancel
		[ ] // Step 10: Add size on the <Blank> cell and press Tab
		[ ] // Step 11: Click on Change Size Attribute
		[ ] // Step: 12: Save and close style dialog
		[ ] // Step 13: Open the item for edit
		[ ] // Step 14: Click on Style
		[ ] // Step 15: Add new attribute by clicking on 'Click to Add"
		[ ] // Step 16: Add new size by clicking on 'Click to Add"
		[ ] // Step 17: Click on first attribute and edit the name and press <Esc>
		[ ] // Step 18: Click on first size and edit the name and press <Esc>
		[ ] // Step 19: Click on first attribute and edit the name and press <Tab>
		[ ] // Step 20: Click on first size and edit the name and press <Tab>
		[ ] // Step 21: Add new attribute with existing attribute value
		[ ] // Step 22: Click on OK
		[ ] // Step 23: Add new size with existing size value
	[+] // Expected Result:
		[ ] // Result 1: Save changes and continue confirmation dialog displayed
		[ ] // Result 2: Verify style dialog should be displayed
		[ ] // Result 3: Confirmation dialog appears
		[ ] // Result 4: New attributer not added, <Blank> still exists
		[ ] // Result 5: Confirmation dialog appears
		[ ] // Result 6: New attributer added
		[ ] // Result 7: Confirmation dialog appears
		[ ] // Result 8: New size not added, <Blank> still exists
		[ ] // Result 9: Confirmation dialog appears
		[ ] // Result 10: New size not added,
		[ ] // Result 11: Verify Item list displayed
		[ ] // Result 12: Verify attribute and size saved
		[ ] // Result 13: Verify new attribute gets added
		[ ] // Result 14: Verify new size gets added
		[ ] // Result 15: Verify attribute doesnt change
		[ ] // Result 16: Verify size doesnt change
		[ ] // Result 17: Verify attribute change
		[ ] // Result 18: Verify size change
		[ ] // Result 19: Verify Information dialog displayed with correct message
		[ ] // Result 20: Verify Information dialog displayed with correct message
[ ] // TESTCASE.:AddEditStylesFromStyleGrid
[ ] // ATC ID::POS_SALE_ATC_058
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\Styles1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::AddEditStylesFromStyleGrid.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase AddEditStylesFromStyleGrid () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] ItemStyleRec isrStyle1, isrStyle2, isrStyle3
		[ ] NewItemRec nirItem
		[ ] LIST OF STRING lsItemsExpected, lsAttributesExpected, lsSizesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Styles1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open New Item form and fill the required fields
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "TestStyleItem"
			[ ] nirItem.sDepartment = "System"
			[ ] Items.ItemsList.AddInventoryItem.Invoke ()
			[ ] Items.ItemsList.AddInventoryItem.FillForm (nirItem)
		[ ] 
		[+] // Step 2: Click on style
			[ ] Items.ItemsList.AddInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Result 1: Save changes and continue confirmation dialog displayed
			[ ] VerifySafely (Items.Confirmation.Exists (3), TRUE, "Confirmation dialog displayed")
			[ ] sMessage = "Save changes and continue?"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 3: Click on Yes
			[ ] Items.Confirmation.Yes.Click ()
		[ ] 
		[+] // Result 2: Verify style dialog should be displayed
			[ ] VerifySafely (Items.ItemsList.EditStyle.Exists (3), TRUE, "Style dialog dialog displayed")
		[ ] 
		[+] // Step 4: Add attribute on the <Blank> cell and press tab
			[ ] isrStyle1.sAttribute = "AA1"
			[ ] Items.ItemsList.EditStyle.Matrix.AxisNodes.ChangeAttributeLabel ("Blank", isrStyle1.sAttribute, FALSE, "Tab")
		[ ] 
		[+] // Result 3: Confirmation dialog appears
			[ ] VerifySafely (Items.Confirmation.Exists (3), TRUE, "Confirmation dialog displayed")
			[ ] sMessage = "Changing the label for this row or column will change the size or attribute for all items in that row or column."
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
			[ ] sMessage = "To continue and change the size or attribute, select ""Change Size / Attribute Label""."
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 5: Click on Cancel
			[ ] Items.Confirmation.Cancel.Click ()
			[ ] Items.ItemsList.EditStyle.Matrix.Sizes.Click ()
		[ ] 
		[+] // Result 4: New attributer not added, <Blank> still exists
			[+] lsAttributesExpected = {...}
				[ ] "<Blank>"
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetAttributes (), lsAttributesExpected, "Correct attributes dispalyed")
		[ ] 
		[+] // Step 6: Add attribute on the <Blank> cell and press Tab
			[ ] Items.ItemsList.EditStyle.Matrix.AxisNodes.ChangeAttributeLabel ("Blank", isrStyle1.sAttribute, FALSE, "Tab")
		[ ] 
		[+] // Result 5: Confirmation dialog appears
			[ ] VerifySafely (Items.Confirmation.Exists (3), TRUE, "Confirmation dialog displayed")
			[ ] sMessage = "Changing the label for this row or column will change the size or attribute for all items in that row or column."
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
			[ ] sMessage = "To continue and change the size or attribute, select ""Change Size / Attribute Label""."
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 7: Click on Change Size Attribute
			[ ] Items.Confirmation.ChangeSizeAttributeLabel.Click ()
			[ ] Items.ItemsList.EditStyle.Matrix.Sizes.Click ()
		[ ] 
		[+] // Result 6: New attributer added
			[+] lsAttributesExpected = {...}
				[ ] isrStyle1.sAttribute
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetAttributes (), lsAttributesExpected, "Correct attributes dispalyed")
		[ ] 
		[+] // Step 8: Add size on the <Blank> cell and click on save
			[ ] isrStyle1.sSize = "SS1"
			[ ] Items.ItemsList.EditStyle.Matrix.AxisNodes.ChangeSizeLabel ("Blank", isrStyle1.sSize, FALSE, "Tab")
		[ ] 
		[+] // Result 7: Confirmation dialog appears
			[ ] VerifySafely (Items.Confirmation.Exists (3), TRUE, "Confirmation dialog displayed")
			[ ] sMessage = "Changing the label for this row or column will change the size or attribute for all items in that row or column."
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
			[ ] sMessage = "To continue and change the size or attribute, select ""Change Size / Attribute Label""."
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 9: Click on Cancel
			[ ] Items.Confirmation.Cancel.Click ()
			[ ] Items.ItemsList.EditStyle.Matrix.Sizes.Click ()
		[ ] 
		[+] // Result 8: New size not added, <Blank> still exists
			[+] lsSizesExpected = {...}
				[ ] "<Blank>"
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetSizes (), lsSizesExpected, "Correct sizes dispalyed")
		[ ] 
		[+] // Step 10: Add size on the <Blank> cell and press Tab
			[ ] Items.ItemsList.EditStyle.Matrix.AxisNodes.ChangeSizeLabel ("Blank", isrStyle1.sSize, FALSE,  "Tab")
		[ ] 
		[+] // Result 9: Confirmation dialog appears
			[ ] VerifySafely (Items.Confirmation.Exists (3), TRUE, "Confirmation dialog displayed")
			[ ] sMessage = "Changing the label for this row or column will change the size or attribute for all items in that row or column."
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
			[ ] sMessage = "To continue and change the size or attribute, select ""Change Size / Attribute Label""."
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 11: Click on Change Size Attribute
			[ ] Items.Confirmation.ChangeSizeAttributeLabel.Click ()
			[ ] Items.ItemsList.EditStyle.Matrix.Sizes.Click ()
		[ ] 
		[+] // Result 10: New size not added,
			[+] lsSizesExpected = {...}
				[ ] isrStyle1.sSize
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetSizes (), lsSizesExpected, "Correct sizes dispalyed")
		[ ] 
		[+] // Step: 12: Save and close style dialog
			[ ] Items.ItemsList.EditStyle.Save.Click ()
		[ ] 
		[+] // Result 11: Verify Item list displayed
			[ ] VerifySafely (Items.ItemsList.Exists (3), TRUE, "Item list displayed")
		[ ] 
		[+] // Step 13: Open the item for edit
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // Result 12: Verify attribute and size saved
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Attributes.GetLineText (0), isrStyle1.sAttribute, "Attribute saved")
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Size.GetLineText (0), isrStyle1.sSize, "Attribute saved")
		[ ] 
		[+] // Step 14: Click on Style
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Step 15: Add new attribute by clicking on 'Click to Add"
			[ ] WaitFor (Items.ItemsList.EditStyle)
			[ ] isrStyle2.sAttribute = "AA2"
			[ ] Items.ItemsList.EditStyle.Matrix.AxisNodes.AddAttribute (isrStyle2.sAttribute, "Tab")
		[ ] 
		[+] // Result 13: Verify new attribute gets added
			[+] lsAttributesExpected = {...}
				[ ] isrStyle1.sAttribute
				[ ] isrStyle2.sAttribute
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetAttributes (), lsAttributesExpected, "New attribute added")
		[ ] 
		[+] // Step 16: Add new size by clicking on 'Click to Add"
			[ ] isrStyle2.sSize = "SS2"
			[ ] Items.ItemsList.EditStyle.Matrix.AxisNodes.AddSize (isrStyle2.sSize, "Tab")
		[ ] 
		[+] // Result 14: Verify new size gets added
			[+] lsSizesExpected = {...}
				[ ] isrStyle1.sSize
				[ ] isrStyle2.sSize
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetSizes (), lsSizesExpected, "New attribute added")
		[ ] 
		[+] // Step 17: Click on first attribute and edit the name and press <Esc>
			[ ] Items.ItemsList.EditStyle.Matrix.AxisNodes.ChangeAttributeLabel (isrStyle1.sAttribute, "asdfg", TRUE,  "Esc")
		[ ] 
		[+] // Result 15: Verify attribute doesnt change
			[+] lsAttributesExpected = {...}
				[ ] isrStyle1.sAttribute
				[ ] isrStyle2.sAttribute
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetAttributes (), lsAttributesExpected, "New attribute added")
		[ ] 
		[+] // Step 18: Click on first size and edit the name and press <Esc>
			[ ] Items.ItemsList.EditStyle.Matrix.AxisNodes.ChangeSizeLabel (isrStyle1.sSize, "asdfg", TRUE, "Esc")
		[ ] 
		[+] // Result 16: Verify size doesnt change
			[+] lsSizesExpected = {...}
				[ ] isrStyle1.sSize
				[ ] isrStyle2.sSize
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetSizes (), lsSizesExpected, "New attribute added")
		[ ] 
		[+] // Step 19: Click on first attribute and edit the name and press <Tab>
			[ ] isrStyle3.sAttribute = "AA3"
			[ ] Items.ItemsList.EditStyle.Matrix.AxisNodes.ChangeAttributeLabel (isrStyle1.sAttribute, isrStyle3.sAttribute, TRUE, "Tab")
		[ ] 
		[+] // Result 17: Verify attribute change
			[+] lsAttributesExpected = {...}
				[ ] isrStyle3.sAttribute
				[ ] isrStyle2.sAttribute
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetAttributes (), lsAttributesExpected, "New attribute added")
		[ ] 
		[+] // Step 20: Click on first size and edit the name and press <Tab>
			[ ] isrStyle3.sSize = "SS3"
			[ ] Items.ItemsList.EditStyle.Matrix.AxisNodes.ChangeSizeLabel (isrStyle1.sSize, isrStyle3.sSize, TRUE, "Tab")
		[ ] 
		[+] // Result 18: Verify size change
			[+] lsSizesExpected = {...}
				[ ] isrStyle3.sSize
				[ ] isrStyle2.sSize
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetSizes (), lsSizesExpected, "New attribute added")
		[ ] 
		[+] // Step 21: Add new attribute with existing attribute value
			[ ] Items.ItemsList.EditStyle.Matrix.AxisNodes.AddAttribute (isrStyle2.sAttribute, "Tab")
		[ ] 
		[+] // Result 19: Verify Information dialog displayed with correct message
			[ ] VerifySafely (Items.Information.Message.Exists (3), TRUE, "Messages dialog displayed")
			[ ] sMessage = "A size or attribute already exists for the information you entered. Duplicates are not allowed."
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
			[ ] sMessage = "- Change the spelling for the size / attribute entered. - Find the existing size / attribute and add/edit your information there."
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 22: Click on OK
			[ ] Items.Information.OK.Click ()
			[ ] Items.ItemsList.EditStyle.Matrix.Sizes.Click ()
		[ ] 
		[+] // Step 23: Add new size with existing size value
			[ ] Items.ItemsList.EditStyle.Matrix.AxisNodes.AddSize (isrStyle2.sSize, "Tab")
		[ ] 
		[+] // Result 20: Verify Information dialog displayed with correct message
			[ ] VerifySafely (Items.Information.Message.Exists (3), TRUE, "Messages dialog displayed")
			[ ] sMessage = "A size or attribute already exists for the information you entered. Duplicates are not allowed."
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
			[ ] sMessage = "- Change the spelling for the size / attribute entered. - Find the existing size / attribute and add/edit your information there."
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
	[ ] 
	[+] // CLEANUP
		[ ] Items.Information.OK.Click ()
		[ ] Items.ItemsList.EditStyle.Matrix.Sizes.Click ()
		[ ] Items.ItemsList.EditStyle.Save.Click ()
		[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
