﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new Assembly item
	[+] // Test Steps:
		[ ] // 1. Invoke Add Inventory Item form (Result 1)
		[ ] // 2. Select The Item Type As Assembly (Result 2)
		[ ] // 3. Fill the rest of the item form
		[ ] // 4. Click on Save (Result 3)
		[ ] // 5. Enter name of created item on Search Inventory fiels of Item List (Result 4)
		[ ] // 6. Click on Edit (Result 5) (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify Add Inventory Item form appears
		[ ] // 2. Verify the On hand qty is not active
		[ ] // 3. Verify Item List is dispalyed
		[ ] // 4. Verify Edit button is enabled
		[ ] // 5. Verify Edit Inventory Item form is displayed
		[ ] // 6. Verify Item data save successfully
[ ] // TESTCASE::AddNewAssemblyItem
[ ] // ATC ID::POS_INV_ATC_004
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::AddNewAssemblyItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase AddNewAssemblyItem () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Add Inventory Item form
			[ ] Items.ItemsList.AddInventoryItem.Invoke ()
		[ ] 
		[+] // Result 1: Verify Add Inventory Item form appears
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.Exists (5), TRUE, "Add Inventory Item form appears")
		[ ] 
		[+] // Step 2: Select The Item Type As Assembly
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "TestAsmbItem1"
			[ ] nirItem.sItemType = "Assembly"
			[ ] nirItem.sDepartment = "System"
			[ ] nirItem.sRegularPrice = "100.00"
			[ ] nirItem.sAvgUnitCost = "50.00"
			[ ] Items.ItemsList.AddInventoryItem.ItemName.SetData (nirItem.sItemName)
			[ ] Items.ItemsList.AddInventoryItem.ScrollViewer.BasicInfo.Type.SelectItem (nirItem.sItemType)
		[ ] 
		[+] // Result 2: Verify the On hand qty is not active
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.ScrollViewer.BasicInfo.OnHandQty.IsEnabled, FALSE, "On hand qty is not enabled for Assembly Item")
		[ ] 
		[+] // Step 3: Fill the rest of the item form
			[ ] FillItemForm (nirItem)
		[ ] 
		[+] // Step 4: Click on Save
			[ ] Items.ItemsList.AddInventoryItem.Save.SetFocus ()
			[ ] Items.ItemsList.AddInventoryItem.Save.Click ()
		[ ] 
		[+] // Result 3: Verify Item List is dispalyed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Items List is displayed")
		[ ] 
		[+] // Step 5: Enter name of created item on Search Inventory fiels of Item List
			[ ] WaitTill (Items.ItemsList.Topbar.SearchInventory.IsEnabled, TRUE, iTimeOut)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Result 4: Verify Edit button is enabled
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, TRUE, "Non Inventory Item Created")
		[ ] 
		[+] // Step 6: Click on Edit
			[ ] Items.ItemsList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 5: Verify Edit Inventory Item form is displayed
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.Exists (5), TRUE, "Edit Inventory item form appeared")
		[ ] 
		[+] // Result 6: Verify Item data save successfully
			[ ] VerifyItemData (nirItem)
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
