﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new department
	[+] // Test Steps:
		[ ] // 1. Invoke New Department form (Result 1)
		[ ] // 2. Fill the New Department form with all mandatory fields
		[ ] // 3. Click on Save (Result 2)
		[ ] // 4. Enter name of created department on 'Find Deartment'  field of department List and press key 'Enter' (Result 3 and 4)
		[ ] // 5. Click on "Select Department" (Result 5 and 6)
	[+] // Expected Result:
		[ ] // 1. Verify New Department form appears
		[ ] // 2. Verify Department List is dispalyed
		[ ] // 3. Verify Find Department form is displayed
		[ ] // 4. Verify "Select Department" button is enabled
		[ ] // 5. Verify Edit Department form appears
		[ ] // 6. Verify department data is saved successfully
[ ] // TESTCASE::AddNewDepartment
[ ] // ATC ID::POS_DEPT_ATC_001
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::AddNewDepartment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase AddNewDepartment ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewDepartmentRec ndr
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke New Department form
			[ ] Departments.DepartmentList.AddDepartment.Invoke ()
		[ ] 
		[+] // Result 1: Verify New Department form appears
			[ ] VerifySafely (Departments.DepartmentList.AddDepartment.Exists (5), TRUE, "New Department form appears")
		[ ] 
		[+] // Step 2: Fill the New Department form with all mandatory fields
			[ ] ndr = {}
			[ ] ndr.sDeptCode = "D12"
			[ ] ndr.sDeptName = "Dept12"
			[ ] Departments.DepartmentList.AddDepartment.FillForm (ndr)
		[ ] 
		[+] // Step 3: Click on Save
			[ ] Departments.DepartmentList.AddDepartment.Save.Click ()
		[ ] 
		[+] // Result 2: Verify Department List is dispalyed
			[ ] VerifySafely (Departments.DepartmentList.Exists (5), TRUE, "Department List is displayed")
		[ ] 
		[+] // Step 4: Enter name of created department on 'Search Deartment'  field of department List
			[ ] WaitTill (Departments.DepartmentList.TopBar.SearchDepartment.IsEnabled)
			[ ] Departments.DepartmentList.TopBar.SearchDepartment.Clear ()
			[ ] Departments.DepartmentList.TopBar.SearchDepartment.SetData (ndr.sDeptName)
		[ ] 
		[+] // Result 3: Verify Edit button is enabled
			[ ] VerifySafely (Departments.DepartmentList.TopBar.Edit.IsEnabled, TRUE, "Department {ndr.sDeptName} created")
		[ ] 
		[+] // Step 5: Click on "Edit" button
			[ ] Departments.DepartmentList.TopBar.Edit.Click ()
		[ ] 
		[+] // Result 5: Verify Edit Department form appears
			[ ] VerifySafely (Departments.DepartmentList.EditDepartment.Exists (3), TRUE, "Edit Department form appears")
		[ ] 
		[+] // Result 6: Verify department data save successfully
			[ ] VerifyDepartmentsData (ndr)
	[ ] 
	[+] // CLEAN UP
		[+] if Departments.DepartmentList.EditDepartment.Exists ()
			[ ] Departments.DepartmentList.EditDepartment.Cancel.Click ()
		[+] if Departments.DepartmentList.Exists (2)
			[ ] Departments.DepartmentList.TopBar.Home.Click ()
[ ] 
