﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new inventory item
	[+] // Test Steps:
		[ ] // 1. Invoke Add Inventory Item form (Result 1)
		[ ] // 2. Fill the rest of the item form
		[ ] // 3. Click on Save (Result 2)
		[ ] // 4. Enter name of created item on Search Inventory fiels of Item List (Result 3)
		[ ] // 5. Click on Edit (Result 4) (Result 5)
	[+] // Expected Result:
		[ ] // 1. Verify Add Inventory Item form appears
		[ ] // 2. Verify Item List is dispalyed
		[ ] // 3. Verify Edit button is enabled
		[ ] // 4. Verify Edit Inventory Item form is displayed
		[ ] // 5. Verify Item data save successfully
[ ] // TESTCASE::AddNewInventoryItem
[ ] // ATC ID::POS_INV_ATC_001
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::AddNewInventoryItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase AddNewInventoryItem ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Add Inventory Item form
			[ ] Items.ItemsList.AddInventoryItem.Invoke ()
		[ ] 
		[+] // Result 1: Verify Add Inventory Item form appears
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.Exists (5), TRUE, "Add Inventory Item form appears")
		[ ] 
		[+] // Step 2: Fill the Item form with all mandatory fields and selecting itemtype as Inventory
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "TestInvItem1"
			[ ] nirItem.sItemType = "Inventory"
			[ ] nirItem.sDepartment = "System"
			[ ] nirItem.sRegularPrice = "100.00"
			[ ] nirItem.sAvgUnitCost = "50.00"
			[ ] nirItem.sOnHandQty = "50"
			[ ] FillItemForm (nirItem)
		[ ] 
		[+] // Step 3: Click on Save
			[ ] Items.ItemsList.AddInventoryItem.Save.Click ()
		[ ] 
		[+] // Result 2: Verify Item List is dispalyed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Items List is displayed")
		[ ] 
		[+] // Step 4: Enter name of created item on Search Inventory fiels of Item List
			[ ] WaitTill (Items.ItemsList.Topbar.SearchInventory.IsEnabled)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Result 3: Verify Edit button is enabled
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, TRUE, "Item Created")
		[ ] 
		[+] // Step 5: Click on Edit
			[ ] Items.ItemsList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 4: Verify Edit Inventory Item form is displayed
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.Exists (5), TRUE, "Edit Inventory item form appeared")
		[ ] 
		[+] // Result 5: Verify Item data save successfully
			[ ] VerifyItemData (nirItem)
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
