﻿[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify Adding Styles From ItemForm
	[+] // Test Steps:
		[ ] // Step 1: Invoke item List and open an  item for edit which does not have style
		[ ] // Step 2: Click on style
		[ ] // Step 3: Click cancel and open the item for edit
		[ ] // Step 4: Set the attribute and size and click on Style
		[ ] // Step 5: Click on Yes
		[ ] // Step 6: Click on cancel and open the item for edit
		[ ] // Step 7: Set the attribute and style and OH Qty and click on Style
		[ ] // Step 8: Click on Yes
	[+] // Expected Result:
		[ ] // Result 1: Verify style dialog should be displayed
		[ ] // Result 2: Verify all fields should be correct
		[ ] // Result 3: Verify Attributes and size should contain <Blank> and there should be 'Click to add' on both.
		[ ] // Result 4: Verify confirmation dialog with correct message
		[ ] // Result 5: Verify style dialog should be displayed and Attributes and size should contain newly set values and there should be 'Click to add' on both.
		[ ] // Result 6: Verify confirmation dialog with correct message
		[ ] // Result 7: Verify style dialog should be displayed and Attributes and size should contain newly set values and there should be 'Click to add' on both.
		[ ] // Result 8: Verify on hand qty set correctly corresponding to correct style
[ ] // TESTCASE.:AddStylesFromItemForm
[ ] // ATC ID::POS_SALE_ATC_057
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\Styles1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::AddStylesFromItemForm.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase AddStylesFromItemForm () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sNewItemName, sMessage
		[ ] ItemStyleRec isrStyle1, isrStyle2
		[ ] NewItemRec nirItem
		[ ] LIST OF STRING lsItemsExpected, lsAttributesExpected, lsSizesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Styles1.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke item List and open an  item for edit which does not have style
			[ ] Items.ItemsList.Invoke ()
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "NoStyleItem"
			[ ] nirItem = GetItemDataFromDetail (nirItem)
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // Step 2: Click on style
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Result 1: Verify style dialog should be displayed
			[ ] VerifySafely (Items.ItemsList.EditStyle.Exists (3), TRUE, "Style dialog dialog displayed")
		[ ] 
		[+] // Result 2: Verify all fields should be correct
			[ ] VerifySafely (Items.ItemsList.EditStyle.ItemName.GetLineText (0), nirItem.sItemName, "Item name correct in style dialog")
			[ ] VerifySafely (Items.ItemsList.EditStyle.Department.GetLineText (0), nirItem.sDepartment, "Item name correct in style dialog")
		[ ] 
		[+] // Result 3: Verify Attributes and size should contain <Blank> and there should be 'Click to add' on both.
			[+] lsAttributesExpected = {...}
				[ ] "<Blank>"
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetAttributes (), lsAttributesExpected, "Correct attributes dispalyed")
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.IsClickToAdd (2), TRUE, "Click to add present for attributes")
			[+] lsSizesExpected = {...}
				[ ] "<Blank>"
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetSizes (), lsSizesExpected, "Correct attributes dispalyed")
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.IsClickToAdd (4), TRUE, "Click to add present for sizes")
		[ ] 
		[+] // Step 3: Click cancel and open the item for edit
			[ ] Items.ItemsList.EditStyle.Cancel.Click ()
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // Step 4: Set the attribute and size and click on Style
			[ ] isrStyle1.sAttribute = "AA1"
			[ ] isrStyle1.sSize = "SS1"
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Attributes.SetData (isrStyle1.sAttribute)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Size.SetData (isrStyle1.sSize)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Result 4: Verify confirmation dialog with correct message
			[ ] VerifySafely (Items.Confirmation.Message.Exists (3), TRUE, "Messages dialog displayed")
			[ ] sMessage = "Save changes and continue?"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 5: Click on Yes
			[ ] Items.Confirmation.Yes.Click ()
		[ ] 
		[+] // Result 5: Verify style dialog should be displayed and Attributes and size should contain newly set values and there should be 'Click to add' on both.
			[ ] VerifySafely (Items.ItemsList.EditStyle.Exists (3), TRUE, "Style dialog dialog displayed")
			[+] lsAttributesExpected = {...}
				[ ] isrStyle1.sAttribute
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetAttributes (), lsAttributesExpected, "Correct attributes dispalyed")
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.IsClickToAdd (2), TRUE, "Click to add present for attributes")
			[+] lsSizesExpected = {...}
				[ ] isrStyle1.sSize
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetSizes (), lsSizesExpected, "Correct attributes dispalyed")
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.IsClickToAdd (4), TRUE, "Click to add present for sizes")
		[ ] 
		[+] // Step 6: Click on cancel and open the item for edit
			[ ] Items.ItemsList.EditStyle.Cancel.Click ()
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // Step 7: Set the attribute and style and OH Qty and click on Style
			[ ] isrStyle2.sAttribute = "AA2"
			[ ] isrStyle2.sSize = "SS2"
			[ ] nirItem.sOnHandQty = "10"
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Attributes.SetData (isrStyle2.sAttribute)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Size.SetData (isrStyle2.sSize)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.OnHandQty.SetData (nirItem.sOnHandQty)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.OnHandQty.Typekeys ("<Tab>")
			[+] if Items.Confirmation.Exists (3)
				[ ] Items.Confirmation.DontShowThisMessageAgain.Check ()
				[ ] Items.Confirmation.Yes.Click ()
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Result 6: Verify confirmation dialog with correct message
			[ ] VerifySafely (Items.Confirmation.Message.Exists (3), TRUE, "Messages dialog displayed")
			[ ] sMessage = "Save changes and continue?"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 8: Click on Yes
			[ ] Items.Confirmation.Yes.Click ()
		[ ] 
		[+] // Result 7: Verify style dialog should be displayed and Attributes and size should contain newly set values and there should be 'Click to add' on both.
			[ ] VerifySafely (Items.ItemsList.EditStyle.Exists (3), TRUE, "Style dialog dialog displayed")
			[+] lsAttributesExpected = {...}
				[ ] isrStyle2.sAttribute
				[ ] isrStyle1.sAttribute
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetAttributes (), lsAttributesExpected, "Correct attributes dispalyed")
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.IsClickToAdd (3), TRUE, "Click to add present for attributes")
			[+] lsSizesExpected = {...}
				[ ] isrStyle2.sSize
				[ ] isrStyle1.sSize
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.GetSizes (), lsSizesExpected, "Correct attributes dispalyed")
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.AxisNodes.IsClickToAdd (6), TRUE, "Click to add present for sizes")
		[ ] 
		[+] // Result 8: Verify on hand qty set correctly corresponding to correct style
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.DataCell.GetOHQtyOfStyle (isrStyle2), nirItem.sOnHandQty, "On Hand qty set correctly for style item")
	[ ] 
	[+] // CLEANUP
		[ ] Items.ItemsList.EditStyle.XClose.Click ()
		[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
