﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Break Assembly for an existing assembly item and component can not be added to existing assembly bfore breaking it.
	[+] // Test Steps:
		[ ] //  1. Go to Items List
		[ ] //  2. Get the avg unit cost, regular price and on hand qty of the assembly item and its components
		[ ] //  3. Search for newly created assembly item and click on Show Details (Result 1)
		[ ] //  4. Click on 'Assembly' on 'Inventory item Detail'  (Result 23)
		[ ] //  5. Click on Edit Assembly (Result 3)
		[ ] //  6. Add the new component item to the Assmbly item (Result 4)
		[ ] //  7. Click on OK
		[ ] //  8. Click on Break (Result 5) (Result 6)
		[ ] //  9. Enter the no of assemblies to be broken
		[ ] //  10. Click on break (Result 7)
		[ ] //  11. Click on OK
		[ ] //  12. Click on Save
		[ ] //  13. Get the item data for  assembly item and its components (Result 8) (Result 9)
	[+] // Expected Result:
		[ ] //  1. Verify Inventory Details is displayed
		[ ] //  2. Verify Edit Assembly button shows up
		[ ] //  3. Verify EditAssembly form is displayed
		[ ] //  4. Verify message is displayed showing asmbly needs to be broken first
		[ ] //  5. Verify Break assembly dialog is displayed
		[ ] //  6. Verify maximum number to build is minimum of the On hand qty of the component items
		[ ] //  7. Verify message shows as number of assemblies built
		[ ] //  8. Verify on hand qty, regular price and avg unit cost of assembly item is updated as per components sum
		[ ] //  9. Verify on hand qty of component items
[ ] // TESTCASE::BreakAssembly
[ ] // ATC ID::POS_INV_ATC_013
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::BreakAssembly.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase BreakAssembly () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sAssemblyQty, sDesc, sMessage
		[ ] NewItemRec nirAsmbItem, nirUpdatedAsmbItem, nirItem, nirComponent1, nirComponent2, nirNewComponent
		[ ] LIST OF NewItemRec lnirComponents, lnirUpdatedComp
		[ ] INTEGER iCount
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Go to Items List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Step 2: Get the avg unit cost, regular price and on hand qty of the assembly item and its components
			[ ] nirAsmbItem = {}
			[ ] nirAsmbItem.sItemName = "AsmbItem1"
			[ ] nirAsmbItem = GetItemDataFromDetail (nirAsmbItem)
			[ ] nirUpdatedAsmbItem = nirAsmbItem
			[ ] nirComponent1 = {}
			[ ] nirComponent1.sItemName = "InvItem1"
			[ ] nirComponent1 = GetItemData (nirComponent1)
			[ ] nirComponent2 = {}
			[ ] nirComponent2.sItemName = "InvItem2"
			[ ] nirComponent2 = GetItemData (nirComponent2)
			[+] lnirComponents = {...}
				[ ] nirComponent1
				[ ] nirComponent2
			[ ] lnirUpdatedComp = lnirComponents
		[ ] 
		[+] // Step 3: Search for assembly item and click on Show Details
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirAsmbItem.sItemName)
			[+] if !Items.ItemsList.InventoryItemDetail.Exists ()
				[+] if Items.ItemsList.Topbar.HideDetails.Exists ()
					[ ] Items.ItemsList.Topbar.HideDetails.Click ()
				[ ] Items.ItemsList.Topbar.ShowDetails.Click ()
		[ ] 
		[+] // Result 1: Verify Inventory Details is displayed
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.Exists (5), TRUE, "Inventory Item Detail displayed")
		[ ] 
		[+] // Step 4: Click on 'Assembly' on 'Inventory item Detail' 
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.BasicInfo.Assembly.Click ()
		[ ] 
		[+] // Result 2: Verify Edit Assembly button shows up
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.EditAssembly.Exists (2), TRUE, "Edit assembly button appears on clicking assembly")
		[ ] 
		[+] // Step 5: Click on Edit Assembly
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.EditAssembly.Click ()
		[ ] 
		[+] // Result 3: Verify EditAssembly form is displayed
			[ ] VerifySafely (Items.ItemsList.EditAssembly.Exists (2), TRUE, "Edit Assemly dialog appears")
		[ ] 
		[+] // Step 6: Add the new component item to the Assmbly item
			[ ] nirNewComponent = {}
			[ ] nirNewComponent.sItemName = "InvItem1"
			[ ] Items.ItemsList.EditAssembly.AssemblyEdit.EnterItems.SelectItem (nirNewComponent.sItemName)
		[ ] 
		[+] // Result 4: Verify message is displayed showing asmbly needs to be broken first
			[ ] sMessage = "To add the items to assembly you must first set the on hand quantity to zero using the Break button"
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} messgae displayed")
		[ ] 
		[+] // Step 7: Click on OK
			[ ] Items.Information.OK.Click ()
		[ ] 
		[+] // Step 7.1: Click on break and try to break more than 30000 assemblies
			[ ] Items.ItemsList.EditAssembly.AssemblyEdit.Break.Click ()
			[ ] Items.ItemsList.BreakAssembly.QtyToBreak.SetData ("30001")
			[ ] Items.ItemsList.BreakAssembly.Break.Click ()
		[ ] 
		[+] // Result 4.1: Verify message shows as 30000 assemblies can be broken at one time
			[ ] sMessage = "Maximum quantity exceeded. You can break up to 30,000 assemblies at one time."
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} messgae displayed")
			[ ] Items.Information.OK.Click ()
		[ ] 
		[+] // Step 8: Click on Break
			[ ] Items.ItemsList.EditAssembly.AssemblyEdit.Break.Click ()
		[ ] 
		[+] // Result 5: Verify Break assembly dialog is displayed
			[ ] VerifySafely (Items.ItemsList.BreakAssembly.Exists (2), TRUE, "Break assembly dialog appeared")
		[ ] 
		[+] // Result 6: Verify maximum number to build is minimum of the On hand qty of the component items
			[ ] sDesc = "Maximum number you can break shows the on hand qty of assemblyitems"
			[ ] VerifySafely (Items.ItemsList.BreakAssembly.MaxNumYouCanBreak.GetCaption (), nirAsmbItem.sOnHandQty, sDesc)
		[ ] 
		[+] // Step 9: Enter the no of assemblies to be broken
			[ ] sAssemblyQty = "2"
			[ ] Items.ItemsList.BreakAssembly.QtyToBreak.SetData (sAssemblyQty)
		[ ] 
		[+] // Step 10: Click on break
			[ ] Items.ItemsList.BreakAssembly.Break.Click ()
		[ ] 
		[+] // Result 7: Verify message shows as number of assemblies built
			[+] if sAssemblyQty == "1"
				[ ] sMessage = "{sAssemblyQty} assembly has been broken"
			[+] else
				[ ] sMessage = "{sAssemblyQty} assemblies have been broken"
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} messgae displayed")
		[ ] 
		[+] // Step 11: Click on OK
			[ ] Items.Information.OK.Click ()
		[ ] 
		[+] // Step 11.1: Click on break 
			[ ] Items.ItemsList.EditAssembly.AssemblyEdit.Break.Click ()
		[ ] 
		[+] // Result 7.1: Verify message shows as 30000 assemblies can be broken at one time
			[ ] sMessage = "You cannot break this assembly for the selected store. The on-hand quantity of the assembly item at the selected store is already zero."
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} messgae displayed")
			[ ] Items.Information.OK.Click ()
		[ ] 
		[+] // Step 12: Click on Save
			[ ] Items.ItemsList.EditAssembly.Save.Click ()
		[ ] 
		[+] // Step 13: Get the item data for  assembly item and its components
			[ ] nirUpdatedAsmbItem = GetItemDataFromDetail (nirUpdatedAsmbItem)
			[+] for iCount = 1 to LISTCOUNT (lnirUpdatedComp)
				[ ] lnirUpdatedComp[iCount] = GetItemDataFromDetail (lnirUpdatedComp[iCount])
		[ ] 
		[+] // Result 8: Verify on hand qty, regular price and avg unit cost of assembly item is updated as per components sum
			[ ] VerifySafely (val (nirUpdatedAsmbItem.sOnHandQty), val (nirAsmbItem.sOnHandQty) - val (sAssemblyQty), "Assembly Item qty updated in accordance ro assemblies broken")
		[ ] 
		[+] // Result 9: Verify on hand qty of component items
			[+] for (iCount = 1; iCount <=LISTCOUNT (lnirComponents); iCount++)
				[ ] VerifySafely (val (lnirUpdatedComp[iCount].sOnHandQty), val (lnirComponents[iCount].sOnHandQty) + val (sAssemblyQty), "On hand qty of components updated accordingly")
	[ ] 
	[+] // CLEANUP
		[+] if Items.ItemsList.InventoryItemDetail.Exists (2)
			[ ] Items.ItemsList.InventoryItemDetail.CornerClose.Click ()
		[+] if Items.ItemsList.Topbar.Home.Exists (2)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
