﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Build Assembly for a newly created assembly item
	[+] // Test Steps:
		[ ] // 1. Create a new assembly item with regular price and avg unit cost not set
		[ ] // 2. Get the avg unit cost, regular price and on hand qty of the components
		[ ] // 3. Search for newly created assembly item and click on Show Details (Result 1)
		[ ] // 4. Click on 'Assembly' on 'Inventory item Detail'  (Result 2)
		[ ] // 5. Click on Edit Assembly (Result 3)
		[ ] // 6. Add the component items to the Assmbly item
		[ ] // 7. Click on Build (Result 4) (Result 5)
		[ ] // 8. Enter the no of assemblies to be built
		[ ] // 9. Click on build (Result 6)
		[ ] // 10. Click on OK
		[ ] // 11. Click on Save
		[ ] // 12. Get The item data for  assembly item and its components (Result 7) (Result 8)
	[+] // Expected Result:
		[ ] // 1. Verify Inventory Details is displayed
		[ ] // 2. Verify Edit Assembly button shows up
		[ ] // 3. Verify EditAssembly form is displayed
		[ ] // 4. Verify Build Assembly dialog is displayed
		[ ] // 5. Verify maximum number to build is minimum of the On hand qty of the component items
		[ ] // 6. Verify message shows as number of assemblies built
		[ ] // 7. Verify on hand qty, regular price and avg unit cost of assembly item is updated as per components sum
		[ ] // 8. Verify on hand qty of component items
[ ] // TESTCASE::BuildAssembly
[ ] // ATC ID::POS_INV_ATC_012
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::BuildAssembly.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase BuildAssembly () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sAssemblyQty, sDesc, sMessage
		[ ] NewItemRec nirAsmbItem, nirItem, nirComponent1, nirComponent2
		[ ] LIST OF NewItemRec lnirComponents, lnirUpdatedComp
		[ ] INTEGER iCount
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a new assembly item with regular price and avg unit cost not set
			[ ] nirAsmbItem = {}
			[ ] nirAsmbItem.sItemName = "TestAsmbItem"
			[ ] nirAsmbItem.sItemType = "Assembly"
			[ ] nirAsmbItem.sDepartment = "System"
			[ ] CreateNewItem (nirAsmbItem)
		[ ] 
		[+] // Step 2: Get the avg unit cost, regular price and on hand qty of the components
			[ ] nirComponent1 = {}
			[ ] nirComponent1.sItemName = "InvItem1"
			[ ] nirComponent1 = GetItemData (nirComponent1)
			[ ] nirComponent2 = {}
			[ ] nirComponent2.sItemName = "InvItem2"
			[ ] nirComponent2 = GetItemData (nirComponent2)
			[+] lnirComponents = {...}
				[ ] nirComponent1
				[ ] nirComponent2
			[ ] lnirUpdatedComp = lnirComponents
		[ ] 
		[+] // Step 3: Search for newly created assembly item and click on Show Details
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirAsmbItem.sItemName)
			[+] if !Items.ItemsList.InventoryItemDetail.Exists ()
				[+] if Items.ItemsList.Topbar.HideDetails.Exists ()
					[ ] Items.ItemsList.Topbar.HideDetails.Click ()
				[ ] Items.ItemsList.Topbar.ShowDetails.Click ()
		[ ] 
		[+] // Result 1: Verify Inventory Details is displayed
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.Exists (5), TRUE, "Inventory Item Detail displayed")
		[ ] 
		[+] // Step 4: Click on 'Assembly' on 'Inventory item Detail' 
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.BasicInfo.Assembly.Click ()
		[ ] 
		[+] // Result 2: Verify Edit Assembly button shows up
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.EditAssembly.Exists (2), TRUE, "Edit assembly button appears on clicking assembly")
		[ ] 
		[+] // Step 5: Click on Edit Assembly
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.EditAssembly.Click ()
		[ ] 
		[+] // Result 3: Verify EditAssembly form is displayed
			[ ] VerifySafely (Items.ItemsList.EditAssembly.Exists (2), TRUE, "Edit Assemly dialog appears")
		[ ] 
		[+] // Step 5.1: Try to add the assembly item itself as component
			[ ] Items.ItemsList.EditAssembly.AssemblyEdit.EnterItems.SelectItem (nirAsmbItem.sItemName)
		[ ] 
		[+] // Result 3.1: Verify message shows as To add the items to assembly you must first set the on hand quantity to zero using the Break button
			[ ] sMessage = "You may not add an assembly item to itself."
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} messgae displayed")
			[ ] Items.Information.OK.Click ()
		[ ] 
		[+] // Step 6: Add the component items to the Assmbly item
			[+] for each nirItem in lnirComponents
				[ ] Items.ItemsList.EditAssembly.AssemblyEdit.EnterItems.SelectItem (nirItem.sItemName)
		[ ] 
		[+] // Step 7: Click on Build
			[ ] Items.ItemsList.EditAssembly.AssemblyEdit.Build.Click ()
		[ ] 
		[+] // Result 4: Verify Build Assembly dialog is displayed
			[ ] VerifySafely (Items.ItemsList.BuildAssembly.Exists (2), TRUE, "Build assembly dialog appeared")
		[ ] 
		[+] // Result 5: Verify maximum number to build is minimum of the On hand qty of the component items
			[ ] sDesc = "Maximum number you can build shows the minimum of on hand qty of component items"
			[ ] VerifySafely (Items.ItemsList.BuildAssembly.MaxNumYouCanBuild.GetCaption (), GetMinimumOnHandQty (lnirComponents), sDesc)
		[ ] 
		[+] // Step 8: Enter the no of assemblies to be built
			[ ] sAssemblyQty = "2"
			[ ] Items.ItemsList.BuildAssembly.QtyToBuild.SetData (sAssemblyQty)
		[ ] 
		[+] // Step 9: Click on build
			[ ] Items.ItemsList.BuildAssembly.Build.Click ()
		[ ] 
		[+] // Result 6: Verify message shows as number of assemblies built
			[+] if sAssemblyQty == "1"
				[ ] sMessage = "{sAssemblyQty} assembly has been built"
			[+] else
				[ ] sMessage = "{sAssemblyQty} assemblies have been built"
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} messgae displayed")
		[ ] 
		[+] // Step 10: Click on OK
			[ ] Items.Information.OK.Click ()
		[ ] 
		[+] // Step 10.1: Click on Build and try to build 30001 assemblies
			[ ] Items.ItemsList.EditAssembly.AssemblyEdit.Build.Click ()
			[ ] Items.ItemsList.BuildAssembly.QtyToBuild.SetData ("30001")
			[ ] Items.ItemsList.BuildAssembly.Build.Click ()
		[ ] 
		[+] // Result 6.1: Verify message shows as 30000 assemblies can be built at one time
			[ ] sMessage = "Maximum quantity exceeded. Up to 30,000 assemblies can be built at one time."
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} messgae displayed")
			[ ] Items.Information.OK.Click ()
		[ ] 
		[+] // Step 10.2: Add the assembly item iteself as component
			[ ] Items.ItemsList.EditAssembly.AssemblyEdit.EnterItems.SelectItem (nirAsmbItem.sItemName)
		[ ] 
		[+] // Result 6.2: Verify message shows as To add the items to assembly you must first set the on hand quantity to zero using the Break button
			[ ] sMessage = "To add the items to assembly you must first set the on hand quantity to zero using the Break button."
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} messgae displayed")
			[ ] Items.Information.OK.Click ()
		[ ] 
		[+] // Step 11: Click on Save
			[ ] Items.ItemsList.EditAssembly.Save.Click ()
		[ ] 
		[+] // Step 12: Get The item data for  assembly item and its components
			[ ] nirAsmbItem = GetItemDataFromDetail (nirAsmbItem)
			[+] for iCount = 1 to LISTCOUNT (lnirUpdatedComp)
				[ ] lnirUpdatedComp[iCount] = GetItemDataFromDetail (lnirUpdatedComp[iCount])
		[ ] 
		[+] // Result 7: Verify on hand qty, regular price and avg unit cost of assembly item is updated as per components sum
			[ ] VerifySafely (nirAsmbItem.sOnHandQty, sAssemblyQty, "Assembly Item qty updated as no. of assemblies created")
			[ ] VerifySafely (nirAsmbItem.sRegularPrice, GetRegularPriceSum (lnirComponents), "Assmbly item regular price updated as sum of regular price of components")
			[ ] VerifySafely (nirAsmbItem.sAvgUnitCost, GetAvgUnitCostSum (lnirComponents), "Assmbly item avg unit cost updated as sum of avg unit cost of components")
		[ ] 
		[+] // Result 8: Verify on hand qty of component items
			[+] for (iCount = 1; iCount <=LISTCOUNT (lnirComponents); iCount++)
				[ ] VerifySafely (val (lnirUpdatedComp[iCount].sOnHandQty), val (lnirComponents[iCount].sOnHandQty) - val (sAssemblyQty), "On hand qty of components updated accordingly")
	[ ] 
	[+] // CLEANUP
		[+] if Items.ItemsList.InventoryItemDetail.Exists (2)
			[ ] Items.ItemsList.InventoryItemDetail.CornerClose.Click ()
		[+] if Items.ItemsList.Topbar.Home.Exists (2)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
