﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Copy a Cost Adjustment Memo
	[+] // Test Steps:
		[ ] // Step 1: Invoke Item List And get the Onhand Cost of the item
		[ ] // Step 2: Click on Go Back and then Invoke Cost Adj History (Result 1)
		[ ] // Step 3: Select the memo
		[ ] // Step 4: Click on Copy  (Result 2)
		[ ] // Step 5: Enter the new Cost
		[ ] // Step 6: Click on save and close and invoke Item list (Result 3)
	[+] // Expected Result:
		[ ] // Result 1: Verify Cost Adj History  is open
		[ ] // Result 2: Verify New Cost adj memo is open and all data prefilled
		[ ] // Result 3: Verify the on hand Cost of the item is updated
[ ] // TESTCASE::CopyCostAdjustmentMemo
[ ] // ATC ID::POS_INV_ATC_039
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\AdjustmentMemos.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CopyCostAdjustmentMemo.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CopyCostAdjustmentMemo ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMemoNum, sNewCost
		[ ] NewItemRec nirItem, nirUpdatedItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "AdjustmentMemos.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List And get the Cost of the item
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Items.ItemsList.Invoke ()
			[ ] nirItem = GetItemData (nirItem)
		[+] // Step 2: Click on Go Back and then Invoke Cost Adj History
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] CostAdjHistory.Invoke ()
		[+] // Result 1: Verify Cost Adj History  is open
			[ ] VerifySafely (CostAdjHistory.CostAdjustmentHistory.Exists (5), TRUE, "Cost Adj History is open")
		[+] // Step 3: Select the memo
			[ ] sMemoNum = "5"
			[ ] CostAdjHistory.CostAdjustmentHistory.Filter.Select ("All Cost Adjustment Memos")
			[ ] CostAdjHistory.SelectMemo (sMemoNum)
		[+] // Step 4: Click on Copy
			[ ] CostAdjHistory.ToolBar.Select ("Copy Cost Memo")
		[+] // Result 2: Verify New Cost adj memo is open and all data prefilled 
			[ ] VerifySafely (CostAdjustment.NewCostAdjustmentMemo.Exists (3), TRUE, "NewCostAdjustmentMemo displayed")
			[ ] VerifySafely (CostAdjustment.NewCostAdjustmentMemo.PageList.Reason.GetText (), "Damaged", "Reason prefilled correctly")
		[+] // Step 5: Enter the new Cost
			[ ] sNewCost = "80.00"
			[ ] CostAdjustment.Typekeys ("<F5>")
			[ ] CostAdjItemInfo.PageList.NewCost.SetText (sNewCost)
			[ ] CostAdjItemInfo.OK.Click ()
		[+] // Step 6: Click on save and close and invoke Item list
			[ ] CostAdjustment.BottomBar.SaveOnly.Click ()
			[ ] CostAdjustment.BottomBar.Close.Click ()
			[+] if CostAdjHistory.BottomBar.Close.Exists ()
				[ ]  CostAdjHistory.BottomBar.Close.Click ()
			[ ] Items.ItemsList.Invoke ()
		[+] // Result 3: Verify the on hand Cost of the item is updated
			[ ] nirUpdatedItem = GetItemData (nirItem)
			[ ] VerifySafely (nirUpdatedItem.sAvgUnitCost, nirItem.sAvgUnitCost, "Cost of item updated")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.Exists (2)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
