﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Copy an existing department
	[+] // Test Steps:
		[ ] // 1. Invoke Department List (Result 1)
		[ ] // 2. Select the department
		[ ] // 3. Get department data
		[ ] // 4. Click on "Copy Department" (Result 2)
		[ ] // 5. Click on "Save" (Result 3)
		[ ] // 6. Edit the department name and click on 'Save'
		[ ] // 7. Enter the new department name on 'Find Deartment' field of department List and press key 'Enter' (Result 4)
		[ ] // 8. Click on "select Department" (Result 5)
	[+] // Expected Result:
		[ ] // 1. Verify Department List  form appears
		[ ] // 2. Verify New Department form is displayed
		[ ] // 3. Verify warning message appears for "Dulpicate department name"
		[ ] // 4. Verify Find Department form is displayed
		[ ] // 5. Verify the duplicate department data
[ ] // TESTCASE::CopyDepartment
[ ] // ATC ID::POS_INV_ATC_030
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CopyDepartment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CopyDepartment ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sDeptName
		[ ] NewDepartmentRec ndrDepartment, ndrDepartmentCopy
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Department List
			[ ] Departments.DepartmentList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Department List is didplayed
			[ ] VerifySafely (Departments.DepartmentList.Exists (5), TRUE, "Department List is displayed")
		[ ] 
		[+] // Step 2: Get the Department data of the Department to be copied
			[ ] ndrDepartment = {}
			[ ] ndrDepartment.sDeptName = "Sports"
			[ ] ndrDepartment = GetDepartmentData (ndrDepartment)
			[ ] ndrDepartmentCopy = {}
			[ ] ndrDepartmentCopy = ndrDepartment
		[ ] 
		[+] // Step 3: Select the Department to be copied
			[ ] Departments.DepartmentList.SelectDepartment (ndrDepartment.sDeptName)
		[ ] 
		[+] // Step 4: Click on -> Copy From IWT
			[ ] Departments.DepartmentList.TopBar.IWantTo.Click ()
			[ ] Departments.DepartmentList.TopBar.IWantTo.Copy.Click ()
		[ ] 
		[+] // Result 2: Verify Add New Department is displayed and all fields are prefilled accordingly
			[ ] VerifySafely (Departments.DepartmentList.AddDepartment.Exists (2), TRUE, "New Department form is displayed")
			[ ] VerifySafely (Departments.DepartmentList.AddDepartment.DeptInfo.DepartmentInfo.Department.GetLineText (0), ndrDepartment.sDeptName, "Department Name is already filled")
		[ ] 
		[+] // Step 5: Change the company of the Department
			[ ] ndrDepartmentCopy.sDeptName = "CopyDepartment"
			[ ] Departments.DepartmentList.AddDepartment.DeptInfo.DepartmentInfo.Department.SetData (ndrDepartmentCopy.sDeptName)
		[ ] 
		[+] // Step 6: Click on save
			[ ] Departments.DepartmentList.AddDepartment.Save.Click ()
		[ ] 
		[+] // Result 4: Verify Department List is dispalyed
			[ ] VerifySafely (Departments.DepartmentList.Exists (2), TRUE, "Departments List is displayed")
		[ ] 
		[+] // Step 7: Enter name of created Department on find Department fiels of Department List and press enter
			[ ] WaitTill (Departments.DepartmentList.TopBar.SearchDepartment.IsEnabled)
			[ ] Departments.DepartmentList.TopBar.SearchDepartment.Clear ()
			[ ] Departments.DepartmentList.TopBar.SearchDepartment.SetData (ndrDepartmentCopy.sDeptName)
		[ ] 
		[+] // Step 8: Click on Edit Department
			[ ] WaitTill(Departments.DepartmentList.TopBar.Edit.IsEnabled)
			[ ] Departments.DepartmentList.TopBar.Edit.Click ()
		[ ] 
		[+] // Result 5: Verify Edit Department form is displayed
			[ ] VerifySafely (Departments.DepartmentList.EditDepartment.Exists (5), TRUE, "Edit Department form appeared")
		[ ] 
		[+] // Result 6: Verify Department data save successfully
			[ ] VerifyDepartmentsData (ndrDepartmentCopy)
	[ ] 
	[+] // CLEAN UP
		[+] if Departments.DepartmentList.EditDepartment.Exists ()
			[ ] Departments.DepartmentList.EditDepartment.Cancel.Click ()
		[+] if Departments.DepartmentList.Exists ()
			[ ] Departments.DepartmentList.TopBar.Home.Click ()
