﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Copy an inventory item
	[+] // Test Steps.
		[ ] //  1. Invoke Item List (Result 1)
		[ ] //  2. Enter name of item to be copied on Search Inventory fiels of Item List
		[ ] //  3. Get the item data of the item to be copied
		[ ] //  4. Click on I Want To -> Copy (Result 2) (Result 3)
		[ ] //  5. Change the name of the item
		[ ] //  6. Click on save (Result 4)
		[ ] //  7. Enter name of created item on Search Inventory fiels of Item List
		[ ] //  8. Click on Edit (Result 5) (Result 6)
	[+] // Expected Result:
		[ ] //  1. Verify Item List is didplayed
		[ ] //  2. Verify Add New Inventory Item is displayed
		[ ] //  3. Verify the item form is already filled with data same as the item which is being copied
		[ ] //  4. Verify Item List is dispalyed
		[ ] //  5. Verify Edit Inventory Item form is displayed
		[ ] //  6. Verify Item data save successfully
[ ] // TESTCASE::CopyInventoryItem
[ ] // ATC ID::POS_INV_ATC_015
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CopyInventoryItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CopyInventoryItem ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem, nirItemCopy
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Item List is didplayed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Item List is displayed")
		[ ] 
		[+] // Step 2: Enter name of item to be copied on Search Inventory fiels of Item List
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
		[ ] 
		[+] // Step 3: Get the item data of the item to be copied
			[ ] nirItem = GetItemDataFromDetail (nirItem)
		[ ] 
		[+] // Step 4: Click on I Want To -> Copy
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.Copy.Click ()
		[ ] 
		[+] // Result 2: Verify Add New Inventory Item is displayed
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.Exists (5), TRUE, "Add Inventory Item form is displayed")
		[ ] 
		[+] // Result 3: Verify the item form is already filled with data same as the item which is being copied
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.ItemName.GetLineText (0), nirItem.sItemName, "Item Name already filled")
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.ScrollViewer.BasicInfo.RegPrice.GetLineText (0), nirItem.sRegularPrice, "RegularPrice already filled")
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.ScrollViewer.BasicInfo.OnHandQty.GetLineText (0), "0", "On hand qty is filled as zero")
		[ ] 
		[+] // Step 5: Change the name of the item
			[ ] nirItem.sItemName = "CopyItem"
			[ ] Items.ItemsList.AddInventoryItem.ItemName.SetData (nirItem.sItemName)
		[ ] 
		[+] // Step 6: Click on save
			[ ] Items.ItemsList.AddInventoryItem.Save.Click ()
		[ ] 
		[+] // Result 4: Verify Item List is dispalyed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Items List is displayed")
		[ ] 
		[+] // Step 7: Enter name of created item on Search Inventory fiels of Item List
			[ ] WaitTill (Items.ItemsList.Topbar.SearchInventory.IsEnabled)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Step 8: Click on Edit
			[ ] Items.ItemsList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 5: Verify Edit Inventory Item form is displayed
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.Exists (5), TRUE, "Edit Inventory item form appeared")
		[ ] 
		[+] // Result 6: Verify Item data save successfully
			[ ] nirItem.sOnHandQty = "0"
			[ ] VerifyItemData (nirItem)
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
