﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Copy a Quantity Adjustment Memo
	[+] // Test Steps:
		[ ] // Step 1: Invoke Item List And get the Onhand quantity of the item
		[ ] // Step 2: Click on Go Back and then Invoke Qty Adj History (Result 1)
		[ ] // Step 3: Select the memo
		[ ] // Step 4: Click on Copy  (Result 2)
		[ ] // Step 5: Enter the new qty
		[ ] // Step 6: Click on save and close and invoke Item list (Result 3)
	[+] // Expected Result:
		[ ] // Result 1: Verify Qty Adj History  is open
		[ ] // Result 2: Verify New Qty adj memo is open and all data prefilled
		[ ] // Result 3: Verify the on hand qty of the item is updated
[ ] // TESTCASE::CopyQuantityAdjustmentMemo
[ ] // ATC ID::POS_INV_ATC_034
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\AdjustmentMemos.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CopyQuantityAdjustmentMemo.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CopyQuantityAdjustmentMemo ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMemoNum, sNewQty
		[ ] NewItemRec nirItem, nirUpdatedItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "AdjustmentMemos.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List And get the Onhand quantity of the item
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Items.ItemsList.Invoke ()
			[ ] nirItem = GetItemData (nirItem)
		[+] // Step 2: Click on Go Back and then Invoke Qty Adj History
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] QtyAdjHistory.Invoke ()
		[+] // Result 1: Verify Qty Adj History  is open
			[ ] VerifySafely (QtyAdjHistory.QuantityAdjustmentHistory.Exists (5), TRUE, "Qty Adj History is open")
		[+] // Step 3: Select the memo
			[ ] sMemoNum = "4"
			[ ] QtyAdjHistory.QuantityAdjustmentHistory.Filter.Select ("All Quantity Adjustment Memos")
			[ ] QtyAdjHistory.SelectMemo (sMemoNum)
		[+] // Step 4: Click on Copy
			[ ] QtyAdjHistory.ToolBar.Select ("Copy Qty Memo")
		[+] // Result 2: Verify New Qty adj memo is open and all data prefilled 
			[ ] VerifySafely (QtyAdjustment.NewQuantityAdjustmentMemo.Exists (3), TRUE, "NewQuantityAdjustmentMemo displayed")
			[ ] VerifySafely (QtyAdjustment.NewQuantityAdjustmentMemo.PageList.Reason.GetText (), "Damaged", "Reason prefilled correctly")
		[+] // Step 5: Enter the new qty
			[ ] sNewQty = "30"
			[ ] QtyAdjustment.Typekeys ("<F5>")
			[ ] QtyAdjItemInfo.PageList.NewQty.SetText (sNewQty)
			[ ] QtyAdjItemInfo.OK.Click ()
		[+] // Step 6: Click on save and close and invoke Item list
			[ ] QtyAdjustment.BottomBar.SaveOnly.Click ()
			[ ] QtyAdjustment.BottomBar.Close.Click ()
			[+] if QtyAdjHistory.BottomBar.Close.Exists ()
				[ ]  QtyAdjHistory.BottomBar.Close.Click ()
			[ ] Items.ItemsList.Invoke ()
		[+] // Result 3: Verify the on hand qty of the item is updated
			[ ] nirUpdatedItem = GetItemData (nirItem)
			[ ] VerifySafely (nirUpdatedItem.sOnHandQty, nirItem.sOnHandQty, "Onhand qty of item updated")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.Exists (2)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
