﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete department
	[+] // Test Steps:
		[ ] // 1. Invoke Department List (Result 1)
		[ ] // 2. Select the department
		[ ] // 3. Goto I Want To -> Delete Department (Result 2)
		[ ] // 4. Click on "Delete"' 
		[ ] // 5. Enter the department name on 'Find Deartment' field of department List and press key 'Enter' (Result 3 and 4)
	[+] // Expected Result:
		[ ] // 1. Verify Department List  form appears
		[ ] // 2. Verify Delete Department dialog appears
		[ ] // 3. Verify Find Department form is displayed
		[ ] // 4. Verify the department is deleted by verifying  "Select Department" button on Find Department form is disabled
[ ] // TESTCASE::DepartmentDelete
[ ] // ATC ID::POS_INV_ATC_031
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::DepartmentDelete.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase DepartmentDelete ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sDeptName, sMessage
		[ ] NewDepartmentRec ndrDepartment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Department List
			[ ] Departments.DepartmentList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Department List  form appears
			[ ] VerifySafely (Departments.DepartmentList.Exists (3), TRUE, "Department List form appears")
		[ ] 
		[+] // Step 2: Select the department
			[ ] ndrDepartment = {}
			[ ] ndrDepartment.sDeptName = "Sports"
			[ ] WaitTill (Departments.DepartmentList.TopBar.SearchDepartment.IsEnabled)
			[ ] Departments.DepartmentList.TopBar.SearchDepartment.SetData (ndrDepartment.sDeptName)
		[ ] 
		[+] // Step 3: Click on Delete on Side Buttons
			[ ] Departments.DepartmentList.SideBar.ScrollViewer.SideButtons.Delete.Click ()
		[ ] 
		[+] // Result 2: Verify delete confirmation message is displayed
			[ ] sMessage = "1 department selected for deletion"
			[ ] VerifySafely (Departments.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
			[ ] sMessage = "Select ""Delete"" below to continue"
			[ ] VerifySafely (Departments.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
		[ ] 
		[+] // Step 4: Click on cancel
			[ ] Departments.Confirmation.Cancel.Click ()
			[ ] // Departments.DepartmentList.Invoke ()
		[ ] 
		[+] // Result 3: Verify the Department has not been deleted
			[ ] Departments.DepartmentList.TopBar.SearchDepartment.Clear ()
			[ ] Departments.DepartmentList.TopBar.SearchDepartment.SetData (ndrDepartment.sDeptName)
			[ ] VerifySafely (Departments.DepartmentList.TopBar.Edit.IsEnabled, TRUE, "Department has not been deleted after clickin on cancel")
		[ ] 
		[+] // Step 5: Go to I Want To-> Delete
			[ ] Departments.DepartmentList.TopBar.IWantTo.Click ()
			[ ] Departments.DepartmentList.TopBar.IWantTo.Delete.Click ()
		[ ] 
		[+] // Result 4: Verify delete confirmation message is displayed
			[ ] sMessage = "1 department selected for deletion"
			[ ] VerifySafely (Departments.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
			[ ] sMessage = "Select ""Delete"" below to continue"
			[ ] VerifySafely (Departments.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
		[ ] 
		[+] // Step 6: Click on delete
			[ ] Departments.Confirmation.Delete.Click ()
		[ ] 
		[+] // Result 5: Verify the department has been deleted
			[ ] Departments.DepartmentList.TopBar.SearchDepartment.Clear ()
			[ ] Departments.DepartmentList.TopBar.SearchDepartment.SetData (ndrDepartment.sDeptName)
			[ ] VerifySafely (Departments.DepartmentList.TopBar.Edit.IsEnabled, FALSE, "Department has been deleted after clicking on delete")
	[ ] 
	[+] // CLEAN UP
		[+] if Departments.DepartmentList.EditDepartment.Exists ()
			[ ] Departments.DepartmentList.EditDepartment.Cancel.Click ()
		[+] if Departments.DepartmentList.Exists ()
			[ ] Departments.DepartmentList.TopBar.Home.Click ()
[ ] 
