﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit existing Cost Adjustment Memo
	[+] // Test Steps:
		[ ] // 1. Invoke CostAdjustment History
		[ ] // 2. Click on Find Cost Memo and press Enter
		[ ] // 3. Enter the memo keyword and click on Find
		[ ] // 4. Click on Select Cost Memo
		[ ] // 5. Change the reason
		[ ] // 6. Go to IWT->EditComments
		[ ] // 7. Enter comments, click OK and then save the memo
		[ ] // 8. Enter the memo number on Find Cost Memo and press Enter
		[ ] // 9. Click on Select Cost Memo
		[ ] // 10. Close edit Cost adj and Cost history and Go to IWT->View comments
	[+] // Expected Result:
		[ ] // 1. Verify Cost Adjustment history is open
		[ ] // 2. Verify Find Cost Memo dialog is displayed
		[ ] // 3. Verify select memo is enabled
		[ ] // 4. Edit Cost Memo Should be open
		[ ] // 5. Verify Edit comments dialog is displayed
		[ ] // 6. Edit Cost Memo Should be open and all reason updated
		[ ] // 7. Verify view comments dialog displayed and comments shown as updated
[ ] // TESTCASE::EditCostAdjustmentMemo
[ ] // ATC ID::POS_INV_ATC_038
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\AdjustmentMemos.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::EditCostAdjustmentMemo.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase EditCostAdjustmentMemo ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMemoNum, sNewReason, sComments
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "AdjustmentMemos.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke CostAdjustment History
			[ ] CostAdjHistory.Invoke ()
		[+] // Result 1: Verify Cost Adjustment history is open
			[ ] VerifySafely (CostAdjHistory.CostAdjustmentHistory.Exists (5), TRUE, "Cost adjustment history is displayed")
		[+] // Step 2: Click on Find Cost Memo and press Enter
			[ ] CostAdjHistory.CostAdjustmentHistory.Filter.Select ("All Cost Adjustment Memos")
			[ ] CostAdjHistory.ToolBar.FindCostMemo.Click ()
			[ ] CostAdjHistory.Typekeys ("<Enter>")
		[+] // Result 2: Verify Find Cost Memo dialog is displayed
			[ ] VerifySafely (FindCostMemo.Exists (3), TRUE, "Find Cost dialog displayed")
		[+] // Step 3: Enter the memo keyword and click on Find
			[ ] sMemoNum = "5"
			[ ] FindCostMemo.Keyword.SetText (sMemoNum)
			[ ] FindCostMemo.Find.Click ()
		[+] // Result 3: Verify select memo is enabled
			[ ] VerifySafely (FindCostMemo.SelectCostMemo.IsEnabled (), TRUE, "Cost memo found")
		[+] // Step 4: Click on Select Cost Memo
			[ ] FindCostMemo.SelectCostMemo.Click ()
		[+] // Result 4: Edit Cost Memo Should be open
			[ ] VerifySafely (CostAdjustment.EditCostAdjustmentMemo.Exists (5), TRUE, "Edit Cost adjustment open")
		[+] // Step 5: Change the reason
			[ ] sNewReason = "Shrink"
			[ ] CostAdjustment.EditCostAdjustmentMemo.PageList.Reason.SelectItem (sNewReason)
		[+] // Step 6: Go to IWT->EditComments
			[ ] CostAdjustment.Typekeys ("<Alt-O-E>")
		[+] // Result 5: Verify Edit comments dialog is displayed
			[ ] VerifySafely (EditComments.Exists (3), TRUE, "Edit comments dialog displyed")
		[+] // Step 7: Enter comments, click OK and then save the memo
			[ ] sComments = "TestComments"
			[ ] EditComments.Comments.SetText (sComments)
			[ ] EditComments.OK.Click ()
			[ ] CostAdjustment.BottomBar.SaveOnly.Click ()
			[ ] CostAdjustment.BottomBar.Close.Click ()
		[+] // Step 8: Enter the memo number on Find Cost Memo and press Enter
			[ ] CostAdjHistory.ToolBar.FindCostMemo.SetText (sMemoNum)
			[ ] CostAdjHistory.Typekeys ("<Enter>")
		[+] // Step 9: Click on Select Cost Memo
			[ ] FindCostMemo.SelectCostMemo.Click ()
		[+] // Result 6: Edit Cost Memo Should be open and all reason updated
			[ ] VerifySafely (CostAdjustment.EditCostAdjustmentMemo.PageList.Reason.GetText (), sNewReason, "Reason updated")
		[+] // Step 10: Close edit Cost adj and Cost history and Go to IWT->View comments
			[ ] CostAdjustment.BottomBar.Close.Click ()
			[ ] CostAdjHistory.Typekeys ("<Alt-O-S>")
		[+] // Result 7: Verify view comments dialog displayed and comments shown as updated
			[ ] VerifySafely (ViewComments.Exists (3), TRUE, "View comments dialog displayed")
			[ ] VerifySafely (ViewComments.Comments.GetText (), sComments, "Comments shown in view comments")
	[ ] 
	[+] // CLEAN UP
		[+] if ViewComments.Exists (2)
			[ ] ViewComments.OK.Click ()
		[+] if CostAdjHistory.BottomBar.Close.Exists (2)
			[ ] CostAdjHistory.BottomBar.Close.Click ()
[ ] 
