﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit an existing department
	[+] // Test Steps:
		[ ] // 1. Invoke Department List (Result 1)
		[ ] // 2. Enter name of created department on 'Find Deartment'  field of department List and press key 'Enter' (Result 2)
		[ ] // 3. Click on "Select Department" (Result 3)
		[ ] // 4. Edit the department name and click on 'Save'
		[ ] // 5. Enter the new department name on 'Find Deartment' field of department List and press key 'Enter' (Result 4 and 5)
	[+] // Expected Result:
		[ ] // 1. Verify Department List  form appears
		[ ] // 2. Verify Find Department form is displayed
		[ ] // 3. Verify Edit Department form appears
		[ ] // 4. Verify Find Department form is displayed
		[ ] // 5. Verify the department is edited by verifying  "Select Department" button on Find Department form is active
[ ] // TESTCASE::EditDepartment
[ ] // ATC ID::POS_INV_ATC_029
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::EditDepartment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase EditDepartment ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewDepartmentRec ndrDepartment
		[ ] 
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Department List
			[ ] Departments.DepartmentList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Department List  form appears
			[ ] VerifySafely (Departments.DepartmentList.Exists (5), TRUE, "Department List form appears")
		[ ] 
		[+] // Step 2: Enter name of created department on 'Search Deartment'  field of department List 
			[ ] ndrDepartment = {}
			[ ] ndrDepartment.sDeptName = "Sports"
			[ ] WaitTill (Departments.DepartmentList.TopBar.SearchDepartment.IsEnabled)
			[ ] Departments.DepartmentList.TopBar.SearchDepartment.SetData (ndrDepartment.sDeptName)
		[ ] 
		[+] // Result 2: Verify Edit button is enabled
			[ ] VerifySafely (Departments.DepartmentList.TopBar.Edit.IsEnabled, TRUE, "Department {ndrDepartment.sDeptName} created")
		[ ] 
		[+] // Step 3: Click on "Edit" button
			[ ] Departments.DepartmentList.TopBar.Edit.Click ()
		[ ] 
		[+] // Result 3: Verify Edit Department form appears
			[ ] VerifySafely (Departments.DepartmentList.EditDepartment.Exists (3), TRUE, "Edit Department form appears")
		[ ] 
		[+] // Step 4: Edit the department name and click on 'Save'
			[ ] ndrDepartment.sDeptName = "NewSports"
			[ ] Departments.DepartmentList.EditDepartment.DeptInfo.DepartmentInfo.Department.SetData (ndrDepartment.sDeptName)
			[ ] Departments.DepartmentList.EditDepartment.Save.Click ()
		[ ] 
		[+] // Step 5: Enter the new department name on 'Search Deartment' field of department List 
			[ ] WaitTill (Departments.DepartmentList.TopBar.SearchDepartment.IsEnabled)
			[ ] Departments.DepartmentList.TopBar.SearchDepartment.Clear ()
			[ ] Departments.DepartmentList.TopBar.SearchDepartment.SetData (ndrDepartment.sDeptName)
		[ ] 
		[+] // Result 5: Verify Edit button is enabled
			[ ] VerifySafely (Departments.DepartmentList.TopBar.Edit.IsEnabled, TRUE, "Department Edited")
		[ ] 
		[+] // Step 6: Click on "Edit" button
			[ ] Departments.DepartmentList.TopBar.Edit.Click ()
		[ ] 
		[+] // Result 6: Verify Edit Department form is displayed
			[ ] VerifySafely (Departments.DepartmentList.EditDepartment.Exists (5), TRUE, "Edit Department form appeared")
		[ ] 
		[+] // Result 5: Verify the department is edited
			[ ] VerifyDepartmentsData (ndrDepartment)
	[ ] 
	[+] // CLEAN UP
		[+] if Departments.DepartmentList.EditDepartment.Exists ()
			[ ] Departments.DepartmentList.EditDepartment.Cancel.Click ()
		[+] if Departments.DepartmentList.Exists (2)
			[ ] Departments.DepartmentList.TopBar.Home.Click ()
