﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit existing Quantity Adjustment Memo
	[+] // Test Steps:
		[ ] // 1. Invoke QtyAdjustment History
		[ ] // 2. Click on Find Qty Memo and press Enter
		[ ] // 3. Enter the memo keyword and click on Find
		[ ] // 4. Click on Select Quantity Memo
		[ ] // 5. Change the reason
		[ ] // 6. Go to IWT->EditComments
		[ ] // 7. Enter comments, click OK and then save the memo
		[ ] // 8. Enter the memo number on Find Qty Memo and press Enter
		[ ] // 9. Click on Select Quantity Memo
		[ ] // 10. Close edit qty adj and qty history and Go to IWT->View comments
	[+] // Expected Result:
		[ ] // 1. Verify Qty Adjustment history is open
		[ ] // 2. Verify Find Qty Memo dialog is displayed
		[ ] // 3. Verify select memo is enabled
		[ ] // 4. Edit Qty Memo Should be open
		[ ] // 5. Verify Edit comments dialog is displayed
		[ ] // 6. Edit Qty Memo Should be open and all reason updated
		[ ] // 7. Verify view comments dialog displayed and comments shown as updated
[ ] // TESTCASE::EditQuantityAdjustmentMemo
[ ] // ATC ID::POS_INV_ATC_033
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\AdjustmentMemos.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::EditQuantityAdjustmentMemo.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase EditQuantityAdjustmentMemo ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMemoNum, sNewReason, sComments
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "AdjustmentMemos.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke QtyAdjustment History
			[ ] QtyAdjHistory.Invoke ()
		[+] // Result 1: Verify Qty Adjustment history is open
			[ ] VerifySafely (QtyAdjHistory.QuantityAdjustmentHistory.Exists (5), TRUE, "Quantity adjustment history is displayed")
		[+] // Step 2: Click on Find Qty Memo and press Enter
			[ ] QtyAdjHistory.QuantityAdjustmentHistory.Filter.Select ("All Quantity Adjustment Memos")
			[ ] QtyAdjHistory.ToolBar.FindQtyMemo.Click ()
			[ ] QtyAdjHistory.Typekeys ("<Enter>")
		[+] // Result 2: Verify Find Qty Memo dialog is displayed
			[ ] VerifySafely (FindQuantityMemo.Exists (3), TRUE, "Find quantity dialog displayed")
		[+] // Step 3: Enter the memo keyword and click on Find
			[ ] sMemoNum = "4"
			[ ] FindQuantityMemo.Keyword.SetText (sMemoNum)
			[ ] FindQuantityMemo.Find.Click ()
		[+] // Result 3: Verify select memo is enabled
			[ ] VerifySafely (FindQuantityMemo.SelectQuantityMemo.IsEnabled (), TRUE, "Qty memo found")
		[+] // Step 4: Click on Select Quantity Memo
			[ ] FindQuantityMemo.SelectQuantityMemo.Click ()
		[+] // Result 4: Edit Qty Memo Should be open
			[ ] VerifySafely (QtyAdjustment.EditQuantityAdjustmentMemo.Exists (5), TRUE, "Edit qty adjustment open")
		[+] // Step 5: Change the reason
			[ ] sNewReason = "Shrink"
			[ ] QtyAdjustment.EditQuantityAdjustmentMemo.PageList.Reason.SelectItem (sNewReason)
		[+] // Step 6: Go to IWT->EditComments
			[ ] QtyAdjustment.Typekeys ("<Alt-O-E>")
		[+] // Result 5: Verify Edit comments dialog is displayed
			[ ] VerifySafely (EditComments.Exists (3), TRUE, "Edit comments dialog displyed")
		[+] // Step 7: Enter comments, click OK and then save the memo
			[ ] sComments = "TestComments"
			[ ] EditComments.Comments.SetText (sComments)
			[ ] EditComments.OK.Click ()
			[ ] QtyAdjustment.BottomBar.SaveOnly.Click ()
			[ ] QtyAdjustment.BottomBar.Close.Click ()
		[+] // Step 8: Enter the memo number on Find Qty Memo and press Enter
			[ ] QtyAdjHistory.ToolBar.FindQtyMemo.SetText (sMemoNum)
			[ ] QtyAdjHistory.Typekeys ("<Enter>")
		[+] // Step 9: Click on Select Quantity Memo
			[ ] FindQuantityMemo.SelectQuantityMemo.Click ()
		[+] // Result 6: Edit Qty Memo Should be open and all reason updated
			[ ] VerifySafely (QtyAdjustment.EditQuantityAdjustmentMemo.PageList.Reason.GetText (), sNewReason, "Reason updated")
		[+] // Step 10: Close edit qty adj and qty history and Go to IWT->View comments
			[ ] QtyAdjustment.BottomBar.Close.Click ()
			[ ] QtyAdjHistory.Typekeys ("<Alt-O-S>")
		[+] // Result 7: Verify view comments dialog displayed and comments shown as updated
			[ ] VerifySafely (ViewComments.Exists (3), TRUE, "View comments dialog displayed")
			[ ] VerifySafely (ViewComments.Comments.GetText (), sComments, "Comments shown in view comments")
	[ ] 
	[+] // CLEAN UP
		[+] if ViewComments.Exists (2)
			[ ] ViewComments.OK.Click ()
		[+] if QtyAdjHistory.BottomBar.Close.Exists (2)
			[ ] QtyAdjHistory.BottomBar.Close.Click ()
[ ] 
