﻿[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify editing style item
	[+] // Test Steps:
		[ ] // Step 1: Invoke item List and open a style item for edit
		[ ] // Step 2: Change the item name and Click on Save
		[ ] // Step 3: Click on Yes
		[ ] // Step 4: Open the item for edit
		[ ] // Step 5: Change the item name and Click on Save
		[ ] // Step 6: Click on 'No'
	[+] // Expected Result:
		[ ] // Result 1: Verify Confirmation dialog and message
		[ ] // Result 2: Verify all Style item name has been changed
		[ ] // Result 3: Verify Confirmation dialog and message
		[ ] // Result 4: Verify only one item name changed
[ ] // TESTCASE.:EditStyleItem
[ ] // ATC ID::POS_SALE_ATC_056
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\Styles1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::EditStyleItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase EditStyleItem () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sNewItemName, sMessage
		[ ] ItemStyleRec isrStyle
		[ ] NewItemRec nirItem
		[ ] LIST OF STRING lsItemsExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Styles1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke item List and open a style item for edit
			[ ] Items.ItemsList.Invoke ()
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "TShirt"
			[ ] nirItem.sAttribute = "White"
			[ ] nirItem.sSize = "XL"
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // Step 2: Change the item name and Click on Save
			[ ] sNewItemName = "ChangeShirt1"
			[ ] Items.ItemsList.EditInventoryItem.ItemName.SetData (sNewItemName)
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
		[ ] 
		[+] // Result 1: Verify Confirmation dialog and message
			[ ] VerifySafely (Items.Confirmation.Message.Exists (3), TRUE, "Messages dialog displayed")
			[ ] sMessage = "Would you like to update all style items with your changes?"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
			[ ] sMessage = "Select ""Yes"" to update all style items. Select ""No"" to update just this one item"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 3: Click on Yes
			[ ] Items.Confirmation.Yes.Click ()
		[ ] 
		[+] // Result 2: Verify all Style item name has been changed
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData ("Page Refresh")
			[ ] WaitForPageToLoad (3)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, FALSE, "Old Item name not present")
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (sNewItemName)
			[+] lsItemsExpected = {...}
				[ ] "27 {sNewItemName} Garments_T Casuals White XXL 0.00 20 20"
				[ ] "28 {sNewItemName} Garments_T Casuals Black XXL 0.00 25 25"
				[ ] "25 {sNewItemName} Garments_T Casuals White XL 0.00 10 10"
				[ ] "26 {sNewItemName} Garments_T Casuals Black XL 0.00 15 15"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "New Item name present")
		[ ] 
		[+] // Step 4: Open the item for edit
			[ ] nirItem.sItemName = sNewItemName
			[ ] nirItem.sAttribute = "White"
			[ ] nirItem.sSize = "XL"
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // Step 5: Change the item name and Click on Save
			[ ] sNewItemName = "ShirtChange1"
			[ ] Items.ItemsList.EditInventoryItem.ItemName.SetData (sNewItemName)
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
		[ ] 
		[+] // Result 3: Verify Confirmation dialog and message
			[ ] VerifySafely (Items.Confirmation.Message.Exists (3), TRUE, "Messages dialog displayed")
			[ ] sMessage = "Would you like to update all style items with your changes?"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
			[ ] sMessage = "Select ""Yes"" to update all style items. Select ""No"" to update just this one item"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 6: Click on 'No'
			[ ] Items.Confirmation.No.Click ()
		[ ] 
		[+] // Result 4: Verify only one item name changed
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (sNewItemName)
			[+] lsItemsExpected = {...}
				[ ] "25 {sNewItemName} Garments_T Casuals White XL 0.00 10 10"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "New Item name present")
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[+] lsItemsExpected = {...}
				[ ] "28 {nirItem.sItemName} Garments_T Casuals Black XXL 0.00 25 25"
				[ ] "27 {nirItem.sItemName} Garments_T Casuals White XXL 0.00 20 20"
				[ ] "26 {nirItem.sItemName} Garments_T Casuals Black XL 0.00 15 15"
			[ ] VerifySafely (GetItemsDetailFromItemsList (), lsItemsExpected, "New Item name present")
	[ ] 
	[+] // CLEANUP
		[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
