﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Holding and unholding Cost Adjustment Memo
	[+] // Test Steps:
		[ ] // 1. Invoke Item List And get the Onhand Cost of the item
		[ ] // 2. Click on Go Back and then Invoke New Cost Adjustment Memo (Result 1)
		[ ] // 3. Create a new Cost adj memo
		[ ] // 4. Click on Hold  (Result 2)
		[ ] // 5. Click on Close and Invoke ItemList (Result 3)
		[ ] // 6. Click on Go Back and Invoke Held Cost Memo (Result 4)
		[ ] // 7. Enter the reson Find Cost Memo and press Enter (Result 5)
		[ ] // 8. Click on Select Cost Memo
		[ ] // 9. click on UnHold
		[ ] // 10. Save the memo and click close and invoke Item List (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify New Cost adjustment memo is open
		[ ] // 2. Verify New Cost Adj form is displayed and and all data set to default
		[ ] // 3. Verify On hand Cost of item is not affected
		[ ] // 4. Verify Held Cost Adjustment memeos is open
		[ ] // 5. Verify Find Cost Memo dialog is displayed
		[ ] // 6. Verify the on habd Cost of the item is updated
[ ] // TESTCASE::HoldUnholdCostAdjustmentMemo
[ ] // ATC ID::POS_INV_ATC_040
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::HoldUnholdCostAdjustmentMemo.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase HoldUnholdCostAdjustmentMemo ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sReason, sNewCost
		[ ] NewItemRec nirItem
		[ ] NewCostAdjMemoRec ncam
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List And get the Onhand Cost of the item
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Items.ItemsList.Invoke ()
			[ ] nirItem = GetItemData (nirItem)
		[ ] 
		[+] // Step 2: Click on Go Back and then Invoke New Cost Adjustment Memo
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] CostAdjustment.NewCostAdjustmentMemo.Invoke ()
		[ ] 
		[+] // Result 1: Verify New Cost adjustment memo is open
			[ ] VerifySafely (CostAdjustment.NewCostAdjustmentMemo.Exists (5), TRUE, "New Cost adjustment is open")
		[ ] 
		[+] // Step 3: Create a new Cost adj memo
			[ ] ncam = {}
			[ ] ncam.sItem = nirItem.sItemName
			[ ] ncam.sReason = "Damaged"
			[ ] ncam.sNewCost = "40.00"
			[ ] CreatenewCostAdjustmentMemo (ncam)
		[ ] 
		[+] // Step 4: Click on Hold 
			[ ] CostAdjustment.BottomBar.HoldCostAdjustmentMemo.Click ()
		[ ] 
		[+] // Result 2: Verify New Cost Adj form is displayed and and all data set to default
			[ ] VerifySafely (CostAdjustment.NewCostAdjustmentMemo.PageList.OldValue.GetTextFromDisabled (), "$0.00", "New form displayed")
		[ ] 
		[+] // Step 5: Click on Close and Invoke ItemList
			[ ] CostAdjustment.BottomBar.Close.Click ()
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 3: Verify On hand Cost of item is not affected
			[ ] nirItem = GetItemData (nirItem)
			[ ] VerifySafely (nirItem.sAvgUnitCost == ncam.sNewCost, FALSE, "Item Cost not affected on holding memo")
		[ ] 
		[+] // Step 6: Click on Go Back and Invoke Held Cost Memo
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] HeldCostMemo.Invoke ()
		[ ] 
		[+] // Result 4: Verify Held Cost Adjustment memeos is open
			[ ] VerifySafely (HeldCostMemo.HeldCostAdjustmentMemos.Exists (5), TRUE, "Held Cost adjustment memos is open")
		[ ] 
		[+] // Step 7: Enter the reson Find Cost Memo and press Enter
			[ ] HeldCostMemo.ToolBar.FindCostMemo.SetText (ncam.sReason)
			[ ] HeldCostMemo.Typekeys ("<Enter>")
		[ ] 
		[+] // Result 5: Verify Find Cost Memo dialog is displayed
			[ ] VerifySafely (FindCostMemo.Exists (3), TRUE, "Find Cost dialog displayed")
			[ ] VerifySafely (FindCostMemo.SelectCostMemo.IsEnabled (), TRUE, "Cost memo holded successfully")
		[ ] 
		[+] // Step 8: Click on Select Cost Memo
			[ ] FindCostMemo.SelectCostMemo.Click ()
		[ ] 
		[+] // Step 9: click on UnHold
			[ ] HeldCostMemo.BottomBar.UnholdCostAdjustmentMemo.Click ()
		[ ] 
		[+] // Step 10: Save the memo and click close and invoke Item List
			[ ] HeldCostMemo.BottomBar.SaveOnly.Click ()
			[ ] HeldCostMemo.BottomBar.Close.Click ()
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 6: Verify the on habd Cost of the item is updated
			[ ] nirItem = GetItemData (nirItem)
			[ ] VerifySafely (nirItem.sAvgUnitCost, ncam.sNewCost, "Onhand Cost of item updated")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Topbar.Home.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
