﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Holding and unholding Quantity Adjustment Memo
	[+] // Test Steps:
		[ ] // 1. Invoke Item List And get the Onhand quantity of the item
		[ ] // 2. Click on Go Back and then Invoke New Qty Adjustment Memo (Result 1)
		[ ] // 3. Create a new qty adj memo
		[ ] // 4. Click on Hold  (Result 2)
		[ ] // 5. Click on Close and Invoke ItemList (Result 3)
		[ ] // 6. Click on Go Back and Invoke Held Qty Memo (Result 4)
		[ ] // 7. Enter the reson Find Qty Memo and press Enter (Result 5)
		[ ] // 8. Click on Select Quantity Memo
		[ ] // 9. click on UnHold
		[ ] // 10. Save the memo and click close and invoke Item List (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify New Qty adjustment memo is open
		[ ] // 2. Verify New Qty Adj form is displayed and and all data set to default
		[ ] // 3. Verify On hand qty of item is not affected
		[ ] // 4. Verify Held Qty Adjustment memeos is open
		[ ] // 5. Verify Find Qty Memo dialog is displayed
		[ ] // 6. Verify the on habd qty of the item is updated
[ ] // TESTCASE::HoldUnholdQuantityAdjustmentMemo
[ ] // ATC ID::POS_INV_ATC_035
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::HoldUnholdQuantityAdjustmentMemo.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase HoldUnholdQuantityAdjustmentMemo ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sReason, sNewQty
		[ ] NewItemRec nirItem
		[ ] NewQtyAdjMemoRec nqam
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List And get the Onhand quantity of the item
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Items.ItemsList.Invoke ()
			[ ] nirItem = GetItemData (nirItem)
		[ ] 
		[+] // Step 2: Click on Go Back and then Invoke New Qty Adjustment Memo
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] QtyAdjustment.NewQuantityAdjustmentMemo.Invoke ()
		[ ] 
		[+] // Result 1: Verify New Qty adjustment memo is open
			[ ] VerifySafely (QtyAdjustment.NewQuantityAdjustmentMemo.Exists (5), TRUE, "New Qty adjustment is open")
		[ ] 
		[+] // Step 3: Create a new qty adj memo
			[ ] nqam = {}
			[ ] nqam.sItem = nirItem.sItemName
			[ ] nqam.sReason = "Damaged"
			[ ] nqam.sNewQty = "40"
			[ ] CreatenewQtyAdjustmentMemo (nqam)
		[ ] 
		[+] // Step 4: Click on Hold 
			[ ] QtyAdjustment.BottomBar.HoldQuantityAdjustmentMemo.Click ()
		[ ] 
		[+] // Result 2: Verify New Qty Adj form is displayed and and all data set to default
			[ ] VerifySafely (QtyAdjustment.NewQuantityAdjustmentMemo.PageList.OldQty.GetTextFromDisabled (), "0", "New form displayed")
		[ ] 
		[+] // Step 5: Click on Close and Invoke ItemList
			[ ] QtyAdjustment.BottomBar.Close.Click ()
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 3: Verify On hand qty of item is not affected
			[ ] nirItem = GetItemData (nirItem)
			[ ] VerifySafely (nirItem.sOnHandQty == nqam.sNewQty, FALSE, "Item qty not affected on holding memo")
		[ ] 
		[+] //Step 6: Click on Go Back and Invoke Held Qty Memo
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] HeldQtyMemo.Invoke ()
		[ ] 
		[+] // Result 4: Verify Held Qty Adjustment memeos is open
			[ ] VerifySafely (HeldQtyMemo.HeldQuantityAdjustmentMemos.Exists (5), TRUE, "Held Quantity adjustment memos is open")
		[ ] 
		[+] // Step 7: Enter the reson Find Qty Memo and press Enter
			[ ] HeldQtyMemo.ToolBar.FindQtyMemo.SetText (nqam.sReason)
			[ ] HeldQtyMemo.Typekeys ("<Enter>")
		[ ] 
		[+] // Result 5: Verify Find Qty Memo dialog is displayed
			[ ] VerifySafely (FindQuantityMemo.Exists (3), TRUE, "Find quantity dialog displayed")
			[ ] VerifySafely (FindQuantityMemo.SelectQuantityMemo.IsEnabled (), TRUE, "Qty memo holded successfully")
		[ ] 
		[+] // Step 8: Click on Select Quantity Memo
			[ ] FindQuantityMemo.SelectQuantityMemo.Click ()
		[ ] 
		[+] // Step 9: click on UnHold
			[ ] HeldQtyMemo.BottomBar.UnholdQuantityAdjustmentMemo.Click ()
		[ ] 
		[+] // Step 10: Save the memo and click close and invoke Item List
			[ ] HeldQtyMemo.BottomBar.SaveOnly.Click ()
			[ ] HeldQtyMemo.BottomBar.Close.Click ()
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 6: Verify the on habd qty of the item is updated
			[ ] nirItem = GetItemData (nirItem)
			[ ] VerifySafely (nirItem.sOnHandQty, nqam.sNewQty, "Onhand qty of item updated")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Topbar.Home.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
