﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifing adding alternate vendors to a new item.
	[+] // Test Steps:
		[ ] // 1. Invoke new item form (Result 1)
		[ ] // 2. Fill the item form with all mandatory fields
		[ ] // 3. Click on 'Alt Vendor' button (Result 2)
		[ ] // 4. Enter an Alt Vendor data
		[ ] // 5. Click on 'X' at the top right corner (Result 3)
		[ ] // 6. Click on 'Save'
		[ ] // 7. Select the created item and if detailed view not displayed, click 'Show Details' 
		[ ] // 8. On detailed view click 'Alt Vendor' button (Result 4) (Result 5)
		[ ] // 9. Click on 'X' at the top right corner (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify new item form appears
		[ ] // 2. Verify Alt Vendor pop up is displayed
		[ ] // 3. Verify Alt Vendor pop up closes
		[ ] // 4. Verify Alt Vendor pop up is displayed
		[ ] // 5. Verify the Alt Vendor data added
		[ ] // 6. Verify Alt Vendor pop up closes
[ ] // TESTCASE::InventoryAltVendor
[ ] // ATC ID::POS_INV_ATC_052
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::InventoryAltVendor.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase InventoryAltVendor () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sVendor, sOrderCost, sUPC, sALU
		[ ] NewItemRec nir
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new item form
			[ ] Items.ItemsList.AddInventoryItem.Invoke ()
		[ ] 
		[+] // Result 1: Verify new item form appears
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.Exists (5), TRUE, "New item form appears")
		[ ] 
		[+] // Step 2: Fill the item form with all mandatory fields
			[ ] nir = {}
			[ ] nir.sItemName = "NewItem1"
			[ ] nir.sDepartment = "System"
			[ ] nir.sVendor = "System"
			[ ] FillItemForm (nir)
		[ ] 
		[+] // Step 3: Click on 'Alt Vendor' button
			[ ] Items.ItemsList.AddInventoryItem.ScrollViewer.MoreInfo.AltVendor.Click ()
		[ ] 
		[+] // Result 2: Verify Alt Vendor pop up is displayed
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.AltVendorPopUp.Exists (5), TRUE, "Alt Vendor pop up is displayed")
		[ ] 
		[+] // Result 3: Verify focus is on first editable field
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.AltVendorPopUp.Vendor2.VendorName2.IsFocused (), TRUE, "Focus is on first editable field")
		[ ] 
		[+] // Step 4: Enter an Alt Vendor data
			[ ] sVendor = "PVendor1"
			[ ] sOrderCost = "10"
			[ ] sUPC = "0012345000011"
			[ ] sALU = "334455"
			[ ] WaitFor (Items.ItemsList.AddInventoryItem.AltVendorPopUp, 10)
			[ ] Items.ItemsList.AddInventoryItem.AltVendorPopUp.Vendor2.VendorName2.SetData (sVendor)
			[ ] Items.ItemsList.AddInventoryItem.AltVendorPopUp.TypeKeys ("<Tab>")
			[ ] Items.ItemsList.AddInventoryItem.AltVendorPopUp.Vendor2.UPC2.SetData (sUPC)
			[ ] Items.ItemsList.AddInventoryItem.AltVendorPopUp.Vendor2.ALU2.SetData (sALU)
			[ ] Items.ItemsList.AddInventoryItem.AltVendorPopUp.Vendor2.OrderCost2.SetData (sOrderCost)
			[ ] Items.ItemsList.AddInventoryItem.AltVendorPopUp.TypeKeys ("<Tab>")
		[ ] 
		[+] // Step 5: Click on 'X' at the top right corner
			[ ] Items.ItemsList.AddInventoryItem.AltVendorPopUp.XClose.Click ()
		[ ] 
		[+] // Result 3: Verify Alt Vendor pop up closes
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.AltVendorPopUp.Exists (5), FALSE, "Alt Vendor pop up closes")
		[ ] 
		[+] // Step 6: Click on 'Save'
			[ ] Items.ItemsList.AddInventoryItem.Save.Click ()
		[ ] 
		[+] // Step 7: Select the created item and if detailed view not displayed, click 'Show Details' 
			[ ] WaitFor (Items.ItemsList.Topbar.SearchInventory, 10)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nir.sItemName)
			[+] if Items.ItemsList.Topbar.ShowDetails.Exists (5)
				[ ] Items.ItemsList.Topbar.ShowDetails.Click ()
		[ ] 
		[+] // Step 8: On detailed view click 'Alt Vendor' button
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.MoreInfo.AltVendor.BringIntoView ()
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.MoreInfo.AltVendor.Click ()
		[ ] 
		[+] // Result 4: Verify Alt Vendor pop up is displayed
			[ ] WaitFor (Items.ItemsList.InventoryItemDetail.ItemDetailView.AltVendorPopUp, 10)
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.AltVendorPopUp.Exists (5), TRUE, "Alt Vendor pop up is displayed")
		[ ] 
		[+] // Result 5: Verify the Alt Vendor data added
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.AltVendorPopUp.Vendor2.VendorName2.GetCaption (), sVendor , "Vendor name saved successfully")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.AltVendorPopUp.Vendor2.UPC2.GetCaption (), sUPC, "UPC saved successfully")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.AltVendorPopUp.Vendor2.ALU2.GetCaption (), sALU , "ALU saved successfully")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.AltVendorPopUp.Vendor2.OrderCost2.GetCaption (), "$" + sOrderCost +".00" , "Order Cost saved successfully")
		[ ] 
		[+] // Step 9: Click on 'X' at the top right corner
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.AltVendorPopUp.XClose.Click ()
		[ ] 
		[+] // Result 6: Verify Alt Vendor pop up closes
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.AltVendorPopUp.Exists (5), FALSE, "Alt Vendor pop up closes")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
