﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Editing and verifing various available quantities for a new item.
	[+] // Test Steps:
		[ ] // 1. Invoke new item form (Result 1)
		[ ] // 2. Fill the item form with all mandatory fields
		[ ] // 3. Click on 'Available' button (Result 2) (Result 3)
		[ ] // 4. Set On Hand quantity to '30' 
		[ ] // 5. Click on 'X' at the top right corner (Result 4)
		[ ] // 6. Click on 'Save'
		[ ] // 7. Select the created item and create a sales order for a quantity "15"
		[ ] // 8. Select the created item and create a pending sales order for a quantity "5"
		[ ] // 9. Select the created item and create a closed sales order for a quantity "5"
		[ ] // 10. Select the created item and create a PO for a quantity "25"
		[ ] // 11. Select the created item and create a pending PO for a quantity "10"
		[ ] // 12. Select the created item and create a closed PO for a quantity "10"
		[ ] // 13. Select the created item and create a sale of quantity "3"
		[ ] // 14. Select the created item and if detailed view not displayed, click 'Show Details' 
		[ ] // 15. On detailed view click 'Available' button (Result 5) (Result 6)
		[ ] // 16. Click on 'X' at the top right corner (Result 7)
	[+] // Expected Result:
		[ ] // 1. Verify new item form appears
		[ ] // 2. Verify Available pop up is displayed
		[ ] // 3. Verify focus is on View drop down menu(first editable field)
		[ ] // 4. Verify Available pop up closes
		[ ] // 5. Verify Available pop up is displayed
		[ ] // 6. Verify all the Options in available quantity
		[ ] // 7. Verify Available pop up closes
[ ] // TESTCASE::InventoryAvailable
[ ] // ATC ID::POS_INV_ATC_053
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::InventoryAvailable.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase InventoryAvailable () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sOHQuantity
		[ ] NewItemRec nir
		[ ] CustomerOrderRec cor
		[ ] NewPurchaseOrderRec npo
		[ ] SalesReceiptRec srr
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new item form
			[ ] Items.ItemsList.AddInventoryItem.Invoke ()
		[ ] 
		[+] // Result 1: Verify new item form appears
			[ ] WaitFor (Items.ItemsList.AddInventoryItem, 10)
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.Exists (5), TRUE, "New item form appears")
		[ ] 
		[+] // Step 2: Fill the item form with all mandatory fields
			[ ] nir = {}
			[ ] nir.sItemName = "NewItem1"
			[ ] nir.sDepartment = "System"
			[ ] nir.sVendor = "System"
			[ ] nir.sRegularPrice = "100"
			[ ] nir.sOrderCost = "95"
			[ ] FillItemForm (nir)
		[ ] 
		[+] // Step 3: Click on 'Available' button
			[ ] Items.ItemsList.AddInventoryItem.ScrollViewer.BasicInfo.Available.Click ()
		[ ] 
		[+] // Result 2: Verify Available pop up is displayed
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.AvailablePopUp.Exists (5), TRUE, "Available pop up is displayed")
		[ ] 
		[+] // Result 3: Verify focus is on View drop down menu(first editable field)
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.AvailablePopUp.View.IsFocused (), TRUE, "Focus is on View drop down menu")
		[ ] 
		[+] // Step 4: Set On Hand quantity to '30'
			[ ] sOHQuantity = "30"
			[ ] Items.ItemsList.AddInventoryItem.AvailablePopUp.View.Select ("On Hand")
			[ ] Items.ItemsList.AddInventoryItem.AvailablePopUp.Store1.Quantity.SetData (sOHQuantity)
			[ ] Items.ItemsList.AddInventoryItem.AvailablePopUp.TypeKeys ("<Tab>")
		[ ] 
		[+] // Step 5: Click on 'X' at the top right corner
			[ ] Items.ItemsList.AddInventoryItem.AvailablePopUp.XClose.Click ()
		[ ] 
		[+] // Result 4: Verify Available pop up closes
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.AvailablePopUp.Exists (5), FALSE, "Available pop up closes")
		[ ] 
		[+] // Step 6: Click on 'Save'
			[ ] Items.ItemsList.AddInventoryItem.Save.Click ()
		[ ] 
		[+] // Step 7: Select the created item and create a sales order for a quantity "15"
			[ ] cor = {}
			[ ] cor.sCustomer = "Cust1L, Cust1F"
			[ ] cor.sButton = "Save"
			[+] cor.ldir = {...}
				[ ] {"{nir.sItemName}", "14"}
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nir.sItemName)
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.MakeACustomerOrder.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.MakeACustomerOrder.SalesOrder.Click ()
			[ ] WaitFor (SalesOrder.NewSalesOrder, 15)
			[ ] CreateSalesOrder (cor)
		[ ] 
		[+] // Step 8: Select the created item and create a pending sales order for a quantity "5"
			[ ] cor = {}
			[ ] cor.sCustomer = "Cust1L, Cust1F"
			[ ] cor.sStatus = "Pending"
			[ ] cor.sButton = "Save"
			[+] cor.ldir = {...}
				[ ] {"{nir.sItemName}", "4"}
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nir.sItemName)
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.MakeACustomerOrder.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.MakeACustomerOrder.SalesOrder.Click ()
			[ ] WaitFor (SalesOrder.NewSalesOrder, 15)
			[ ] CreateSalesOrder (cor)
		[ ] 
		[+] // Step 9: Select the created item and create a closed sales order for a quantity "5"
			[ ] cor = {}
			[ ] cor.sCustomer = "Cust1L, Cust1F"
			[ ] cor.sStatus = "Closed"
			[ ] cor.sButton = "Save"
			[+] cor.ldir = {...}
				[ ] {"{nir.sItemName}", "4"}
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nir.sItemName)
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.MakeACustomerOrder.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.MakeACustomerOrder.SalesOrder.Click ()
			[ ] WaitFor (SalesOrder.NewSalesOrder, 15)
			[ ] CreateSalesOrder (cor)
		[ ] 
		[+] // Step 10: Select the created item and create a PO for a quantity "25"
			[ ] npo = {}
			[ ] npo.sVendor = "System"
			[+] npo.ldir = {...}
				[ ] {"{nir.sItemName}", "24"}
			[ ] npo.sButton = "Save"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nir.sItemName)
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.OrderItems.Click ()
			[ ] WaitFor (PurchaseOrder.NewPurchaseOrder, 15)
			[ ] CreatePurchaseOrder (npo)
		[ ] 
		[+] // Step 11: Select the created item and create a pending PO for a quantity "10"
			[ ] npo = {}
			[ ] npo.sVendor = "System"
			[ ] npo.sStatus = "Pending"
			[+] npo.ldir = {...}
				[ ] {"{nir.sItemName}", "9"}
			[ ] npo.sButton = "Save"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nir.sItemName)
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.OrderItems.Click ()
			[ ] WaitFor (PurchaseOrder.NewPurchaseOrder, 15)
			[ ] CreatePurchaseOrder (npo)
		[ ] 
		[+] // Step 12: Select the created item and create a closed PO for a quantity "10"
			[ ] npo = {}
			[ ] npo.sVendor = "System"
			[ ] npo.sStatus = "Closed"
			[+] npo.ldir = {...}
				[ ] {"{nir.sItemName}", "9"}
			[ ] npo.sButton = "Save"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nir.sItemName)
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.OrderItems.Click ()
			[ ] WaitFor (PurchaseOrder.NewPurchaseOrder, 15)
			[ ] CreatePurchaseOrder (npo)
		[ ] 
		[+] // Step 13: Select the created item and create a sale of quantity "3"
			[ ] srr = {}
			[ ] srr.srp = {}
			[+] srr.ldir = {...}
				[ ] {"{nir.sItemName}", "2"}
			[ ] srr.srp.sPaymentMode = "Cash"
			[ ] srr.sButton = "Save"
			[ ] srr.bExitSales = TRUE
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nir.sItemName)
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.MakeASale.Click ()
			[ ] WaitFor (SalesReceipt.Sale, 15)
			[ ] CreateSalesReceipt (srr)
		[ ] 
		[+] // Step 14: Select the created item and if detailed view not displayed, click 'Show Details' 
			[ ] //Items.ItemsList.Topbar.Home.Click ()
			[ ] Items.ItemsList.Invoke ()
			[ ] WaitFor (Items.ItemsList.Topbar.SearchInventory, 10)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nir.sItemName)
			[+] if Items.ItemsList.Topbar.ShowDetails.Exists (5)
				[ ] Items.ItemsList.Topbar.ShowDetails.Click ()
		[ ] 
		[+] // Step 15: On detailed view click 'Available' button
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.BasicInfo.Available.BringIntoView ()
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.BasicInfo.Available.Click ()
		[ ] 
		[+] // Result 5: Verify Available pop up is displayed
			[ ] WaitFor (Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp, 10)
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp.Exists (5), TRUE, "Available pop up is displayed")
		[ ] 
		[+] // Result 6: Verify all the Options in available quantity
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp.View.Select ("Available")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp.Store1.Quantity.GetCaption (), "12", "{Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp.View.SelectedItemText} quantity is updated")
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp.View.Select ("On Hand")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp.Store1.Quantity.GetCaption (), "27", "{Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp.View.SelectedItemText} quantity is updated")
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp.View.Select ("On Order")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp.Store1.Quantity.GetCaption (), "25", "{Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp.View.SelectedItemText} quantity is updated")
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp.View.Select ("Pending")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp.Store1.Quantity.GetCaption (), "5", "{Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp.View.SelectedItemText} quantity is updated")
		[ ] 
		[+] // Step 16: Click on 'X' at the top right corner
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp.XClose.Click ()
		[ ] 
		[+] // Result 7: Verify Available pop up closes
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.AvailablePopUp.Exists (5), FALSE, "Alt Available pop up closes")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
