﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify quantilty of inventory item gets updated after selling group Item
	[+] // Test Steps:
		[ ] // 1. Invoke Items List (Result 1)
		[ ] // 2. Get the OH qty of the item to be sold
		[ ] // 3. Type the name of item in Search inventory field and then go to IWT->Make a sale (Result 2)
		[ ] // 4. Increse the qty of the item
		[ ] // 5. Receive payment and complete the sale
		[ ] // 6. Invoke Items List (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify Items list is displayed
		[ ] // 2. Verify sales receipt is displayed and item is added
		[ ] // 3. Verify qty of  item has been decreased by the amount sold
[ ] // TESTCASE::InventoryItemQtyUpdateAfterGroupSales
[ ] // ATC ID::POS_INV_ATC_026
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::InventoryItemQtyUpdateAfterGroupSales.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase InventoryItemQtyUpdateAfterGroupSales ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sQty
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptPaymentRec  srpPayment
		[ ] NewItemRec nirGrpItem, nirItem1, nirItem2, nirUpdatedItem
		[ ] INTEGER iCount
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Items List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Items list is displayed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Items List is displayed")
		[ ] 
		[+] // Step 2: Get the OH qty of the item to be sold
			[ ] nirItem1 = {}
			[ ] nirItem1.sItemName = "InvItem1"
			[ ] nirItem1 = GetItemData (nirItem1)
			[ ] nirItem2 = {}
			[ ] nirItem2.sItemName = "InvItem2"
			[ ] nirItem2 = GetItemData (nirItem2)
		[ ] 
		[+] // Step 3: Type the name of item in Search inventory field and then go to IWT->Make a sale
			[ ] nirGrpItem.sItemName = "GrpItem1"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirGrpItem.sItemName)
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.MakeASale.Click ()
		[ ] 
		[+] // Result 2: Verify sales receipt is displayed and item is added
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt is open")
			[ ] SalesReceipt.Sale.SaleItems.ItemGrid.Select (1)
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemName.GetCaption (), nirGrpItem.sItemName, "Item added to receipt ")
		[ ] 
		[+] // Step 4: Increse the qty of the item
			[ ] sQty = "5"
			[ ] iCount = 1
			[+] while iCount != val (sQty)
				[ ] SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemButtons.QtyPlus.Click ()
				[ ] iCount++
		[ ] 
		[+] // Step 5: Receive payment and complete the sale
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode =  "Cash"
			[ ] ReceivePayment (srpPayment)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 6: Invoke Items List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 3: Verify qty of  item has been decreased by the amount sold
			[ ] nirUpdatedItem = nirItem1
			[ ] nirUpdatedItem = GetItemData (nirUpdatedItem)
			[ ] VerifySafely (val (nirUpdatedItem.sOnHandQty), val (nirItem1.sOnHandQty) - val (sQty), "Component item 1 updated after sale")
			[ ] nirUpdatedItem = nirItem2
			[ ] nirUpdatedItem = GetItemData (nirUpdatedItem)
			[ ] VerifySafely (val (nirUpdatedItem.sOnHandQty), val (nirItem2.sOnHandQty) - val (sQty), "Component Item 2 updated after sale")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
		[+] if Items.ItemsList.GoBack.Exists (3)
			[ ] Items.ItemsList.GoBack.Click ()
[ ] 
