﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify quantilty of inventory item gets updated after receiving item
	[+] // Test Steps:
		[ ] // 1. Invoke Items List (Result 1)
		[ ] // 2. Get the OH qty of the item to be sold
		[ ] // 3. Type the name of item in Search inventory field and then go to IWT->Receive  (Result 2)
		[ ] // 4. Increse the qty of the item
		[ ] // 5. Click on Save only then click cancel
		[ ] // 6. Invoke Items List (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify Items list is displayed
		[ ] // 2. Verify Voucher is displayed and item is added
		[ ] // 3. Verify qty of  item has been decreased by the amount sold
[ ] // TESTCASE::InventoryItemQtyUpdateAfterReceiving
[ ] // ATC ID::POS_INV_ATC_027
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::InventoryItemQtyUpdateAfterReceiving.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase InventoryItemQtyUpdateAfterReceiving ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sQty
		[ ] NewItemRec nirItem, nirUpdatedItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Items List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Items list is displayed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Items List is displayed")
		[ ] 
		[+] // Step 2: Get the OH qty of the item to be sold
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] nirItem = GetItemData (nirItem)
		[ ] 
		[+] // Step 3: Type the name of item in Search inventory field and then go to IWT->Receive 
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.ReceiveItems.Click ()
		[ ] 
		[+] // Result 2: Verify Voucher is displayed and item is added
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Voucher is open")
			[ ] VerifySafely (Voucher.ReceivingVoucher.VoucherItems.ItemGrid.GridRow.ItemName.GetCaption (), nirItem.sItemName, "Item added to receipt ")
		[ ] 
		[+] // Step 4: Increse the qty of the item
			[ ] sQty = "5"
			[ ] Voucher.ReceivingVoucher.VoucherItems.ItemGrid.GridRow.ItemButtons.QtyCost.Click ()
			[ ] WaitFor (Voucher.ReceivingVoucher.QtyCost)
			[ ] Voucher.ReceivingVoucher.QtyCost.Quantity.SetData (sQty)
			[ ] Voucher.ReceivingVoucher.QtyCost.OK.Click ()
		[ ] 
		[+] // Step 5: Click on Save only then click cancel
			[ ] Voucher.ReceivingVoucher.EnterVendor.SelectVendor ("PVendor1")
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
		[ ] 
		[+] // Step 6: Invoke Items List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 3: Verify qty of  item has been decreased by the amount sold
			[ ] nirUpdatedItem = nirItem
			[ ] nirUpdatedItem = GetItemData (nirUpdatedItem)
			[ ] VerifySafely (val (nirUpdatedItem.sOnHandQty), val (nirItem.sOnHandQty) + val (sQty), "Inventory updated after receiving")
	[ ] 
	[+] // CLEANUP
		[+] if ReceivingHistory.VoucherList.GoBack.Exists (3)
			[ ] ReceivingHistory.VoucherList.GoBack.Click ()
		[+] if Items.ItemsList.GoBack.Exists (3)
			[ ] Items.ItemsList.GoBack.Click ()
[ ] 
