﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify quantilty of inventory item gets updated after sales
	[+] // Test Steps:
		[ ] // 1. Invoke Items List (Result 1)
		[ ] // 2. Get the OH qty of the item to be sold
		[ ] // 3. Type the name of item in Search inventory field and then go to IWT->Make a sale (Result 2)
		[ ] // 4. Increse the qty of the item
		[ ] // 5. Receive payment and complete the sale
		[ ] // 6. Invoke Items List (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify Items list is displayed
		[ ] // 2. Verify sales receipt is displayed and item is added
		[ ] // 3. Verify qty of  item has been decreased by the amount sold
[ ] // TESTCASE::InventoryItemQtyUpdateAfterSales
[ ] // ATC ID::POS_INV_ATC_025
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::InventoryItemQtyUpdateAfterSales.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase InventoryItemQtyUpdateAfterSales ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sQty
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptPaymentRec  srpPayment
		[ ] NewItemRec nirItem, nirUpdatedItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Items List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Items list is displayed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Items List is displayed")
		[ ] 
		[+] // Step 2: Get the OH qty of the item to be sold
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] nirItem = GetItemData (nirItem)
		[ ] 
		[+] // Step 3: Type the name of item in Search inventory field and then go to IWT->Make a sale
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.MakeASale.Click ()
		[ ] 
		[+] // Result 2: Verify sales receipt is displayed and item is added
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt is open")
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemName.GetCaption (), nirItem.sItemName, "Item added to receipt ")
		[ ] 
		[+] // Step 4: Increse the qty of the item
			[ ] sQty = "5"
			[ ] SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemButtons.QtyPriceDiscount.Click ()
			[ ] WaitFor (SalesReceipt.Sale.PriceAndDiscount)
			[ ] SalesReceipt.Sale.PriceAndDiscount.Quantity.SetData (sQty)
			[ ] SalesReceipt.Sale.PriceAndDiscount.OK.Click ()
		[ ] 
		[+] // Step 5: Receive payment and complete the sale
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode =  "Cash"
			[ ] ReceivePayment (srpPayment)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 6: Invoke Items List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 3: Verify qty of  item has been decreased by the amount sold
			[ ] nirUpdatedItem = nirItem
			[ ] nirUpdatedItem = GetItemData (nirUpdatedItem)
			[ ] VerifySafely (val (nirUpdatedItem.sOnHandQty), val (nirItem.sOnHandQty) - val (sQty), "Inventory updated after sale")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
		[+] if Items.ItemsList.GoBack.Exists (3)
			[ ] Items.ItemsList.GoBack.Click ()
[ ] 
