﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Verify adjusting column width
	[+] // Test Steps:
		[ ] //  1. Invoke Item List (Result 1)
		[ ] //  2. Get the width of ItemNum column
		[ ] //  3. Drag the column to expand the column width of Item Num column (Result 2)
		[ ] //  4. Right click on the columns (Result 3)
		[ ] //  5. Select Adjust column width (Result 4)
	[+] // Expected Result:
		[ ] //  1. Verify Item List is didplayed
		[ ] //  2. Verify column widt has increased
		[ ] //  3. Verify Column customization menu pops
		[ ] //  4. Verify Item num column widht is back to original
[ ] // TESTCASE::InventoryListAdjustColumnWidth
[ ] // ATC ID::POS_INV_ATC_023
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::InventoryListAdjustColumnWidth.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase InventoryListAdjustColumnWidth ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] REAL rOriginalColumnWidth, rUpdatedColumnWidth, rStartHorizontal, rStartVertical, rCompleteHorizontal, rCompleteVertical
	[ ] 
	[+] // // SETUP
		[ ] // sCompanyFile = "DeleteItem.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Item List is didplayed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Item List is displayed")
		[ ] 
		[+] // Step 2: Adjust column width and Get the width of ItemNum column
			[ ] WaitFor (Items.ItemsList.ItemGrid.Columns)
			[ ] Items.ItemsList.ItemGrid.Columns.Click (2)
			[+] if !Items.ItemsList.ItemGrid.ColumnCustomizeMenu.Exists (2)
				[ ] Items.ItemsList.ItemGrid.Columns.Click (2)
			[ ] Items.ItemsList.ItemGrid.ColumnCustomizeMenu.AdjustColumnWidth.Click ()
			[ ] rOriginalColumnWidth = Items.ItemsList.ItemGrid.ItemNum.ActualWidth
		[ ] 
		[+] // Step 3: Drag the column to expand the column width of Item Num column
			[ ] rStartHorizontal = Items.ItemsList.ItemGrid.ItemNum.ItemNumThumb.ActualWidth/2
			[ ] rStartVertical = Items.ItemsList.ItemGrid.ItemNum.ItemNumThumb.ActualHeight/2
			[ ] rCompleteHorizontal = Items.ItemsList.ItemGrid.ItemNum.ItemNumThumb.ActualWidth*2
			[ ] rCompleteVertical = Items.ItemsList.ItemGrid.ItemNum.ItemNumThumb.ActualHeight/2
			[ ] Items.ItemsList.ItemGrid.ItemNum.ItemNumThumb.DragStart (rStartHorizontal, rStartVertical)
			[ ] Items.ItemsList.ItemGrid.ItemNum.ItemNumThumb.DragComplete (rCompleteHorizontal, rCompleteVertical)
		[ ] 
		[+] // Result 2: Verify column widt has increased
			[ ] rUpdatedColumnWidth = Items.ItemsList.ItemGrid.ItemNum.ActualWidth
			[ ] VerifySafely (rOriginalColumnWidth<rUpdatedColumnWidth, TRUE, "Column width changed")
		[ ] 
		[+] // Step 4: Right click on the columns
			[ ] Items.ItemsList.ItemGrid.Columns.Click (2)
			[+] if !Items.ItemsList.ItemGrid.ColumnCustomizeMenu.Exists (2)
				[ ] Items.ItemsList.ItemGrid.Columns.Click (2)
		[ ] 
		[+] // Result 3: Verify Column customization menu pops
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ColumnCustomizeMenu.Exists (2), TRUE, "Column customize menu is displayed")
		[ ] 
		[+] // Step 5: Select Adjust column width
			[ ] Items.ItemsList.ItemGrid.ColumnCustomizeMenu.AdjustColumnWidth.Click ()
		[ ] 
		[+] // Result 4: Verify Item num column widht is back to original
			[ ] VerifySafely (Items.ItemsList.ItemGrid.ItemNum.ActualWidth, rOriginalColumnWidth, "Column width restored to original")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
