﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify mandatory field working of inventory add form and proper messages
	[+] // Test Steps:
		[ ] //  1: Click on Inventory->NewItem (Result 1)
		[ ] //  2: Click on Cancel (Result 2)
		[ ] //  3: Click on Add (Result 3)
		[ ] //  4: Click on save without entering any data (Result 4)
		[ ] //  5: Clik on Add
		[ ] //  6: EnterItem name and click on save (Result 5)
		[ ] //  7: Click on OK
		[ ] //  8: Clear the Item Name, set the department and click on save (Result 6)
		[ ] //  9: Click on OK
		[ ] //  10: Enter both Item name and department and click on 'Save and New' (Result 7)
		[ ] //  11: Enter item name and click on cancel (Result 8)
		[ ] //  12: Click on No on message box (Result 9)
		[ ] //  13: Click on Cancel (Result 10)
		[ ] //  14: Click on Yes on message box (Result 11)
		[ ] //  15: Enter the name of the saved item on search inventory field (Result 12)
		[ ] //  16: Click on Edit (Result 13) (Result 14)
		[ ] //  17: Click on cancel
		[ ] //  18: Click on ShowDetails (Result 15)
		[ ] //  19: Click on Hide Details (Result 16)
		[ ] //  20: Enter the name of the item which was not saved (Result 17)
	[+] // Expected Result:
		[ ] //  1: Verify 'AddNewInventoryItem' is displayed
		[ ] //  2: Verify AddInventoryItem closes and ItemList is displayed
		[ ] //  3: Verify 'AddNewInventoryItem' is displayed
		[ ] //  4: Verify AddInventoryItem closes and ItemList is displayed
		[ ] //  5: Verify message shows up saying Required field not completed
		[ ] //  6: Verify message shows up saying Required field not completed
		[ ] //  7: Verify AddInventoryitem form stays and a new form is displayed clearing the previously entered data
		[ ] //  8: Verify Discard changes message shows up
		[ ] //  9: Verify AddInventoryItem form stays on
		[ ] //  10: Verify Discard changes message shows up
		[ ] //  11: Verify AddInventoryItem closes and ItemList is displayed
		[ ] //  12: Verify Edit button  and Show Hide Details button is enabled
		[ ] //  13: Verify Edit Inventory Item dialog is displayed
		[ ] //  15: Verify Inventory Item detail is displayed
		[ ] //  16: Verify Inventory Item detail is closed
		[ ] //  17: Verify the edit button and Show/Hide details button is not enabled
		[ ] //  14: Verify the data has been saved
[ ] // TESTCASE::InventoryMandatoryFieldFree
[ ] // ATC ID::POS_INV_ATC_011
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::InventoryMandatoryFieldFree.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase InventoryMandatoryFieldFree ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sDesc, sMessage, sDiscardItemName
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Click on Inventory->NewItem
			[ ] QuickBooksPointOfSale.Inventory.Click ()
			[ ] QuickBooksPointOfSale.Inventory.NewItem.Click ()
		[ ] 
		[+] // Result 1: Verify 'AddNewInventoryItem' is displayed
			[ ] VerifySafely (Items.ItemsList.AddInventoryItemFree.Exists (5), TRUE, "Add Inventory Item is displayed")
		[ ] 
		[+] // Step 2: Click on Cancel
			[ ] Items.ItemsList.AddInventoryItemFree.Cancel.Click ()
			[ ] WaitGone (Items.ItemsList.AddInventoryItemFree)
		[ ] 
		[+] // Result 2: Verify AddInventoryItem closes and ItemList is displayed
			[ ] VerifySafely (Items.ItemsList.AddInventoryItemFree.Exists (), FALSE, "Add inventory Item is closed")
			[ ] VerifySafely (Items.ItemsList.Exists (), TRUE, "Item list is displayed")
		[ ] 
		[+] // Step 3: Click on Add
			[ ] Items.ItemsList.Topbar.Add.Click ()
		[ ] 
		[+] // Result 3: Verify 'AddNewInventoryItem' is displayed
			[ ] VerifySafely (Items.ItemsList.AddInventoryItemFree.Exists (5), TRUE, "Add Inventory Item is displayed")
		[ ] 
		[+] // Step 4: Click on save without entering any data
			[ ] Items.ItemsList.AddInventoryItemFree.Save.Click ()
		[ ] 
		[+] // Result 4: Verify AddInventoryItem closes and ItemList is displayed
			[ ] VerifySafely (Items.ItemsList.AddInventoryItemFree.Exists (), FALSE, "Add inventory Item is closed")
			[ ] VerifySafely (Items.ItemsList.Exists (), TRUE, "Item list is displayed")
		[ ] 
		[+] // Step 5: Clik on Add
			[ ] Items.ItemsList.Topbar.Add.Click ()
		[ ] 
		[+] // Step 6: EnterItem name and click on save
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "TestItem"
			[ ] nirItem.sDepartment = "System"
			[ ] Items.ItemsList.AddInventoryItemFree.ItemName.SetData (nirItem.sItemName)
			[ ] Items.ItemsList.AddInventoryItemFree.Save.Click ()
		[ ] 
		[+] // Result 5: Verify message shows up saying Required field not completed
			[ ] sMessage = "Required field not completed"
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} mesage is displyed")
			[ ] sMessage = "An entry must be made in the ""Department"" field before the record can be saved"
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} mesage is displyed")
		[ ] 
		[+] // Step 7: Click on OK
			[ ] Items.Information.OK.Click ()
		[ ] 
		[+] // Step 8: Clear the Item Name, set the department and click on save
			[ ] Items.ItemsList.AddInventoryItemFree.ItemName.Click ()
			[ ] Items.ItemsList.AddInventoryItemFree.ItemName.Clear ()
			[ ] Items.ItemsList.AddInventoryItemFree.ScrollViewer.BasicInfo.Department.SetData (nirItem.sDepartment)
			[ ] Items.ItemsList.AddInventoryItemFree.Save.Click ()
		[ ] 
		[+] // Result 6: Verify message shows up saying Required field not completed
			[ ] sMessage = "Required field not completed"
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} mesage is displyed")
			[ ] sMessage = "An entry must be made in the ""Item Name"" field before the record can be saved"
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} mesage is displyed")
		[ ] 
		[+] // Step 9: Click on OK
			[ ] Items.Information.OK.Click ()
		[ ] 
		[+] // Step 10: Enter both Item name and department and click on 'Save and New'
			[ ] Items.ItemsList.AddInventoryItemFree.ItemName.SetData (nirItem.sItemName)
			[ ] Items.ItemsList.AddInventoryItemFree.ScrollViewer.BasicInfo.Department.SetData (nirItem.sDepartment)
			[ ] Items.ItemsList.AddInventoryItemFree.SaveAndNew.Click ()
		[ ] 
		[+] // Result 7: Verify AddInventoryitem form stays and a new form is displayed clearing the previously entered data
			[ ] VerifySafely (Items.ItemsList.AddInventoryItemFree.Exists (5), TRUE, "Add Inventory Item stays")
			[ ] VerifySafely (Items.ItemsList.AddInventoryItemFree.ItemName.GetLineText (0), "", "Item form is cleared after clicking save and new")
		[ ] 
		[+] // Step 11: Enter item name and click on cancel
			[ ] sDiscardItemName = "ItemABC"
			[ ] Items.ItemsList.AddInventoryItemFree.ItemName.SetData (sDiscardItemName)
			[ ] Items.ItemsList.AddInventoryItemFree.Cancel.Click ()
		[ ] 
		[+] // Result 8: Verify Discard changes message shows up
			[ ] sMessage = "Discard changes to this item?"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} mesage is displyed")
		[ ] 
		[+] // Step 12: Click on No on message box
			[ ] Items.Confirmation.No.Click ()
		[ ] 
		[+] // Result 9: Verify AddInventoryItem form stays on
			[ ] VerifySafely (Items.ItemsList.AddInventoryItemFree.Exists (5), TRUE, "Add Inventory Item stays")
		[ ] 
		[+] // Step 13: Click on Cancel
			[ ] Items.ItemsList.AddInventoryItemFree.Cancel.Click ()
		[ ] 
		[+] // Result 10: Verify Discard changes message shows up
			[ ] sMessage = "Discard changes to this item?"
			[ ] VerifySafely (Items.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} mesage is displyed")
		[ ] 
		[+] // Step 14: Click on Yes on message box
			[ ] Items.Confirmation.Yes.Click ()
			[ ] WaitGone (Items.ItemsList.AddInventoryItemFree)
		[ ] 
		[+] // Result 11: Verify AddInventoryItem closes and ItemList is displayed
			[ ] VerifySafely (Items.ItemsList.AddInventoryItemFree.Exists (), FALSE, "Add inventory Item is closed")
			[ ] VerifySafely (Items.ItemsList.Exists (), TRUE, "Item list is displayed")
		[ ] 
		[+] // Step 15: Enter the name of the saved item on search inventory field
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Result 12: Verify Edit button  and Show Hide Details button is enabled
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, TRUE, "Edit button is enabled")
			[+] if  Items.ItemsList.Topbar.ShowDetails.Exists ()
				[ ] VerifySafely (Items.ItemsList.Topbar.ShowDetails.IsEnabled, TRUE, "Edit button is enabled")
			[+] if Items.ItemsList.Topbar.HideDetails.Exists ()
				[ ] VerifySafely (Items.ItemsList.Topbar.HideDetails.IsEnabled, TRUE, "Edit button is enabled")
		[ ] 
		[+] // Step 16: Click on Edit
			[ ] Items.ItemsList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 13: Verify Edit Inventory Item dialog is displayed
			[ ] VerifySafely (Items.ItemsList.EditInventoryItemFree.Exists (5), TRUE, "Add inventory Item is closed")
		[ ] 
		[+] // Result 14: Verify the data has been saved
			[ ] VerifySafely (Items.ItemsList.EditInventoryItemFree.ItemName.GetLineText (0), nirItem.sItemName, "Data saved")
		[ ] 
		[+] // Step 17: Click on cancel
			[ ] Items.ItemsList.EditInventoryItemFree.Cancel.Click ()
		[ ] 
		[+] // Step 18: Click on ShowDetails
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[+] if !Items.ItemsList.InventoryItemDetail.Exists ()
				[+] if Items.ItemsList.Topbar.HideDetails.Exists ()
					[ ] Items.ItemsList.Topbar.HideDetails.Click ()
				[ ] Items.ItemsList.Topbar.ShowDetails.Click ()
		[ ] 
		[+] // Result 15: Verify Inventory Item detail is displayed
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.Exists (2), TRUE, "Inventory Detail is in expanded")
		[ ] 
		[+] // Step 19: Click on Hide Details
			[ ] Items.ItemsList.Topbar.HideDetails.Click ()
		[ ] 
		[+] // Result 16: Verify Inventory Item detail is closed
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.Exists (2), FALSE, "Inventory Detail is in collapsed")
		[ ] 
		[+] // Step 20: Enter the name of the item which was not saved
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (sDiscardItemName)
		[ ] 
		[+] // Result 17: Verify the edit button and Show/Hide details button is not enabled
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, FALSE, "Edit button is enabled")
	[ ] 
	[+] // CLEANUP
		[+] if Items.ItemsList.InventoryItemDetail.Exists (2)
			[ ] Items.ItemsList.InventoryItemDetail.CornerClose.Click ()
		[+] if Items.ItemsList.GoBack.Exists (2)
			[ ] Items.ItemsList.GoBack.Click ()
[ ] 
