﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify orders pop up in Inventory
	[+] // Test Steps:
		[ ] // Step 1: Select an existing item and then click Orders in detail view (Result 1)
		[ ] // Step 2: Click on 'X' on Orders pop up (Result 2)
		[ ] // Step 3: Create a new order
		[ ] // Step 4: Select an existing item and then click Orders in detail view (Result 3)
		[ ] // Step 5: Select pending orders and then double click on the order (Result 4)
	[+] // Expected Result:
		[ ] // Result 1: Verify Orders pop up appears different orders data is correct
		[ ] // Result 2: Verify Orders pop up disappears 
		[ ] // Result 3: Verify Orders pop up appears orders correctly displyed
		[ ] // Result 4: Verify correct order is open
[ ] // TESTCASE::InventoryOrders
[ ] // ATC ID::POS_INV_ATC_054
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\Orders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::InventoryOrders.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase InventoryOrders () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewItemRec nirItem
		[ ] LIST OF STRING lsExpected
		[ ] CustomerOrderRec corSO
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Orders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Select an existing item and then click Orders in detail view
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Items.ItemsList.Invoke ()
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[+] if !Items.ItemsList.InventoryItemDetail.Exists (2)
				[ ] Items.ItemsList.Topbar.ShowDetails.Click ()
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.BasicInfo.Orders.Click ()
		[ ] 
		[+] // Result 1:  Verify Orders pop up appears different orders data is correct
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Exists (5), TRUE, "Orders popup appears")
			[+] lsExpected = {...}
				[ ] "Purchase Order 10/11/2011 1 PVendor1 10"
				[ ] "Sales Order 10/11/2011 3 Cust2F Cust2L 5"
				[ ] "Sales Order 10/11/2011 1 Cust1F Cust1L 10"
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Show.SelectItem ("All Orders")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Orders.ItemTexts, lsExpected, "Orders displyed")
			[+] lsExpected = {...}
				[ ] "Sales Order 10/11/2011 3 Cust2F Cust2L 5"
				[ ] "Sales Order 10/11/2011 1 Cust1F Cust1L 10"
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Show.SelectItem ("Customer Orders")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Orders.ItemTexts, lsExpected, "Orders displyed")
			[+] lsExpected = {...}
				[ ] "Purchase Order 10/11/2011 1 PVendor1 10"
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Show.SelectItem ("Purchase Orders")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Orders.ItemTexts, lsExpected, "Orders displyed")
			[+] lsExpected = {...}
				[ ] "Sales Order 10/11/2011 3 Cust2F Cust2L 5"
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Show.SelectItem ("Pending Orders")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Orders.ItemTexts, lsExpected, "Orders displyed")
		[ ] 
		[+] // Step 2: Click on 'X' on Orders pop up
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.XClose.Click ()
		[ ] 
		[+] // Result 2: Verify Orders pop up disappears 
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Exists (5), FALSE, "Orders pop closed")
		[ ] 
		[+] // Step 3: Create a new order
			[ ] Items.ItemsList.InventoryItemDetail.CornerClose.Click ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] corSO = {}
			[ ] corSO.sCustomer = "Cus1L, Cust1F"
			[ ] corSO.sButton = "Save"
			[+] corSO.ldir = {...}
				[ ] {"InvItem1", "10"}
			[ ] CreateSalesOrder (corSO)
		[ ] 
		[+] // Step 4: Select the item and then click Orders in detail view
			[ ] Items.ItemsList.Invoke ()
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[+] if !Items.ItemsList.InventoryItemDetail.Exists (2)
				[ ] Items.ItemsList.Topbar.ShowDetails.Click ()
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.BasicInfo.Orders.Click ()
		[ ] 
		[+] // Result 3:  Verify Orders pop up appears orders correctly displyed
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Exists (5), TRUE, "Orders popup appears")
			[+] lsExpected = {...}
				[ ] "Purchase Order 10/11/2011 1 PVendor1 10"
				[ ] "Sales Order {FormatDateTime (GetDateTime (), "mm/dd/yyyy")} 4 Cust1F Cust1L 10"
				[ ] "Sales Order 10/11/2011 3 Cust2F Cust2L 5"
				[ ] "Sales Order 10/11/2011 1 Cust1F Cust1L 10"
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Show.SelectItem ("All Orders")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Orders.ItemTexts, lsExpected, "Orders displyed")
		[ ] 
		[+] // Step 5: Select pending orders and then double click on the order
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Show.SelectItem ("Pending Orders")
			[ ] Agent.SetOption (OPT_MOUSE_DELAY, 0)
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Orders.ListItem.DoubleClick ()
		[ ] 
		[+] // Result 4: Verify correct order is open
			[ ] VerifySafely (SalesOrder.EditSalesOrder.Exists (3), TRUE, "Saled order open")
			[ ] VerifySafely (SalesOrder.EditSalesOrder.PageList.SONum.GetText (), "3", "Correct SO open")
			[ ] VerifySafely (SalesOrder.EditSalesOrder.PageList.Status.GetText (), "Pending", "Correct SO open")
	[ ] 
	[+] // CLEAN UP
		[+] if SalesOrder.BottomBar.Close.Exists (2)
			[ ] SalesOrder.BottomBar.Close.Click ()
		[+] if SOList.BottomBar.Close.Exists (2)
			[ ] SOList.BottomBar.Close.Click ()
		[+] if Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.Exists (2)
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.OrdersPopUp.XClose.Click ()
		[+] if Items.ItemsList.Topbar.Home.Exists (2)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
