﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify pricing pop up in Inventory
	[+] // Test Steps:
		[ ] // Step 1: Invoke Add Inventory Item form and fill the Item form with all mandatory fields
		[ ] // Step 2: Click on pricing (Result 1)
		[ ] // Step 3: Set the markdown for diff price levels
		[ ] // Step 4: Click on 'X' on pricinfg pop up (Result 2)
		[ ] // Step 5: Save the Item
		[ ] // Step 6: Select the item and then click Pricing on Detail view (Result 3)
		[ ] // Step 7: Click on 'X' on pricinfg pop up (Result 4)
		[ ] // Step 8: Select the item and then click Edit
		[ ] // Step 9: Click on pricing (Result 5)
		[ ] // Step 10: Set the markdown for diff price levels
		[ ] // Step 11: Click on 'X' on pricinfg pop up (Result 6)
		[ ] // Step 12: Save the Item
		[ ] // Step 13: Select the item and then click Pricing on Detail view (Result 7)
		[ ] // Step 14: Click on 'X' on pricinfg pop up (Result 8)
	[+] // Expected Result:
		[ ] // Result 1: Verify Pricing pop up appears and focus is on regular price
		[ ] // Result 2: Verify Pricing pop up disappears and focus is on order cost
		[ ] // Result 3:  Verify Pricing pop up appears and focus is on regular price and markdown is correct
		[ ] // Result 4: Verify Pricing pop up disappears
		[ ] // Result 5: Verify Pricing pop up appears  and focus is on regular price
		[ ] // Result 6: Verify Pricing pop up disappears
		[ ] // Result 7:  Verify Pricing pop up appears
		[ ] // Result 8: Verify Pricing pop up disappears
[ ] // TESTCASE::InventoryPriceLevels
[ ] // ATC ID::POS_INV_ATC_051
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::InventoryPriceLevels.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase InventoryPriceLevels ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMarkDown
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Add Inventory Item form and fill the Item form with all mandatory fields
			[ ] Items.ItemsList.AddInventoryItem.Invoke ()
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "TestInvItem1"
			[ ] nirItem.sItemType = "Inventory"
			[ ] nirItem.sDepartment = "System"
			[ ] nirItem.sRegularPrice = "100.00"
			[ ] nirItem.sOrderCost = "50.00"
			[ ] nirItem.sOnHandQty = "50"
			[ ] FillItemForm (nirItem)
		[ ] 
		[+] // Step 2: Click on pricing
			[ ] Items.ItemsList.AddInventoryItem.ScrollViewer.BasicInfo.Pricing.Click ()
		[ ] 
		[+] // Result 1: Verify Pricing pop up appears and focus is on regular price
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.PricingPopUp.Exists (5), TRUE, "Pricing pop appears")
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.PricingPopUp.PriceLevels.RegularPrice.IsFocused (), TRUE, "Focus is on regular price")
		[ ] 
		[+] // Step 3: Set the markdown for diff price levels
			[ ] sMarkDown = "20"
			[ ] Items.ItemsList.AddInventoryItem.PricingPopUp.PriceLevels.SaleMarkDown.SetData (sMarkDown)
			[ ] Items.ItemsList.AddInventoryItem.PricingPopUp.PriceLevels.EmployeeMarkDown.SetData (sMarkDown)
			[ ] Items.ItemsList.AddInventoryItem.PricingPopUp.PriceLevels.WholesaleMarkDown.SetData (sMarkDown)
			[ ] Items.ItemsList.AddInventoryItem.PricingPopUp.PriceLevels.CustomMarkDown.SetData (sMarkDown)
			[ ] Items.Typekeys ("<Tab>")
		[ ] 
		[+] // Step 4: Click on 'X' on pricinfg pop up
			[ ] Items.ItemsList.AddInventoryItem.PricingPopUp.XClose.Click ()
		[ ] 
		[+] // Result 2: Verify Pricing pop up disappears and focus is order cost
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.PricingPopUp.Exists (10), FALSE, "Pricing pop closed")
			[+] if sSKU != "BASIC"
				[ ] VerifySafely (Items.ItemsList.AddInventoryItem.ScrollViewer.MoreInfo.OrderCost.IsFocused (), TRUE, "Focus in on Order Cost field")
			[+] else
				[ ] VerifySafely (Items.ItemsList.AddInventoryItem.ScrollViewer.BasicInfo.Tax.IsFocused (), TRUE, "Focus in on Tax field")
		[ ] 
		[+] // Step 5: Save the Item
			[ ] Items.ItemsList.AddInventoryItem.Save.Click ()
		[ ] 
		[+] // Step 6: Select the item and then click Pricing on Detail view
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[+] if !Items.ItemsList.InventoryItemDetail.Exists (2)
				[ ] Items.ItemsList.Topbar.ShowDetails.Click ()
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.BasicInfo.Pricing.Click ()
		[ ] 
		[+] // Result 3:  Verify Pricing pop up appears and focus is on regular price and markdown is correct
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.PricingPopUp.Exists (5), TRUE, "Pricing pop appears")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.PricingPopUp.PriceLevels.SaleMarkDown.GetCaption (), "{sMarkDown}%", "Pricing data saved correctly")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.PricingPopUp.PriceLevels.EmployeeMarkDown.GetCaption (), "{sMarkDown}%", "Pricing data saved correctly")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.PricingPopUp.PriceLevels.WholesaleMarkDown.GetCaption (), "{sMarkDown}%", "Pricing data saved correctly")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.PricingPopUp.PriceLevels.CustomMarkDown.GetCaption (), "{sMarkDown}%", "Pricing data saved correctly")
		[ ] 
		[+] // Step 7: Click on 'X' on pricinfg pop up
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.PricingPopUp.XClose.Click ()
		[ ] 
		[+] // Result 4: Verify Pricing pop up disappears
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.PricingPopUp.Exists (5), FALSE, "Pricing pop closed")
		[ ] 
		[+] // Step 8: Select the item and then click Edit
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] Items.ItemsList.Topbar.Edit.Click ()
		[ ] 
		[+] // Step 9: Click on pricing
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Pricing.Click ()
		[ ] 
		[+] // Result 5: Verify Pricing pop up appears and focus is on regular price
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.PricingPopUp.Exists (5), TRUE, "Pricing pop appears")
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.PricingPopUp.PriceLevels.RegularPrice.IsFocused (), TRUE, "Focus is on regular price")
		[ ] 
		[+] // Step 10: Set the markdown for diff price levels
			[ ] sMarkDown = "20"
			[ ] Items.ItemsList.EditInventoryItem.PricingPopUp.PriceLevels.SaleMarkDown.SetData (sMarkDown)
			[ ] Items.ItemsList.EditInventoryItem.PricingPopUp.PriceLevels.EmployeeMarkDown.SetData (sMarkDown)
			[ ] Items.ItemsList.EditInventoryItem.PricingPopUp.PriceLevels.WholesaleMarkDown.SetData (sMarkDown)
			[ ] Items.ItemsList.EditInventoryItem.PricingPopUp.PriceLevels.CustomMarkDown.SetData (sMarkDown)
			[ ] Items.Typekeys ("<Tab>")
		[ ] 
		[+] // Step 11: Click on 'X' on pricinfg pop up
			[ ] Items.ItemsList.EditInventoryItem.PricingPopUp.XClose.Click ()
		[ ] 
		[+] // Result 6: Verify Pricing pop up disappears
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.PricingPopUp.Exists (5), FALSE, "Pricing pop closed")
		[ ] 
		[+] // Step 12: Save the Item
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
		[ ] 
		[+] // Step 13: Select the item and then click Pricing on Detail view
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[+] if !Items.ItemsList.InventoryItemDetail.Exists (2)
				[ ] Items.ItemsList.Topbar.ShowDetails.Click ()
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.BasicInfo.Pricing.Click ()
		[ ] 
		[+] // Result 7:  Verify Pricing pop up appears
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.PricingPopUp.Exists (5), TRUE, "Pricing pop appears")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.PricingPopUp.PriceLevels.SaleMarkDown.GetCaption (), "{sMarkDown}%", "Pricing data saved correctly")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.PricingPopUp.PriceLevels.EmployeeMarkDown.GetCaption (), "{sMarkDown}%", "Pricing data saved correctly")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.PricingPopUp.PriceLevels.WholesaleMarkDown.GetCaption (), "{sMarkDown}%", "Pricing data saved correctly")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.PricingPopUp.PriceLevels.CustomMarkDown.GetCaption (), "{sMarkDown}%", "Pricing data saved correctly")
		[ ] 
		[+] // Step 14: Click on 'X' on pricinfg pop up
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.PricingPopUp.XClose.Click ()
		[ ] 
		[+] // Result 8: Verify Pricing pop up disappears 
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.PricingPopUp.Exists (5), FALSE, "Pricing pop closed")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Topbar.Home.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
