﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete different types of items and verify they cant be deleted on certain conditions
	[+] // Test Steps:
		[ ] //  1. Invoke Item List (Result 1)
		[ ] //  2. Enter name of  Inventory item to be deleted on Search Inventory field of Item List
		[ ] //  3. Go to I Want To-> Delete (Result 2)
		[ ] //  4. Click on cancel (Result 3)
		[ ] //  5. Go to I Want To-> Delete (Result 4)
		[ ] //  6. Click on delete (Result 5)
		[ ] //  7. Enter name of  Inventory item which is component of assembly item to be deleted on Search Inventory field of Item List
		[ ] //  8. Go to I Want To-> Delete (Result 6)
		[ ] //  9. Click on Cancel (Result 7)
		[ ] //  10. Enter name of  Inventory which is part of group item to be deleted on Search Inventory field of Item List
		[ ] //  11. Go to I Want To-> Delete (Result 8)
		[ ] //  12. Click on Cancel (Result 9)
		[ ] //  13. Enter name of  Assembly item to be deleted on Search Inventory field of Item List
		[ ] //  14. Go to I Want To-> Delete (Result 10)
		[ ] //  15. Click on cancel (Result 11)
	[+] // Expected Result:
		[ ] //  1. Verify Item List is didplayed
		[ ] //  2. Verify delete confirmation message is displayed
		[ ] //  3. Verify the item has not been deleted
		[ ] //  4. Verify delete confirmation message is displayed
		[ ] //  5. Verify the item has been deleted
		[ ] //  6. Verify delete confirmation message is displayed
		[ ] //  7. Verify the item has not been deleted
		[ ] //  8. Verify delete confirmation message is displayed
		[ ] //  9. Verify the item has been deleted
		[ ] //  10. Verify delete confirmation message is displayed
		[ ] //  11. Verify the item has not been deleted
[ ] // TESTCASE::ItemDeleteRestrictions
[ ] // ATC ID::POS_INV_ATC_017
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\DeleteItem.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::ItemDeleteRestrictions.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase ItemDeleteRestrictions ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "DeleteItem.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Item List is didplayed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Item List is displayed")
		[ ] 
		[+] // Step 2: Enter name of  Inventory item to be deleted on Search Inventory field of Item List
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem7"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Step 3: Go to I Want To-> Delete
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.Delete.Click ()
		[ ] 
		[+] // Result 2: Verify delete confirmation message is displayed
			[ ] VerifySafely (DeleteItem.Delete.Exists (5), TRUE, "Delete dialog with delete button is displayed")
		[ ] 
		[+] // Step 4: Click on cancel
			[ ] DeleteItem.Cancel.Click ()
		[ ] 
		[+] // Result 3: Verify the item has not been deleted
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, TRUE, "Item has not been deleted after clickin on cancel")
		[ ] 
		[+] // Step 5: Go to I Want To-> Delete
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.Delete.Click ()
		[ ] 
		[+] // Result 4: Verify delete confirmation message is displayed
			[ ] VerifySafely (DeleteItem.Delete.Exists (5), TRUE, "Delete dialog with delete button is displayed")
		[ ] 
		[+] // Step 6: Click on delete
			[ ] DeleteItem.Delete.Click ()
		[ ] 
		[+] // Result 5: Verify the item has been deleted
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, FALSE, "Item has been deleted after clicking on delete")
		[ ] 
		[+] // Step 7: Enter name of  Inventory item which is component of assembly item to be deleted on Search Inventory field of Item List
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Step 8: Go to I Want To-> Delete
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.Delete.Click ()
		[ ] 
		[+] // Result 6: Verify delete confirmation message is displayed
			[ ] VerifySafely (DeleteItem.Delete.Exists (5), FALSE, "Delete dialog without delete button is displayed")
		[ ] 
		[+] // Step 9: Click on Cancel
			[ ] DeleteItem.Cancel.Click ()
		[ ] 
		[+] // Result 7: Verify the item has not been deleted
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, TRUE, "Inventory Item which is part of Assembly Item has not been deleted")
		[ ] 
		[+] // Step 10: Enter name of  Inventory which is part of group item to be deleted on Search Inventory field of Item List
			[ ] nirItem.sItemName = "InvItem5"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Step 11: Go to I Want To-> Delete
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.Delete.Click ()
		[ ] 
		[+] // Result 8: Verify delete confirmation message is displayed
			[ ] VerifySafely (DeleteItem.Delete.Exists (5), FALSE, "Delete dialog without delete button is displayed")
		[ ] 
		[+] // Step 12: Click on Cancel
			[ ] DeleteItem.Cancel.Click ()
		[ ] 
		[+] // Result 9: Verify the item has been deleted
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, TRUE, "Inventory Item which is part of Group Item has not been deleted")
		[ ] 
		[+] // Step 13: Enter name of  Assembly item to be deleted on Search Inventory field of Item List
			[ ] nirItem.sItemName = "AsmbItem1"
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
		[ ] 
		[+] // Step 14: Go to I Want To-> Delete
			[ ] Items.ItemsList.Topbar.IWantTo.Click ()
			[ ] Items.ItemsList.Topbar.IWantTo.Delete.Click ()
		[ ] 
		[+] // Result 10: Verify delete confirmation message is displayed
			[ ] VerifySafely (DeleteItem.Delete.Exists (5), FALSE, "Delete dialog without delete button is displayed")
		[ ] 
		[+] // Step 15: Click on cancel
			[ ] DeleteItem.Cancel.Click ()
		[ ] 
		[+] // Result 11: Verify the item has not been deleted
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, TRUE, "Assembly Item having OHqty has not been deleted")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
