﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Default Filters can be applied and return expected results
	[+] // Test Steps:
		[ ] // 1.Invoke Item List (Result 1)
		[ ] // 2. Set Filter to "All Items"
		[ ] // 3. Read the data from grid into a list (Result 2)
		[ ] // 4. Set Filter to "Out of Stock Items"
		[ ] // 5. Read the data from grid into another list (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify Add Inventory Item form appears
		[ ] // 2. Compare the data with saved list for "All Items"
		[ ] // 3. Compare the data with saved list for "Out of Stock Items"
[ ] // TESTCASE::ItemListFilter
[ ] // ATC ID::POS_INV_ATC_021
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::ItemListFilter.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::ItemListFilter
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] LIST OF STRING lsAllItemsExpected = {...}
	[ ] "5 AsmbItem1 System 300.00 2 2"
	[ ] "6 GrpItem1 System 300.00 0 0"
	[ ] "1 InvItem1 System 100.00 48 48"
	[ ] "2 InvItem2 System 200.00 48 48"
	[ ] "3 NonInvItem1 System 100.00 0 0"
	[ ] "4 ServItem1 System 100.00 0 0"
[+] LIST OF STRING lsOutOfStockItemsExpeced = {...}
	[ ] "6 GrpItem1 System 300.00 0 0"
	[ ] "3 NonInvItem1 System 100.00 0 0"
	[ ] "4 ServItem1 System 100.00 0 0"
[ ] 
[+] testcase ItemListFilter ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] LIST OF STRING lsAllItemsActual = {...}
		[ ] LIST OF STRING lsOutOfStockItemsActual = {...}
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Add Inventory Item form appears
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Item List appears")
		[ ] 
		[+] // Step 2: Set Filter to "All Items"
			[ ] WaitFor (Items.ItemsList.Topbar.Filter, 5)
			[ ] Wait (5)
			[ ] Items.ItemsList.Topbar.Filter.Select ("All Items")
		[ ] 
		[+] // Step 3: Read the data from grid into a list
			[ ] lsAllItemsActual = Items.ItemsList.ItemGrid.ItemTexts
		[ ] 
		[+] // Result 2: Compare the data with saved list for "All Items"
			[ ] VerifySafely (ListCompare (lsAllItemsExpected, lsAllItemsActual), True, "All Items List Compared")
		[ ] 
		[+] // Step 4: Set Filter to "Out of Stock Items"
			[ ] Items.ItemsList.Topbar.Filter.Select ("Out of Stock Items")
		[ ] 
		[+] // Step 5: Read the data from grid into another list
			[ ] lsOutOfStockItemsActual = Items.ItemsList.ItemGrid.ItemTexts
		[ ] 
		[+] // Result 3: Compare the data with saved list for "Out of Stock Items"
			[ ] VerifySafely (ListCompare (lsOutOfStockItemsExpeced, lsOutOfStockItemsActual), True, "Out of Stock Items List Compared")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
