﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: I Want To (IWT) > Menu Options are all accessible and invoke expected functionality
	[+] // Test Steps:
		[ ] // 1. Invoke Item List form (Result 1)
		[ ] // 2. Goto I Want To(IWT)-> Show/Hide Details (Result 2)
		[ ] // 3. Click on Close
		[ ] // 4. Goto IWT-> Add (Result 3)
		[ ] // 5. Click on Cancel
		[ ] // 6. Goto IWT-> Edit (Result 4)
		[ ] // 7. Click on Cancel
		[ ] // 8. Goto IWT-> Make a Sale (Result 5)
		[ ] // 9. Click on Cancel and click Discard Changes
		[ ] // 10. Invoke Item List form
		[ ] // 11. Goto IWT-> Receive Items (Result 6)
		[ ] // 12. Click on Cancel and click Yes
	[+] // Expected Result:
		[ ] // 1. Verify Item List form appears
		[ ] // 2. Verify 'Inventory Item Detail' is dispalyed
		[ ] // 3. Verify 'Add Inventory Item' is dispalyed
		[ ] // 4. Verify 'Edit Inventory Item' is dispalyed
		[ ] // 5. Verify 'Sales Receipt' is dispalyed
		[ ] // 6. Verify 'Voucher' is dispalyed
[ ] // TESTCASE::ItemListIWantToMenu
[ ] // ATC ID::POS_INV_ATC_020
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::ItemListIWantToMenu.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase ItemListIWantToMenu ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List form
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Item List form appears
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Item List form appears")
		[ ] 
		[+] // Step 2: Goto I Want To(IWT)-> Show/Hide Details
			[ ] WaitFor (Items.ItemsList.Topbar.IWantTo, 5)
			[ ] Items.ItemsList.Topbar.IWantTo.Open ()
			[ ] Items.ItemsList.Topbar.IWantTo.ShowHideDetails.Click ()
		[ ] 
		[+] // Result 2: Verify 'Inventory Item Detail' is dispalyed
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.Exists (5), TRUE, "Inventory Item Detail displayed")
		[ ] 
		[+] // Step 3: Click on Close
			[ ] Items.ItemsList.InventoryItemDetail.XClose.Click ()
		[ ] 
		[+] // Step 4: Goto IWT-> Add
			[ ] WaitTill (Items.ItemsList.Topbar.IWantTo.IsEnabled)
			[ ] Items.ItemsList.Topbar.IWantTo.Open ()
			[ ] Items.ItemsList.Topbar.IWantTo.Add.Click ()
		[ ] 
		[+] // Result 3: Verify 'Add Inventory Item' is dispalyed
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.Exists (5), TRUE, "Add Inventory Item displayed")
		[ ] 
		[+] // Step 5: Click on Cancel
			[ ] Items.ItemsList.AddInventoryItem.Cancel.Click ()
		[ ] 
		[+] // Step 6: Goto IWT-> Edit
			[ ] WaitTill (Items.ItemsList.Topbar.IWantTo.IsEnabled)
			[ ] Items.ItemsList.Topbar.IWantTo.Open ()
			[ ] Items.ItemsList.Topbar.IWantTo.Edit.Click ()
		[ ] 
		[+] // Result 4: Verify 'Edit Inventory Item' is dispalyed
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.Exists (5), TRUE, "Edit Inventory Item displayed")
		[ ] 
		[+] // Step 7: Click on Cancel
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[ ] 
		[+] // Step 8: Goto IWT-> Make a Sale
			[ ] WaitTill (Items.ItemsList.Topbar.IWantTo.IsEnabled)
			[ ] Items.ItemsList.Topbar.IWantTo.Open ()
			[ ] Items.ItemsList.Topbar.IWantTo.MakeASale.Click ()
		[ ] 
		[+] // Result 5: Verify 'Sales Receipt' is dispalyed
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales Receipt displayed")
		[ ] 
		[+] // Step 9: Click on Cancel and click Discard Changes
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] QuickBooksPointOfSale.Confirmation.DiscardChanges.Click ()
		[ ] 
		[+] // Step 10: Invoke Item List form
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Step 11: Goto IWT-> Receive Items
			[ ] WaitFor (Items.ItemsList.Topbar.IWantTo, 10)
			[ ] Items.ItemsList.Topbar.IWantTo.Open ()
			[ ] Items.ItemsList.Topbar.IWantTo.ReceiveItems.Click ()
		[ ] 
		[+] // Result 6: Verify 'Voucher' is dispalyed
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Voucher displayed")
		[ ] 
		[+] // Step 12: Click on Cancel and click Yes
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[ ] QuickBooksPointOfSale.Confirmation.Yes.Click ()
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
