﻿[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify Modify Existing Qty From StyleGrid
	[+] // Test Steps:
		[ ] // Step 1: Open an item for edit having OH Qty
		[ ] // Step 2: Click on style
		[ ] // Step 3: Set OH Qty for a style combi and press enter
		[ ] // Step 4: Click on Save and then open the item for edit
		[ ] // Step 5: Click on style
		[ ] // Step 6: Set OH Qty for a style combi and press Tab
		[ ] // Step 7: Click on Save and then open the item for edit
		[ ] // Step 8: Click on style
		[ ] // Step 9: Set OH Qty for a style combi and press Esc
		[ ] // Step 10: Click on Save and then open the item for edit
		[ ] // Step 11: Click on style
		[ ] // Step 12: Set OH Qty for a style combi and click on Save
		[ ] // Step 13: Open the item for edit
	[+] // Expected Result:
		[ ] // Result 1: Verify style dialog should be displayed
		[ ] // Result 2: Verify the OH qty is set for the style combi
		[ ] // Result 3: Verify OH qty saved
		[ ] // Result 4: Verify style dialog should be displayed
		[ ] // Result 5: Verify the OH qty is set for the style combi
		[ ] // Result 6: Verify OH qty saved
		[ ] // Result 7: Verify style dialog should be displayed
		[ ] // Result 8: Verify the OF qty is set for the style combi
		[ ] // Result 9: Verify OH qty saved
		[ ] // Result 10: Verify style dialog should be displayed
		[ ] // Result 11: Verify Edit style closes and item list displayed
		[ ] // Result 12: Verify OH qty saved
[ ] // TESTCASE.:ModifyExistingQtyFromStyleGrid
[ ] // ATC ID::POS_SALE_ATC_059
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\Styles1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::ModifyExistingQtyFromStyleGrid.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase ModifyExistingQtyFromStyleGrid () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage, sOHQty, sOHQtyDiscard
		[ ] ItemStyleRec isrStyle1, isrStyle2, isrStyle3, isrStyle4
		[ ] NewItemRec nirItem
		[ ] LIST OF STRING lsItemsExpected, lsAttributesExpected, lsSizesExpected
		[ ] LIST OF ItemStyleRec lisrStyle = {}
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Styles1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] isrStyle1.sAttribute = "White"
		[ ] isrStyle1.sSize = "XL"
		[ ] isrStyle2.sAttribute = "Black"
		[ ] isrStyle2.sSize = "XL"
		[ ] isrStyle3.sAttribute = "White"
		[ ] isrStyle3.sSize = "XXL"
		[ ] isrStyle4.sAttribute = "White"
		[ ] isrStyle4.sSize = "XXL"
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open an item for edit having OH Qty
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "Shirt"
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // Step 2: Click on style
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Result 1: Verify style dialog should be displayed
			[ ] VerifySafely (Items.ItemsList.EditStyle.Exists (3), TRUE, "Style dialog dialog displayed")
		[ ] 
		[+] // Step 3: Set OH Qty for a style combi and press enter
			[ ] sOHQty = "10"
			[ ] Items.ItemsList.EditStyle.Matrix.SetOHQtyOfStyle (isrStyle1, sOHQty, "Enter")
			[+] if Items.Confirmation.DontShowThisMessageAgain.Exists (3)
				[ ] Items.Confirmation.DontShowThisMessageAgain.Check ()
				[ ] Items.Confirmation.Continue.Click ()
			[+] if Items.ItemsList.EditStyle.Matrix.Sizes.Exists ()
				[ ] Items.ItemsList.EditStyle.Matrix.Sizes.Click ()
		[ ] 
		[+] // Result 2: Verify the OH qty is set for the style combi
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.GetOHQtyOfStyle (isrStyle1), sOHQty, "OHQty set correddtly for style combi")
		[ ] 
		[+] // Step 4: Click on Save and then open the item for edit
			[ ] Items.ItemsList.EditStyle.Save.Click ()
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // Result 3: Verify OH qty saved
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.OnHandQty.GetLineText (0), sOHQty, "New OH qty saved")
		[ ] 
		[+] // Step 5: Click on style
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Result 4: Verify style dialog should be displayed
			[ ] VerifySafely (Items.ItemsList.EditStyle.Exists (3), TRUE, "Style dialog dialog displayed")
		[ ] 
		[+] // Step 6: Set OH Qty for a style combi and press Tab
			[ ] sOHQty = "20.05"
			[ ] Items.ItemsList.EditStyle.Matrix.SetOHQtyOfStyle (isrStyle1, sOHQty, "Tab")
			[+] if Items.ItemsList.EditStyle.Matrix.Sizes.Exists ()
				[ ] Items.ItemsList.EditStyle.Matrix.Sizes.Click ()
		[ ] 
		[+] // Result 5: Verify the OH qty is set for the style combi
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.GetOHQtyOfStyle (isrStyle1), sOHQty, "OHQty set correddtly for style combi")
		[ ] 
		[+] // Step 7: Click on Save and then open the item for edit
			[ ] Items.ItemsList.EditStyle.Save.Click ()
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // Result 6: Verify OH qty saved
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.OnHandQty.GetLineText (0), sOHQty, "New OH qty saved")
		[ ] 
		[+] // Step 8: Click on style
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Result 7: Verify style dialog should be displayed
			[ ] VerifySafely (Items.ItemsList.EditStyle.Exists (3), TRUE, "Style dialog dialog displayed")
		[ ] 
		[+] // Step 9: Set OH Qty for a style combi and press Esc
			[ ] sOHQtyDiscard = "30"
			[ ] Items.ItemsList.EditStyle.Matrix.SetOHQtyOfStyle (isrStyle1, sOHQtyDiscard, "Esc")
			[+] if Items.ItemsList.EditStyle.Matrix.Sizes.Exists ()
				[ ] Items.ItemsList.EditStyle.Matrix.Sizes.Click ()
		[ ] 
		[+] // Result 8: Verify the OF qty is set for the style combi
			[ ] VerifySafely (Items.ItemsList.EditStyle.Matrix.GetOHQtyOfStyle (isrStyle1), sOHQty, "OHQty set correddtly for style combi")
		[ ] 
		[+] // Step 10: Click on Save and then open the item for edit
			[ ] Items.ItemsList.EditStyle.Save.Click ()
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // Result 9: Verify OH qty saved
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.OnHandQty.GetLineText (0), sOHQty, "New OH qty saved")
		[ ] 
		[+] // Step 11: Click on style
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.Style.Click ()
		[ ] 
		[+] // Result 10: Verify style dialog should be displayed
			[ ] VerifySafely (Items.ItemsList.EditStyle.Exists (3), TRUE, "Style dialog dialog displayed")
		[ ] 
		[+] // Step 12: Set OH Qty for a style combi and click on Save
			[ ] sOHQty = "30"
			[ ] Items.ItemsList.EditStyle.Matrix.SetOHQtyOfStyle (isrStyle1, sOHQty, "Save")
		[ ] 
		[+] // Result 11: Verify Edit style closes and item list displayed
			[ ] VerifySafely (Items.ItemsList.EditStyle.Exists (2), FALSE, "Edit Style closes")
		[ ] 
		[+] // Step 13: Open the item for edit
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // Result 12: Verify OH qty saved
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.OnHandQty.GetLineText (0), sOHQty, "New OH qty saved")
	[ ] 
	[+] // CLEANUP
		[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
