﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new Cost Adjustment Memo
	[+] // Test Steps:
		[ ] // 1. Invoke Item List And get the Onhand Cost of the item
		[ ] // 2. Click on Go Back and then Invoke New Cost Adjustment Memo (Result 1)
		[ ] // 3. Select Reason and enter the item
		[ ] // 4. Press F5 to open Item information dialog and set the new Cost (Result 2)
		[ ] // 5. Click on save (Result 3)
		[ ] // 6. Click on Close and Invoke CostAdjustment History (Result 4)
		[ ] // 7. Enter the memo number on Find Cost Memo and press Enter (Result 5)
		[ ] // 8. Click on Select Cost Memo (Result 6)
		[ ] // 9. Close edit Cost adj and Cost history and invoke item list (Result 7)
	[+] // Expected Result:
		[ ] // 1. Verify New Cost adjustment memo is open
		[ ] // 2. Verify the New Cost and diff Cost are updated
		[ ] // 3. Verify New Cost Adj form is displayed and and all data set to default 
		[ ] // 4. Verify Cost Adjustment history is open
		[ ] // 5. Verify Find Cost Memo dialog is displayed
		[ ] // 6. Edit Cost Memo Should be open and all data updated
		[ ] // 7. Verify the on habd Cost of the item is updated
[ ] // TESTCASE::NewCostAdjustmentMemo
[ ] // ATC ID::POS_INV_ATC_037
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::NewCostAdjustmentMemo.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase NewCostAdjustmentMemo ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sReason, sNewCost
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List And get the  Cost of the item
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Items.ItemsList.Invoke ()
			[ ] nirItem = GetItemData (nirItem)
		[ ] 
		[+] // Step 2: Click on Go Back and then Invoke New Cost Adjustment Memo
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] CostAdjustment.NewCostAdjustmentMemo.Invoke ()
		[ ] 
		[+] // Result 1: Verify New Cost adjustment memo is open
			[ ] VerifySafely (CostAdjustment.NewCostAdjustmentMemo.Exists (5), TRUE, "New Cost adjustment is open")
		[ ] 
		[+] // Step 3: Select Reason and enter the item
			[ ] sReason = "Damaged"
			[ ] CostAdjustment.NewCostAdjustmentMemo.PageList.Reason.SelectItem (sReason)
			[ ] CostAdjustment.NewCostAdjustmentMemo.PageList.EnterItems.SelectItem (nirItem.sItemName)
		[ ] 
		[+] // Step 4: Press F5 to open Item information dialog and set the new Cost
			[ ] sNewCost = "90.00"
			[ ] CostAdjustment.Typekeys ("<F5>")
			[ ] CostAdjItemInfo.PageList.NewCost.SetText (sNewCost)
			[ ] CostAdjItemInfo.OK.Click ()
		[ ] 
		[+] // Result 2: Verify the New Cost and diff Cost are updated
			[ ] VerifySafely (CostAdjustment.NewCostAdjustmentMemo.PageList.NewValue.GetTextFromDisabled (), "$4,320.00", "New Cost updated")
			[ ] VerifySafely (CostAdjustment.NewCostAdjustmentMemo.PageList.ValueChange.GetTextFromDisabled (), "$1,920.00", "Value change updated")
		[ ] 
		[+] // Step 5: Click on save
			[ ] CostAdjustment.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Result 3: Verify New Cost Adj form is displayed and and all data set to default
			[ ] VerifySafely (CostAdjustment.NewCostAdjustmentMemo.PageList.OldValue.GetTextFromDisabled (), "$0.00", "New form displayed")
		[ ] 
		[+] // Step 6: Click on Close and Invoke CostAdjustment History
			[ ] CostAdjustment.BottomBar.Close.Click ()
			[ ] CostAdjHistory.Invoke ()
		[ ] 
		[+] // Result 4: Verify Cost Adjustment history is open
			[ ] VerifySafely (CostAdjHistory.CostAdjustmentHistory.Exists (5), TRUE, "Cost adjustment history is displayed")
		[ ] 
		[+] // Step 7: Enter the memo number on Find Cost Memo and press Enter
			[ ] CostAdjHistory.ToolBar.FindCostMemo.SetText ("5")
			[ ] CostAdjHistory.Typekeys ("<Enter>")
		[ ] 
		[+] // Result 5: Verify Find Cost Memo dialog is displayed
			[ ] VerifySafely (FindCostMemo.Exists (3), TRUE, "Find Cost dialog displayed")
			[ ] VerifySafely (FindCostMemo.SelectCostMemo.IsEnabled (), TRUE, "Cost memo created successfully")
		[ ] 
		[+] // Step 8: Click on Select Cost Memo
			[ ] FindCostMemo.SelectCostMemo.Click ()
		[ ] 
		[+] // Result 6: Edit Cost Memo Should be open and all data updated
			[ ] VerifySafely (CostAdjustment.EditCostAdjustmentMemo.Exists (5), TRUE, "Edit Cost adjustment open")
			[ ] VerifySafely (CostAdjustment.EditCostAdjustmentMemo.PageList.Reason.GetText (), sReason, "Reason displayed")
			[ ] VerifySafely (CostAdjustment.EditCostAdjustmentMemo.PageList.ValueChange.GetTextFromDisabled (), "$1,920.00", "Value change updated")
		[ ] 
		[+] // Step 9: Close edit Cost adj and Cost history and invoke item list
			[ ] CostAdjustment.BottomBar.Close.Click ()
			[ ] CostAdjHistory.BottomBar.Close.Click ()
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 7: Verify the on habd Cost of the item is updated
			[ ] nirItem = GetItemData (nirItem)
			[ ] VerifySafely (nirItem.sAvgUnitCost, sNewCost, "Cost of item updated")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Topbar.Home.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
