﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new Quantity Adjustment Memo
	[+] // Test Steps:
		[ ] // 1. Invoke Item List And get the Onhand quantity of the item
		[ ] // 2. Click on Go Back and then Invoke New Qty Adjustment Memo (Result 1)
		[ ] // 3. Select Reason and enter the item
		[ ] // 4. Press F5 to open Item information dialog and set the new qty (Result 2)
		[ ] // 5. Click on save (Result 3)
		[ ] // 6. Click on Close and Invoke QtyAdjustment History (Result 4)
		[ ] // 7. Enter the memo number on Find Qty Memo and press Enter (Result 5)
		[ ] // 8. Click on Select Quantity Memo (Result 6)
		[ ] // 9. Close edit qty adj and qty history and invoke item list (Result 7)
	[+] // Expected Result:
		[ ] // 1. Verify New Qty adjustment memo is open
		[ ] // 2. Verify the New qty and diff qty are updated
		[ ] // 3. Verify New Qty Adj form is displayed and and all data set to default 
		[ ] // 4. Verify Qty Adjustment history is open
		[ ] // 5. Verify Find Qty Memo dialog is displayed
		[ ] // 6. Edit Qty Memo Should be open and all data updated
		[ ] // 7. Verify the on habd qty of the item is updated
[ ] // TESTCASE::NewQuantityAdjustmentMemo
[ ] // ATC ID::POS_INV_ATC_032
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::NewQuantityAdjustmentMemo.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase NewQuantityAdjustmentMemo ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sReason, sNewQty
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List And get the Onhand quantity of the item
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Items.ItemsList.Invoke ()
			[ ] nirItem = GetItemData (nirItem)
		[ ] 
		[+] // Step 2: Click on Go Back and then Invoke New Qty Adjustment Memo
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] QtyAdjustment.NewQuantityAdjustmentMemo.Invoke ()
		[ ] 
		[+] // Result 1: Verify New Qty adjustment memo is open
			[ ] VerifySafely (QtyAdjustment.NewQuantityAdjustmentMemo.Exists (5), TRUE, "New Qty adjustment is open")
		[ ] 
		[+] // Step 3: Select Reason and enter the item
			[ ] sReason = "Damaged"
			[ ] QtyAdjustment.NewQuantityAdjustmentMemo.PageList.Reason.SelectItem (sReason)
			[ ] QtyAdjustment.NewQuantityAdjustmentMemo.PageList.EnterItems.SelectItem (nirItem.sItemName)
		[ ] 
		[+] // Step 4: Press F5 to open Item information dialog and set the new qty
			[ ] sNewQty = "40"
			[ ] QtyAdjustment.Typekeys ("<F5>")
			[ ] QtyAdjItemInfo.PageList.NewQty.SetText (sNewQty)
			[ ] QtyAdjItemInfo.OK.Click ()
		[ ] 
		[+] // Result 2: Verify the New qty and diff qty are updated
			[ ] VerifySafely (QtyAdjustment.NewQuantityAdjustmentMemo.PageList.NewQty.GetTextFromDisabled (), sNewQty, "New Qty updated")
			[ ] VerifySafely (val (QtyAdjustment.NewQuantityAdjustmentMemo.PageList.DiffQty.GetTextFromDisabled ()), val (sNewQty) - val (nirItem.sOnHandQty), "Diff qty updated")
		[ ] 
		[+] // Step 5: Click on save
			[ ] QtyAdjustment.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Result 3: Verify New Qty Adj form is displayed and and all data set to default
			[ ] VerifySafely (QtyAdjustment.NewQuantityAdjustmentMemo.PageList.OldQty.GetTextFromDisabled (), "0", "New form displayed")
		[ ] 
		[+] // Step 6: Click on Close and Invoke QtyAdjustment History
			[ ] QtyAdjustment.BottomBar.Close.Click ()
			[ ] QtyAdjHistory.Invoke ()
		[ ] 
		[+] // Result 4: Verify Qty Adjustment history is open
			[ ] VerifySafely (QtyAdjHistory.QuantityAdjustmentHistory.Exists (5), TRUE, "Quantity adjustment history is displayed")
		[ ] 
		[+] // Step 7: Enter the memo number on Find Qty Memo and press Enter
			[ ] QtyAdjHistory.ToolBar.FindQtyMemo.SetText ("4")
			[ ] QtyAdjHistory.Typekeys ("<Enter>")
		[ ] 
		[+] // Result 5: Verify Find Qty Memo dialog is displayed
			[ ] VerifySafely (FindQuantityMemo.Exists (3), TRUE, "Find quantity dialog displayed")
			[ ] VerifySafely (FindQuantityMemo.SelectQuantityMemo.IsEnabled (), TRUE, "Qty memo created successfully")
		[ ] 
		[+] // Step 8: Click on Select Quantity Memo
			[ ] FindQuantityMemo.SelectQuantityMemo.Click ()
		[ ] 
		[+] // Result 6: Edit Qty Memo Should be open and all data updated
			[ ] VerifySafely (QtyAdjustment.EditQuantityAdjustmentMemo.Exists (5), TRUE, "Edit qty adjustment open")
			[ ] VerifySafely (QtyAdjustment.EditQuantityAdjustmentMemo.PageList.Reason.GetText (), sReason, "Reason displayed")
			[ ] VerifySafely (val (QtyAdjustment.EditQuantityAdjustmentMemo.PageList.DiffQty.GetTextFromDisabled ()), val (sNewQty) - val (nirItem.sOnHandQty), "Diff quantity displayed correctly")
		[ ] 
		[+] // Step 9: Close edit qty adj and qty history and invoke item list
			[ ] QtyAdjustment.BottomBar.Close.Click ()
			[ ] QtyAdjHistory.BottomBar.Close.Click ()
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 7: Verify the on habd qty of the item is updated
			[ ] nirItem = GetItemData (nirItem)
			[ ] VerifySafely (nirItem.sOnHandQty, sNewQty, "Onhand qty of item updated")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Topbar.Home.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
