﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify automatic duscount of type %off
	[+] // Test Steps:
		[ ] // 1. Invoke price manager
		[ ] // 2. Click on Set Up Automatic discount
		[ ] // 3. Select discount type as %off and set % and click next
		[ ] // 4. Select Regular price and click next
		[ ] // 5. Select "All Items Named" and set item name
		[ ] // 6. Set discount name and finish
		[ ] // 7. Enter discount name on find and press enter
		[ ] // 8. Click on select discount, then click on close and again close
		[ ] // 9. Open Sales receipt and add the item for which discount is set
		[ ] // 10. Open Sales receipt and add the item for which discount is set
	[+] // Expected Result:
		[ ] // 1. Verify reminder list is displayed
		[ ] // 2. Verify new discount is displyed
		[ ] // 3. Verify Discount Pricing is displayed
		[ ] // 4. Verify Find Discount dialog is displaye and select discount is enabled
		[ ] // 5. Verify discount has been applied automatically and total updated
		[ ] // 6. Verify discount has been applied automatically and total updated
[ ] // TESTCASE::PriceManager_AutomaticDiscount1
[ ] // ATC ID::POS_INV_ATC_045
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\Reminders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::PriceManager_AutomaticDiscount1.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase PriceManager_AutomaticDiscount1 () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sDiscountName
		[ ] NewItemRec nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Reminders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke price manager
			[ ] PriceManager.Invoke ()
		[ ] 
		[+] // Result 1: Verify reminder list is displayed
			[ ] VerifySafely (PriceManager.PriceManager.Exists (5), TRUE, "PriceManager is displayed")
		[ ] 
		[+] // Step 2: Click on Set Up Automatic discount
			[ ] PriceManager.PriceManager.SetUpAutomaticDiscount.Click ()
		[ ] 
		[+] // Result 2: Verify new discount is displyed
			[ ] VerifySafely (NewDiscount.Exists (2), TRUE, "NewDiscount displayed")
		[ ] 
		[+] // Step 3: Select discount type as %off and set % and click next
			[ ] NewDiscount.PageList1.Tab2.Discount.Select ("% off")
			[ ] NewDiscount.PageList1.Tab2.PageList1.PercentOff.SetText ("10")
			[ ] NewDiscount.PageList1.Tab2.DiscountIsOnlyAvailableDuring.Check ()
			[ ] NewDiscount.Next.Click ()
		[ ] 
		[+] // Step 4: Select Regular price and click next
			[ ] NewDiscount.PageList1.Tab4.RegularPrice.Check ()
			[ ] NewDiscount.Next.Click()
		[ ] 
		[+] // Step 5: Select "All Items Named" and set item name
			[ ] nirItem1.sItemName = "InvItem1"
			[ ] NewDiscount.PageList1.Tab5.AllItemsNamed.Click ()
			[ ] NewDiscount.PageList1.Tab5.ItemsNamed.SetText (nirItem1.sItemName)
			[ ] NewDiscount.Next.Click ()
			[ ] 
		[ ] 
		[+] // Step 6: Set discount name and finish
			[ ] sDiscountName = "Disc1"
			[ ] NewDiscount.PageList1.Tab7.DiscountName.SetText (sDiscountName)
			[ ] NewDiscount.Finish.Click ()
		[ ] 
		[+] // Result 3: Verify Discount Pricing is displayed
			[ ] VerifySafely (PriceManager.PriceManagerDiscountPricing.Exists (5), TRUE, "Discount priciing appeared")
		[ ] 
		[+] // Step 7: Enter discount name on find and press enter
			[ ] PriceManager.ToolBar.FindDiscount.SetText (sDiscountName)
			[ ] PriceManager.Typekeys ("<Enter>")
			[ ] 
		[ ] 
		[+] // Result 4: Verify Find Discount dialog is displaye and select discount is enabled
			[ ] VerifySafely (FindDiscount.Exists (2), TRUE, "Find Discount displayed")
			[ ] VerifySafely (FindDiscount.SelectDiscount.IsEnabled (), TRUE, "Find Discount displayed")
		[ ] 
		[+] // Step 8: Click on select discount, then click on close and again close
			[ ] FindDiscount.SelectDiscount.Click ()
			[ ] PriceManager.BottomBar.Close.Click ()
			[ ] PriceManager.BottomBar.Close.Click ()
			[ ] WaitTill (QuickBooksPointOfSale.File.IsEnabled, TRUE)
		[ ] 
		[+] // Step 9: Open Sales receipt and add the item for which discount is set
			[ ] SalesReceipt.Invoke ()
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (nirItem1.sItemName)
		[ ] 
		[+] // Result 5: Verify discount has been applied automatically and total updated
			[ ] SalesReceipt.Sale.SaleItems.ItemGrid.SelectItem (nirItem1.sItemName)
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.DiscountPc.GetAmount (), " 10.00", "Automatic discount applied")
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.OriginalPrice.GetAmount (), " 100.00", "Automatic discount applied")
			[ ] VerifySafely (SalesReceipt.Sale.SubTotal.Total.GetCaption (), "94.50", "Automatic discount applied")
		[ ] 
		[+] // Step 10: Open Sales receipt and add the item for which discount is set
			[ ] nirItem2.sItemName = "InvItem2"
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (nirItem2.sItemName)
		[ ] 
		[+] // Result 6: Verify discount has been applied automatically and total updated
			[ ] SalesReceipt.Sale.SaleItems.ItemGrid.SelectItem (nirItem2.sItemName)
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.DiscountPc.Exists (), FALSE, "Automatic discount not applied")
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.OriginalPrice.Exists (), FALSE, "Automatic discount not applied")
			[ ] VerifySafely (SalesReceipt.Sale.SubTotal.Total.GetCaption (), "304.50", "Automatic discount not applied")
	[ ] 
	[+] // CLEAN UP
		[ ] SalesReceipt.Sale.Cancel.Click ()
		[+] if SalesReceipt.Confirmation.DiscardChanges.Exists (3)
			[ ] SalesReceipt.Confirmation.DiscardChanges.Click ()
[ ] 
