﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify automatic duscount of type coupon
	[+] // Test Steps:
		[ ] // 1. Invoke price manager
		[ ] // 2. Click on Set Up Automatic discount
		[ ] // 3. Select discount type, discount and get the coupon barcode
		[ ] // 4. Select Regular price and click next
		[ ] // 5. Select "All Items Named" and set item name
		[ ] // 6. Set discount name and finish
		[ ] // 7. Enter discount name on find and press enter
		[ ] // 8. Click on select discount, then click on close and again close
		[ ] // 9. Open Sales receipt and add the item for which discount is set
	[+] // Expected Result:
		[ ] // 1. Verify reminder list is displayed
		[ ] // 2. Verify new discount is displyed
		[ ] // 3. Verify Discount Pricing is displayed
		[ ] // 4. Verify Find Discount dialog is displaye and select discount is enabled
		[ ] // 5. Verify discount has been applied automatically and total updated
[ ] // TESTCASE::PriceManager_ManualDiscount
[ ] // ATC ID::POS_INV_ATC_050
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\Reminders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::PriceManager_ManualDiscount.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase PriceManager_Coupon ()  appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sReport, sDiscountName, sCouponCode
		[ ] NewItemRec nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Reminders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Set preferences for manual discounts and Invoke price manager
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Discounts")
			[ ] Preferences.CompanyPreferences.PageList.Discounts.PrintCouponsOnReceipts.PrintCouponsOnReceipts.Check ()
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitTill (QuickBooksPointOfSale.File.IsEnabled, TRUE)
			[ ] PriceManager.Invoke ()
		[ ] 
		[+] // Result 1: Verify price manager is displayed
			[ ] VerifySafely (PriceManager.PriceManager.Exists (5), TRUE, "PriceManager is displayed")
		[ ] 
		[+] // Step 2: Click on Set Up Coupon
			[ ] PriceManager.PriceManager.SetUpCoupon.Click ()
		[ ] 
		[+] // Result 2: Verify new discount is displyed
			[ ] VerifySafely (NewDiscount.Exists (2), TRUE, "NewDiscount displayed")
		[ ] 
		[+] // Step 3: Select discount type as %off and set % and click next and get the coupon code
			[ ] NewDiscount.PageList1.Tab3.DiscountType.Select ("% off")
			[ ] NewDiscount.PageList1.Tab3.Discount.SetText ("10")
			[ ] NewDiscount.PageList1.Tab3.CouponExpiresOn.Check ()
			[ ] sCouponCode = NewDiscount.PageList1.Tab3.Barcode.GetText ()
			[ ] NewDiscount.Next.Click ()
		[ ] 
		[+] // Step 4: Select Regular price and click next
			[ ] NewDiscount.PageList1.Tab4.RegularPrice.Check ()
			[ ] NewDiscount.Next.Click()
		[ ] 
		[+] // Step 5: Select "All Items Named" and set item name
			[ ] nirItem1.sItemName = "InvItem1"
			[ ] NewDiscount.PageList1.Tab5.AllItemsNamed.Click ()
			[ ] NewDiscount.PageList1.Tab5.ItemsNamed.SetText (nirItem1.sItemName)
			[ ] NewDiscount.Next.Click ()
			[ ] 
		[ ] 
		[+] // Step 6: Set discount name and finish
			[ ] sDiscountName = "CDisc"
			[ ] NewDiscount.PageList1.Tab7.DiscountName.SetText (sDiscountName)
			[ ] NewDiscount.Finish.Click ()
		[ ] 
		[+] // Result 3: Verify Discount Pricing is displayed
			[ ] VerifySafely (PriceManager.PriceManagerDiscountPricing.Exists (5), TRUE, "Discount priciing appeared")
		[ ] 
		[+] // Step 7: Enter discount name on find and press enter
			[ ] PriceManager.ToolBar.FindDiscount.SetText (sDiscountName)
			[ ] PriceManager.Typekeys ("<Enter>")
			[ ] 
		[ ] 
		[+] // Result 4: Verify Find Discount dialog is displaye and select discount is enabled
			[ ] VerifySafely (FindDiscount.Exists (2), TRUE, "Find Discount displayed")
			[ ] VerifySafely (FindDiscount.SelectDiscount.IsEnabled (), TRUE, "Find Discount displayed")
		[ ] 
		[+] // Step 8: Click on select discount, then click on close and again close
			[ ] FindDiscount.SelectDiscount.Click ()
			[ ] PriceManager.BottomBar.Close.Click ()
			[ ] PriceManager.BottomBar.Close.Click ()
			[ ] WaitTill (QuickBooksPointOfSale.File.IsEnabled, TRUE)
		[ ] 
		[+] // Step 9: Open Sales receipt and add the item for which discount is set
			[ ] SalesReceipt.Invoke ()
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (nirItem1.sItemName)
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sCouponCode)
		[ ] 
		[+] // Result 5: Verify discount has been applied automatically and total updated
			[ ] SalesReceipt.Sale.SaleItems.ItemGrid.SelectItem (nirItem1.sItemName)
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.DiscountPc.GetAmount (), " 10.00", "Coupon discount applied")
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.OriginalPrice.GetAmount (), " 100.00", "Coupon discount applied")
			[ ] VerifySafely (SalesReceipt.Sale.SubTotal.Total.GetCaption (), "94.50", "Coupon discount applied")
	[ ] 
	[+] // CLEAN UP
		[ ] SalesReceipt.Sale.Cancel.Click ()
		[+] if SalesReceipt.Confirmation.DiscardChanges.Exists (3)
			[ ] SalesReceipt.Confirmation.DiscardChanges.Click ()
[ ] 
