﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify manual discount
	[+] // Test Steps:
		[ ] // 1. Set preferences for manual discounts and Invoke price manager
		[ ] // 2. Click on Set Up Manual discount
		[ ] // 3. Set discount name and finish
		[ ] // 4. Enter discount name on find and press enter
		[ ] // 5. Click on select discount, then click on close and again close
		[ ] // 6. Open Sales receipt and add the item for which discount is set, Increase the qty to match X
	[+] // Expected Result:
		[ ] // 1. Verify price manager is displayed
		[ ] // 2. Verify new discount is displyed
		[ ] // 3. Verify Discount Pricing is displayed
		[ ] // 4. Verify Find Discount dialog is displaye and select discount is enabled
		[ ] // 5. Verify discount has been applied automatically and total updated
[ ] // TESTCASE::PriceManager_ManualDiscount
[ ] // ATC ID::POS_INV_ATC_049
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\Reminders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::PriceManager_ManualDiscount.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase PriceManager_ManualDiscount ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sReport, sDiscountName, sSKU
		[ ] NewItemRec nirItem1, nirItem2
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Reminders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Set preferences for manual discounts and Invoke price manager
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Discounts")
			[ ] Preferences.CompanyPreferences.PageList.Discounts.ManualItemDiscountReason.RequireADiscountReasonForManualDiscount.Check ()
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitTill (QuickBooksPointOfSale.File.IsEnabled, TRUE)
			[ ] PriceManager.Invoke ()
		[ ] 
		[+] // Result 1: Verify price manager is displayed
			[ ] VerifySafely (PriceManager.PriceManager.Exists (5), TRUE, "PriceManager is displayed")
		[ ] 
		[+] // Step 2: Click on Set Up Manual discount
			[ ] sSKU = GetSKU ()
			[+] if sSKU == "BASIC"
				[ ] PriceManager.PriceManager.AddDiscount.Click ()
			[+] else
				[ ] PriceManager.PriceManager.SetUpManualDiscount.Click ()
		[ ] 
		[+] // Result 2: Verify new discount is displyed
			[ ] VerifySafely (NewDiscount.Exists (2), TRUE, "NewDiscount displayed")
		[ ] 
		[+] // Step 3: Set discount name and finish
			[ ] sDiscountName = "MDisc"
			[ ] NewDiscount.PageList1.Tab7.DiscountName.SetText (sDiscountName)
			[ ] NewDiscount.Finish.Click ()
		[ ] 
		[+] // Perform different actions based on SKU
			[+] if (sSKU == "BASIC")
				[ ] PriceManager.BottomBar.Close.Click ()
				[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
			[+] else
				[+] // Result 3: Verify Discount Pricing is displayed
					[ ] VerifySafely (PriceManager.PriceManagerDiscountPricing.Exists (5), TRUE, "Discount priciing appeared")
				[ ] 
				[+] // Step 4: Enter discount name on find and press enter
					[ ] PriceManager.ToolBar.FindDiscount.SetText (sDiscountName)
					[ ] PriceManager.Typekeys ("<Enter>")
				[ ] 
				[+] // Result 4: Verify Find Discount dialog is displaye and select discount is enabled
					[ ] VerifySafely (FindDiscount.Exists (2), TRUE, "Find Discount displayed")
					[ ] VerifySafely (FindDiscount.SelectDiscount.IsEnabled (), TRUE, "Find Discount displayed")
				[ ] 
				[+] // Step 5: Click on select discount, then click on close and again close
					[ ] FindDiscount.SelectDiscount.Click ()
					[ ] PriceManager.BottomBar.Close.Click ()
					[ ] PriceManager.BottomBar.Close.Click ()
					[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 6: Open Sales receipt and add the item for which discount is set, Increase the qty to match X
			[ ] nirItem1.sItemName = "InvItem1"
			[ ] SalesReceipt.Invoke ()
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (nirItem1.sItemName)
			[ ] SalesReceipt.Sale.SaleItems.ItemGrid.SelectItem (nirItem1.sItemName)
			[ ] SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemButtons.QtyPriceDiscount.Click ()
			[ ] SalesReceipt.Sale.PriceAndDiscount.DiscountPercent.SetData ("10")
			[ ] SalesReceipt.Sale.PriceAndDiscount.DiscountName.SelectItem (sDiscountName)
			[ ] SalesReceipt.Sale.PriceAndDiscount.OK.Click ()
		[ ] 
		[+] // Result 5: Verify discount has been applied automatically and total updated
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.DiscountPc.GetAmount (), " 10.00", "Manual discount applied")
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.OriginalPrice.GetAmount (), " 100.00", "Manual discount applied")
			[ ] VerifySafely (SalesReceipt.Sale.SubTotal.Total.GetCaption (), "94.50", "Manual discount applied")
	[ ] 
	[+] // CLEAN UP
		[ ] SalesReceipt.Sale.Cancel.Click ()
		[+] if SalesReceipt.Confirmation.DiscardChanges.Exists (3)
			[ ] SalesReceipt.Confirmation.DiscardChanges.Click ()
[ ] 
