﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify new item appears in new item reminders
	[+] // Test Steps:
		[ ] // 1. Create a new Item
		[ ] // 2. Invoke remninders
		[ ] // 3. Select Reorder Items and print
		[ ] // 4. Select all reminders and click on OK
		[ ] // 5. Export report to excel
	[+] // Expected Result:
		[ ] // 1. Verify reminder list is displayed
		[ ] // 2. Verify print reminders is displyed
		[ ] // 3. Verify Reorder report is displayed
		[ ] // 4. Verify Item data save successfully
[ ] // TESTCASE::RemindersNewItem
[ ] // ATC ID::POS_INV_ATC_044
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\Reminders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::RemindersNewItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase RemindersNewItem () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sReport
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Reminders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Create a new item
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "RemItem1"
			[ ] nirItem.sItemType = "Inventory"
			[ ] nirItem.sDepartment = "System"
			[ ] nirItem.sRegularPrice = "1000.00"
			[ ] CreateNewItem (nirItem)
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 2: Invoke remninders
			[ ] Reminders.Invoke ()
		[ ] 
		[+] // Result 1: Verify reminder list is displayed
			[ ] VerifySafely (Reminders.Reminders.Exists (5), TRUE, "Reminders List is displayed")
		[ ] 
		[+] // Step 3: Select New Item and print
			[ ] Reminders.Reminders.PageList1.SelectItem ("New Items")
			[ ] Reminders.ToolBar.Select ("Print Item List")
		[ ] 
		[+] // Result 2: Verify print reminders is displyed
			[ ] VerifySafely (PrintReminders.Exists (2), TRUE, "Print reminders displayed")
		[ ] 
		[+] // Step 4: Select all reminders and click on OK
			[ ] PrintReminders.AllDisplayed.Click ()
			[ ] PrintReminders.OK.Click ()
		[ ] 
		[+] // Result 3: Verify Reorder report is displayed
			[ ] VerifySafely (Reports.ReportCenter.Exists (5), TRUE, "Report appeared")
		[ ] 
		[+] // Step 5: Export report to excel
			[ ] sReport = "NewItemsItemDetails"
			[ ] Reports.RemoveDateAndTimeFromReport ()
			[ ] Reports.ExportToExcel (sReport)
		[ ] 
		[+] // Result 4: Verify Item data save successfully
			[ ] VerifySafely (CompareReportWithBaseline (sReport), TRUE, "Report matching with baseline")
	[ ] 
	[+] // CLEAN UP
		[ ] Reports.SetActive ()
		[ ] Reports.BottomBar.Close.Click ()
		[ ] Reminders.BottomBar.Close.Click ()
[ ] 
