﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify reorder items  appear in reorder items list
	[+] // Test Steps:
		[ ] // 1. Edit an Item and set the reorder point less than the current on hand qty
		[ ] // 2. Create a sales order for an item whose on hand qty is zero
		[ ] // 3. Invoke remninders
		[ ] // 4. Select Reorder Items and print
		[ ] // 5. Select all reminders and click on OK
		[ ] // 6. Export report to excel
	[+] // Expected Result:
		[ ] // 1. Verify reminder list is displayed
		[ ] // 2. Verify print reminders is displyed
		[ ] // 3. Verify Reorder report is displayed
		[ ] // 4. Verify Item data save successfully
[ ] // TESTCASE::RemindersReorderItem
[ ] // ATC ID::POS_INV_ATC_042
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\Reminders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::RemindersReorderItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase RemindersReorderItem () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sReport
		[ ] NewItemRec nirItem
		[ ] CustomerOrderRec corSO
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Reminders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Edit an Item and set the reorder point less than the current on hand qty
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem3"
			[ ] nirItem.sReorderPoint = "22"
			[ ] OpenItemForEdit (nirItem)
			[ ] Items.ItemsList.EditInventoryItem.FillForm (nirItem)
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 2: Create a sales order for an item whose on hand qty is zero
			[ ] corSO = {}
			[+] corSO.ldir = {...}
				[ ] {"InvItem5", "2"}
			[ ] corSO.sButton = "Save"
			[ ] corSO.sCustomer = "Cust1L, Cust1F"
			[ ] CreateSalesOrder (corSO)
		[ ] 
		[+] // Step 3: Invoke remninders
			[ ] Reminders.Invoke ()
		[ ] 
		[+] // Result 1: Verify reminder list is displayed
			[ ] VerifySafely (Reminders.Reminders.Exists (5), TRUE, "Reminders List is displayed")
		[ ] 
		[+] // Step 4: Select Reorder Items and print
			[ ] Reminders.Reminders.PageList1.SelectItem ("Reorder Items")
			[ ] Reminders.ToolBar.Select ("Print Reorder Point Items")
		[ ] 
		[+] // Result 2: Verify print reminders is displyed
			[ ] VerifySafely (PrintReminders.Exists (2), TRUE, "Print reminders displayed")
		[ ] 
		[+] // Step 5: Select all reminders and click on OK
			[ ] PrintReminders.AllDisplayed.Click ()
			[ ] PrintReminders.OK.Click ()
		[ ] 
		[+] // Result 3: Verify Reorder report is displayed
			[ ] VerifySafely (Reports.ReportCenter.Exists (5), TRUE, "Report appeared")
		[ ] 
		[+] // Step 6: Export report to excel
			[ ] sReport = "ReorderPointList"
			[ ] Reports.RemoveDateAndTimeFromReport ()
			[ ] Reports.ExportToExcel (sReport)
		[ ] 
		[+] // Result 4: Verify Item data save successfully
			[ ] VerifySafely (CompareReportWithBaseline (sReport), TRUE, "Report matching with baseline")
	[ ] 
	[+] // CLEAN UP
		[ ] Reports.SetActive ()
		[ ] Reports.BottomBar.Close.Click ()
		[ ] Reminders.BottomBar.Close.Click ()
[ ] 
