﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Reverse a Cost Adjustment Memo
	[+] // Test Steps:
		[ ] // 1. Invoke Item List And get the Onhand Cost of the item
		[ ] // 2. Click on Go Back and then Invoke New Cost Adjustment Memo (Result 1)
		[ ] // 3. Create a new Cost adj memo
		[ ] // 4. Invoke Cost Adj History (Result 2)
		[ ] // 5. Select the memo
		[ ] // 6. Go to IWT->Reverse (Result 3)
		[ ] // 7. Set the Associate and clik on OK
		[ ] // 8. Select the memo and view (Result 4)
		[ ] // 9. Click close and invoke Item List (Result 5)
	[+] // Expected Result:
		[ ] // 1. Verify New Cost adjustment memo is open
		[ ] // 2. Verify Cost Adj History  is open
		[ ] // 3. Verify Reversing Document dialog is displayed
		[ ] // 4. Verify status of the memo is changed to reversed
		[ ] // 5. Verify the on hand Cost of the item is updated
[ ] // TESTCASE::ReverseCostAdjustmentMemo
[ ] // ATC ID::POS_INV_ATC_041
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::ReverseCostAdjustmentMemo.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase ReverseCostAdjustmentMemo ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMemoNum
		[ ] NewItemRec nirItem, nirUpdatedItem
		[ ] NewCostAdjMemoRec ncam
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List And get the Onhand Cost of the item
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Items.ItemsList.Invoke ()
			[ ] nirItem = GetItemData (nirItem)
		[ ] 
		[+] // Step 2: Click on Go Back and then Invoke New Cost Adjustment Memo
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] CostAdjustment.NewCostAdjustmentMemo.Invoke ()
		[ ] 
		[+] // Result 1: Verify New Cost adjustment memo is open
			[ ] VerifySafely (CostAdjustment.NewCostAdjustmentMemo.Exists (5), TRUE, "New Cost adjustment is open")
		[ ] 
		[+] // Step 3: Create a new Cost adj memo
			[ ] ncam = {}
			[ ] ncam.sItem = nirItem.sItemName
			[ ] ncam.sReason = "Damaged"
			[ ] ncam.sNewCost = "40.00"
			[ ] ncam.sButton = "Save"
			[ ] CreatenewCostAdjustmentMemo (ncam)
		[ ] 
		[+] // Step 4: Invoke Cost Adj History
			[ ] CostAdjHistory.Invoke ()
		[ ] 
		[+] // Result 2: Verify Cost Adj History  is open
			[ ] VerifySafely (CostAdjHistory.CostAdjustmentHistory.Exists (5), TRUE, "Cost Adj History is open")
		[ ] 
		[+] // Step 5: Select the memo
			[ ] sMemoNum = "5"
			[ ] CostAdjHistory.SelectMemo (sMemoNum)
		[ ] 
		[+] // Step 6: Go to IWT->Reverse
			[ ] CostAdjHistory.Typekeys ("<Alt-O-R>")
		[ ] 
		[+] // Result 3: Verify Reversing Document dialog is displayed
			[ ] VerifySafely (ReversingDocument.Exists (3), TRUE, "Reversing doucument dialog displayed")
		[ ] 
		[+] // Step 7: Set the Associate and clik on OK
			[ ] ReversingDocument.Associate.SetText ("Sysadmin")
			[ ] ReversingDocument.OK.Click ()
		[ ] 
		[+] // Step 8: Select the memo and view
			[ ] CostAdjHistory.ViewMemo (sMemoNum)
		[ ] 
		[+] // Result 4: Verify status of the memo is changed to reversed
			[ ] VerifySafely (CostAdjHistory.CostAdjustmentHistory.PageList.Status.GetTextFromDisabled (), "Reversed", "Cost memo reversed")
		[ ] 
		[+] // Step 9: Click close and invoke Item List
			[ ] CostAdjHistory.BottomBar.Close.Click ()
			[+] if CostAdjHistory.BottomBar.Close.Exists ()
				[ ]  CostAdjHistory.BottomBar.Close.Click ()
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 5: Verify the on hand Cost of the item is update
			[ ] nirUpdatedItem = GetItemData (nirItem)
			[ ] VerifySafely (nirUpdatedItem.sAvgUnitCost, nirItem.sAvgUnitCost, "Onhand Cost of item updated")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Topbar.Home.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
