﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Reverse aQuantity Adjustment Memo
	[+] // Test Steps:
		[ ] // 1. Invoke Item List And get the Onhand quantity of the item
		[ ] // 2. Click on Go Back and then Invoke New Qty Adjustment Memo (Result 1)
		[ ] // 3. Create a new qty adj memo
		[ ] // 4. Invoke Qty Adj History (Result 2)
		[ ] // 5. Select the memo
		[ ] // 6. Go to IWT->Reverse (Result 3)
		[ ] // 7. Set the Associate and clik on OK
		[ ] // 8. Select the memo and view (Result 4)
		[ ] // 9. Click close and invoke Item List (Result 5)
	[+] // Expected Result:
		[ ] // 1. Verify New Qty adjustment memo is open
		[ ] // 2. Verify Qty Adj History  is open
		[ ] // 3. Verify Reversing Document dialog is displayed
		[ ] // 4. Verify status of the memo is changed to reversed
		[ ] // 5. Verify the on hand qty of the item is updated
[ ] // TESTCASE::ReverseQuantityAdjustmentMemo
[ ] // ATC ID::POS_INV_ATC_036
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::ReverseQuantityAdjustmentMemo.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase ReverseQuantityAdjustmentMemo ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMemoNum
		[ ] NewItemRec nirItem, nirUpdatedItem
		[ ] NewQtyAdjMemoRec nqam
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List And get the Onhand quantity of the item
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Items.ItemsList.Invoke ()
			[ ] nirItem = GetItemData (nirItem)
		[ ] 
		[+] // Step 2: Click on Go Back and then Invoke New Qty Adjustment Memo
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] QtyAdjustment.NewQuantityAdjustmentMemo.Invoke ()
		[ ] 
		[+] // Result 1: Verify New Qty adjustment memo is open
			[ ] VerifySafely (QtyAdjustment.NewQuantityAdjustmentMemo.Exists (5), TRUE, "New Qty adjustment is open")
		[ ] 
		[+] // Step 3: Create a new qty adj memo
			[ ] nqam = {}
			[ ] nqam.sItem = nirItem.sItemName
			[ ] nqam.sReason = "Damaged"
			[ ] nqam.sNewQty = "40"
			[ ] nqam.sButton = "Save"
			[ ] CreatenewQtyAdjustmentMemo (nqam)
		[ ] 
		[+] // Step 4: Invoke Qty Adj History
			[ ] QtyAdjHistory.Invoke ()
		[ ] 
		[+] // Result 2: Verify Qty Adj History  is open
			[ ] VerifySafely (QtyAdjHistory.QuantityAdjustmentHistory.Exists (5), TRUE, "Qty Adj History is open")
		[ ] 
		[+] // Step 5: Select the memo
			[ ] sMemoNum = "4"
			[ ] QtyAdjHistory.SelectMemo (sMemoNum)
		[ ] 
		[+] // Step 6: Go to IWT->Reverse
			[ ] QtyAdjHistory.Typekeys ("<Alt-O-R>")
		[ ] 
		[+] // Result 3: Verify Reversing Document dialog is displayed
			[ ] VerifySafely (ReversingDocument.Exists (3), TRUE, "Reversing doucument dialog displayed")
		[ ] 
		[+] // Step 7: Set the Associate and clik on OK
			[ ] ReversingDocument.Associate.SetText ("Sysadmin")
			[ ] ReversingDocument.OK.Click ()
		[ ] 
		[+] // Step 8: Select the memo and view
			[ ] QtyAdjHistory.ViewMemo (sMemoNum)
		[ ] 
		[+] // Result 4: Verify status of the memo is changed to reversed
			[ ] VerifySafely (QtyAdjHistory.QuantityAdjustmentHistory.PageList.Status.GetTextFromDisabled (), "Reversed", "Qty memo reversed")
		[ ] 
		[+] // Step 9: Click close and invoke Item List
			[ ] QtyAdjHistory.BottomBar.Close.Click ()
			[+] if QtyAdjHistory.BottomBar.Close.Exists ()
				[ ]  QtyAdjHistory.BottomBar.Close.Click ()
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 5: Verify the on hand qty of the item is updated
			[ ] nirUpdatedItem = GetItemData (nirItem)
			[ ] VerifySafely (nirUpdatedItem.sOnHandQty, nirItem.sOnHandQty, "Onhand qty of item updated")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Topbar.Home.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
