﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Verify sorting Inventory list
	[+] // Test Steps:
		[ ] //  1. Invoke Item List (Result 1)
		[ ] //  2. Get the List order
		[ ] //  3. Click on the column on which list is to be sorted (Result 2) (Result 3)
	[+] // Expected Result:
		[ ] //  1. Verify Item List is displayed
		[ ] //  2. Verify list order has changed
		[ ] //  3. Verify the list is sorted with respect to the selkected column
[ ] // TESTCASE::SortInventoryList
[ ] // ATC ID::POS_INV_ATC_024
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SortInventoryList.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SortInventoryList ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] LIST OF STRING lsOriginalList, lsUpdatedList, lsExpectedList
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Item List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Item List is displayed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Item List is displayed")
		[ ] 
		[+] // Step 2: Get the List order
			[ ] lsOriginalList = Items.ItemsList.ItemGrid.ItemTexts
		[ ] 
		[+] // Step 3: Click on the column on which list is to be sorted
			[ ] Items.ItemsList.ItemGrid.ItemNum.Click ()
		[ ] 
		[+] // Result 2: Verify list order has changed
			[ ] lsUpdatedList = Items.ItemsList.ItemGrid.ItemTexts
			[ ] VerifySafely (lsOriginalList != lsUpdatedList, TRUE, "List order has chnaged after clicking on column")
		[ ] 
		[+] // Result 3: Verify the list is sorted with respect to the selkected column
			[+] lsExpectedList = {...}
				[ ] "1 InvItem1 System 100.00 48 48"
				[ ] "2 InvItem2 System 200.00 48 48"
				[ ] "3 NonInvItem1 System 100.00 0 0"
				[ ] "4 ServItem1 System 100.00 0 0"
				[ ] "5 AsmbItem1 System 300.00 2 2"
				[ ] "6 GrpItem1 System 300.00 0 0"
				[ ] 
			[ ] VerifySafely (lsUpdatedList == lsExpectedList, TRUE, "List is sorted on clicked column ")
	[ ] 
	[+] // CLEAN UP
		[+] if Items.ItemsList.EditInventoryItem.Exists ()
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
