﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Unit of Measure can be assinged and defined
	[+] // Test Steps:
		[ ] // 1. Invoke Add Inventory Item form (Result 1)
		[ ] // 2. Fill the Item form with all mandatory fields and selecting item type as Inventory
		[ ] // 3. Click on Units (Result 2) (Result 3)
		[ ] // 4. Create a Basic Unit of Measure and another unit with required details (Unit of Measure, Regular price)
		[ ] // 5. Click on 'X' at the top right corner (Result 4)(Result 5)
		[ ] // 6. Click on 'Save'
		[ ] // 7. Enter name of created item on Search Inventory field of Item List (Result 6)
		[ ] // 8. If detailed view not displayed, click 'Show Details' and then click on 'Unit' button (Result 7) (Result 8)
		[ ] // 9. Click on 'X' at the top right corner (Result 9)
		[ ] // 10.Click Ediy (Result 10)
		[ ] // 11. Set focus on 'Regular Price'
		[ ] // 12. Click on Units (Result 11)(Result 12)(Result 13)
		[ ] // 13. Click on 'X' at the top right corner (Result 14)(Result 15)(Result 16)(Result 17)
		[ ] // 14: Clear other UOMs and then clear Basic UOM (Result 18)
	[+] // Expected Result:
		[ ] // 1. Verify Add Inventory Item form appears
		[ ] // 2. Verify Unit of Measure pop up appears
		[ ] // 3. Verify the focus is on first editable field
		[ ] // 4. Verify Unit of Measure pop up closes
		[ ] // 5. Verify focus is on the previously selected  field or field corresponding to the pop up button
		[ ] // 6. Verify Edit button is enabled
		[ ] // 7. Verify Unit of Measure pop up appears
		[ ] // 8. Verify all the data added
		[ ] // 9. Verify Unit of Measure pop up closes
		[ ] // 10. Verify Edit Inventory Item form appears
		[ ] // 11. Verify Unit of Measure pop up appears
		[ ] // 12. Verify the focus is on first editable field
		[ ] // 13. Verify all the data added
		[ ] // 14. Verify Unit of Measure pop up closes
		[ ] // 15. Verify focus is on the previously selected  field or field corresponding to the pop up button
		[ ] // 16. Verify we cannot clear the Base Unit of Measure if other UOM's are set
		[ ] // 17. Verify we get an information pop up when we try to add UOM already added
		[ ] // 18. Verify no information pops up
[ ] // TESTCASE::UnitOfMeasure
[ ] // ATC ID::POS_INV_ATC_022
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\UnitOfMeasure.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::UnitOfMeasure.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase UnitOfMeasure () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] STRING sUnitOfMeasure, sRegularPrice, sUnitOfMeasure2, sRegularPrice2, sMessage
		[ ] NewItemRec nir
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "UnitOfMeasure.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Add Inventory Item form
			[ ] Items.ItemsList.AddInventoryItem.Invoke ()
		[ ] 
		[+] // Result 1: Verify Add Inventory Item form appears
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.Exists (5), TRUE, "Add Inventory Item form appears")
		[ ] 
		[+] // Step 2: Fill the Item form with all mandatory fields and selecting item type as Inventory
			[ ] nir = {}
			[ ] nir.sItemName = "NewItem1"
			[ ] nir.sDepartment = "System"
			[ ] FillItemForm (nir)
		[ ] 
		[+] // Step 3: Click on Units
			[ ] Items.ItemsList.AddInventoryItem.ScrollViewer.MoreInfo.Units.Click ()
		[ ] 
		[+] // Result 2: Verify Unit of Measure pop up appears
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.UnitOfMeasurePopUp.Exists (5), TRUE, "Unit of Measure pop up appears")
		[ ] 
		[+] // Result 3: Verify the focus is on first editable field
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.UnitOfMeasurePopUp.OrderingAndSelling.UnitOrderBy.IsFocused (), TRUE, "Focus is on first editable field")
		[ ] 
		[+] // Step 4: Create a Basic Unit of Measure and another unit with required details (Unit of Measure, Regular price)
			[ ] sUnitOfMeasure = "MU1"
			[ ] sRegularPrice = "100"
			[ ] sUnitOfMeasure2 = "MU2"
			[ ] sRegularPrice2 = "200"
			[ ] Items.ItemsList.AddInventoryItem.UnitOfMeasurePopUp.BaseUnit.UnitOfMeasure.SetData (sUnitOfMeasure)
			[ ] Items.ItemsList.AddInventoryItem.UnitOfMeasurePopUp.BaseUnit.RegularPrice.SetData (sRegularPrice)
			[ ] Items.ItemsList.AddInventoryItem.UnitOfMeasurePopUp.UOM1.UnitOfMeasure1ToggleButton.Check ()
			[ ] WaitForPageToLoad (5)
			[ ] Items.ItemsList.AddInventoryItem.UnitOfMeasurePopUp.UOM1.UnitOfMeasure.SetData (sUnitOfMeasure2)
			[ ] Items.ItemsList.AddInventoryItem.UnitOfMeasurePopUp.UOM1.RegularPrice.SetData (sRegularPrice2)
			[ ] Items.ItemsList.AddInventoryItem.UnitOfMeasurePopUp.TypeKeys ("<Tab>")
		[ ] 
		[+] // Step 5: Click on 'X' at the top right corner
			[ ] Items.ItemsList.AddInventoryItem.UnitOfMeasurePopUp.XClose.Click ()
		[ ] 
		[+] // Result 4: Verify Unit of Measure pop up closes
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.UnitOfMeasurePopUp.Exists (5), FALSE, "Unit of Measure pop up closes")
		[ ] 
		[+] // Result 5: Verify focus is on the previously selected  field or field corresponding to the pop up button
			[ ] VerifySafely (Items.ItemsList.AddInventoryItem.ScrollViewer.BasicInfo.Department.IsFocused (), TRUE, "Focus is on the previously selected field")
		[ ] 
		[+] // Step 6: Click on 'Save'
			[ ] Items.ItemsList.AddInventoryItem.Save.Click ()
		[ ] 
		[+] // Step 7: Enter name of created item on Search Inventory field of Item List
			[ ] WaitTill (Items.ItemsList.Topbar.SearchInventory.IsEnabled)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nir.sItemName)
		[ ] 
		[+] // Result 6: Verify Edit button is enabled
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, TRUE, "Item Created")
		[ ] 
		[+] // Step 8: If detailed view not displayed, click 'Show Details' and then click on 'Unit' button
			[+] if Items.ItemsList.Topbar.ShowDetails.Exists (5)
				[ ] Items.ItemsList.Topbar.ShowDetails.Click ()
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.MoreInfo.Units.BringIntoView ()
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.ScrollViewer.MoreInfo.Units.Click ()
		[ ] 
		[+] // Result 7: Verify Unit of Measure pop up appears
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.UnitOfMeasurePopUp.Exists (10), TRUE, "Unit of Measure pop up appears")
		[ ] 
		[+] // Result 8: Verify all the data added
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.UnitOfMeasurePopUp.BaseUnit.UnitOfMeasure.Getcaption (), sUnitOfMeasure, "Base unit name added successfully")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.UnitOfMeasurePopUp.BaseUnit.RegularPrice.Getcaption (), "$" + sRegularPrice +".00", "Regular price added successfully")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.UnitOfMeasurePopUp.UOM1.UnitOfMeasure.Getcaption (), sUnitOfMeasure2, "Unit name added successfully")
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.UnitOfMeasurePopUp.UOM1.RegularPrice.Getcaption (), "$" + sRegularPrice2 +".00", "Regular price added successfully")
		[ ] 
		[+] // Step 9: Click on 'X' at the top right corner
			[ ] Items.ItemsList.InventoryItemDetail.ItemDetailView.UnitOfMeasurePopUp.XClose.Click ()
		[ ] 
		[+] // Result 9: Verify Unit of Measure pop up closes
			[ ] VerifySafely (Items.ItemsList.InventoryItemDetail.ItemDetailView.UnitOfMeasurePopUp.Exists (5), FALSE, "Unit of Measure pop up closes")
		[ ] 
		[+] // Step 10: Click 'Edit'
			[ ] WaitFor (Items.ItemsList.Topbar.Edit, 30)
			[ ] Items.ItemsList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 10: Verify Edit Inventory Item form appears
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.Exists (5), TRUE, "Edit Inventory Item form appears")
		[ ] 
		[+] // Step 11: Set focus on 'Regular Price'
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.RegPrice.SetFocus ()
		[ ] 
		[+] // Step 12: Click on Units
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.MoreInfo.Units.Click ()
		[ ] 
		[+] // Result 11: Verify Unit of Measure pop up appears
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.Exists (5), TRUE, "Unit of Measure pop up appears")
		[ ] 
		[+] // Result 12: Verify the focus is on first editable field
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.OrderingAndSelling.UnitOrderBy.IsFocused (), TRUE, "Focus is on first editable field")
		[ ] 
		[+] // Result 13: Verify all the data added
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.BaseUnit.UnitOfMeasure.GetLineText (0), sUnitOfMeasure, "Base unit name added successfully")
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.BaseUnit.RegularPrice.GetLineText (0), sRegularPrice, "Regular price added successfully")
			[ ] Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.UOM1.UnitOfMeasure1ToggleButton.Check ()
			[ ] WaitForPageToLoad (5)
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.UOM1.UnitOfMeasure.GetLineText (0), sUnitOfMeasure2, "Unit name added successfully")
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.UOM1.RegularPrice.GetLineText (0), sRegularPrice2, "Regular price added successfully")
		[ ] 
		[+] // Step 13: Click on 'X' at the top right corner
			[ ] Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.XClose.Click ()
			[ ] WaitForPageToLoad (5)
		[ ] 
		[+] // Result 14: Verify Unit of Measure pop up closes
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.Exists (5), FALSE, "Unit of Measure pop up closes")
		[ ] 
		[+] // Result 15: Verify focus is on the previously selected  field or field corresponding to the pop up button
			[ ] WaitForPageToLoad (5)
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.RegPrice.IsFocused (), TRUE, "Focus is on the previously selected field")
		[ ] 
		[+] // Step 14: Click on Units
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.MoreInfo.Units.Click ()
			[ ] WaitFor (Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.BaseUnit.UnitOfMeasure, 5)
		[ ] 
		[+] // Result 16: Verify we cannot clear the Base Unit of Measure if other UOM's are set
			[ ] sMessage = "You cannot clear the Base Unit of Measure if other UOM's are set, clear them first."
			[ ] Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.BaseUnit.UnitOfMeasure.SetData ("")
			[ ] Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.TypeKeys ("<Tab>")
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} appears")
			[ ] Items.Information.OK.Click ()
		[ ] 
		[+] // Result 17: Verify we get an information pop up when we try to add UOM already added
			[ ] sMessage = "The Unit of Measure MU1 is already assigned to this item."
			[ ] Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.UOM1.UnitOfMeasure1ToggleButton.Click ()
			[ ] Wait (3)
			[ ] Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.UOM1.UnitOfMeasure.SetData (sUnitOfMeasure)
			[ ] Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.TypeKeys ("<Tab>")
			[ ] VerifySafely (Items.Information.VerifyMessage (sMessage), TRUE, "{sMessage} appears")
			[ ] Items.Information.OK.Click ()
		[ ] 
		[+] // Step 15: Clear other UOMs and then clear Basic UOM
			[ ] Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.UOM1.UnitOfMeasure.SetData ("")
			[ ] Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.TypeKeys ("<Tab>")
			[ ] Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.BaseUnit.BaseUnitToggleButton.Click ()
			[ ] Wait (3)
			[ ] Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.BaseUnit.UnitOfMeasure.SetData ("")
			[ ] Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.TypeKeys ("<Tab>")
		[ ] 
		[+] // Result 18: Verify no information pops up
			[ ] sMessage = "You cannot clear the Base Unit of Measure if other UOM's are set, clear them first."
			[ ] VerifySafely (Items.Information.Exists (5), FALSE, "No information appears")
			[ ] Items.ItemsList.EditInventoryItem.UnitOfMeasurePopUp.XClose.Click ()
			[ ] WaitForPageToLoad (5)
	[ ] 
	[+] // CLEAN UP
		[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[+] if Items.Confirmation.Exists (5)
			[ ] Items.Confirmation.Yes.Click ()
		[+] if Items.ItemsList.Exists ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
