﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify receiving payment via alternate mode after voiding credit transaction
	[+] // Test Steps:
		[ ] // Step 1: Open new sales receipt and an item
		[ ] // Step 2: Take payment by credit card 2 times
		[ ] // Step 3: Click on credit
		[ ] // Step 4: Take remainig payment by cash
		[ ] // Step 5: Void the second credit payment payment
		[ ] // Step 6: Take payemnt by check
		[ ] // Step 7: Save the receipt and Go to sales history
		[ ] // Step 8: Open sales detail
	[+] // Expected Result:
		[ ] // Result 1: Verify credit payment details
		[ ] // Result 2: Verify sale created
		[ ] // Result 3: Verify credit payment is not recorded and other details
[ ] // TESTCASE.:AlternatePaymentAfterVoid
[ ] // ATC ID::POS_MSG_ATC_M008
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\MASComp1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::AlternatePaymentAfterVoid.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase AlternatePaymentAfterVoid ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sTotalDue, sMessage, sAuthorizationNum1, sAuthorizationNum2, sAuthorizationNum3, sAuthorizationNum4
		[ ] SalesReceiptRec srrSale
		[ ] LIST OF CreditPaymentDetailsRec lcpd, lcpdExpected
		[ ] CreditPaymentDetailsRec cpd, cpd2, cpd3, cpd4
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "MASComp2.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SetUpMerchantAccount ()
		[ ] srrSale = {}
		[ ] srrSale.srp = {}
		[ ] srrSale.srp.ccd = {}
		[ ] lcpd = {}
		[ ] sAuthorizationNum1 = ""
		[ ] sAuthorizationNum2 = ""
		[ ] sAuthorizationNum3 = ""
		[ ] sAuthorizationNum4 = ""
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open new sales receipt and an item
			[ ] SalesReceipt.Sale.Invoke ()
			[+] srrSale.ldir = {...}
				[ ] {"MASItem1"}
			[ ] CreateSalesReceipt (srrSale)
			[ ] sTotalDue = SalesReceipt.Sale.SubTotal.GetTotalDue ()
		[ ] 
		[+] // Step 2: Take payment by credit card 2 times
			[ ] srrSale.srp.sPaymentMode = "Credit"
			[ ] srrSale.srp.bMAS = TRUE
			[ ] srrSale.srp.ccd = ccdVisa
			[ ] srrSale.srp.ccd.sAmount = "0.10"
			[ ] ReceivePayment (srrSale.srp, sAuthorizationNum1)
			[ ] ReceivePayment (srrSale.srp, sAuthorizationNum2)
		[ ] 
		[+] // Step 3: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] lcpd = SalesReceipt.Sale.MASCreditPayment.Tenders.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 1: Verify credit payment details
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "0.10"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] cpd2 = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "0.10"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
				[ ] cpd2
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit payment detail displayed in credit dialog")
		[ ] 
		[+] // Step 4: Take remainig payment by cash
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] ReceivePayment (srrSale.srp)
		[ ] 
		[+] // Step 5: Void the second credit payment payment
			[ ] SalesReceipt.Sale.MASCreditPayment.VoidPayment (2)
		[ ] 
		[+] // Step 6: Take payemnt by check
			[ ] srrSale.srp.sPaymentMode = "Check"
			[ ] srrSale.srp.sCheckNumber = "123456"
			[ ] ReceivePayment (srrSale.srp)
		[ ] 
		[+] // Step 7: Save the receipt and Go to sales history
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 5: Verify sale created
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 1 1 1.00 1 Split"
			[ ] VerifySafely (GetSalesDetailFromSalesList (), lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 8: Open sales detail
			[ ] SalesHistory.SalesList.SalesDetails.Open ()
			[ ] lcpd = SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 6: Verify credit payment is not recorded and other details
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] "Authorized"
				[ ] "Sale Approved"
				[ ] "$0.10"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationNum1}"
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit tender details correctly displayed in sales history")
	[ ] 
	[+] // CLEANUP
		[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
