﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify receipt gets saved automatically after receiving payment by credit card when option is set 
	[+] // Test Steps:
		[ ] // Step 1: Go to prefs and check "Automatically save and print receipt" and save prefs
		[ ] // Step 2: Open new sales receipt and an item
		[ ] // Step 3: Take payment by credit card
		[ ] // Step 4: Click on cancel
		[ ] // Step 5: Go to sales history
		[ ] // Step 6: Open sales detail
	[+] // Expected Result:
		[ ] // Result 1: Verify Print dialog is dispalyed
		[ ] // Result 2: Verify New receipt is open
		[ ] // Result 3: Verify sale created
		[ ] // Result 4: Verify credit payment is not recorded and other details
[ ] // TESTCASE.:AutomaticReceiptSave
[ ] // ATC ID::POS_MSG_ATC_M009
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\MASComp1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::AutomaticReceiptSave.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase AutomaticReceiptSave ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sTotalDue, sMessage, sAuthorizationNum1, sAuthorizationNum2, sAuthorizationNum3, sAuthorizationNum4
		[ ] SalesReceiptRec srrSale
		[ ] LIST OF CreditPaymentDetailsRec lcpd, lcpdExpected
		[ ] CreditPaymentDetailsRec cpd, cpd2, cpd3, cpd4
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "MASComp2.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SetUpMerchantAccount ()
		[ ] srrSale = {}
		[ ] srrSale.srp = {}
		[ ] srrSale.srp.ccd = {}
		[ ] lcpd = {}
		[ ] sAuthorizationNum1 = ""
		[ ] sAuthorizationNum2 = ""
		[ ] sAuthorizationNum3 = ""
		[ ] sAuthorizationNum4 = ""
	[ ] 
	[+] // STEPS
		[+] // Step 1: Go to Setup Interview and check "Automatically save and print receipt" and save prefs
			[ ] QuickBooksPointOfSale.SetupInterview.Invoke ()
			[ ] QuickBooksPointOfSale.SetupInterview.Tab.Payments.Select ()
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.PaymentPreferencesEditSettings.Click ()
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.PaymentPreferencesEditSettings.Popup.AutomaticallySaveAndPrint.Check ()
			[ ] QuickBooksPointOfSale.SetupInterview.SetupPayments.WouldYouLike.Click ()
			[ ] QuickBooksPointOfSale.SetupInterview.Done.Click ()
		[ ] 
		[+] // Step 2: Open new sales receipt and an item
			[ ] SalesReceipt.Sale.Invoke ()
			[+] srrSale.ldir = {...}
				[ ] {"MASItem1"}
			[ ] CreateSalesReceipt (srrSale)
			[ ] sTotalDue = SalesReceipt.Sale.SubTotal.GetTotalDue ()
		[ ] 
		[+] // Step 3: Take payment by credit card
			[ ] srrSale.srp.sPaymentMode = "Credit"
			[ ] srrSale.srp.bMAS = TRUE
			[ ] srrSale.srp.ccd = ccdVisa
			[ ] srrSale.srp.ccd.sAmount = "1.00"
			[ ] ReceivePayment (srrSale.srp, sAuthorizationNum1)
		[ ] 
		[+] // Result 1: Verify Print dialog is dispalyed
			[ ] VerifySafely (GeneralPrint.Exists (3), TRUE, "Prind dialog displayed automatically after receiving payment")
		[ ] 
		[+] // Step 4: Click on cancel
			[ ] GeneralPrint.Cancel.Click ()
		[ ] 
		[+] // Result 2: Verify New receipt is open
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.GetItemCount (), 0 , "New receipt open")
		[ ] 
		[+] // Step 5: Go to sales history
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 5: Verify sale created
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 1 1 1.00 1 Credit Card"
			[ ] VerifySafely (GetSalesDetailFromSalesList (), lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 6: Open sales detail
			[ ] SalesHistory.SalesList.SalesDetails.Open ()
			[ ] lcpd = SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 6: Verify credit payment is not recorded and other details
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] "Authorized"
				[ ] "Sale Approved"
				[ ] "$1.00"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationNum1}"
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit tender details correctly displayed in sales history")
	[ ] 
	[+] // CLEANUP
		[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
