﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify accepting payment when card is not present and vredit overpayment can not be done
	[+] // Test Steps:
		[ ] // Step 1: Open new return receipt and an item
		[ ] // Step 2: Click on credit
		[ ] // Step 3: Enter card details  and authorize
		[ ] // Step 4: Click on No on confirmation dialog
		[ ] // Step 5: Click on credit
		[ ] // Step 5: Enter card details with amount more than due amount and click on authorize
		[ ] // Step 6: Click on OK
		[ ] // Step 7: Save the receipt ->  Go to sales history
		[ ] // Step 8: Open sales detail and verify the details
	[+] // Expected Result:
		[ ] // Result 1: Verify Charge card is checked
		[ ] // Result 2: Verify confirmation dialog appears asking whether card is present or not
		[ ] // Result 3: Verify Autjorization in progress message displayed at bottom
		[ ] // Result 4: Verify Credit payment dispalyed correctly
		[ ] // Result 5: Verify card number not recognized dialog displayed
		[ ] // Result 6: Verify sale is created is displyed
		[ ] // Result 7: Verify Tender details in sales detail should be correct
[ ] // TESTCASE.:CardNotPresentAndCreditOverpaymentRestriction
[ ] // ATC ID::POS_MSG_ATC_M002
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\MASComp1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CardNotPresentAndCreditOverpaymentRestriction.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CardNotPresentAndCreditOverpaymentRestriction ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sTotalDue, sMessage, sAuthorizationNum
		[ ] SalesReceiptRec srrSale
		[ ] LIST OF CreditPaymentDetailsRec lcpd, lcpdExpected
		[ ] CreditPaymentDetailsRec cpd
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "MASComp2.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SetUpMerchantAccount ()
		[ ] srrSale = {}
		[ ] srrSale.srp = {}
		[ ] srrSale.srp.ccd = {}
		[ ] lcpd = {}
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open new sales receipt and an item
			[ ] SalesReceipt.Sale.Invoke ()
			[+] srrSale.ldir = {...}
				[ ] {"MASItem1"}
			[ ] CreateSalesReceipt (srrSale)
			[ ] sTotalDue = SalesReceipt.Sale.SubTotal.GetTotalDue ()
		[ ] 
		[+] // Step 2: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditPaymentType.Manual.Check ()
		[ ] 
		[+] // Result 1: Verify Charge card is checked
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.ChargeCard.IsChecked, TRUE, "Refund card is checked by default in return receipt")
		[ ] 
		[+] // Step 3: Enter card details  and authorize
			[ ] srrSale.srp.ccd = ccdVisa
			[ ] SalesReceipt.Sale.MASCreditPayment.EnterCardDetails (srrSale.srp.ccd)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 2: Verify confirmation dialog appears asking whether card is present or not
			[ ] VerifySafely (SalesReceipt.Confirmation.Exists (3), TRUE, "Confirmation dialog displayed")
			[ ] sMessage = "Is the card present?"
			[ ] VerifySafely (SalesReceipt.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 4: Click on No on confirmation dialog
			[ ] SalesReceipt.Confirmation.No.Click ()
		[ ] 
		[+] // Result 3: Verify Autjorization in progress message displayed at bottom
			[ ] sMessage = "Authorization in progress..."
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.AuthorizationStatus.GetStatus (), sMessage, "{sMessage} displayed")
			[ ] SalesReceipt.Sale.MASCreditPayment.TenderStatus.WaitForApproval ()
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.ApprovedStatus.Exists (), TRUE, "Trasaction approved")
			[ ] sAuthorizationNum = SalesReceipt.Sale.MASCreditPayment.ApprovedStatus.GetApprovedAuthorizationNumber ()
			[ ] Wait (5)
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.Exists (2), FALSE, "Credit payment dialog closed")
		[ ] 
		[+] // Step 5: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] lcpd = SalesReceipt.Sale.MASCreditPayment.Tenders.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 4: Verify Credit payment dispalyed correctly
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "1.00"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit payment detail displayed in credit dialog")
		[ ] 
		[+] // Step 5: Enter card details with amount more than due amount and click on authorize
			[ ] srrSale.srp.ccd.sAmount = "1.00"
			[ ] SalesReceipt.Sale.MASCreditPayment.EnterCardDetails (srrSale.srp.ccd)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 5: Verify card number not recognized dialog displayed
			[ ] VerifySafely (SalesReceipt.Information.Exists (3), TRUE, "Information dialog displayed")
			[ ] sMessage = "Credit card overpayments are not allowed. Reduce the payment amount to the sale amount or collect the excess with another payment method."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 6: Click on OK
			[ ] SalesReceipt.Information.OK.Click ()
		[ ] 
		[+] // Step 7: Save the receipt ->  Go to sales history
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 6: Verify sale is created is displyed
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 1 1 1.00 1 Credit Card"
			[ ] VerifySafely (GetSalesDetailFromSalesList (), lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 8: Open sales detail and verify the details
			[ ] SalesHistory.SalesList.SalesDetails.Open ()
			[ ] SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.Credit.Click ()
			[ ] lcpd = SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 7: Verify Tender details in sales detail should be correct
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] "Authorized"
				[ ] "Sale Approved"
				[ ] "$1.00"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationNum}"
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit tender details correctly displayed in sales history")
	[ ] 
	[+] // CLEANUP
		[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
