﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify Mandatory fields and messagesin MAS
	[+] // Test Steps:
		[ ] // Step 1: Open new receipt and add an item
		[ ] // Step 2: Click on Credit button
		[ ] // Step 3: Click on Manual
		[ ] // Step 4: Enter a Credit card number
		[ ] // Step 5: Set Amount as 0.00
		[ ] // Step 6: Set the correct amount and card number
		[ ] // Step 7: Click on Authorize
		[ ] // Step 8: Click on OK 
		[ ] // Step 9: Set expiration month and click Authorize
		[ ] // Step 10: Click on OK then set expiration year and click Authorize
		[ ] // Step 11: Click on OK then set Zip code and set a invalid card no click Authorize
		[ ] // Step 12: Click on OK
		[ ] // Step 13: Set valid card num and older date and click authorize
		[ ] // Step 14: Click onYes on confirmation dialog
		[ ] // Step 15: Set valid date and incorrect zip code - 4digit zip code and click authorize
		[ ] // Step 16: Set valid date and incorrect zip code - 4digit zip code and click authorize
		[ ] // Step 17: Set all valid data and click on authorize and click on yes on card present dialog
		[ ] // Step 18: Click on Credit
		[ ] // Step 19: Save the receipt ->  Go to sales history
		[ ] // Step 20: Open sales detail and verify the details
	[+] // Expected Result:
		[ ] // Result 1: Verify credit payment dialog is open and Authorize button is disabled
		[ ] // Result 2: Verify Authorize button is disabled
		[ ] // Result 2.1: Verify Amount is prefilled
		[ ] // Result 3: Verify Authorize button is enabled
		[ ] // Result 4: Verify Authorize button is disabled
		[ ] // Result 5: Verify card type is automaticaaly filled as per card type
		[ ] // Result 6: Verify Confirmation dialog displayed with correct mesage
		[ ] // Result 7: Verify correct info displayed at bottom of payment dialog
		[ ] // Result 8: Verify Confirmation dialog displayed with correct mesage
		[ ] // Result 9: Verify Confirmation dialog displayed with correct mesage
		[ ] // Result 10: Verify card number not recognized dialog displayed
		[ ] // Result 11: Verify Invalid card number message
		[ ] // Result 12: Verify confirmation dialog appears asking whether card is present or not
		[ ] // Result 13: Verify Card expired message
		[ ] // Result 14: Verify Invalid Entry message
		[ ] // Result 15: Verify Invalid Entry message
		[ ] // Result 16: Verify Autjorization in progress message displayed at bottom
		[ ] // Result 16.1: Verify approved autorization number displyed
		[ ] // Result 16.2: Verify credit payment dialog closes by itself
		[ ] // Result 17: Verify Credit payment dispalyed correctly
		[ ] // Result 18: Verify sale is created is displyed
		[ ] // Result 19: Sales detail should be correct
[ ] // TESTCASE.:CreditCardMandatoryData
[ ] // ATC ID::POS_MSG_ATC_M001
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\MASComp2.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CreditCardMandatoryData.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CreditCardMandatoryData ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sTotalDue, sMessage, sAuthorizationNum
		[ ] SalesReceiptRec srrSale
		[ ] CreditCardDetails ccd1
		[ ] LIST OF CreditPaymentDetailsRec lcpd, lcpdExpected
		[ ] CreditPaymentDetailsRec cpd
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "MASComp2.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SetUpMerchantAccount ()
		[ ] srrSale = {}
		[ ] srrSale.srp = {}
		[ ] srrSale.srp.ccd = {}
		[ ] ccd1 = {}
		[ ] lcpd = {}
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open new receipt and add an item
			[ ] SalesReceipt.Sale.Invoke ()
			[+] srrSale.ldir = {...}
				[ ] {"MASItem1", "1"}
			[ ] CreateSalesReceipt (srrSale)
			[ ] sTotalDue = SalesReceipt.Sale.SubTotal.GetTotalDue ()
		[ ] 
		[+] // Step 2: Click on Credit button
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
		[ ] 
		[+] // Result 1: Verify credit payment dialog is open and Authorize button is disabled
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.Exists (2), TRUE, "Credit PAyment dialog displayed")
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.IsEnabled, FALSE, "Authorize Now button is disabled")
		[ ] 
		[+] // Step 3: Click on Manual
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditPaymentType.Manual.Check ()
		[ ] 
		[+] // Result 2: Verify Authorize button is disabled
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.IsEnabled, FALSE, "Authorize Now button is disabled after clicking on manual")
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.Amount.GetLineText (0), sTotalDue, "Amounr field in credit dialog prefilled with correct amount")
		[ ] 
		[+] // Step 4: Enter a Credit card number
			[ ] ccd1.sCardNumber = sVISA1
			[ ] ccd1.sExpDateMonth = "11"
			[ ] ccd1.sExpDateYear = "15"
			[ ] ccd1.sZipCode = "12345"
			[ ] ccd1.sCardType = "Visa"
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.CardNumber.SetData (ccd1.sCardNumber)
		[ ] 
		[+] // Result 3: Verify Authorize button is enabled
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.IsEnabled, TRUE, "Authorize Now button is enabled")
		[ ] 
		[+] // Step 5: Set Amount as 0.00
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.Amount.SetData ("0.00")
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.Amount.Typekeys ("<Tab>")
		[ ] 
		[+] // Result 4: Verify Authorize button is disabled
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.IsEnabled, FALSE, "Authorize Now button is disabled")
		[ ] 
		[+] // Step 6: Set the correct amount and card number
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.Amount.SetData (sTotalDue)
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.CardNumber.SetData (ccd1.sCardNumber)
		[ ] 
		[+] // Result 5: Verify card type is read only
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.CardType.IsReadOnly, TRUE, "Card type field is read only")
		[ ] 
		[+] // Step 7: Click on Authorize
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 6: Verify Information dialog displayed with correct mesage
			[ ] VerifySafely (SalesReceipt.Information.Exists (3), TRUE, "Information dialog displayed")
			[ ] sMessage = "Expiration month required"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 8: Click on OK 
			[ ] SalesReceipt.Information.OK.Click ()
		[ ] 
		[+] // Result 7: Verify correct info displayed at bottom of payment dialog
			[ ] sMessage = "1. Enter credit card information above"
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.InfoLine1.GetInfo (), sMessage, "{sMessage} displayed")
			[ ] sMessage = "2. Select either 'Authorize' or 'Voice Authorization'"
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.InfoLine2.GetInfo (), sMessage, "{sMessage} displayed")
		[ ] 
		[+] // Step 9: Set expiration month and click Authorize
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.ExpDateMonth.SetData (ccd1.sExpDateMonth)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 8: Verify Information dialog displayed with correct mesage
			[ ] VerifySafely (SalesReceipt.Information.Exists (3), TRUE, "Information dialog displayed")
			[ ] sMessage = "Expiration year required"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 10: Click on OK then set expiration year and click Authorize
			[ ] SalesReceipt.Information.OK.Click ()
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.ExpDateYear.SetData (ccd1.sExpDateYear)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 9: Verify Information dialog displayed with correct mesage
			[ ] VerifySafely (SalesReceipt.Information.Exists (3), TRUE, "Information dialog displayed")
			[ ] sMessage = "ZIP code required"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 11: Click on OK then set Zip code and set a invalid card no click Authorize
			[ ] SalesReceipt.Information.OK.Click ()
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.ZipCode.SetData (ccd1.sZipCode)
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.CardNumber.SetData (ccd1.sCardNumber + "111")
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 10: Verify card number not recognized dialog displayed
			[ ] VerifySafely (SalesReceipt.Information.Exists (3), TRUE, "Information dialog displayed")
			[ ] sMessage = "Card number not recognized"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 12: Click on OK
			[ ] SalesReceipt.Information.OK.Click ()
		[ ] 
		[+] // Result 11: Verify Invalid card number message
			[ ] sMessage = "Invalid card number"
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.GetStatus (), sMessage, "{sMessage} displayed")
		[ ] 
		[+] // Step 13: Set valid card num and older date and click authorize
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.CardNumber.SetData (ccd1.sCardNumber)
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.ExpDateYear.SetData ("11")
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 12: Verify confirmation dialog appears asking whether card is present or not
			[ ] VerifySafely (SalesReceipt.Confirmation.Exists (3), TRUE, "Confirmation dialog displayed")
			[ ] sMessage = "Is the card present?"
			[ ] VerifySafely (SalesReceipt.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 14: Click onYes on confirmation dialog
			[ ] SalesReceipt.Confirmation.Yes.Click ()
		[ ] 
		[+] // Result 13: Verify Card expired message
			[ ] sMessage = "Card has expired"
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.GetStatus (), sMessage, "{sMessage} displayed")
		[ ] 
		[+] // Step 15: Set valid date and incorrect zip code - 4digit zip code and click authorize
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.ExpDateYear.SetData (ccd1.sExpDateYear)
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.ZipCode.SetData ("1234")
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 14: Verify Invalid Entry message
			[ ] sMessage = "Invalid entry"
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.GetStatus (), sMessage, "{sMessage} displayed")
		[ ] 
		[+] // Step 16: Set valid date and incorrect zip code - 6digit zip code and click authorize
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.ZipCode.SetData ("123456")
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 15: Verify Invalid Entry message
			[ ] sMessage = "Invalid entry"
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.GetStatus (), sMessage, "{sMessage} displayed")
		[ ] 
		[+] // Step 17: Set all valid data and click on authorize and click on yes on card present dialog
			[ ] SalesReceipt.Sale.MASCreditPayment.EnterCardDetails (ccd1)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
			[ ] WaitFor (SalesReceipt.Confirmation)
			[ ] SalesReceipt.Confirmation.Yes.Click ()
		[ ] 
		[+] // Result 16: Verify Autjorization in progress message displayed at bottom
			[ ] sMessage = "Authorization in progress..."
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.AuthorizationStatus.GetStatus (), sMessage, "{sMessage} displayed")
			[ ] SalesReceipt.Sale.MASCreditPayment.TenderStatus.WaitForApproval ()
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.ApprovedStatus.Exists (), TRUE, "Trasaction approved")
			[ ] sAuthorizationNum = SalesReceipt.Sale.MASCreditPayment.ApprovedStatus.GetApprovedAuthorizationNumber ()
			[ ] Wait (5)
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.Exists (2), FALSE, "Credit payment dialog closed")
		[ ] 
		[+] // Step 18: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] lcpd = SalesReceipt.Sale.MASCreditPayment.Tenders.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 17: Verify Credit payment dispalyed correctly
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "1.00"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit payment detail displayed in credit dialog")
		[ ] 
		[+] // Step 19: Save the receipt ->  Go to sales history
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 18: Verify sale is created is displyed
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 1 1 1.00 1 Credit Card"
			[ ] VerifySafely (GetSalesDetailFromSalesList (), lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 20: Open sales detail and verify the details
			[ ] SalesHistory.SalesList.SalesDetails.Open ()
			[ ] SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.Credit.Click ()
			[ ] lcpd = SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 19: Verify Tender details in sales detail should be correct
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] "Authorized"
				[ ] "Sale Approved"
				[ ] "$1.00"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationNum}"
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit tender details correctly displayed in sales history")
	[ ] 
	[+] // CLEANUP
		[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
