﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify receipt cannot be put on hold without voifing credit
	[+] // Test Steps:
		[ ] // Step 1: Open new sales receipt and an item
		[ ] // Step 2: Take payemt by credit card
		[ ] // Step 3: Click on credit
		[ ] // Step 4: Click on Hold
		[ ] // Step 5: Click on Cancel
		[ ] // Step 6: Click on Hold and then click on Void and hold
		[ ] // Step 7: Click on held recipts
		[ ] // Step 8: Unhold the receipt and click on credit
		[ ] // Step 9: Click on Cancel and tajke payment by credit card
		[ ] // Step 10: Click on credit
		[ ] // Step 11: Save the receipt ->  Go to sales history
		[ ] // Step 12: Open sales detail and verify the details
	[+] // Expected Result:
		[ ] // Result 1: Verify credit payment details
		[ ] // Result 2: Verify message stating transaction will be void dispalyed
		[ ] // Result 3: Verify recipt is still open
		[ ] // Result 4: Verify new receipt open
		[ ] // Result 5: Verify sale holded
		[ ] // Result 6: Verify credit payment details
		[ ] // Result 7: Verify Credit payment dispalyed correctly
		[ ] // Result 8: Verify sale is created is displyed
		[ ] // Result 9: Verify Tender details in sales detail should be correct
[ ] // TESTCASE.:HoldReceiptAfterCreditTransaction
[ ] // ATC ID::POS_MSG_ATC_M006
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\MASComp1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::HoldReceiptAfterCreditTransaction.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase HoldReceiptAfterCreditTransaction ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sTotalDue, sMessage, sAuthorizationNum
		[ ] SalesReceiptRec srrSale
		[ ] LIST OF CreditPaymentDetailsRec lcpd, lcpdExpected
		[ ] CreditPaymentDetailsRec cpd, cpd1
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "MASComp2.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SetUpMerchantAccount ()
		[ ] srrSale = {}
		[ ] srrSale.srp = {}
		[ ] srrSale.srp.ccd = {}
		[ ] lcpd = {}
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open new sales receipt and an item
			[ ] SalesReceipt.Sale.Invoke ()
			[+] srrSale.ldir = {...}
				[ ] {"MASItem1"}
			[ ] CreateSalesReceipt (srrSale)
			[ ] sTotalDue = SalesReceipt.Sale.SubTotal.GetTotalDue ()
		[ ] 
		[+] // Step 2: Take payemt by credit card
			[ ] srrSale.srp.bMAS = TRUE
			[ ] srrSale.srp.sPaymentMode = "Credit"
			[ ] srrSale.srp.ccd = ccdVisa
			[ ] sAuthorizationNum = ""
			[ ] ReceivePayment (srrSale.srp, sAuthorizationNum)
		[ ] 
		[+] // Step 3: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] lcpd = SalesReceipt.Sale.MASCreditPayment.Tenders.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 1: Verify credit payment details
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "1.00"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit payment detail displayed in credit dialog")
		[ ] 
		[+] // Step 4: Click on Hold
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] SalesReceipt.Sale.PutOnHold.Click ()
		[ ] 
		[+] // Result 2: Verify message stating transaction will be void dispalyed
			[ ] VerifySafely (SalesReceipt.Confirmation.Exists (2), TRUE, "Confirmation dialog appeared")
			[ ] sMessage = "Problem"
			[ ] VerifySafely (SalesReceipt.Confirmation.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "You may not hold a receipt after a credit card charge has been authorized."
			[ ] VerifySafely (SalesReceipt.Confirmation.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Solution"
			[ ] VerifySafely (SalesReceipt.Confirmation.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "You must void all authorized credit card charges in order to hold this receipt"
			[ ] VerifySafely (SalesReceipt.Confirmation.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "If you want to do so, press ""Void & Hold""."
			[ ] VerifySafely (SalesReceipt.Confirmation.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Press ""Cancel"" to return to the receipt and complete it."
			[ ] VerifySafely (SalesReceipt.Confirmation.VerifyMessage (sMessage), TRUE, "Correct message displayed")
		[ ] 
		[+] // Step 5: Click on Cancel
			[ ] SalesReceipt.Confirmation.Cancel.Click ()
		[ ] 
		[+] // Result 3: Verify recipt is still open
			[ ] VerifySafely (SalesReceipt.Sale.SaveOnly.IsEnabled, TRUE, "Receipt still open")
		[ ] 
		[+] // Step 6: Click on Hold and then click on Void and hold
			[ ] SalesReceipt.Sale.PutOnHold.Click ()
			[ ] SalesReceipt.Confirmation.VoidAndHold.Click ()
		[ ] 
		[+] // Result 4: Verify new receipt open
			[ ] Wait (15)
			[ ] VerifySafely (SalesReceipt.Sale.SaveOnly.IsEnabled, FALSE, "New receipt open")
		[ ] 
		[+] // Step 7: Click on held recipts
			[ ] SalesReceipt.Sale.HeldReceipts.Click ()
		[ ] 
		[+] // Result 5: Verify sale holded
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 1 1.00 1 Credit Card"
			[ ] WaitForPageToLoad (5)
			[ ] VerifySafely (GetSalesDetailFromHeldList (), lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 8: Unhold the receipt and click on credit
			[ ] HeldReceipts.HeldReceiptList.Topbar.Unhold.Click ()
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
		[ ] 
		[+] // Result 6: Verify credit payment details
			[ ] lcpd = SalesReceipt.Sale.MASCreditPayment.Tenders.GetCreditTenderDetails ()
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Voided"
				[ ] "1.00"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit payment detail displayed in credit dialog")
		[ ] 
		[+] // Step 9: Click on Cancel and tajke payment by credit card
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] ReceivePayment (srrSale.srp, sAuthorizationNum)
		[ ] 
		[+] // Step 10: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] lcpd = SalesReceipt.Sale.MASCreditPayment.Tenders.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 7: Verify Credit payment dispalyed correctly
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Voided"
				[ ] "1.00"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] cpd1 = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "1.00"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
				[ ] cpd1
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit payment detail displayed in credit dialog")
		[ ] 
		[+] // Step 11: Save the receipt ->  Go to sales history
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 8: Verify sale is created is displyed
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 1 1 1.00 1 Credit Card"
			[ ] Wait (5)
			[ ] VerifySafely (GetSalesDetailFromSalesList (), lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 12: Open sales detail and verify the details
			[ ] SalesHistory.SalesList.SalesDetails.Open ()
			[ ] SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.Credit.Click ()
			[ ] lcpd = SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 9: Verify Tender details in sales detail should be correct
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] "Authorized"
				[ ] "Sale Approved"
				[ ] "$1.00"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationNum}"
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit tender details correctly displayed in sales history")
	[ ] 
	[+] // CLEANUP
		[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
