﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify MAS workflow
	[+] // Test Steps:
		[ ] // Step 1: Open new return receipt and an item
		[ ] // Step 2: Click on credit
		[ ] // Step 3: Enter card details  and authorize
		[ ] // Step 4: Click on Yes on confirmation dialog
		[ ] // Step 5: Save the receipt ->  Go to sales history
	[+] // Expected Result:
		[ ] // Result 1: Verify confirmation dialog appears asking whether card is present or not
		[ ] // Result 2: Verify Autjorization in progress message displayed at bottom
		[ ] // Result 3: Verify sale is created is displyed
[ ] // TESTCASE.:MAS_Sanity
[ ] // ATC ID::To be Updated
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\MASComp1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::MAS_Sanity.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase MAS_Sanity ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sTotalDue, sMessage, sAuthorizationNum
		[ ] SalesReceiptRec srrSale
		[ ] CreditCardDetails ccd1
		[ ] LIST OF CreditPaymentDetailsRec lcpd, lcpdExpected
		[ ] CreditPaymentDetailsRec cpd
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "MASComp2.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SetUpMerchantAccount ()
		[ ] srrSale = {}
		[ ] srrSale.srp = {}
		[ ] srrSale.srp.ccd = {}
		[ ] ccd1 = {}
		[ ] lcpd = {}
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open new sales receipt and an item
			[ ] SalesReceipt.Sale.Invoke ()
			[+] srrSale.ldir = {...}
				[ ] {"MASItem1"}
			[ ] CreateSalesReceipt (srrSale)
			[ ] sTotalDue = SalesReceipt.Sale.SubTotal.GetTotalDue ()
		[ ] 
		[+] // Step 2: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditPaymentType.Manual.Check ()
		[ ] 
		[+] // Step 3: Enter card details  and authorize
			[ ] ccd1 = ccdMasterVisa
			[ ] SalesReceipt.Sale.MASCreditPayment.EnterCardDetails (ccd1)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 1: Verify confirmation dialog appears asking whether card is present or not
			[ ] VerifySafely (SalesReceipt.Confirmation.Exists (3), TRUE, "Confirmation dialog displayed")
			[ ] sMessage = "Is the card present?"
			[ ] VerifySafely (SalesReceipt.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 4: Click on Yes on confirmation dialog
			[ ] SalesReceipt.Confirmation.Yes.Click ()
		[ ] 
		[+] // Result 2: Verify Authorization
			[ ] sMessage = "Authorization in progress..."
			[ ] SalesReceipt.Sale.MASCreditPayment.TenderStatus.WaitForApproval ()
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.ApprovedStatus.Exists (), TRUE, "Trasaction approved")
			[ ] sAuthorizationNum = SalesReceipt.Sale.MASCreditPayment.ApprovedStatus.GetApprovedAuthorizationNumber ()
			[ ] WaitGone (SalesReceipt.Sale.MASCreditPayment)
		[ ] 
		[+] // Step 5: Save the receipt ->  Go to sales history
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 3: Verify sale is created is displyed
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 1 1 1.00 1 Credit Card"
			[ ] VerifySafely (GetSalesDetailFromSalesList (), lsSalesExpected, "Sales created and displyed in sales history")
	[ ] 
	[+] // CLEANUP
		[ ] SalesHistory.SalesList.Topbar.Home.Click ()
