﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify more than 3 credit transactions are not allowed
	[+] // Test Steps:
		[ ] // Step 1: Open new sales receipt and an item
		[ ] // Step 2: Take payment by credit card 3 times
		[ ] // Step 3: Click on credit
		[ ] // Step 4: Enter credit card details and click on authorize
		[ ] // Step 5: Click on OK
		[ ] // Step 6: Void the second payment
		[ ] // Step 7: Take payemnt by credit card
		[ ] // Step 8: Click on Credit
		[ ] // Step 9: Click on Cancel, save the receipt and Go to sales history
		[ ] // Step 10: Open sales detail
	[+] // Expected Result:
		[ ] // Result 1: Verify credit payment details
		[ ] // Result 2: Verify Information dialog displayed with correct message
		[ ] // Result 3: Verify correct message displayed in payment dialog
		[ ] // Result 4: Verify credit payment details
		[ ] // Result 5: Verify sale created
		[ ] // Result 6: Verify credit payment is not recorded and other details
[ ] // TESTCASE.:MultipleCardPayments
[ ] // ATC ID::POS_MSG_ATC_M007
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\MASComp1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::MultipleCardPayments.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase MultipleCardPayments ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sTotalDue, sMessage, sAuthorizationNum1, sAuthorizationNum2, sAuthorizationNum3, sAuthorizationNum4
		[ ] SalesReceiptRec srrSale
		[ ] LIST OF CreditPaymentDetailsRec lcpd, lcpdExpected
		[ ] CreditPaymentDetailsRec cpd, cpd2, cpd3, cpd4
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "MASComp2.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SetUpMerchantAccount ()
		[ ] srrSale = {}
		[ ] srrSale.srp = {}
		[ ] srrSale.srp.ccd = {}
		[ ] lcpd = {}
		[ ] sAuthorizationNum1 = ""
		[ ] sAuthorizationNum2 = ""
		[ ] sAuthorizationNum3 = ""
		[ ] sAuthorizationNum4 = ""
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open new sales receipt and an item
			[ ] SalesReceipt.Sale.Invoke ()
			[+] srrSale.ldir = {...}
				[ ] {"MASItem1"}
			[ ] CreateSalesReceipt (srrSale)
			[ ] sTotalDue = SalesReceipt.Sale.SubTotal.GetTotalDue ()
		[ ] 
		[+] // Step 2: Take payment by credit card 3 times
			[ ] srrSale.srp.sPaymentMode = "Credit"
			[ ] srrSale.srp.bMAS = TRUE
			[ ] srrSale.srp.ccd = ccdVisa
			[ ] srrSale.srp.ccd.sAmount = "0.10"
			[ ] ReceivePayment (srrSale.srp, sAuthorizationNum1)
			[ ] ReceivePayment (srrSale.srp, sAuthorizationNum2)
			[ ] ReceivePayment (srrSale.srp, sAuthorizationNum3)
		[ ] 
		[+] // Step 3: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] lcpd = SalesReceipt.Sale.MASCreditPayment.Tenders.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 1: Verify credit payment details
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "0.10"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] cpd2 = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "0.10"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] cpd3 = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "0.10"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
				[ ] cpd2
				[ ] cpd3
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit payment detail displayed in credit dialog")
		[ ] 
		[+] // Step 4: Enter credit card details and click on authorize
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditPaymentType.Manual.Check ()
			[ ] SalesReceipt.Sale.MASCreditPayment.EnterCardDetails (srrSale.srp.ccd)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 2: Verify Information dialog displayed with correct message
			[ ] sMessage = "Maximum 3 credit tender allowed"
			[ ] VerifySafely (SalesReceipt.Information.Exists (3), TRUE, "INformation dialog appeared")
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Step 5: Click on OK
			[ ] SalesReceipt.Information.OK.Click ()
		[ ] 
		[+] // Result 3: Verify correct message displayed in payment dialog
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.GetStatus (), sMessage, "{sMessage} displayed in MAS dialog")
		[ ] 
		[+] // Step 6: Void the second payment
			[ ] SalesReceipt.Sale.MASCreditPayment.VoidPayment (2)
			[ ] srrSale.srp.ccd.sAmount = "0.80"
		[ ] 
		[+] // Step 7: Take payemnt by credit card
			[ ] ReceivePayment (srrSale.srp, sAuthorizationNum4)
		[ ] 
		[+] // Step 8: Click on Credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] lcpd = SalesReceipt.Sale.MASCreditPayment.Tenders.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 4: Verify credit payment details
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "0.10"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] cpd2 = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Voided"
				[ ] "0.10"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] cpd3 = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "0.10"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] cpd4 = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "0.80"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
				[ ] cpd2
				[ ] cpd3
				[ ] cpd4
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit payment detail displayed in credit dialog")
		[ ] 
		[+] // Step 9: Click on Cancel, save the receipt and Go to sales history
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 5: Verify sale created
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 1 1 1.00 1 Credit Card"
			[ ] VerifySafely (GetSalesDetailFromSalesList (), lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 10: Open sales detail
			[ ] SalesHistory.SalesList.SalesDetails.Open ()
			[ ] lcpd = SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 6: Verify credit payment is not recorded and other details
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] "Authorized"
				[ ] "Sale Approved"
				[ ] "$0.10"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationNum1}"
			[+] cpd3 = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] "Authorized"
				[ ] "Sale Approved"
				[ ] "$0.10"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationNum3}"
			[+] cpd4 = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] "Authorized"
				[ ] "Sale Approved"
				[ ] "$0.80"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationNum4}"
			[+] lcpdExpected = {...}
				[ ] cpd
				[ ] cpd3
				[ ] cpd4
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit tender details correctly displayed in sales history")
	[ ] 
	[+] // CLEANUP
		[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
