﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify card type not allowed when not set in preferences
	[+] // Test Steps:
		[ ] // Step 1: Open new sales receipt and an item
		[ ] // Step 2: Click on credit and enter card details
		[ ] // Step 3: Set VISA card number and click on authorize now
		[ ] // Step 4: Click on OK, Set MC card number and click on authorize now
		[ ] // Step 5: Click on OK, Set Amex card number and click on authorize now
		[ ] // Step 6: Click on OK, Set Discover card number and click on authorize now
		[ ] // Step 7: Click on OK, Set Diners card number and click on authorize now
		[ ] // Step 8: Click on OK, Set JCB card number and click on authorize now
		[ ] // Step 9: Click on OK, then click cancel and hold the receipt
		[ ] // Step 10: Open preferences and update settings to allows all card types
		[ ] // Step 11: Go to Held receipts and unhold the receipt
		[ ] // Step 12: Receive payment by amex master card and Visa
		[ ] // Step 13: Click on credit
		[ ] // Step 13: Save the receipt and and add another item
		[ ] // Step 14: Click on credit, enter card detilas for discover and click authorize now
		[ ] // Step 15: Click on OK, Click on cancel, then receive payment by discover, dines and visa
		[ ] // Step 16: Click on credit
		[ ] // Step 17: Save the receipt and Go to sales history
		[ ] // Step 18: Open sales detail
		[ ] // Step 19: Select the first receipt
		[ ] // Step 20: Select the second receipt
	[+] // Expected Result:
		[ ] // Result 1: Verify message card type not allowed
		[ ] // Result 2: Verify message card type not allowed
		[ ] // Result 3: Verify message card type not allowed
		[ ] // Result 4: Verify message card type not allowed
		[ ] // Result 5: Verify message card type not allowed
		[ ] // Result 6: Verify message card type not allowed
		[ ] // Result 7: Verify Credit payment dispalyed correctly
		[ ] // Result 8: Verify message card type not allowed
		[ ] // Result 9: Verify Credit payment dispalyed correctly
		[ ] // Result 10: Verify sale created
		[ ] // Result 11: Verify credit payment details
		[ ] // Result 12: Verify credit payment details
[ ] // TESTCASE.:MultipleCardTypes
[ ] // ATC ID::POS_MSG_ATC_M010
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\CardTypesDisabled.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::MultipleCardTypes.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase MultipleCardTypes ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sTotalDue, sMessage, sAuthorizationVisa, sAuthorizationMC, sAuthorizationAmex, sAuthorizationDiscover, sAuthorizationDC, sAuthorizationVisa2
		[ ] SalesReceiptRec srrSale, srrSale2
		[ ] LIST OF CreditPaymentDetailsRec lcpd, lcpdExpected
		[ ] CreditPaymentDetailsRec cpd, cpd2, cpd3
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CardTypesDisabled.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SetUpMerchantAccount ()
		[ ] srrSale = {}
		[ ] srrSale.srp = {}
		[ ] srrSale.srp.ccd = {}
		[ ] srrSale2 = {}
		[ ] srrSale2.srp = {}
		[ ] srrSale2.srp.ccd = {}
		[ ] lcpd = {}
		[ ] sAuthorizationVisa = ""
		[ ] sAuthorizationMC = ""
		[ ] sAuthorizationAmex = ""
		[ ] sAuthorizationDiscover = ""
		[ ] sAuthorizationDC= ""
		[ ] sAuthorizationVisa2 = ""
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open new sales receipt and an item
			[ ] SalesReceipt.Sale.Invoke ()
			[+] srrSale.ldir = {...}
				[ ] {"MASItem1"}
			[ ] CreateSalesReceipt (srrSale)
			[ ] sTotalDue = SalesReceipt.Sale.SubTotal.GetTotalDue ()
		[ ] 
		[+] // Step 2: Click on credit and enter card details
			[ ] srrSale.srp.sPaymentMode = "Credit"
			[ ] srrSale.srp.bMAS = TRUE
			[ ] srrSale.srp.ccd = ccdVisa
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] SalesReceipt.Sale.MASCreditPayment.EnterCardDetails (srrSale.srp.ccd)
		[ ] 
		[+] // Step 3: Set VISA card number and click on authorize now
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.CardNumber.SetData (sVISA1)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 1: Verify message card type not allowed
			[ ] VerifySafely (SalesReceipt.Information.Exists (2), TRUE, "Confirmation dialog appeared")
			[ ] sMessage = "Problem"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Visa transactions are not allowed."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Solution"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Use a different card type or payment method."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "You can also change the 'Allowed Card Types' in Point of Sale company preferences. From the Edit menu, select Preferences > Company. On the Sales > Receipt Tendering page, make the desired changes."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
		[ ] 
		[+] // Step 4: Click on OK, Set MC card number and click on authorize now
			[ ] SalesReceipt.Information.OK.Click ()
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.CardNumber.SetData (sMC1)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 2: Verify message card type not allowed
			[ ] VerifySafely (SalesReceipt.Information.Exists (2), TRUE, "Confirmation dialog appeared")
			[ ] sMessage = "Problem"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "MasterCard transactions are not allowed."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Solution"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Use a different card type or payment method."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "You can also change the 'Allowed Card Types' in Point of Sale company preferences. From the Edit menu, select Preferences > Company. On the Sales > Receipt Tendering page, make the desired changes."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
		[ ] 
		[+] // Step 5: Click on OK, Set Amex card number and click on authorize now
			[ ] SalesReceipt.Information.OK.Click ()
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.CardNumber.SetData (sAmex1)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 3: Verify message card type not allowed
			[ ] VerifySafely (SalesReceipt.Information.Exists (2), TRUE, "Confirmation dialog appeared")
			[ ] sMessage = "Problem"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "American Express transactions are not allowed."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Solution"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Use a different card type or payment method."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "You can also change the 'Allowed Card Types' in Point of Sale company preferences. From the Edit menu, select Preferences > Company. On the Sales > Receipt Tendering page, make the desired changes."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
		[ ] 
		[+] // Step 6: Click on OK, Set Discover card number and click on authorize now
			[ ] SalesReceipt.Information.OK.Click ()
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.CardNumber.SetData (sDiscover1)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 4: Verify message card type not allowed
			[ ] VerifySafely (SalesReceipt.Information.Exists (2), TRUE, "Confirmation dialog appeared")
			[ ] sMessage = "Problem"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Discover transactions are not allowed."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Solution"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Use a different card type or payment method."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "You can also change the 'Allowed Card Types' in Point of Sale company preferences. From the Edit menu, select Preferences > Company. On the Sales > Receipt Tendering page, make the desired changes."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
		[ ] 
		[+] // Step 7: Click on OK, Set Diners card number and click on authorize now
			[ ] SalesReceipt.Information.OK.Click ()
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.CardNumber.SetData (sDC1)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 5: Verify message card type not allowed
			[ ] VerifySafely (SalesReceipt.Information.Exists (2), TRUE, "Confirmation dialog appeared")
			[ ] sMessage = "Problem"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Diners Club transactions are not allowed."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Solution"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Use a different card type or payment method."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "You can also change the 'Allowed Card Types' in Point of Sale company preferences. From the Edit menu, select Preferences > Company. On the Sales > Receipt Tendering page, make the desired changes."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
		[ ] 
		[+] // Step 8: Click on OK, Set JCB card number and click on authorize now
			[ ] SalesReceipt.Information.OK.Click ()
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.CardNumber.SetData (sJCB1)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 6: Verify message card type not allowed
			[ ] VerifySafely (SalesReceipt.Information.Exists (2), TRUE, "Confirmation dialog appeared")
			[ ] sMessage = "Problem"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "JCB transactions are not allowed."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Solution"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Use a different card type or payment method."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "You can also change the 'Allowed Card Types' in Point of Sale company preferences. From the Edit menu, select Preferences > Company. On the Sales > Receipt Tendering page, make the desired changes."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
		[ ] 
		[+] // Step 9: Click on OK, then click cancel and hold the receipt
			[ ] SalesReceipt.Information.OK.Click ()
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] SalesReceipt.Sale.PutOnHold.Click ()
		[ ] 
		[+] // Step 10: Open preferences and update settings to allows all card types
			[ ] Preferences.CompanyPreferences.Invoke ()
			[ ] Preferences.CompanyPreferences.TreeView.Select ("Receipt Tendering")
			[ ] Preferences.CompanyPreferences.PageList.ReceiptTenders.CardTypes.Visa.Check ()
			[ ] Preferences.CompanyPreferences.PageList.ReceiptTenders.CardTypes.MasterCard.Check ()
			[ ] Preferences.CompanyPreferences.PageList.ReceiptTenders.CardTypes.AmericanExpress.Check ()
			[ ] Preferences.CompanyPreferences.PageList.ReceiptTenders.CardTypes.DiscoverNovus.Check ()
			[ ] Preferences.CompanyPreferences.PageList.ReceiptTenders.CardTypes.DinersClub.Check ()
			[ ] Preferences.CompanyPreferences.PageList.ReceiptTenders.CardTypes.JCB.Check ()
			[ ] Preferences.BottomBar.Save.Click ()
			[ ] WaitUntill (QuickBooksPointOfSale.File, "IsEnabled", TRUE)
		[ ] 
		[+] // Step 11: Go to Held receipts and unhold the receipt
			[ ] HeldReceipts.HeldReceiptList.Invoke ()
			[ ] HeldReceipts.HeldReceiptList.Topbar.Unhold.Click ()
		[ ] 
		[+] // Step 12: Receive payment by amex master card and Visa
			[ ] srrSale.srp.ccd = ccdAmex
			[ ] srrSale.srp.ccd.sAmount = "0.10"
			[ ] ReceivePayment (srrSale.srp, sAuthorizationAmex)
			[ ] srrSale.srp.ccd = ccdMC
			[ ] srrSale.srp.ccd.sAmount = "0.10"
			[ ] ReceivePayment (srrSale.srp, sAuthorizationMC)
			[ ] srrSale.srp.ccd = ccdVisa
			[ ] srrSale.srp.ccd.sAmount = "0.80"
			[ ] ReceivePayment (srrSale.srp, sAuthorizationVisa)
		[ ] 
		[+] // Step 13: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] lcpd = SalesReceipt.Sale.MASCreditPayment.Tenders.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 7: Verify Credit payment dispalyed correctly
			[+] cpd = {...}
				[ ] "American Express"
				[ ] "x8431"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "0.10"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] cpd2 = {...}
				[ ] "MasterCard"
				[ ] "x1765"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "0.10"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] cpd3 = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "0.80"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
				[ ] cpd2
				[ ] cpd3
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit payment detail displayed in credit dialog")
		[ ] 
		[+] // Step 13: Save the receipt and and add another item
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[+] srrSale2.ldir = {...}
				[ ] {"MASItem1", "1"}
			[ ] CreateSalesReceipt (srrSale2)
		[ ] 
		[+] // Step 14: Click on credit, enter card detilas for discover and click authorize now
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] srrSale.srp.ccd = ccdDiscover
			[ ] srrSale.srp.ccd.sAmount = "0.10"
			[ ] srrSale.srp.ccd.sCVC = NULL
			[ ] SalesReceipt.Sale.MASCreditPayment.EnterCardDetails (srrSale.srp.ccd)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
		[ ] 
		[+] // Result 8: Verify message card type not allowed
			[ ] VerifySafely (SalesReceipt.Information.Exists (2), TRUE, "Confirmation dialog appeared")
			[ ] sMessage = "CVC Required"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
		[ ] 
		[+] // Step 15: Click on OK, Click on cancel, then receive payment by discover, dines and visa
			[ ] SalesReceipt.Information.OK.Click ()
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] srrSale.srp.ccd = ccdDiscover
			[ ] srrSale.srp.ccd.sAmount = "0.10"
			[ ] srrSale.srp.ccd.sCVC = "123"
			[ ] ReceivePayment (srrSale.srp, sAuthorizationDiscover)
			[ ] srrSale.srp.ccd = ccdDC
			[ ] srrSale.srp.ccd.sAmount = "0.10"
			[ ] ReceivePayment (srrSale.srp, sAuthorizationDC)
			[ ] srrSale.srp.ccd = ccdVisa
			[ ] srrSale.srp.ccd.sAmount = "0.80"
			[ ] ReceivePayment (srrSale.srp, sAuthorizationVisa2)
		[ ] 
		[+] // Step 16: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] lcpd = SalesReceipt.Sale.MASCreditPayment.Tenders.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 9: Verify Credit payment dispalyed correctly
			[+] cpd = {...}
				[ ] "Discover"
				[ ] "x0009"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "0.10"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] cpd2 = {...}
				[ ] "Diners Club"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "0.10"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] cpd3 = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "0.80"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
				[ ] cpd2
				[ ] cpd3
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit payment detail displayed in credit dialog")
		[ ] 
		[+] // Step 17: Save the receipt and Go to sales history
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 10: Verify sale created
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 1 1 1.00 1 Credit Card"
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 2 1 1.00 1 Credit Card"
			[ ] VerifySafely (GetSalesDetailFromSalesList (), lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 18: Open sales detail
			[ ] SalesHistory.SalesList.SalesDetails.Open ()
			[ ] lcpd = SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.GetCreditTenderDetails ()
		[ ] 
		[+] // Step 19: Select the first receipt
			[ ] SalesHistory.SalesList.Topbar.Search.SetData ("1")
		[ ] 
		[+] // Result 11: Verify credit payment details
			[ ] lcpd = SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.GetCreditTenderDetails ()
			[+] cpd = {...}
				[ ] "American Express"
				[ ] "x8431"
				[ ] "Authorized"
				[ ] "Sale Approved"
				[ ] "$0.10"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationAmex}"
			[+] cpd2 = {...}
				[ ] "MasterCard"
				[ ] "x1765"
				[ ] "Authorized"
				[ ] "Sale Approved"
				[ ] "$0.10"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationMC}"
			[+] cpd3 = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] "Authorized"
				[ ] "Sale Approved"
				[ ] "$0.80"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationVisa}"
			[+] lcpdExpected = {...}
				[ ] cpd
				[ ] cpd2
				[ ] cpd3
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit tender details correctly displayed in sales history")
		[ ] 
		[+] // Step 20: Select the second receipt
			[ ] SalesHistory.SalesList.Topbar.Search.SetData ("2")
		[ ] 
		[+] // Result 12: Verify credit payment details
			[ ] lcpd = SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.GetCreditTenderDetails ()
			[+] cpd = {...}
				[ ] "Discover"
				[ ] "x0009"
				[ ] "Authorized"
				[ ] "Sale Approved"
				[ ] "$0.10"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationDiscover}"
			[+] cpd2 = {...}
				[ ] "Diners Club"
				[ ] "x1111"
				[ ] "Authorized"
				[ ] "Sale Approved"
				[ ] "$0.10"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationDC}"
			[+] cpd3 = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] "Authorized"
				[ ] "Sale Approved"
				[ ] "$0.80"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationVisa2}"
			[+] lcpdExpected = {...}
				[ ] cpd
				[ ] cpd2
				[ ] cpd3
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit tender details correctly displayed in sales history")
	[ ] 
	[+] // CLEANUP
		[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
