﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify issuing refund to credit card for return item
	[+] // Test Steps:
		[ ] // Step 1: Open new return receipt and an item
		[ ] // Step 2: Click on credit
		[ ] // Step 3: Enter card details  and authorize
		[ ] // Step 4: Click on credit
		[ ] // Step 5: Save the receipt 
		[ ] // Step 6: Click on OK and go to slaes history
		[ ] // Step 7: Open sales detail
	[+] // Expected Result:
		[ ] // Result 1: Verify Refund card is checked
		[ ] // Result 2: Verify refund approved message and credit dialog closes after refund
		[ ] // Result 3: Verify credit payment details
		[ ] // Result 4: Verify change dialog appear with correct details
		[ ] // Result 5: Verify sale created
		[ ] // Result 6: Verify credit payment is not recorded and other details
[ ] // TESTCASE.:RefundPayment_ReturnReceipt
[ ] // ATC ID::POS_MSG_ATC_M004
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\MASComp1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::RefundPayment_ReturnReceipt.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase RefundPayment_ReturnReceipt ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sTotalDue, sMessage, sAuthorizationNum
		[ ] SalesReceiptRec srrSale
		[ ] LIST OF CreditPaymentDetailsRec lcpd, lcpdExpected
		[ ] CreditPaymentDetailsRec cpd
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "MASComp2.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SetUpMerchantAccount ()
		[ ] srrSale = {}
		[ ] srrSale.srp = {}
		[ ] srrSale.srp.ccd = {}
		[ ] lcpd = {}
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open new return receipt and an item
			[ ] SalesReceipt.Sale.Invoke ()
			[+] srrSale.ldir = {...}
				[ ] {"MASItem1"}
			[ ] CreateSalesReceipt (srrSale)
			[ ] SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemButtons.ReturnItem.Click ()
			[ ] sTotalDue = SalesReceipt.Sale.SubTotal.GetTotalDue ()
		[ ] 
		[+] // Step 2: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditPaymentType.Manual.Check ()
		[ ] 
		[+] // Result 1: Verify Refund card is checked
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.RefundCard.IsChecked, TRUE, "Refund card is checked by default in return receipt")
		[ ] 
		[+] // Step 3: Enter card details  and authorize
			[ ] srrSale.srp.ccd = ccdVisa
			[ ] SalesReceipt.Sale.MASCreditPayment.EnterCardDetails (srrSale.srp.ccd)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
			[ ] SalesReceipt.Confirmation.Yes.Click ()
		[ ] 
		[+] // Result 2: Verify refund approved message and credit dialog closes after refund
			[ ] sMessage = "Authorization in progress..."
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.AuthorizationStatus.GetStatus (), sMessage, "{sMessage} displayed")
			[ ] SalesReceipt.Sale.MASCreditPayment.TenderStatus.WaitForRefund ()
			[ ] sMessage = "Refund approved"
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.GetStatus (), sMessage, "{sMessage} message appeared")
			[ ] Wait (5)
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.Exists (2), FALSE, "Credit payment dialog closed")
		[ ] 
		[+] // Step 4: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] lcpd = SalesReceipt.Sale.MASCreditPayment.Tenders.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 3: Verify credit payment details
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Refund Approved"
				[ ] "1.00"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit payment detail displayed in credit dialog")
		[ ] 
		[+] // Step 5: Save the receipt 
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Result 4: Verify change dialog appear with correct details
			[ ] VerifySafely (SalesReceipt.Sale.Change.Exists (2), TRUE, "Change dialog appeared")
			[ ] VerifySafely (SalesReceipt.Sale.Change.ChangeText.GetCaption (), "Change Cr. Card:", "Correct caption displayed in change dialog")
		[ ] 
		[+] // Step 6: Click on OK and go to slaes history
			[ ] SalesReceipt.Sale.Change.OK.Click ()
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 5: Verify sale created
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 1 1 -1.00 -1 Credit Card"
			[ ] VerifySafely (GetSalesDetailFromSalesList (), lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 7: Open sales detail
			[ ] SalesHistory.SalesList.SalesDetails.Open ()
			[ ] lcpd = SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 6: Verify credit payment is not recorded and other details
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] "Authorized"
				[ ] "Refund Approved"
				[ ] "$1.00"
				[ ] NULL
				[ ] NULL
				[ ] "**"
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit tender details correctly displayed in sales history")
	[ ] 
	[+] // CLEANUP
		[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
