﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify serial number tracking
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Enter the items on the sales receipt with serail number (Result 2)
		[ ] // 3. Set the SerialNum and click OK (Result 3)
		[ ] // 4. Receive payment
		[ ] // 5. Click on Save only then click cancel and Invoke sales history (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify Enter Serial number dialog is displayed
		[ ] // 3. Verify Serial Num is Updated
		[ ] // 4. Verify sale has been created
[ ] // TESTCASE.:VoidTransaction
[ ] // ATC ID::POS_MSG_ATC_M005
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\MASComp1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VoidTransaction.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase RefundPayment_ReverseReceipt ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sTotalDue, sMessage, sAuthorizationNum
		[ ] SalesReceiptRec srrSale
		[ ] LIST OF CreditPaymentDetailsRec lcpd, lcpdExpected
		[ ] CreditPaymentDetailsRec cpd
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "MASComp2.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SetUpMerchantAccount ()
		[ ] srrSale = {}
		[ ] srrSale.srp = {}
		[ ] srrSale.srp.ccd = {}
		[ ] lcpd = {}
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open new sales receipt and an item
			[ ] SalesReceipt.Sale.Invoke ()
			[+] srrSale.ldir = {...}
				[ ] {"MASItem1"}
			[ ] CreateSalesReceipt (srrSale)
			[ ] sTotalDue = SalesReceipt.Sale.SubTotal.GetTotalDue ()
		[ ] 
		[+] // Step 2: Take payemt by credit card
			[ ] srrSale.srp.bMAS = TRUE
			[ ] srrSale.srp.sPaymentMode = "Credit"
			[ ] srrSale.srp.ccd = ccdVisa
			[ ] sAuthorizationNum = ""
			[ ] ReceivePayment (srrSale.srp, sAuthorizationNum)
		[ ] 
		[+] // Step 3: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] lcpd = SalesReceipt.Sale.MASCreditPayment.Tenders.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 1: Verify credit payment details
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "1.00"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit payment detail displayed in credit dialog")
		[ ] 
		[+] // Step 4: Save the receipt  and go to sales history
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 2: Verify sale created
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 1 1 1.00 1 Credit Card"
			[ ] Wait (3)
			[ ] VerifySafely (GetSalesDetailFromSalesList (), lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 5: Open sales detail
			[ ] SalesHistory.SalesList.SalesDetails.Open ()
			[ ] SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.Credit.Click ()
			[ ] lcpd = SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 3: Verify credit payment details
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] "Authorized"
				[ ] "Sale Approved"
				[ ] "$1.00"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationNum}"
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit tender details correctly displayed in sales history")
		[ ] 
		[+] // Step 6: Select the receipt and go to IWT reverse
			[ ] SalesHistory.SalesList.Topbar.IWantTo.Open ()
			[ ] SalesHistory.SalesList.Topbar.IWantTo.Reverse.Click ()
			[ ] SalesHistory.ReversingDocument.Cashier.SelectItem ("Sysadmin")
			[ ] SalesHistory.ReversingDocument.OK.Click ()
		[ ] 
		[+] // Result 4: Verify message stating refund of payment dispalyed
			[ ] VerifySafely (SalesHistory.Confirmation.Exists (2), TRUE, "Confirmation dialog appeared")
			[ ] sMessage = "Reversing this document will also void or refund any credit or gift card transactions recorded on it."
			[ ] VerifySafely (SalesHistory.Confirmation.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Voiding or refunding a transaction cannot be undone. Are you sure you want to continue?"
			[ ] VerifySafely (SalesHistory.Confirmation.VerifyMessage (sMessage), TRUE, "Correct message displayed")
		[ ] 
		[+] // Step 7: Click on ok and reverse the receipt
			[ ] SalesHistory.Confirmation.Yes.Click ()
		[ ] 
		[+] // Result 5: Verify sale reversed
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Reversed Sales 1 1 1 1.00 1 Credit Card"
				[ ] "{GetDateString ("m/d/yyyy")} Reversing Return 1 2 Sysadmin 1 1.00 1 Credit Card"
			[ ] Wait (5)
			[ ] VerifySafely (GetSalesDetailFromSalesList (), lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 8: Select the reversed receipt
			[ ] SalesHistory.SalesList.Topbar.Search.SetData ("1")
		[ ] 
		[+] // Result 6: Verify credit payment details
			[ ] lcpd = SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.GetCreditTenderDetails ()
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] "Voided"
				[ ] "Sale Approved"
				[ ] "$1.00"
				[ ] NULL
				[ ] NULL
				[ ] "{sAuthorizationNum}"
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit tender details correctly displayed in sales history")
		[ ] 
		[+] // Step 9: Select the reversing receipt
			[ ] SalesHistory.SalesList.Topbar.Search.SetData ("2")
		[ ] 
		[+] // Result 7: Verify credit payment details
			[ ] lcpd = SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.GetCreditTenderDetails ()
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] ""
				[ ] "Refund Approved"
				[ ] "$1.00"
				[ ] NULL
				[ ] NULL
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit tender details correctly displayed in sales history")
	[ ] 
	[+] // CLEANUP
		[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
