﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify voiding a refund
	[+] // Test Steps:
		[ ] // Step 1: Open new return receipt and an item
		[ ] // Step 2: Click on credit
		[ ] // Step 3: Enter card details  and authorize
		[ ] // Step 4: Click on credit
		[ ] // Step 5: Click on Remove
		[ ] // Step 6: Save the receipt and got sales history
		[ ] // Step 7: Open sales detail
		[ ] // Step 8: Reverse the receipt
		[ ] // Step 9: Click on ok
	[+] // Expected Result:
		[ ] // Result 1: Verify Refund card is checked
		[ ] // Result 2: Verify refund approved message and credit dialog closes after refund
		[ ] // Result 3: Verify credit payment details
		[ ] // Result 4: Verify Information dialog displayed with correct mesage
		[ ] // Result 5: Verify declined message
		[ ] // Result 6: Verify sale created
		[ ] // Result 7: Verify credit payment details
		[ ] // Result 8: Verify message stating refund of payment dispalyed
		[ ] // Result 9: Verify Information dialog displayed with correct mesage
[ ] // TESTCASE.:VoidRefund
[ ] // ATC ID::POS_MSG_ATC_M011
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\MASComp2.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VoidRefund.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VoidRefund ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sTotalDue, sMessage, sAuthorizationNum
		[ ] SalesReceiptRec srrSale
		[ ] LIST OF CreditPaymentDetailsRec lcpd, lcpdExpected
		[ ] CreditPaymentDetailsRec cpd
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "MASComp2.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SetUpMerchantAccount ()
		[ ] srrSale = {}
		[ ] srrSale.srp = {}
		[ ] srrSale.srp.ccd = {}
		[ ] lcpd = {}
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open new return receipt and an item
			[ ] SalesReceipt.Sale.Invoke ()
			[+] srrSale.ldir = {...}
				[ ] {"MASItem1"}
			[ ] CreateSalesReceipt (srrSale)
			[ ] SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemButtons.ReturnItem.Click ()
			[ ] sTotalDue = SalesReceipt.Sale.SubTotal.GetTotalDue ()
		[ ] 
		[+] // Step 2: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] SalesReceipt.Sale.MASCreditPayment.CreditPaymentType.Manual.Check ()
		[ ] 
		[+] // Result 1: Verify Refund card is checked
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.RefundCard.IsChecked, TRUE, "Refund card is checked by default in return receipt")
		[ ] 
		[+] // Step 3: Enter card details  and authorize
			[ ] srrSale.srp.ccd = ccdVisa
			[ ] SalesReceipt.Sale.MASCreditPayment.EnterCardDetails (srrSale.srp.ccd)
			[ ] SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
			[ ] SalesReceipt.Confirmation.Yes.Click ()
		[ ] 
		[+] // Result 2: Verify refund approved message and credit dialog closes after refund
			[ ] sMessage = "Authorization in progress..."
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.AuthorizationStatus.GetStatus (), sMessage, "{sMessage} displayed")
			[ ] SalesReceipt.Sale.MASCreditPayment.TenderStatus.WaitForRefund ()
			[ ] sMessage = "Refund approved"
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.GetStatus (), sMessage, "{sMessage} message appeared")
			[ ] Wait (5)
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.Exists (2), FALSE, "Credit payment dialog closed")
		[ ] 
		[+] // Step 4: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] lcpd = SalesReceipt.Sale.MASCreditPayment.Tenders.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 3: Verify credit payment details
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Refund Approved"
				[ ] "1.00"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit payment detail displayed in credit dialog")
		[ ] 
		[+] // Step 5: Click on Remove
			[ ] SalesReceipt.Sale.MASCreditPayment.Tenders.CreditPaymentItem.Remove.Click ()
		[ ] 
		[+] // Result 4: Verify Information dialog displayed with correct mesage
			[ ] VerifySafely (SalesReceipt.Information.Exists (10), TRUE, "Information dialog displayed")
			[ ] sMessage = "Unable to void the refund"
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
		[ ] 
		[+] // Result 5: Verify declined message
			[ ] SalesReceipt.Information.OK.Click ()
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.GetStatus (), "Declined", "Transaction declined")
		[ ] 
		[+] // Step 6: Save the receipt and got sales history
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] WaitFor (SalesReceipt.Sale.Change)
			[ ] SalesReceipt.Sale.Change.OK.Click ()
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 6: Verify sale created
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 1 1 -1.00 -1 Credit Card"
			[ ] VerifySafely (GetSalesDetailFromSalesList (), lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 7: Open sales detail
			[ ] SalesHistory.SalesList.SalesDetails.Open ()
			[ ] SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.Credit.Click ()
			[ ] lcpd = SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 7: Verify credit payment details
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] "Authorized"
				[ ] "Refund Approved"
				[ ] "$1.00"
				[ ] NULL
				[ ] NULL
				[ ] "**"
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit tender details correctly displayed in sales history")
		[ ] 
		[+] // Step 8: Reverse the receipt
			[ ] // Reminaing part of script to be developed after functionality confirmation
			[ ] SalesHistory.SalesList.Topbar.IWantTo.Open ()
			[ ] SalesHistory.SalesList.Topbar.IWantTo.Reverse.Click ()
			[ ] SalesHistory.ReversingDocument.Cashier.SelectItem ("Sysadmin")
			[ ] SalesHistory.ReversingDocument.OK.Click ()
		[ ] 
		[+] // Result 8: Verify message stating refund of payment dispalyed
			[ ] VerifySafely (SalesHistory.Confirmation.Exists (2), TRUE, "Confirmation dialog appeared")
			[ ] sMessage = "Reversing this document will also void or refund any credit or gift card transactions recorded on it."
			[ ] VerifySafely (SalesHistory.Confirmation.VerifyMessage (sMessage), TRUE, "Correct message displayed")
			[ ] sMessage = "Voiding or refunding a transaction cannot be undone. Are you sure you want to continue?"
			[ ] VerifySafely (SalesHistory.Confirmation.VerifyMessage (sMessage), TRUE, "Correct message displayed")
		[ ] 
		[+] // Step 9: Click on ok
			[ ] SalesHistory.Confirmation.Yes.Click ()
		[ ] 
		[+] // Result 9: Verify Information dialog displayed with correct mesage
			[ ] VerifySafely (SalesReceipt.Information.Exists (10), TRUE, "Information dialog displayed")
			[ ] sMessage = "Unable to issue a refund. Operation is cancelled."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "{sMessage} displayed")
	[ ] 
	[+] // CLEANUP
		[ ] SalesHistory.Information.OK.Click ()
		[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
