﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify voiding credit transaction
	[+] // Test Steps:
		[ ] // Step 1: Open new sales receipt and an item
		[ ] // Step 2: Take payment by credit card
		[ ] // Step 3: Click on credit
		[ ] // Step 4: Click on Remove
		[ ] // Step 5: Click on Credit
		[ ] // Step 6: Take payment by cash, save the receipt and Go to sales history
		[ ] // Step 7: Open sales detail
	[+] // Expected Result:
		[ ] // Result 1: Verify credit payment details
		[ ] // Result 2: Verify Voiding transaction message and Voided message
		[ ] // Result 3: Verify credit payment window closes automatically after voiding
		[ ] // Result 4: Verify credit payment details
		[ ] // Result 5: Verify Total due is updated after voiding
		[ ] // Result 6: Verify sale created
		[ ] // Result 7: Verify credit payment is not recorded and other details
[ ] // TESTCASE.:VoidTransaction
[ ] // ATC ID::POS_MSG_ATC_M003
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\MASComp1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VoidTransaction.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VoidTransaction ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sTotalDue, sMessage, sAuthorizationNum
		[ ] SalesReceiptRec srrSale
		[ ] LIST OF CreditPaymentDetailsRec lcpd, lcpdExpected
		[ ] CreditPaymentDetailsRec cpd
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "MASComp2.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SetUpMerchantAccount ()
		[ ] srrSale = {}
		[ ] srrSale.srp = {}
		[ ] srrSale.srp.ccd = {}
		[ ] lcpd = {}
	[ ] 
	[+] // STEPS
		[+] // Step 1: Open new sales receipt and an item
			[ ] SalesReceipt.Sale.Invoke ()
			[+] srrSale.ldir = {...}
				[ ] {"MASItem1"}
			[ ] CreateSalesReceipt (srrSale)
			[ ] sTotalDue = SalesReceipt.Sale.SubTotal.GetTotalDue ()
		[ ] 
		[+] // Step 2: Take payment by credit card
			[ ] srrSale.srp.sPaymentMode = "Credit"
			[ ] srrSale.srp.bMAS = TRUE
			[ ] srrSale.srp.ccd = ccdVisa
			[ ] sAuthorizationNum = ""
			[ ] ReceivePayment (srrSale.srp, sAuthorizationNum)
		[ ] 
		[+] // Step 3: Click on credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] lcpd = SalesReceipt.Sale.MASCreditPayment.Tenders.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 1: Verify credit payment details
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Approved"
				[ ] "1.00"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit payment detail displayed in credit dialog")
		[ ] 
		[+] // Step 4: Click on Remove
			[ ] SalesReceipt.Sale.MASCreditPayment.Tenders.CreditPaymentItem.Remove.Click ()
		[ ] 
		[+] // Result 2: Verify Voiding transaction message and Voided message
			[ ] sMessage = "Voiding transaction in progress..."
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.InfoLine1.GetInfo (), sMessage, "{sMessage} displayed")
			[ ] SalesReceipt.Sale.MASCreditPayment.TenderStatus.WaitForVoiding ()
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.TenderStatus.GetStatus (), "Voided", "Transaction voided")
		[ ] 
		[+] // Result 3: Verify credit payment window closes automatically after voiding
			[ ] WaitGone (SalesReceipt.Sale.MASCreditPayment)
			[ ] VerifySafely (SalesReceipt.Sale.MASCreditPayment.Exists (2), FALSE, "Credit payment dialog closed")
		[ ] 
		[+] // Step 5: Click on Credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] lcpd = SalesReceipt.Sale.MASCreditPayment.Tenders.GetCreditTenderDetails ()
		[ ] 
		[+] // Result 4: Verify credit payment details
			[+] cpd = {...}
				[ ] "Visa"
				[ ] "x1111"
				[ ] NULL
				[ ] "Sale Voided"
				[ ] "1.00"
				[ ] "11/15"
				[ ] "Manual"
				[ ] NULL
			[+] lcpdExpected = {...}
				[ ] cpd
			[ ] VerifySafely (lcpd, lcpdExpected, "Credit payment detail displayed in credit dialog")
		[ ] 
		[+] // Result 5: Verify Total due is updated after voiding
			[ ] SalesReceipt.Sale.MASCreditPayment.Cancel.Click ()
			[ ] VerifySafely (SalesReceipt.Sale.SubTotal.GetTotalDue (), sTotalDue, "Total due updated after voiding")
		[ ] 
		[+] // Step 6: Take payment by cash, save the receipt and Go to sales history
			[ ] srrSale.srp = {}
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] ReceivePayment (srrSale.srp)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 6: Verify sale created
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 1 1 1.00 1 Split"
			[ ] VerifySafely (GetSalesDetailFromSalesList (), lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 7: Open sales detail
			[ ] SalesHistory.SalesList.SalesDetails.Open ()
		[ ] 
		[+] // Result 7: Verify credit payment is not recorded and other details
			[ ] VerifySafely (SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.Credit.Exists (2), FALSE, "Voided credit transaction not recorded")
	[ ] 
	[+] // CLEANUP
		[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
