﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new vendor
	[+] // Test Steps:
		[ ] // 1. Invoke Add Vendor window
		[ ] // 2. Fill the vendor form with all mandatory fields 
		[ ] // 3. Click on Save
		[ ] // 4. Enter name of created vendor on Find Vendor and press enter
		[ ] // 5. Click on Select vendor
	[+] // Expected Result:
		[ ] // 1. Verify Add Vendor form appears
		[ ] // 2. Verify Vendor List is dispalyed
		[ ] // 3. Verify Find Vendor dialog is displayed and select vendor button is enabled
		[ ] // 4. Verify Edit vendor form is displayed
		[ ] // 5. Verify vendor data saved successfully
[ ] // TESTCASE::AddNewVendor
[ ] // ATC ID::POS_PUR_ATC_012
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::AddNewVendor.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase AddNewVendor ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewVendorRec nvrVendor
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Add Vendor window
			[ ] Vendor.NewVendor.Invoke ()
		[ ] 
		[+] // Result 1: Verify Add Vendor form appears
			[ ] VerifySafely (Vendors.VendorList.AddVendor.Exists (5), TRUE, "New Vendor window open")
		[ ] 
		[+] // Step 2: Fill the vendor form with all mandatory fields 
			[ ] nvrVendor = {}
			[ ] nvrVendor.sVendorCode = "TVC"
			[ ] nvrVendor.sCompany = "TestVComp"
			[ ] nvrVendor.sFirstName = "TestVF"
			[ ] nvrVendor.sLastName = "TestVL"
			[ ] Vendors.VendorList.AddVendor.FillForm (nvrVendor)
		[ ] 
		[+] // Step 3: Click on Save
			[ ] Vendors.VendorList.AddVendor.Save.Click ()
		[ ] 
		[+] // Result 2: Verify Vendor List is dispalyed
			[ ] VerifySafely (Vendors.VendorList.Exists (5), TRUE, "Vendor List open")
		[ ] 
		[+] // Step 4: Enter name of created vendor on Search Vendor
			[ ] WaitTill (Vendors.VendorList.Topbar.SearchVendor.IsEnabled)
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (nvrVendor.sCompany)
			[ ] VendorList.Typekeys ("<Enter>")
		[ ] 
		[+] // Result 3: Verify Edit Button is enabled
			[ ] VerifySafely (Vendors.VendorList.Topbar.Edit.IsEnabled, TRUE, "Vendor {nvrVendor.sCompany} created")
		[ ] 
		[+] // Step 5: Click on Edit button
			[ ] Vendors.VendorList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 4: Verify Edit vendor form is displayed
			[ ] VerifySafely (Vendors.VendorList.EditVendor.Exists (2), TRUE, "Edit vendor open")
		[ ] 
		[+] // Result 5: Verify vendor data saved successfully
			[ ] VerifyVendorsData (nvrVendor)
	[ ] 
	[+] // CLEAN UP
		[+] if Vendors.VendorList.EditVendor.Exists (2)
			[ ] Vendors.VendorList.EditVendor.Cancel.Click ()
		[+] if Vendors.VendorList.Exists ()
			[ ] Vendors.VendorList.Topbar.Home.Click ()
[ ] 
