﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new Quantity Adjustment Memo
	[+] // Test Steps:
		[ ] // 1. Invoke Purchase Order List
		[ ] // 2. Select the PO
		[ ] // 3. Click on Copy
		[ ] // 4. Enter the new qty
		[ ] // 5. Get the PO Num and Click on save and Invoke PO List
	[+] // Expected Result:
		[ ] // 1. Verify Purchase Order  LIst is open
		[ ] // 2. Verify New Purchase Order is open and all data prefilled 
		[ ] // 3. Verify the PO is created
[ ] // TESTCASE::CopyPurchaseOrder
[ ] // ATC ID::POS_INV_ATC_004
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\PurchaseOrder.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CopyPurchaseOrder.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CopyPurchaseOrder () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sPONumber, sNewQty
		[ ] NewItemRec nirItem, nirUpdatedItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "PurchaseOrder.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Purchase Order List
			[ ] POList.Invoke ()
		[+] // Result 1: Verify Purchase Order  LIst is open
			[ ] VerifySafely (POList.PurchaseOrderList.Exists (5), TRUE, "Purchase Order is open")
		[+] // Step 2: Select the memo
			[ ] sPONumber = "1"
			[ ] POList.SelectPO (sPONumber)
		[+] // Step 3: Click on Copy
			[ ] POList.ToolBar.Select ("Copy PO")
		[+] // Result 2: Verify New Qty adj memo is open and all data prefilled 
			[ ] VerifySafely (PurchaseOrder.NewPurchaseOrder.Exists (3), TRUE, "NewPurchaseOrder displayed")
			[ ] VerifySafely (PurchaseOrder.NewPurchaseOrder.PageList.Vendor.GetText (), "PVendor1", "Vendor prefilled correctly")
		[+] // Step 4: Enter the new qty
			[ ] sNewQty = "30"
			[ ] PurchaseOrder.Typekeys ("<F5>")
			[ ] POItemInfo.PageList.Quantity.SetText (sNewQty)
			[ ] POItemInfo.OK.Click ()
		[+] // Step 5: Get the PO Num and Click on save and Invoke PO List
			[ ] sPONumber = PurchaseOrder.NewPurchaseOrder.PageList.PONumber.GetText ()
			[ ] PurchaseOrder.BottomBar.SaveOnly.Click ()
			[ ] POList.PurchaseOrderList.Invoke ()
		[+] // Result 3: Verify the PO is created
			[ ] POList.ToolBar.FindPO.SetText (sPONumber)
			[ ] POList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindPurchaseOrder.SelectPurchaseOrder.IsEnabled (), TRUE, "Purchase order created")
		[+] // Step 5: Open the PO and go to IWT -Write Letters
			[ ] FindPurchaseOrder.SelectPurchaseOrder.Click ()
			[ ] PurchaseOrder.Typekeys ("<Alt-O-W-F>")
		[+] // Result 4: Verfiy write letters
			[ ] VerifySafely (WriteLetters.Exists (3), TRUE, "Write letters displayed")
	[ ] 
	[+] // CLEAN UP
		[ ] WriteLetters.Cancel.Click ()
		[ ] PurchaseOrder.BottomBar.Close.Click ()
		[+] if FindPurchaseOrder.Exists (2)
			[ ] FindPurchaseOrder.Close.Click ()
		[+] if POList.PurchaseOrderList.Exists (3)
			[ ] POList.BottomBar.Close.Click ()
[ ] 
