﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Copy a Vendor
	[+] // Test Steps:
		[ ] // 1. Invoke Vendor List (Result 1)
		[ ] // 2. Get the Vendor data of the Vendor to be copied
		[ ] // 3. Select the vendor to be copied
		[ ] // 4. Click on -> Copy (Result 2)
		[ ] // 5. Change the company of the Vendor
		[ ] // 6. Click on save (Result 3)
		[ ] // 7. Enter name of created Vendor on find Vendor fiels of Vendor List and press enter
		[ ] // 8. Click on Select vendor (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify Vendor List is didplayed
		[ ] // 2. Verify Add New Vendor is displayed and all fields are prefilled accordingly
		[ ] // 3. Verify Vendor List is dispalyed
		[ ] // 4. Verify Edit Vendor form is displayed
		[ ] // 5. Verify Vendor data save successfully
[ ] // TESTCASE::CopyVendor
[ ] // ATC ID::POS_PUR_ATC_014
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CopyVendor.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::BHeem
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CopyVendor ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewVendorRec nvrVendor, nvrVendorCopy
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Vendor List
			[ ] Vendors.VendorList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Vendor List is displayed
			[ ] VerifySafely (Vendors.VendorList.Exists (5), TRUE, "Vendor List is displayed")
		[ ] 
		[+] // Step 2: Enter name of Vendor to be copied on Search Vendor field of Vendor List
			[ ] nvrVendor = {}
			[ ] nvrVendor.sCompany = "PVendor1"
		[ ] 
		[+] // Step 3: Get the Vendor data of the Vendor to be copied
			[ ] nvrVendor = GetVendorsData (nvrVendor)
		[ ] 
		[+] // Step 4: Click on I Want To -> Copy
			[ ] Vendors.VendorList.Topbar.IWantTo.Click ()
			[ ] Vendors.VendorList.Topbar.IWantTo.Copy.Click ()
		[ ] 
		[+] // Result 2: Verify Add New Vendor is displayed
			[ ] VerifySafely (Vendors.VendorList.AddVendor.Exists (5), TRUE, "Add Vendor form is displayed")
		[ ] 
		[+] // Result 3: Verify the Vendor form is already filled with data same as the Vendor which is being copied
			[ ] VerifySafely (Vendors.VendorList.AddVendor.Company.GetLineText (0), nvrVendor.sCompany, "Vendor Name already filled")
		[ ] 
		[+] // Step 5: Change the name of the Vendor
			[ ] nvrVendorCopy = nvrVendor
			[ ] nvrVendorCopy.sCompany = "CopyVendor"
			[ ] Vendors.VendorList.AddVendor.Company.SetData (nvrVendorCopy.sCompany)
		[ ] 
		[+] // Step 6: Click on save
			[ ] Vendors.VendorList.AddVendor.Save.Click ()
		[ ] 
		[+] // Result 4: Verify Vendor List is dispalyed
			[ ] VerifySafely (Vendors.VendorList.Exists (5), TRUE, "Vendor List is displayed")
		[ ] 
		[+] // Step 7: Enter name of created Vendor on Search Vendor field of Vendor List
			[ ] WaitTill (Vendors.VendorList.Topbar.SearchVendor.IsEnabled)
			[ ] Vendors.VendorList.Topbar.SearchVendor.Clear ()
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (nvrVendorCopy.sCompany)
		[ ] 
		[+] // Step 8: Click on Edit
			[ ] WaitTill(Vendors.VendorList.Topbar.Edit.IsEnabled)
			[ ] Vendors.VendorList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 5: Verify Edit Vendor form is displayed
			[ ] VerifySafely (Vendors.VendorList.EditVendor.Exists (5), TRUE, "Edit Vendor form appeared")
		[ ] 
		[+] // Result 6: Verify Vendor data save successfully
			[ ] VerifyVendorsData (nvrVendorCopy)
	[ ] 
	[+] // CLEAN UP
		[+] if Vendors.VendorList.EditVendor.Exists ()
			[ ] Vendors.VendorList.EditVendor.Cancel.Click ()
		[+] if Vendors.VendorList.Exists ()
			[ ] Vendors.VendorList.Topbar.Home.Click ()
[ ] 
