﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete an Purchase Order
	[+] // Test Steps.
		[ ] // 1. Invoke PurchaseOrder List
		[ ] // 2. Select the PurchaseOrder to be deleted
		[ ] // 3. Go to I Want To-> Delete
		[ ] // 4. Click on cancel
		[ ] // 5. Clik on Close and then Go to I Want To-> Delete
		[ ] // 6. Click on Delete
	[+] // Expected Result.
		[ ] // 1. Verify PurchaseOrder List is didplayed
		[ ] // 2. Verify delete confirmation message is displayed
		[ ] // 3. Verify the PurchaseOrder has not been deleted
		[ ] // 4. Verify delete confirmation message is displayed
		[ ] // 5. Verify the PurchaseOrder has been deleted
[ ] // TESTCASE::DeletePurchaseOrder
[ ] // ATC ID::POS_PUR_ATC_022
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\PurchaseOrder.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::DeletePurchaseOrder.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase DeletePurchaseOrder () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sPONumber
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "PurchaseOrder.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke PurchaseOrder List
			[ ] POList.Invoke ()
		[ ] 
		[+] // Result 1: Verify PurchaseOrder List is didplayed
			[ ] VerifySafely (POList.PurchaseOrderList.Exists (5), TRUE, "PurchaseOrder List is displayed")
		[ ] 
		[+] // Step 2: Select the PurchaseOrder to be deleted
			[ ] sPONumber = "1"
			[ ] POList.SelectPO (sPONumber)
		[ ] 
		[+] // Step 3: Go to I Want To-> Delete
			[ ] POList.Typekeys ("<Alt-O-D>")
		[ ] 
		[+] // Result 2: Verify delete confirmation message is displayed
			[ ] VerifySafely (DeletePurchaseOrder.Exists (3), TRUE, "Delete PurchaseOrder displayed")
		[ ] 
		[+] // Step 4: Click on cancel
			[ ] DeletePurchaseOrder.Cancel.Click ()
		[ ] 
		[+] // Result 3: Verify the PurchaseOrder has not been deleted
			[ ] POList.ToolBar.FindPO.SetText (sPONumber)
			[ ] POList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindPurchaseOrder.SelectPurchaseOrder.IsEnabled (), TRUE, "PurchaseOrder has not been deleted after clickin on cancel")
		[ ] 
		[+] // Step 5: Clik on Close and then Go to I Want To-> Delete
			[ ] FindPurchaseOrder.Close.Click ()
			[ ] POList.Typekeys ("<Alt-O-D>")
		[ ] 
		[+] // Result 4: Verify delete confirmation message is displayed
			[ ] VerifySafely (DeletePurchaseOrder.Exists (3), TRUE, "Delete PurchaseOrder displayed")
		[ ] 
		[+] // Step 6: Click on Delete
			[ ] DeletePurchaseOrder.Delete.Click ()
		[ ] 
		[+] // Result 5: Verify the PurchaseOrder has been deleted
			[ ] POList.ToolBar.FindPO.SetText (sPONumber)
			[ ] POList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindPurchaseOrder.SelectPurchaseOrder.IsEnabled (), FALSE, "PurchaseOrder has been deleted after clickin on delete")
	[ ] 
	[+] // CLEAN UP
		[+] if FindPurchaseOrder.Exists (3)
			[ ] FindPurchaseOrder.Close.Click ()
		[+] if POList.PurchaseOrderList.Exists ()
			[ ] POList.BottomBar.Close.Click ()
[ ] 
