﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit an existing purchase order
	[+] // Test Steps:
		[ ] // 1. Invoke Purchase order List
		[ ] // 2. Click on Find Purchase Order and press Enter
		[ ] // 3. Enter the PO keyword and click on Find
		[ ] // 4. Click on Select Purchase Order
		[ ] // 5. Change the reason
		[ ] // 6. Go to IWT->EditInstructions
		[ ] // 7. Enter Instructions, click OK and then save the memo
		[ ] // 8. Enter the memo number on Find Purchase Order and press Enter
		[ ] // 9. Click on Select Purchase Order
		[ ] // 10. Close edit qty adj and qty history and Go to IWT->View Instructions
	[+] // Expected Result:
		[ ] // 1.  Verify POList is open
		[ ] // 2. Verify Find Purchase Order dialog is displayed
		[ ] // 3. Verify select memo is enabled
		[ ] // 4. Edit Purchase Order Should be open
		[ ] // 5. Verify Edit Instructions dialog is displayed
		[ ] // 6. Edit Purchase Order Should be open and all reason updated
		[ ] // 7. Verify view Instructions dialog displayed and Instructions shown as updated
[ ] // TESTCASE::EditPurchaseOrder
[ ] // ATC ID::POS_PUR_ATC_017
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\PurchaseOrder.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::EditPurchaseOrder.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase EditPurchaseOrder () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sPONumber, sNewStatus, sInstructions
		[ ] NewPurchaseOrderRec npoOrder
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "PurchaseOrder.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Purchase order List
			[ ] POList.PurchaseOrderList.Invoke ()
		[+] // Result 1:  Verify POList is open
			[ ] VerifySafely (POList.PurchaseOrderList.Exists (5), TRUE, "POList is open")
		[+] // Step 2: Click on Find Purchase Order and press Enter
			[ ] POList.PurchaseOrderList.Filter.Select ("All Quantity Adjustment Memos")
			[ ] POList.ToolBar.FindPO.Click ()
			[ ] POList.Typekeys ("<Enter>")
		[+] // Result 2: Verify Find Purchase Order dialog is displayed
			[ ] VerifySafely (FindPurchaseOrder.Exists (3), TRUE, "FindPurchaseOrder dialog displayed")
		[+] // Step 3: Enter the PO keyword and click on Find
			[ ] sPONumber = "1"
			[ ] FindPurchaseOrder.Keyword.SetText (sPONumber)
			[ ] FindPurchaseOrder.Find.Click ()
		[+] // Result 3: Verify select memo is enabled
			[ ] VerifySafely (FindPurchaseOrder.SelectPurchaseOrder.IsEnabled (), TRUE, "Purchase Order found")
		[+] // Step 4: Click on Select Purchase Order
			[ ] FindPurchaseOrder.SelectPurchaseOrder.Click ()
		[+] // Result 4: Edit Purchase Order Should be open
			[ ] VerifySafely (PurchaseOrder.EditPurchaseOrder.Exists (5), TRUE, "Edit purchase order open")
		[+] // Step 5: Change the reason
			[ ] sNewStatus = "Pending"
			[ ] PurchaseOrder.EditPurchaseOrder.PageList.Status.Select (sNewStatus)
		[+] // Step 6: Go to IWT->EditInstructions
			[ ] PurchaseOrder.Typekeys ("<Alt-O-D>")
		[+] // Result 5: Verify Edit Instructions dialog is displayed
			[ ] VerifySafely (EditInstructions.Exists (3), TRUE, "Edit Instructions dialog displyed")
		[+] // Step 7: Enter Instructions, click OK and then save the memo
			[ ] sInstructions = "TestInstructions"
			[ ] EditInstructions.Instructions.SetText (sInstructions)
			[ ] EditInstructions.OK.Click ()
			[ ] PurchaseOrder.BottomBar.SaveOnly.Click ()
		[+] // Step 8: Enter the memo number on Find Purchase Order and press Enter
			[ ] POList.ToolBar.FindPO.SetText (sPONumber)
			[ ] POList.Typekeys ("<Enter>")
		[+] // Step 9: Click on Select Purchase Order
			[ ] FindPurchaseOrder.SelectPurchaseOrder.Click ()
		[+] // Result 5: Edit Purchase Order Should be open and all reason updated
			[ ] VerifySafely (PurchaseOrder.EditPurchaseOrder.PageList.Status.GetText (), sNewStatus, "Status updated")
		[+] // Step 10: Close edit qty adj and qty history and Go to IWT->View Instructions
			[ ] PurchaseOrder.BottomBar.Close.Click ()
			[ ] POList.Typekeys ("<Alt-O-H>")
		[+] // Result 6: Verify view Instructions dialog displayed and Instructions shown as updated
			[ ] VerifySafely (ViewInstructions.Exists (3), TRUE, "View Instructions dialog displayed")
			[ ] VerifySafely (ViewInstructions.Instructions.GetText (), sInstructions, "Instructions shown in view Instructions")
		[+] // Step 11: Add a fee and then go to IWT Receive Items
			[ ] ViewInstructions.OK.Click ()
			[ ] POList.OpenPOForEdit ("1")
			[ ] npoOrder.sFee = "5.00"
			[ ] PurchaseOrder.EditPurchaseOrder.PageList.Status.Select ("Open")
			[ ] PurchaseOrder.EditPurchaseOrder.PageList.Fee.SetText (npoOrder.sFee)
			[ ] PurchaseOrder.Typekeys ("<Tab>")
			[ ] PurchaseOrder.Typekeys ("<Alt-O-C>")
			[ ] SelectItemsToReceive.SelectItems.SelectAll.Click ()
			[ ] SelectItemsToReceive.Continue.Click ()
		[+] // Result 7: Verify Information exists Receiving voucher is open and data updated
			[ ] VerifySafely (Voucher.Confirmation.Exists (10), TRUE, "Receiving Voucher open")
			[ ] Voucher.Confirmation.Yes.Click ()
			[ ] VerifySafely (Voucher.ReceivingVoucher.Totals.Fee.GetCaption (), npoOrder.sFee, "Instructions copied")
	[ ] 
	[+] // CLEAN UP
		[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
		[ ] Voucher.ReceivingVoucher.Cancel.Click ()
		[+] if ViewInstructions.Exists ()
			[ ] ViewInstructions.OK.Click ()
		[+] if POList.PurchaseOrderList.Exists ()
			[ ] POList.BottomBar.Close.Click ()
[ ] 
