﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit an existing Vendor
	[+] // Test Steps:
		[ ] // 1. Invoke Vendors List (Result 1)
		[ ] // 2. Click on Find Vendor field and press enter (Result 2)
		[ ] // 3. Enter the vendor name to be edited and clik on Find (Result 3)
		[ ] // 4. Click on Select Vendor (Result 4)
		[ ] // 5. Fill the Vendor form with all mandatory fields
		[ ] // 6. Click on Save
		[ ] // 6. Enter name of Vendor  to be edited on Find Vendor field of Vendor List (Result 5)
		[ ] // 7. Click on Select Vendor (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify Vendor List is dispalyed
		[ ] // 2. Verify Find vendor dialog is displayed
		[ ] // 3. Verify Select Vendor button is enabled
		[ ] // 4. Verify Edit Vendor form is displayed
		[ ] // 5. Verify Find vendor dialog is displayed
		[ ] // 6. Verify Edit Vendor form is displayed
		[ ] // 7. Verify Vendor data save successfully
[ ] // TESTCASE::EditVendor
[ ] // ATC ID::POS_PUR_ATC_013
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::EditVendor.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::BHeem
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase EditVendor ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewVendorRec nvrVendor
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Vendors List
			[ ] Vendors.VendorList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Vendor List is dispalyed
			[ ] VerifySafely (Vendors.VendorList.Exists (5), TRUE, "Vendors List is displayed")
		[ ] 
		[+] // Step 2: Enter the vendor name to be edited in Serach Vendor 
			[ ] nvrVendor = {}
			[ ] nvrVendor.sCompany = "PVendor1"
			[ ] WaitTill(Vendors.VendorList.Topbar.SearchVendor.IsEnabled)
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (nvrVendor.sCompany)
		[ ] 
		[+] // Result 2: Verify Edit Button is enabled
			[ ] VerifySafely (Vendors.VendorList.Topbar.Edit.IsEnabled, TRUE, "Vendor Found")
		[ ] 
		[+] // Step 3: Click on Edit button
			[ ] Vendors.VendorList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 3: Verify Edit Vendor form is displayed
			[ ] VerifySafely (Vendors.VendorList.EditVendor.Exists (1), TRUE, "Edit Vendor form appeared")
		[ ] 
		[+] // Step 4: Fill the Vendor form with all mandatory fields
			[ ] nvrVendor.sLastName = "TestVendL"
			[ ] Vendors.VendorList.EditVendor.FillForm (nvrVendor)
		[ ] 
		[+] // Step 5: Click on Save
			[ ] Vendors.VendorList.EditVendor.Save.Click ()
		[ ] 
		[+] // Step 6: Enter name of Vendor  to be edited on SearchVendor field of Vendor List
			[ ] WaitTill(Vendors.VendorList.Topbar.SearchVendor.IsEnabled)
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (nvrVendor.sCompany)
		[ ] 
		[+] // Result 6: Verify Find vendor dialog is displayed
			[ ] VerifySafely (Vendors.VendorList.Topbar.Edit.IsEnabled, TRUE, "Vendor edited")
		[ ] 
		[+] // Step 7: Click on Edit 
			[ ] Vendors.VendorList.Topbar.Edit.Click ()
		[ ] 
		[+] // Result 7: Verify Edit Vendor form is displayed
			[ ] VerifySafely (Vendors.VendorList.EditVendor.Exists (1), TRUE, "Edit Vendor form appeared")
		[ ] 
		[+] // Result 6: Verify Vendor data save successfully
			[ ] VerifyVendorsData (nvrVendor)
	[ ] 
	[+] // CLEAN UP
		[+] if Vendors.VendorList.EditVendor.Exists (2)
			[ ] Vendors.VendorList.EditVendor.Cancel.Click ()
		[+] if Vendors.VendorList.Exists ()
			[ ] Vendors.VendorList.Topbar.Home.Click ()
[ ] 
