﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying merging 2 Vendors
	[+] // Test Steps:
		[ ] // 1. Invoke Vendor List (Result 1)
		[ ] // 2. Select Vendor to be merged and Goto I Want To -> Merge (Result 2)
		[ ] // 3. Merge 2 vendors (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify Vendor List is dispalyed
		[ ] // 2. Verify Merge Vendor opens up
		[ ] // 3. Verify Vendor to be removed is not present in Vendor list
[ ] // TESTCASE::MergeVendor
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::MergeVendor.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::BHeem
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase MergeVendor ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sVendor1, sVendor2
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Vendor List
			[ ] Vendors.VendorList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Vendor List is dispalyed
			[ ] VerifySafely (Vendors.VendorList.Exists (5), TRUE, "Vendor List is displayed")
		[ ] 
		[+] // Step 2: Enter name of Vendor to be merged in Search Vendor field of Vendor List
			[ ] sVendor1 = "PVendor1"
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (sVendor1)
		[ ] 
		[+] // Step 3: Click on I Want To -> Merge
			[ ] Vendors.VendorList.Topbar.IWantTo.Click ()
			[ ] Vendors.VendorList.Topbar.IWantTo.Merge.Click ()
		[ ] 
		[+] // Result 2: Verify Merge Vendor dialog is displayed
			[ ] VerifySafely (MergeVendors.Exists (3), TRUE, "Merge Vendors dialog appears")
		[ ] 
		[+] // Step 4: Enter the second vendor name and click Merge
			[ ] MergeVendors.SetActive ()
			[ ] sVendor2 = "PVendor2"
			[ ] MergeVendors.RemoveThisDuplicate.Vendor.Select2 (sVendor2)
			[ ] MergeVendors.MergeVendors.Click ()
		[ ] 
		[+] // Result 3: Verify Vendor List is dispalyed
			[ ] VerifySafely (Vendors.VendorList.Exists (5), TRUE, "Vendor List is displayed")
			[ ] Vendors.VendorList.Topbar.SearchVendor.Clear ()
		[ ] 
		[+] // Result 4: Verify the Vendors merged
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (sVendor1)
			[ ] VerifySafely (Vendors.VendorList.Topbar.Edit.IsEnabled, TRUE, "{sVendor1} vendor is kept")
			[ ] Vendors.VendorList.Topbar.SearchVendor.Clear ()
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (sVendor2)
			[ ] VerifySafely (Vendors.VendorList.Topbar.Edit.IsEnabled, FALSE, "{sVendor2} vendor is deleted")
	[ ] 
	[+] // CLEAN UP
		[+] if Vendors.VendorList.Exists ()
			[ ] Vendors.VendorList.Topbar.Home.Click ()
[ ] 
[ ] 
