﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new Purchase Order
	[+] // Test Steps:
		[ ] // 1. Invoke New Purchase order (Result 1)
		[ ] // 2. Enter the details
		[ ] // 3. Get the total and save
		[ ] // 4. Invoke Purchase order List (Result 2)
		[ ] // 5. Enter the PO num ber on the Find PO field and press enter (Result 3)
		[ ] // 6. Click on Select purchase order (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify New Purchase order is open
		[ ] // 2.  Verify POList is open 
		[ ] // 3. Verify Find Purchase Order dialog is displayed
		[ ] // 4. Verify edit purchase order is open and data is correct
[ ] // TESTCASE::NewPurchaseOrder
[ ] // ATC ID::POS_PUR_ATC_016
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::NewPurchaseOrder.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase NewPurchaseOrder () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewPurchaseOrderRec npoOrder, npoPO2
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke New Purchase order
			[ ] PurchaseOrder.NewPurchaseOrder.Invoke ()
		[+] // Result 1: Verify New Purchase order is open
			[ ] VerifySafely (PurchaseOrder.NewPurchaseOrder.Exists (5), TRUE, "New PO is open")
		[+] // Step 2: Enter the details
			[ ] npoOrder = {}
			[ ] npoOrder.ldir = {}
			[ ] npoOrder.sPONumber = PurchaseOrder.NewPurchaseOrder.PageList.PONumber.GetText ()
			[ ] npoOrder.sStatus = PurchaseOrder.NewPurchaseOrder.PageList.Status.GetText ()
			[ ] npoOrder.sVendor = "PVendor1"
			[ ] npoOrder.sAssociate = "Sysadmin"
			[+] npoOrder.ldir = {...}
				[ ] {"InvItem1", "5"}
				[ ] {"InvItem2", "6"}
			[ ] // CreatePurchaseOrder (npoOrder)
			[ ] PurchaseOrder.NewPurchaseOrder.FillForm (npoOrder)
		[ ] 
		[+] // Step 3: Click on Terms ->Edit
			[ ] PurchaseOrder.NewPurchaseOrder.PageList.Edit.Click (1, 3, 3)
		[ ] 
		[+] // Result 1: Verify Terms dialog displayed
			[ ] VerifySafely (Terms.Exists (3), TRUE, "Terms dialog displyed")
		[ ] 
		[+] // Step 4: Enter the term details and click OK
			[ ] Terms.NetDueIn.SetText ("10")
			[ ] Terms.DiscountPC.SetText ("10")
			[ ] Terms.DiscountIfPaidWithin.SetText ("10")
			[ ] Terms.OK.Click ()
		[ ] 
		[+] // Result 2: verify Terms field updated
			[ ] VerifySafely (PurchaseOrder.NewPurchaseOrder.PageList.Terms.GetText (), "%/Days - 10% 10 days NET 10 days", "Terms field updated")
		[ ] 
		[+] // Step 5: Set Payment due date and discount pc
			[ ] PurchaseOrder.NewPurchaseOrder.PageList.PaymentDueDate.SetText (GetDateString ("m/d/yyyy"))
			[ ] PurchaseOrder.NewPurchaseOrder.PageList.DiscountPC.SetText ("10")
			[ ] PurchaseOrder.NewPurchaseOrder.PageList.Fee.SetText ("2")
		[ ] 
		[+] // Result 3: Verify Discount and Fee applied
			[ ] VerifySafely (PurchaseOrder.NewPurchaseOrder.PageList.Total.GetTextFromDisabled (), "$765.00", "Discount and Fee applied")
		[ ] 
		[+] // Step 6: Get the total and save
			[ ] npoOrder.sTotal = PurchaseOrder.NewPurchaseOrder.PageList.Total.GetTextFromDisabled ()
			[ ] PurchaseOrder.BottomBar.SaveOnly.Click ()
		[+] // Step 7: Invoke Purchase order List
			[ ] POList.PurchaseOrderList.Invoke ()
		[+] // Result 4:  Verify POList is open
			[ ] VerifySafely (POList.PurchaseOrderList.Exists (5), TRUE, "POList is open")
		[+] // Step 8: Enter the PO num ber on the Find PO field and press enter
			[ ] POList.ToolBar.FindPO.SetText (npoOrder.sPONumber)
			[ ] POList.Typekeys ("<Enter>")
		[+] // Result 5: Verify Find Purchase Order dialog is displayed
			[ ] VerifySafely (FindPurchaseOrder.Exists (3), TRUE, "Find Purchase order is open")
		[+] // Step 9: Click on Select purchase order
			[ ] FindPurchaseOrder.SelectPurchaseOrder.Click ()
		[+] // Result 6: Verify edit purchase order is open and data is correct
			[ ] VerifySafely (PurchaseOrder.EditPurchaseOrder.Exists (4), TRUE, "Edit Purchase order is open")
			[ ] VerifySafely (PurchaseOrder.EditPurchaseOrder.PageList.Status.GetText (), npoOrder.sStatus, "Status of  Purchase order is open")
		[+] // Step 10: Open new new PO and GO to IWT ->Select Items from List
			[+] if PurchaseOrder.EditPurchaseOrder.Exists ()
				[ ] PurchaseOrder.BottomBar.Close.Click ()
			[+] if POList.PurchaseOrderList.Exists ()
				[ ] POList.BottomBar.Close.Click ()
			[ ] npoPO2 = {}
			[ ] PurchaseOrder.NewPurchaseOrder.Invoke ()
			[ ] PurchaseOrder.Typekeys ("<Alt-O-S>")
		[ ] 
		[+] // Result 9: POList item list is displayed
			[ ] VerifySafely (POItemList.NewPurchaseOrderSelectItems.Exists (2), TRUE, "Item list displayed for selection")
			[ ] 
		[+] // Step 11: Select an item from Item list
			[ ] POItemList.SelectItem ("InvItem1")
			[ ] POItemList.BottomBar.Select.Click ()
			[ ] WaitFor (PurchaseOrder.NewPurchaseOrder)
			[ ] PurchaseOrder.Typekeys ("<F5>")
			[ ] WaitFor (POItemInfo, 5)
		[ ] 
		[+] // Result 10: Verify Item added to PO from Item list
			[ ] VerifySafely (POItemInfo.PageList.ItemName.GetText (), "InvItem1", "Item added for list")
			[ ] 
		[+] // Step 9: Go to IWT ->Select Vendor from list
			[ ] POItemInfo.OK.Click ()
			[ ] PurchaseOrder.Typekeys ("<Alt-O-E>")
		[ ] 
		[+] // Result 11: Verify PO Vendor list displayed
			[ ] VerifySafely (POVendorList.NewPurchaseOrderSelectVendor.Exists (2), TRUE, "Item list displayed for selection")
			[ ] 
		[+] // Step 10: Select a Vendor from list
			[ ] npoPO2.sVendor = "PVendor2"
			[ ] POVendorList.SelectVendor (npoPO2.sVendor)
			[ ] POVendorList.BottomBar.Select.Click ()
			[ ] WaitFor (PurchaseOrder.NewPurchaseOrder)
		[ ] 
		[+] // Result 12: Verify Vendor added from cust list
			[ ] VerifySafely (PurchaseOrder.NewPurchaseOrder.PageList.Vendor.GetText (), npoPO2.sVendor, "Vendor added from list")
		[ ] 
		[+] // Step 12: Add a new SPitem via IWT and click save and print
			[ ] // POVendorList.BottomBar.Select.Click ()
			[ ] PurchaseOrder.Typekeys ("<Alt-O-N>")
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "SpItem"
			[ ] nirItem.sDepartment = "System"
			[ ] nirItem.sRegularPrice = "10"
			[ ] nirItem.sOrderCost = "4"
			[ ] nirItem.sOnHandQty = "5"
			[ ] POSpecialOrderItem.NewPurchaseOrderNewSpecialOrderItem.FillForm (nirItem)
			[ ] POSpecialOrderItem.BottomBar.SaveAndSelect.Click ()
			[ ] PurchaseOrder.BottomBar.SavePrint.Click ()
		[ ] 
		[+] // Result 14: Verify Print dialog displayed
			[ ] VerifySafely (GeneralPrint.Exists (3), TRUE, "Print dialog displayed")
	[ ] 
	[+] // CLEAN UP
		[ ] GeneralPrint.Cancel.Click ()
		[+] if PurchaseOrder.EditPurchaseOrder.Exists ()
			[ ] PurchaseOrder.BottomBar.Close.Click ()
		[+] if POList.PurchaseOrderList.Exists ()
			[ ] POList.BottomBar.Close.Click ()
[ ] 
