﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating a new receiving voucher
	[+] // Test Steps:
		[ ] // 1: Invoke new receiving voucher (Result 1)
		[ ] // 2: Enter the items on receiving voucher 
		[ ] // 3: Click on SaveOnly (Result 2)
		[ ] // 4: Click on Ok
		[ ] // 5: Enter vendor
		[ ] // 6: Click on SaveOnly
		[ ] // 7: Click on Cancel
		[ ] // 8: Invoke receiving history (Result 3 and 4)
	[+] // Expected Result:
		[ ] // 1: Verify receiving voucher window is open
		[ ] // 2: Verify an warning message occurs 
		[ ] // 3: Verify receiving history is displayed
		[ ] // 4: Verify voucher created
[ ] // TESTCASE::NewReceivingVoucher
[ ] // ATC ID::POS_PUR_ATC_001
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::NewReceivingVoucher.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase NewReceivingVoucher ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sMessage, sVendor
		[ ] LIST OF STRING lsVoucherExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new receiving voucher
			[ ] Voucher.ReceivingVoucher.Invoke ()
		[ ] 
		[+] // Result 1: Verify receiving voucher window is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Receiving voucher is open")
		[ ] 
		[+] // Step 2: Enter the items on receiving voucher 
			[ ] sItem = "InvItem1"
			[ ] Voucher.ReceivingVoucher.EnterItems.SelectItem (sItem)
		[ ] 
		[+] // Step 3: Click on SaveOnly
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
		[ ] 
		[+] // Result 2: Verify an warning message occurs 
			[ ] sMessage = "Required field not completed"
			[ ] Voucher.MessageBox.VerifyMessage (sMessage)
		[ ] 
		[+] // Step 4: Click on Ok
			[ ] Voucher.MessageBox.OK.Click ()
		[ ] 
		[+] // Step 5: Enter vendor
			[ ] sVendor = "System"
			[ ] Voucher.ReceivingVoucher.EnterVendor.SelectVendor (sVendor)
		[ ] 
		[+] // Step 6: Click on SaveOnly
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
		[ ] 
		[+] // Step 7: Click on Cancel
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
		[ ] 
		[+] // Step 8: Invoke receiving history
			[ ] ReceivingHistory.VoucherList.Invoke ()
		[ ] 
		[+] // Result 3: Verify receiving history is displayed
			[ ] VerifySafely (ReceivingHistory.VoucherList.Exists (5), TRUE, "Receiving history is displayed")
		[ ] 
		[+] // Result 4: Verify voucher created
			[ ] ReceivingHistory.VoucherList.RemoveGridColumn ("VoucherDate")
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 1 System 1 50.00 Already paid 1"
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Voucher created and displyes in receiving history")
	[ ] 
	[+] // CLEANUP
		[+] if ReceivingHistory.VoucherList.GoBack.Exists (3)
			[ ] ReceivingHistory.VoucherList.GoBack.Click ()
[ ] 
