﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit an existing purchase order
	[+] // Test Steps:
		[ ] // 1. Invoke Purchase order List (Result 1)
		[ ] // 2. Open the PO for edit (Result 2)
		[ ] // 3. Go to IWT->Receive Items (Result 3)
		[ ] // 4. Click on Select all and then click continiue (Result 4)
		[ ] // 5. Save the voucher and invoke receiving history (Result 5)
		[ ] // 6. Invoke PO List and open the PO (Result 6)
	[+] // Expected Result:
		[ ] // 1.  Verify POList is open
		[ ] // 2. Edit Purchase Order Should be open
		[ ] // 3. Verify Select Items dialog is displayed
		[ ] // 4. Verify Receiving voucher is open and data updated
		[ ] // 5. Verify voucher created
		[ ] // 6. Verify status is closed
[ ] // TESTCASE::PurchaseOrderIWTReceiveItems
[ ] // ATC ID::POS_PUR_ATC_023
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\PurchaseOrder.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::PurchaseOrderIWTReceiveItems.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase PurchaseOrderIWTReceiveItems () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sPONumber, sNewStatus, sInstructions
		[ ] PurchaseOrderRec porPO
		[ ] LIST OF STRING lsVoucherExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "PurchaseOrder.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Purchase order List
			[ ] POList.PurchaseOrderList.Invoke ()
		[ ] 
		[+] // Result 1:  Verify POList is open
			[ ] VerifySafely (POList.PurchaseOrderList.Exists (5), TRUE, "POList is open")
		[ ] 
		[+] // Step 2: Open the PO for edit
			[ ] porPO = {}
			[ ] porPO.sPONum = "1"
			[ ] POList.OpenPOForEdit (porPO.sPONum)
		[ ] 
		[+] // Result 2: Edit Purchase Order Should be open
			[ ] VerifySafely (PurchaseOrder.EditPurchaseOrder.Exists (5), TRUE, "Edit purchase order open")
		[ ] 
		[+] // Step 3:Edit the instruction then got Go to IWT->Receive Items
			[ ] PurchaseOrder.EditPurchaseOrder.PageList.Instructions.Click ()
			[ ] sInstructions = "Test Instuctions"
			[ ] PurchaseOrder.Typekeys (sInstructions)
			[ ] PurchaseOrder.Typekeys ("<Tab>")
			[ ] PurchaseOrder.Typekeys ("<Alt-O-C>")
		[ ] 
		[+] // Result 3: Verify Select Items dialog is displayed
			[ ] VerifySafely (SelectItemsToReceive.Exists (3), TRUE, "SelectItemsToReceive dialog displyed")
		[ ] 
		[+] // Step 4: Click on Select all and then click continiue
			[ ] SelectItemsToReceive.SelectItems.SelectAll.Click ()
			[ ] SelectItemsToReceive.PurchaseOrderInstructions.CopyThePurchaseOrderInstructions.Check ()
			[ ] SelectItemsToReceive.Continue.Click ()
		[ ] 
		[+] // Result 4: Verify Receiving voucher is open and data updated
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (10), TRUE, "Receiving Voucher open")
			[ ] Sleep (3)
			[ ] VerifySafely (Voucher.ReceivingVoucher.Totals.Comments.GetCaption (), sInstructions, "Instructions copied")
		[ ] 
		[+] // Step 5: Save the voucher and invoke receiving history
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[ ] ReceivingHistory.VoucherList.Invoke ()
		[ ] 
		[+] // Result 5: Verify voucher created
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 1 PVendor1 1 500.00 Already paid 10"
			[ ] ReceivingHistory.VoucherList.RemoveGridColumn ("VoucherDate")
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Voucher created")
			[ ] ReceivingHistory.VoucherList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 6: Invoke PO List and open the PO
			[ ] POList.Invoke ()
			[ ] POList.OpenPOForEdit (porPO.sPONum)
		[ ] 
		[+] // Result 6: Verify status is closed
			[ ] VerifySafely (PurchaseOrder.EditPurchaseOrder.PageList.Status.GetText (), "Closed", "Statis updated correctly")
	[ ] 
	[+] // CLEAN UP
		[+] if PurchaseOrder.EditPurchaseOrder.Exists ()
			[ ] PurchaseOrder.BottomBar.Close.Click ()
		[+] if POList.PurchaseOrderList.Exists ()
			[ ] POList.BottomBar.Close.Click ()
[ ] 
