﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify copying a receiving voucher
	[+] // Test Steps:
		[ ] // 1. Invoke new receiving voucher (Result 1)
		[ ] // 2. Create a receiving voucher 
		[ ] // 3. Click on cancel and then invoke Receiving History
		[ ] // 4. Select the receiving voucher  and then go to IWT->Copy (Result 2)
		[ ] // 5. Add another item
		[ ] // 6. Receive payment
		[ ] // 7. Click on Save only then click cancel and Invoke Receiving history (Result 3)
	[+] // Expected Result.
		[ ] // 1. Verify receiving voucher window is open
		[ ] // 2. Verify New receiving voucher is open and items and vendor are prefilled correctly
		[ ] // 3. Verify receiving voucher  has been created
[ ] // TESTCASE.:ReceivingHistoryIWTCopy
[ ] // ATC ID::POS_PUR_ATC_012
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::ReceivingHistoryIWTCopy.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase ReceivingHistoryIWTCopy ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sNewItem
		[ ] LIST OF STRING lsVoucherExpected
		[ ] ReceivingVoucherRec rvrVoucher
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new receiving voucher
			[ ] Voucher.ReceivingVoucher.Invoke ()
		[ ] 
		[+] // Result 1: Verify receiving voucher window is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Receiving voucher open")
		[ ] 
		[+] // Step 2: Create a Receiving voucher
			[ ] rvrVoucher = {}
			[+] rvrVoucher.lsItems = {...}
				[ ] "InvItem1"
			[ ] rvrVoucher.sVendor = "PVendor1"
			[ ] rvrVoucher.sButton = "Save"
			[ ] CreateReceivingVoucher (rvrVoucher)
		[ ] 
		[+] // Step 3: Click on cancel and then invoke receiving History
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[ ] ReceivingHistory.Invoke ()
		[ ] 
		[+] // Step 4: Select the voucher and then go to IWT->Copy
			[ ] ReceivingHistory.VoucherList.Topbar.IWantTo.Click ()
			[ ] ReceivingHistory.VoucherList.Topbar.IWantTo.Copy.Click ()
		[ ] 
		[+] // Result 2: Verify New receiving voucher is open and items and vendor are prefilled correctly
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "New receiving voucher open")
			[ ] VerifySafely (Voucher.ReceivingVoucher.VoucherItems.ItemGrid.GridRow.ItemName.GetCaption (), rvrVoucher.lsItems[1], "Items prefilled correctly")
			[ ] VerifySafely (Voucher.ReceivingVoucher.Vendor.VendorName.GetCaption (), rvrVoucher.sVendor, "Vendor prefilled correctly")
		[ ] 
		[+] // Step 5: Add another item
			[ ] sNewItem = "InvItem2"
			[ ] Voucher.ReceivingVoucher.EnterItems.SelectItem (sNewItem)
		[ ] 
		[+] // Step 6: Click on Save only then click cancel and Invoke Voucher history
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[ ] ReceivingHistory.Invoke ()
		[ ] 
		[+] // Result 3: Verify Voucher has been created
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 1 PVendor1 1 50.00 Already paid 1"
				[ ] "Regular Receiving 1 2 PVendor1 2 150.00 Already paid 2"
			[ ] ReceivingHistory.VoucherList.RemoveGridColumn ("VoucherDate")
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Sale created")
	[ ] 
	[+] // CLEANUP
		[+] if ReceivingHistory.VoucherList.Topbar.Home.Exists (3)
			[ ] ReceivingHistory.VoucherList.Topbar.Home.Click ()
[ ] 
