﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify entering billing info to existing voucher
	[+] // Test Steps:
		[ ] // 1. Invoke new receiving voucher (Result 1)
		[ ] // 2. Create a Receiving voucher
		[ ] // 3. Click on cancel and then invoke receiving History
		[ ] // 4. Click on show details and get the total
		[ ] // 5. Select the voucher and then go to IWT->Enter Billing info (Result 2)
		[ ] // 6. Enter billinh info and click on OK (3)
	[+] // Expected Result.
		[ ] // 1. Verify receiving voucher window is open
		[ ] // 2. Verify Enter Billing info dialog is displayed
		[ ] // 3. Verify total is updated
[ ] // TESTCASE.:ReceivingHistoryIWTEnterBillingInfo
[ ] // ATC ID::POS_PUR_ATC_026
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ReceivingBillingInfo.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::ReceivingHistoryIWTEnterBillingInfo.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase ReceivingHistoryIWTEnterBillingInfo ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sInvoiceNum, sTotal
		[ ] ReceivingVoucherRec rvrVoucher
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ReceivingBillingInfo.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new receiving voucher
			[ ] Voucher.ReceivingVoucher.Invoke ()
		[ ] 
		[+] // Result 1: Verify receiving voucher window is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Receiving voucher open")
		[ ] 
		[+] // Step 2: Create a Receiving voucher
			[ ] rvrVoucher = {}
			[+] rvrVoucher.lsItems = {...}
				[ ] "InvItem1"
			[ ] rvrVoucher.sVendor = "PVendor1"
			[ ] rvrVoucher.sButton = "Save"
			[ ] CreateReceivingVoucher (rvrVoucher)
		[ ] 
		[+] // Step 3: Click on cancel and then invoke receiving History
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[ ] ReceivingHistory.Invoke ()
		[ ] 
		[+] // Step 4: Click on show details and get the total
			[ ] ReceivingHistory.VoucherList.Topbar.ShowDetails.Click ()
			[ ] sTotal = ReceivingHistory.VoucherList.VoucherDetails.ReceivingHistoryDetail.Amount.GetCaption ()
		[ ] 
		[+] // Step 5: Select the voucher and then go to IWT->Enter Billing Info
			[ ] ReceivingHistory.VoucherList.Topbar.IWantTo.Click ()
			[ ] ReceivingHistory.VoucherList.Topbar.IWantTo.EnterBillingInfo.Click ()
		[ ] 
		[+] // Result 2: Verify Enter Billing info dialog is displayed
			[ ] VerifySafely (ReceivingHistory.VoucherList.EnterBillingInfo.Exists (5), TRUE, "Enter Billing Info dialog open")
		[ ] 
		[+] // Step 6: Enter billing info and click on ok
			[ ] sInvoiceNum = "1234"
			[ ] ReceivingHistory.VoucherList.EnterBillingInfo.InvoiceNo.SetData (sInvoiceNum)
			[ ] ReceivingHistory.VoucherList.EnterBillingInfo.OK.Click ()
		[ ] 
		[+] // Result 3: Verify total is updated
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherDetails.ReceivingHistoryDetail.BillingInfo.InvoiceNo.GetCaption (),  "Invoice {sInvoiceNum}", "Billing Info Updated")
	[ ] 
	[+] // CLEANUP
		[+] if ReceivingHistory.VoucherList.Topbar.Home.Exists (3)
			[ ] ReceivingHistory.VoucherList.Topbar.Home.Click ()
[ ] 
