﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify adding discount fee and freight to existing voucher
	[+] // Test Steps:
		[ ] // 1. Invoke new receiving voucher (Result 1)
		[ ] // 2. Create a Receiving voucher
		[ ] // 3. Click on cancel and then invoke receiving History
		[ ] // 4. Click on show details and get the total
		[ ] // 5. Select the voucher and then go to IWT->Enter Discount Fee Freight (Result 2)
		[ ] // 6. Enter discount freight and fee and click on (3)
	[+] // Expected Result.
		[ ] // 1. Verify receiving voucher window is open
		[ ] // 2. Verify Enter Discount Fee Freight dialog is displayed
		[ ] // 3. Verify total is updated
[ ] // TESTCASE.:ReceivingHistoryIWTEnterDiscountFeeFreight
[ ] // ATC ID::POS_PUR_ATC_012
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::ReceivingHistoryIWTEnterDiscountFeeFreight.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase ReceivingHistoryIWTEnterDiscountFeeFreight ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sDiscountAmount, sFreight, sFee, sTotal, sUpdatedTotal
		[ ] ReceivingVoucherRec rvrVoucher
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new receiving voucher
			[ ] Voucher.ReceivingVoucher.Invoke ()
		[ ] 
		[+] // Result 1: Verify receiving voucher window is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Receiving voucher open")
		[ ] 
		[+] // Step 2: Create a Receiving voucher
			[ ] rvrVoucher = {}
			[+] rvrVoucher.lsItems = {...}
				[ ] "InvItem1"
			[ ] rvrVoucher.sVendor = "PVendor1"
			[ ] rvrVoucher.sButton = "Save"
			[ ] CreateReceivingVoucher (rvrVoucher)
		[ ] 
		[+] // Step 3: Click on cancel and then invoke receiving History
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[ ] ReceivingHistory.Invoke ()
		[ ] 
		[+] // Step 4: Click on show details and get the total
			[ ] ReceivingHistory.VoucherList.Topbar.ShowDetails.Click ()
			[ ] sTotal = ReceivingHistory.VoucherList.VoucherDetails.ReceivingHistoryDetail.Amount.GetCaption ()
		[ ] 
		[+] // Step 5: Select the voucher and then go to IWT->Enter Discount Fee Freight
			[ ] ReceivingHistory.VoucherList.Topbar.IWantTo.Click ()
			[ ] ReceivingHistory.VoucherList.Topbar.IWantTo.EnterDiscountFeeFreight.Click ()
		[ ] 
		[+] // Result 2: Verify Enter Discount Fee Freight dialog is displayed
			[ ] VerifySafely (ReceivingHistory.VoucherList.DiscountFeeFreight.Exists (5), TRUE, "DiscountFeeFreight dialog open")
		[ ] 
		[+] // Step 6: Enter discount freight and fee and click on
			[ ] sDiscountAmount = "10.00"
			[ ] sFreight = "15.00"
			[ ] sFee = "20.00"
			[ ] ReceivingHistory.VoucherList.DiscountFeeFreight.DiscountAmount.SetData (sDiscountAmount)
			[ ] ReceivingHistory.VoucherList.DiscountFeeFreight.Freight.SetData (sFreight)
			[ ] ReceivingHistory.VoucherList.DiscountFeeFreight.Fee.SetData (sFee)
			[ ] ReceivingHistory.VoucherList.DiscountFeeFreight.OK.Click ()
		[ ] 
		[+] // Result 3: Verify total is updated
			[ ] sUpdatedTotal = Str ((val (sTotal) - val (sDiscountAmount) + val (sFreight) + val (sFee)), NULL, 2)
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherDetails.ReceivingHistoryDetail.Amount.GetCaption (),  sUpdatedTotal, "Total updated")
	[ ] 
	[+] // CLEANUP
		[+] if ReceivingHistory.VoucherList.Topbar.Home.Exists (3)
			[ ] ReceivingHistory.VoucherList.Topbar.Home.Click ()
[ ] 
