﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating a new return voucher
	[+] // Test Steps:
		[ ] // 1. Invoke new Return voucher (Result 1)
		[ ] // 2. Add all the required data and click on 'Save Only'
		[ ] // 3. Close return voucher window and invoke receiving history window (Result 2 and 3)
	[+] // Expected Result:
		[ ] // 1. Verify return voucher window is open
		[ ] // 2. Verify 'Receiving History' is displayed
		[ ] // 3. Verify the created return voucher is listed on receiving history
[ ] // TESTCASE::ReturnVoucher
[ ] // ATC ID::POS_PUR_ATC_011
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::ReturnVoucher.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase ReturnVoucher ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sVendor, sItem
		[ ] LIST OF STRING lsVoucherExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new Return voucher
			[ ] Voucher.ReturnVoucher.Invoke ()
		[ ] 
		[+] // Result 1: Verify return voucher window is open
			[ ] VerifySafely (Voucher.ReturnVoucher.Exists (5), TRUE, "Return voucher open")
		[ ] 
		[+] // Step 2: Add all the required data and click on 'Save Only'
			[ ] sItem = "InvItem1"
			[ ] sVendor = "PVendor1"
			[ ] Voucher.ReturnVoucher.EnterItems.SelectItem (sItem)
			[ ] Voucher.ReturnVoucher.EnterVendor.SelectVendor (sVendor)
			[ ] Voucher.ReturnVoucher.SaveOnly.Click ()
		[ ] 
		[+] // Step 3: Close return voucher window and invoke receiving history window
			[ ] Voucher.ReturnVoucher.Cancel.Click ()
			[ ] ReceivingHistory.Invoke ()
		[ ] 
		[+] // Result 2: Verify 'Receiving History' is displayed
			[ ] VerifySafely (ReceivingHistory.Exists (), True, "Receiving History is displayed")
		[ ] 
		[+] // Result 3: Verify the created return voucher is listed on receiving history
			[+] lsVoucherExpected = {...}
				[ ] "Regular Return 1 1 PVendor1 1 50.00 Already paid 1"
			[ ] ReceivingHistory.VoucherList.RemoveGridColumn ("VoucherDate")
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Return voucher is created and displayed on voucher list")
	[ ] 
	[+] // CLEANUP
		[+] if ReceivingHistory.VoucherList.GoBack.Exists (3)
			[ ] ReceivingHistory.VoucherList.GoBack.Click ()
[ ] 
