﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify reversing a receiving voucher
	[+] // Test Steps:
		[ ] // 1. Invoke new receiving voucher (Result 1)
		[ ] // 2. Create a Receiving voucher
		[ ] // 3. Click on cancel and then invoke receiving History
		[ ] // 4. Select the voucher and then go to IWT->Reverse (Result 2)
		[ ] // 5. Select cashier and click on OK (Result 3)
		[ ] // 1. Verify receiving voucher window is open
		[ ] // 2. Verify Reversing Document dialog is displayed
		[ ] // 3. Verify Voucher has been created
	[ ] // Expected Result.
[ ] // TESTCASE.:ReverseReceivingVoucher
[ ] // ATC ID::POS_PUR_ATC_012
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::ReverseReceivingVoucher.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase ReverseReceivingVoucher ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] LIST OF STRING lsVoucherExpected
		[ ] ReceivingVoucherRec rvrVoucher
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new receiving voucher
			[ ] Voucher.ReceivingVoucher.Invoke ()
		[ ] 
		[+] // Result 1: Verify receiving voucher window is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Receiving voucher open")
		[ ] 
		[+] // Step 2: Create a Receiving voucher
			[ ] rvrVoucher = {}
			[+] rvrVoucher.lsItems = {...}
				[ ] "InvItem1"
			[ ] rvrVoucher.sVendor = "PVendor1"
			[ ] rvrVoucher.sButton = "Save"
			[ ] CreateReceivingVoucher (rvrVoucher)
		[ ] 
		[+] // Step 3: Click on cancel and then invoke receiving History
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[ ] ReceivingHistory.Invoke ()
		[ ] 
		[+] // Step 4: Select the voucher and then go to IWT->Reverse
			[ ] WaitFor (ReceivingHistory.VoucherList.Topbar.Search)
			[ ] ReceivingHistory.VoucherList.Topbar.IWantTo.Click ()
			[ ] ReceivingHistory.VoucherList.Topbar.IWantTo.Reverse.Click ()
		[ ] 
		[+] // Result 2: Verify Reversing Document dialog is displayed
			[ ] VerifySafely (ReceivingHistory.ReversingDocument.Exists (5), TRUE, "ReversingDocument dialog open")
		[ ] 
		[+] // Step 5: Select cashier and click on OK
			[ ] ReceivingHistory.ReversingDocument.Cashier.SelectItem ("Sysadmin")
			[ ] ReceivingHistory.ReversingDocument.OK.Click ()
		[ ] 
		[+] // Result 3: Verify Voucher has been created
			[+] lsVoucherExpected = {...}
				[ ] "Reversed Receiving 1 1 PVendor1 1 50.00 1"
				[ ] "Reversing Return 1 2 Sysadmin PVendor1 1 50.00 1"
			[+] if ReceivingHistory.VoucherList.Topbar.HideDetails.Exists ()
				[ ] ReceivingHistory.VoucherList.Topbar.HideDetails.Click ()
			[ ] ReceivingHistory.VoucherList.RemoveGridColumn ("VoucherDate")
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Voucher reversed")
	[ ] 
	[+] // CLEANUP
		[+] if ReceivingHistory.VoucherList.GoBack.Exists (3)
			[ ] ReceivingHistory.VoucherList.GoBack.Click ()
[ ] 
