﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete a Vendor
	[+] // Test Steps.
		[ ] // 1. Invoke Vendor List (Result 1)
		[ ] // 2. Select the vendor to be deleted
		[ ] // 3. Go to I Want To-> Delete (Result 2)
		[ ] // 4. Click on cancel (Result 3)
		[ ] // 5. Clik on Close and then Go to I Want To-> Delete (Result 4)
		[ ] // 6. Click on Delete (Result 5)
	[+] // Expected Result.
		[ ] // 1. Verify Vendor List is didplayed
		[ ] // 2. Verify delete confirmation message is displayed
		[ ] // 3. Verify the Vendor has not been deleted
		[ ] // 4. Verify delete confirmation message is displayed
		[ ] // 5. Verify the Vendor has been deleted
[ ] // TESTCASE::VendorDelete
[ ] // ATC ID::POS_PUR_ATC_015
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VendorDelete.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::BHeem
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VendorDelete ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] NewVendorRec nvrVendor
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Vendor List
			[ ] Vendors.VendorList.Invoke ()
		[ ] 
		[+] // Result 1: Verify Vendor List  form appears
			[ ] VerifySafely (Vendors.VendorList.Exists (3), TRUE, "Vendor List form appears")
		[ ] 
		[+] // Step 2: Select the Vendor
			[ ] nvrVendor = {}
			[ ] nvrVendor.sCompany = "PVendor1"
			[ ] WaitTill (Vendors.VendorList.Topbar.SearchVendor.IsEnabled)
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (nvrVendor.sCompany)
		[ ] 
		[+] // Step 3: Click on Delete on Side Buttons
			[ ] Vendors.VendorList.SideBar.ScrollViewer.SideButtons.Delete.Click ()
		[ ] 
		[+] // Result 2: Verify delete confirmation message is displayed
			[ ] sMessage = "1 vendor selected for deletion"
			[ ] VerifySafely (Vendors.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
			[ ] sMessage = "Select ""Delete"" below to continue"
			[ ] VerifySafely (Vendors.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
		[ ] 
		[+] // Step 4: Click on cancel
			[ ] Vendors.Confirmation.Cancel.Click ()
			[ ] // Vendors.VendorList.Invoke ()
		[ ] 
		[+] // Result 3: Verify the Vendor has not been deleted
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (nvrVendor.sCompany)
			[ ] VerifySafely (Vendors.VendorList.Topbar.Edit.IsEnabled, TRUE, "Vendor has not been deleted after clickin on cancel")
		[ ] 
		[+] // Step 5: Go to I Want To-> Delete
			[ ] Vendors.VendorList.Topbar.IWantTo.Click ()
			[ ] Vendors.VendorList.Topbar.IWantTo.Delete.Click ()
		[ ] 
		[+] // Result 4: Verify delete confirmation message is displayed
			[ ] sMessage = "1 vendor selected for deletion"
			[ ] VerifySafely (Vendors.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
			[ ] sMessage = "Select ""Delete"" below to continue"
			[ ] VerifySafely (Vendors.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
		[ ] 
		[+] // Step 6: Click on delete
			[ ] Vendors.Confirmation.Delete.Click ()
			[ ] // Vendors.VendorList.Invoke ()
		[ ] 
		[+] // Result 5: Verify the vendor has been deleted
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (nvrVendor.sCompany)
			[ ] VerifySafely (Vendors.VendorList.Topbar.Edit.IsEnabled, FALSE, "Vendor has been deleted after clicking on delete")
	[ ] 
	[+] // CLEAN UP
		[+] if Vendors.VendorList.EditVendor.Exists ()
			[ ] Vendors.VendorList.EditVendor.Cancel.Click ()
		[+] if Vendors.VendorList.Exists ()
			[ ] Vendors.VendorList.Topbar.Home.Click ()
[ ] 
