﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a PO for a vendor
	[+] // Test Steps:
		[ ] // 1. Invoke vendor List (Result 1)
		[ ] // 2. Select the vendor
		[ ] // 3. Go to IWT->Create PO (Result 2)
		[ ] // 4.  Add items and Save the save the PO (Result 3)
	[+] // Expected Result:
		[ ] // 1.  Verify VendorList is open
		[ ] // 2. Verify PO is open and data updated
		[ ] // 3. Verify PO created
[ ] // TESTCASE::VendorsIWTCreatePurchaseOrder
[ ] // ATC ID::POS_PUR_ATC_024
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VendorsIWTCreatePurchaseOrder.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VendorsIWTCreatePurchaseOrder () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sPONum
		[ ] NewVendorRec nvrVendor
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke vendor List
			[ ] Vendors.VendorList.Invoke ()
		[ ] 
		[+] // Result 1:  Verify VendorList is open
			[ ] VerifySafely (Vendors.VendorList.Exists (), TRUE, "VendorList is open")
		[ ] 
		[+] // Step 2: Select the vendor
			[ ] nvrVendor = {}
			[ ] nvrVendor.sCompany = "PVendor1"
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (nvrVendor.sCompany)
		[ ] 
		[+] // Result 2: Verify that Edit button is Enabled for the selected vendor 
			[ ] VerifySafely (Vendors.VendorList.Topbar.Edit.IsEnabled, TRUE, "Vendor is selected")
		[ ] 
		[+] // Step 3: Go to IWT->Create PO
			[ ] Vendors.VendorList.Topbar.IWantTo.Click ()
			[ ] Vendors.VendorList.Topbar.IWantTo.MakePurchaseOrder.Select ()
		[ ] 
		[+] // Result 2: Verify PO is open and data updated
			[ ] VerifySafely (PurchaseOrder.NewPurchaseOrder.Exists (5), TRUE, "PurchaseOrder open")
			[ ] VerifySafely (PurchaseOrder.NewPurchaseOrder.PageList.Vendor.GetText (), nvrVendor.sCompany, "Vendor updated")
		[ ] 
		[+] // Step 4:  Add items and Save the save the PO
			[ ] PurchaseOrder.NewPurchaseOrder.PageList.EnterItems.SelectItem ("InvItem1")
			[ ] sPONum = PurchaseOrder.NewPurchaseOrder.PageList.PONumber.GetText ()
			[ ] PurchaseOrder.BottomBar.SaveOnly.Click ()
			[+] if PurchaseOrder.EditPurchaseOrder.Exists ()
				[ ] PurchaseOrder.BottomBar.Close.Click ()
		[ ] 
		[+] // Result 3: Verify PO created
			[+] if !POList.PurchaseOrderList.Exists ()
				[ ] POList.Invoke ()
			[ ] POList.ToolBar.FindPO.SetText (sPONum)
			[ ] POList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindPurchaseOrder.SelectPurchaseOrder.IsEnabled (), TRUE, "PO Crerated")
			[ ] FindPurchaseOrder.Close.Click ()
			[ ] POList.BottomBar.Close.Click ()
	[ ] 
	[+] // CLEAN UP
		[+] if FindPurchaseOrder.Exists ()
			[ ] FindPurchaseOrder.Close.Click ()
		[+] if POList.PurchaseOrderList.Exists ()
			[ ] // POList.BottomBar.Close.Click ()
			[ ] POList.TypeKeys ("<Esc>")
		[+] if Vendors.VendorList.Exists ()
			[ ] Vendors.VendorList.Topbar.Home.Click ()
	[ ] 
