﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Receive items from vendor
	[+] // Test Steps:
		[ ] // 1. Invoke vendor List (Result 1)
		[ ] // 2. Select the vendor
		[ ] // 3. Go to IWT->Receive Items (Result 2)
		[ ] // 4.  Add items and Save the voucher (Result 3)
	[+] // Expected Result:
		[ ] // 1.  Verify VendorList is open
		[ ] // 2. Verify Receiving voucher is open and data updated
		[ ] // 3. Verify voucher created
[ ] // TESTCASE::VendorsIWTReceiveItems
[ ] // ATC ID::POS_PUR_ATC_025
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VendorsIWTReceiveItems.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VendorsIWTReceiveItems ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] NewVendorRec nvrVendor
		[ ] LIST OF STRING lsVoucherExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke vendor List
			[ ] Vendors.VendorList.Invoke ()
		[ ] 
		[+] // Result 1:  Verify VendorList is open
			[ ] VerifySafely (Vendors.VendorList.Exists (), TRUE, "VendorList is open")
		[ ] 
		[+] // Step 2: Select the vendor
			[ ] nvrVendor = {}
			[ ] nvrVendor.sCompany = "PVendor1"
			[ ] Vendors.VendorList.Topbar.SearchVendor.SetData (nvrVendor.sCompany)
		[ ] 
		[+] // Result 2: Verify that Edit button is Enabled for the selected vendor 
			[ ] VerifySafely (Vendors.VendorList.Topbar.Edit.IsEnabled, TRUE, "Vendor is selected")
		[ ] 
		[+] // Step 3: Go to IWT->Receive Items
			[ ] Vendors.VendorList.Topbar.IWantTo.Click ()
			[ ] Vendors.VendorList.Topbar.IWantTo.ReceiveItems.Select ()
		[ ] 
		[+] // Result 3: Verify Receiving voucher is open and data updated
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Receiving Voucher open")
		[ ] 
		[+] // Step 4:  Add items and Save the voucher
			[ ] Voucher.ReceivingVoucher.EnterItems.SelectItem ("InvItem1")
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[ ] ReceivingHistory.VoucherList.Invoke ()
		[ ] 
		[+] // Result 4: Verify voucher created
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 1 PVendor1 1 50.00 Already paid 1"
			[ ] ReceivingHistory.VoucherList.RemoveGridColumn ("VoucherDate")
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Voucher created")
	[ ] 
	[+] // CLEAN UP
		[+] if ReceivingHistory.VoucherList.Exists ()
			[ ] ReceivingHistory.VoucherList.Topbar.Home.Click ()
		[+] if Vendors.VendorList.Exists ()
			[ ] Vendors.VendorList.Topbar.Home.Click ()
