﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify holding and unholding voucher
	[+] // Test Steps:
		[ ] // 1. Invoke new receiving voucher (Result 1)
		[ ] // 2. Add all the required data and click on 'Save Only'
		[ ] // 3. Create another receiving voucher
		[ ] // 4. Click on 'Put on Hold'
		[ ] // 5. Click on 'Held vouchers' (Result 2 and 3)
		[ ] // 6. Goto I Want To-> UnHold (Result 4)
		[ ] // 7. Click on Save Only
		[ ] // 8. Close receiving voucher window and invoke receiving history window (Result 5 and 6)
	[+] // Expected Result:
		[ ] // 1. Verify receiving voucher window is open
		[ ] // 2. Verify 'Held Vouchers' window is displayed
		[ ] // 3. Verify the second voucher is listed on 'Held Vouchers' list
		[ ] // 4. Verify receiving voucher window is open
		[ ] // 5. Verify 'Receiving History' is displayed
		[ ] // 6. Verify the created vouchers are listed on receiving history
[ ] // TESTCASE::VouchersHoldUnhold
[ ] // ATC ID::POS_PUR_ATC_010
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VouchersHoldUnhold.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakhmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VouchersHoldUnhold ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sVendor, sItem
		[ ] LIST OF STRING lsVoucherExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new receiving voucher
			[ ] Voucher.ReceivingVoucher.Invoke ()
		[ ] 
		[+] // Result 1: Verify receiving voucher window is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Receiving voucher open")
		[ ] 
		[+] // Step 2: Add all the required data and click on 'Save Only'
			[ ] sItem = "InvItem1"
			[ ] sVendor = "PVendor1"
			[ ] Voucher.ReceivingVoucher.EnterItems.SelectItem (sItem)
			[ ] Voucher.ReceivingVoucher.EnterVendor.SelectVendor (sVendor)
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
		[ ] 
		[+] // Step 3: Create another receiving voucher
			[ ] sItem = "InvItem2"
			[ ] sVendor = "System"
			[ ] Voucher.ReceivingVoucher.EnterItems.SelectItem (sItem)
			[ ] Voucher.ReceivingVoucher.EnterVendor.SelectVendor (sVendor)
		[ ] 
		[+] // Step 4: Click on 'Put on Hold'
			[ ] Voucher.ReceivingVoucher.PutOnHold.Click ()
		[ ] 
		[+] // Step 5: Click on 'Held vouchers'
			[ ] Voucher.ReceivingVoucher.HeldVouchers.Click ()
		[ ] 
		[+] // Result 2: Verify 'Held Vouchers' window is displayed
			[ ] VerifySafely (HeldVouchers.Exists (), True, "Held Vouchers window is displayed")
		[ ] 
		[+] // Result 3: Verify the second voucher is listed on 'Held Vouchers' list
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 System 1 100.00 Already paid 1"
			[ ] HeldVouchers.HeldVoucherList.RemoveGridColumn ("VoucherDate")
			[ ] VerifySafely (HeldVouchers.HeldVoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Voucher displayed on Held Voucher slist")
		[ ] 
		[+] // Step 6: Goto I Want To-> UnHold
			[ ] HeldVouchers.HeldVoucherList.Topbar.IWantTo.Click ()
			[ ] HeldVouchers.HeldVoucherList.Topbar.IWantTo.Unhold.Click ()
		[ ] 
		[+] // Result 4: Verify receiving voucher window is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Receiving voucher open")
		[ ] 
		[+] // Step 7: Click on Save Only
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
		[ ] 
		[+] // Step 8: Close receiving voucher window and invoke receiving history window
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[ ] ReceivingHistory.Invoke ()
		[ ] 
		[+] // Result 5: Verify 'Receiving History' is displayed
			[ ] VerifySafely (ReceivingHistory.Exists (), True, "Receiving History is displayed")
		[ ] 
		[+] // Result 6: Verify the created vouchers are listed on receiving history
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 PVendor1 1 50.00 Already paid 1"
				[ ] "Regular Receiving 1 System 1 100.00 Already paid 1"
			[ ] ReceivingHistory.VoucherList.RemoveGridColumn ("VoucherDate")
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Vouchers created and displayed on voucher list")
	[ ] 
	[+] // CLEANUP
		[+] if ReceivingHistory.VoucherList.GoBack.Exists (3)
			[ ] ReceivingHistory.VoucherList.GoBack.Click ()
[ ] 
