﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify vouchers IWT-> Add/Edit Comments
	[+] // Test Steps:
		[ ] // 1. Invoke new receiving voucher (Result 1)
		[ ] // 2. Goto I Want To-> Add/Edit Comments (Result 2)
		[ ] // 3. Add the comment and save it (Result 3)
		[ ] // 4. Add item, vendor and save the voucher
		[ ] // 5. Click on cancel and Invoke Receiving history (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify receiving voucher window is open
		[ ] // 2. Verify "Add/EditComments" dialog is open
		[ ] // 3. Verify the comment is added
		[ ] // 4. Verify the created voucher is listed on receiving history
[ ] // TESTCASE::VouchersIWTAddEditComments
[ ] // ATC ID::POS_PUR_ATC_008
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VouchersIWTAddEditComments.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VouchersIWTAddEditComments ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sVendor, sItem, sComment
		[ ] LIST OF STRING lsVoucherExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new receiving voucher
			[ ] Voucher.ReceivingVoucher.Invoke ()
		[ ] 
		[+] // Result 1: Verify receiving voucher window is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Receiving voucher open")
		[ ] 
		[+] // Step 2: Goto I Want To-> Add/Edit Comments
			[ ] WaitFor (Voucher.ReceivingVoucher.SideButtons.ShowMessages)
			[ ] Voucher.ReceivingVoucher.IWantTo.Click ()
			[ ] Voucher.ReceivingVoucher.IWantTo.AddEditComments.Click ()
		[ ] 
		[+] // Result 2: Verify "Add/EditComments" dialog is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.AddEditComments.Exists (5), TRUE, "Add/Edit Comments dialog is open")
		[ ] 
		[+] // Step 3: Add the comment and save it
			[ ] sComment = "This is a new voucher"
			[ ] Voucher.ReceivingVoucher.AddEditComments.Comments.SetData (sComment)
			[ ] Voucher.ReceivingVoucher.AddEditComments.Ok.Click ()
		[ ] 
		[+] // Result 3: Verify the comment is added
			[ ] Voucher.ReceivingVoucher.Totals.Comments.Click ()
			[ ] VerifySafely ( Voucher.ReceivingVoucher.AddEditComments.Comments.GetLineText (0), sComment, "Comment is added")
			[ ] Voucher.ReceivingVoucher.AddEditComments.Ok.Click ()
		[ ] 
		[+] // Step 4: Add item, vendor and save the voucher
			[ ] sItem = "InvItem1"
			[ ] sVendor = "System"
			[ ] Voucher.ReceivingVoucher.EnterItems.SelectItem (sItem)
			[ ] Voucher.ReceivingVoucher.EnterVendor.SelectVendor (sVendor)
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
		[ ] 
		[+] // Step 5: Click on cancel and Invoke Receiving history
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[ ] ReceivingHistory.VoucherList.Invoke ()
		[ ] 
		[+] // Result 4: Verify the created voucher is listed on receiving history
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 1 System 1 50.00 Already paid 1"
			[ ] ReceivingHistory.VoucherList.RemoveGridColumn ("VoucherDate")
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Voucher created and displayed on voucher list")
	[ ] 
	[+] // CLEANUP
		[+] if ReceivingHistory.VoucherList.GoBack.Exists (3)
			[ ] ReceivingHistory.VoucherList.GoBack.Click ()
[ ] 
