﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify adding a new inventory item to voucher
	[+] // Test Steps:
		[ ] // 1. Invoke new receiving voucher (Result 1)
		[ ] // 2. Goto I Want To-> AddNewInventorytem (Result 2)
		[ ] // 3. Add all the required data
		[ ] // 4. Click on Save (Result 3)
		[ ] // 4. Enter a vendor
		[ ] // 5. Click on Save only then click cancel and Invoke Receiving history (Result 4)
		[ ] // 6: Click on Go Back and Invoke Item List (Result 5)
	[+] // Expected Result:
		[ ] // 1. Verify receiving voucher window is open
		[ ] // 2. Verify "Add Inventory Item" is open
		[ ] // 3. Verify item created is added to sales receipt
		[ ] // 4. Verify the created voucher is listed on receiving history
		[ ] // 5: Verify New item created is listed on Items List
[ ] // TESTCASE::VouchersIWTAddNewInventoryItem
[ ] // ATC ID::POS_PUR_ATC_004
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VouchersIWTAddNewInventoryItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VouchersIWTAddNewInventoryItem ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sVendor
		[ ] LIST OF STRING lsVoucherExpected
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new receiving voucher
			[ ] Voucher.ReceivingVoucher.Invoke ()
		[ ] 
		[+] // Result 1: Verify receiving voucher window is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Receiving voucher open")
		[ ] 
		[+] // Step 2: Goto I Want To-> AddNewInventorytem
			[ ] WaitFor (Voucher.ReceivingVoucher.SideButtons.ShowMessages)
			[ ] Voucher.ReceivingVoucher.IWantTo.Click ()
			[ ] Voucher.ReceivingVoucher.IWantTo.AddNewInventoryItem.Click ()
		[ ] 
		[+] // Result 2: Verify "Add Inventory Item" is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.AddSpecialOrderItem.Exists (5), TRUE, "Add Inventory Item is open")
		[ ] 
		[+] // Step 3: Add all the required data
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "TestInvItem"
			[ ] nirItem.sDepartment = "System"
			[ ] nirItem.sRegularPrice = "100.00"
			[ ] nirItem.sAvgUnitCost = "50.00"
			[ ] Voucher.ReceivingVoucher.AddInventoryItem.FillForm (nirItem)
		[ ] 
		[+] // Step 4: Click on Save
			[ ] Voucher.ReceivingVoucher.AddInventoryItem.Save.Click ()
		[ ] 
		[+] // Result 3: Verify item created is added to sales receipt
			[ ] VerifySafely (Voucher.ReceivingVoucher.VoucherItems.ItemGrid.GridRow.ItemName.GetCaption (), nirItem.sItemName, "New Inventory Item is added to voucher")
		[ ] 
		[+] // Step 4: Enter a vendor
			[ ] sVendor = "PVendor1"
			[ ] Voucher.ReceivingVoucher.EnterVendor.SelectVendor (sVendor)
		[ ] 
		[+] // Step 5: Click on Save only then click cancel and Invoke Receiving history
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[ ] ReceivingHistory.VoucherList.Invoke ()
		[ ] 
		[+] // Result 4: Verify the created voucher is listed on receiving history
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 1 PVendor1 1 50.00 Already paid 1"
			[ ] ReceivingHistory.VoucherList.RemoveGridColumn ("VoucherDate")
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Voucher created and displayed on voucher list")
		[ ] 
		[+] // Step 6: Click on Go Back and Invoke Item List
			[ ] ReceivingHistory.VoucherList.Topbar.Home.Click ()
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] /// Result 5: Verify New item created is listed on Items List
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nirItem.sItemName)
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, TRUE, "Item added to inventory")
	[ ] 
	[+] // CLEANUP
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
