﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify adding a new inventory item to voucher
	[+] // Test Steps:
		[ ] // 1. Invoke new receiving voucher (Result 1)
		[ ] // 2. Goto I Want To-> AddNewVendor (Result 2)
		[ ] // 3. Add all the required data
		[ ] // 4. Click on Save (Result 3)
		[ ] // 4. Enter Items
		[ ] // 5. Click on Save only then click cancel and Invoke Receiving history (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify receiving voucher window is open
		[ ] // 2. Verify "Add Vendor" is open
		[ ] // 3. Verify item created is added to sales receipt
		[ ] // 4. Verify the created voucher is listed on receiving history
[ ] // TESTCASE::VouchersIWTAddNewVendor
[ ] // ATC ID::POS_PUR_ATC_006
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VouchersIWTAddNewVendor.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VouchersIWTAddNewVendor ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] LIST OF STRING lsVoucherExpected
		[ ] NewVendorRec nvrVendor
		[ ] ReceivingVoucherRec rvrVoucher
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new receiving voucher
			[ ] Voucher.ReceivingVoucher.Invoke ()
		[ ] 
		[+] // Result 1: Verify receiving voucher window is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Receiving voucher open")
		[ ] 
		[+] // Step 2: Goto I Want To-> AddNewVendor
			[ ] WaitFor (Voucher.ReceivingVoucher.SideButtons.ShowMessages)
			[ ] Voucher.ReceivingVoucher.IWantTo.Click ()
			[ ] Voucher.ReceivingVoucher.IWantTo.AddNewVendor.Click ()
		[ ] 
		[+] // Result 2: Verify "Add Vendor" is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.AddVendor.Exists (5), TRUE, "Add Vendor is open")
		[ ] 
		[+] // Step 3: Add all the required data
			[ ] nvrVendor = {}
			[ ] nvrVendor.sCompany = "VComp1"
			[ ] nvrVendor.sVendorCode = "VC1"
			[ ] nvrVendor.sFirstName = "VComp1F"
			[ ] nvrVendor.sLastName = "VComp1L"
			[ ] Voucher.ReceivingVoucher.AddVendor.FillForm (nvrVendor)
		[ ] 
		[+] // Step 4: Click on Save
			[ ] Voucher.ReceivingVoucher.AddVendor.Save.Click ()
		[ ] 
		[+] // Result 3: Verify vendor created is added to voucher
			[ ] VerifySafely (Voucher.ReceivingVoucher.Vendor.VendorName.GetCaption (), nvrVendor.sCompany, "New vendor is added to voucher")
		[ ] 
		[+] // Step 4: Enter Items
			[ ] rvrVoucher = {}
			[+] rvrVoucher.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] CreateReceivingVoucher (rvrVoucher)
		[ ] 
		[+] // Step 5: Click on Save only then click cancel and Invoke Receiving history
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[ ] ReceivingHistory.VoucherList.Invoke ()
		[ ] 
		[+] // Result 4: Verify the created voucher is listed on receiving history
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 1 {nvrVendor.sCompany} 2 150.00 Already paid 2"
			[ ] ReceivingHistory.VoucherList.RemoveGridColumn ("VoucherDate")
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Voucher created and displayed on voucher list")
	[ ] 
	[+] // CLEANUP
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
