﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify vouchers IWT-> Change Date
	[+] // Test Steps:
		[ ] // 1. Invoke new receiving voucher (Result 1)
		[ ] // 2. Goto I Want To-> Change Date (Result 2)
		[ ] // 3. Change the date
		[ ] // 4. Add item, vendor and save the voucher
		[ ] // 5. Click on cancel and Invoke Receiving history (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify receiving voucher window is open
		[ ] // 2. Verify "Change Document date" dialog appears
		[ ] // 3. Verify voucher is created on the set date and is listed on receiving history
[ ] // TESTCASE::VouchersIWTChangeDate
[ ] // ATC ID::POS_PUR_ATC_009
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VouchersIWTChangeDate.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VouchersIWTChangeDate ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sVendor, sItem, sComment, dtDocDate
		[ ] LIST OF STRING lsVoucherExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new receiving voucher
			[ ] Voucher.ReceivingVoucher.Invoke ()
		[ ] 
		[+] // Result 1: Verify receiving voucher window is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Receiving voucher open")
		[ ] 
		[+] // Step 2: Goto I Want To-> Change Date
			[ ] WaitFor (Voucher.ReceivingVoucher.SideButtons.ShowMessages)
			[ ] Voucher.ReceivingVoucher.IWantTo.Click ()
			[ ] Voucher.ReceivingVoucher.IWantTo.ChangeDate.Click ()
		[ ] 
		[+] // Result 2: Verify "Change Document date" dialog appears
			[ ] VerifySafely (Voucher.ReceivingVoucher.ChangeDocumentDate.Exists (5), TRUE, "Change Document date dialog is open")
		[ ] 
		[+] // Step 3: Change the date
			[ ] dtDocDate = "2010-10-15"
			[ ] Voucher.ReceivingVoucher.ChangeDocumentDate.DocumentDate.SelectDate (dtDocDate)
			[ ] Voucher.ReceivingVoucher.ChangeDocumentDate.OK.Click ()
		[ ] 
		[+] // Step 4: Add item, vendor and save the voucher
			[ ] sItem = "InvItem1"
			[ ] sVendor = "System"
			[ ] Voucher.ReceivingVoucher.EnterItems.SelectItem (sItem)
			[ ] Voucher.ReceivingVoucher.EnterVendor.SelectVendor (sVendor)
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
		[ ] 
		[+] // Step 5: Click on cancel and Invoke Receiving history
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[ ] ReceivingHistory.VoucherList.Invoke ()
		[ ] 
		[+] // Result 3: Verify voucher is created on the set date and is listed on receiving history
			[+] lsVoucherExpected = {...}
				[ ] "10/15/2010 Regular Receiving 1 1 System 1 50.00 Already paid 1"
			[ ] ReceivingHistory.VoucherList.Topbar.Filter.Select ("All Vouchers")
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Voucher created and displayed on voucher list")
	[ ] 
	[+] // CLEANUP
		[+] if ReceivingHistory.VoucherList.GoBack.Exists (3)
			[ ] ReceivingHistory.VoucherList.GoBack.Click ()
[ ] 
