﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify adding a discount fee freight to voucher
	[+] // Test Steps:
		[ ] // 1. Invoke new receiving voucher (Result 1)
		[ ] // 2. Enter the items to be received and enter the vendor and get the total
		[ ] // 3. Goto I Want To-> EnterDiscountFee Freight (Result 2)
		[ ] // 4. Add all the required data
		[ ] // 5. Click on Close (Result 3)
		[ ] // 6. Click on Save only then click cancel and Invoke Receiving history (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify receiving voucher window is open
		[ ] // 2. Verify "Discount Fee Freight" is open
		[ ] // 3. Verify totals is updated in the voucher
		[ ] // 4. Verify the created voucher is listed on receiving history
[ ] // TESTCASE::VouchersIWTEnterDiscountFeeFreight
[ ] // ATC ID::POS_PUR_ATC_007
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VouchersIWTEnterDiscountFeeFreight.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VouchersIWTEnterDiscountFeeFreight ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sDiscountAmount, sFreight, sFee,sTotal, sUpdatedTotal
		[ ] LIST OF STRING lsVoucherExpected
		[ ] ReceivingVoucherRec rvrVoucher
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new receiving voucher
			[ ] Voucher.ReceivingVoucher.Invoke ()
		[ ] 
		[+] // Result 1: Verify receiving voucher window is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Receiving voucher open")
		[ ] 
		[+] // Step 2: Enter the items to be received and enter the vendor and get the total
			[ ] rvrVoucher = {}
			[+] rvrVoucher.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] rvrVoucher.sVendor = "PVendor1"
			[ ] CreateReceivingVoucher (rvrVoucher)
			[ ] sTotal = Voucher.ReceivingVoucher.Totals.Amount.GetCaption ()
		[ ] 
		[+] // Step 3: Goto I Want To-> EnterDiscountFee Freight
			[ ] WaitFor (Voucher.ReceivingVoucher.SideButtons.ShowMessages)
			[ ] Voucher.ReceivingVoucher.IWantTo.Click ()
			[ ] Voucher.ReceivingVoucher.IWantTo.EnterDiscountFeeFreight.Click ()
		[ ] 
		[+] // Result 2: Verify "Discount Fee Freight" is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.DiscountFeeFreight.Exists (5), TRUE, "Discount Fee Freight dialog is open")
		[ ] 
		[+] // Step 4: Add all the required data
			[ ] sDiscountAmount = "10.00"
			[ ] sFreight = "15.00"
			[ ] sFee = "20.00"
			[ ] Voucher.ReceivingVoucher.DiscountFeeFreight.DiscountAmount.SetData (sDiscountAmount)
			[ ] Voucher.ReceivingVoucher.DiscountFeeFreight.Freight.SetData (sFreight)
			[ ] Voucher.ReceivingVoucher.DiscountFeeFreight.Fee.SetData (sFee)
		[ ] 
		[+] // Step 5: Click on Close
			[ ] Voucher.ReceivingVoucher.DiscountFeeFreight.Close.Click ()
		[ ] 
		[+] // Result 3: Verify totals is updated in the voucher
			[ ] sUpdatedTotal = Str ((val (sTotal) - val (sDiscountAmount) + val (sFreight) + val (sFee)), NULL, 2)
			[ ] VerifySafely (Voucher.ReceivingVoucher.Totals.Amount.GetCaption (), sUpdatedTotal, "Total amount is updated on voucher")
		[ ] 
		[+] // Step 6: Click on Save only then click cancel and Invoke Receiving history
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[ ] ReceivingHistory.VoucherList.Invoke ()
		[ ] 
		[+] // Result 4: Verify the created voucher is listed on receiving history
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 1 PVendor1 2 175.00 Already paid 2"
			[ ] ReceivingHistory.VoucherList.RemoveGridColumn ("VoucherDate")
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Voucher created and displayed on voucher list")
	[ ] 
	[+] // CLEANUP
		[+] if ReceivingHistory.VoucherList.GoBack.Exists (3)
			[ ] ReceivingHistory.VoucherList.GoBack.Click ()
[ ] 
