﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify selecting an item from Quick pick items in voucher
	[+] // Test Steps:
		[ ] // 1. Invoke new receiving voucher (Result 1)
		[ ] // 2. Go to I want to - > QickPickItems (Result 2)
		[ ] // 3. Click on services and then click on ServItem1 (Result 3)
		[ ] // 4. Enter a vendor
		[ ] // 5. Click on Save only then click cancel and Invoke Receiving history (4)
	[+] // Expected Result:
		[ ] // 1. Verify receiving voucher window is open
		[ ] // 2. Verify QuickPickItem dialog is displayed
		[ ] // 3. Verify Service item is added item is added
		[ ] // 4. Verify the created voucher is listed on receiving history
[ ] // TESTCASE::VouchersIWTQuickPickitems
[ ] // ATC ID::POS_PUR_ATC_003
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\QuickPickItems.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VouchersIWTQuickPickitems.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VouchersIWTQuickPickitems ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sVendor
		[ ] LIST OF STRING lsVoucherExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "QuickPickItems.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new receiving voucher
			[ ] Voucher.ReceivingVoucher.Invoke ()
		[ ] 
		[+] // Result 1: Verify receiving voucher window is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.Exists (5), TRUE, "Receiving voucher open")
		[ ] 
		[+] // Step 2: Go to I want to - > QickPickItems
			[ ] WaitFor (Voucher.ReceivingVoucher.SideButtons.ShowMessages)
			[ ] Voucher.ReceivingVoucher.IWantTo.Click ()
			[ ] Voucher.ReceivingVoucher.IWantTo.QuickPickItems.Click ()
		[ ] 
		[+] // Result 2: Verify QuickPickItem dialog is displayed
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Exists (5), TRUE, "QuickPickItem dialog displayed")
		[ ] 
		[+] // Step 3: Click on services and then click on ServItem1
			[ ] Voucher.ReceivingVoucher.QuickPickItem.ChooseAnItemGroup.Services.Click ()
			[ ] Voucher.ReceivingVoucher.QuickPickItem.ChooseAnItemGroup.Item1.Click ()
		[ ] 
		[+] // Result 3: Verify Service item is added item is added
			[ ] VerifySafely (Voucher.ReceivingVoucher.VoucherItems.ItemGrid.GridRow.ItemName.GetCaption (), "ServItem1", "Item added through QuickPick items")
		[ ] 
		[+] // Step 4: Enter a vendor
			[ ] sVendor = "PVendor1"
			[ ] Voucher.ReceivingVoucher.EnterVendor.SelectVendor (sVendor)
		[ ] 
		[+] // Step 5: Click on Save only then click cancel and Invoke Receiving history
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
			[ ] ReceivingHistory.VoucherList.Invoke ()
		[ ] 
		[+] // Result 4: Verify the created voucher is listed on receiving history
			[+] lsVoucherExpected = {...}
				[ ] "Regular Receiving 1 1 PVendor1 1 0.00 Already paid 1"
			[ ] ReceivingHistory.VoucherList.RemoveGridColumn ("VoucherDate")
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Voucher created and displayed on voucher list")
	[ ] 
	[+] // CLEANUP
		[+] if ReceivingHistory.VoucherList.GoBack.Exists (3)
			[ ] ReceivingHistory.VoucherList.GoBack.Click ()
[ ] 
