﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verifying adding and deleting a message on the Voucher
	[+] // Test Steps:
		[ ] // Step 1: Invoke sales receipt and open messages (Result 1)
		[ ] // Step 2: Click on New (Result 2)
		[ ] // Step 3: Enter message and press tab (Result 3)
		[ ] // Step 4: Create a new message
		[ ] // Step 5: Click on remove in the first note (Result 4)
		[ ] // Step 6: Click on 'X' (Result 5)
		[ ] // Step 7: Create a new new sale so that in on hand qty of an item goes below reorder point, te open messages  (Result 6)
		[ ] // Step 8: Click on Go to reminders (Result 7)
		[ ] // Step 9: Close reminders
		[ ] // Step 10: Click on List view (Result 8)
		[ ] // Step 11: Click on List view (Result 9)
		[ ] // Step 12: Get all messages and Go to Home (Result 10)
	[+] // Expected Result:
		[ ] // Result 1: Verify messages dialog is displayed and default welcome message
		[ ] // Result 2: Verify new Note displayed
		[ ] // Result 3: Verify new message saved
		[ ] // Result 4: Verify message deleted
		[ ] // Result 5: Verify Messages dialog closed
		[ ] // Result 6: Verify Reminders note displayed with correct info
		[ ] // Result 7: Verify Reminders window is open
		[ ] // Result 8: Verify List View displayed
		[ ] // Result 9: Verify List View displayed
		[ ] // Result 10: Verify all messages are displayed correctly
[ ] // TESTCASE::VouchersIWTShowMessages
[ ] // ATC ID:: POS_PUR_ATC_035
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VouchersIWTShowMessages.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VouchersIWTShowMessages ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sWelcomeMessage, sNewMsg1, sNewMsg2, sReminderMsg
		[ ] ReceivingVoucherRec rvrVoucher
		[ ] LIST OF STRING lsAllMessages
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "VoucherMessages.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke receiving voucher and open messages
			[ ] Voucher.ReceivingVoucher.Messages.Invoke ()
		[ ] 
		[+] // Result 1: Verify messages dialog is displayed and default welcome message
			[ ] VerifySafely (Voucher.ReceivingVoucher.Messages.Exists (3), TRUE, "Messages dialog displayed")
			[ ] sWelcomeMessage = "Hello, and welcome to QuickBooks Point of Sale!{chr (10)}{chr (10)}You can use this area to post your own notes."
			[ ] VerifySafely (Voucher.ReceivingVoucher.Messages.StickyNotes.Messages.WelcomeMessage.GetMessage (), sWelcomeMessage, "Welcome message displayed correctly")
		[ ] 
		[+] // Step 2: Click on New
			[ ] Voucher.ReceivingVoucher.Messages.New.Click ()
		[ ] 
		[+] // Result 2: Verify new Note displayed
			[ ] VerifySafely (Voucher.ReceivingVoucher.Messages.StickyNotes.Messages.NewMessage.Exists (), TRUE, "New Message box displyed")
		[ ] 
		[+] // Step 3: Enter message and press tab
			[ ] sNewMsg1 = "Test message 1"
			[ ] Voucher.ReceivingVoucher.Messages.StickyNotes.Messages.NewMessage.MessageText.SetData (sNewMsg1)
			[ ] Voucher.ReceivingVoucher.Messages.StickyNotes.Messages.Typekeys ("<Tab>")
		[ ] 
		[+] // Result 3: Verify new message saved
			[ ] VerifySafely (Voucher.ReceivingVoucher.Messages.StickyNotes.Messages.CMessage.GetMessage (sNewMsg1), sNewMsg1, "New Note created")
		[ ] 
		[+] // Step 4: Create a new message
			[ ] sNewMsg2 = "Test message 2"
			[ ] Voucher.ReceivingVoucher.Messages.StickyNotes.CreateNewMessage (sNewMsg2)
		[ ] 
		[+] // Step 5: Click on remove in the first note
			[ ] Voucher.ReceivingVoucher.Messages.StickyNotes.Messages.CMessage.DeleteMessage (sNewMsg1)
		[ ] 
		[+] // Result 4: Verify message deleted
			[ ] VerifySafely (Voucher.ReceivingVoucher.Messages.StickyNotes.Messages.CMessage.MessageExists (sNewMsg1), FALSE, "Message Deleted")
		[ ] 
		[+] // Step 6: Click on 'X'
			[ ] Voucher.ReceivingVoucher.Messages.XClose.Click ()
		[ ] 
		[+] // Result 5: Verify Messages dialog closed
			[ ] VerifySafely (Voucher.ReceivingVoucher.Messages.Exists (3), FALSE, "Messages dialog closed")
		[ ] 
		[+] // Sku based steps
			[+] if sSKU != "BASIC"
				[+] // Step 7: Create a new voucher so that in on hand qty of an item goes above reorder point, te open messages
					[ ] rvrVoucher = {}
					[+] rvrVoucher.ldir = {...}
						[ ] {"MsgItem", "10"}
					[ ] rvrVoucher.sVendor = "System"
					[ ] rvrVoucher.sButton = "Save"
					[ ] CreateReceivingVoucher (rvrVoucher)
					[ ] Wait (330) //Delaying verification by 5 mins ( + 30 secs grace) as per resolution of CR # QBPS005504
					[ ] Voucher.ReceivingVoucher.Messages.Invoke ()
				[ ] 
				[+] // Result 6: Verify Reminders note displayed with correct info
					[ ] VerifySafely (Voucher.ReceivingVoucher.Messages.StickyNotes.Messages.ReminderMessage.Exists (), TRUE, "InventoryReminder message displayed")
					[ ] sReminderMsg = "{chr(10)}-new items"
					[ ] VerifySafely (Voucher.ReceivingVoucher.Messages.StickyNotes.Messages.ReminderMessage.GetMessage (), sReminderMsg, "Correct message displayed in reminder message")
				[ ] 
				[+] // Step 8: Click on Go to reminders
					[ ] Voucher.ReceivingVoucher.Messages.StickyNotes.Messages.ReminderMessage.GoToInventoryReminders.Click ()
				[ ] 
				[+] // Result 7: Verify Reminders window is open
					[ ] VerifySafely (Reminders.Reminders.Exists (5), TRUE, "Reminders window open on clicking Go to reminders")
				[ ] 
				[+] // Step 9: Close reminders
					[ ] Reminders.BottomBar.Close.Click ()
					[ ] WaitUntill (Voucher.ReceivingVoucher.Messages, "IsEnabled", TRUE)
				[ ] 
				[+] // Step 10: Click on List view
					[ ] Voucher.ReceivingVoucher.Messages.StickyNotes.ShowList.Click ()
				[ ] 
				[+] // Result 8: Verify List View displayed
					[ ] VerifySafely (Voucher.ReceivingVoucher.Messages.StickyNotes.ListMessages.Exists (2), TRUE, "Messages shown in list view")
				[ ] 
				[+] // Step 11: Click on Sticky view
					[ ] Voucher.ReceivingVoucher.Messages.StickyNotes.ShowStickies.Click ()
				[ ] 
				[+] // Result 9: Verify Sticky View displayed
					[ ] VerifySafely (Voucher.ReceivingVoucher.Messages.StickyNotes.StickyMessages.Exists (2), TRUE, "Messages shown in sticky view")
				[ ] 
				[+] // Step 12: Get all messages and Go to Home
					[ ] Voucher.ReceivingVoucher.Messages.StickyNotes.ShowList.Click ()
					[ ] lsAllMessages = Voucher.ReceivingVoucher.Messages.StickyNotes.GetAllMessages ()
					[ ] Voucher.ReceivingVoucher.Messages.XClose.Click ()
					[ ] Voucher.ReceivingVoucher.Topbar.Home.Click ()
				[ ] 
				[+] // Result 10: Verify all messages are displayed correctly
					[ ] QuickBooksPointOfSale.Dashboard.Stickies.ShowList.Click ()
					[ ] VerifySafely (QuickBooksPointOfSale.Dashboard.Stickies.GetAllMessages (), lsAllMessages, "Messages displayed in receipt messages correctly")
			[+] else
				[ ] print ("Skipping tests for higher skus")
	[ ] 
	[+] // CLEANUP
		[ ] WaitFor (QuickBooksPointOfSale.Dashboard.Stickies.ShowStickies)
[ ] 
