﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Verify adding of groups and items through QP
	[+] // Test Steps:
		[ ] // STEP 1: Invoke New Sales Receipt and Go to IWT- > QuickPick Item ( RESULT 1)
		[ ] // STEP 2: Click on AddGroup ( RESULT 2)
		[ ] // STEP 3: Set the group name and Enter ( RESULT 3)
		[ ] // STEP 4: Click on the new group ( RESULT 4) ( RESULT 5)
		[ ] // STEP 5: Click on Add Item ( RESULT 6)
		[ ] // STEP 6: Enter an Item ( RESULT 7) ( RESULT 8)
		[ ] // STEP 7: Get the current view of the items ( RESULT 9)
		[ ] // STEP 8: Click on next view ( RESULT 10)
		[ ] // STEP 9: Go BAck to previous view ( RESULT 11)
		[ ] // STEP 10: Click on Add Item and try to add the same item (RESULT 12)
		[ ] // STEP 11: Click on OK then click on Groups (RESULT 13)
		[ ] // STEP 12: Click on 'X' (RESULT 14)
	[+] // Expected Result:
		[ ] // RESULT 1: Verify Quick Pick opens and all buttons text chnages correctly
		[ ] // RESULT 2: Verify New Group is displayed with editable name
		[ ] // RESULT 3: Verify New Group button added
		[ ] // RESULT 4: Verify Group Name is correct
		[ ] // RESULT 5: Verify No of Items is 0
		[ ] // RESULT 6: Verify Select Item dialog appears
		[ ] // RESULT 7: Verify Items Gets added to QP group
		[ ] // RESULT 8: Verify of items gets updated
		[ ] // RESULT 9: Verify item properties are displayed correctly
		[ ] // RESULT 10: Verify item properties are displayed correctly
		[ ] // RESULT 11: Verify view changes
		[ ] // RESULT 12 : Verify Information dialog appears with correct message
		[ ] // RESULT 13: Verify QP goes back to groups
		[ ] // RESULT 14: Verify QP closes
[ ] // TESTCASE.:VouchersQPAddGroupAndItem
[ ] // ATC ID:: POS_PUR_ATC_031
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\QPAltVendor.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VouchersQPAddGroupAndItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VouchersQPAddGroupAndItem ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sNewGroupName, sItemView, sMessage, sVendor
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "QPAltVendor.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // STEP 1: Invoke New Voucher and Go to IWT- > QuickPick Item
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Items.ItemsList.Invoke ()
			[ ] nirItem = GetItemDataFromDetail (nirItem, TRUE, "Get")
			[ ] Voucher.ReceivingVoucher.Invoke ()
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Open ()
		[ ] 
		[+] // RESULT 1: Verify Quick Pick opens and all buttons text chnages correctly
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Exists (3), TRUE, "Quick Pick Opens up")
			[ ] VerifySafely (Voucher.ReceivingVoucher.SideBar.ScrollViewer.SideButtons.GIButton.GetName (1), "Hide Quick Pick", "Side button name changed when QP open")
			[ ] Voucher.ReceivingVoucher.IWantTo.Click ()
			[ ] VerifySafely (Voucher.ReceivingVoucher.IWantTo.HideQuickPick.Exists (2), TRUE, "IWT menu changed when QP is open")
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Header.Click ()
		[ ] 
		[+] // STEP 2: Click on AddGroup
			[ ] Voucher.ReceivingVoucher.QuickPickItem.AddGroup.Click ()
		[ ] 
		[+] // RESULT 2: Verify New Group is displayed with editable name
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPGroups.NewGroupButton.GroupName.Exists (3), TRUE, "New Groupp added with editable group name")
		[ ] 
		[+] // STEP 3: Set the group name and Enter
			[ ] sNewGroupName = "G1"
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPGroups.NewGroupButton.GroupName.SetData (sNewGroupName)
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPGroups.NewGroupButton.GroupName.Typekeys ("<Enter>")
		[ ] 
		[+] // RESULT 3: Verify New Group button added
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPGroups.GCButton.ButtonExists (sNewGroupName), TRUE, "New QP group created")
		[ ] 
		[+] // STEP 4: Click on the new group
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPGroups.GCButton.ClickButton (sNewGroupName)
		[ ] 
		[+] // RESULT 4: Verify Group Name is correct
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.QPGroupName.GetName (), sNewGroupName, "Group Name correctly displayed")
		[ ] 
		[+] // RESULT 5: Verify No of Items is 0
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.NoOfItems.GetNumber (), "0", "Number of Items correctly displayed as 0 for new group")
		[ ] 
		[+] // STEP 5: Click on Add Item
			[ ] Voucher.ReceivingVoucher.QuickPickItem.AddItem.Click ()
		[ ] 
		[+] // RESULT 6: Verify Select Item dialog appears
			[ ] VerifySafely (Voucher.ReceivingVoucher.QPSelectAnItem.Exists (3), TRUE, "Select Item dialog displayed")
		[ ] 
		[+] // STEP 6: Enter an Item
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Voucher.ReceivingVoucher.QPSelectAnItem.EnterItems.SelectItem (nirItem.sItemName)
		[ ] 
		[+] // RESULT 7: Verify Items Gets added to QP group
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.ButtonExists (nirItem.sItemName), TRUE, "Item Added in QPGroup")
		[ ] 
		[+] // RESULT 8: Verify of items gets updated
			[ ] VerifySafely (Val (Voucher.ReceivingVoucher.QuickPickItem.NoOfItems.GetNumber ()), Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GetButtonCount (), "No of Items Updated correctly")
		[ ] 
		[+] // STEP 7: Get the current view of the items
			[ ] sItemView = Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.GetView (nirItem.sItemName)
		[ ] 
		[+] // RESULT 9: Verify item properties are displayed correctly
			[+] if sItemView == "Short"
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.SGCButton.ItemName.GetName (nirItem.sItemName), nirItem.sItemName, "Item NAme correctly displyed")
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.SGCButton.ItemCost.GetCost (nirItem.sItemName), "${nirItem.sOrderCost}", "Item price correctly displyed")
			[+] else
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.VGCButton.ItemName.GetName (nirItem.sItemName), nirItem.sItemName, "Item NAme correctly displyed")
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.VGCButton.AttributeSize.GetAttribute (nirItem.sItemName), nirItem.sAttribute, "Item attribute correctly displyed")
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.VGCButton.AttributeSize.GetSize (nirItem.sItemName), nirItem.sSize, "Item attribute correctly displyed")
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.VGCButton.ItemDept.GetDept (nirItem.sItemName), nirItem.sDepartment, "Item dept correctly displyed")
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.VGCButton.ItemOHQty.GetQty (nirItem.sItemName), nirItem.sOnHandQty, "Item ohqty correctly displyed")
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.VGCButton.ItemCost.GetCost (nirItem.sItemName), "${nirItem.sOrderCost}", "Item price correctly displyed")
		[ ] 
		[+] // STEP 8: Click on next view
			[+] if sItemView == "Short"
				[ ] Voucher.ReceivingVoucher.QuickPickItem.VerboseView.Click ()
			[+] else
				[ ] Voucher.ReceivingVoucher.QuickPickItem.ShortView.Click ()
		[ ] 
		[+] // RESULT 10: Verify item properties are displayed correctly
			[+] if sItemView == "Short"
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.GetView (nirItem.sItemName), "Verbose", "View changed to verbose from short")
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.VGCButton.ItemName.GetName (nirItem.sItemName), nirItem.sItemName, "Item NAme correctly displyed")
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.VGCButton.AttributeSize.GetAttribute (nirItem.sItemName), nirItem.sAttribute, "Item attribute correctly displyed")
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.VGCButton.AttributeSize.GetSize (nirItem.sItemName), nirItem.sSize, "Item attribute correctly displyed")
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.VGCButton.ItemDept.GetDept (nirItem.sItemName), nirItem.sDepartment, "Item dept correctly displyed")
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.VGCButton.ItemOHQty.GetQty (nirItem.sItemName), nirItem.sOnHandQty, "Item ohqty correctly displyed")
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.VGCButton.ItemCost.GetCost (nirItem.sItemName), "${nirItem.sOrderCost}", "Item price correctly displyed")
			[+] else
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.GetView (nirItem.sItemName), "Short", "View changed to short from verbose")
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.SGCButton.ItemName.GetName (nirItem.sItemName), nirItem.sItemName, "Item NAme correctly displyed")
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.SGCButton.ItemCost.GetCost (nirItem.sItemName), "${nirItem.sOrderCost}", "Item price correctly displyed")
		[ ] 
		[+] // STEP 9: Go BAck to previous view
			[ ] sItemView = Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.GetView (nirItem.sItemName)
			[+] if sItemView == "Short"
				[ ] Voucher.ReceivingVoucher.QuickPickItem.VerboseView.Click ()
			[+] else
				[ ] Voucher.ReceivingVoucher.QuickPickItem.ShortView.Click ()
		[ ] 
		[+] // RESULT 11: Verify view changes
			[+] if sItemView == "Short"
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.GetView (nirItem.sItemName), "Verbose", "View changed to verbose from short")
			[+] else
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.GetView (nirItem.sItemName), "Short", "View changed to short from verbose")
		[ ] 
		[+] // STEP 10: Click on Add Item and try to add the same item
			[ ] Voucher.ReceivingVoucher.QuickPickItem.AddItem.Click ()
			[ ] Voucher.ReceivingVoucher.QPSelectAnItem.EnterItems.SelectItem (nirItem.sItemName)
		[ ] 
		[+] // RESULT 12 : Verify Information dialog appears with correct message
			[ ] VerifySafely (Voucher.Information.Exists (2), TRUE, "Information dialog appears")
			[ ] sMessage = "This item is already in this group."
			[ ] VerifySafely (Voucher.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
		[ ] 
		[+] // STEP 11: Click on OK then click on Groups
			[ ] Voucher.Information.OK.Click ()
			[ ] Voucher.ReceivingVoucher.QPSelectAnItem.Cancel.Click ()
			[ ] Voucher.ReceivingVoucher.QuickPickItem.GroupsText.Click ()
		[ ] 
		[+] // RESULT 13: Verify QP goes back to groups
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPGroups.GCButton.ButtonExists (sNewGroupName), TRUE, "QP is back to groups")
		[ ] 
		[+] // STEP 12: Click on 'X'
			[ ] Voucher.ReceivingVoucher.QuickPickItem.XClose.Click ()
		[ ] 
		[+] // RESULT 14: Verify QP closes
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Exists (3), FALSE, "QP closed on clicking X")
			[ ] VerifySafely (Voucher.ReceivingVoucher.SideBar.ScrollViewer.SideButtons.GIButton.GetName (1), "Quick Pick Items", "Side button name changed when QP open")
			[ ] Voucher.ReceivingVoucher.IWantTo.Click ()
			[ ] VerifySafely (Voucher.ReceivingVoucher.IWantTo.QuickPickItems.Exists (2), TRUE, "IWT menu changed when QP is open")
		[ ] 
		[+] // STEP 13: Add an alternate vendor to the voucher and then open QP and enter the group and get the view
			[ ] sVendor = "PVendor1"
			[ ] Voucher.ReceivingVoucher.EnterVendor.SelectVendor (sVendor)
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Open ()
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.Select (sNewGroupName)
			[ ] sItemView = Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.GetView (nirItem.sItemName)
		[ ] 
		[+] // RESULT 9: Verify item cost is displayed as per vendor selected
			[+] if sItemView == "Short"
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.SGCButton.ItemCost.GetCost (nirItem.sItemName), "{nirItem.sOrderCost2}", "Item price correctly displyed")
			[+] else
				[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.VGCButton.ItemCost.GetCost (nirItem.sItemName), "{nirItem.sOrderCost2}", "Item price correctly displyed")
	[ ] 
	[+] // CLEANUP
		[ ] Voucher.ReceivingVoucher.Cancel.Click ()
		[+] if Voucher.Confirmation.Exists (2)
			[ ] Voucher.Confirmation.DiscardChanges.Click ()
[ ] 
