﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Verify selecting an item from Quick pick items
	[+] // Test Steps:
		[ ] // STEP 1: Invoke New Sales Receipt and Go to IWT- > QuickPick Item 
		[ ] // STEP 2: Enter a group and get the items listed
		[ ] // STEP 3: Make sure the Pin is in Unpinned state and then select an Item (RESULT 1)
		[ ] // STEP 4: Go to IWT- > QuickPick Item  (RESULT 2)
		[ ] // STEP 5: Make sure the Pin is in Pinned state and then click on an Item (RESULT 3)
		[ ] // STEP 6: Click on another Item after unpinning the Pin (RESULT 4)
		[ ] // STEP 7: Take payement and save the recipt
		[ ] // STEP 8: Click on Quick Pick (RESULT 5)
		[ ] // STEP 9: Invoke Sales History (RESULT 6)
		[ ] // STEP 10: Go to home, go to new sales receipt and open QP
		[ ] // STEP 11: Enter a group, make the Pin In pinned state nad then select an item (RESULT 9)
	[+] // Expected Result:
		[ ] // RESULT 1: Verify Quick Pick closes and Item is added to receipt
		[ ] // RESULT 2: Verify Home group is open
		[ ] // RESULT 3: Verify QP is still open
		[ ] // RESULT 4: Verify QP closes and all Items has got added to recipt correctly
		[ ] // RESULT 5: Verify QuickPick Home screen is displayed
		[ ] // RESULT 6: Verify sale has been created
		[ ] // RESULT 7: Verify QP remains open
[ ] // TESTCASE.:VouchersQPAddItemsToVoucher
[ ] // ATC ID:: POS_PUR_ATC_002
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\QuickPickGroups.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VouchersQPAddItemsToVoucher.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VouchersQPAddItemsToVoucher ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sQPGroup, sGroup, sItem
		[ ] LIST OF STRING lsItemsExpected, lsQPGroupsList, lsItems, lsVoucherExpected
		[ ] INTEGER iItemCount, iQPGroupsCount
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "QuickPickGroups.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // STEP 1: Invoke New Sales Receipt and Go to IWT- > QuickPick Item 
			[ ] Voucher.ReceivingVoucher.Invoke ()
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Open ()
			[ ] iQPGroupsCount = Voucher.ReceivingVoucher.QuickPickItem.Groups.QPGroups.GetButtonCount ()
			[ ] lsQPGroupsList = Voucher.ReceivingVoucher.QuickPickItem.Groups.QPGroups.GetButtonList ()
		[ ] 
		[+] // STEP 2: Enter a group and get the items listed
			[ ] sQPGroup = "G1"
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.Select (sQPGroup)
			[ ] lsItems = Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GetButtonList ()
			[ ] iItemCount = Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GetButtonCount ()
		[ ] 
		[+] // STEP 3: Make sure the Pin is in Unpinned state and then select an Item
			[ ] sItem = lsItems[1]
			[ ] ListAppend (lsItemsExpected, sItem)
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Pin.Uncheck ()
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.Select (sItem)
		[ ] 
		[+] // RESULT 1: Verify Quick Pick closes and Item is added to receipt
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Exists (2), FALSE, "QP closes after selection of item when Pin is in unpinned state")
			[ ] VerifySafely (Voucher.ReceivingVoucher.VoucherItems.GetItemList (), lsItemsExpected, "Item added to receipt from QP")
		[ ] 
		[+] // STEP 4: Go to IWT- > QuickPick Item 
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Open ()
		[ ] 
		[+] // RESULT 2: Verify Home group is open
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GetButtonList (), lsQPGroupsList, "Previous Group Open")
		[ ] 
		[+] // STEP 5: Make sure the Pin is in Pinned state and then click on an Item
			[ ] sItem = lsItems[2]
			[ ] ListAppend (lsItemsExpected, sItem)
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.Select (sQPGroup)
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Pin.Check ()
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.Select (sItem)
		[ ] 
		[+] // RESULT 3: Verify QP is still open
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Exists (2), TRUE, "QP remains open after selection of item when Pin is in pinned state")
		[ ] 
		[+] // STEP 6: Click on another Item after unpinning the Pin
			[ ] sItem = lsItems[1]
			[ ] ListAppend (lsItemsExpected, sItem)
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Pin.Uncheck ()
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.Select (sItem)
		[ ] 
		[+] // RESULT 4: Verify QP closes and all Items has got added to voucher correctly
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Exists (2), FALSE, "QP closes after selection of item when Pin is in unpinned state")
			[ ] VerifySafely (Voucher.ReceivingVoucher.VoucherItems.GetItemList (), lsItemsExpected, "Item added to receipt from QP")
		[ ] 
		[+] // STEP 7: Save the voucher
			[ ] Voucher.ReceivingVoucher.EnterVendor.SelectVendor ("System")
			[ ] Voucher.ReceivingVoucher.SaveOnly.Click ()
		[ ] 
		[+] // STEP 8: Click on Quick Pick
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Open ()
		[ ] 
		[+] // RESULT 5: Verify QuickPick Home screen is displayed
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPGroups.GetButtonList (), lsQPGroupsList, "Home groups displayed for new sale")
			[ ] Voucher.ReceivingVoucher.QuickPickItem.HideQuickPick.Click ()
			[ ] Voucher.ReceivingVoucher.Cancel.Click ()
		[ ] 
		[+] // STEP 9: Invoke Voucher History
			[ ] ReceivingHistory.VoucherList.Invoke ()
		[ ] 
		[+] // Result 6: Verify voucher has been created
			[+] lsVoucherExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Receiving 1 1 System 3 370.00 Already paid 3"
			[ ] VerifySafely (ReceivingHistory.VoucherList.VoucherGrid.ItemTexts, lsVoucherExpected, "Voucher created")
		[ ] 
		[+] // STEP 10: Go to home, go to new sales receipt and open QP
			[ ] ReceivingHistory.VoucherList.Topbar.Home.Click ()
			[ ] Voucher.ReceivingVoucher.Invoke ()
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Open ()
		[ ] 
		[+] // STEP 11: Enter a group, make the Pin In pinned state nad then select an item
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPGroups.Select (sQPGroup)
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Pin.Check ()
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.Select (sItem)
		[ ] 
		[+] // RESULT 7: Verify QP remains open
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Exists (2), TRUE, "QP remains open after selection of item when Pin is in pinned state")
	[ ] 
	[+] // CLEANUP
		[ ] Voucher.ReceivingVoucher.QuickPickItem.XClose.Click ()
		[ ] Voucher.ReceivingVoucher.Cancel.Click ()
		[+] if Voucher.Confirmation.Exists (2)
			[ ] Voucher.Confirmation.Yes.Click ()
[ ] 
