﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Verify adding removing and changing QP group from context menu
	[+] // Test Steps:
		[ ] // STEP 1: Invoke New Sales Receipt and Go to IWT- > QuickPick Item and get the group list
		[ ] // STEP 2: Enter a group and get the items listed and go back to groups
		[ ] // STEP 3: Right click on one Item (RESULT 1)
		[ ] // STEP 4: Click on Add Item to this Group (RESULT 2)
		[ ] // STEP 5: Click on Cancel, right click and click on Move Item To Group (RESULT 3)
		[ ] // STEP 6: Clikc on another group name in the move to sub menu (RESULT 4)
		[ ] // STEP 7: Go Back to Groups and Open the group in which the item was moved (RESULT 5)
		[ ] // STEP 7: Close QP and go to Item List (RESULT 6)
		[ ] // STEP 8: Close Item List and open QP
		[ ] // STEP 9: Enter a group and  (RESULT 7)
		[ ] // STEP 10: Close QP and go to Item List (RESULT 8)
	[+] // Expected Result:
		[ ] // RESULT 1: Verify Context menu pops up with expected menu items
		[ ] // RESULT 2: Verify Group Name is Editable
		[ ] // RESULT 3: Verify Move to group sub menu
		[ ] // RESULT 4: Verify Item does not exist in this group and no of items updated correctly
		[ ] // RESULT 5: Verify QP group has updated correctly
		[ ] // RESULT 6: Verify QP groupd is updated correctly
		[ ] // RESULT 7: Verify Item does not exist in this group and no of items updated correctly
		[ ] // RESULT 8: Verify QP groupd is updated correctly
[ ] // TESTCASE.:VouchersQPGroupItemsContextMenu
[ ] // ATC ID:: POS_PUR_ATC_034
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\QuickPickGroups.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::VouchersQPGroupItemsContextMenu.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase VouchersQPGroupItemsContextMenu ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sNewGroupName, sQPGroup, sItem
		[ ] NewItemRec nirItem
		[ ] LIST OF STRING lsQPGroupsExpected, lsQPGroups, lsItems
		[ ] INTEGER iItemCount
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "QuickPickGroups.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // STEP 1: Invoke New Sales Receipt and Go to IWT- > QuickPick Item and get the group list
			[ ] Voucher.ReceivingVoucher.Invoke ()
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Open ()
			[ ] lsQPGroupsExpected = Voucher.ReceivingVoucher.QuickPickItem.Groups.QPGroups.GetButtonList ()
		[ ] 
		[+] // STEP 2: Enter a group and get the items listed and go back to groups
			[ ] sQPGroup = "G4"
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.Select (sQPGroup)
			[ ] lsItems = Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GetButtonList ()
			[ ] iItemCount = Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GetButtonCount ()
		[ ] 
		[+] // STEP 3: Right click on one Item
			[ ] sItem = lsItems[1]
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.ClickButton (sItem, 2)
		[ ] 
		[+] // RESULT 1: Verify Context menu pops up with expected menu items
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.CMenu.MenuExists (sItem), TRUE, "Context menu displayed")
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPGroups.GCButton.sCaption = sItem
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.CMenu.AddItemToThisGroup.Exists (2), TRUE, "Add Item Menu exists")
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.CMenu.MoveItemToGroup.Exists (2), TRUE, "Move to group Menu exists")
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.CMenu.RemoveItemFromQuickPick.Exists (2), TRUE, "Remove Item Menu exists")
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.CMenu.ChangeItemColor.Exists (2), TRUE, "Change Item color  Menu exists")
		[ ] 
		[+] // STEP 4: Click on Add Item to this Group
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.CMenu.AddItemToThisGroup.SelectMenu (sItem)
		[ ] 
		[+] // RESULT 2: Verify Group Name is Editable
			[ ] VerifySafely (Voucher.ReceivingVoucher.QPSelectAnItem.Exists (3), TRUE, "Add Item dialog displayed")
		[ ] 
		[+] // STEP 5: Click on Cancel, right click and click on Move Item To Group
			[ ] Voucher.ReceivingVoucher.QPSelectAnItem.Cancel.Click ()
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.ClickButton (sItem, 2)
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.CMenu.MoveItemToGroup.SelectMenu (sItem)
		[ ] 
		[+] // RESULT 3: Verify Move to group sub menu
			[ ] ListDelete (lsQPGroupsExpected, ListFind (lsQPGroupsExpected, sQPGroup))
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.CMenu.MoveItemToGroup.ItemTexts, lsQPGroupsExpected, "Move to sub menu groups correctly dispalyed")
		[ ] 
		[+] // STEP 6: Clikc on another group name in the move to sub menu
			[ ] sNewGroupName = "G1"
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.CMenu.MoveItemToGroup.GroupName.Move (sItem, sNewGroupName)
		[ ] 
		[+] // RESULT 4: Verify Item does not exist in this group and no of items updated correctly
			[ ] WaitForPageToLoad (5)
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.ButtonExists (sItem), FALSE, "Button removed from current group")
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.NoOfItems.GetNumber (),Str (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GetButtonCount ()), "No of items updated correctly")
		[ ] 
		[+] // STEP 7: Go Back to Groups and Open the group in which the item was moved
			[ ] Voucher.ReceivingVoucher.QuickPickItem.GroupsText.Click ()
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.Select (sNewGroupName)
		[ ] 
		[+] // RESULT 5: Verify QP group has updated correctly
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.ButtonExists (sItem), TRUE, "Button moved to new group")
		[ ] 
		[+] // STEP 7: Close QP and go to Item List
			[ ] Voucher.ReceivingVoucher.QuickPickItem.XClose.Click ()
			[ ] Items.ItemsList.Invoke ()
			[ ] nirItem = {}
			[ ] nirItem.sItemName = sItem
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // RESULT 6: Verify QP groupd is updated correctly
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.QuickPickGroup.GetLineText (0), sNewGroupName, "QP group of Item updated correctly")
		[ ] 
		[+] // STEP 8: Close Item List and open QP
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] Voucher.ReceivingVoucher.Invoke ()
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Open ()
		[ ] 
		[+] // STEP 9: Enter a group and 
			[ ] sItem = lsItems[2]
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.Select (sQPGroup)
			[ ] iItemCount = Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GetButtonCount ()
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.ClickButton (sItem, 2)
			[ ] Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.CMenu.RemoveItemFromQuickPick.SelectMenu (sItem)
		[ ] 
		[+] // RESULT 7: Verify Item does not exist in this group and no of items updated correctly
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GCButton.ButtonExists (sItem), FALSE, "Button removed from current group")
			[ ] VerifySafely (Voucher.ReceivingVoucher.QuickPickItem.NoOfItems.GetNumber (),Str (Voucher.ReceivingVoucher.QuickPickItem.Groups.QPItems.GetButtonCount ()), "No of items updated correctly")
		[ ] 
		[+] // STEP 10: Close QP and go to Item List
			[ ] Voucher.ReceivingVoucher.QuickPickItem.XClose.Click ()
			[ ] Items.ItemsList.Invoke ()
			[ ] nirItem = {}
			[ ] nirItem.sItemName = sItem
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // RESULT 8: Verify QP groupd is updated correctly
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.QuickPickGroup.GetLineText (0), "", "QP group of Item updated correctly")
	[ ] 
	[+] // CLEANUP
		[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
