﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Copy an existing purchase order
	[+] // Test Steps:
		[ ] // 1. Invoke Layaway List (Result 1)
		[ ] // 2. Select the Layaway to be copied and get the details
		[ ] // 3. Click on copy (Result 2)
		[ ] // 4. Get the Layaway num and Save the order
		[ ] // 5. Invoke LayawayList and Open the Layaway from list (Result 3)
	[+] // Expected Result:
		[ ] // 1.  Verify LayawayList is open
		[ ] // 2. New Layaway Should be open with all data prefilled
		[ ] // 3. Edit Layaway Should be open and all reaLayawayn updated
[ ] // TESTCASE::CopyLayaway
[ ] // ATC ID::POS_SALE_ATC_051
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\PurchaseOrder.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CopyLayaway.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CopyLayaway () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sLayawayNum, sNewStatus, sInstructions
		[ ] CustomerOrderRec corLayaway
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Layaway List
			[ ] LayawayList.LayawayList.Invoke ()
		[ ] 
		[+] // Result 1:  Verify LayawayList is open
			[ ] VerifySafely (LayawayList.LayawayList.Exists (5), TRUE, "LayawayList is open")
		[ ] 
		[+] // Step 2: Select the Layaway to be copied and get the details
			[ ] corLayaway = {}
			[ ] corLayaway.sLayawayNum = "1"
			[ ] LayawayList.SelectLayaway (corLayaway.sLayawayNum)
		[ ] 
		[+] // Step 3: Click on copy
			[ ] LayawayList.ToolBar.Select ("Copy Layaway")
		[ ] 
		[+] // Result 2: New Layaway Should be open with all data prefilled
			[ ] VerifySafely (Layaway.NewLayaway.Exists (5), TRUE, "New Layaway open")
			[ ] VerifySafely (Layaway.NewLayaway.PageList.CustomerInfo.GetText (), "Cust1L, Cust1F", "Customer prefilled")
			[ ] VerifySafely (Layaway.NewLayaway.PageList.Total.GetTextFromDisabled (), "$525.00", "Total prefilled")
		[ ] 
		[+] // Step 4: Get the Layaway num and Save the order
			[ ] corLayaway.sLayawayNum = Layaway.NewLayaway.PageList.LayawayNum.GetText ()
			[ ] Layaway.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Step 5: Invoke LayawayList and Open the Layaway from list
			[ ] LayawayList.Invoke ()
			[ ] LayawayList.OpenLayawayForEdit (corLayaway.sLayawayNum)
		[ ] 
		[+] // Result 3: Edit Layaway Should be open and all reaLayawayn updated
			[ ] VerifySafely (Layaway.EditLayaway.PageList.Total.GetTextFromDisabled (),"$525.00", "Total updated")
	[ ] 
	[+] // CLEAN UP
		[+] if Layaway.EditLayaway.Exists ()
			[ ] Layaway.BottomBar.Close.Click ()
		[+] if LayawayList.LayawayList.Exists ()
			[ ] LayawayList.BottomBar.Close.Click ()
[ ] 
