﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Copy an existing purchase order
	[+] // Test Steps:
		[ ] // 1. Invoke Sales order List (Result 1)
		[ ] // 2. Select the SO to be copied and get the details
		[ ] // 3. Click on copy (Result 2)
		[ ] // 4. Get the SO num and Save the order
		[ ] // 5. Invoke SOList and Open the sales order from list (Result 3)
	[+] // Expected Result:
		[ ] // 1.  Verify SOList is open
		[ ] // 2. New Sales Order Should be open with all data prefilled
		[ ] // 3. Edit Sales Order Should be open and all reason updated
[ ] // TESTCASE::CopySalesOrder
[ ] // ATC ID::POS_SALE_ATC_043
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\PurchaseOrder.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CopySalesOrder.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CopySalesOrder () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sSONum, sNewStatus, sInstructions
		[ ] CustomerOrderRec corSO
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Sales order List
			[ ] SOList.SalesOrderList.Invoke ()
		[ ] 
		[+] // Result 1:  Verify SOList is open
			[ ] VerifySafely (SOList.SalesOrderList.Exists (5), TRUE, "SOList is open")
		[ ] 
		[+] // Step 2: Select the SO to be copied and get the details
			[ ] corSO = {}
			[ ] corSO.sSONum = "1"
			[ ] SOList.SelectSO (corSO.sSONum)
		[ ] 
		[+] // Step 3: Click on copy
			[ ] SOList.ToolBar.Select ("Copy SO")
		[ ] 
		[+] // Result 2: New Sales Order Should be open with all data prefilled
			[ ] VerifySafely (SalesOrder.NewSalesOrder.Exists (5), TRUE, "New Sales order open")
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.CustomerInfo.GetText (), "Cust1L, Cust1F", "Customer prefilled")
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.Total.GetTextFromDisabled (), "$550.00", "Total prefilled")
		[ ] 
		[+] // Step 4: Get the SO num and Save the order
			[ ] corSO.sSONum = SalesOrder.NewSalesOrder.PageList.SONum.GetText ()
			[ ] SalesOrder.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Step 5: Invoke SOList and Open the sales order from list
			[ ] SOList.Invoke ()
			[ ] SOList.OpenSOForEdit (corSO.sSONum)
		[ ] 
		[+] // Result 3: Edit Sales Order Should be open and all reason updated
			[ ] VerifySafely (SalesOrder.EditSalesOrder.PageList.Total.GetTextFromDisabled (),"$550.00", "Total updated")
	[ ] 
	[+] // CLEAN UP
		[+] if SalesOrder.EditSalesOrder.Exists ()
			[ ] SalesOrder.BottomBar.Close.Click ()
		[+] if SOList.SalesOrderList.Exists ()
			[ ] SOList.BottomBar.Close.Click ()
[ ] 
