﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Copy an existing purchase order
	[+] // Test Steps:
		[ ] // 1. Invoke Work Order List (Result 1)
		[ ] // 2. Select the WO to be copied and get the details
		[ ] // 3. Click on copy (Result 2)
		[ ] // 4. Get the WO num and Save the order
		[ ] // 5. Invoke WOList and Open the Work Order from list (Result 3)
	[+] // Expected Result:
		[ ] // 1.  Verify WOList is open
		[ ] // 2. New Work Order Should be open with all data prefilled
		[ ] // 3. Edit Work Order Should be open and all reaWOn updated
[ ] // TESTCASE::CopyWorkOrder
[ ] // ATC ID::POS_SALE_ATC_059
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\CustomerOrders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CopyWorkOrder.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CopyWorkOrder () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sWONum, sNewStatus, sInstructions
		[ ] CustomerOrderRec corWO
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Work Order List
			[ ] WOList.WorkOrderList.Invoke ()
		[ ] 
		[+] // Result 1:  Verify WOList is open
			[ ] VerifySafely (WOList.WorkOrderList.Exists (5), TRUE, "WOList is open")
		[ ] 
		[+] // Step 2: Select the WO to be copied and get the details
			[ ] corWO = {}
			[ ] corWO.sWONum = "1"
			[ ] WOList.SelectWO (corWO.sWONum)
		[ ] 
		[+] // Step 3: Click on copy
			[ ] WOList.ToolBar.Select ("Copy Work Order")
		[ ] 
		[+] // Result 2: New Work Order Should be open with all data prefilled
			[ ] VerifySafely (WorkOrder.NewWorkOrder.Exists (5), TRUE, "New Work Order open")
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.CustomerInfo.GetText (), "Cust1L, Cust1F", "Customer prefilled")
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.Total.GetTextFromDisabled (), "$220.00", "Total prefilled")
		[ ] 
		[+] // Step 4: Get the WO num and Save the order
			[ ] corWO.sWONum = WorkOrder.NewWorkOrder.PageList.WONum.GetText ()
			[ ] WorkOrder.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Step 5: Invoke WOList and Open the Work Order from list
			[ ] WaitUntill (QuickBooksPointOfSale.PointOfSale, "IsEnabled", TRUE)
			[ ] WOList.Invoke ()
			[ ] WOList.OpenWOForEdit (corWO.sWONum)
		[ ] 
		[+] // Result 3: Edit Work Order Should be open and all reaWOn updated
			[ ] VerifySafely (WorkOrder.EditWorkOrder.PageList.Total.GetTextFromDisabled (),"$220.00", "Total updated")
	[ ] 
	[+] // CLEAN UP
		[+] if WorkOrder.EditWorkOrder.Exists ()
			[ ] WorkOrder.BottomBar.Close.Click ()
		[+] if WOList.WorkOrderList.Exists ()
			[ ] WOList.BottomBar.Close.Click ()
[ ] 
