﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify Custimization of side buttons on Sales Receipt Page
	[+] // Test Steps:
		[ ] // Step 1:  Get the current side button list
		[ ] // Step 2: Click on Customize button at bottom of side bar (Result 1) 
		[ ] // Step 3: Get the available and selected task list (Result 2)(Result 3)
		[ ] // Step 4: Select the 1st element of the Selected Task list (Result 4)
		[ ] // Step 5: Select the last element of the Selected Task list (Result 5)
		[ ] // Step 6: Select the second button and click Down button (Result 6)
		[ ] // Step 7: Select the second button and click Down button (Result 7)
		[ ] // Step 8: Get the Selected Task list Order and click on Finish (Result 8) (Result 9)
		[ ] // Step 9: Click on Customize
		[ ] // Step 10: Select an Item on Available List and click on Right (Result 10)
		[ ] // Step 11: Select an Item on Selected tasks and click on Right (Result 11)
		[ ] // Step 12: Get the Selected task list and close the customize window (Result 12)
		[ ] // Step 13: Invoke customize window , click on "Restore Default" and finish (Result 13)
	[+] // Expected Result:
		[ ] // Result 2: Verify current Button list matches with Selected Task list
		[ ] // Result 3: Verify all options are present in available and selected list
		[ ] // Result 4: Verify 'Up' button is disabled
		[ ] // Result 5: Verify 'Down' button is disabled
		[ ] // Result 6: Verify button moves down by one place
		[ ] // Result 7: Verify button moves down by one place
		[ ] // Result 8: Verify Customize window closes
		[ ] // Result 9: Verify button order in Side buttons is chnaged as per Selected task list
		[ ] // Result 10: Verify that the button is moved to Selected tasks
		[ ] // Result 11: Verify that the button is moved to Available tasks
		[ ] // Result 12: Verify Side button order list is as per selected task list
		[ ] // Result 13: Verify side button list is as per default list
[ ] // TESTCASE::CustomizeSideButton_SalesHistory
[ ] // ATC ID:: To be updated later
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::CustomizeSideButton_SalesHistory.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase CustomizeSideButton_SalesHistory ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sButton
		[ ] LIST OF STRING lsDefaultSideButtonList, lsExpected, lsActual, lsCurrentSideButtonList, lsAvailableTaskList, lsSelectedTaskList
		[ ] INTEGER iButtonPosition
		[+] lsDefaultSideButtonList = {...}
			[ ] "Make a Sale"
			[ ] "Accept Return"
			[ ] "Reprint"
			[ ] "Copy"
			[ ] "Reverse"
			[ ] "Reports"
		[ ] 
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1:  Get the current side button list
			[ ] SalesHistory.SalesList.Invoke ()
			[ ] WaitForPageToLoad (5)
			[ ] lsCurrentSideButtonList = SalesHistory.SalesList.SideBar.ScrollViewer.SideButtons.GetButtonList ()
		[ ] 
		[+] // Step 2: Click on Customize button at bottom of side bar
			[ ] SalesHistory.SalesList.SideBar.Customize.Click ()
		[ ] 
		[+] // Result 1: Verify Customize button window is displayed
			[ ] VerifySafely (CustomizeButtons.Exists (3), TRUE, "Customize Button window displayed")
		[ ] 
		[+] // Step 3: Get the available and selected task list
			[ ] lsAvailableTaskList = CustomizeButtons.AvailableTasks.ItemTexts
			[ ] lsSelectedTaskList = CustomizeButtons.SelectedTasks.ItemTexts
		[ ] 
		[+] // Result 2: Verify current Button list matches with Selected Task list
			[ ] VerifySafely (lsCurrentSideButtonList, lsSelectedTaskList, "Default button list matching with selected task list")
		[ ] 
		[+] // Result 3: Verify all options are present in available and selected list
			[+] lsExpected = {...}
				[ ] "Add/Edit Promo Code/Notes"
				[ ] "Add/Edit Shipping Info"
				[ ] "Change Cashier"
				[ ] "Change/Edit Customer"
				[ ] "Create Payout"
				[ ] "Make Layaway"
				[ ] "Make Sales Order"
				[ ] "Make Work Order"
				[ ] "Run End of Day"
				[ ] "Send as E-mail"
				[ ] "Make a Sale"
				[ ] "Accept Return"
				[ ] "Reprint"
				[ ] "Copy"
				[ ] "Reverse"
				[ ] "Reports"
				[ ] 
			[+] if sSKU == "BASIC"
				[+] lsExpected = {...}
					[ ] "Add/Edit Promo Code/Notes"
					[ ] "Change Cashier"
					[ ] "Change/Edit Customer"
					[ ] "Create Payout"
					[ ] "Run End of Day"
					[ ] "Send as E-mail"
					[ ] "Make a Sale"
					[ ] "Accept Return"
					[ ] "Reprint"
					[ ] "Copy"
					[ ] "Reverse"
					[ ] "Reports"
			[ ] ListMerge (lsActual, lsAvailableTaskList)
			[ ] ListMerge (lsActual, lsSelectedTaskList)
			[ ] ListSort (lsActual)
			[ ] ListSort (lsExpected)
			[ ] VerifySafely (lsActual, lsExpected, "All options are present")
		[ ] 
		[+] // Step 4: Select the 1st element of the Selected Task list
			[ ] CustomizeButtons.SelectedTasks.Select (1)
		[ ] 
		[+] // Result 4: Verify 'Up' button is disabled
			[ ] VerifySafely (CustomizeButtons.Up.IsEnabled, FALSE, "Up button disabled when first item selected")
		[ ] 
		[+] // Step 5: Select the last element of the Selected Task list
			[ ] CustomizeButtons.SelectedTasks.Select (ListCount (CustomizeButtons.SelectedTasks.Items))
		[ ] 
		[+] // Result 5: Verify 'Down' button is disabled
			[ ] VerifySafely (CustomizeButtons.Down.IsEnabled, FALSE, "Down button disabled when last item selected")
		[ ] 
		[+] // Step 6: Select the second button and click Down button
			[ ] iButtonPosition = 2
			[ ] CustomizeButtons.SelectedTasks.Select (iButtonPosition)
			[ ] sButton = CustomizeButtons.SelectedTasks.SelectedItemText
			[ ] CustomizeButtons.Down.Click ()
		[ ] 
		[+] // Result 6: Verify button moves down by one place
			[ ] CustomizeButtons.SelectedTasks.Select (sButton)
			[ ] VerifySafely (CustomizeButtons.SelectedTasks.SelectedIndex, iButtonPosition+1, "Button moves down by 1 position")
		[ ] 
		[+] // Step 7: Select the second button and click Down button
			[ ] iButtonPosition = ListCount (CustomizeButtons.SelectedTasks.ItemTexts) - 1
			[ ] CustomizeButtons.SelectedTasks.Select (iButtonPosition)
			[ ] sButton = CustomizeButtons.SelectedTasks.SelectedItemText
			[ ] CustomizeButtons.Up.Click ()
		[ ] 
		[+] // Result 7: Verify button moves down by one place
			[ ] CustomizeButtons.SelectedTasks.Select (sButton)
			[ ] VerifySafely (CustomizeButtons.SelectedTasks.SelectedIndex, iButtonPosition - 1, "Button moves up by 1 position")
		[ ] 
		[+] // Step 8: Get the Selected Task list Order and click on Finish
			[ ] lsExpected = CustomizeButtons.SelectedTasks.ItemTexts
			[ ] CustomizeButtons.Close.Click ()
		[ ] 
		[+] // Result 8: Verify Customize window closes
			[ ] VerifySafely (CustomizeButtons.Exists (3), FALSE, "Customize window closed")
		[ ] 
		[+] // Result 9: Verify button order in Side buttons is chnaged as per Selected task list
			[ ] VerifySafely (SalesHistory.SalesList.SideBar.ScrollViewer.SideButtons.GetButtonList (), lsExpected, "Side button list order is as per Selected Task list")
		[ ] 
		[+] // Step 9: Click on Customize
			[ ] SalesHistory.SalesList.SideBar.Customize.Click ()
		[ ] 
		[+] // Step 10: Select an Item on Available List and click on Right
			[ ] WaitFor (CustomizeButtons)
			[ ] sButton = "Change Cashier"
			[ ] CustomizeButtons.AvailableTasks.Select (sButton)
			[ ] CustomizeButtons.Right.Click ()
		[ ] 
		[+] // Result 10: Verify that the button is moved to Selected tasks
			[ ] VerifySafely (ListFind (CustomizeButtons.AvailableTasks.ItemTexts,sButton)== 0, TRUE, "Item Removed from Available tasks")
			[ ] VerifySafely (ListFind (CustomizeButtons.SelectedTasks.ItemTexts,sButton) > 0, TRUE, "Item Added to Selected tasks")
		[ ] 
		[+] // Step 11: Select an Item on Selected tasks and click on Right
			[ ] sButton = "Reprint"
			[ ] CustomizeButtons.SelectedTasks.Select (sButton)
			[ ] CustomizeButtons.Left.Click ()
		[ ] 
		[+] // Result 11: Verify that the button is moved to Available tasks
			[ ] VerifySafely (ListFind (CustomizeButtons.SelectedTasks.ItemTexts,sButton) == 0, TRUE, "Item Removed to Selected tasks")
			[ ] VerifySafely (ListFind (CustomizeButtons.AvailableTasks.ItemTexts,sButton) > 0, TRUE, "Item Added from Available tasks")
		[ ] 
		[+] // Step 12: Get the Selected task list and close the customize window
			[ ] lsExpected = CustomizeButtons.SelectedTasks.ItemTexts
			[ ] CustomizeButtons.Close.Click ()
		[ ] 
		[+] // Result 12: Verify Side button order list is as per selected task list
			[ ] lsActual = SalesHistory.SalesList.SideBar.ScrollViewer.SideButtons.GetButtonList ()
			[ ] VerifySafely (lsActual, lsExpected, "Buttons added and removed as expectedt")
		[ ] 
		[+] // Step 13: Invoke customize window , click on "Restore Default" and finish
			[ ] SalesHistory.SalesList.SideBar.Customize.Click ()
			[ ] CustomizeButtons.RestoreDefault.Click ()
			[ ] CustomizeButtons.Close.Click ()
		[ ] 
		[+] // Result 13: Verify side button list is as per default list
			[ ] lsCurrentSideButtonList = SalesHistory.SalesList.SideBar.ScrollViewer.SideButtons.GetButtonList ()
			[ ] VerifySafely (lsCurrentSideButtonList, lsDefaultSideButtonList, "Side buttons restored to default")
		[ ] 
		[+] // Step 14: Click on 'Minimize'
			[ ] SalesHistory.SalesList.SideBar.Minimize.Click ()
		[ ] 
		[+] // Result 14: Verify side buttons are not accessible and common task button appears
			[ ] VerifySafely (SalesHistory.SalesList.SideBar.ScrollViewer.SideButtons.IsEnabled, FALSE, "Side buttons minimizes")
			[ ] VerifySafely (SalesHistory.SalesList.SideBar.CommonTasks.Exists (2), TRUE, "Common Tasks buttons appears")
		[ ] 
		[+] // Step 15: Click on 'Common Tasks' button
			[ ] SalesHistory.SalesList.SideBar.CommonTasks.Click ()
		[ ] 
		[+] // Result 15: Verify Side buttons reappear
			[ ] VerifySafely (SalesHistory.SalesList.SideBar.ScrollViewer.SideButtons.IsEnabled, TRUE, "Side buttons reappear")
	[ ] 
	[+] // CLEAN UP
		[+] if CustomizeButtons.Exists (2)
			[ ] CustomizeButtons.Close.Click ()
[ ] 
