﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Delete an Sales Order
	[+] // Test Steps.
		[ ] // 1. Invoke SalesOrder List (Result 1)
		[ ] // 2. Select the SalesOrder to be deleted
		[ ] // 3. Go to I Want To-> Delete (Result 2)
		[ ] // 4. Click on cancel (Result 3)
		[ ] // 5. Clik on Close and then Go to I Want To-> Delete (Result 4)
		[ ] // 6. Click on Delete (Result 5)
	[+] // Expected Result.
		[ ] // 1. Verify SalesOrder List is didplayed
		[ ] // 2. Verify delete confirmation message is displayed
		[ ] // 3. Verify the SalesOrder has not been deleted
		[ ] // 4. Verify delete confirmation message is displayed
		[ ] // 5. Verify the SalesOrder has been deleted
[ ] // TESTCASE::DeleteSalesOrder
[ ] // ATC ID::POS_SALE_ATC_044
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\CustomerOrders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::DeleteSalesOrder.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase DeleteSalesOrder () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sSONum
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke SalesOrder List
			[ ] SOList.Invoke ()
		[ ] 
		[+] // Result 1: Verify SalesOrder List is didplayed
			[ ] VerifySafely (SOList.SalesOrderList.Exists (5), TRUE, "SalesOrder List is displayed")
		[ ] 
		[+] // Step 2: Select the SalesOrder to be deleted
			[ ] sSONum = "1"
			[ ] SOList.SelectSO (sSONum)
		[ ] 
		[+] // Step 3: Go to I Want To-> Delete
			[ ] SOList.Typekeys ("<Alt-O-D>")
		[ ] 
		[+] // Result 2: Verify delete confirmation message is displayed
			[ ] VerifySafely (DeleteSalesOrder.Exists (3), TRUE, "Delete SalesOrder displayed")
		[ ] 
		[+] // Step 4: Click on cancel
			[ ] DeleteSalesOrder.Cancel.Click ()
		[ ] 
		[+] // Result 3: Verify the SalesOrder has not been deleted
			[ ] SOList.ToolBar.FindSO.SetText (sSONum)
			[ ] SOList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindSalesOrder.SelectSalesOrder.IsEnabled (), TRUE, "SalesOrder has not been deleted after clickin on cancel")
		[ ] 
		[+] // Step 5: Clik on Close and then Go to I Want To-> Delete
			[ ] FindSalesOrder.Close.Click ()
			[ ] SOList.Typekeys ("<Alt-O-D>")
		[ ] 
		[+] // Result 4: Verify delete confirmation message is displayed
			[ ] VerifySafely (DeleteSalesOrder.Exists (3), TRUE, "Delete SalesOrder displayed")
		[ ] 
		[+] // Step 6: Click on Delete
			[ ] DeleteSalesOrder.Delete.Click ()
		[ ] 
		[+] // Result 5: Verify the SalesOrder has been deleted
			[ ] SOList.ToolBar.FindSO.SetText (sSONum)
			[ ] SOList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindSalesOrder.SelectSalesOrder.IsEnabled (), FALSE, "SalesOrder has been deleted after clickin on delete")
	[ ] 
	[+] // CLEAN UP
		[+] if FindSalesOrder.Exists (3)
			[ ] FindSalesOrder.Close.Click ()
		[+] if SOList.SalesOrderList.Exists ()
			[ ] SOList.BottomBar.Close.Click ()
[ ] 
