﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit an existing purchase order
	[+] // Test Steps:
		[ ] // 1. Invoke Layaway List (Result 1)
		[ ] // 2. Open the Layaway for edit (Result 2)
		[ ] // 3. Change the reaLayawayn
		[ ] // 4. Go to IWT->EditInstructions (Result 3)
		[ ] // 5. Enter Instructions, click OK and then save the memo
		[ ] // 6. Open the Layaway from list (Result 4)
		[ ] // 7. Close edit qty adj and qty history and Go to IWT->View Instructions (Result 5)
	[+] // Expected Result:
		[ ] // 1.  Verify LayawayList is open
		[ ] // 2. Edit Layaway Should be open
		[ ] // 3. Verify Edit Instructions dialog is displayed
		[ ] // 4. Edit Layaway Should be open and all reaLayawayn updated
		[ ] // 5. Verify view Instructions dialog displayed and Instructions shown as updated
[ ] // TESTCASE::EditPurchaseOrder
[ ] // ATC ID::POS_SALE_ATC_050
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\CustomerOrders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::EditPurchaseOrder.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase EditLayaway () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sLayawayNum, sNewStatus, sInstructions
		[ ] CustomerOrderRec corLayaway
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Layaway List
			[ ] LayawayList.LayawayList.Invoke ()
		[ ] 
		[+] // Result 1:  Verify LayawayList is open
			[ ] VerifySafely (LayawayList.LayawayList.Exists (5), TRUE, "LayawayList is open")
		[ ] 
		[+] // Step 2: Open the Layaway for edit
			[ ] corLayaway = {}
			[ ] corLayaway.sLayawayNum = "1"
			[ ] LayawayList.OpenLayawayForEdit (corLayaway.sLayawayNum)
		[ ] 
		[+] // Result 2: Edit Layaway Should be open
			[ ] VerifySafely (Layaway.EditLayaway.Exists (5), TRUE, "Edit Layaway open")
		[ ] 
		[+] // Step 3: Change the reaLayawayn
			[ ] sNewStatus = "Pending"
			[ ] Layaway.EditLayaway.PageList.Status.Select (sNewStatus)
		[ ] 
		[+] // Step 4: Go to IWT->EditInstructions
			[ ] Layaway.Typekeys ("<Alt-O-D>")
		[ ] 
		[+] // Result 3: Verify Edit Instructions dialog is displayed
			[ ] VerifySafely (EditInstructions.Exists (3), TRUE, "Edit Instructions dialog displyed")
		[ ] 
		[+] // Step 5: Enter Instructions, click OK and then save the memo
			[ ] sInstructions = "TestInstructions"
			[ ] EditInstructions.Instructions.SetText (sInstructions)
			[ ] EditInstructions.OK.Click ()
			[ ] Layaway.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Step 6: Open the Layaway from list
			[ ] LayawayList.OpenLayawayForEdit (corLayaway.sLayawayNum)
		[ ] 
		[+] // Result 4: Edit Layaway Should be open and all reaLayawayn updated
			[ ] VerifySafely (Layaway.EditLayaway.PageList.Status.GetText (), sNewStatus, "Status updated")
		[ ] 
		[+] // Step 7: Close edit qty adj and qty history and Go to IWT->View Instructions
			[ ] Layaway.BottomBar.Close.Click ()
			[ ] LayawayList.Typekeys ("<Alt-O-H>")
		[ ] 
		[+] // Result 5: Verify view Instructions dialog displayed and Instructions shown as updated
			[ ] VerifySafely (ViewInstructions.Exists (3), TRUE, "View Instructions dialog displayed")
			[ ] VerifySafely (ViewInstructions.Instructions.GetText (), sInstructions, "Instructions shown in view Instructions")
	[ ] 
	[+] // CLEAN UP
		[+] if ViewInstructions.Exists ()
			[ ] ViewInstructions.OK.Click ()
		[+] if LayawayList.LayawayList.Exists ()
			[ ] LayawayList.BottomBar.Close.Click ()
[ ] 
