﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit an existing sales order
	[+] // Test Steps:
		[ ] // 1. Invoke Sales order List (Result 1)
		[ ] // 2. Open the sales order for edit (Result 2)
		[ ] // 3. Change the reason
		[ ] // 4. Go to IWT->EditInstructions (Result 3)
		[ ] // 5. Enter Instructions, click OK and then save the memo
		[ ] // 6. Open the sales order from list (Result 4)
		[ ] // 7. Close edit qty adj and qty history and Go to IWT->View Instructions (Result 5)
	[+] // Expected Result:
		[ ] // 1.  Verify SOList is open
		[ ] // 2. Edit Sales Order Should be open
		[ ] // 3. Verify Edit Instructions dialog is displayed
		[ ] // 4. Edit Sales Order Should be open and all reason updated
		[ ] // 5. Verify view Instructions dialog displayed and Instructions shown as updated
[ ] // TESTCASE::EditSalesOrder
[ ] // ATC ID::POS_SALE_ATC_042
[ ] // COMPANY FILE PATH::S:\SOS_CompanyFile\21.0\PurchaseOrder.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::EditPurchaseOrder.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase EditSalesOrder () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sSONum, sNewStatus, sInstructions
		[ ] CustomerOrderRec corSO
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Sales order List
			[ ] SOList.SalesOrderList.Invoke ()
		[ ] 
		[+] // Result 1:  Verify SOList is open
			[ ] VerifySafely (SOList.SalesOrderList.Exists (5), TRUE, "SOList is open")
		[ ] 
		[+] // Step 2: Open the sales order for edit
			[ ] corSO = {}
			[ ] corSO.sSONum = "1"
			[ ] SOList.OpenSOForEdit (corSO.sSONum)
		[ ] 
		[+] // Result 2: Edit Sales Order Should be open
			[ ] VerifySafely (SalesOrder.EditSalesOrder.Exists (5), TRUE, "Edit Sales order open")
		[ ] 
		[+] // Step 3: Change the reason
			[ ] sNewStatus = "Pending"
			[ ] SalesOrder.EditSalesOrder.PageList.Status.Select (sNewStatus)
		[ ] 
		[+] // Step 4: Go to IWT->EditInstructions
			[ ] SalesOrder.Typekeys ("<Alt-O-D>")
		[ ] 
		[+] // Result 3: Verify Edit Instructions dialog is displayed
			[ ] VerifySafely (EditInstructions.Exists (3), TRUE, "Edit Instructions dialog displyed")
		[ ] 
		[+] // Step 5: Enter Instructions, click OK and then save the memo
			[ ] sInstructions = "TestInstructions"
			[ ] EditInstructions.Instructions.SetText (sInstructions)
			[ ] EditInstructions.OK.Click ()
			[ ] SalesOrder.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Step 6: Open the sales order from list
			[ ] SOList.OpenSOForEdit (corSO.sSONum)
		[ ] 
		[+] // Result 4: Edit Sales Order Should be open and all reason updated
			[ ] VerifySafely (SalesOrder.EditSalesOrder.PageList.Status.GetText (), sNewStatus, "Status updated")
		[ ] 
		[+] // Step 7: Close edit qty adj and qty history and Go to IWT->View Instructions
			[ ] SalesOrder.BottomBar.Close.Click ()
			[ ] SOList.Typekeys ("<Alt-O-H>")
		[ ] 
		[+] // Result 5: Verify view Instructions dialog displayed and Instructions shown as updated
			[ ] VerifySafely (ViewInstructions.Exists (3), TRUE, "View Instructions dialog displayed")
			[ ] VerifySafely (ViewInstructions.Instructions.GetText (), sInstructions, "Instructions shown in view Instructions")
	[ ] 
	[+] // CLEAN UP
		[+] if ViewInstructions.Exists ()
			[ ] ViewInstructions.OK.Click ()
		[+] if SOList.SalesOrderList.Exists ()
			[ ] SOList.BottomBar.Close.Click ()
[ ] 
