﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit an existing Work Order
	[+] // Test Steps:
		[ ] // 1. Invoke Work Order List (Result 1)
		[ ] // 2. Open the Work Order for edit (Result 2)
		[ ] // 3. Change the reaWOn
		[ ] // 4. Go to IWT->EditInstructions (Result 3)
		[ ] // 5. Enter Instructions, click OK and then save the memo
		[ ] // 6. Open the Work Order from list (Result 4)
		[ ] // 7. Close edit qty adj and qty history and Go to IWT->View Instructions (Result 5)
	[+] // Expected Result:
		[ ] // 1.  Verify WOList is open
		[ ] // 2. Edit Work Order Should be open
		[ ] // 3. Verify Edit Instructions dialog is displayed
		[ ] // 4. Edit Work Order Should be open and all reaWOn updated
		[ ] // 5. Verify view Instructions dialog displayed and Instructions shown as updated
[ ] // TESTCASE::EditWorkOrder
[ ] // ATC ID::POS_SALE_ATC_058
[ ] // COMPANY FILE PATH::S:\WOS_CompanyFile\21.0\CustomerOrders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::EditPurchaseOrder.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase EditWorkOrder () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sWONum, sNewStatus, sInstructions
		[ ] CustomerOrderRec corWO
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Work Order List
			[ ] WOList.WorkOrderList.Invoke ()
		[ ] 
		[+] // Result 1:  Verify WOList is open
			[ ] VerifySafely (WOList.WorkOrderList.Exists (5), TRUE, "WOList is open")
		[ ] 
		[+] // Step 2: Open the Work Order for edit
			[ ] corWO = {}
			[ ] corWO.sWONum = "1"
			[ ] WOList.OpenWOForEdit (corWO.sWONum)
		[ ] 
		[+] // Result 2: Edit Work Order Should be open
			[ ] VerifySafely (WorkOrder.EditWorkOrder.Exists (5), TRUE, "Edit Work Order open")
		[ ] 
		[+] // Step 3: Change the reaWOn
			[ ] sNewStatus = "Pending"
			[ ] WorkOrder.EditWorkOrder.PageList.Status.Select (sNewStatus)
		[ ] 
		[+] // Step 4: Go to IWT->EditInstructions
			[ ] WorkOrder.Typekeys ("<Alt-O-D>")
		[ ] 
		[+] // Result 3: Verify Edit Instructions dialog is displayed
			[ ] VerifySafely (EditInstructions.Exists (3), TRUE, "Edit Instructions dialog displyed")
		[ ] 
		[+] // Step 5: Enter Instructions, click OK and then save the memo
			[ ] sInstructions = "TestInstructions"
			[ ] EditInstructions.Instructions.SetText (sInstructions)
			[ ] EditInstructions.OK.Click ()
			[ ] WorkOrder.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Step 6: Open the Work Order from list
			[ ] WOList.OpenWOForEdit (corWO.sWONum)
		[ ] 
		[+] // Result 4: Edit Work Order Should be open and all reaWOn updated
			[ ] VerifySafely (WorkOrder.EditWorkOrder.PageList.Status.GetText (), sNewStatus, "Status updated")
		[ ] 
		[+] // Step 7: Close edit qty adj and qty history and Go to IWT->View Instructions
			[ ] WorkOrder.BottomBar.Close.Click ()
			[ ] WOList.Typekeys ("<Alt-O-H>")
		[ ] 
		[+] // Result 5: Verify view Instructions dialog displayed and Instructions shown as updated
			[ ] VerifySafely (ViewInstructions.Exists (3), TRUE, "View Instructions dialog displayed")
			[ ] VerifySafely (ViewInstructions.Instructions.GetText (), sInstructions, "Instructions shown in view Instructions")
	[ ] 
	[+] // CLEAN UP
		[+] if ViewInstructions.Exists ()
			[ ] ViewInstructions.OK.Click ()
		[+] if WOList.WorkOrderList.Exists ()
			[ ] WOList.BottomBar.Close.Click ()
[ ] 
