﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Generate PO from Layaway
	[+] // Test Steps:
		[ ] // 1. Invoke Layaway List (Result 1)
		[ ] // 2. Open the Layaway for edit (Result 2)
		[ ] // 3. Go to IWT->GeneratePO (Result 3)
		[ ] // 4. Click on GeneratePO and then click continiue (Result 4)
		[ ] // 5. Click on OK and then close LayawayLList and invoke POlist (Result 5)
	[+] // Expected Result:
		[ ] // 1.  Verify LayawayList is open
		[ ] // 2. Edit Layaway Should be open
		[ ] // 3. Verify GeneratePO dialog is displayed
		[ ] // 4. Verify Generate PurchaseOrder dialog is open
		[ ] // 5. Verify PO created
[ ] // TESTCASE::LayawayIWTGeneratePO
[ ] // ATC ID::POS_SALE_ATC_056
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\CustomerOrders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::LayawayIWTGeneratePO.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase LayawayIWTGeneratePO () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sLayawayNum, sNewStatus, sPONum, sInstructions
		[ ] CustomerOrderRec corLA
		[ ] SalesReceiptPaymentRec srpPayment
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Layaway List
			[ ] LayawayList.LayawayList.Invoke ()
		[ ] 
		[+] // Result 1:  Verify LayawayList is open
			[ ] VerifySafely (LayawayList.LayawayList.Exists (5), TRUE, "LayawayList is open")
		[ ] 
		[+] // Step 2: Open the Layaway for edit
			[ ] corLA = {}
			[ ] corLA.sLayawayNum = "2"
			[ ] LayawayList.OpenLayawayForEdit (corLA.sLayawayNum)
		[ ] 
		[+] // Result 2: Edit Layaway Should be open
			[ ] VerifySafely (Layaway.EditLayaway.Exists (5), TRUE, "Edit Layaway open")
		[ ] 
		[+] // Step 3: Edit the instructionsa and then Go to IWT->GeneratePO
			[ ] sInstructions = "Test Instructions"
			[ ] Layaway.Typekeys ("<Alt-O-D>")
			[ ] EditInstructions.Instructions.SetText (sInstructions)
			[ ] EditInstructions.OK.Click ()
			[ ] Layaway.Typekeys ("<Alt-O-G>")
		[ ] 
		[+] // Result 3: Verify GeneratePO dialog is displayed
			[ ] VerifySafely (GeneratePO.Exists (3), TRUE, "GenereatePO dialog displyed")
		[ ] 
		[+] // Step 4: Click on GeneratePO and then click continiue
			[ ] GeneratePO.SelectItems.SelectAll.Click ()
			[ ] GeneratePO.CustomerOrderInstructions.CopyTheCustomerOrderInstructions.Check ()
			[ ] GeneratePO.Continue.Click ()
		[ ] 
		[+] // Result 4: Verify Generate PurchaseOrder dialog is open
			[ ] VerifySafely (GeneratePurchaseOrder.Exists (5), TRUE, "GeneratePurchaseOrder appeared")
		[ ] 
		[+] // Step 5: Click on OK and then close SOLList and invoke POlist
			[ ] GeneratePurchaseOrder.ShowMeAList.Click ()
			[ ] GeneratePurchaseOrder.Print.Click ()
			[ ] GeneratePurchaseOrder.OK.Click ()
			[ ] Layaway.BottomBar.Close.Click ()
			[ ] LayawayList.BottomBar.Close.Click ()
			[ ] POList.Invoke ()
		[ ] 
		[-] // Result 5: Verify PO created
			[+] if !POList.PurchaseOrderList.Exists ()
				[ ] POList.Invoke ()
			[ ] sPONum = "Lay21"
			[ ] POList.ToolBar.FindPO.SetText (sPONum)
			[ ] POList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindPurchaseOrder.SelectPurchaseOrder.IsEnabled (), TRUE, "PO Crerated")
		[ ] 
		[-] // Step 6: Open the PO and go to IWT->Edit Instructions
			[ ] FindPurchaseOrder.SelectPurchaseOrder.Click ()
			[ ] PurchaseOrder.Typekeys ("<Alt-O-D>")
		[ ] 
		[+] // Result 6: Verify instruction from So is copied
			[ ] VerifySafely (EditInstructions.Instructions.GetText (), sInstructions, "Instructions copied")
	[ ] 
	[+] // CLEAN UP
		[ ] EditInstructions.OK.Click ()
		[ ] PurchaseOrder.BottomBar.Close.Click ()
		[+] if FindPurchaseOrder.Exists ()
			[ ] FindPurchaseOrder.Close.Click ()
		[+] if POList.PurchaseOrderList.Exists ()
			[ ] POList.BottomBar.Close.Click ()
[ ] 
[ ] 
