﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit an existing purchase order
	[+] // Test Steps:
		[ ] // 1. Invoke Purchase order List
		[ ] // 2. Click on Find Purchase Order and press Enter
		[ ] // 3. Enter the SO keyword and click on Find
		[ ] // 4. Click on Select Purchase Order
		[ ] // 5. Change the reason
		[ ] // 6. Go to IWT->EditInstructions
		[ ] // 7. Enter Instructions, click OK and then save the memo
		[ ] // 8. Enter the memo number on Find Purchase Order and press Enter
		[ ] // 9. Click on Select Purchase Order
		[ ] // 10. Close edit qty adj and qty history and Go to IWT->View Instructions
	[+] // Expected Result:
		[ ] // 1.  Verify SOList is open
		[ ] // 2. Verify Find Purchase Order dialog is displayed
		[ ] // 3. Verify select memo is enabled
		[ ] // 4. Edit Purchase Order Should be open
		[ ] // 5. Verify Edit Instructions dialog is displayed
		[ ] // 6. Edit Purchase Order Should be open and all reason updated
		[ ] // 7. Verify view Instructions dialog displayed and Instructions shown as updated
[ ] // TESTCASE::LayawayIWTRefundDeposit
[ ] // ATC ID::POS_SALE_ATC_054
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\CustomerOrders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::LayawayIWTRefundDeposit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase LayawayIWTRefundDeposit () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sLayawayNum, sNewStatus
		[ ] CustomerOrderRec corLA
		[ ] CashPayoutRec cpr
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Layaway List
			[ ] LayawayList.LayawayList.Invoke ()
		[+] // Result 1:  Verify LayawayList is open
			[ ] VerifySafely (LayawayList.LayawayList.Exists (5), TRUE, "LayawayList is open")
		[+] // Step 2: Open the Layaway for edit
			[ ] corLA = {}
			[ ] corLA.sLayawayNum = "2"
			[ ] LayawayList.OpenLayawayForEdit (corLA.sLayawayNum)
		[+] // Result 2: Edit Layaway Should be open
			[ ] VerifySafely (Layaway.EditLayaway.Exists (5), TRUE, "Edit Layaway open")
		[+] // Step 3: Go to IWT->RefundDeposit
			[ ] Layaway.Typekeys ("<Alt-O-F>")
		[+] // Result 3: Verify Refunddialog is displayed
			[ ] VerifySafely (Refund.Exists (3), TRUE, "Refund dialog displyed")
		[+] // Step 4: Click onYes
			[ ] Refund.Yes.Click ()
		[+] // Result 4: Verify Deposit payment dialog is sopen
			[ ] VerifySafely (DepositPayment.Exists (3), TRUE, "Depositpayemnt dialog is open")
		[+] // Step 5: Refund the amount and complete the transaction
			[ ] DepositPayment.Typekeys ("<Enter>")
			[ ] DepositPayment.Save.Click ()
		[+] // Result 5: Verify change dialog is open
			[ ] VerifySafely (Change.Exists (3), TRUE, "Change dialog is open")
		[+] // Step 6: Click on OK
			[ ] Change.OK.Click ()
		[+] // Result 6: Verify message pops up asking to close SO
			[ ] VerifySafely (PointOfSaleMessage.Exists (4), TRUE, "Message dispalyed")
		[+] // Step 7: Click on Yes
			[ ] PointOfSaleMessage.Yes.Click ()
		[+] // Result 7: Verify satatus of SO has changed to close
			[ ] VerifySafely (Layaway.EditLayaway.PageList.Status.GetText (), "Closed", "Status updated to closed")
			[ ] VerifySafely (Layaway.EditLayaway.PageList.DepositBalance.GetTextFromDisabled (), "$0.00", "Deposit balance updated")
		[+] // Step 8: Go to IWT->Write Letters
			[ ] Layaway.Typekeys ("<Alt-O-W-F>")
		[+] // Result 8:
			[ ] VerifySafely (WriteLetters.Exists (2), TRUE, "Write letters displayed")
		[+] // Step 9: Close, open new Layaway and go to IWT->Create Payout
			[ ] WriteLetters.Cancel.Click ()
			[+] if Layaway.EditLayaway.Exists ()
				[ ] Layaway.BottomBar.Close.Click ()
			[+] if LayawayList.LayawayList.Exists ()
				[ ] LayawayList.BottomBar.Close.Click ()
			[ ] Layaway.NewLayaway.Invoke ()
			[ ] Layaway.Typekeys ("<Alt-O-C>")
		[+] // Result 9: Verify Create payout displayed
			[ ] Verifysafely (CashPayout.Exists (2), TRUE, "Cash Payout displayed")
		[ ] 
		[+] // Step 10: Create a payout
			[ ] cpr.sAmount = "10"
			[ ] cpr.sCashier = "Sysadmin"
			[ ] cpr.sComments = "Asdfg"
			[ ] CashPayout.FillForm (cpr)
			[ ] CashPayout.OK.Click ()
		[+] // Result 10: Verify blank Layaway is displayed
			[ ] VerifySafely (Layaway.NewLayaway.PageList.Total.GetTextFromDisabled (), "$0.00", "Blank Layaway displayed")
		[ ] 
	[ ] 
	[+] // CLEAN UP
		[+] if Layaway.NewLayaway.Exists ()
			[ ] Layaway.BottomBar.Cancel.Click ()
		[+] if Layaway.EditLayaway.Exists ()
			[ ] Layaway.BottomBar.Close.Click ()
		[+] if LayawayList.LayawayList.Exists ()
			[ ] LayawayList.BottomBar.Close.Click ()
[ ] 
