﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Sell items sfrom Layaway
	[+] // Test Steps:
		[ ] // 1. Invoke Layaway List (Result 1)
		[ ] // 2. Open the Layaway for edit (Result 2)
		[ ] // 3. Go to IWT->Sell Items (Result 3)
		[ ] // 4. Click on Select all and then click continiue (Result 4)
		[ ] // 5. Receive payment and Save the recipt and invoke sales history (Result 5)
		[ ] // 6. Invoke Layaway List and open the Layaway (Result 6)
	[+] // Expected Result:
		[ ] // 1.  Verify LayawayList is open
		[ ] // 2. Edit Layaway Should be open
		[ ] // 3. Verify Select Items dialog is displayed
		[ ] // 4. Verify Sales Receipt is open and data updated
		[ ] // 5. Verify sale created
		[ ] // 6. Verify status is closed
[ ] // TESTCASE::LayawayIWTSellItems
[ ] // ATC ID::POS_SALE_ATC_055
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\CustomerOrders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::LayawayIWTSellItems.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase LayawayIWTSellItems () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sLayawayNum, sNewStatus, sInstructions
		[ ] CustomerOrderRec corLA
		[ ] SalesReceiptPaymentRec srpPayment
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Layaway List
			[ ] LayawayList.LayawayList.Invoke ()
		[ ] 
		[+] // Result 1:  Verify LayawayList is open
			[ ] VerifySafely (LayawayList.LayawayList.Exists (5), TRUE, "LayawayList is open")
		[ ] 
		[+] // Step 2: Open the Layaway for edit
			[ ] corLA = {}
			[ ] corLA.sLayawayNum = "2"
			[ ] LayawayList.OpenLayawayForEdit (corLA.sLayawayNum)
		[ ] 
		[+] // Result 2: Edit Layaway Should be open
			[ ] VerifySafely (Layaway.EditLayaway.Exists (5), TRUE, "Edit Layaway open")
		[ ] 
		[+] // Step 3: Edit the instructions and Go to IWT->Sell Items
			[ ] Layaway.Typekeys ("<Alt-O-D>")
			[ ] sInstructions = "Test Instructions"
			[ ] EditInstructions.Instructions.SetText (sInstructions)
			[ ] EditInstructions.OK.Click ()
			[ ] Layaway.Typekeys ("<Alt-O-I>")
		[ ] 
		[+] // Result 3: Verify Select Items dialog is displayed
			[ ] VerifySafely (SelectItemsToSell.Exists (3), TRUE, "SelectItemsToSell dialog displyed")
		[ ] 
		[+] // Step 4: Click on Select all and then click continiue
			[ ] SelectItemsToSell.SelectItems.SelectAll.Click ()
			[ ] SelectItemsToSell.CustomerOrderInstructions.CopyTheCustomerOrderInstructions.Check ()
			[ ] SelectItemsToSell.Continue.Click ()
		[ ] 
		[+] // Result 4: Verify Sales Receipt is open and data updated
			[ ] VerifySafely (SalesReceipt.Information.Exists (10), TRUE, "Message appeared")
			[ ] SalesReceipt.Information.OK.Click ()
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales Receipt open")
			[ ] VerifySafely (SalesReceipt.Sale.ReceiptNotes.GetCaption (), sInstructions, "Instructions co[ied from order")
			[ ] VerifySafely (SalesReceipt.Sale.SubTotal.DepositUsed.GetCaption (), "-55.00", "Deposit transfered")
		[ ] 
		[+] // Step 5: Receive payment and Save the recipt and invoke sales history
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 5: Verify sale created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 7 Cust1F Cust1L 1 105.00 1 Split"
			[ ] SalesHistory.SalesList.RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 6: Invoke SO List and open the SO
			[ ] LayawayList.Invoke ()
			[ ] LayawayList.OpenLayawayForEdit (corLA.sLayawayNum)
		[ ] 
		[+] // Result 6: Verify status is closed
			[ ] VerifySafely (Layaway.EditLayaway.PageList.Status.GetText (), "Closed", "Statis updated correctly")
	[ ] 
	[+] // CLEAN UP
		[+] if Layaway.EditLayaway.Exists ()
			[ ] Layaway.BottomBar.Close.Click ()
		[+] if LayawayList.LayawayList.Exists ()
			[ ] LayawayList.BottomBar.Close.Click ()
[ ] 
