﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating a sales receipt
	[+] // Test Steps:
		[ ] //  1. Invoke new sales receipt (Result 1)
		[ ] //  2. Create n number of receipts (specify the count)
		[ ] //  3. Click on Cancel
		[ ] //  4. Invoke  Sales History (Result 2)(Result 3)
	[+] // Expected Result:
		[ ] //  1. Verify sales receipt window is open
		[ ] //  2. Verify Sales history is displayed
		[ ] //  3. Verify records count in Sales History
[ ] // TESTCASE.:MoreThan500Sales
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\SaleFile.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::MoreThan500Sales.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase MoreThan500Sales ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sText
		[ ] INTEGER i
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "SaleFile.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (3), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Create n number of receipts (specify the count)
			[+] for (i = 1; i<=700; i++) //change i count as required
				[+] // Step 2: Enter the items on the sales receipt and get the total
					[ ] sItem = "InvItem1"
					[ ] SalesReceipt.Sale.EnterItems.ItemInfo.SetFocus ()
					[ ] SalesReceipt.typeKeys ("<1><Enter>")
					[ ] //sTotalAmount = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
				[ ] 
				[+] // Step 3: Click on Cash
					[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
				[ ] 
				[+] // Step 4: Click on exact amount and then click on save
					[ ] SalesReceipt.Sale.CashPayment.ExactAmount.Click ()
					[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
				[ ] 
				[+] // Step 5: Click on saveonly
					[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 3: Click on Cancel
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 4: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 2: Verify Sales history is displayed
			[ ] VerifySafely (SalesHistory.SalesList.Exists (3), TRUE, "Sales history displayed")
		[ ] 
		[+] // Result 3: Verify records count in Sales History
			[ ] i = i -1
			[ ] sText = "{i} record(s) in results"
			[ ] VerifySafely (SalesHistory.SalesList.RecordCount.GetCaption (), sText, "Correct number of records created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
