﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new Layaway
	[+] // Test Steps:
		[ ] // 1. Invoke New Layaway (Result 1)
		[ ] // 2. Enter the details
		[ ] // 3. Get the total and save
		[ ] // 4. Invoke Layaway List (Result 2)
		[ ] // 5. Open the Layaway (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify New Layaway is open
		[ ] // 2.  Verify LayawayList is open
		[ ] // 3. Verify edit Layaway is open and data is correct
[ ] // TESTCASE::NewLayaway
[ ] // ATC ID::POS_SALE_ATC_049
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::NewLayaway.t
[ ] // OWNER::POAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase NewLayaway () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] CustomerOrderRec corLA, corLA2
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke New Layaway
			[ ] Layaway.NewLayaway.Invoke ()
		[ ] 
		[+] // Result 1: Verify New Layaway is open
			[ ] VerifySafely (Layaway.NewLayaway.Exists (5), TRUE, "New SO is open")
		[ ] 
		[+] // Step 2: Enter the details
			[ ] corLA = {}
			[ ] corLA.ldir = {}
			[ ] corLA.sSONum = Layaway.NewLayaway.PageList.LayawayNum.GetText ()
			[ ] corLA.sStatus = Layaway.NewLayaway.PageList.Status.GetText ()
			[ ] corLA.sCustomer = "Cust1L, Cust1F"
			[ ] corLA.sAssociate = "Chiranjeev"
			[ ] corLA.sCashier = "Eric"
			[ ] corLA.sPromoCode = "TESTSO"
			[+] corLA.ldir = {...}
				[ ] {"InvItem1", "5"}
				[ ] {"InvItem2", "6"}
			[ ] // CreateLayaway (corLA)
			[ ] Layaway.NewLayaway.FillForm (corLA)
		[ ] 
		[+] // Step 3: Change the price level
			[ ] corLA.sPriceLevel = "Sale"
			[ ] Layaway.NewLayaway.PageList.PriceLevel.Select (corLA.sPriceLevel)
			[+] if PriceLevelChange.Exists (2)
				[ ] PriceLevelChange.Yes.Click ()
		[ ] 
		[+] // Result 3: Verify price level chnaged
			[ ] VerifySafely (Layaway.NewLayaway.PageList.Total.GetTextFromDisabled (), "$1,606.50", "Price level applied")
		[ ] 
		[+] // Step 4: Set discount
			[ ] corLA.sDiscount = "2"
			[ ] Layaway.NewLayaway.PageList.Discount.SetText (corLA.sDiscount)
		[ ] 
		[+] // Result 4: Verify discount applied
			[ ] VerifySafely (Layaway.NewLayaway.PageList.Total.GetTextFromDisabled (), "$1,606.50", "Price level applied")
			[ ] 
		[ ] 
		[+] // Step 6: Change the tax location
			[ ] Layaway.Typekeys ("<Alt-O-L>")
			[ ] ChangeTaxLocation.TaxLocation.Select ("Exempt")
			[ ] ChangeTaxLocation.Select.Click ()
		[ ] 
		[+] // Result 6: Verify tax location changed
			[ ] VerifySafely (Layaway.NewLayaway.PageList.Total.GetTextFromDisabled (), "$1,528.00", "Price level applied")
			[ ] 
		[ ] 
		[+] // Step 7: Get the total and save
			[ ] corLA.sTotal = Layaway.NewLayaway.PageList.Total.GetTextFromDisabled ()
			[ ] corLA.sBalanceDue = Layaway.NewLayaway.PageList.BalanceDue.GetTextFromDisabled ()
			[ ] Layaway.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Step 8: Invoke Sales order List
			[ ] LayawayList.LayawayList.Invoke ()
		[ ] 
		[+] // Result 7:  Verify LayawayList is open
			[ ] VerifySafely (LayawayList.LayawayList.Exists (5), TRUE, "LayawayList is open")
		[ ] 
		[+] // Step 9: Open the LA
			[ ] LayawayList.OpenLayawayForEdit (corLA.sSONum)
		[ ] 
		[+] // Result 8: Verify edit Sales order is open and data is correct
			[ ] VerifySafely (Layaway.EditLayaway.Exists (4), TRUE, "Edit Sales order is open")
			[ ] VerifySafely (Layaway.EditLayaway.PageList.Status.GetText (), corLA.sStatus, "Status of  Sales order is open")
			[ ] VerifySafely (Layaway.EditLayaway.PageList.Total.GetTextFromDisabled (), corLA.sTotal, "Total amount of SO is correctly displayed")
			[ ] 
		[ ] 
		[+] // Step 10: Open new new LA and GO to IWT ->Select Items from List
			[+] if Layaway.EditLayaway.Exists ()
				[ ] Layaway.BottomBar.Close.Click ()
			[+] if LayawayList.LayawayList.Exists ()
				[ ] LayawayList.BottomBar.Close.Click ()
			[ ] corLA2 = {}
			[ ] Layaway.NewLayaway.Invoke ()
			[ ] Layaway.Typekeys ("<Alt-O-S>")
		[ ] 
		[+] // Result 9: LayawayList item list is displayed
			[ ] VerifySafely (LAItemList.NewLayawaySelectItems.Exists (2), TRUE, "Item list displayed for selection")
			[ ] 
		[ ] 
		[+] // Step 11: Select an item from Item list
			[ ] SOItemList.SelectItem ("InvItem1")
			[ ] WaitFor (LAEditItem.NewLayawayEditItem)
			[ ] SOEditItem.BottomBar.Select.Click ()
			[ ] WaitFor (Layaway.NewLayaway)
			[ ] Layaway.Typekeys ("<F5>")
			[ ] WaitFor (COItemInfo, 5)
		[ ] 
		[+] // Result 10: Verify Item added to LA from Item list
			[ ] VerifySafely (COItemInfo.PageList.ItemName.GetText (), "InvItem1", "Item added for list")
			[ ] 
		[ ] 
		[+] // Step 9: Go to IWT ->Select customer from list
			[ ] COItemInfo.OK.Click ()
			[ ] Layaway.Typekeys ("<Alt-O-E>")
		[ ] 
		[+] // Result 11: Verify LA customer list displayed
			[ ] VerifySafely (LACustomerList.NewLayawaySelectCustomer.Exists (2), TRUE, "Item list displayed for selection")
			[ ] 
		[ ] 
		[+] // Step 10: Select a customer from list
			[ ] corLA2.sCustomer = "Cust2L, Cust2F"
			[ ] LACustomerList.SelectCustomer (corLA2.sCustomer)
			[ ] WaitFor (LAEditCustomer.NewLayawayEditCustomer)
			[ ] SOEditCustomer.BottomBar.Select.Click ()
			[ ] WaitFor (Layaway.NewLayaway)
		[ ] 
		[+] // Result 12: Verify customer added from cust list
			[ ] VerifySafely (Layaway.NewLayaway.PageList.CustomerInfo.GetText (), corLA2.sCustomer, "Customer added from list")
			[ ] 
		[ ] 
		[+] // Step 11: Click on edit on Customer
			[ ] Layaway.NewLayaway.PageList.BillToInfo.Edit.Click ()
			[ ] 
		[ ] 
		[+] // Result 13: Verify edit customer form displayed
			[ ] VerifySafely (LACustomerList.NewLayawayEditCustomer.Exists (2), TRUE, "Item list displayed for selection")
		[ ] 
		[+] // Step 12: Add a new SPitem via IWT and click save and print
			[ ] SOCustomerList.BottomBar.Select.Click ()
			[ ] Layaway.Typekeys ("<Alt-O-N>")
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "SpItem"
			[ ] nirItem.sDepartment = "System"
			[ ] nirItem.sRegularPrice = "10"
			[ ] nirItem.sOrderCost = "4"
			[ ] nirItem.sOnHandQty = "5"
			[ ] LASpecialOrderItem.NewLayawayNewSpecialOrderItem.FillForm (nirItem)
			[ ] LASpecialOrderItem.BottomBar.SaveAndSelect.Click ()
			[ ] Layaway.BottomBar.SavePrint.Click ()
		[ ] 
		[+] // Result 14: Verify Print dialog displayed
			[ ] VerifySafely (GeneralPrint.Exists (3), TRUE, "Print dialog displayed")
	[ ] 
	[+] // CLEAN UP
		[ ] GeneralPrint.Cancel.Click ()
		[+] if Layaway.EditLayaway.Exists ()
			[ ] Layaway.BottomBar.Close.Click ()
		[+] if LayawayList.LayawayList.Exists ()
			[ ] LayawayList.BottomBar.Close.Click ()
[ ] 
