﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Verify creating a Cash Payout
	[ ] // Testcase Name: Payout
	[ ] // ATC ID: 
	[ ] // Author: Mahalakshmi
	[+] // Test Steps:
		[ ] // 1. Invoke Payout
		[ ] // 2. Enter the details required
		[ ] // 3. Click "Ok"
		[ ] // 4. Invoke  Sales History
	[+] // Expected Result:
		[ ] // 1. Verify Payout is displayed
		[ ] // 2. Verify Sales history is displayed
		[ ] // 3. Verify sale is created
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase NewPayout ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sCashier, sAmount, sComments
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Payout
			[ ] QuickBooksPointOfSale.PointOfSale.Click ()
			[ ] QuickBooksPointOfSale.PointOfSale.NewPayout.Click ()
		[+] // Result 1: Verify Payout is displayed
			[ ] VerifySafely (CashPayout.Exists (5), TRUE, "Cash Payout is displayed")
		[+] // Step 2: Enter the details required
			[ ] sCashier = "Sysadmin"
			[ ] sAmount = "100"
			[ ] sComments = "Maintainance"
			[ ] CashPayout.Cashier.Select (sCashier)
			[ ] CashPayout.Amount.SetText (sAmount)
			[ ] CashPayout.Comments.SetText (sComments)
		[+] // Step 3: Click "Ok"
			[ ] CashPayout.OK.Click ()
		[+] // Step 4: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[+] // Result 2: Verify Sales history is displayed
			[ ] VerifySafely (SalesHistory.SalesList.Exists (5), TRUE, "Sales history displayed")
		[+] // Result 3: Verify sale is created
			[ ] RemoveGridColumn ("SaleDate")
			[+] lsSalesExpected = {...}
				[ ] "Regular Payout 1 1 Sysadmin 0 -100.00 0 Cash"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displyed in sales history")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
