﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new Purchase Order
	[+] // Test Steps:
		[ ] // 1. Invoke New Sales order (Result 1)
		[ ] // 2. Enter the details
		[ ] // 3. Get the total and save
		[ ] // 4. Invoke Sales order List (Result 2)
		[ ] // 5. Open the SO (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify New Sales order is open
		[ ] // 2.  Verify SOList is open
		[ ] // 3. Verify edit Sales order is open and data is correct
[ ] // TESTCASE::NewSalesOrder
[ ] // ATC ID::POS_SALE_ATC_041
[ ] // COMPANY FILE PATH::S:\SOS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::NewSalesOrder.t
[ ] // OWNER::SOSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase NewSalesOrder () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] CustomerOrderRec corSO, corSO2
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke New Sales order
			[ ] SalesOrder.NewSalesOrder.Invoke ()
		[ ] 
		[+] // Result 1: Verify New Sales order is open
			[ ] VerifySafely (SalesOrder.NewSalesOrder.Exists (5), TRUE, "New SO is open")
		[ ] 
		[+] // Step 2: Enter the details
			[ ] corSO = {}
			[ ] corSO.ldir = {}
			[ ] corSO.sSONum = SalesOrder.NewSalesOrder.PageList.SONum.GetText ()
			[ ] corSO.sStatus = SalesOrder.NewSalesOrder.PageList.Status.GetText ()
			[ ] corSO.sCustomer = "Cust1L, Cust1F"
			[ ] corSO.sAssociate = "Chiranjeev"
			[ ] corSO.sCashier = "Eric"
			[ ] corSO.sPromoCode = "TESTSO"
			[+] corSO.ldir = {...}
				[ ] {"InvItem1", "5"}
				[ ] {"InvItem2", "6"}
			[ ] // CreateSalesOrder (corSO)
			[ ] SalesOrder.NewSalesOrder.FillForm (corSO)
		[ ] 
		[+] // Step 3: Change the price level
			[ ] corSO.sPriceLevel = "Sale"
			[ ] SalesOrder.NewSalesOrder.PageList.PriceLevel.Select (corSO.sPriceLevel)
			[+] if PriceLevelChange.Exists (2)
				[ ] PriceLevelChange.Yes.Click ()
		[ ] 
		[+] // Result 3: Verify price level chnaged
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.Total.GetTextFromDisabled (), "$1,606.50", "Price level applied")
		[ ] 
		[+] // Step 4: Set discount
			[ ] corSO.sDiscount = "2"
			[ ] SalesOrder.NewSalesOrder.PageList.Discount.SetText (corSO.sDiscount)
		[ ] 
		[+] // Result 4: Verify discount applied
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.Total.GetTextFromDisabled (), "$1,606.50", "Price level applied")
			[ ] 
		[ ] 
		[+] // Step 5: Enter shhipping info and amount
			[ ] SalesOrder.NewSalesOrder.PageList.ShipToInfo.EnterShippingInfo.Click ()
			[ ] ShippingAddress.OK.Click ()
			[ ] ShippingDetails.ShippingAmount.SetText ("1")
			[ ] ShippingDetails.OK.Click ()
		[ ] 
		[+] // Result 5: Verify shipping updated
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.Total.GetTextFromDisabled (), "$1,605.40", "Price level applied")
		[ ] 
		[+] // Step 6: Change the tax location
			[ ] SalesOrder.Typekeys ("<Alt-O-L>")
			[ ] ChangeTaxLocation.TaxLocation.Select ("Exempt")
			[ ] ChangeTaxLocation.Select.Click ()
		[ ] 
		[+] // Result 6: Verify tax location changed
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.Total.GetTextFromDisabled (), "$1,529.00", "Price level applied")
			[ ] 
		[ ] 
		[+] // Step 7: Get the total and save
			[ ] corSO.sTotal = SalesOrder.NewSalesOrder.PageList.Total.GetTextFromDisabled ()
			[ ] corSO.sBalanceDue = SalesOrder.NewSalesOrder.PageList.BalanceDue.GetTextFromDisabled ()
			[ ] SalesOrder.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Step 8: Invoke Sales order List
			[ ] SOList.SalesOrderList.Invoke ()
		[ ] 
		[+] // Result 7:  Verify SOList is open
			[ ] VerifySafely (SOList.SalesOrderList.Exists (5), TRUE, "SOList is open")
		[ ] 
		[+] // Step 9: Open the SO
			[ ] SOList.OpenSOForEdit (corSO.sSONum)
		[ ] 
		[+] // Result 8: Verify edit Sales order is open and data is correct
			[ ] VerifySafely (SalesOrder.EditSalesOrder.Exists (4), TRUE, "Edit Sales order is open")
			[ ] VerifySafely (SalesOrder.EditSalesOrder.PageList.Status.GetText (), corSO.sStatus, "Status of  Sales order is open")
			[ ] VerifySafely (SalesOrder.EditSalesOrder.PageList.Total.GetTextFromDisabled (), corSO.sTotal, "Total amount of SO is correctly displayed")
			[ ] 
		[ ] 
		[+] // Step 10: Open new new SO and GO to IWT ->Select Items from List
			[+] if SalesOrder.EditSalesOrder.Exists ()
				[ ] SalesOrder.BottomBar.Close.Click ()
			[+] if SOList.SalesOrderList.Exists ()
				[ ] SOList.BottomBar.Close.Click ()
			[ ] corSO2 = {}
			[ ] SalesOrder.NewSalesOrder.Invoke ()
			[ ] SalesOrder.Typekeys ("<Alt-O-S>")
		[ ] 
		[+] // Result 9: SOList item list is displayed
			[ ] VerifySafely (SOItemList.NewSalesOrderSelectItems.Exists (2), TRUE, "Item list displayed for selection")
			[ ] 
		[ ] 
		[+] // Step 11: Select an item from Item list
			[ ] SOItemList.SelectItem ("InvItem1")
			[ ] WaitFor (SOEditItem.NewSalesOrderEditItem)
			[ ] SOEditItem.BottomBar.Select.Click ()
			[ ] WaitFor (SalesOrder.NewSalesOrder)
			[ ] SalesOrder.Typekeys ("<F5>")
			[ ] WaitFor (COItemInfo, 5)
		[ ] 
		[+] // Result 10: Verify Item added to So from Item list
			[ ] VerifySafely (COItemInfo.PageList.ItemName.GetText (), "InvItem1", "Item added for list")
			[ ] 
		[ ] 
		[+] // Step 9: Go to IWT ->Select customer from list
			[ ] COItemInfo.OK.Click ()
			[ ] SalesOrder.Typekeys ("<Alt-O-E>")
		[ ] 
		[+] // Result 11: Verify SO customer list displayed
			[ ] VerifySafely (SOCustomerList.NewSalesOrderSelectCustomer.Exists (2), TRUE, "Item list displayed for selection")
			[ ] 
		[ ] 
		[+] // Step 10: Select a customer from list
			[ ] corSO2.sCustomer = "Cust2L, Cust2F"
			[ ] SOCustomerList.SelectCustomer (corSO2.sCustomer)
			[ ] WaitFor (SOEditCustomer.NewSalesOrderEditCustomer)
			[ ] SOEditCustomer.BottomBar.Select.Click ()
			[ ] WaitFor (SalesOrder.NewSalesOrder)
		[ ] 
		[+] // Result 12: Verify customer added from cust list
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.CustomerInfo.GetText (), corSO2.sCustomer, "Customer added from list")
			[ ] 
		[ ] 
		[+] // Step 11: Click on edit on Customer
			[ ] SalesOrder.NewSalesOrder.PageList.BillToInfo.Edit.Click ()
			[ ] 
		[ ] 
		[+] // Result 13: Verify edit customer form displayed
			[ ] VerifySafely (SOCustomerList.NewSalesOrderEditCustomer.Exists (2), TRUE, "Item list displayed for selection")
		[ ] 
		[+] // Step 12: Add a new SPitem via IWT and click save and print
			[ ] SOCustomerList.BottomBar.Select.Click ()
			[ ] SalesOrder.Typekeys ("<Alt-O-N>")
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "SpItem"
			[ ] nirItem.sDepartment = "System"
			[ ] nirItem.sRegularPrice = "10"
			[ ] nirItem.sOrderCost = "4"
			[ ] nirItem.sOnHandQty = "5"
			[ ] SOSpecialOrderItem.NewSalesOrderNewSpecialOrderItem.FillForm (nirItem)
			[ ] SOSpecialOrderItem.BottomBar.SaveAndSelect.Click ()
			[ ] SalesOrder.BottomBar.SavePrint.Click ()
		[ ] 
		[+] // Result 14: Verify Print dialog displayed
			[ ] VerifySafely (GeneralPrint.Exists (3), TRUE, "Print dialog displayed")
	[ ] 
	[+] // CLEAN UP
		[ ] GeneralPrint.Cancel.Click ()
		[+] if SalesOrder.EditSalesOrder.Exists ()
			[ ] SalesOrder.BottomBar.Close.Click ()
		[+] if SOList.SalesOrderList.Exists ()
			[ ] SOList.BottomBar.Close.Click ()
[ ] 
