﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Create a new Work Order
	[+] // Test Steps:
		[ ] // 1. Invoke New Work Order (Result 1)
		[ ] // 2. Enter the details
		[ ] // 3. Get the total and save
		[ ] // 4. Invoke Work Order List (Result 2)
		[ ] // 5. Open the WO (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify New Work Order is open
		[ ] // 2.  Verify WOList is open
		[ ] // 3. Verify edit Work Order is open and data is correct
[ ] // TESTCASE::NewWorkOrder
[ ] // ATC ID::POS_SALE_ATC_057
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::NewWorkOrder.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase NewWorkOrder () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] CustomerOrderRec corWO, corWO2
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke New Work Order
			[ ] WorkOrder.NewWorkOrder.Invoke ()
		[ ] 
		[+] // Result 1: Verify New Work Order is open
			[ ] VerifySafely (WorkOrder.NewWorkOrder.Exists (5), TRUE, "New SO is open")
		[ ] 
		[+] // Step 2: Enter the details
			[ ] corWO = {}
			[ ] corWO.ldir = {}
			[ ] corWO.sWONum = WorkOrder.NewWorkOrder.PageList.WONum.GetText ()
			[ ] corWO.sStatus = WorkOrder.NewWorkOrder.PageList.Status.GetText ()
			[ ] corWO.sCustomer = "Cust1L, Cust1F"
			[ ] corWO.sAssociate = "Chiranjeev"
			[ ] corWO.sAssigned = "Eric"
			[ ] corWO.sPromoCode = "TESTWO"
			[+] corWO.ldir = {...}
				[ ] {"InvItem1", "5"}
				[ ] {"InvItem2", "6"}
			[ ] // CreateWorkOrder (corWO)
			[ ] WorkOrder.NewWorkOrder.FillForm (corWO)
		[ ] 
		[+] // Step 3: Change the price level
			[ ] corWO.sPriceLevel = "Sale"
			[ ] WorkOrder.NewWorkOrder.PageList.PriceLevel.Select (corWO.sPriceLevel)
			[+] if PriceLevelChange.Exists (2)
				[ ] PriceLevelChange.Yes.Click ()
		[ ] 
		[+] // Result 3: Verify price level chnaged
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.Total.GetTextFromDisabled (), "$1,606.50", "Price level applied")
		[ ] 
		[+] // Step 4: Set discount
			[ ] corWO.sDiscount = "2"
			[ ] WorkOrder.NewWorkOrder.PageList.Discount.SetText (corWO.sDiscount)
		[ ] 
		[+] // Result 4: Verify discount applied
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.Total.GetTextFromDisabled (), "$1,606.50", "Price level applied")
			[ ] 
		[ ] 
		[+] // Step 5: Enter shhipping info and amount
			[ ] WorkOrder.NewWorkOrder.PageList.ShipToInfo.EnterShippingInfo.Click ()
			[ ] ShippingAddress.OK.Click ()
			[ ] ShippingDetails.ShippingAmount.SetText ("1")
			[ ] ShippingDetails.OK.Click ()
		[ ] 
		[+] // Result 5: Verify shipping updated
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.Total.GetTextFromDisabled (), "$1,605.40", "Price level applied")
		[ ] 
		[+] // Step 6: Change the tax location
			[ ] WorkOrder.Typekeys ("<Alt-O-L>")
			[ ] ChangeTaxLocation.TaxLocation.Select ("Exempt")
			[ ] ChangeTaxLocation.Select.Click ()
		[ ] 
		[+] // Result 6: Verify tax location changed
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.Total.GetTextFromDisabled (), "$1,529.00", "Price level applied")
			[ ] 
		[ ] 
		[+] // Step 7: Get the total and save
			[ ] corWO.sTotal = WorkOrder.NewWorkOrder.PageList.Total.GetTextFromDisabled ()
			[ ] corWO.sBalanceDue = WorkOrder.NewWorkOrder.PageList.BalanceDue.GetTextFromDisabled ()
			[ ] WorkOrder.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Step 8: Invoke Work Order List
			[ ] WOList.WorkOrderList.Invoke ()
		[ ] 
		[+] // Result 7:  Verify WOList is open
			[ ] VerifySafely (WOList.WorkOrderList.Exists (5), TRUE, "WOList is open")
		[ ] 
		[+] // Step 9: Open the SO
			[ ] WOList.OpenWOForEdit (corWO.sWONum)
		[ ] 
		[+] // Result 8: Verify edit Work Order is open and data is correct
			[ ] VerifySafely (WorkOrder.EditWorkOrder.Exists (4), TRUE, "Edit Work Order is open")
			[ ] VerifySafely (WorkOrder.EditWorkOrder.PageList.Status.GetText (), corWO.sStatus, "Status of  Work Order is open")
			[ ] VerifySafely (WorkOrder.EditWorkOrder.PageList.Total.GetTextFromDisabled (), corWO.sTotal, "Total amount of SO is correctly displayed")
			[ ] 
		[ ] 
		[+] // Step 10: Open new new SO and GO to IWT ->Select Items from List
			[+] if WorkOrder.EditWorkOrder.Exists ()
				[ ] WorkOrder.BottomBar.Close.Click ()
			[+] if WOList.WorkOrderList.Exists ()
				[ ] WOList.BottomBar.Close.Click ()
			[ ] corWO2 = {}
			[ ] WorkOrder.NewWorkOrder.Invoke ()
			[ ] WorkOrder.Typekeys ("<Alt-O-S>")
		[ ] 
		[+] // Result 9: WOList item list is displayed
			[ ] VerifySafely (WOItemList.NewWorkOrderSelectItems.Exists (2), TRUE, "Item list displayed for selection")
			[ ] 
		[ ] 
		[+] // Step 11: Select an item from Item list
			[ ] SOItemList.SelectItem ("InvItem1")
			[ ] WaitFor (WOEditItem.NewWorkOrderEditItem)
			[ ] SOEditItem.BottomBar.Select.Click ()
			[ ] WaitFor (WorkOrder.NewWorkOrder)
			[ ] WorkOrder.Typekeys ("<F5>")
			[ ] WaitFor (COItemInfo, 5)
		[ ] 
		[+] // Result 10: Verify Item added to So from Item list
			[ ] VerifySafely (COItemInfo.PageList.ItemName.GetText (), "InvItem1", "Item added for list")
			[ ] 
		[ ] 
		[+] // Step 9: Go to IWT ->Select customer from list
			[ ] COItemInfo.OK.Click ()
			[ ] WorkOrder.Typekeys ("<Alt-O-E>")
		[ ] 
		[+] // Result 11: Verify SO customer list displayed
			[ ] VerifySafely (WOCustomerList.NewWorkOrderSelectCustomer.Exists (2), TRUE, "Item list displayed for selection")
			[ ] 
		[ ] 
		[+] // Step 10: Select a customer from list
			[ ] corWO2.sCustomer = "Cust2L, Cust2F"
			[ ] SOCustomerList.SelectCustomer (corWO2.sCustomer)
			[ ] WaitFor (WOEditCustomer.NewWorkOrderEditCustomer)
			[ ] SOEditCustomer.BottomBar.Select.Click ()
			[ ] WaitFor (WorkOrder.NewWorkOrder)
		[ ] 
		[+] // Result 12: Verify customer added from cust list
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.CustomerInfo.GetText (), corWO2.sCustomer, "Customer added from list")
			[ ] 
		[ ] 
		[+] // Step 11: Click on edit on Customer
			[ ] WorkOrder.NewWorkOrder.PageList.BillToInfo.Edit.Click ()
			[ ] 
		[ ] 
		[+] // Result 13: Verify edit customer form displayed
			[ ] VerifySafely (WOCustomerList.NewWorkOrderEditCustomer.Exists (2), TRUE, "Item list displayed for selection")
		[ ] 
		[+] // Step 12: Add a new SPitem via IWT and click save and print
			[ ] SOCustomerList.BottomBar.Select.Click ()
			[ ] WorkOrder.Typekeys ("<Alt-O-N>")
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "SpItem"
			[ ] nirItem.sDepartment = "System"
			[ ] nirItem.sRegularPrice = "10"
			[ ] nirItem.sOrderCost = "4"
			[ ] nirItem.sOnHandQty = "5"
			[ ] WOSpecialOrderItem.NewWorkOrderNewSpecialOrderItem.FillForm (nirItem)
			[ ] SOSpecialOrderItem.BottomBar.SaveAndSelect.Click ()
			[ ] WorkOrder.BottomBar.SavePrint.Click ()
		[ ] 
		[+] // Result 14: Verify Print dialog displayed
			[ ] VerifySafely (GeneralPrint.Exists (3), TRUE, "Print dialog displayed")
	[ ] 
	[+] // CLEAN UP
		[ ] GeneralPrint.Cancel.Click ()
		[+] if WorkOrder.EditWorkOrder.Exists ()
			[ ] WorkOrder.BottomBar.Close.Click ()
		[+] if WOList.WorkOrderList.Exists ()
			[ ] WOList.BottomBar.Close.Click ()
[ ] 
