﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Verify Reversing a sales receipt
	[+] // Test Steps:
		[ ] // 1: Invoke new sales receipt(Result 1)
		[ ] // 2: Enter the items on the sales receipt and get the total
		[ ] // 3: Click on Save only then clickcancel and Invoke sales history
		[ ] // 4: Enter the receipt no on search 
		[ ] // 5: Go To IWT- >Reverse(Result 2)
		[ ] // 6: Select cashier and click on OK(Result 3)
	[+] // Expected Result:
		[ ] // 1: Verify sales receipt window is open
		[ ] // 2: Verify Reversing document dialog is displayed
		[ ] // 3: Verify sale has been reversed
[ ] // TESTCASE.:ReverseSalesReceipt
[ ] // ATC ID::POS_SALE_ATC_034
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::ReverseSalesReceipt.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase ReverseSalesReceipt ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sCashier
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Step 3: Click on Save only then clickcancel and Invoke sales history
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Step 4: Enter the receipt no on search 
			[ ] //SalesHistory.SalesList.Topbar.Search.SetData ("1")
		[ ] 
		[+] // Step 5: Go To IWT- >Reverse
			[ ] SalesHistory.SalesList.Topbar.IWantTo.Click ()
			[ ] SalesHistory.SalesList.Topbar.IWantTo.Reverse.Click ()
		[ ] 
		[+] // Result 2: Verify Reversing document dialog is displayed
			[ ] VerifySafely (SalesHistory.ReversingDocument.Exists (5), TRUE, "Change price level dialog displayed")
		[ ] 
		[+] // Step 6: Select cashier and click on OK
			[ ] sCashier = "Sysadmin"
			[ ] SalesHistory.ReversingDocument.Cashier.SelectItem (sCashier)
			[ ] SalesHistory.ReversingDocument.OK.Click ()
		[ ] 
		[+] // Result 3: Verify sale has been reversed
			[+] lsSalesExpected = {...}
				[ ] "Reversed Sales 1 1 2 315.00 2 Cash"
				[ ] "Reversing Return 1 2 {sCashier} 2 315.00 2 Cash"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale reversed")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
