﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating large number of receipts by using credit transaction with MAS enabled
	[+] // Test Steps:
		[ ] // Step 1: Invoke Sales receipt
		[ ] // Step 2: Start Timer for calculating time
		[ ] // Step 3: Create n no of receipts
		[ ] // Step 4: Stop Timer
		[ ] // Step 5: Go Sales History
	[+] // Expected Result:
		[ ] // Result 1: Verify n receipts created and displayed in sales list
[ ] // TESTCASE.:SaleMacro_AccountPayment
[ ] // ATC ID:
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\MASMacro.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SaleMacro_AccountPayment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SaleMacro_AccountPayment ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItemNo, sCustomer, sText
		[ ] SalesReceiptPaymentRec srp
		[ ] INTEGER iCount
		[ ] HTIMER hTimer
	[ ] 
	[+] // SETUP
		[ ] // sCompanyFile = "MASMacro.qpb"
		[ ] // UpdateCompanyFile (sCompanyFile)
		[ ] srp = {}
		[ ] srp.sPaymentMode = "Account"
		[ ] sItemNo = "1"
		[ ] sCustomer = "Cust1L"
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Step 2: Start Timer for calculating time
			[ ] hTimer = TimerCreate ()
			[ ] TimerStart (hTimer)
		[ ] 
		[+] // Step 3: Create n no of receipts
			[+] for (iCount = 1; iCount <= 2; iCount ++)
				[+] // Step 3.1: Add an Item
					[ ] QuickAddItemToReceipt (sItemNo)
				[ ] 
				[+] // Step 3.2: Add a Customer
					[ ] SalesReceipt.Sale.EnterCustomer.SelectCustomer (sCustomer)
				[ ] 
				[+] // Step 3.2: Receive Payment by Account
					[ ] ReceivePayment (srp)
				[ ] 
				[+] // Step 3.3: Save the Receipt
					[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 4: Stop Timer
			[ ] TimerStop (hTimer)
			[ ] Print ("Time {TimerGetName (hTimer)} = {TimerStr (hTimer)}")
			[ ] TimerDestroy (hTimer)
		[ ] 
		[+] // Step 5: Go Sales History
			[ ] SalesReceipt.Sale.Topbar.Home.Click ()
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 1: Verify n receipts created and displayed in sales list
			[ ] iCount = iCount -1
			[ ] sText = "{iCount} record(s) in results"
			[ ] VerifySafely (SalesHistory.SalesList.RecordCount.GetCaption (), sText, "Correct number of records created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.Topbar.Home.Exists ()
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
