﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating a sales receipt
	[+] // Test Steps:
		[ ] //  1. Invoke new sales receipt (Result 1)
		[ ] //  2. Start Timer for calculating time
		[ ] //  3. Create n number of receipts (specify the count)
		[ ] //  4. Stop Timer
		[ ] //  5. Click on Cancel
		[ ] //  6. Invoke Sales History
	[+] // Expected Result:
		[ ] //  1. Verify sales receipt window is open
		[ ] //  2. Verify records count in Sales History
[ ] // TESTCASE.:SaleMacro_CashPayment
[ ] // ATC ID::
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\SaleFile.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SaleMacro_CashPayment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SaleMacro_CashPayment ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sText
		[ ] INTEGER iCount
		[ ] HTIMER hTimer
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "SaleFile.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (3), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Start Timer for calculating time
			[ ] hTimer = TimerCreate ()
			[ ] TimerStart (hTimer)
		[ ] 
		[+] // Step 3: Create n number of receipts (specify the count)
			[+] for (iCount = 1; iCount<=550; iCount++) //change i count as required
				[+] // Step 2: Enter the items on the sales receipt and get the total
					[ ] sItem = "InvItem1"
					[ ] SalesReceipt.Sale.EnterItems.ItemInfo.SetFocus ()
					[ ] SalesReceipt.typeKeys ("<1><Enter>")
				[ ] 
				[+] // Step 3: Click on Cash
					[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
				[ ] 
				[+] // Step 4: Click on exact amount and then click on save
					[ ] SalesReceipt.Sale.CashPayment.ExactAmount.Click ()
					[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
				[ ] 
				[+] // Step 5: Click on saveonly
					[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 4: Stop Timer
			[ ] TimerStop (hTimer)
			[ ] Print ("Time {TimerGetName (hTimer)} = {TimerStr (hTimer)}")
			[ ] TimerDestroy (hTimer)
		[ ] 
		[+] // Step 5: Click on Cancel
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 6: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 2: Verify records count in Sales History
			[ ] iCount = iCount -1
			[ ] sText = "{iCount} record(s) in results"
			[ ] VerifySafely (SalesHistory.SalesList.RecordCount.GetCaption (), sText, "Correct number of records created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
