﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating large number of receipts by using credit transaction with MAS enabled
	[+] // Test Steps:
		[ ] // Step 1: Invoke Sales receipt
		[ ] // Step 2: Start Timer for calculating time
		[ ] // Step 3: Create n no of receipts
		[ ] // Step 4: Stop Timer
		[ ] // Step 5: Go Sales History
	[+] // Expected Result:
		[ ] // Result 1: Verify n receipts created and displayed in sales list
[ ] // TESTCASE.:SaleMacro_CreditPaymentMAS
[ ] // ATC ID::POS_CLD_ATC_002
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\MASMacro.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SaleMacro_CreditPaymentMAS.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SaleMacro_CreditPaymentMAS ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItemNo
		[ ] SalesReceiptPaymentRec srp
		[ ] INTEGER iCount, iNoOfReceipts, iTotalReceipts
		[ ] HTIMER hTimer
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "SaleMacroCredit.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
		[ ] SetUpMerchantAccount ()
		[ ] srp = {}
		[ ] srp.sPaymentMode = "Credit"
		[ ] srp.ccd = {}
		[ ] srp.bMAS = TRUE
		[ ] srp.ccd = ccdVisa
		[ ] sItemNo = "1"
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Step 2: Start Timer for calculating time
			[ ] hTimer = TimerCreate ()
			[ ] TimerStart (hTimer)
		[ ] 
		[+] // Step 3: Create n no of receipts
			[ ] iNoOfReceipts = 80
			[+] for (iCount = 1; iCount <= iNoOfReceipts; iCount ++)
				[+] // Step 3.1: Add an Item
					[ ] QuickAddItemToReceipt (sItemNo)
				[ ] 
				[+] // Step 3.2: Receive Payment by credit card
					[ ] // SalesReceipt.Sale.PaymentButtons.Credit.Click ()
					[ ] // SalesReceipt.Sale.MASCreditPayment.CreditPaymentType.Manual.Check ()
					[ ] // SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.ChargeCard.Check ()
					[ ] // SalesReceipt.Sale.MASCreditPayment.EnterCardDetails (srp.ccd)
					[ ] // SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
					[+] // if SalesReceipt.Confirmation.Yes.Exists ()
						[ ] // SalesReceipt.Confirmation.Yes.Click ()
					[+] // if SalesReceipt.CardValidation.Exists (2)
						[ ] // SalesReceipt.CardValidation.Last4Digit.SetData (srp.ccd.sLast4Digit)
						[ ] // SalesReceipt.CardValidation.OK.Click ()
					[ ] // SalesReceipt.Sale.MASCreditPayment.WaitForApproval ()
					[ ] // WaitGone (SalesReceipt.Sale.MASCreditPayment)
					[ ] ReceivePayment (srp)
				[ ] 
				[+] // Step 3.3: Save the Receipt
					[ ] SalesReceipt.Sale.SaveOnly.Click ()
				[ ] 
		[ ] 
		[+] // Step 4: Stop Timer
			[ ] TimerStop (hTimer)
			[ ] Print ("Time {TimerGetName (hTimer)} = {TimerStr (hTimer)}")
			[ ] TimerDestroy (hTimer)
		[ ] 
		[+] // Step 5: Go Sales History
			[ ] SalesReceipt.Sale.Topbar.Home.Click ()
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 1: Verify n receipts created and displayed in sales list
			[ ] VerifySafely (SalesHistory.SalesList.RecordCount.GetCaption (), "507 record(s) in results", "507 receipts created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.Topbar.Home.Exists ()
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[+] // testcase SaleMacro_CreditPaymentMAS2 ()
	[+] // // VARIABLES
		[ ] // STRING sCompanyFile, sItemNo
		[ ] // SalesReceiptPaymentRec srp
		[ ] // INTEGER iCount, iNoOfReceipts, iTotalReceipts
		[ ] // HTIMER hTimer
	[ ] // 
	[+] // // SETUP
		[ ] // // sCompanyFile = "MASMacro.qpb"
		[ ] // // UpdateCompanyFile (sCompanyFile)
		[ ] // // SetUpMerchantAccount ()
		[ ] // srp = {}
		[ ] // srp.sPaymentMode = "Credit"
		[ ] // srp.ccd = {}
		[ ] // srp.bMAS = TRUE
		[ ] // srp.ccd = ccdVisa
		[ ] // sItemNo = "1"
	[ ] // 
	[+] // // STEPS
		[+] // // Step 1: Invoke Sales receipt
			[ ] // SalesReceipt.Sale.Invoke ()
		[ ] // 
		[+] // // Step 2: Start Timer for calculating time
			[ ] // hTimer = TimerCreate ()
			[ ] // TimerStart (hTimer)
		[ ] // 
		[+] // // Step 3: Create n no of receipts
			[ ] // iNoOfReceipts = 100
			[ ] // iTotalReceipts = 200
			[+] // for (iCount = 1; iCount <= iNoOfReceipts; iCount ++)
				[+] // // Step 3.1: Add an Item
					[ ] // QuickAddItemToReceipt (sItemNo)
				[ ] // 
				[+] // // Step 3.2: Receive Payment by credit card
					[ ] // // SalesReceipt.Sale.PaymentButtons.Credit.Click ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.CreditPaymentType.Manual.Check ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.ChargeCard.Check ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.EnterCardDetails (srp.ccd)
					[ ] // // SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
					[+] // // if SalesReceipt.Confirmation.Yes.Exists ()
						[ ] // // SalesReceipt.Confirmation.Yes.Click ()
					[+] // // if SalesReceipt.CardValidation.Exists (2)
						[ ] // // SalesReceipt.CardValidation.Last4Digit.SetData (srp.ccd.sLast4Digit)
						[ ] // // SalesReceipt.CardValidation.OK.Click ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.WaitForApproval ()
					[ ] // // WaitGone (SalesReceipt.Sale.MASCreditPayment)
					[ ] // ReceivePayment (srp)
				[ ] // 
				[+] // // Step 3.3: Save the Receipt
					[ ] // SalesReceipt.Sale.SaveOnly.Click ()
				[ ] // 
		[ ] // 
		[+] // // Step 4: Stop Timer
			[ ] // TimerStop (hTimer)
			[ ] // Print ("Time {TimerGetName (hTimer)} = {TimerStr (hTimer)}")
			[ ] // TimerDestroy (hTimer)
		[ ] // 
		[+] // // Step 5: Go Sales History
			[ ] // SalesReceipt.Sale.Topbar.Home.Click ()
			[ ] // SalesHistory.SalesList.Invoke ()
		[ ] // 
		[+] // // Result 1: Verify n receipts created and displayed in sales list
			[ ] // VerifySafely (SalesHistory.SalesList.RecordCount.GetCaption (), "{iTotalReceipts} record(s) in results", "{iTotalReceipts} receipts created")
	[ ] // 
	[+] // // CLEANUP
		[+] // if SalesHistory.SalesList.Topbar.Home.Exists ()
			[ ] // SalesHistory.SalesList.Topbar.Home.Click ()
[+] // testcase SaleMacro_CreditPaymentMAS3 ()
	[+] // // VARIABLES
		[ ] // STRING sCompanyFile, sItemNo
		[ ] // SalesReceiptPaymentRec srp
		[ ] // INTEGER iCount, iNoOfReceipts, iTotalReceipts
		[ ] // HTIMER hTimer
	[ ] // 
	[+] // // SETUP
		[ ] // // sCompanyFile = "MASMacro.qpb"
		[ ] // // UpdateCompanyFile (sCompanyFile)
		[ ] // // SetUpMerchantAccount ()
		[ ] // srp = {}
		[ ] // srp.sPaymentMode = "Credit"
		[ ] // srp.ccd = {}
		[ ] // srp.bMAS = TRUE
		[ ] // srp.ccd = ccdVisa
		[ ] // sItemNo = "1"
	[ ] // 
	[+] // // STEPS
		[+] // // Step 1: Invoke Sales receipt
			[ ] // SalesReceipt.Sale.Invoke ()
		[ ] // 
		[+] // // Step 2: Start Timer for calculating time
			[ ] // hTimer = TimerCreate ()
			[ ] // TimerStart (hTimer)
		[ ] // 
		[+] // // Step 3: Create n no of receipts
			[ ] // iNoOfReceipts = 100
			[ ] // iTotalReceipts = 300
			[+] // for (iCount = 1; iCount <= iNoOfReceipts; iCount ++)
				[+] // // Step 3.1: Add an Item
					[ ] // QuickAddItemToReceipt (sItemNo)
				[ ] // 
				[+] // // Step 3.2: Receive Payment by credit card
					[ ] // // SalesReceipt.Sale.PaymentButtons.Credit.Click ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.CreditPaymentType.Manual.Check ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.ChargeCard.Check ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.EnterCardDetails (srp.ccd)
					[ ] // // SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
					[+] // // if SalesReceipt.Confirmation.Yes.Exists ()
						[ ] // // SalesReceipt.Confirmation.Yes.Click ()
					[+] // // if SalesReceipt.CardValidation.Exists (2)
						[ ] // // SalesReceipt.CardValidation.Last4Digit.SetData (srp.ccd.sLast4Digit)
						[ ] // // SalesReceipt.CardValidation.OK.Click ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.WaitForApproval ()
					[ ] // // WaitGone (SalesReceipt.Sale.MASCreditPayment)
					[ ] // ReceivePayment (srp)
				[ ] // 
				[+] // // Step 3.3: Save the Receipt
					[ ] // SalesReceipt.Sale.SaveOnly.Click ()
				[ ] // 
		[ ] // 
		[+] // // Step 4: Stop Timer
			[ ] // TimerStop (hTimer)
			[ ] // Print ("Time {TimerGetName (hTimer)} = {TimerStr (hTimer)}")
			[ ] // TimerDestroy (hTimer)
		[ ] // 
		[+] // // Step 5: Go Sales History
			[ ] // SalesReceipt.Sale.Topbar.Home.Click ()
			[ ] // SalesHistory.SalesList.Invoke ()
		[ ] // 
		[+] // // Result 1: Verify n receipts created and displayed in sales list
			[ ] // VerifySafely (SalesHistory.SalesList.RecordCount.GetCaption (), "{iTotalReceipts} record(s) in results", "{iTotalReceipts} receipts created")
	[ ] // 
	[+] // // CLEANUP
		[+] // if SalesHistory.SalesList.Topbar.Home.Exists ()
			[ ] // SalesHistory.SalesList.Topbar.Home.Click ()
[+] // testcase SaleMacro_CreditPaymentMAS4 ()
	[+] // // VARIABLES
		[ ] // STRING sCompanyFile, sItemNo
		[ ] // SalesReceiptPaymentRec srp
		[ ] // INTEGER iCount, iNoOfReceipts, iTotalReceipts
		[ ] // HTIMER hTimer
	[ ] // 
	[+] // // SETUP
		[ ] // // sCompanyFile = "MASMacro.qpb"
		[ ] // // UpdateCompanyFile (sCompanyFile)
		[ ] // // SetUpMerchantAccount ()
		[ ] // srp = {}
		[ ] // srp.sPaymentMode = "Credit"
		[ ] // srp.ccd = {}
		[ ] // srp.bMAS = TRUE
		[ ] // srp.ccd = ccdVisa
		[ ] // sItemNo = "1"
	[ ] // 
	[+] // // STEPS
		[+] // // Step 1: Invoke Sales receipt
			[ ] // SalesReceipt.Sale.Invoke ()
		[ ] // 
		[+] // // Step 2: Start Timer for calculating time
			[ ] // hTimer = TimerCreate ()
			[ ] // TimerStart (hTimer)
		[ ] // 
		[+] // // Step 3: Create n no of receipts
			[ ] // iNoOfReceipts = 100
			[ ] // iTotalReceipts = 400
			[+] // for (iCount = 1; iCount <= iNoOfReceipts; iCount ++)
				[+] // // Step 3.1: Add an Item
					[ ] // QuickAddItemToReceipt (sItemNo)
				[ ] // 
				[+] // // Step 3.2: Receive Payment by credit card
					[ ] // // SalesReceipt.Sale.PaymentButtons.Credit.Click ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.CreditPaymentType.Manual.Check ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.ChargeCard.Check ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.EnterCardDetails (srp.ccd)
					[ ] // // SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
					[+] // // if SalesReceipt.Confirmation.Yes.Exists ()
						[ ] // // SalesReceipt.Confirmation.Yes.Click ()
					[+] // // if SalesReceipt.CardValidation.Exists (2)
						[ ] // // SalesReceipt.CardValidation.Last4Digit.SetData (srp.ccd.sLast4Digit)
						[ ] // // SalesReceipt.CardValidation.OK.Click ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.WaitForApproval ()
					[ ] // // WaitGone (SalesReceipt.Sale.MASCreditPayment)
					[ ] // ReceivePayment (srp)
				[ ] // 
				[+] // // Step 3.3: Save the Receipt
					[ ] // SalesReceipt.Sale.SaveOnly.Click ()
				[ ] // 
		[ ] // 
		[+] // // Step 4: Stop Timer
			[ ] // TimerStop (hTimer)
			[ ] // Print ("Time {TimerGetName (hTimer)} = {TimerStr (hTimer)}")
			[ ] // TimerDestroy (hTimer)
		[ ] // 
		[+] // // Step 5: Go Sales History
			[ ] // SalesReceipt.Sale.Topbar.Home.Click ()
			[ ] // SalesHistory.SalesList.Invoke ()
		[ ] // 
		[+] // // Result 1: Verify n receipts created and displayed in sales list
			[ ] // VerifySafely (SalesHistory.SalesList.RecordCount.GetCaption (), "{iTotalReceipts} record(s) in results", "{iTotalReceipts} receipts created")
	[ ] // 
	[+] // // CLEANUP
		[+] // if SalesHistory.SalesList.Topbar.Home.Exists ()
			[ ] // SalesHistory.SalesList.Topbar.Home.Click ()
[+] // testcase SaleMacro_CreditPaymentMAS5 ()
	[+] // // VARIABLES
		[ ] // STRING sCompanyFile, sItemNo
		[ ] // SalesReceiptPaymentRec srp
		[ ] // INTEGER iCount, iNoOfReceipts, iTotalReceipts
		[ ] // HTIMER hTimer
	[ ] // 
	[+] // // SETUP
		[ ] // // sCompanyFile = "MASMacro.qpb"
		[ ] // // UpdateCompanyFile (sCompanyFile)
		[ ] // // SetUpMerchantAccount ()
		[ ] // srp = {}
		[ ] // srp.sPaymentMode = "Credit"
		[ ] // srp.ccd = {}
		[ ] // srp.bMAS = TRUE
		[ ] // srp.ccd = ccdVisa
		[ ] // sItemNo = "1"
	[ ] // 
	[+] // // STEPS
		[+] // // Step 1: Invoke Sales receipt
			[ ] // SalesReceipt.Sale.Invoke ()
		[ ] // 
		[+] // // Step 2: Start Timer for calculating time
			[ ] // hTimer = TimerCreate ()
			[ ] // TimerStart (hTimer)
		[ ] // 
		[+] // // Step 3: Create n no of receipts
			[ ] // iNoOfReceipts = 100
			[ ] // iTotalReceipts = 500
			[+] // for (iCount = 1; iCount <= iNoOfReceipts; iCount ++)
				[+] // // Step 3.1: Add an Item
					[ ] // QuickAddItemToReceipt (sItemNo)
				[ ] // 
				[+] // // Step 3.2: Receive Payment by credit card
					[ ] // // SalesReceipt.Sale.PaymentButtons.Credit.Click ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.CreditPaymentType.Manual.Check ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.ChargeCard.Check ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.EnterCardDetails (srp.ccd)
					[ ] // // SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
					[+] // // if SalesReceipt.Confirmation.Yes.Exists ()
						[ ] // // SalesReceipt.Confirmation.Yes.Click ()
					[+] // // if SalesReceipt.CardValidation.Exists (2)
						[ ] // // SalesReceipt.CardValidation.Last4Digit.SetData (srp.ccd.sLast4Digit)
						[ ] // // SalesReceipt.CardValidation.OK.Click ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.WaitForApproval ()
					[ ] // // WaitGone (SalesReceipt.Sale.MASCreditPayment)
					[ ] // ReceivePayment (srp)
				[ ] // 
				[+] // // Step 3.3: Save the Receipt
					[ ] // SalesReceipt.Sale.SaveOnly.Click ()
				[ ] // 
		[ ] // 
		[+] // // Step 4: Stop Timer
			[ ] // TimerStop (hTimer)
			[ ] // Print ("Time {TimerGetName (hTimer)} = {TimerStr (hTimer)}")
			[ ] // TimerDestroy (hTimer)
		[ ] // 
		[+] // // Step 5: Go Sales History
			[ ] // SalesReceipt.Sale.Topbar.Home.Click ()
			[ ] // SalesHistory.SalesList.Invoke ()
		[ ] // 
		[+] // // Result 1: Verify n receipts created and displayed in sales list
			[ ] // VerifySafely (SalesHistory.SalesList.RecordCount.GetCaption (), "{iTotalReceipts} record(s) in results", "{iTotalReceipts} receipts created")
	[ ] // 
	[+] // // CLEANUP
		[+] // if SalesHistory.SalesList.Topbar.Home.Exists ()
			[ ] // SalesHistory.SalesList.Topbar.Home.Click ()
[+] // testcase SaleMacro_CreditPaymentMAS6 ()
	[+] // // VARIABLES
		[ ] // STRING sCompanyFile, sItemNo
		[ ] // SalesReceiptPaymentRec srp
		[ ] // INTEGER iCount, iNoOfReceipts, iTotalReceipts
		[ ] // HTIMER hTimer
	[ ] // 
	[+] // // SETUP
		[ ] // // sCompanyFile = "MASMacro.qpb"
		[ ] // // UpdateCompanyFile (sCompanyFile)
		[ ] // // SetUpMerchantAccount ()
		[ ] // srp = {}
		[ ] // srp.sPaymentMode = "Credit"
		[ ] // srp.ccd = {}
		[ ] // srp.bMAS = TRUE
		[ ] // srp.ccd = ccdVisa
		[ ] // sItemNo = "1"
	[ ] // 
	[+] // // STEPS
		[+] // // Step 1: Invoke Sales receipt
			[ ] // SalesReceipt.Sale.Invoke ()
		[ ] // 
		[+] // // Step 2: Start Timer for calculating time
			[ ] // hTimer = TimerCreate ()
			[ ] // TimerStart (hTimer)
		[ ] // 
		[+] // // Step 3: Create n no of receipts
			[ ] // iNoOfReceipts = 50
			[ ] // iTotalReceipts = 550
			[+] // for (iCount = 1; iCount <= iNoOfReceipts; iCount ++)
				[+] // // Step 3.1: Add an Item
					[ ] // QuickAddItemToReceipt (sItemNo)
				[ ] // 
				[+] // // Step 3.2: Receive Payment by credit card
					[ ] // // SalesReceipt.Sale.PaymentButtons.Credit.Click ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.CreditPaymentType.Manual.Check ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.CreditCardInfo.ChargeCard.Check ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.EnterCardDetails (srp.ccd)
					[ ] // // SalesReceipt.Sale.MASCreditPayment.AuthorizeNow.Click ()
					[+] // // if SalesReceipt.Confirmation.Yes.Exists ()
						[ ] // // SalesReceipt.Confirmation.Yes.Click ()
					[+] // // if SalesReceipt.CardValidation.Exists (2)
						[ ] // // SalesReceipt.CardValidation.Last4Digit.SetData (srp.ccd.sLast4Digit)
						[ ] // // SalesReceipt.CardValidation.OK.Click ()
					[ ] // // SalesReceipt.Sale.MASCreditPayment.WaitForApproval ()
					[ ] // // WaitGone (SalesReceipt.Sale.MASCreditPayment)
					[ ] // ReceivePayment (srp)
				[ ] // 
				[+] // // Step 3.3: Save the Receipt
					[ ] // SalesReceipt.Sale.SaveOnly.Click ()
				[ ] // 
		[ ] // 
		[+] // // Step 4: Stop Timer
			[ ] // TimerStop (hTimer)
			[ ] // Print ("Time {TimerGetName (hTimer)} = {TimerStr (hTimer)}")
			[ ] // TimerDestroy (hTimer)
		[ ] // 
		[+] // // Step 5: Go Sales History
			[ ] // SalesReceipt.Sale.Topbar.Home.Click ()
			[ ] // SalesHistory.SalesList.Invoke ()
		[ ] // 
		[+] // // Result 1: Verify n receipts created and displayed in sales list
			[ ] // VerifySafely (SalesHistory.SalesList.RecordCount.GetCaption (), "{iTotalReceipts} record(s) in results", "{iTotalReceipts} receipts created")
	[ ] // 
	[+] // // CLEANUP
		[+] // if SalesHistory.SalesList.Topbar.Home.Exists ()
			[ ] // SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
