﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify filtering for sales history
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt and make a Cash transaction for today's date
		[ ] // 2. Make a Check  transaction for Today-1 day (yesterday) (Result 1)
		[ ] // 3. Change the date and complete the transaction
		[ ] // 4. Make a Credit  transaction for Today-70 day (Result 2)
		[ ] // 5. Change the date and complete the transaction
		[ ] // 6. Click on Cancel
		[ ] // 7. Invoke  Sales History (Result 3) (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify Change Date dialog appears
		[ ] // 2. Verify Change Date dialog appears
		[ ] // 3. Verify Sales history is displayed
		[ ] // 4. Verify the various filters
[ ] // TESTCASE::SalesFilter
[ ] // ATC ID::POS_SALE_ATC_026
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesFilter.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesFilter ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sTotalAmount
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srr
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1_MASOFF.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt and make a Cash transaction for today's date
			[ ] sItem = "InvItem1"
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sItem)
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
			[ ] SalesReceipt.Sale.CashPayment.ExactAmount.Click ()
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 2: Make a Check  transaction for Today-1 day (yesterday)
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ChangeDate.Click ()
		[ ] 
		[+] // Result 1: Verify Change Date dialog appears
			[ ] VerifySafely (SalesReceipt.Sale.ChangeDocumentDate.Exists (), True, "Change Document Date dialog pops up")
		[ ] 
		[+] // Step 3: Change the date and complete the transaction
			[ ] SalesReceipt.Sale.ChangeDocumentDate.DocumentDate.SelectDate (GetDateString ("m/d/yyyy", AddDateTime (GetDateTime (), -1)))
			[ ] SalesReceipt.Sale.ChangeDocumentDate.Save.Click ()
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sItem)
			[ ] SalesReceipt.Sale.PaymentButtons.Check.Click ()
			[ ] SalesReceipt.Sale.CheckPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 4: Make a Credit  transaction for Today-70 day
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ChangeDate.Click ()
		[ ] 
		[+] // Result 2: Verify Change Date dialog appears
			[ ] VerifySafely (SalesReceipt.Sale.ChangeDocumentDate.Exists (), True, "Change Document Date dialog pops up")
			[ ] 
		[ ] 
		[+] // Step 5: Change the date and complete the transaction
			[ ] SalesReceipt.Sale.ChangeDocumentDate.DocumentDate.SelectDate (GetDateString ("m/d/yyyy", AddDateTime (getdateTime (), -70)))
			[ ] SalesReceipt.Sale.ChangeDocumentDate.Save.Click ()
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sItem)
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
			[ ] SalesReceipt.Sale.CreditPayment.ChargeCard.Check ()
			[ ] SalesReceipt.Sale.CreditPayment.Visa.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 6: Click on Cancel
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 7: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 3: Verify Sales history is displayed
			[ ] VerifySafely (SalesHistory.SalesList.Exists (5), TRUE, "Sales history displayed")
		[ ] 
		[+] // Result 4: Verify the various filters
			[ ]  RemoveGridColumn ("SaleDate")
			[ ] SalesHistory.SalesList.Topbar.Filter.Select ("All Receipts")
			[ ] sleep (3)
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
				[ ] "Regular Sales 1 2 1 105.00 1 Check"
				[ ] "Regular Sales 1 3 1 105.00 1 Credit Card"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "All Receipts filter works fine")
			[ ] 
			[ ] SalesHistory.SalesList.Topbar.Filter.Select ("Today")
			[ ] sleep (3)
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Today filter works fine")
			[ ] 
			[ ] SalesHistory.SalesList.Topbar.Filter.Select ("Yesterday")
			[ ] sleep (3)
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 2 1 105.00 1 Check"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Yesterday filter works fine")
			[ ] 
			[ ] SalesHistory.SalesList.Topbar.Filter.Select ("Last 30 Days")
			[ ] sleep (3)
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
				[ ] "Regular Sales 1 2 1 105.00 1 Check"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Last 30 Days filter works fine")
			[ ] 
			[ ] SalesHistory.SalesList.Topbar.Filter.Select ("Last 90 Days")
			[ ] sleep (3)
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
				[ ] "Regular Sales 1 2 1 105.00 1 Check"
				[ ] "Regular Sales 1 3 1 105.00 1 Credit Card"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Last 90 Days filter works fine")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.Topbar.Home.Exists (3)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
