﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify changing customer from Sales History
	[+] // Test Steps:
		[ ] // Step 1: Invoke new sales receipt (Result 3)
		[ ] // Step 2: Create a Sale
		[ ] // Step 3: Click on cancel and then invoke sales History
		[ ] // Step 4: Select the sale and then go to IWT->Add edit Promo code Notes (Result 2)
		[ ] // Step 5: Enter the new notes and click on ok
		[ ] // Step 6: Click on show details (Result 3)
	[+] // Expected Result.
		[ ] // Result 1: Verify sales receipt window is open
		[ ] // Result 2: Verify Enter Promo code notes dialog is displayed
		[ ] // Result 3: Verify notes is updated
[ ] // TESTCASE.:SalesHistoryIWTAddEditPromoCodeNotes
[ ] // ATC ID::POS_SALE_ATC_037
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesHistoryIWTAddEditPromoCodeNotes.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesHistoryIWTAddEditPromoCodeNotes ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sNotes
		[ ] SalesReceiptRec srrSale
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Create a Sale
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] srrSale.sCustomer = "Cust1L, Cust1F"
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] srrSale.sButton = "Save"
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Step 3: Click on cancel and then invoke sales History
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Step 4: Select the sale and then go to IWT->Add edit Promo code Notes
			[ ] SalesHistory.SalesList.Topbar.IWantTo.Click ()
			[ ] SalesHistory.SalesList.Topbar.IWantTo.AddEditPromoCodeNotes.Click ()
		[ ] 
		[+] // Result 3: Verify EnterPromoCodeNotes dialog is displayed
			[ ] VerifySafely (SalesHistory.SalesList.EnterPromoCodeNotes.Exists (5), TRUE, "EnterPromoCodeNotes dialog open")
		[ ] 
		[+] // Step 5: Enter the new notes and click on ok
			[ ] sNotes = "TestNotes"
			[ ] SalesHistory.SalesList.EnterPromoCodeNotes.Comments.SetData (sNotes)
			[ ] SalesHistory.SalesList.EnterPromoCodeNotes.OK.Click ()
		[ ] 
		[+] // Step 6: Click on show details
			[ ] SalesHistory.SalesList.Topbar.ShowDetails.Click ()
		[ ] 
		[+] // Result 3: Verify notes is updated
			[ ] VerifySafely (SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.Notes.GetCaption (), sNotes, "Notes updated")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.Topbar.Home.Exists (3)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
