﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify editing shipping information from Sales History
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Create a Sale
		[ ] // 3. Click on cancel and then invoke sales History
		[ ] // 4. Select the sale and then go to IWT->AddEditShippingInfo (Result 2)
		[ ] // 5. Click on OK (Result 3)
		[ ] // 6. Enter the shipping info and click on ok
		[ ] // 7. Click on show details (Result 4)
	[+] // Expected Result.
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify Message box is displayed
		[ ] // 3. Verify Enter shipping info dialog is displayed and shipping amount is disabled
		[ ] // 4. Verify shipping info updated
[ ] // TESTCASE.:SalesHistoryIWTAddEditShippingInfo
[ ] // ATC ID::POS_SALE_ATC_038
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesHistoryIWTAddEditShippingInfo.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesHistoryIWTAddEditShippingInfo () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sMessage
		[ ] SalesReceiptRec srrSale
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Create a Sale
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] srrSale.sCustomer = "Cust1L, Cust1F"
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] srrSale.sButton = "Save"
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Step 3: Click on cancel and then invoke sales History
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Step 4: Select the sale and then go to IWT->AddEditShippingInfo
			[ ] SalesHistory.SalesList.Topbar.IWantTo.Click ()
			[ ] SalesHistory.SalesList.Topbar.IWantTo.AddEditShippingInfo.Click ()
		[ ] 
		[+] // Result 2: Verify Message box is displayed
			[ ] sMessage = "Shipping amount will not be added to the receipt"
			[ ] VerifySafely (SalesReceipt.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
		[ ] 
		[+] // Step 5: Click on OK
			[ ] SalesHistory.Confirmation.Yes.Click ()
		[ ] 
		[+] // Result 3: Verify Enter shipping info dialog is displayed and shipping amount is disabled
			[ ] VerifySafely (SalesHistory.SalesList.EnterShippingInfo.Exists (5), TRUE, "Shipping info dialog open")
			[ ] VerifySafely (SalesHistory.SalesList.EnterShippingInfo.ShippingAmount.IsEnabled, FALSE, "Shipping amount is disabled")
		[ ] 
		[+] // Step 6: Enter the shipping info and click on ok
			[ ] SalesHistory.SalesList.EnterShippingInfo.ShipBy.SelectItem ("UPS Ground")
			[ ] SalesHistory.SalesList.EnterShippingInfo.OK.Click ()
		[ ] 
		[+] // Step 7: Click on show details
			[ ] SalesHistory.SalesList.Topbar.ShowDetails.Click ()
		[ ] 
		[+] // Result 4: Verify shipping info updated
			[ ] VerifySafely (SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.ShipInfo.ShipBy.GetCaption (), "UPS Ground", "Ship Info updated")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.Topbar.Home.Exists (3)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
