﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify changing customer from Sales History
	[+] // Test Steps:
		[ ] // Step 1: Invoke new sales receipt (Result 3)
		[ ] // Step 2: Create a Sale
		[ ] // Step 3: Click on cancel and then invoke sales History
		[ ] // Step 4: Select the sale and then go to IWT->Change Cashier (Result 2)
		[ ] // Step 5: Enter the new cashier and click on ok
		[ ] // Step 6: Click on show details (Result 3)
	[+] // Expected Result.
		[ ] // Result 1: Verify sales receipt window is open
		[ ] // Result 2: Verify Enter cashier dialog is displayed
		[ ] // Result 3: Verify cashier is updated
[ ] // TESTCASE.:SalesHistoryIWTChangeCashier
[ ] // ATC ID::POS_SALE_ATC_040
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesHistoryIWTChangeCashier.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesHistoryIWTChangeCashier ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sNewCashier
		[ ] SalesReceiptRec srrSale
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Create a Sale
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] srrSale.sCustomer = "Cust1L, Cust1F"
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] srrSale.sButton = "Save"
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Step 3: Click on cancel and then invoke sales History
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Step 4: Select the sale and then go to IWT->Change Cashier
			[ ] WaitTill (SalesHistory.SalesList.Topbar.IWantTo.IsEnabled)
			[ ] SalesHistory.SalesList.Topbar.IWantTo.Click ()
			[ ] SalesHistory.SalesList.Topbar.IWantTo.ChangeCashier.Click ()
		[ ] 
		[+] // Result 3: Verify Edit cashier dialog is displayed
			[ ] VerifySafely (SalesHistory.SalesList.EditCashier.Exists (5), TRUE, "EditCashier dialog open")
		[ ] 
		[+] // Step 6: Enter the new cashier and click on ok
			[ ] sNewCashier = "Sysadmin"
			[ ] SalesHistory.SalesList.EditCashier.Cashier.SelectItem2 (sNewCashier)
			[ ] SalesHistory.SalesList.EditCashier.OK.Click ()
		[ ] 
		[+] // Step 7: Click on show details
			[ ] SalesHistory.SalesList.Topbar.ShowDetails.Click ()
			[ ] WaitFor (SalesHistory.SalesList.SalesDetails)
		[ ] 
		[+] // Result 3: Verify customer is updated
			[ ] VerifySafely (SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.Cashier.GetCaption (), sNewCashier, "Cashier updated")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.Topbar.Home.Exists (3)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
