﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify changing customer from Sales History
	[+] // Test Steps:
		[ ] // Step 1: Invoke new sales receipt (Result 3)
		[ ] // Step 2: Create a Sale
		[ ] // Step 3: Click on cancel and then invoke sales History
		[ ] // Step 4: Select the sale and then go to IWT->Change Customer (Result 2)
		[ ] // Step 5: Enter the new customer and click on ok
		[ ] // Step 6: Click on show details (Result 3)
	[+] // Expected Result.
		[ ] // Result 1: Verify sales receipt window is open
		[ ] // Result 2: Verify Enter customer dialog is displayed
		[ ] // Result 3: Verify customer is updated
[ ] // TESTCASE.:SalesHistoryIWTChangeCustomer
[ ] // ATC ID::POS_SALE_ATC_039
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesHistoryIWTChangeCustomer.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesHistoryIWTChangeCustomer ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sNewCustomer
		[ ] SalesReceiptRec srrSale
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Create a Sale
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] srrSale.sCustomer = "Cust1L, Cust1F"
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] srrSale.sButton = "Save"
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Step 3: Click on cancel and then invoke sales History
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Step 4: Select the sale and then go to IWT->Change Customer
			[ ] WaitTill (SalesHistory.SalesList.Topbar.IWantTo.IsEnabled)
			[ ] SalesHistory.SalesList.Topbar.IWantTo.Click ()
			[ ] SalesHistory.SalesList.Topbar.IWantTo.ChangeCustomer.Click ()
		[ ] 
		[+] // Result 3: Verify Enter customer dialog is displayed
			[ ] VerifySafely (SalesHistory.SalesList.EnterCustomer.Exists (5), TRUE, "EnterCustomer dialog open")
		[ ] 
		[+] // Step 6: Enter the new customer and click on ok
			[ ] sNewCustomer = "Cust2L, Cust2F"
			[ ] SalesHistory.SalesList.EnterCustomer.EnterCustomer.SelectCustomer (sNewCustomer)
			[ ] SalesHistory.SalesList.EnterCustomer.OK.Click ()
		[ ] 
		[+] // Step 7: Click on show details
			[+] if SalesHistory.SalesList.Topbar.ShowDetails.Exists (3)
				[ ] SalesHistory.SalesList.Topbar.ShowDetails.Click ()
		[ ] 
		[+] // Result 3: Verify customer is updated
			[ ] VerifySafely (SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.CustomerName.GetCaption (), sNewCustomer, "Customer updated")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.Topbar.Home.Exists (3)
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
[ ] 
