﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify copying a sales receipt
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Create a Sale
		[ ] // 3. Click on cancel and then invoke sales History
		[ ] // 4. Select the sale and then go to IWT->Copy (Result 2)
		[ ] // 5. Add another item
		[ ] // 6. Receive payment
		[ ] // 7. Click on Save only then click cancel and Invoke sales history (Result 3)
	[+] // Expected Result.
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify New sales receipt is open and items and customer are prefilled correctly
		[ ] // 3. Verify sale has been created
[ ] // TESTCASE.:SalesHistoryIWTCopy
[ ] // ATC ID::POS_SALE_ATC_036
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesHistoryIWTCopy.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesHistoryIWTCopy ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sNewItem
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
		[ ] SalesReceiptPaymentRec srpPayment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Create a Sale
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
			[ ] srrSale.sCustomer = "Cust1L, Cust1F"
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] srrSale.sButton = "Save"
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Step 3: Click on cancel and then invoke sales History
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Step 4: Select the sale and then go to IWT->Copy
			[ ] SalesHistory.SalesList.Topbar.IWantTo.Click ()
			[ ] SalesHistory.SalesList.Topbar.IWantTo.Copy.Click ()
		[ ] 
		[+] // Result 2: Verify New sales receipt is open and items and customer are prefilled correctly
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "New Sales receipt open")
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemName.GetCaption (), srrSale.lsItems[1], "Items prefilled correctly")
			[ ] VerifySafely (SalesReceipt.Sale.Customer.CustomerName.GetCaption (), srrSale.sCustomer, "Customer prefilled correctly")
		[ ] 
		[+] // Step 5: Add another item
			[ ] sNewItem = "InvItem2"
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sNewItem)
		[ ] 
		[+] // Step 6: Receive payment
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
		[ ] 
		[+] // Step 7: Click on Save only then click cancel and Invoke sales history
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 3: Verify sale has been created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 Cust1F Cust1L 1 105.00 1 Cash"
				[ ] "Regular Sales 1 2 Cust1F Cust1L 2 315.00 2 Cash"
			[ ] SalesHistory.SalesList.RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
