﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify holding and unholding a sales receipt
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Enter the items on the sales receipt
		[ ] // 3. Click on Hold (Result 2)
		[ ] // 4. Enter another item and complete the sale
		[ ] // 5. Click on Held Receipt (Result 3) (Result 4)
		[ ] // 6. Click on Unhold (Result 5)
		[ ] // 7. Add another item
		[ ] // 8. Receive payment and complete the sale
		[ ] // 9. Invoke  Sales History (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify new sales receipt is displayed
		[ ] // 3. Verify Held receipts is displayed
		[ ] // 4. Verify Held receipts is displayed
		[ ] // 5. Verify Sales receipt should be displayed 
		[ ] // 6. Verify sale is created
[ ] // TESTCASE.:SalesHoldUnholdReceipt
[ ] // ATC ID::POS_SALE_ATC_019
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesHoldUnholdReceipt.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesHoldUnholdReceipt ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sTotalAmount
		[ ] LIST OF STRING lsSalesExpected, lsExpectedHeld
		[ ] SalesReceiptRec srrSale1, srrSale2
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt
			[ ] srrSale1 = {}
			[+] srrSale1.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (srrSale1.lsItems[1])
		[ ] 
		[+] // Step 3: Click on Hold
			[ ] SalesReceipt.Sale.PutOnHold.Click ()
		[ ] 
		[+] // Result 2: Verify new sales receipt is displayed
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.HasItems, FALSE, "New Sales Receipt displayed")
		[ ] 
		[+] // Step 4: Enter another item and complete the sale
			[ ] srrSale2 = {}
			[+] srrSale2.lsItems = {...}
				[ ] "InvItem2"
			[ ] srrSale2.srp = {}
			[ ] srrSale2.srp.sPaymentMode = "Cash"
			[ ] CreateSalesReceipt (srrSale2)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 5: Click on Held Receipt
			[ ] SalesReceipt.Sale.HeldReceipts.Click ()
		[ ] 
		[+] // Result 3: Verify Held receipts is displayed
			[ ] VerifySafely (HeldReceipts.HeldReceiptList.Exists (5), TRUE, "Held receipts displayed")
		[ ] 
		[+] // Result 4: Verify Held receipts is displayed
			[+] lsExpectedHeld = {...}
				[ ] "Regular Sales 1 1 105.00 1 None"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (HeldReceipts.HeldReceiptList.HeldGrid.ItemTexts, lsExpectedHeld, "Receipts holded")
		[ ] 
		[+] // Step 6: Click on Unhold
			[ ] HeldReceipts.HeldReceiptList.Topbar.Unhold.Click ()
		[ ] 
		[+] // Result 5: Sales receipt should be displayed 
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemName.GetCaption (), srrSale1.lsItems[1], "Receipt Unholded")
		[ ] 
		[+] // Step 7: Add another item
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (srrSale1.lsItems[2])
		[ ] 
		[+] // Step 8: Receive payment and complete the sale
			[ ] srrSale1.srp = {}
			[ ] srrSale1.srp.sPaymentMode = "Cash"
			[ ] ReceivePayment (srrSale1.srp)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 9: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 6: Verify sale is created
			[ ] RemoveGridColumn ("SaleDate")
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 210.00 1 Cash"
				[ ] "Regular Sales 1 2 315.00 2 Cash"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displyes in sales history")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
