﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify giving return through IWT->Give Accept Return exchange
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Enter the items on the sales receipt and get the total
		[ ] // 3. Receive payment
		[ ] // 4. Go to I want to - > AcceptReturn Exchange (Result 2)
		[ ] // 5. Set return qty (Result 3)
		[ ] // 6. Click on Save only (Result 4)
		[ ] // 7. Click on OK (Result 5)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify price and discount dialog is displayed
		[ ] // 3. Verify Total amount has got reduced by discount amount
		[ ] // 4. Verify Change dialog is displayed
		[ ] // 5. Verify sale has been created
[ ] // TESTCASE.:SalesIWTAcceptReturnExchange
[ ] // ATC ID::POS_SALE_ATC_021
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTAcceptReturnExchange.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTAcceptReturnExchange ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sTotal, sUpdatedTotal, sQty, sReturnQty
		[ ] INTEGER iCount
		[ ] LIST OF STRING lsSalesExpected
		[ ] NewItemRec nirItem1, nirItem2
		[ ] SalesReceiptRec srrSale
		[ ] SalesReceiptPaymentRec  srpPayment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] CreateSalesReceipt (srrSale)
			[ ] sQty = "5"
			[ ] SalesReceipt.Sale.SaleItems.ItemGrid.Select (1)
			[ ] iCount = 1
			[+] while iCount != val (sQty)
				[ ] SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemButtons.QtyPlus.Click ()
				[ ] iCount++
			[ ] SalesReceipt.Sale.SaleItems.ItemGrid.Select (2)
			[ ] iCount = 1
			[+] while iCount != val (sQty)
				[ ] SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemButtons.QtyPlus.Click ()
				[ ] iCount++
		[ ] 
		[+] // Step 3: Receive payment and save the receipt
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 4: Go to I want to - > AcceptReturn Exchange
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.AcceptReturnExchange.Click ()
		[ ] 
		[+] // Result 2: Verify TakeReturnExchange dialog is displayed
			[ ] VerifySafely (SalesReceipt.Sale.TakeReturnExchange.Exists (5), TRUE, "TakeReturnExchange dialog displayed")
		[ ] 
		[+] // Step 5: Set return qty
			[ ] sReturnQty = "3"
			[ ] SalesReceipt.Sale.TakeReturnExchange.ReceiptInfo.EnterReceiptInfo.SetData ("1")
			[ ] SalesReceipt.Typekeys ("<Down><Enter>")
			[ ] SalesReceipt.Sale.TakeReturnExchange.ItemGrid.Select (1)
			[ ] SalesReceipt.Sale.TakeReturnExchange.ItemGrid.GridRow.Return.State.Check ()
			[ ] SalesReceipt.Sale.TakeReturnExchange.ItemGrid.GridRow.ReturnQty.Edit.SetData (sReturnQty)
			[ ] SalesReceipt.Sale.TakeReturnExchange.AddSelectedItems.Click ()
		[ ] 
		[+] // Result 3: Verify Total amount has been updated
			[ ] sUpdatedTotal = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
			[ ] VerifySafely (sUpdatedTotal, "-315.00", "Discount applied  to total")
		[ ] 
		[+] // Step 6: Click on Save only
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Result 4: Verify Change dialog is displayed
			[ ] VerifySafely (SalesReceipt.Sale.Change.Exists (5), TRUE, "Change dialog displayed")
		[ ] 
		[+] // Step 7: Click on OK
			[ ] SalesReceipt.Sale.Change.OK.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 5: Verify sale has been created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 2 1,575.00 10 Cash"
				[ ] "Regular Sales 1 2 1 -315.00 -3 Cash"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
