﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify changing date through IWT->Add Receipt Notes
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Enter the items on the sales receipt and get the total
		[ ] // 3. Go to I want to - > Receipt notes (Result 2)
		[ ] // 4. Enter comments
		[ ] // 5. Click on save (Result 3)
		[ ] // 5. Receive payment
		[ ] // 6. Click on Save only then clickcancel and Invoke sales history (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify Receipt notes dialog is displayed
		[ ] // 3. Verify notes is displayed
		[ ] // 4. Verify sale has been created
[ ] // TESTCASE.:SalesIWTAddEditReceiptNotes
[ ] // ATC ID::POS_SALE_ATC_028
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTAddEditReceiptNotes.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTAddEditReceiptNotes ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sComments
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
		[ ] SalesReceiptPaymentRec  srpPayment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Step 3: Go to I want to - > AddEditReceiptNotes 
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.AddEditReceiptNotes.Click ()
		[ ] 
		[+] // Result 2: Verify AddEditReceiptNotes dialog is displayed
			[ ] VerifySafely (SalesReceipt.Sale.AddEditReceiptNotes.Exists (5), TRUE, "AddEditReceiptNotes dialog displayed")
		[ ] 
		[+] // Step 4: EnterComments
			[ ] sComments = "Test Comments"
			[ ] SalesReceipt.Sale.AddEditReceiptNotes.Notes.SetData (sComments)
		[ ] 
		[+] // Step 5: Click on save
			[ ] SalesReceipt.Sale.AddEditReceiptNotes.Save.Click ()
		[ ] 
		[+] // Result 3: Verify date is displayed
			[ ] VerifySafely (SalesReceipt.Sale.ReceiptNotes.Exists (5), TRUE, "Receipt Notes  displayed")
			[ ] VerifySafely (SalesReceipt.Sale.ReceiptNotes.GetCaption (), sComments, "Comments displeyed")
		[ ] 
		[+] // Step 5: Receive payment
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
		[ ] 
		[+] // Step 6: Click on Save only then clickcancel and Invoke sales history
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 4: Verify sale has been created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
			[ ] SalesHistory.SalesList.RemoveGridColumn ("SaleDate")
			[ ] SalesHistory.SalesList.Topbar.Filter.Select ("All Receipts")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
