﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify add new Customer works in receipt
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Goto I Want To-> AddNew-> Customer (Result 2)
		[ ] // 3. Add all the required data
		[ ] // 4. Click on Save (Result 3)
		[ ] // 5. Complete the transaction and save it
		[ ] // 6.  Invoke  Sales History (Result 4 and 5)
		[ ] // 7. Click on Topbar.Home
		[ ] // 8. Invoke Customer List (Result 6)
		[ ] // 9. Enter name of created Customer in Search customer field of customer List (Result 7)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify "Add Customer" is open
		[ ] // 3. Verify Customer created is added to sales receipt
		[ ] // 4. Verify Sales history is displayed
		[ ] // 5. Verify sale is created
		[ ] // 6. Verify Customer List is dispalyed
		[ ] // 7. Verify Edit button is enabled
[ ] // TESTCASE::SalesIWTAddNewCust
[ ] // ATC ID::POS_SALE_ATC_032
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTAddNewCust.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTAddNewCustomer ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] STRING sFirstName, sLastName, sItemName
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Goto I Want To-> AddNew-> Customer
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] WaitFor (SalesReceipt.Sale.IWantTo.AddNew)
			[ ] SalesReceipt.Sale.IWantTo.AddNew.Click ()
			[ ] WaitFor (SalesReceipt.Sale.IWantTo.AddNew.Customer)
			[ ] SalesReceipt.Sale.IWantTo.AddNew.Customer.Click ()
		[ ] 
		[+] // Result 2: Verify "Add Customer" is open
			[ ] VerifySafely (SalesReceipt.Sale.AddCustomer.Exists (5), TRUE, "Add Customer is open")
		[ ] 
		[+] // Step 3: Add all the required data
			[ ] sFirstName = "NewCustF1"
			[ ] sLastName = "NewCustL1"
			[ ] SalesReceipt.Sale.AddCustomer.FirstName.SetData (sFirstName)
			[ ] SalesReceipt.Sale.AddCustomer.LastName.SetData (sLastName)
		[ ] 
		[+] // Step 4: Click on Save
			[ ] SalesReceipt.Sale.AddCustomer.Save.Click ()
		[ ] 
		[+] // Result 3: Verify Customer created is added to sales receipt
			[ ] VerifySafely (SalesReceipt.Sale.Customer.CustomerName.GetCaption (), "{sLastName}, {sFirstName}",  "Customer is added to receipt")
		[ ] 
		[+] // Step 5: Complete the transaction and save it
			[ ] sItemName = "InvItem1"
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sItemName)
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
			[ ] SalesReceipt.Sale.CashPayment.ExactAmount.Click ()
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 6: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 4: Verify Sales history is displayed
			[ ] VerifySafely (SalesHistory.SalesList.Exists (5), TRUE, "Sales history displayed")
		[ ] 
		[+] // Result 5: Verify sale is created
			[ ] RemoveGridColumn ("SaleDate")
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 NewCustF1 NewCustL1 1 105.00 1 Cash"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 7: Click on Topbar.Home
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 8: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[+] // Result 6: Verify Customer List is dispalyed
			[ ] VerifySafely (Customers.CustomerList.Exists (5), TRUE, "Customer List is displayed")
		[ ] 
		[+] // Step 9: Enter name of created Customer in Search customer field of customer List
			[ ] WaitTill (Customers.CustomerList.Topbar.SearchCustomer.IsEnabled)
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (sLastName)
		[ ] 
		[+] // Result 7: Verify Edit button is enabled
			[ ] VerifySafely (Customers.CustomerList.Topbar.Edit.IsEnabled, TRUE, "Customer is created")
	[ ] 
	[+] // CLEAN UP
		[+] if Customers.CustomerList.EditCustomer.Exists ()
			[ ] Customers.CustomerList.EditCustomer.Cancel.Click ()
		[+] if Customers.CustomerList.Exists ()
			[ ] Customers.CustomerList.Topbar.Home.Click ()
[ ] 
