﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify add new item works in receipt
	[+] // Test Steps:
		[ ] //  1. Invoke new sales receipt (Result 1)
		[ ] //  2. Goto I Want To-> AddNew-> Inventory Item (Result 2)
		[ ] //  3. Add all the required data
		[ ] //  4. Click on Save (Result 3)
		[ ] //  5. Complete the transaction and save it
		[ ] //  6. Invoke  Sales History (Result 4) (Result 5)
		[ ] //  7. Click on Topbar.Home
		[ ] //  8. Invoke Item List (Result 6)
		[ ] //  9. Enter name of created item in Search Inventory field of Item List (Result 7)
	[+] // Expected Result:
		[ ] //  1. Verify sales receipt window is open
		[ ] //  2. Verify "Add Inventory Item" is open
		[ ] //  3. Verify item created is added to sales receipt
		[ ] //  4. Verify Sales history is displayed
		[ ] //  5. Verify sale is created
		[ ] //  6. Verify Item List is dispalyed
		[ ] //  7. Verify Edit button is enabled
[ ] // TESTCASE.:SalesIWTAddNewItem
[ ] // ATC ID::POS_SALE_ATC_016
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTAddNewItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalaksmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTAddNewItem ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] LIST OF STRING lsSalesExpected
		[ ] NewItemRec nir
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Goto I Want To-> AddNew-> Inventory Item
			[ ] WaitFor (SalesReceipt.Sale.SideButtons.ShowMessages)
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.AddNew.Click ()
			[ ] SalesReceipt.Sale.IWantTo.AddNew.InventoryItem.Click ()
		[ ] 
		[+] // Result 2: Verify "Add Inventory Item" is open
			[ ] VerifySafely (SalesReceipt.Sale.AddInventoryItem.Exists (5), TRUE, "Add Inventory Item is open")
		[ ] 
		[+] // Step 3: Add all the required data
			[ ] nir = {}
			[ ] nir.sItemName = "NewISaleItem1"
			[ ] nir.sDepartment = "System"
			[ ] nir.sRegularPrice = "100"
			[ ] nir.sOnHandQty = "50"
			[ ] FillItemForm (nir)
		[ ] 
		[+] // Step 4: Click on Save
			[ ] SalesReceipt.Sale.AddInventoryItem.Save.Click ()
		[ ] 
		[+] // Result 3: Verify item created is added to sales receipt
			[ ] WaitFor (SalesReceipt.Sale.SaleItems.ItemGrid, 10)
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemName.GetCaption (), nir.sItemName, "Item is added to receipt")
		[ ] 
		[+] // Step 5: Complete the transaction and save it
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
			[ ] SalesReceipt.Sale.CashPayment.ExactAmount.Click ()
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 6: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 4: Verify Sales history is displayed
			[ ] VerifySafely (SalesHistory.SalesList.Exists (5), TRUE, "Sales history displayed")
		[ ] 
		[+] // Result 5: Verify sale is created
			[ ] RemoveGridColumn ("SaleDate")
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displyed in sales history")
		[ ] 
		[+] // Step 7: Click on Topbar.Home
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 8: Invoke Item List
			[ ] Items.ItemsList.Invoke ()
		[ ] 
		[+] // Result 6: Verify Item List is dispalyed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Items List is displayed")
		[ ] 
		[+] // Step 9: Enter name of created item in Search Inventory field of Item List
			[ ] WaitTill (Items.ItemsList.Topbar.SearchInventory.IsEnabled)
			[ ] Items.ItemsList.Topbar.SearchInventory.SetData (nir.sItemName)
		[ ] 
		[+] // Result 7: Verify Edit button is enabled
			[ ] VerifySafely (Items.ItemsList.Topbar.Edit.IsEnabled, TRUE, "Item Created")
	[ ] 
	[+] // CLEANUP
		[+] if Items.ItemsList.Topbar.Home.Exists (3)
			[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
