﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify add new special order item works in receipt
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Goto I Want To-> AddNew-> Special Order Item (Result 2)
		[ ] // 3. Add all the required data
		[ ] // 4. Click on Save (Result 3)
		[ ] // 5. Complete the transaction and save it
		[ ] // 6. Invoke  Sales History (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify "Add Inventory Item" is open
		[ ] // 3. Verify item created is added to sales receipt
		[ ] // 4. Verify sale is created
[ ] // TESTCASE.:SalesIWTAddNewSpecialOrderItem
[ ] // ATC ID::POS_SALE_ATC_020
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTAddNewSpecialOrderItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTAddNewSpecialOrderItem () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] LIST OF STRING lsSalesExpected
		[ ] NewItemRec nirSpItem
		[ ] SalesReceiptPaymentRec srpPayment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Goto I Want To-> AddNew-> Special Order Item
			[ ] WaitFor (SalesReceipt.Sale.SideButtons.ShowMessages)
			[ ] Sleep (2)
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.AddNew.Click ()
			[ ] SalesReceipt.Sale.IWantTo.AddNew.SpecialOrderItem.Click ()
		[ ] 
		[+] // Result 2: Verify "Add Inventory Item" is open
			[ ] VerifySafely (SalesReceipt.Sale.AddSpecialOrderItem.Exists (5), TRUE, "Add Inventory Item is open")
		[ ] 
		[+] // Step 3: Add all the required data
			[ ] nirSpItem = {}
			[ ] nirSpItem.sItemName = "TestSpItem"
			[ ] nirSpItem.sDepartment = "System"
			[ ] nirSpItem.sRegularPrice = "100.00"
			[ ] nirSpItem.sAvgUnitCost = "50.00"
			[ ] SalesReceipt.Sale.AddSpecialOrderItem.FillForm (nirSpItem)
		[ ] 
		[+] // Step 4: Click on Save
			[ ] SalesReceipt.Sale.AddSpecialOrderItem.Save.Click ()
		[ ] 
		[+] // Result 3: Verify item created is added to sales receipt
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemName.GetCaption (), nirSpItem.sItemName, "Item is added to receipt")
		[ ] 
		[+] // Step 5: Complete the transaction and save it
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 6: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 4: Verify sale is created
			[ ] RemoveGridColumn ("SaleDate")
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displyed in sales history")
	[ ] 
	[+] // CLEANUP
		[+] if Items.ItemsList.GoBack.Exists (3)
			[ ] Items.ItemsList.GoBack.Click ()
[ ] 
