﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify changing date through IWT->Change date
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Enter the items on the sales receipt and get the total
		[ ] // 3. Go to I want to - > Change Date (Result 2)
		[ ] // 4. Set the document date
		[ ] // 5. Click on save (Result 3)
		[ ] // 5. Receive payment
		[ ] // 6. Click on Save only then clickcancel and Invoke sales history (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify Change Price level dialog is displayed
		[ ] // 3. Verify date is displayed
		[ ] // 4. Verify sale has been created
[ ] // TESTCASE.:SalesIWTChangeDate
[ ] // ATC ID::POS_SALE_ATC_012
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTChangeDate.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTChangeDate ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem
		[ ] STRING dtDocDate
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
		[ ] SalesReceiptPaymentRec  srpPayment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Step 3: Go to I want to - > Change Date
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ChangeDate.Click ()
		[ ] 
		[+] // Result 2: Verify Change Price level dialog is displayed
			[ ] VerifySafely (SalesReceipt.Sale.ChangeDocumentDate.Exists (5), TRUE, "Change price level dialog displayed")
		[ ] 
		[+] // Step 4: Set the document date
			[ ] dtDocDate = "2010-10-15"
			[ ] SalesReceipt.Sale.ChangeDocumentDate.DocumentDate.SelectDate (dtDocDate)
		[ ] 
		[+] // Step 5: Click on save
			[ ] SalesReceipt.Sale.ChangeDocumentDate.Save.Click ()
		[ ] 
		[+] // Result 3: Verify date is displayed
			[ ] VerifySafely (SalesReceipt.Sale.DocDate.Exists (5), TRUE, "Docdate displyed displayed")
			[ ] VerifySafely (SalesReceipt.Sale.DocDate.DisplayedDate.GetCaption (), FormatDateTime (dtDocDate, "mm/dd/yyyy"), "Date displeyed")
		[ ] 
		[+] // Step 5: Receive payment
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
		[ ] 
		[+] // Step 6: Click on Save only then clickcancel and Invoke sales history
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 4: Verify sale has been created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash {FormatDateTime (dtDocDate, "mm/dd/yyyy")}"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] AddGridColumn ("SaleDate")
			[ ] SalesHistory.SalesList.Topbar.Filter.Select ("All Receipts")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
