﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify changing price levet through IWT->Change price level
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Enter the items on the sales receipt and get the total
		[ ] // 3. Go to I want to - > Change Price level (Result 2)
		[ ] // 4. Clcik on Sale (Result 3)
		[ ] // 5. Click on Yes (Result 4)
		[ ] // 5. Receive payment
		[ ] // 6. Click on Save only then clickcancel and Invoke sales history (Result 5)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify Change Price level dialog is displayed
		[ ] // 3. Verify Price level change dialog is displayed
		[ ] // 4. Verify Total amount has got reduced by discount amount
		[ ] // 5. Verify sale has been created
[ ] // TESTCASE.:SalesIWTChangePriceLevel
[ ] // ATC ID::POS_SALE_ATC_011
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTChangePriceLevel.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTChangePriceLevel ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sSubTotal, sUpdatedSubTotal, sPriceLevel
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
		[ ] SalesReceiptPaymentRec  srpPayment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
			[ ] CreateSalesReceipt (srrSale)
			[ ] sSubTotal = SalesReceipt.Sale.SubTotal.SubTotal.GetCaption ()
		[ ] 
		[+] // Step 3: Go to I want to - > Change Price level
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ChangePriceLevel.Click ()
		[ ] 
		[+] // Result 2: Verify Change Price level dialog is displayed
			[ ] VerifySafely (SalesReceipt.Sale.ChangePriceLevel.Exists (5), TRUE, "Change price level dialog displayed")
		[ ] 
		[+] // Step 4: Clcik on Sale
			[ ] sPriceLevel = "Sale"
			[ ] SalesReceipt.Sale.ChangePriceLevel.@sPriceLevel.Click ()
		[ ] 
		[+] // Result 3: Verify Price level change dialog is displayed
			[ ] VerifySafely (SalesReceipt.Sale.PriceLevelChange.Exists (5), TRUE, "Price Level change dislog displayed")
			[ ] VerifySafely (SalesReceipt.Sale.PriceLevelChange.CurrentPriceLevel.GetCaption (), "Regular Price - Price Level 1", "Current Price elevel displayed as regular")
			[ ] VerifySafely (SalesReceipt.Sale.PriceLevelChange.SelectedPriceLevel.GetCaption (), "Sale - Price Level 2", "Current Price elevel displayed sale")
		[ ] 
		[+] // Step 5: Click on Yes
			[ ] SalesReceipt.Sale.PriceLevelChange.Yes.Click ()
		[ ] 
		[+] // Result 3: Verify Total amount has got reduced by discount amount
			[ ] sUpdatedSubTotal = SalesReceipt.Sale.SubTotal.SubTotal.GetCaption ()
			[ ] VerifySafely (sUpdatedSubTotal, "90.00", "New price level applied  to total")
		[ ] 
		[+] // Step 5: Receive payment
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
		[ ] 
		[+] // Step 6: Click on Save only then clickcancel and Invoke sales history
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 7: Verify sale has been created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 94.50 1 Cash"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
