﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify changing tax location through IWT->Change Tax Location
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Enter the items on the sales receipt and get the total
		[ ] // 3. Go to I want to - > Change Tax Location (Result 2)
		[ ] // 4. Clcik on Sale (Result 3)
		[ ] // 5. Receive payment
		[ ] // 6. Click on Save only then clickcancel and Invoke sales history (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify Change Tax Location dialog is displayed
		[ ] // 3. Verify Total amount has got reduced by discount amount
		[ ] // 4. Verify sale has been created
[ ] // TESTCASE::SalesIWTChangeTaxLocation
[ ] // ATC ID::POS_SALE_ATC_027
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTChangeTaxLocation.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTChangeTaxLocation ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sUpdatedSubTotal, sTaxLocation, sSubTotal
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
		[ ] SalesReceiptPaymentRec  srpPayment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.ldir = {...}
				[ ] {"InvItem1"}
				[ ] {"InvItem2"}
			[ ] CreateSalesReceipt (srrSale)
			[ ] sSubTotal = SalesReceipt.Sale.SubTotal.SubTotal.GetCaption ()
		[ ] 
		[+] // Step 3: Go to I want to - > Change Tax Location
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ChangeTaxLocation.Click ()
		[ ] 
		[+] // Result 2: Verify Change taxLocation dialog is displayed
			[ ] VerifySafely (SalesReceipt.Sale.ChangeTaxLocation.Exists (5), TRUE, "Change tax location dialog displayed")
		[ ] 
		[+] // Step 4: Click on Exempt
			[ ] sTaxLocation = "Exempt"
			[ ] SalesReceipt.Sale.ChangeTaxLocation.TaxLocation.@sTaxLocation.Click ()
		[ ] 
		[+] // Result 3: Verify Total amount has got reduced by discount amount
			[ ] sUpdatedSubTotal = SalesReceipt.Sale.SubTotal.SubTotal.GetCaption ()
			[ ] VerifySafely (sUpdatedSubTotal, "300.00", "New tax location applied  to total")
			[ ] VerifySafely (SalesReceipt.Sale.SubTotal.Tax.GetCaption (), "0.00", "Tax exempted")
		[ ] 
		[+] // Step 5: Receive payment
			[ ] srrSale.srp = {}
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] ReceivePayment (srrSale.srp)
		[ ] 
		[+] // Step 6: Click on Save only then clickcancel and Invoke sales history
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 4: Verify sale has been created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 2 300.00 2 Cash"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
