﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify converting Sales Receipt to Layaway
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Enter the items on the sales receipt and get the total
		[ ] // 3. Go to I want to - > Convert To Order - > Sales Order (Result 2)
		[ ] // 4. Get the Layaway number (Result 3)
		[ ] // 5. Save the Layaway
		[ ] // 6. Invoke Sales Order List and open the created Layaway (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify Sales Order is displayed
		[ ] // 3. Verify Layaway status is open and customer is updated
		[ ] // 4. Verify Total amount has increased by shipping amount
[ ] // TESTCASE::SalesIWTCovertToLayaway
[ ] // ATC ID::POS_SALE_ATC_030
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTCovertToLayaway.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTConvertToLayaway () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sLayawayNum
		[ ] SalesReceiptRec srrSale
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[ ] srrSale.sCustomer = "Cust1L, Cust1F"
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Step 3: Go to I want to - > Convert To Order - > Sales Order
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ConvertToOrder.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ConvertToOrder.Layaway.Click ()
		[ ] 
		[+] // Result 2: Verify Sales Order is displayed
			[ ] VerifySafely (Layaway.NewLayaway.Exists (5), TRUE, "Sales Order is displayed displayed")
		[ ] 
		[+] // Step 4: Get the Layaway number
			[ ] sLayawayNum = Layaway.NewLayaway.PageList.LayawayNum.GetText ()
		[ ] 
		[+] // Result 3: Verify Layaway status is open and customer is updated
			[ ] VerifySafely (Layaway.NewLayaway.PageList.Status.GetText (), "Open", "Layaway status is open")
			[ ] VerifySafely (Layaway.NewLayaway.PageList.CustomerInfo.GetText (), srrSale.sCustomer, "Customer filled properly")
		[ ] 
		[+] // Step 5: Save the Layaway
			[ ] Layaway.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Step 6: Invoke Layaway List and open the created Layaway
			[ ] LayawayList.Invoke ()
			[ ] LayawayList.ToolBar.FindLayaway.SetText (sLayawayNum)
			[ ] Desktop.Typekeys ("<Enter>")
			[ ] WaitFor (FindLayaway)
			[ ] FindLayaway.SelectLayaway.Click ()
		[ ] 
		[+] // Result 4: Verify Total amount has increased by shipping amount
			[ ] VerifySafely (Layaway.EditLayaway.PageList.LayawayNum.GetText (), sLayawayNum, "Layaway created")
			[ ] VerifySafely (Layaway.EditLayaway.PageList.CustomerInfo.GetText (), srrSale.sCustomer, "Customer filled properly")
	[ ] 
	[+] // CLEANUP
		[+] if Layaway.BottomBar.Close.Exists (3)
			[ ] Layaway.BottomBar.Close.Click ()
		[+] if LayawayList.BottomBar.Close.Exists (3)
			[ ] LayawayList.BottomBar.Close.Click ()
[ ] 
