﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify converting Sales Receipt to Sales Order
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Enter the items on the sales receipt and get the total
		[ ] // 3. Go to I want to - > Convert To Order - > Sales Order (Result 2)
		[ ] // 4. Get the SO number (Result 3)
		[ ] // 5. Save the SO
		[ ] // 6. Invoke Sales Order List and open the created SO (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify Sales Order is displayed
		[ ] // 3. Verify SO status is open and customer is updated
		[ ] // 4. Verify Total amount has increased by shipping amount
[ ] // TESTCASE::SalesIWTConvertToSO
[ ] // ATC ID::POS_SALE_ATC_029
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTConvertToSO.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTConvertToSO () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sSONum
		[ ] SalesReceiptRec srrSale
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[ ] srrSale.sCustomer = "Cust1L, Cust1F"
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Step 3: Go to I want to - > Convert To Order - > Sales Order
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ConvertToOrder.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ConvertToOrder.SalesOrder.Click ()
		[ ] 
		[+] // Result 2: Verify Sales Order is displayed
			[ ] VerifySafely (SalesOrder.NewSalesOrder.Exists (5), TRUE, "Sales Order is displayed displayed")
		[ ] 
		[+] // Step 4: Get the SO number
			[ ] sSONum = SalesOrder.NewSalesOrder.PageList.SONum.GetText ()
		[ ] 
		[+] // Result 3: Verify SO status is open and customer is updated
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.Status.GetText (), "Open", "SO status is open")
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.CustomerInfo.GetText (), srrSale.sCustomer, "Customer filled properly")
		[ ] 
		[+] // Step 5: Save the SO
			[ ] SalesOrder.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Step 6: Invoke Sales Order List and open the created SO
			[ ] SOList.Invoke ()
			[ ] SOList.ToolBar.FindSO.SetText (sSONum)
			[ ] Desktop.Typekeys ("<Enter>")
			[ ] WaitFor (FindSalesOrder)
			[ ] FindSalesOrder.SelectSalesOrder.Click ()
		[ ] 
		[+] // Result 4: Verify Total amount has increased by shipping amount
			[ ] VerifySafely (SalesOrder.EditSalesOrder.PageList.SONum.GetText (), sSONum, "SO created")
			[ ] VerifySafely (SalesOrder.EditSalesOrder.PageList.CustomerInfo.GetText (), srrSale.sCustomer, "Customer filled properly")
	[ ] 
	[+] // CLEANUP
		[+] if SalesOrder.BottomBar.Close.Exists (3)
			[ ] SalesOrder.BottomBar.Close.Click ()
		[+] if SOList.BottomBar.Close.Exists (3)
			[ ] SOList.BottomBar.Close.Click ()
[ ] 
