﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify converting sales Receipt to Work Order
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Enter the items on the sales receipt and get the total
		[ ] // 3. Go to I want to - > Convert To Order - > Work Order (Result 2)
		[ ] // 4. Get the WO number (Result 3)
		[ ] // 5. Save the WO
		[ ] // 6. Invoke Work Order List and open the created WO (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify Work Order is displayed
		[ ] // 3. Verify WO status is open and customer is updated
		[ ] // 4. Verify Total amount has increased by shipping amount
[ ] // TESTCASE::SalesIWTCovertToWO
[ ] // ATC ID::POS_SALE_ATC_031
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTConvertToWO.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTConvertToWO () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sWONum
		[ ] SalesReceiptRec srrSale
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[ ] srrSale.sCustomer = "Cust1L, Cust1F"
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Step 3: Go to I want to - > Convert To Order - > Work Order
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ConvertToOrder.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ConvertToOrder.WorkOrder.Click ()
		[ ] 
		[+] // Result 2: Verify Work Order is displayed
			[ ] VerifySafely (WorkOrder.NewWorkOrder.Exists (5), TRUE, "Work Order is displayed displayed")
		[ ] 
		[+] // Step 4: Get the WO number
			[ ] sWONum = WorkOrder.NewWorkOrder.PageList.WONum.GetText ()
		[ ] 
		[+] // Result 3: Verify WO status is open and customer is updated
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.Status.GetText (), "Open", "WO status is open")
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.CustomerInfo.GetText (), srrSale.sCustomer, "Customer filled properly")
		[ ] 
		[+] // Step 5: Save the WO
			[ ] WorkOrder.BottomBar.SaveOnly.Click ()
		[ ] 
		[+] // Step 6: Invoke Work Order List and open the created WO
			[ ] WOList.Invoke ()
			[ ] WOList.ToolBar.FindWO.SetText (sWONum)
			[ ] Desktop.Typekeys ("<Enter>")
			[ ] WaitFor (FindWorkOrder)
			[ ] FindWorkOrder.SelectWorkOrder.Click ()
		[ ] 
		[+] // Result 4: Verify Total amount has increased by shipping amount
			[ ] VerifySafely (WorkOrder.EditWorkOrder.PageList.WONum.GetText (), sWONum, "WO created")
			[ ] VerifySafely (WorkOrder.EditWorkOrder.PageList.CustomerInfo.GetText (), srrSale.sCustomer, "Customer filled properly")
	[ ] 
	[+] // CLEANUP
		[+] if WorkOrder.BottomBar.Close.Exists (3)
			[ ] WorkOrder.BottomBar.Close.Click ()
		[+] if WOList.BottomBar.Close.Exists (3)
			[ ] WOList.BottomBar.Close.Click ()
[ ] 
