﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating payout through  Sales Receipt IWT->Create Payout
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Go to I want to - > Create Payout (Result 2)
		[ ] // 3. Set the Cashier, amout and comments and then clisk OK
		[ ] // 4. Click on cancel and Invoke sales history (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify Create payout dialog is displayed
		[ ] // 3. Verify sale has been created
[ ] // TESTCASE::SalesIWTCreatePayout
[ ] // ATC ID::POS_SALE_ATC_033
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTCreatePayout.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTCreatePayout ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sCashier, sAmount, sComments
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Go to I want to - > Create Payout
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[+] if !SalesReceipt.Sale.IWantTo.CreatePayout.Exists (2)
				[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.CreatePayout.Click ()
		[ ] 
		[+] // Result 2: Verify Create payout dialog is displayed
			[ ] VerifySafely (CashPayout.Exists (5), TRUE, "Cash Payout dialog displayed")
		[ ] 
		[+] // Step 4: Set the Cashier, amout and comments and then clisk OK
			[ ] sCashier = "Sysadmin"
			[ ] sAmount = "100.00"
			[ ] sComments = "Pizza"
			[ ] CashPayout.Cashier.Select (sCashier)
			[ ] CashPayout.Amount.SetText (sAmount)
			[ ] CashPayout.Comments.SetText (sComments)
			[ ] CashPayout.OK.Click ()
		[ ] 
		[+] // Step 5: Click on cancel and Invoke sales history
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 3: Verify sale has been created
			[+] lsSalesExpected = {...}
				[ ] "Regular Payout 1 1 Sysadmin 0 -100.00 0 Cash"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
