﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Verify giving discount through IWT->Give discount
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Enter the items on the sales receipt and get the total
		[ ] // 3. Go to I want to - > Give Discount (Result 2)
		[ ] // 4. Set the discount amount and click on Close (Result 3)
		[ ] // 5. Receive payment
		[ ] // 6. Click on Save only then clickcancel and Invoke sales history (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify price and discount dialog is displayed
		[ ] // 3. Verify Total amount has got reduced by discount amount
		[ ] // 7. Verify sale has been created
[ ] // TESTCASE.:SalesIWTGiveDiscount
[ ] // ATC ID::POS_SALE_ATC_001
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTGiveDiscount.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTGiveDiscount ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sTotal, sUpdatedTotal
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
		[ ] SalesDiscountRec sdrDiscount
		[ ] SalesReceiptPaymentRec  srpPayment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
			[ ] CreateSalesReceipt (srrSale)
			[ ] sTotal = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
		[ ] 
		[+] // Step 3: Go to I want to - > Give Discount
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.GiveDiscount.Click ()
		[ ] 
		[+] // Result 2: Verify price and discount dialog is displayed
			[ ] VerifySafely (SalesReceipt.Sale.Discount.Exists (5), TRUE, "Discount dialog displayed")
		[ ] 
		[+] // Step 4: Set the discount amount and click on Close
			[ ] sdrDiscount = {}
			[ ] sdrDiscount.sDiscountAmount= "10"
			[ ] GiveDiscount (sdrDiscount)
		[ ] 
		[+] // Result 3: Verify Total amount has got reduced by discount amount
			[ ] sUpdatedTotal = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
			[ ] // VerifySafely (sUpdatedTotal, Str (val (sTotal) - val (sdrDiscount.sDiscountAmount), NULL, 2), "Discount applied  to total")
			[ ] VerifySafely (sUpdatedTotal, "94.50", "Discount applied  to total")
		[ ] 
		[+] // Step 5: Receive payment
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
		[ ] 
		[+] // Step 6: Click on Save only then clickcancel and Invoke sales history
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 7: Verify sale has been created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 94.50 1 Cash"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
