﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Verify selecting an item from Quick pick items
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Go to I want to - > QickPickItems (Result 2)
		[ ] // 3. Click on services and then click on ServItem1 (Result 3)
		[ ] // 4. Receive payment
		[ ] // 5. Click on Save only then clickcancel and Invoke sales history (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify QuickPickItem dialog is displayed
		[ ] // 3. Verify Service item is added item is added
		[ ] // 4. Verify sale has been created
[ ] // TESTCASE.:SalesIWTQuickPickitems
[ ] // ATC ID::POS_SALE_ATC_015
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTQuickPickitems.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTQuickPickitems ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItemPrice
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
		[ ] SalesReceiptPaymentRec  srpPayment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "QuickPickItems.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Go to I want to - > QickPickItems
			[ ] WaitTill (SalesReceipt.Sale.IWantTo.IsEnabled)
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.QuickPickItems.Click ()
		[ ] 
		[+] // Result 2: Verify QuickPickItem dialog is displayed
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Exists (5), TRUE, "QuickPickItem dialog displayed")
		[ ] 
		[+] // Step 3: Click on services and then click on ServItem1
			[ ] SalesReceipt.Sale.QuickPickItem.ChooseAnItemGroup.Services.Click ()
			[ ] SalesReceipt.Sale.QuickPickItem.ChooseAnItemGroup.Item1.Click ()
		[ ] 
		[+] // Result 3: Verify Service item is added item is added
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemName.GetCaption (), "ServItem1", "Item added through QuickPick items")
		[ ] 
		[+] // Step 4: Receive payment
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
		[ ] 
		[+] // Step 5: Click on Save only then clickcancel and Invoke sales history
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 4: Verify sale has been created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
