﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Verify seeling a misc item
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Go to I want to - > Sell->MiscItem (Result 2)
		[ ] // 4. Set the Item price
		[ ] // 5. Click on OK (Result 3)
		[ ] // 6. Receive payment
		[ ] // 7. Click on Save only then clickcancel and Invoke sales history (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify Price and discount dialog is displayed
		[ ] // 3. Verify Misc item is added
		[ ] // 4. Verify sale has been created
[ ] // TESTCASE.:SalesIWTSellMiscItem
[ ] // ATC ID::POS_SALE_ATC_013
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTSellMiscItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTSellMiscItem ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItemPrice
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
		[ ] SalesReceiptPaymentRec  srpPayment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Go to I want to - > Sell->MiscItem
			[ ] WaitFor (SalesReceipt.Sale.SideButtons.ShowMessages)
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.Sell.Click ()
			[ ] SalesReceipt.Sale.IWantTo.Sell.MiscItem.Click ()
		[ ] 
		[+] // Result 2: Verify Price and discount dialog is displayed
			[ ] VerifySafely (SalesReceipt.Sale.PriceAndDiscount.Exists (5), TRUE, "Price and discount dialog displayed")
		[ ] 
		[+] // Step 4: Set the Item price
			[ ] sItemPrice = "100"
			[ ] SalesReceipt.Sale.PriceAndDiscount.UnitPrice.SetData (sItemPrice)
		[ ] 
		[+] // Step 5: Click on OK
			[ ] SalesReceipt.Sale.PriceAndDiscount.OK.Click ()
		[ ] 
		[+] // Result 3: Verify Misc item is added
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemName.GetCaption (), "Miscellaneous Item", "Miscellaneous item added")
		[ ] 
		[+] // Step 5: Receive payment
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
		[ ] 
		[+] // Step 6: Click on Save only then clickcancel and Invoke sales history
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 4: Verify sale has been created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
