﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Verify shiping IWT->Ship Items
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Enter the items on the sales receipt and get the total
		[ ] // 3. Go to I want to - > Give Discount (Result 2)
		[ ] // 4. Set the discount amount and click on Close (Result 3) (Result 4)
		[ ] // 5. Receive payment
		[ ] // 6. Click on Save only then clickcancel and Invoke sales history (Result 5)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify price and shipping dialog is displayed
		[ ] // 3. Verify Ship info is enabled and Ship by is updated
		[ ] // 4. Verify Total amount has increased by shipping amount
		[ ] // 5. Verify sale has been created
[ ] // TESTCASE.:SalesIWTShipItems
[ ] // ATC ID::POS_SALE_ATC_014
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesIWTShipItems.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesIWTShipItems () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sTotal, sUpdatedTotal
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
		[ ] SalesShippingRec ssrShipping
		[ ] SalesReceiptPaymentRec  srpPayment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
			[ ] CreateSalesReceipt (srrSale)
			[ ] sTotal = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
		[ ] 
		[+] // Step 3: Go to I want to - > Ship Items
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.ShipItems.Click ()
		[ ] 
		[+] // Result 2: Verify price and shipping dialog is displayed
			[ ] VerifySafely (SalesReceipt.Sale.EnterShippingInformation.Exists (5), TRUE, "Shipping dialog displayed")
		[ ] 
		[+] // Step 4: Set the shipping amount and click on Close
			[ ] ssrShipping = {}
			[ ] ssrShipping.sShippingAmount = "10"
			[ ] EnterShippingInfo (ssrShipping)
		[ ] 
		[+] // Result 3: Verify Ship info is enabled and Ship by is updated
			[ ] VerifySafely (SalesReceipt.Sale.ShipInfo.ShipBy.GetCaption (), "UPS Ground", "Ship info updated")
		[ ] 
		[+] // Result 4: Verify Total amount has increased by shipping amount
			[ ] sUpdatedTotal = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
			[ ] VerifySafely (sUpdatedTotal, "115.00", "Discount applied  to total")
		[ ] 
		[+] // Step 5: Receive payment
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
		[ ] 
		[+] // Step 6: Click on Save only then clickcancel and Invoke sales history
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 5: Verify sale has been created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 115.00 1 Cash"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
