﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify prompting when Item price is zero or qty is zero
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Enter the items on the sales receipt and get the total (Result 2)
		[ ] // 3. Set the qty and click continue
		[ ] // 4. Enter the items on the sales receipt and get the total (Result 3)
		[ ] // 5. Set the new Price and click continue (Result 4)
		[ ] // 6. Enter the items on the sales receipt (Result 5)
		[ ] // 7. Set the new Price and click continue (Result 6)
		[ ] // 8. Receive payment
		[ ] // 9. Click on Save only then clickcancel and Invoke sales history (Result 7)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify InsufficientQty dialog is displayed
		[ ] // 3. Verify ZeroItemPrice dialog is displayed
		[ ] // 4. Verify Total amount is updated
		[ ] // 5. Verify ZeroItemPrice dialog is displayed
		[ ] // 6. Verify Total amount is updated
		[ ] // 7.  Verify sale has been created
[ ] // TESTCASE.:SalesInsufficientQtyZeroPrice
[ ] // ATC ID::POS_SALE_ATC_017
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesInsufficientQtyZeroPrice.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesInsufficientQtyZeroPrice ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sQty, sNewPrice
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
		[ ] SalesReceiptPaymentRec  srpPayment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "InsufficientQty.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem3"
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Result 2: Verify InsufficientQty dialog is displayed
			[ ] VerifySafely (SalesReceipt.Sale.InsufficientQty.Exists (5), TRUE, "InsufficientQty dialog displayed")
		[ ] 
		[+] // Step 3: Set the qty and click continue
			[ ] sQty = "1"
			[ ] SalesReceipt.Sale.InsufficientQty.ReceiptQty.SetData (sQty)
			[ ] SalesReceipt.Sale.InsufficientQty.Continue.Click ()
		[ ] 
		[+] // Step 4: Enter the items on the sales receipt and get the total
			[+] srrSale.lsItems = {...}
				[ ] "InvItem4"
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Result 3: Verify ZeroItemPrice dialog is displayed
			[ ] VerifySafely (SalesReceipt.Sale.ZeroItemPrice.Exists (5), TRUE, "ZeroItemPrice dialog displayed")
		[ ] 
		[+] // Step 5: Set the new Price and click continue
			[ ] sNewPrice = "100"
			[ ] SalesReceipt.Sale.ZeroItemPrice.NewPrice.SetData (sNewPrice)
			[ ] SalesReceipt.Sale.ZeroItemPrice.Continue.Click ()
		[ ] 
		[+] // Result 4: Verify Total amount is updated
			[ ] VerifySafely (SalesReceipt.Sale.SubTotal.Total.GetCaption (), "210.00", "items added  to receipt")
		[ ] 
		[+] // Step 6: Enter the items on the sales receipt
			[+] srrSale.lsItems = {...}
				[ ] "InvItem4"
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Result 5: Verify ZeroItemPrice dialog is displayed
			[ ] VerifySafely (SalesReceipt.Sale.ZeroItemPrice.Exists (5), TRUE, "ZeroItemPrice dialog displayed")
		[ ] 
		[+] // Step 7: Set the new Price and click continue
			[ ] sNewPrice = "200"
			[ ] SalesReceipt.Sale.ZeroItemPrice.NewPrice.SetData (sNewPrice)
			[ ] SalesReceipt.Sale.ZeroItemPrice.TypeKeys ("<Enter>")
		[ ] 
		[+] // Result 6: Verify Total amount is updated
			[ ] VerifySafely (SalesReceipt.Sale.SubTotal.Total.GetCaption (), "420.00", "items added  to receipt")
		[ ] 
		[+] // Step 8: Receive payment
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
		[ ] 
		[+] // Step 9: Click on Save only then clickcancel and Invoke sales history
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 7: Verify sale has been created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 3 420.00 3 Cash"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
