﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify items are added correctly using List select options
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Click on the Add Entry button
		[ ] // 3. Click on List Select (Result 2) (Result 3)
		[ ] // 4. Select an item to be added from the list
		[ ] // 5. Click on Add to receipt button on the basket (Result 4)
		[ ] // 6. Click on Put Items to receipt (Result 5)
		[ ] // 7. Receive payment  and save the receipt
		[ ] // 8. Click on Cancel and open sales history (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify Items list is displayed
		[ ] // 3. Verify items basket is enabled in Items List
		[ ] // 4. Verify the basket gets updated 
		[ ] // 5. Verify item has been added to receipt
		[ ] // 6. Verify the sale has been created
[ ] // TESTCASE.:SalesListSelectItems
[ ] // ATC ID::POS_SALE_ATC_010
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesListSelectItems.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesListSelectItems ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptPaymentRec  srpPayment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Click on the Add Entry button
			[ ] WaitFor (SalesReceipt.Sale.EnterItems.AddEntry)
			[ ] SalesReceipt.Sale.EnterItems.AddEntry.Click ()
		[ ] 
		[+] // Step 3: Click on List Select
			[ ] WaitFor (SalesReceipt.Sale.FindEntry.ListSelect)
			[ ] SalesReceipt.Sale.FindEntry.ListSelect.Click ()
		[ ] 
		[+] // Result 2: Verify Items list is displayed
			[ ] VerifySafely (Items.ItemsList.Exists (5), TRUE, "Items List dislayed")
		[ ] 
		[+] // Result 3: Verify items basket is enabled in Items List
			[ ] VerifySafely (Items.ItemsList.ItemBasket.Exists (5), TRUE, "Items basket is enabled")
		[ ] 
		[+] // Step 4: Select an item to be added from the list
			[ ] Items.ItemsList.ItemGrid.Select (3)
		[ ] 
		[+] // Step 5: Click on Add to receipt button on the basket
			[ ] Items.ItemsList.ItemBasket.AddItem.Click ()
		[ ] 
		[+] // Result 4: Verify the basket gets updated 
			[ ] VerifySafely (Items.ItemsList.ItemBasket.BasketInfo.ItemsInBasket.GetCaption (), "1", "Basket updated")
		[ ] 
		[+] // Step 6: Click on Put Items to receipt
			[ ] Items.ItemsList.ItemBasket.PutItemsToReceipt.Click ()
		[ ] 
		[+] // Result 5: Verify item has been added to receipt
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.ItemName.GetCaption (), "InvItem1", "Item added to receipt")
		[ ] 
		[+] // Step 7: Receive payment  and save the receipt
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 8: Click on Cancel and open sales history
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 6: Verify the sale has been created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Cash"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
