﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Edit an existing purchase order
	[+] // Test Steps:
		[ ] // 1. Invoke Purchase order List
		[ ] // 2. Click on Find Purchase Order and press Enter
		[ ] // 3. Enter the SO keyword and click on Find
		[ ] // 4. Click on Select Purchase Order
		[ ] // 5. Change the reason
		[ ] // 6. Go to IWT->EditInstructions
		[ ] // 7. Enter Instructions, click OK and then save the memo
		[ ] // 8. Enter the memo number on Find Purchase Order and press Enter
		[ ] // 9. Click on Select Purchase Order
		[ ] // 10. Close edit qty adj and qty history and Go to IWT->View Instructions
	[+] // Expected Result:
		[ ] // 1.  Verify SOList is open
		[ ] // 2. Verify Find Purchase Order dialog is displayed
		[ ] // 3. Verify select memo is enabled
		[ ] // 4. Edit Purchase Order Should be open
		[ ] // 5. Verify Edit Instructions dialog is displayed
		[ ] // 6. Edit Purchase Order Should be open and all reason updated
		[ ] // 7. Verify view Instructions dialog displayed and Instructions shown as updated
[ ] // TESTCASE::SalesOrderIWTRefundDeposit
[ ] // ATC ID::POS_SALE_ATC_046
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\CustomerOrder.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesOrderIWTRefundDeposit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesOrderIWTRefundDeposit () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sSONum, sNewStatus
		[ ] CustomerOrderRec corSO
		[ ] CashPayoutRec cpr
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Sales order List
			[ ] SOList.SalesOrderList.Invoke ()
		[+] // Result 1:  Verify SOList is open
			[ ] VerifySafely (SOList.SalesOrderList.Exists (5), TRUE, "SOList is open")
		[+] // Step 2: Open the sales order for edit
			[ ] corSO = {}
			[ ] corSO.sSONum = "2"
			[ ] SOList.OpenSOForEdit (corSO.sSONum)
		[+] // Result 2: Edit Sales Order Should be open
			[ ] VerifySafely (SalesOrder.EditSalesOrder.Exists (5), TRUE, "Edit Sales order open")
		[+] // Step 3: Go to IWT->RefundDeposit
			[ ] SalesOrder.Typekeys ("<Alt-O-F>")
		[+] // Result 3: Verify Refunddialog is displayed
			[ ] VerifySafely (Refund.Exists (3), TRUE, "Refund dialog displyed")
		[+] // Step 4: Click onYes
			[ ] Refund.Yes.Click ()
		[+] // Result 4: Verify Deposit payment dialog is sopen
			[ ] VerifySafely (DepositPayment.Exists (3), TRUE, "Depositpayemnt dialog is open")
		[+] // Step 5: Refund the amount and complete the transaction
			[ ] DepositPayment.Typekeys ("<Enter>")
			[ ] DepositPayment.Save.Click ()
		[+] // Result 5: Verify change dialog is open
			[ ] VerifySafely (Change.Exists (3), TRUE, "Change dialog is open")
		[+] // Step 6: Click on OK
			[ ] Change.OK.Click ()
		[+] // Result 6: Verify message pops up asking to close SO
			[ ] VerifySafely (PointOfSaleMessage.Exists (4), TRUE, "Message dispalyed")
		[+] // Step 7: Click on Yes
			[ ] PointOfSaleMessage.Yes.Click ()
		[+] // Result 7: Verify satatus of SO has changed to close
			[ ] VerifySafely (SalesOrder.EditSalesOrder.PageList.Status.GetText (), "Closed", "Status updated to closed")
			[ ] VerifySafely (SalesOrder.EditSalesOrder.PageList.DepositBalance.GetTextFromDisabled (), "$0.00", "Deposit balance updated")
		[+] // Step 8: Go to IWT->Write Letters
			[ ] SalesOrder.Typekeys ("<Alt-O-W-F>")
		[+] // Result 8:
			[ ] VerifySafely (WriteLetters.Exists (2), TRUE, "Write letters displayed")
		[+] // Step 9: Close, open new sales order and go to IWT->Create Payout
			[ ] WriteLetters.Cancel.Click ()
			[+] if SalesOrder.EditSalesOrder.Exists ()
				[ ] SalesOrder.BottomBar.Close.Click ()
			[+] if SOList.SalesOrderList.Exists ()
				[ ] SOList.BottomBar.Close.Click ()
			[ ] SalesOrder.NewSalesOrder.Invoke ()
			[ ] SalesOrder.Typekeys ("<Alt-O-C>")
		[+] // Result 9: Verify Create payout displayed
			[ ] Verifysafely (CashPayout.Exists (2), TRUE, "Cash Payout displayed")
		[ ] 
		[+] // Step 10: Create a payout
			[ ] cpr.sAmount = "10"
			[ ] cpr.sCashier = "Sysadmin"
			[ ] cpr.sComments = "Asdfg"
			[ ] CashPayout.FillForm (cpr)
			[ ] CashPayout.OK.Click ()
		[+] // Result 10: Verify blank sales order is displayed
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.Total.GetTextFromDisabled (), "$0.00", "Blank Sales Order displayed")
		[ ] 
	[ ] 
	[+] // CLEAN UP
		[+] if SalesOrder.NewSalesOrder.Exists ()
			[ ] SalesOrder.BottomBar.Cancel.Click ()
		[+] if SalesOrder.EditSalesOrder.Exists ()
			[ ] SalesOrder.BottomBar.Close.Click ()
		[+] if SOList.SalesOrderList.Exists ()
			[ ] SOList.BottomBar.Close.Click ()
[ ] 
