﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Sell items sfrom Sales order
	[+] // Test Steps:
		[ ] // 1. Invoke Sales order List (Result 1)
		[ ] // 2. Open the sales order for edit (Result 2)
		[ ] // 3. Go to IWT->Sell Items (Result 3)
		[ ] // 4. Click on Select all and then click continiue (Result 4)
		[ ] // 5. Receive payment and Save the recipt and invoke sales history (Result 5)
		[ ] // 6. Invoke SO List and open the SO (Result 6)
	[+] // Expected Result:
		[ ] // 1.  Verify SOList is open
		[ ] // 2. Edit Sales Order Should be open
		[ ] // 3. Verify Select Items dialog is displayed
		[ ] // 4. Verify Sales Receipt is open and data updated
		[ ] // 5. Verify sale created
		[ ] // 6. Verify status is closed
[ ] // TESTCASE::SalesOrderIWTSellItems
[ ] // ATC ID::POS_SALE_ATC_047
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\CustomerOrders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesOrderIWTSellItems.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesOrderIWTSellItems () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sSONum, sNewStatus, sInstructions
		[ ] CustomerOrderRec corSO
		[ ] SalesReceiptPaymentRec srpPayment
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Sales order List
			[ ] SOList.SalesOrderList.Invoke ()
		[ ] 
		[+] // Result 1:  Verify SOList is open
			[ ] VerifySafely (SOList.SalesOrderList.Exists (5), TRUE, "SOList is open")
		[ ] 
		[+] // Step 2: Open the sales order for edit
			[ ] corSO = {}
			[ ] corSO.sSONum = "2"
			[ ] SOList.OpenSOForEdit (corSO.sSONum)
		[ ] 
		[+] // Result 2: Edit Sales Order Should be open
			[ ] VerifySafely (SalesOrder.EditSalesOrder.Exists (5), TRUE, "Edit Sales order open")
		[ ] 
		[+] // Step 3: Edit the instructions and Go to IWT->Sell Items
			[ ] SalesOrder.Typekeys ("<Alt-O-D>")
			[ ] sInstructions = "Test Instructions"
			[ ] EditInstructions.Instructions.SetText (sInstructions)
			[ ] EditInstructions.OK.Click ()
			[ ] SalesOrder.Typekeys ("<Alt-O-I>")
		[ ] 
		[+] // Result 3: Verify Select Items dialog is displayed
			[ ] VerifySafely (SelectItemsToSell.Exists (3), TRUE, "SelectItemsToSell dialog displyed")
		[ ] 
		[+] // Step 4: Click on Select all and then click continiue
			[ ] SelectItemsToSell.SelectItems.SelectAll.Click ()
			[ ] SelectItemsToSell.CustomerOrderInstructions.CopyTheCustomerOrderInstructions.Check ()
			[ ] SelectItemsToSell.Continue.Click ()
		[ ] 
		[+] // Result 4: Verify Sales Receipt is open and data updated
			[ ] VerifySafely (SalesReceipt.Information.Exists (10), TRUE, "Message appeared")
			[ ] SalesReceipt.Information.OK.Click ()
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales Receipt open")
			[ ] VerifySafely (SalesReceipt.Sale.ReceiptNotes.GetCaption (), sInstructions, "Instructions co[ied from order")
			[ ] VerifySafely (SalesReceipt.Sale.SubTotal.DepositUsed.GetCaption (), "-55.00", "Deposit transfered")
		[ ] 
		[+] // Step 5: Receive payment and Save the recipt and invoke sales history
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 5: Verify sale created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 7 Cust1F Cust1L 1 105.00 1 Split"
			[ ] SalesHistory.SalesList.RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 6: Invoke SO List and open the SO
			[ ] SOList.Invoke ()
			[ ] SOList.OpenSOForEdit (corSO.sSONum)
		[ ] 
		[+] // Result 6: Verify status is closed
			[ ] VerifySafely (SalesOrder.EditSalesOrder.PageList.Status.GetText (), "Closed", "Statis updated correctly")
	[ ] 
	[+] // CLEAN UP
		[+] if SalesOrder.EditSalesOrder.Exists ()
			[ ] SalesOrder.BottomBar.Close.Click ()
		[+] if SOList.SalesOrderList.Exists ()
			[ ] SOList.BottomBar.Close.Click ()
[ ] 
