﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: take deposit for a sales order
	[+] // Test Steps:
		[ ] // 1. Invoke New Sales order (Result 1)
		[ ] // 2. Enter the details (Result 2)
		[ ] // 3. Go to IWT->Take Dpeosit (Result 3)
		[ ] // 4. Enter the amount and click OK (Result 4)
		[ ] // 5. Complete the payment and save
		[ ] // 6. Invoke Sales order List (Result 5)
		[ ] // 5. Open the SO (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify New Sales order is open
		[ ] // 2. Verify the deposit balance anf balce due are 0
		[ ] // 3. Verify Deposit payment dialog is open
		[ ] // 4. Verify Deposit payemnt dialog is open
		[ ] // 5.  Verify SOList is open
		[ ] // 6. Verify edit Sales order is deposit balnce and balance due are updated
[ ] // TESTCASE::SalesOrderIWTTakeDeposit
[ ] // ATC ID::POS_SALE_ATC_045
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesOrderIWTTakeDeposit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesOrderIWTTakeDeposit () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] CustomerOrderRec corSO
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke New Sales order
			[ ] SalesOrder.NewSalesOrder.Invoke ()
		[ ] 
		[+] // Result 1: Verify New Sales order is open
			[ ] VerifySafely (SalesOrder.NewSalesOrder.Exists (5), TRUE, "New SO is open")
		[ ] 
		[+] // Step 2: Enter the details
			[ ] corSO = {}
			[ ] corSO.ldir = {}
			[ ] corSO.sSONum = SalesOrder.NewSalesOrder.PageList.SONum.GetText ()
			[ ] corSO.sCustomer = "Cust1L, Cust1F"
			[+] corSO.ldir = {...}
				[ ] {"InvItem1", "5"}
				[ ] {"InvItem2", "6"}
			[ ] CreateSalesOrder (corSO)
			[ ] corSO.sTotal = SalesOrder.NewSalesOrder.PageList.Total.GetTextFromDisabled ()
		[ ] 
		[+] // Result 2: Verify the deposit balance anf balce due are 0
			[ ] VerifySafely (SalesOrder.NewSalesOrder.PageList.DepositBalance.GetTextFromDisabled (), "$0.00", "Initial deposit is $0.00")
		[ ] 
		[+] // Step 3: Go to IWT->Take Dpeosit
			[ ] SalesOrder.Typekeys ("<Alt-O-T>")
		[ ] 
		[+] // Result 3: Verify Deposit payment dialog is open
			[ ] VerifySafely (TakeDeposit.Exists (5), TRUE, "Deaposit payment dialog is displayed")
		[ ] 
		[+] // Step 4: Enter the amount and click OK
			[ ] corSO.sDepositBalance = "10.00"
			[ ] TakeDeposit.DepositAmount.SetText (corSO.sDepositBalance)
			[ ] TakeDeposit.OK.Click ()
		[ ] 
		[+] // Result 4: Verify Deposit payemnt dialog is open
			[ ] VerifySafely (DepositPayment.Exists (3), TRUE, "Depasit payment dialog is open")
		[ ] 
		[+] // Step 5: Complete the payment and save
			[ ] DepositPayment.Typekeys ("<Enter>")
			[ ] DepositPayment.Save.Click ()
		[ ] 
		[+] // Step 6: Invoke Sales order List
			[ ] SOList.SalesOrderList.Invoke ()
		[ ] 
		[+] // Result 5:  Verify SOList is open
			[ ] VerifySafely (SOList.SalesOrderList.Exists (5), TRUE, "SOList is open")
		[ ] 
		[+] // Step 7: Open the SO
			[ ] SOList.OpenSOForEdit (corSO.sSONum)
		[ ] 
		[+] // Result 6: Verify edit Sales order is deposit balnce and balance due are updated
			[ ] VerifySafely (SalesOrder.EditSalesOrder.Exists (4), TRUE, "Edit Sales order is open")
			[ ] VerifySafely (SalesOrder.EditSalesOrder.PageList.DepositBalance.GetTextFromDisabled (), "${corSO.sDepositBalance}", "Status of  Sales order is open")
			[ ] VerifySafely (GetValueFromDollar (SalesOrder.EditSalesOrder.PageList.BalanceDue.GetTextFromDisabled ()), GetValueFromDollar (corSO.sTotal) - val (corSO.sDepositBalance ), "Balance Due amount of SO is updated")
		[ ] 
		[+] // Step 8: Go to IWT->Payment history
			[ ] SalesOrder.Typekeys ("<Alt-O-P>")
		[ ] 
		[+] // Result 7: Verify Deposits dialog displayed
			[ ] VerifySafely (Deposits.Exists (3), TRUE, "Payment history dialog displayed")
		[ ] 
		[+] // Step 9: Click on Deposit payment
			[ ] Deposits.DepositPayment.Click ()
		[ ] 
		[+] // Result 8: Verify Take Deposit dialog displayed
			[ ] VerifySafely (TakeDeposit.Exists (3), TRUE, "Payment history dialog displayed")
		[ ] 
		[+] // Step 10: Go ti IWT->Payment history
			[ ] TakeDeposit.Cancel.Click ()
			[ ] SalesOrder.Typekeys ("<Alt-O-P>")
		[ ] 
		[+] // Result 9: Verify deposits dialog displayed
			[ ] VerifySafely (Deposits.Exists (3), TRUE, "Payment history dialog displayed")
		[ ] 
		[+] // Step 11: Click on Refund
			[ ] Deposits.Refund.Click ()
		[ ] 
		[+] // Result 10: Verify refund dialog displayed
			[ ] VerifySafely (Refund.Exists (3), TRUE, "Payment history dialog displayed")
	[ ] 
	[+] // CLEAN UP
		[ ] Refund.No.Click ()
		[+] if SalesOrder.EditSalesOrder.Exists ()
			[ ] SalesOrder.BottomBar.Close.Click ()
		[+] if SOList.SalesOrderList.Exists ()
			[ ] SOList.BottomBar.Close.Click ()
[ ] 
