﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Verify adding of groups and items through QP
	[+] // Test Steps:
		[ ] // STEP 1: Invoke New Sales Receipt and Go to IWT- > QuickPick Item ( RESULT 1)
		[ ] // STEP 2: Click on AddGroup ( RESULT 2)
		[ ] // STEP 3: Set the group name and Enter ( RESULT 3)
		[ ] // STEP 4: Click on the new group ( RESULT 4) ( RESULT 5)
		[ ] // STEP 5: Click on Add Item ( RESULT 6)
		[ ] // STEP 6: Enter an Item ( RESULT 7) ( RESULT 8)
		[ ] // STEP 7: Get the current view of the items ( RESULT 9)
		[ ] // STEP 8: Click on next view ( RESULT 10)
		[ ] // STEP 9: Go BAck to previous view ( RESULT 11)
		[ ] // STEP 10: Click on Add Item and try to add the same item (RESULT 12)
		[ ] // STEP 11: Click on OK then click on Groups (RESULT 13)
		[ ] // STEP 12: Click on 'X' (RESULT 14)
	[+] // Expected Result:
		[ ] // RESULT 1: Verify Quick Pick opens and all buttons text chnages correctly
		[ ] // RESULT 2: Verify New Group is displayed with editable name
		[ ] // RESULT 3: Verify New Group button added
		[ ] // RESULT 4: Verify Group Name is correct
		[ ] // RESULT 5: Verify No of Items is 0
		[ ] // RESULT 6: Verify Select Item dialog appears
		[ ] // RESULT 7: Verify Items Gets added to QP group
		[ ] // RESULT 8: Verify of items gets updated
		[ ] // RESULT 9: Verify item properties are displayed correctly
		[ ] // RESULT 10: Verify item properties are displayed correctly
		[ ] // RESULT 11: Verify view changes
		[ ] // RESULT 12 : Verify Information dialog appears with correct message
		[ ] // RESULT 13: Verify QP goes back to groups
		[ ] // RESULT 14: Verify QP closes
[ ] // TESTCASE.:SalesQPAddGroupAndItem
[ ] // ATC ID:: POS_SALE_ATC_068
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesQPAddGroupAndItem.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesQPAddGroupAndItem ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sNewGroupName, sItemView, sMessage
		[ ] NewItemRec nirItem
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // STEP 1: Invoke New Sales Receipt and Go to IWT- > QuickPick Item
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "InvItem1"
			[ ] Items.ItemsList.Invoke ()
			[ ] nirItem = GetItemDataFromDetail (nirItem, TRUE)
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] SalesReceipt.Sale.QuickPickItem.Open ()
		[ ] 
		[+] // RESULT 1: Verify Quick Pick opens and all buttons text chnages correctly
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Exists (3), TRUE, "Quick Pick Opens up")
			[ ] VerifySafely (SalesReceipt.Sale.SideBar.ScrollViewer.SideButtons.GIButton.GetName (1), "Hide Quick Pick", "Side button name changed when QP open")
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] VerifySafely (SalesReceipt.Sale.IWantTo.HideQuickPick.Exists (2), TRUE, "IWT menu changed when QP is open")
			[ ] SalesReceipt.Sale.QuickPickItem.Header.Click ()
		[ ] 
		[+] // STEP 2: Click on AddGroup
			[ ] SalesReceipt.Sale.QuickPickItem.AddGroup.Click ()
		[ ] 
		[+] // RESULT 2: Verify New Group is displayed with editable name
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.NewGroupButton.GroupName.Exists (3), TRUE, "New Groupp added with editable group name")
		[ ] 
		[+] // STEP 3: Set the group name and Enter
			[ ] sNewGroupName = "G1"
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.NewGroupButton.GroupName.SetData (sNewGroupName)
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.NewGroupButton.GroupName.Typekeys ("<Enter>")
		[ ] 
		[+] // RESULT 3: Verify New Group button added
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.ButtonExists (sNewGroupName), TRUE, "New QP group created")
		[ ] 
		[+] // STEP 4: Click on the new group
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.ClickButton (sNewGroupName)
		[ ] 
		[+] // RESULT 4: Verify Group Name is correct
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.QPGroupName.GetName (), sNewGroupName, "Group Name correctly displayed")
		[ ] 
		[+] // RESULT 5: Verify No of Items is 0
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.NoOfItems.GetNumber (), "0", "Number of Items correctly displayed as 0 for new group")
		[ ] 
		[+] // STEP 5: Click on Add Item
			[ ] SalesReceipt.Sale.QuickPickItem.AddItem.Click ()
		[ ] 
		[+] // RESULT 6: Verify Select Item dialog appears
			[ ] VerifySafely (SalesReceipt.Sale.QPSelectAnItem.Exists (3), TRUE, "Select Item dialog displayed")
		[ ] 
		[+] // STEP 6: Enter an Item
			[ ] nirItem.sItemName = "InvItem1"
			[ ] SalesReceipt.Sale.QPSelectAnItem.EnterItems.SelectItem (nirItem.sItemName)
		[ ] 
		[+] // RESULT 7: Verify Items Gets added to QP group
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GCButton.ButtonExists (nirItem.sItemName), TRUE, "Item Added in QPGroup")
		[ ] 
		[+] // RESULT 8: Verify of items gets updated
			[ ] VerifySafely (Val (SalesReceipt.Sale.QuickPickItem.NoOfItems.GetNumber ()), SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GetButtonCount (), "No of Items Updated correctly")
		[ ] 
		[+] // STEP 7: Get the current view of the items
			[ ] sItemView = SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GCButton.GetView (nirItem.sItemName)
		[ ] 
		[+] // RESULT 9: Verify item properties are displayed correctly
			[+] if sItemView == "Short"
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.SGCButton.ItemName.GetName (nirItem.sItemName), nirItem.sItemName, "Item NAme correctly displyed")
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.SGCButton.ItemPrice.GetPrice (nirItem.sItemName), "${nirItem.sRegularPrice}", "Item price correctly displyed")
			[+] else
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.VGCButton.ItemName.GetName (nirItem.sItemName), nirItem.sItemName, "Item NAme correctly displyed")
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.VGCButton.AttributeSize.GetAttribute (nirItem.sItemName), nirItem.sAttribute, "Item attribute correctly displyed")
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.VGCButton.AttributeSize.GetSize (nirItem.sItemName), nirItem.sSize, "Item attribute correctly displyed")
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.VGCButton.ItemDept.GetDept (nirItem.sItemName), nirItem.sDepartment, "Item dept correctly displyed")
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.VGCButton.ItemOHQty.GetQty (nirItem.sItemName), nirItem.sOnHandQty, "Item ohqty correctly displyed")
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.VGCButton.ItemPrice.GetPrice (nirItem.sItemName), "${nirItem.sRegularPrice}", "Item price correctly displyed")
		[ ] 
		[+] // STEP 8: Click on next view
			[+] if sItemView == "Short"
				[ ] SalesReceipt.Sale.QuickPickItem.VerboseView.Click ()
			[+] else
				[ ] SalesReceipt.Sale.QuickPickItem.ShortView.Click ()
		[ ] 
		[+] // RESULT 10: Verify item properties are displayed correctly
			[+] if sItemView == "Short"
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GCButton.GetView (nirItem.sItemName), "Verbose", "View changed to verbose from short")
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.VGCButton.ItemName.GetName (nirItem.sItemName), nirItem.sItemName, "Item NAme correctly displyed")
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.VGCButton.AttributeSize.GetAttribute (nirItem.sItemName), nirItem.sAttribute, "Item attribute correctly displyed")
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.VGCButton.AttributeSize.GetSize (nirItem.sItemName), nirItem.sSize, "Item attribute correctly displyed")
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.VGCButton.ItemDept.GetDept (nirItem.sItemName), nirItem.sDepartment, "Item dept correctly displyed")
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.VGCButton.ItemOHQty.GetQty (nirItem.sItemName), nirItem.sOnHandQty, "Item ohqty correctly displyed")
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.VGCButton.ItemPrice.GetPrice (nirItem.sItemName), "${nirItem.sRegularPrice}", "Item price correctly displyed")
			[+] else
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GCButton.GetView (nirItem.sItemName), "Short", "View changed to short from verbose")
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.SGCButton.ItemName.GetName (nirItem.sItemName), nirItem.sItemName, "Item NAme correctly displyed")
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.SGCButton.ItemPrice.GetPrice (nirItem.sItemName), "${nirItem.sRegularPrice}", "Item price correctly displyed")
		[ ] 
		[+] // STEP 9: Go BAck to previous view
			[ ] sItemView = SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GCButton.GetView (nirItem.sItemName)
			[+] if sItemView == "Short"
				[ ] SalesReceipt.Sale.QuickPickItem.VerboseView.Click ()
			[+] else
				[ ] SalesReceipt.Sale.QuickPickItem.ShortView.Click ()
		[ ] 
		[+] // RESULT 11: Verify view changes
			[+] if sItemView == "Short"
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GCButton.GetView (nirItem.sItemName), "Verbose", "View changed to verbose from short")
			[+] else
				[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GCButton.GetView (nirItem.sItemName), "Short", "View changed to short from verbose")
		[ ] 
		[+] // STEP 10: Click on Add Item and try to add the same item
			[ ] SalesReceipt.Sale.QuickPickItem.AddItem.Click ()
			[ ] SalesReceipt.Sale.QPSelectAnItem.EnterItems.SelectItem (nirItem.sItemName)
		[ ] 
		[+] // RESULT 12 : Verify Information dialog appears with correct message
			[ ] VerifySafely (SalesReceipt.Information.Exists (2), TRUE, "Information dialog appears")
			[ ] sMessage = "This item is already in this group."
			[ ] VerifySafely (SalesReceipt.Information.VerifyMessage (sMessage), TRUE, "Correct message displayed")
		[ ] 
		[+] // STEP 11: Click on Groups
			[ ] SalesReceipt.Information.OK.Click ()
			[ ] SalesReceipt.Sale.QPSelectAnItem.Cancel.Click ()
			[ ] SalesReceipt.Sale.QuickPickItem.GroupsText.Click ()
		[ ] 
		[+] // RESULT 13: Verify QP goes back to groups
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.ButtonExists (sNewGroupName), TRUE, "QP is back to groups")
		[ ] 
		[+] // STEP 12: Click on 'X'
			[ ] SalesReceipt.Sale.QuickPickItem.XClose.Click ()
		[ ] 
		[+] // RESULT 14: Verify QP closes
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Exists (3), FALSE, "QP closed on clicking X")
			[ ] VerifySafely (SalesReceipt.Sale.SideBar.ScrollViewer.SideButtons.GIButton.GetName (1), "Quick Pick Items", "Side button name changed when QP open")
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] VerifySafely (SalesReceipt.Sale.IWantTo.QuickPickItems.Exists (2), TRUE, "IWT menu changed when QP is open")
	[ ] 
	[+] // CLEANUP
		[ ] SalesReceipt.Sale.Cancel.Click ()
		[+] if SalesReceipt.Confirmation.Exists (2)
			[ ] SalesReceipt.Confirmation.DiscardChanges.Click ()
[ ] 
