﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Verify selecting an item from Quick pick items
	[+] // Test Steps:
		[ ] // STEP 1: Invoke New Sales Receipt and Go to IWT- > QuickPick Item 
		[ ] // STEP 2: Enter a group and get the items listed
		[ ] // STEP 3: Make sure the Pin is in Unpinned state and then select an Item (RESULT 1)
		[ ] // STEP 4: Go to IWT- > QuickPick Item  (RESULT 2)
		[ ] // STEP 5: Make sure the Pin is in Pinned state and then click on an Item (RESULT 3)
		[ ] // STEP 6: Click on another Item after unpinning the Pin (RESULT 4)
		[ ] // STEP 7: Take payement and save the recipt
		[ ] // STEP 8: Click on Quick Pick (RESULT 5)
		[ ] // STEP 9: Invoke Sales History (RESULT 6)
		[ ] // STEP 10: Go to home, go to new sales receipt and open QP
		[ ] // STEP 11: Enter a group, make the Pin In pinned state nad then select an item (RESULT 9)
	[+] // Expected Result:
		[ ] // RESULT 1: Verify Quick Pick closes and Item is added to receipt
		[ ] // RESULT 2: Verify Home group is open
		[ ] // RESULT 3: Verify QP is still open
		[ ] // RESULT 4: Verify QP closes and all Items has got added to recipt correctly
		[ ] // RESULT 5: Verify QuickPick Home screen is displayed
		[ ] // RESULT 6: Verify sale has been created
		[ ] // RESULT 7: Verify QP remains open
[ ] // TESTCASE.:SalesQPAddItemsToReceipt
[ ] // ATC ID:: POS_SALE_ATC_015
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\QuickPickGroups.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesQPAddItemsToReceipt.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesQPAddItemsToReceipt ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sQPGroup, sGroup, sItem
		[ ] LIST OF STRING lsItemsExpected, lsQPGroupsList, lsItems, lsSalesExpected
		[ ] INTEGER iItemCount, iQPGroupsCount
		[ ] SalesReceiptPaymentRec srp
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "QuickPickGroups.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // STEP 1: Invoke New Sales Receipt and Go to IWT- > QuickPick Item 
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] SalesReceipt.Sale.QuickPickItem.Open ()
			[ ] iQPGroupsCount = SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GetButtonCount ()
			[ ] lsQPGroupsList = SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GetButtonList ()
		[ ] 
		[+] // STEP 2: Enter a group and get the items listed
			[ ] sQPGroup = "G1"
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.Select (sQPGroup)
			[ ] lsItems = SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GetButtonList ()
			[ ] iItemCount = SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GetButtonCount ()
		[ ] 
		[+] // STEP 2.1: Enter an name in the find field
			[ ] SalesReceipt.Sale.QuickPickItem.FindItem.SetData (lsItems[1])
			[ ] WaitForPageToload (3)
		[ ] 
		[+] // RESULT 0.1: Verify only the item list gets updated correctly
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GIButton.GetName (1), lsItems[1], "Search is working")
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GetButtonCount (), 1, "Search is working")
		[ ] 
		[+] // STEP 3: Make sure the Pin is in Unpinned state and then select an Item
			[ ] sItem = lsItems[1]
			[ ] ListAppend (lsItemsExpected, sItem)
			[ ] SalesReceipt.Sale.QuickPickItem.FindItem.SetData ("")
			[ ] WaitForPageToLoad (3)
			[ ] SalesReceipt.Sale.QuickPickItem.Pin.Uncheck ()
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPItems.Select (sItem)
		[ ] 
		[+] // RESULT 1: Verify Quick Pick closes and Item is added to receipt
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Exists (2), FALSE, "QP closes after selection of item when Pin is in unpinned state")
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.GetItemList (), lsItemsExpected, "Item added to receipt from QP")
		[ ] 
		[+] // STEP 4: Go to IWT- > QuickPick Item 
			[ ] SalesReceipt.Sale.QuickPickItem.Open ()
		[ ] 
		[+] // RESULT 2: Verify home group is open
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GetButtonList (), lsQPGroupsList, "Home Group Open")
		[ ] 
		[+] // STEP 5: Make sure the Pin is in Pinned state and then click on an Item
			[ ] sItem = lsItems[2]
			[ ] ListAppend (lsItemsExpected, sItem)
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.Select (sQPGroup)
			[ ] SalesReceipt.Sale.QuickPickItem.Pin.Check ()
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPItems.Select (sItem)
		[ ] 
		[+] // RESULT 3: Verify QP is still open
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Exists (2), TRUE, "QP remains open after selection of item when Pin is in pinned state")
		[ ] 
		[+] // STEP 6: Click on another Item after unpinning the Pin
			[ ] sItem = lsItems[1]
			[ ] ListAppend (lsItemsExpected, sItem)
			[ ] SalesReceipt.Sale.QuickPickItem.Pin.Uncheck ()
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPItems.Select (sItem)
		[ ] 
		[+] // RESULT 4: Verify QP closes and all Items has got added to recipt correctly
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Exists (2), FALSE, "QP closes after selection of item when Pin is in unpinned state")
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.GetItemList (), lsItemsExpected, "Item added to receipt from QP")
		[ ] 
		[+] // STEP 7: Take payement and save the recipt
			[ ] srp = {}
			[ ] srp.sPaymentMode = "Cash"
			[ ] ReceivePayment (srp)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // STEP 8: Click on Quick Pick
			[ ] SalesReceipt.Sale.QuickPickItem.Open ()
		[ ] 
		[+] // RESULT 5: Verify QuickPick Home screen is displayed
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GetButtonList (), lsQPGroupsList, "Home groups displayed for new sale")
			[ ] SalesReceipt.Sale.QuickPickItem.HideQuickPick.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // STEP 9: Invoke Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 6: Verify sale has been created
			[+] lsSalesExpected = {...}
				[ ] "{GetDateString ("m/d/yyyy")} Regular Sales 1 11 3 556.50 3 Cash"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
		[ ] 
		[+] // STEP 10: Go to home, go to new sales receipt and open QP
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] SalesReceipt.Sale.QuickPickItem.Open ()
		[ ] 
		[+] // STEP 11: Enter a group, make the Pin In pinned state nad then select an item
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.Select (sQPGroup)
			[ ] SalesReceipt.Sale.QuickPickItem.Pin.Check ()
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPItems.Select (sItem)
		[ ] 
		[+] // RESULT 7: Verify QP remains open
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Exists (2), TRUE, "QP remains open after selection of item when Pin is in pinned state")
	[ ] 
	[+] // CLEANUP
		[ ] SalesReceipt.Sale.QuickPickItem.XClose.Click ()
		[ ] SalesReceipt.Sale.Cancel.Click ()
		[+] if SalesReceipt.Confirmation.Exists (2)
			[ ] SalesReceipt.Confirmation.DiscardChanges.Click ()
[ ] 
