﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Verify availability of QP groups in Item form and  adding, modifying QP group of items from Item form
	[+] // Test Steps:
		[ ] // STEP 1: Invoke New Sales Receipt and Go to IWT- > QuickPick Item and get the group list
		[ ] // STEP 2: Close QP and go to NewItem and fill Item Form (RESULT 1)
		[ ] // STEP 3: Select a QP group and save
		[ ] // STEP 4: Open QP and enter the group selected fot the new item (RESULT 2)
		[ ] // STEP 5: Go Back to groups and add new group and close QP
		[ ] // STEP 6: Enter an old group and get an Item which is part of this group
		[ ] // STEP 7: Invoke New Item List, select an Item which belongs to an QP group and clickon Edit (RESULT 3)
		[ ] // STEP 8: Select the new group and save
		[ ] // STEP 9: Open QP and enter the new group (RESULT 4)
		[ ] // STEP 10: Go Back to groups and enter the old group (RESULT 5)
		[ ] // STEP 11:  Close QP and invoke New Item
		[ ] // STEP 12: Fill New item form and set an QP group which is not present
		[ ] // STEP 13: Open QP (RESULT 6)
		[ ] // STEP 14: Enter the group  (RESULT 7)
		[ ] // STEP 15: Click on 'X' (RESULT 8)
	[+] // Expected Result:
		[ ] // RESULT 1: Verify all QP groups are availabale for selection
		[ ] // RESULT 2: Verify New Item is listed
		[ ] // RESULT 3: Verify new QP group is available for selection
		[ ] // RESULT 4: Verify item listed in this group
		[ ] // RESULT 5: Verify item is not listed in this group
		[ ] // RESULT 6: Verify New group is created
		[ ] // RESULT 7: Verify Item is listed in this group
		[ ] // RESULT 8: Verify QP closes
[ ] // TESTCASE.:SalesQPItemForm
[ ] // ATC ID:: POS_SALE_ATC_069
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\QuickPickGroups.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesQPItemForm.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesQPItemForm ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sNewGroupName, sItemView, sQPGroup, sExistingGroup
		[ ] NewItemRec nirItem
		[ ] LIST OF STRING lsQPGroupsExpected, lsQPGroups
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "QuickPickGroups.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // STEP 1: Invoke New Sales Receipt and Go to IWT- > QuickPick Item and get the group list
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] SalesReceipt.Sale.QuickPickItem.Open ()
			[ ] lsQPGroupsExpected = SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GetButtonList ()
		[ ] 
		[+] // STEP 2: Close QP and go to NewItem and fill Item Form
			[ ] nirItem = {}
			[ ] nirItem.sItemName = "QPItem1"
			[ ] nirItem.sDepartment = "System"
			[ ] nirItem.sRegularPrice = "100.00"
			[ ] nirItem.sAvgUnitCost = "50.00"
			[ ] nirItem.sOnHandQty = "20"
			[ ] Items.ItemsList.AddInventoryItem.Invoke ()
			[ ] Items.ItemsList.AddInventoryItem.FillForm (nirItem)
			[ ] Items.ItemsList.AddInventoryItem.ScrollViewer.BasicInfo.QuickPickGroup.OpenSelector ()
			[ ] lsQPGroups = Items.ItemsList.AddInventoryItem.ScrollViewer.BasicInfo.QPSelector.ItemTexts
		[ ] 
		[+] // RESULT 1: Verify all QP groups are availabale for selection
			[ ] ListSort (lsQPGroupsExpected)
			[ ] LIstSort (lsQPGroups)
			[ ] VerifySafely (lsQPGroups, lsQPGroupsExpected, "QP groups available for slection")
		[ ] 
		[+] // STEP 3: Select a QP group and save
			[ ] sQPGroup = "G2"
			[ ] Items.ItemsList.AddInventoryItem.ScrollViewer.BasicInfo.QPSelector.Select (sQPGroup)
			[ ] Items.ItemsList.AddInventoryItem.Save.Click ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] 
		[+] // STEP 4: Open QP and enter the group selected fot the new item
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] SalesReceipt.Sale.QuickPickItem.Open ()
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.Select (sQPGroup)
		[ ] 
		[+] // RESULT 2: Verify New Item is listed
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GCButton.ButtonExists (nirItem.sItemName), TRUE, "Item correcetly added in QP group")
		[ ] 
		[+] // STEP 5: Go Back to groups and add new group and close QP
			[ ] SalesReceipt.Sale.QuickPickItem.GroupsText.Click ()
			[ ] SalesReceipt.Sale.QuickPickItem.AddGroup.Click ()
			[ ] sNewGroupName = "G5"
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.NewGroupButton.GroupName.SetData (sNewGroupName)
			[ ] SalesReceipt.Sale.QuickPickItem.Typekeys ("<Enter>")
		[ ] 
		[+] // STEP 6: Enter an old group and get an Item which is part of this group
			[ ] sExistingGroup = "G1"
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.Select (sExistingGroup)
			[ ] nirItem.sItemName = SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GIButton.GetName (1)
			[ ] SalesReceipt.Sale.QuickPickItem.XClose.Click ()
		[ ] 
		[+] // STEP 7: Invoke New Item List, select an Item which belongs to an QP group and clickon Edit
			[ ] Items.ItemsList.Invoke ()
			[ ] OpenItemForEdit (nirItem)
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.QuickPickGroup.OpenSelector ()
			[ ] lsQPGroups = Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.QPSelector.ItemTexts
		[ ] 
		[+] // RESULT 3: Verify new QP group is available for selection
			[ ] VerifySafely (ListFind (lsQPGroups, sNewGroupName) != 0, TRUE, "New group available for selection")
		[ ] 
		[+] // STEP 8: Select the new group and save
			[ ] Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.QPSelector.Select (sNewGroupName)
			[ ] Items.ItemsList.EditInventoryItem.Save.Click ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 9: Open QP and enter the new group
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] SalesReceipt.Sale.QuickPickItem.Open ()
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.Select (sNewGroupName)
		[ ] 
		[+] // RESULT 4: Verify item listed in this group
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GCButton.ButtonExists (nirItem.sItemName), TRUE, "QP group correctly changed")
		[ ] 
		[+] // STEP 10: Go Back to groups and enter the old group
			[ ] SalesReceipt.Sale.QuickPickItem.GroupsText.Click ()
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.Select (sExistingGroup)
		[ ] 
		[+] // RESULT 5: Verify item is not listed in this group
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GCButton.ButtonExists (nirItem.sItemName), FALSE, "QP group correctly changed")
		[ ] 
		[+] // STEP 11:  Close QP and invoke New Item
			[ ] SalesReceipt.Sale.QuickPickItem.XClose.Click ()
			[ ] Items.ItemsList.AddInventoryItem.Invoke ()
		[ ] 
		[+] // STEP 12: Fill New item form and set an QP group which is not present
			[ ] nirItem.sItemName = "QPItem2"
			[ ] nirItem.sDepartment = "System"
			[ ] nirItem.sQuickPickGroup = "QPGrp"
			[ ] CreateNewItem (nirItem)
			[ ] Items.ItemsList.Topbar.Home.Click ()
		[ ] 
		[+] // STEP 13: Open QP
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] SalesReceipt.Sale.QuickPickItem.Open ()
		[ ] 
		[+] // RESULT 6: Verify New group is created
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.ButtonExists (nirItem.sQuickPickGroup), TRUE, "New Group displayed in QP")
		[ ] 
		[+] // STEP 14: Enter the group
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.Select (nirItem.sQuickPickGroup)
		[ ] 
		[+] // RESULT 7: Verify Item is listed in this group
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GCButton.ButtonExists (nirItem.sItemName), TRUE, "Item listed in group")
		[ ] 
		[+] // STEP 15: Click on 'X'
			[ ] SalesReceipt.Sale.QuickPickItem.XClose.Click ()
		[ ] 
		[+] // RESULT 8: Verify QP closes
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Exists (3), FALSE, "QP closed on clicking X")
	[ ] 
	[+] // CLEANUP
		[ ] SalesReceipt.Sale.Cancel.Click ()
		[+] if SalesReceipt.Confirmation.Exists (2)
			[ ] SalesReceipt.Confirmation.DiscardChanges.Click ()
[ ] 
