﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // Test Description
	[ ] // Test Goal: Verifying renaming and removing group from QP
	[+] // Test Steps:
		[ ] // STEP 1: Invoke New Sales Receipt and Go to IWT- > QuickPick Item and get the group list
		[ ] // STEP 2: Enter a group and get the items listed and go back to groups
		[ ] // STEP 3: Right click on the group ( RESULT 1)
		[ ] // STEP 4: Click on Rename this Group ( RESULT 2)
		[ ] // STEP 5: Set a new group name ( RESULT 3)
		[ ] // STEP 6: Enter the group ( RESULT 4)
		[ ] // STEP 7: Close QP and go to Item List ( RESULT 5)
		[ ] // STEP 8: Close Item List and open QP
		[ ] // STEP 9: Right click on group and click Add Group ( RESULT 6)
		[ ] // STEP 10: Enter an old group and get an Item which is part of this group
		[ ] // STEP 11: Right Click on this group and select Remove Group  ( RESULT 7)
		[ ] // STEP 12:  Close QP and invoke Item List and Open the Item for edit ( RESULT 8)
	[+] // Expected Result:
		[ ] // RESULT 1: Verify Context menu pops up with expected menu items
		[ ] // RESULT 2: Verify Group Name is Editable
		[ ] // RESULT 3: Verify New group name
		[ ] // RESULT 4: Verify All items are present as previous group
		[ ] // RESULT 5: Verify QP group has updated correctly
		[ ] // RESULT 6: Verify New Group created
		[ ] // RESULT 7: Verify removed group is not available for selection
		[ ] // RESULT 8: Verify item listed in this group
[ ] // TESTCASE.:SalesQPRenameAndRemoveGroup
[ ] // ATC ID:: POS_SALE_ATC_070
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\22.0\QuickPickGroups.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesQPRenameAndRemoveGroup.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesQPRenameAndRemoveGroup ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sNewGroupName, sQPGroup, sExistingGroup
		[ ] NewItemRec nirItem
		[ ] LIST OF STRING lsQPGroupsExpected, lsItems
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "QuickPickGroups.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // STEP 1: Invoke New Sales Receipt and Go to IWT- > QuickPick Item and get the group list
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] SalesReceipt.Sale.QuickPickItem.Open ()
			[ ] lsQPGroupsExpected = SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GetButtonList ()
		[ ] 
		[+] // STEP 2: Enter a group and get the items listed and go back to groups
			[ ] sQPGroup = "G4"
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.Select (sQPGroup)
			[ ] lsItems = SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GetButtonList ()
			[ ] SalesReceipt.Sale.QuickPickItem.GroupsText.Click ()
		[ ] 
		[+] // STEP 3: Right click on the group
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.ClickButton (sQPGroup, 2)
		[ ] 
		[+] // RESULT 1: Verify Context menu pops up with expected menu items
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.CMenu.MenuExists (sQPGroup), TRUE, "Context menu displayed")
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.sCaption = sQPGroup
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.CMenu.AddGroup.Exists (2), TRUE, "Add group Menu exists")
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.CMenu.RenameGroup.Exists (2), TRUE, "Rename group Menu exists")
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.CMenu.RemoveGroupFromQuickPick.Exists (2), TRUE, "Remove group Menu exists")
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.CMenu.ChangeGroupColor.Exists (2), TRUE, "Change groupcolor  Menu exists")
		[ ] 
		[+] // STEP 4: Click on Rename this Group
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.CMenu.RenameGroup.SelectMenu (sQPGroup)
		[ ] 
		[+] // RESULT 2: Verify Group Name is Editable
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.BName.FieldExists (sQPGroup), TRUE, "Group name editable")
		[ ] 
		[+] // STEP 5: Set a new group name
			[ ] sNewGroupName = "G5"
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.BName.SetNewName (sQPGroup, sNewGroupName)
			[ ] SalesReceipt.Sale.QuickPickItem.Header.Click ()
		[ ] 
		[+] // RESULT 3: Verify New group name
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.ButtonExists (sQPGroup), FALSE, "Old group name des not exists")
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.ButtonExists (sNewGroupName), TRUE, "new group name exists")
		[ ] 
		[+] // STEP 6: Enter the group
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.Select (sNewGroupName)
		[ ] 
		[+] // RESULT 4: Verify All items are present as previous group
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GetButtonList (), lsItems, "No change to Items on renaming of group")
		[ ] 
		[+] // STEP 7: Close QP and go to Item List
			[ ] SalesReceipt.Sale.QuickPickItem.XClose.Click ()
			[ ] Items.ItemsList.Invoke ()
			[ ] nirItem = {}
			[ ] nirItem.sItemName = lsItems[1]
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // RESULT 5: Verify QP group has updated correctly
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.QuickPickGroup.GetLineText (0), sNewGroupName, "QP group of Item updated correctly")
		[ ] 
		[+] // STEP 8: Close Item List and open QP
			[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
			[ ] Items.ItemsList.Topbar.Home.Click ()
			[ ] SalesReceipt.Sale.Invoke ()
			[ ] SalesReceipt.Sale.QuickPickItem.Open ()
		[ ] 
		[+] // STEP 9: Right click on group and click Add Group
			[ ] sQPGroup = "G1"
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.ClickButton (sQPGroup, 2)
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.CMenu.AddGroup.SelectMenu (sQPGroup)
		[ ] 
		[+] // RESULT 6: Verify New Group created
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.NewGroupButton.Exists (2), TRUE, "New Group created")
		[ ] 
		[+] // STEP 10: Enter an old group and get an Item which is part of this group
			[ ] SalesReceipt.Sale.QuickPickItem.Header.Click ()
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.Select (sQPGroup)
			[ ] SalesReceipt.Sale.QuickPickItem.GroupsText.Click ()
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.Select (sQPGroup)
			[ ] nirItem.sItemName = SalesReceipt.Sale.QuickPickItem.Groups.QPItems.GIButton.GetName (1)
			[ ] SalesReceipt.Sale.QuickPickItem.GroupsText.Click ()
		[ ] 
		[+] // STEP 11: Right Click on this group and select Remove Group 
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.ClickButton (sQPGroup, 2)
			[ ] SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.CMenu.RemoveGroupFromQuickPick.SelectMenu (sQPGroup)
		[ ] 
		[+] // RESULT 7: Verify removed group is not available for selection
			[ ] VerifySafely (SalesReceipt.Sale.QuickPickItem.Groups.QPGroups.GCButton.ButtonExists (sQPGroup), FALSE, "Removed group not available for selection")
		[ ] 
		[+] // STEP 12:  Close QP and invoke Item List and Open the Item for edit
			[ ] SalesReceipt.Sale.QuickPickItem.XClose.Click ()
			[ ] Items.ItemsList.Invoke ()
			[ ] OpenItemForEdit (nirItem)
		[ ] 
		[+] // RESULT 8: Verify item listed in this group
			[ ] VerifySafely (Items.ItemsList.EditInventoryItem.ScrollViewer.BasicInfo.QuickPickGroup.GetLineText (0), "", "QP group removed")
	[ ] 
	[+] // CLEANUP
		[ ] Items.ItemsList.EditInventoryItem.Cancel.Click ()
		[ ] Items.ItemsList.Topbar.Home.Click ()
[ ] 
