﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating a sales receipt by account payment
	[+] // Test Steps:
		[ ] //  1. Invoke new sales receipt (Result 1)
		[ ] //  2. Enter the customer, items on the sales receipt and get the total
		[ ] //  3. Click on Account (Result 2 and 3)
		[ ] //  4. Click on save
		[ ] //  5. Click on saveonly
		[ ] //  6. Click on Cancel
		[ ] //  7. Invoke Sales History (Result 4 and 5)
	[+] // Expected Result:
		[ ] //  1. Verify sales receipt window is open
		[ ] //  2. Verify the Account payment pop up is displayed
		[ ] //  3. Verify the amount is already filled with Total amount
		[ ] //  4. Verify Sales history is displayed
		[ ] //  5. Verify sale is created
[ ] // TESTCASE::SalesReceiptAccountPayment
[ ] // ATC ID::POS_SALE_ATC_007
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesReceiptAccountPayment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesReceiptAccountPayment ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sTotalAmount, sCustomer, sCreditLimit
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the customer, items on the sales receipt and get the total
			[ ] sItem = "InvItem1"
			[ ] sCustomer = "Cust1L, Cust1F"
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sItem)
			[ ] SalesReceipt.Sale.EnterCustomer.SelectCustomer (sCustomer)
			[ ] sTotalAmount = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
		[ ] 
		[+] // Step 3: Click on Account
			[ ] SalesReceipt.Sale.PaymentButtons.Account.Click ()
		[ ] 
		[+] // Result 2: Verify the Account payment pop up is displayed
			[ ] VerifySafely (SalesReceipt.Sale.AccountPayment.Exists (5), TRUE, "Account payment pop up is displayed")
		[ ] 
		[+] // Result 3: Verify the amount is already filled with Total amount
			[ ] VerifySafely (SalesReceipt.Sale.AccountPayment.ChargeAccount.GetLineText (0), sTotalAmount, "Amount field in account payment pop up is correctly prefilled")
		[ ] 
		[+] // Step 4: Click on save
			[ ] sCreditLimit = "1000"
			[ ] SalesReceipt.Sale.AccountPayment.Save.Click ()
			[+] if SalesReceipt.Sale.AccountPayment.Exists ()
				[ ] SalesReceipt.Sale.AccountPayment.CreditLimit.SetData (sCreditLimit)
				[ ] SalesReceipt.Sale.AccountPayment.UseChargeAccountForThisCustomer.Click ()
		[ ] 
		[+] // Step 5: Click on saveonly
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 6: Click on Cancel
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 7: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 4: Verify Sales history is displayed
			[ ] VerifySafely (SalesHistory.SalesList.Exists (5), TRUE, "Sales history displayed")
		[ ] 
		[+] // Result 5: Verify sale is created
			[ ] RemoveGridColumn ("SaleDate")
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 Cust1F Cust1L 1 105.00 1 Account"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displyes in sales history")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
