﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify IWT Other Tasks> Change Store (Multistore)
	[+] // Test Steps:
		[ ] //  1: Invoke new sales receipt (Result 1)
		[ ] //  2: Goto I Want to-> Other Tasks-> Change Store (Result 2)
		[ ] //  3: Change the store name and click OK
		[ ] //  4: Enter the items on the sales receipt and get the total
		[ ] //  5: Click on Cash (Result 3 and 4)
		[ ] //  6: Click on exact amount and then click on save
		[ ] //  7: Click on saveonly
		[ ] //  8: Click on Cancel
		[ ] //  9: Invoke  Sales History and click 'Show Details' (Result 5)
	[+] // Expected Result:
		[ ] //  1: Verify sales receipt window is open
		[ ] //  2: Verify "Enter Store" dialog appears
		[ ] //  3: Verify the cash payment pop up is displayed
		[ ] //  4: Verify the amount is already filled with Total amount
		[ ] //  5: Verify Sales history is displayed
		[ ] //  6: Verify sale is created
[ ] // TESTCASE::SalesReceiptChangeStore
[ ] // ATC ID::POS_SALE_ATC_024
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesReceiptChangeStore.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesReceiptChangeStore () appstate MultistoreSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sTotalAmount, sStoreExpected
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srr
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "TipsAndStore.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 4: Enter the items on the sales receipt and get the total
			[ ] sItem = "InvItem1"
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sItem)
			[ ] sTotalAmount = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
		[ ] 
		[+] // Step 2: Goto I Want to-> Other Tasks-> Change Store
			[ ] SalesReceipt.Sale.IWantTo.Click ()
			[ ] SalesReceipt.Sale.IWantTo.Othertasks.Click ()
			[ ] SalesReceipt.Sale.IWantTo.Othertasks.ChangeStore.Click ()
		[ ] 
		[+] // Result 2: Verify "Enter Store" dialog appears
			[ ] VerifySafely (SalesReceipt.EnterStore.Exists (), True, "Enter Store dialog appears")
		[ ] 
		[+] // Step 3: Change the store name and click OK
			[ ] SalesReceipt.EnterStore.Store.Select (2)
			[ ] SalesReceipt.EnterStore.Ok.Click ()
		[ ] 
		[+] // Step 5: Click on Cash
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
		[ ] 
		[+] // Result 3: Verify the cash payment pop up is displayed
			[ ] VerifySafely (SalesReceipt.Sale.CashPayment.Exists (5), TRUE, "Cash payment pop up is displayed")
		[ ] 
		[+] // Result 4: Verify the amount is already filled with Total amount
			[ ] VerifySafely (SalesReceipt.Sale.CashPayment.Amount.GetLineText (0), sTotalAmount, "Amount field in cash payement pop up is correctly prefilled")
		[ ] 
		[+] // Step 6: Click on exact amount and then click on save
			[ ] SalesReceipt.Sale.CashPayment.ExactAmount.Click ()
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
		[ ] 
		[+] // Step 7: Click on saveonly
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 8: Click on Cancel
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 9: Invoke  Sales History and click 'Show Details'
			[ ] SalesHistory.SalesList.Invoke ()
			[+] if !SalesHistory.SalesList.SalesDetails.Exists (3)
				[ ] SalesHistory.SalesList.Topbar.ShowDetails.Click ()
		[ ] 
		[+] // Result 5: Verify store detail is added to sale
			[ ] sStoreExpected = "Store 2"
			[ ] VerifySafely (SalesHistory.SalesList.SalesDetails.SalesHistoryDetail.Store.GetCaption (), sStoreExpected, "Store detail added to sale")
	[ ] 
	[+] // CLEANUP
		[ ] SalesHistory.SalesList.Topbar.IWantTo.Click ()
		[ ] SalesHistory.SalesList.Topbar.IWantTo.ShowHideDetails.Click ()
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
