﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating a sales receipt by check payment
	[+] // Test Steps:
		[ ] //  1. Invoke new sales receipt (Result 1)
		[ ] //  2. Enter the items on the sales receipt and get the total
		[ ] //  3. Click on Check (Result 2 and 3)
		[ ] //  4. Click on save
		[ ] //  5. Click on saveonly
		[ ] //  6. Click on Cancel
		[ ] //  7. Invoke Sales History (Result 4 and 5)
	[+] // Expected Result:
		[ ] //  1. Verify sales receipt window is open
		[ ] //  2. Verify the Check payment pop up is displayed
		[ ] //  3. Verify the amount is already filled with Total amount
		[ ] //  4. Verify Sales history is displayed
		[ ] //  5. Verify sale is created
[ ] // TESTCASE::SalesReceiptCheckPayment
[ ] // ATC ID::POS_SALE_ATC_004
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesReceiptCheckPayment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesReceiptCheckPayment ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sTotalAmount
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] sItem = "InvItem1"
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sItem)
			[ ] sTotalAmount = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
		[ ] 
		[+] // Step 3: Click on Check
			[ ] SalesReceipt.Sale.PaymentButtons.Check.Click ()
		[ ] 
		[+] // Result 2: Verify the Check payment pop up is displayed
			[ ] VerifySafely (SalesReceipt.Sale.CheckPayment.Exists (5), TRUE, "Check payment pop up is displayed")
		[ ] 
		[+] // Result 3: Verify the amount is already filled with Total amount
			[ ] VerifySafely (SalesReceipt.Sale.CheckPayment.Amount.GetLineText (0), sTotalAmount, "Amount field in check payment pop up is correctly prefilled")
		[ ] 
		[+] // Step 4: Click on save
			[ ] SalesReceipt.Sale.CheckPayment.Save.Click ()
		[ ] 
		[+] // Step 5: Click on saveonly
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 6: Click on Cancel
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 7: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 4: Verify Sales history is displayed
			[ ] VerifySafely (SalesHistory.SalesList.Exists (5), TRUE, "Sales history displayed")
		[ ] 
		[+] // Result 5: Verify sale is created
			[ ] RemoveGridColumn ("SaleDate")
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Check"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displyed in sales history")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
