﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating a sales receipt by debit payement
	[+] // Test Steps:
		[ ] //  1. Invoke new sales receipt (Result 1)
		[ ] //  2. Enter the items on the sales receipt and get the total
		[ ] //  3. Click on Debit (Result 2) (Result 3)
		[ ] //  4. Click on Visa and then click on save
		[ ] //  5. Click on saveonly
		[ ] //  6. Click on Cancel
		[ ] //  7. Invoke  Sales History (Result 4) (Result 5)
	[+] // Expected Result:
		[ ] //  1. Verify sales receipt window is open
		[ ] //  2. Verify the Debit payment pop up is displayed
		[ ] //  3. Verify the amount is already filled with Total amount
		[ ] //  4. Verify Sales history is displayed
		[ ] //  5. Verify sale is created
[ ] // TESTCASE.:SalesReceiptDebitPayment
[ ] // ATC ID::POS_SALE_ATC_001
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesReceiptDebitPayment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesReceiptDebitPayment ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sTotalAmount
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1_MASOFF.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] sItem = "InvItem1"
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sItem)
			[ ] sTotalAmount = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
		[ ] 
		[+] // Step 3: Click on Debit
			[ ] SalesReceipt.Sale.PaymentButtons.Debit.Click ()
		[ ] 
		[+] // Result 2: Verify the Debit payment pop up is displayed
			[ ] VerifySafely (SalesReceipt.Sale.DebitPayment.Exists (5), TRUE, "Cash payment pop up is displayed")
		[ ] 
		[+] // Result 3: Verify the amount is already filled with Total amount
			[ ] VerifySafely (SalesReceipt.Sale.DebitPayment.Amount.GetLineText (0), sTotalAmount, "Amount field in cash payement pop up is correctly prefilled")
		[ ] 
		[+] // Step 4: Click  click on save
			[ ] SalesReceipt.Sale.DebitPayment.Save.Click ()
		[ ] 
		[+] // Step 5: Click on saveonly
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 6: Click on Cancel
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 7: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 4: Verify Sales history is displayed
			[ ] VerifySafely (SalesHistory.SalesList.Exists (5), TRUE, "Sales history displayed")
		[ ] 
		[+] // Result 5: Verify sale is created
			[ ] RemoveGridColumn ("SaleDate")
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Debit Card"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displyes in sales history")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
