﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify SalesReceiptFromCustomerHistory
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Enter the items  and customer on the sales receipt create a receipt
		[ ] // 3. Invoke Customer List
		[ ] // 4. Type the name of the customer in seaerch customer field and then cllick on showdetails
		[ ] // 5. Select the sale from Customer HIstory (Result 2) (Result 3)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify sales history is displayed and the correct receipt is selected
		[ ] // 3. Verify the other sales data for for correcet receipt selection
[ ] // TESTCASE::SalesReceiptFromCustomerHistory
[ ] // ATC ID::POS_SALE_ATC_022
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesReceiptFromCustomerHistory.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesReceiptFromCustomerHistory ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sTotalAmount, sSalesExpected
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items  and customer on the sales receipt create a receipt
			[ ] srrSale = {}
			[ ] srrSale.sCustomer = "Cust1L, Cust1F"
			[+] srrSale.lsItems = {...}
				[ ] "InvItem1"
				[ ] "InvItem2"
			[ ] srrSale.srp = {}
			[ ] srrSale.srp.sPaymentMode = "Cash"
			[ ] CreateSalesReceipt (srrSale)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 3: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[+] // Step 4: Type the name of the customer in seaerch customer field and then cllick on showdetails
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (srrSale.sCustomer)
			[+] if Customers.CustomerList.Topbar.ShowDetails.Exists (2)
				[ ] Customers.CustomerList.Topbar.ShowDetails.Click ()
		[ ] 
		[+] // Step 5: Select the sale from Customer HIstory
			[ ] Agent.SetOption (OPT_MOUSE_DELAY, 0)
			[ ] Customers.CustomerList.CustomerDetail.CustomerDetailContent.ScrollViewer.History.BringIntoView ()
			[ ] Customers.CustomerList.CustomerDetail.CustomerDetailContent.ScrollViewer.History.SalesHistory.ListItem.DoubleClick ()
			[ ] Agent.SetOption (OPT_MOUSE_DELAY, .5)
		[ ] 
		[+] // Result 2: Verify sales history is displayed and the correct receipt is selected
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.CustomerDetailContent.SalesHistoryDetail.Exists (5), TRUE, "Sales History detail is displyed")
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.CustomerDetailContent.SalesHistoryDetail.CustomerName.GetCaption (), srrSale.sCustomer, "Correct customer info displayed")
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.CustomerDetailContent.SalesHistoryDetail.ReceiptDate.GetCaption (), "Date {GetDateString ("m/d/yyyy")}", "Correct receipt date displayed")
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.CustomerDetailContent.SalesHistoryDetail.Total.GetCaption (), "$315.00", "Correct receipt total displayed")
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.CustomerDetailContent.SalesHistoryDetail.Cash.Exists (3), TRUE, "Correct payment mode displayed")
		[ ] 
		[+] // Result 3: Verify the other sales data for for correcet receipt selection
			[ ] Customers.CustomerList.CustomerDetail.CustomerDetailContent.SalesHistoryDetail.AdjustGridColumnWidth ()
			[+] lsSalesExpected = {...}
				[ ] "1 InvItem1 1 100.00 100.00 Tax Unit of Measure: Serial #: Discount %: Original Price: 100.00"
				[ ] "2 InvItem2 1 200.00 200.00 Tax Unit of Measure: Serial #: Discount %: Original Price: 200.00"
			[+] if sSKU == "BASIC"
				[+] lsSalesExpected = {...}
					[ ] "1 InvItem1 1 100.00 100.00 Tax Discount %: Original Price: 100.00"
					[ ] "2 InvItem2 1 200.00 200.00 Tax Discount %: Original Price: 200.00"
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.CustomerDetailContent.SalesHistoryDetail.SalesGrid.ItemTexts, lsSalesExpected, "Receipt selected")
	[ ] 
	[+] // CLEANUP
		[ ] Customers.CustomerList.CustomerDetail.Back.Click ()
		[ ] Customers.CustomerList.CustomerDetail.XClose.Click ()
		[+] if Customers.CustomerList.Topbar.Home.Exists (3)
			[ ] Customers.CustomerList.Topbar.Home.Click ()
[ ] 
