﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify SalesReceiptFromCustomerHistoryWithFilter
	[+] // Test Steps:
		[ ] // 1. Invoke Customer List
		[ ] // 2. Type the name of the customer in seaerch customer field and then cllick on showdetails
		[ ] // 3. Select the sale from Customer HIstory (Result 1) (Result 2)
	[+] // Expected Result:
		[ ] // 1. Verify sales history is displayed and the correct receipt is selected
		[ ] // 2. Verify the other sales data for for correcet receipt selection
[ ] // TESTCASE::SalesReceiptFromCustomerHistoryWithFilter
[ ] // ATC ID::POS_SALE_ATC_023
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesReceiptFromCustomerHistoryWithFilter.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesReceiptFromCustomerHistoryWithFilter ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sTotalAmount, sSalesExpected, sCustomer
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "Reports_Sales.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Customer List
			[ ] Customers.CustomerList.Invoke ()
		[ ] 
		[+] // Step 2: Type the name of the customer in seaerch customer field and then cllick on showdetails
			[ ] sCustomer = "Ronaldo, Christiano"
			[ ] Customers.CustomerList.Topbar.SearchCustomer.SetData (sCustomer)
			[+] if Customers.CustomerList.Topbar.ShowDetails.Exists (3)
				[ ] Customers.CustomerList.Topbar.ShowDetails.Click ()
		[ ] 
		[+] // Step 3: Select the sale from Customer HIstory
			[ ] Agent.SetOption (OPT_MOUSE_DELAY, 0)
			[ ] Customers.CustomerList.CustomerDetail.CustomerDetailContent.ScrollViewer.History.BringIntoView ()
			[ ] Customers.CustomerList.CustomerDetail.CustomerDetailContent.ScrollViewer.History.SalesHistory.ListItem.DoubleClick ()
			[ ] Agent.SetOption (OPT_MOUSE_DELAY, .5)
		[ ] 
		[+] // Result 1: Verify sales history is displayed and the correct receipt is selected
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.CustomerDetailContent.SalesHistoryDetail.Exists (5), TRUE, "Sales History detail is displyed")
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.CustomerDetailContent.SalesHistoryDetail.CustomerName.GetCaption (), sCustomer, "Correct customer info displayed")
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.CustomerDetailContent.SalesHistoryDetail.ReceiptDate.GetCaption (), "Date 11/23/2010", "Correct receipt date displayed")
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.CustomerDetailContent.SalesHistoryDetail.Total.GetCaption (), "$63.00", "Correct receipt total displayed")
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.CustomerDetailContent.SalesHistoryDetail.Cash.Exists (3), TRUE, "Correct payment mode displayed")
		[ ] 
		[+] // Result 2: Verify the other sales data for for correcet receipt selection
			[ ] Customers.CustomerList.CustomerDetail.CustomerDetailContent.SalesHistoryDetail.AdjustGridColumnWidth ()
			[+] lsSalesExpected = {...}
				[ ] "12 Cornflakes Kellogs Med 1 30.00 30.00 Tax Unit of Measure: Serial #: Discount %: Original Price: 30.00"
				[ ] "13 Potato Chips Lays Big 1 20.00 20.00 Tax Unit of Measure: Serial #: Discount %: Original Price: 20.00"
				[ ] "14 Toothbrush Soft Med 1 10.00 10.00 Tax Unit of Measure: Serial #: Discount %: Original Price: 10.00"
			[+] if sSKU == "BASIC"
				[+] lsSalesExpected = {...}
					[ ] "12 Cornflakes Kellogs Med 1 30.00 30.00 Tax Discount %: Original Price: 30.00"
					[ ] "13 Potato Chips Lays Big 1 20.00 20.00 Tax Discount %: Original Price: 20.00"
					[ ] "14 Toothbrush Soft Med 1 10.00 10.00 Tax Discount %: Original Price: 10.00"
			[ ] VerifySafely (Customers.CustomerList.CustomerDetail.CustomerDetailContent.SalesHistoryDetail.SalesGrid.ItemTexts, lsSalesExpected, "Receipt selected")
	[ ] 
	[+] // CLEANUP
		[ ] Customers.CustomerList.CustomerDetail.Back.Click ()
		[ ] Customers.CustomerList.CustomerDetail.XClose.Click ()
		[+] if Customers.CustomerList.Topbar.Home.Exists (3)
			[ ] Customers.CustomerList.Topbar.Home.Click ()
[ ] 
