﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating a sales receipt by GiftCard payement
	[+] // Test Steps:
		[ ] //  1. Invoke new sales receipt (Result 1)
		[ ] //  2. Enter the items on the sales receipt and get the total
		[ ] //  3. Click on GiftCard (Result 2) (Result 3)
		[ ] //  4. Click on Visa and then click on save (Result 4)
		[ ] //  5. Click on saveonly
		[ ] //  6. Click on Cancel
		[ ] //  7. Invoke  Sales History (Result 5) (Result 6)
	[+] // Expected Result:
		[ ] //  1. Verify sales receipt window is open
		[ ] //  2. Verify the GiftCard payment pop up is displayed
		[ ] //  3. Verify the amount is already filled with Total amount
		[ ] //  4. Verify messsage pops up saying this process witll not add any value
		[ ] //  5. Verify Sales history is displayed
		[ ] //  6. Verify sale is created
[ ] // ATC ID::POS_SALE_ATC_006
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesReceiptDebitPayment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesReceiptGiftCardPayment ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sTotalAmount, sMessage
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] sItem = "InvItem1"
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sItem)
			[ ] sTotalAmount = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
		[ ] 
		[+] // Step 3: Click on GiftCard
			[ ] SalesReceipt.Sale.PaymentButtons.Gift.Click ()
			[ ] SalesReceipt.Sale.PaymentButtons.Gift.GiftCard.Click ()
		[ ] 
		[+] // Result 2: Verify the GiftCard payment pop up is displayed
			[ ] VerifySafely (SalesReceipt.Sale.GiftCardPayment.Exists (5), TRUE, "Cash payment pop up is displayed")
		[ ] 
		[+] // Result 3: Verify the amount is already filled with Total amount
			[ ] VerifySafely (SalesReceipt.Sale.GiftCardPayment.Amount.GetLineText (0), sTotalAmount, "Amount field in cash payement pop up is correctly prefilled")
		[ ] 
		[+] // Step 4: Click  click on save
			[ ] SalesReceipt.Sale.GiftCardPayment.Save.Click ()
		[ ] 
		[+] // Resut 4: Verify messsage pops up saying this process witll not add any value
			[ ] sMessage = "This process will not add any value"
			[ ] VerifySafely (SalesReceipt.Confirmation.VerifyMessage (sMessage), TRUE, "{sMessage} message is displayed")
		[ ] 
		[+] // Step 5: Click on OK
			[ ] SalesReceipt.Confirmation.OK.Click ()
		[ ] 
		[+] // Step 5: Click on saveonly
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 6: Click on Cancel
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 7: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 5: Verify Sales history is displayed
			[ ] VerifySafely (SalesHistory.SalesList.Exists (5), TRUE, "Sales history displayed")
		[ ] 
		[+] // Result 6: Verify sale is created
			[ ] RemoveGridColumn ("SaleDate")
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Gift Card"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displyed in sales history")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
