﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify creating a sales receipt by split payment
	[+] // Test Steps:
		[ ] //  1. Invoke new sales receipt (Result 1)
		[ ] //  2. Enter the items on the sales receipt and get the total
		[ ] //  3. Click on Cash (Result 2 and 3)
		[ ] //  4. Set the amount and click Save
		[ ] //  5. Click on Credit (Result 4 and 5)
		[ ] //  6. Set the amount and click Visa
		[ ] //  7. Click on Debit (Result 6 and 7)
		[ ] //  8. Set the amount and click Save
		[ ] //  9. Click on Check (Result 8 and 9)
		[ ] //  10. Set the amount and click Save
		[ ] //  11. Click on Gift->GiftCard (Result 10 and 11)
		[ ] //  12. Set the amount and click Save
		[ ] //  13. Click on Gift->Gift Certificate (Result 12 and 13)
		[ ] //  14. Click on Save
		[ ] //  15. Click on SaveOnly
		[ ] //  16. Click on Cancel
		[ ] //  17. Invoke  Sales History (Result 14 and 15)
	[+] // Expected Result:
		[ ] //  1. Verify sales receipt window is open
		[ ] //  2. Verify the Cash payment pop up is displayed
		[ ] //  3. Verify the amount Prefilled
		[ ] //  4. Verify the Credit payment pop up is displayed
		[ ] //  5. Verify the amount Prefilled
		[ ] //  6. Verify the Debit payment pop up is displayed
		[ ] //  7. Verify the amount Prefilled
		[ ] //  8. Verify the Check payment pop up is displayed
		[ ] //  9. Verify the amount Prefilled
		[ ] //  10. Verify the GiftCard payment pop up is displayed
		[ ] //  11. Verify the amount Prefilled
		[ ] //  12. Verify the Gift Certificate payment pop up is displayed
		[ ] //  13. Verify the amount Prefilled
		[ ] //  14. Verify Sales history is displayed
		[ ] //  15. Verify sale is created
[ ] // TESTCASE::SalesReceiptSplitPayment
[ ] // ATC ID::POS_SALE_ATC_008
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesReceiptSplitPayment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesReceiptSplitPayment ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sTotalAmount, sAmount
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1_MASOFF.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] sItem = "InvItem1"
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sItem)
			[ ] sTotalAmount = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
		[ ] 
		[+] // Step 3: Click on Cash
			[ ] SalesReceipt.Sale.PaymentButtons.Cash.Click ()
		[ ] 
		[+] // Result 2: Verify the Cash payment pop up is displayed
			[ ] VerifySafely (SalesReceipt.Sale.CashPayment.Exists (5), TRUE, "Cash payment pop up is displayed")
		[ ] 
		[+] // Result 3: Verify the amount Prefilled
			[ ] VerifySafely (SalesReceipt.Sale.CashPayment.Amount.GetLineText (0), sTotalAmount, "Amount field in cash payment pop up is correctly prefilled")
		[ ] 
		[+] // Step 4: Set the amount and click save
			[ ] sAmount = "10"
			[ ] SalesReceipt.Sale.CashPayment.Amount.SetData (sAmount)
			[ ] sTotalAmount = Str (Val (sTotalAmount) - Val (sAmount )) + ".00"// the total amount reduces
			[ ] SalesReceipt.Sale.CashPayment.Save.Click ()
		[ ] 
		[+] // Step 5: Click on Credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
		[ ] 
		[+] // Result 4: Verify the Credit payment pop up is displayed
			[ ] VerifySafely (SalesReceipt.Sale.CreditPayment.Exists (5), TRUE, "Credit payment pop up is displayed")
		[ ] 
		[+] // Result 5: Verify the amount Prefilled
			[ ] VerifySafely (SalesReceipt.Sale.CreditPayment.Amount.GetLineText (0), sTotalAmount, "Amount field in credit payment pop up is correctly prefilled")
		[ ] 
		[+] // Step 6: Set the amount and click Visa
			[ ] sAmount = "10"
			[ ] SalesReceipt.Sale.CreditPayment.Amount.SetData (sAmount)
			[ ] sTotalAmount = Str (Val (sTotalAmount) - Val (sAmount )) + ".00"// the total amount reduces
			[ ] SalesReceipt.Sale.CreditPayment.ChargeCard.Check ()
			[ ] SalesReceipt.Sale.CreditPayment.Visa.Click ()
		[ ] 
		[+] // Step 7: Click on Debit
			[ ] SalesReceipt.Sale.PaymentButtons.Debit.Click ()
		[ ] 
		[+] // Result 6: Verify the Debit payment pop up is displayed
			[ ] VerifySafely (SalesReceipt.Sale.DebitPayment.Exists (5), TRUE, "Debit payment pop up is displayed")
		[ ] 
		[+] // Result 7: Verify the amount Prefilled
			[ ] VerifySafely (SalesReceipt.Sale.DebitPayment.Amount.GetLineText (0), sTotalAmount, "Amount field in debit payment pop up is correctly prefilled")
		[ ] 
		[+] // Step 8: Set the amount and click save
			[ ] sAmount = "10"
			[ ] SalesReceipt.Sale.DebitPayment.Amount.SetData (sAmount)
			[ ] sTotalAmount = Str (Val (sTotalAmount) - Val (sAmount )) + ".00"// the total amount reduces
			[ ] SalesReceipt.Sale.DebitPayment.Save.Click ()
		[ ] 
		[+] // Step 9: Click on Check
			[ ] SalesReceipt.Sale.PaymentButtons.Check.Click ()
		[ ] 
		[+] // Result 8: Verify the Check payment pop up is displayed
			[ ] VerifySafely (SalesReceipt.Sale.CheckPayment.Exists (5), TRUE, "Check payment pop up is displayed")
		[ ] 
		[+] // Result 9: Verify the amount Prefilled
			[ ] VerifySafely (SalesReceipt.Sale.CheckPayment.Amount.GetLineText (0), sTotalAmount, "Amount field in check payment pop up is correctly prefilled")
		[ ] 
		[+] // Step 10: Set the amount and click save
			[ ] sAmount = "10"
			[ ] SalesReceipt.Sale.CheckPayment.Amount.SetData (sAmount)
			[ ] sTotalAmount = Str (Val (sTotalAmount) - Val (sAmount )) + ".00"// the total amount reduces
			[ ] SalesReceipt.Sale.CheckPayment.Save.Click ()
		[ ] 
		[+] // Step 11: Click on Gift->GiftCard
			[ ] SalesReceipt.Sale.PaymentButtons.Gift.Click ()
			[ ] SalesReceipt.Sale.PaymentButtons.Gift.GiftCard.Click ()
		[ ] 
		[+] // Result 10: Verify the GiftCard payment pop up is displayed
			[ ] VerifySafely (SalesReceipt.Sale.GiftCardPayment.Exists (5), TRUE, "GiftCard payment pop up is displayed")
		[ ] 
		[+] // Result 11: Verify the amount Prefilled
			[ ] VerifySafely (SalesReceipt.Sale.GiftCardPayment.Amount.GetLineText (0), sTotalAmount, "Amount field in GiftCard payment pop up is correctly prefilled")
		[ ] 
		[+] // Step 12: Set the amount and click save
			[ ] sAmount = "10"
			[ ] SalesReceipt.Sale.GiftCardPayment.Amount.SetData (sAmount)
			[ ] sTotalAmount = Str (Val (sTotalAmount) - Val (sAmount )) + ".00"// the total amount reduces
			[ ] SalesReceipt.Sale.GiftCardPayment.Save.Click ()
			[+] if QuickBooksPointOfSale.GiftCardMessageBox.Exists ()
				[ ] QuickBooksPointOfSale.GiftCardMessageBox.Ok.Click ()
		[ ] 
		[+] // Step 13: Click on Gift->Gift Certificate
			[ ] SalesReceipt.Sale.PaymentButtons.Gift.Click ()
			[ ] SalesReceipt.Sale.PaymentButtons.Gift.GiftCertificate.Click ()
		[ ] 
		[+] // Result 12: Verify the Gift Certificate payment pop up is displayed
			[ ] VerifySafely (SalesReceipt.Sale.GiftCertificatePayment.Exists (5), TRUE, "Gift Certificate payment pop up is displayed")
		[ ] 
		[+] // Result 13: Verify the amount Prefilled
			[ ] VerifySafely (SalesReceipt.Sale.GiftCertificatePayment.Amount.GetLineText (0), sTotalAmount, "Amount field in Gift Certificate payment pop up is correctly prefilled")
		[ ] 
		[+] // Step 14: Click on Save
			[ ] SalesReceipt.Sale.GiftCertificatePayment.Save.Click ()
		[ ] 
		[+] // Step 15: Click on SaveOnly
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 16: Click on Cancel
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 17: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 14: Verify Sales history is displayed
			[ ] VerifySafely (SalesHistory.SalesList.Exists (5), TRUE, "Sales history displayed")
		[ ] 
		[+] // Result 15: Verify sale is created
			[ ] RemoveGridColumn ("SaleDate")
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 105.00 1 Split"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displyed in sales history")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
