﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify tip functionality
	[+] // Test Steps:
		[ ] //  1. Invoke new sales receipt (Result 1)
		[ ] //  2. Enter the items on the sales receipt and get the total
		[ ] //  3. Click on Check (Result 2 and 3)
		[ ] //  4. Click on visa and then click on save (Result 4)
		[ ] //  5. Click on "Collect Tip" (Result 5)
		[ ] //  6. Enter tip amount and click Continue
		[ ] //  7. Click on saveonly
		[ ] //  8. Click on Cancel
		[ ] //  9.  Invoke  Sales History (Result 6 and 7)
	[+] // Expected Result:
		[ ] //  1. Verify sales receipt window is open
		[ ] //  2. Verify the Check payment pop up is displayed
		[ ] //  3. Verify the amount is already filled with Total amount
		[ ] //  4. Verify message "Collect a tip on this sale" pops up
		[ ] //  5. Verify "Tip Amount" dialog appears
		[ ] //  6. Verify Sales history is displayed
		[ ] //  7. Verify sale is created
[ ] // TESTCASE::SalesReceiptTip
[ ] // ATC ID::POS_SALE_ATC_025
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesReceiptTip.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Mahalakshmi
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesReceiptTip () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sTotalAmount, sMessage, sTipAmount
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "TipsAndStore_MASOFF.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt and get the total
			[ ] sItem = "InvItem1"
			[ ] SalesReceipt.Sale.EnterItems.SelectItem (sItem)
			[ ] sTotalAmount = SalesReceipt.Sale.SubTotal.Total.GetCaption ()
		[ ] 
		[+] // Step 3: Click on Credit
			[ ] SalesReceipt.Sale.PaymentButtons.Credit.Click ()
		[ ] 
		[+] // Result 2: Verify the credit payment pop up is displayed
			[ ] VerifySafely (SalesReceipt.Sale.CreditPayment.Exists (5), TRUE, "Cash payment pop up is displayed")
		[ ] 
		[+] // Result 3: Verify the amount is already filled with Total amount
			[ ] VerifySafely (SalesReceipt.Sale.CreditPayment.Amount.GetLineText (0), sTotalAmount, "Amount field in cash payment pop up is correctly prefilled")
		[ ] 
		[+] // Step 4: Click on visa and then click on save
			[ ] SalesReceipt.Sale.CreditPayment.ChargeCard.Check ()
			[ ] SalesReceipt.Sale.CreditPayment.Visa.Click ()
		[ ] 
		[+] // Result 4: Verify message "Collect a tip on this sale" pops up
			[ ] sMessage = "Collect a tip on this sale"
			[ ] SalesReceipt.Confirmation.VerifyMessage (sMessage)
		[ ] 
		[+] // Step 5: Click on "Collect Tip"
			[ ] SalesReceipt.Confirmation.CollectTip.Click ()
		[ ] 
		[+] // Result 5: Verify "Tip Amount" dialog appears
			[ ] VerifySafely (SalesReceipt.TipAmount.Exists (), True, "Tip Amount dialog appears")
		[ ] 
		[+] // Step 6: Enter tip amount and click Continue
			[ ] sTipAmount = "5"
			[ ] SalesReceipt.TipAmount.Amount.SetData (sTipAmount)
			[ ] SalesReceipt.TipAmount.Continue.Click ()
		[ ] 
		[+] // Step 7: Click on saveonly
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
		[ ] 
		[+] // Step 8: Click on Cancel
			[ ] SalesReceipt.Sale.Cancel.Click ()
		[ ] 
		[+] // Step 9: Invoke  Sales History
			[ ] SalesHistory.SalesList.Invoke ()
		[ ] 
		[+] // Result 6: Verify Sales history is displayed
			[ ] VerifySafely (SalesHistory.SalesList.Exists (5), TRUE, "Sales history displayed")
		[ ] 
		[+] // Result 7: Verify sale is created
			[ ] RemoveGridColumn ("SaleDate")
			[+] if sSKU == "MULTISTORE"
				[+] lsSalesExpected = {...}
					[ ] "Regular Sales 1 1 1 1 105.00 1 Credit Card"
			[+] else 
				[+] lsSalesExpected = {...}
					[ ] "Regular Sales 1 1 1 105.00 1 Credit Card"
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sales created and displyed in sales history")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
