﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Verify serial number tracking
	[+] // Test Steps:
		[ ] // 1. Invoke new sales receipt (Result 1)
		[ ] // 2. Enter the items on the sales receipt with serail number (Result 2)
		[ ] // 3. Set the SerialNum and click OK (Result 3)
		[ ] // 4. Receive payment
		[ ] // 5. Click on Save only then click cancel and Invoke sales history (Result 4)
	[+] // Expected Result:
		[ ] // 1. Verify sales receipt window is open
		[ ] // 2. Verify Enter Serial number dialog is displayed
		[ ] // 3. Verify Serial Num is Updated
		[ ] // 4. Verify sale has been created
[ ] // TESTCASE.:SalesReceiptCashPayment
[ ] // ATC ID::POS_SALE_ATC_018
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::SalesReceiptCashPayment.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase SalesTrackSerialNumber ()
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sItem, sSerialNum
		[ ] LIST OF STRING lsSalesExpected
		[ ] SalesReceiptRec srrSale
		[ ] SalesReceiptPaymentRec  srpPayment
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "InsufficientQty.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke new sales receipt
			[ ] SalesReceipt.Sale.Invoke ()
		[ ] 
		[+] // Result 1: Verify sales receipt window is open
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales receipt open")
		[ ] 
		[+] // Step 2: Enter the items on the sales receipt with serail number
			[ ] srrSale = {}
			[ ] srrSale.srp = {}
			[+] srrSale.lsItems = {...}
				[ ] "InvItem2"
			[ ] CreateSalesReceipt (srrSale)
		[ ] 
		[+] // Result 2: Verify Enter Serial number dialog is displayed
			[ ] VerifySafely (SalesReceipt.Sale.EnterSerialNumber.Exists (5), TRUE, "EnterSerialNumber dialog displayed")
		[ ] 
		[+] // Step 3: Set the SerialNum and click OK
			[ ] sSerialNum = "1234"
			[ ] SalesReceipt.Sale.EnterSerialNumber.SerialNum.SetData (sSerialNum)
			[ ] SalesReceipt.Sale.EnterSerialNumber.OK.Click ()
		[ ] 
		[+] // Result 3: Verify Serial Num is Updated
			[ ] VerifySafely (SalesReceipt.Sale.SaleItems.ItemGrid.GridRow.SerialNum.Exists (5), TRUE, "Serail num updated")
		[ ] 
		[+] // Step 4: Receive payment
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
		[ ] 
		[+] // Step 5: Click on Save only then click cancel and Invoke sales history
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 4: Verify sale has been created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 1 1 210.00 1 Cash"
			[ ] RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
	[ ] 
	[+] // CLEANUP
		[+] if SalesHistory.SalesList.GoBack.Exists (3)
			[ ] SalesHistory.SalesList.GoBack.Click ()
[ ] 
