﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Generate PO from Work Order
	[+] // Test Steps:
		[ ] // 1. Invoke Work Order List (Result 1)
		[ ] // 2. Open the Work Order for edit (Result 2)
		[ ] // 3. Go to IWT->GeneratePO (Result 3)
		[ ] // 4. Click on GeneratePO and then click continiue (Result 4)
		[ ] // 5. Click on OK and then close WOLList and invoke POlist (Result 5)
	[+] // Expected Result:
		[ ] // 1.  Verify WOList is open
		[ ] // 2. Edit Work Order Should be open
		[ ] // 3. Verify GeneratePO dialog is displayed
		[ ] // 4. Verify Generate PurchaseOrder dialog is open
		[ ] // 5. Verify PO created
[ ] // TESTCASE::WorkOrderIWTGeneratePO
[ ] // ATC ID::POS_SALE_ATC_064
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\CustomerOrders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::WorkOrderIWTGeneratePO.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase WorkOrderIWTGeneratePO () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sWONum, sNewStatus, sPONum, sInstructions
		[ ] CustomerOrderRec corWO
		[ ] SalesReceiptPaymentRec srpPayment
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke Work Order List
			[ ] WOList.WorkOrderList.Invoke ()
		[ ] 
		[+] // Result 1:  Verify WOList is open
			[ ] VerifySafely (WOList.WorkOrderList.Exists (5), TRUE, "WOList is open")
		[ ] 
		[+] // Step 2: Open the Work Order for edit
			[ ] corWO = {}
			[ ] corWO.sWONum = "2"
			[ ] WOList.OpenWOForEdit (corWO.sWONum)
		[ ] 
		[+] // Result 2: Edit Work Order Should be open
			[ ] VerifySafely (WorkOrder.EditWorkOrder.Exists (5), TRUE, "Edit Work Order open")
		[ ] 
		[+] // Step 3: Edit the instructionsa and then Go to IWT->GeneratePO
			[ ] sInstructions = "Test Instructions"
			[ ] WorkOrder.Typekeys ("<Alt-O-D>")
			[ ] EditInstructions.Instructions.SetText (sInstructions)
			[ ] EditInstructions.OK.Click ()
			[ ] WorkOrder.Typekeys ("<Alt-O-G>")
		[ ] 
		[+] // Result 3: Verify GeneratePO dialog is displayed
			[ ] VerifySafely (GeneratePO.Exists (3), TRUE, "GenereatePO dialog displyed")
		[ ] 
		[+] // Step 4: Click on GeneratePO and then click continiue
			[ ] GeneratePO.SelectItems.SelectAll.Click ()
			[ ] GeneratePO.CustomerOrderInstructions.CopyTheCustomerOrderInstructions.Check ()
			[ ] GeneratePO.Continue.Click ()
		[ ] 
		[+] // Result 4: Verify Generate PurchaseOrder dialog is open
			[ ] VerifySafely (GeneratePurchaseOrder.Exists (5), TRUE, "GeneratePurchaseOrder appeared")
		[ ] 
		[+] // Step 5: Click on OK and then close SOLList and invoke POlist
			[ ] GeneratePurchaseOrder.ShowMeAList.Click ()
			[ ] GeneratePurchaseOrder.Print.Click ()
			[ ] GeneratePurchaseOrder.OK.Click ()
			[ ] WorkOrder.BottomBar.Close.Click ()
			[ ] WOList.BottomBar.Close.Click ()
			[ ] POList.Invoke ()
		[ ] 
		[+] // Result 5: Verify PO created
			[+] if !POList.PurchaseOrderList.Exists ()
				[ ] POList.Invoke ()
			[ ] sPONum = "WO21"
			[ ] POList.ToolBar.FindPO.SetText (sPONum)
			[ ] POList.Typekeys ("<Enter>")
			[ ] VerifySafely (FindPurchaseOrder.SelectPurchaseOrder.IsEnabled (), TRUE, "PO Crerated")
		[ ] 
		[+] // Step 6: Open the PO and go to IWT->Edit Instructions
			[ ] FindPurchaseOrder.SelectPurchaseOrder.Click ()
			[ ] PurchaseOrder.Typekeys ("<Alt-O-D>")
		[ ] 
		[+] // Result 6: Verify instruction from So is copied
			[ ] VerifySafely (EditInstructions.Instructions.GetText (), sInstructions, "Instructions copied")
	[ ] 
	[+] // CLEAN UP
		[ ] EditInstructions.OK.Click ()
		[ ] PurchaseOrder.BottomBar.Close.Click ()
		[+] if FindPurchaseOrder.Exists ()
			[ ] FindPurchaseOrder.Close.Click ()
		[+] if POList.PurchaseOrderList.Exists ()
			[ ] POList.BottomBar.Close.Click ()
[ ] 
