﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: Sell items sfrom Work Order
	[+] // Test Steps:
		[ ] // 1. Invoke Work Order List (Result 1)
		[ ] // 2. Open the Work Order for edit (Result 2)
		[ ] // 3. Go to IWT->Sell Items (Result 3)
		[ ] // 4. Click on Select all and then click continiue (Result 4)
		[ ] // 5. Receive payment and Save the recipt and invoke sales history (Result 5)
		[ ] // 6. Invoke WO List and open the WO (Result 6)
	[+] // Expected Result:
		[ ] // 1.  Verify WOList is open
		[ ] // 2. Edit Work Order Should be open
		[ ] // 3. Verify Select Items dialog is displayed
		[ ] // 4. Verify Sales Receipt is open and data updated
		[ ] // 5. Verify sale created
		[ ] // 6. Verify status is closed
[ ] // TESTCASE::WorkOrderIWTSellItems
[ ] // ATC ID::POS_SALE_ATC_063
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\CustomerOrders.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::WorkOrderIWTSellItems.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase WorkOrderIWTSellItems () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile, sWONum, sNewStatus, sInstructions
		[ ] CustomerOrderRec corWO
		[ ] SalesReceiptPaymentRec srpPayment
		[ ] LIST OF STRING lsSalesExpected
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "CustomerOrders.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[-] // STEPS
		[+] // Step 1: Invoke Work Order List
			[ ] WOList.WorkOrderList.Invoke ()
		[ ] 
		[+] // Result 1:  Verify WOList is open
			[ ] VerifySafely (WOList.WorkOrderList.Exists (5), TRUE, "WOList is open")
		[ ] 
		[+] // Step 2: Open the Work Order for edit
			[ ] corWO = {}
			[ ] corWO.sWONum = "2"
			[ ] WOList.OpenWOForEdit (corWO.sWONum)
		[ ] 
		[-] // Result 2: Edit Work Order Should be open
			[ ] VerifySafely (WorkOrder.EditWorkOrder.Exists (5), TRUE, "Edit Work Order open")
		[ ] 
		[+] // Step 3: Edit the instructions and Go to IWT->Sell Items
			[ ] WorkOrder.Typekeys ("<Alt-O-D>")
			[ ] sInstructions = "Test Instructions"
			[ ] EditInstructions.Instructions.SetText (sInstructions)
			[ ] EditInstructions.OK.Click ()
			[ ] WorkOrder.Typekeys ("<Alt-O-I>")
		[ ] 
		[+] // Result 3: Verify Select Items dialog is displayed
			[ ] VerifySafely (SelectItemsToSell.Exists (3), TRUE, "SelectItemsToSell dialog displyed")
		[ ] 
		[+] // Step 4: Click on Select all and then click continiue
			[ ] SelectItemsToSell.SelectItems.SelectAll.Click ()
			[ ] SelectItemsToSell.CustomerOrderInstructions.CopyTheCustomerOrderInstructions.Check ()
			[ ] SelectItemsToSell.Continue.Click ()
		[ ] 
		[+] // Result 4: Verify Sales Receipt is open and data updated
			[ ] VerifySafely (SalesReceipt.Information.Exists (10), TRUE, "Message appeared")
			[ ] SalesReceipt.Information.OK.Click ()
			[ ] VerifySafely (SalesReceipt.Sale.Exists (5), TRUE, "Sales Receipt open")
			[ ] VerifySafely (SalesReceipt.Sale.ReceiptNotes.GetCaption (), sInstructions, "Instructions co[ied from order")
			[ ] VerifySafely (SalesReceipt.Sale.SubTotal.DepositUsed.GetCaption (), "-55.00", "Deposit transfered")
		[ ] 
		[+] // Step 5: Receive payment and Save the recipt and invoke sales history
			[ ] srpPayment = {}
			[ ] srpPayment.sPaymentMode = "Cash"
			[ ] ReceivePayment (srpPayment)
			[ ] SalesReceipt.Sale.SaveOnly.Click ()
			[ ] SalesReceipt.Sale.Cancel.Click ()
			[ ] SalesHistory.Invoke ()
		[ ] 
		[+] // Result 5: Verify sale created
			[+] lsSalesExpected = {...}
				[ ] "Regular Sales 1 7 Cust1F Cust1L 1 105.00 1 Split"
			[ ] SalesHistory.SalesList.RemoveGridColumn ("SaleDate")
			[ ] VerifySafely (SalesHistory.SalesList.SalesGrid.ItemTexts, lsSalesExpected, "Sale created")
			[ ] SalesHistory.SalesList.Topbar.Home.Click ()
		[ ] 
		[+] // Step 6: Invoke SO List and open the SO
			[ ] WOList.Invoke ()
			[ ] WOList.OpenWOForEdit (corWO.sWONum)
		[ ] 
		[+] // Result 6: Verify status is closed
			[ ] VerifySafely (WorkOrder.EditWorkOrder.PageList.Status.GetText (), "Closed", "Statis updated correctly")
	[ ] 
	[+] // CLEAN UP
		[+] if WorkOrder.EditWorkOrder.Exists ()
			[ ] WorkOrder.BottomBar.Close.Click ()
		[+] if WOList.WorkOrderList.Exists ()
			[ ] WOList.BottomBar.Close.Click ()
[ ] 
