﻿[ ] // *****************************************************************************************************************************************************************************************
[+] // TEST DESCRIPTION
	[ ] // Test Goal: take deposit for a Work Order
	[+] // Test Steps:
		[ ] // 1. Invoke New Work Order (Result 1)
		[ ] // 2. Enter the details (Result 2)
		[ ] // 3. Go to IWT->Take Dpeosit (Result 3)
		[ ] // 4. Enter the amount and click OK (Result 4)
		[ ] // 5. Complete the payment and save
		[ ] // 6. Invoke Work Order List (Result 5)
		[ ] // 5. Open the WO (Result 6)
	[+] // Expected Result:
		[ ] // 1. Verify New Work Order is open
		[ ] // 2. Verify the deposit balance anf balce due are 0
		[ ] // 3. Verify Deposit payment dialog is open
		[ ] // 4. Verify Deposit payemnt dialog is open
		[ ] // 5.  Verify WOList is open
		[ ] // 6. Verify edit Work Order is deposit balnce and balance due are updated
[ ] // TESTCASE::WorkOrderIWTTakeDeposit
[ ] // ATC ID::POS_SALE_ATC_061
[ ] // COMPANY FILE PATH::S:\POS_CompanyFile\21.0\ConsoleDB1.qpb
[ ] // *****************************************************************************************************************************************************************************************
[ ] // TESTSCRIPT::WorkOrderIWTTakeDeposit.t
[ ] // OWNER::POSAutomation Team
[ ] // AUTHOR::Chiranjeev
[ ] // *****************************************************************************************************************************************************************************************
[ ] 
[+] testcase WorkOrderIWTTakeDeposit () appstate NonBasicSKU
	[+] // VARIABLES
		[ ] STRING sCompanyFile
		[ ] CustomerOrderRec corWO
	[ ] 
	[+] // SETUP
		[ ] sCompanyFile = "ConsoleDB1.qpb"
		[ ] UpdateCompanyFile (sCompanyFile)
	[ ] 
	[+] // STEPS
		[+] // Step 1: Invoke New Work Order
			[ ] WorkOrder.NewWorkOrder.Invoke ()
		[ ] 
		[+] // Result 1: Verify New Work Order is open
			[ ] VerifySafely (WorkOrder.NewWorkOrder.Exists (5), TRUE, "New SO is open")
		[ ] 
		[+] // Step 2: Enter the details
			[ ] corWO = {}
			[ ] corWO.ldir = {}
			[ ] corWO.sWONum = WorkOrder.NewWorkOrder.PageList.WONum.GetText ()
			[ ] corWO.sCustomer = "Cust1L, Cust1F"
			[+] corWO.ldir = {...}
				[ ] {"InvItem1", "5"}
				[ ] {"InvItem2", "6"}
			[ ] CreateWorkOrder (corWO)
			[ ] corWO.sTotal = WorkOrder.NewWorkOrder.PageList.Total.GetTextFromDisabled ()
		[ ] 
		[+] // Result 2: Verify the deposit balance anf balce due are 0
			[ ] VerifySafely (WorkOrder.NewWorkOrder.PageList.DepositBalance.GetTextFromDisabled (), "$0.00", "Initial deposit is $0.00")
		[ ] 
		[+] // Step 3: Go to IWT->Take Dpeosit
			[ ] WorkOrder.Typekeys ("<Alt-O-T>")
		[ ] 
		[+] // Result 3: Verify Deposit payment dialog is open
			[ ] VerifySafely (TakeDeposit.Exists (5), TRUE, "Deaposit payment dialog is displayed")
		[ ] 
		[+] // Step 4: Enter the amount and click OK
			[ ] corWO.sDepositBalance = "10.00"
			[ ] TakeDeposit.DepositAmount.SetText (corWO.sDepositBalance)
			[ ] TakeDeposit.OK.Click ()
		[ ] 
		[+] // Result 4: Verify Deposit payemnt dialog is open
			[ ] VerifySafely (DepositPayment.Exists (3), TRUE, "Depasit payment dialog is open")
		[ ] 
		[+] // Step 5: Complete the payment and save
			[ ] DepositPayment.Typekeys ("<Enter>")
			[ ] DepositPayment.Save.Click ()
		[ ] 
		[+] // Step 6: Invoke Work Order List
			[ ] WOList.WorkOrderList.Invoke ()
		[ ] 
		[+] // Result 5:  Verify WOList is open
			[ ] VerifySafely (WOList.WorkOrderList.Exists (5), TRUE, "WOList is open")
		[ ] 
		[+] // Step 7: Open the SO
			[ ] WOList.OpenWOForEdit (corWO.sWONum)
		[ ] 
		[+] // Result 6: Verify edit Work Order is deposit balnce and balance due are updated
			[ ] VerifySafely (WorkOrder.EditWorkOrder.Exists (4), TRUE, "Edit Work Order is open")
			[ ] VerifySafely (WorkOrder.EditWorkOrder.PageList.DepositBalance.GetTextFromDisabled (), "${corWO.sDepositBalance}", "Status of  Work Order is open")
			[ ] VerifySafely (GetValueFromDollar (WorkOrder.EditWorkOrder.PageList.BalanceDue.GetTextFromDisabled ()), GetValueFromDollar (corWO.sTotal) - val (corWO.sDepositBalance ), "Balance Due amount of SO is updated")
		[ ] 
		[+] // Step 8: Go to IWT->Payment history
			[ ] WorkOrder.Typekeys ("<Alt-O-P>")
		[ ] 
		[+] // Result 7: Verify Deposits dialog displayed
			[ ] VerifySafely (Deposits.Exists (3), TRUE, "Payment history dialog displayed")
		[ ] 
		[+] // Step 9: Click on Deposit payment
			[ ] Deposits.DepositPayment.Click ()
		[ ] 
		[+] // Result 8: Verify Take Deposit dialog displayed
			[ ] VerifySafely (TakeDeposit.Exists (3), TRUE, "Payment history dialog displayed")
		[ ] 
		[+] // Step 10: Go ti IWT->Payment history
			[ ] TakeDeposit.Cancel.Click ()
			[ ] WorkOrder.Typekeys ("<Alt-O-P>")
		[ ] 
		[+] // Result 9: Verify deposits dialog displayed
			[ ] VerifySafely (Deposits.Exists (3), TRUE, "Payment history dialog displayed")
		[ ] 
		[+] // Step 11: Click on Refund
			[ ] Deposits.Refund.Click ()
		[ ] 
		[+] // Result 10: Verify refund dialog displayed
			[ ] VerifySafely (Refund.Exists (3), TRUE, "Payment history dialog displayed")
	[ ] 
	[+] // CLEAN UP
		[ ] Refund.No.Click ()
		[+] if WorkOrder.EditWorkOrder.Exists ()
			[ ] WorkOrder.BottomBar.Close.Click ()
		[+] if WOList.WorkOrderList.Exists ()
			[ ] WOList.BottomBar.Close.Click ()
[ ] 
